# -*- coding: UTF-8 -*-


"""
Data literal storing emoji names and unicode codes
"""

__all__ = [u':EMOJI_ALIAS_UNICODE_ENGLISH', u':UNICODE_EMOJI_ALIAS_ENGLISH',
           u':EMOJI_UNICODE', u':EMOJI_UNICODE_ENGLISH',
           u':UNICODE_EMOJI', u':UNICODE_EMOJI_ENGLISH',]

EMOJI_UNICODE_ENGLISH_OLD = {
    u':1st_place_medal:': u'\U0001F947',
    u':2nd_place_medal:': u'\U0001F948',
    u':3rd_place_medal:': u'\U0001F949',
    u':AB_button_(blood_type):': u'\U0001F18E',
    u':ATM_sign:': u'\U0001F3E7',
    u':A_button_(blood_type):': u'\U0001F170',
    u':A_button_(blood_type)_selector:': u'\U0001F170\U0000FE0F',
    u':Afghanistan:': u'\U0001F1E6\U0001F1EB',
    u':Aland_Islands:': u'\U0001F1E6\U0001F1FD',
    u':Albania:': u'\U0001F1E6\U0001F1F1',
    u':Algeria:': u'\U0001F1E9\U0001F1FF',
    u':American_Samoa:': u'\U0001F1E6\U0001F1F8',
    u':Andorra:': u'\U0001F1E6\U0001F1E9',
    u':Angola:': u'\U0001F1E6\U0001F1F4',
    u':Anguilla:': u'\U0001F1E6\U0001F1EE',
    u':Antarctica:': u'\U0001F1E6\U0001F1F6',
    u':Antigua_&_Barbuda:': u'\U0001F1E6\U0001F1EC',
    u':Aquarius:': u'\U00002652',
    u':Argentina:': u'\U0001F1E6\U0001F1F7',
    u':Aries:': u'\U00002648',
    u':Armenia:': u'\U0001F1E6\U0001F1F2',
    u':Aruba:': u'\U0001F1E6\U0001F1FC',
    u':Ascension_Island:': u'\U0001F1E6\U0001F1E8',
    u':Australia:': u'\U0001F1E6\U0001F1FA',
    u':Austria:': u'\U0001F1E6\U0001F1F9',
    u':Azerbaijan:': u'\U0001F1E6\U0001F1FF',
    u':BACK_arrow:': u'\U0001F519',
    u':B_button_(blood_type):': u'\U0001F171',
    u':B_button_(blood_type)_selector:': u'\U0001F171\U0000FE0F',
    u':Bahamas:': u'\U0001F1E7\U0001F1F8',
    u':Bahrain:': u'\U0001F1E7\U0001F1ED',
    u':Bangladesh:': u'\U0001F1E7\U0001F1E9',
    u':Barbados:': u'\U0001F1E7\U0001F1E7',
    u':Belarus:': u'\U0001F1E7\U0001F1FE',
    u':Belgium:': u'\U0001F1E7\U0001F1EA',
    u':Belize:': u'\U0001F1E7\U0001F1FF',
    u':Benin:': u'\U0001F1E7\U0001F1EF',
    u':Bermuda:': u'\U0001F1E7\U0001F1F2',
    u':Bhutan:': u'\U0001F1E7\U0001F1F9',
    u':Bolivia:': u'\U0001F1E7\U0001F1F4',
    u':Bosnia_&_Herzegovina:': u'\U0001F1E7\U0001F1E6',
    u':Botswana:': u'\U0001F1E7\U0001F1FC',
    u':Bouvet_Island:': u'\U0001F1E7\U0001F1FB',
    u':Brazil:': u'\U0001F1E7\U0001F1F7',
    u':British_Indian_Ocean_Territory:': u'\U0001F1EE\U0001F1F4',
    u':British_Virgin_Islands:': u'\U0001F1FB\U0001F1EC',
    u':Brunei:': u'\U0001F1E7\U0001F1F3',
    u':Bulgaria:': u'\U0001F1E7\U0001F1EC',
    u':Burkina_Faso:': u'\U0001F1E7\U0001F1EB',
    u':Burundi:': u'\U0001F1E7\U0001F1EE',
    u':CL_button:': u'\U0001F191',
    u':COOL_button:': u'\U0001F192',
    u':Cambodia:': u'\U0001F1F0\U0001F1ED',
    u':Cameroon:': u'\U0001F1E8\U0001F1F2',
    u':Canada:': u'\U0001F1E8\U0001F1E6',
    u':Canary_Islands:': u'\U0001F1EE\U0001F1E8',
    u':Cancer:': u'\U0000264B',
    u':Cape_Verde:': u'\U0001F1E8\U0001F1FB',
    u':Capricorn:': u'\U00002651',
    u':Caribbean_Netherlands:': u'\U0001F1E7\U0001F1F6',
    u':Cayman_Islands:': u'\U0001F1F0\U0001F1FE',
    u':Central_African_Republic:': u'\U0001F1E8\U0001F1EB',
    u':Ceuta_&_Melilla:': u'\U0001F1EA\U0001F1E6',
    u':Chad:': u'\U0001F1F9\U0001F1E9',
    u':Chile:': u'\U0001F1E8\U0001F1F1',
    u':China:': u'\U0001F1E8\U0001F1F3',
    u':Christmas_Island:': u'\U0001F1E8\U0001F1FD',
    u':Christmas_tree:': u'\U0001F384',
    u':Clipperton_Island:': u'\U0001F1E8\U0001F1F5',
    u':Cocos_(Keeling)_Islands:': u'\U0001F1E8\U0001F1E8',
    u':Colombia:': u'\U0001F1E8\U0001F1F4',
    u':Comoros:': u'\U0001F1F0\U0001F1F2',
    u':Congo_-_Brazzaville:': u'\U0001F1E8\U0001F1EC',
    u':Congo_-_Kinshasa:': u'\U0001F1E8\U0001F1E9',
    u':Cook_Islands:': u'\U0001F1E8\U0001F1F0',
    u':Costa_Rica:': u'\U0001F1E8\U0001F1F7',
    u':Croatia:': u'\U0001F1ED\U0001F1F7',
    u':Cuba:': u'\U0001F1E8\U0001F1FA',
    u':Cura\xe7ao:': u'\U0001F1E8\U0001F1FC',
    u':Cyprus:': u'\U0001F1E8\U0001F1FE',
    u':Czechia:': u'\U0001F1E8\U0001F1FF',
    u':C\xf4te_d\u2019Ivoire:': u'\U0001F1E8\U0001F1EE',
    u':Denmark:': u'\U0001F1E9\U0001F1F0',
    u':Diego_Garcia:': u'\U0001F1E9\U0001F1EC',
    u':Djibouti:': u'\U0001F1E9\U0001F1EF',
    u':Dominica:': u'\U0001F1E9\U0001F1F2',
    u':Dominican_Republic:': u'\U0001F1E9\U0001F1F4',
    u':END_arrow:': u'\U0001F51A',
    u':Ecuador:': u'\U0001F1EA\U0001F1E8',
    u':Egypt:': u'\U0001F1EA\U0001F1EC',
    u':El_Salvador:': u'\U0001F1F8\U0001F1FB',
    u':England:': u'\U0001F3F4\U000E0067\U000E0062\U000E0065\U000E006E\U000E0067\U000E007F',
    u':Equatorial_Guinea:': u'\U0001F1EC\U0001F1F6',
    u':Eritrea:': u'\U0001F1EA\U0001F1F7',
    u':Estonia:': u'\U0001F1EA\U0001F1EA',
    u':Ethiopia:': u'\U0001F1EA\U0001F1F9',
    u':European_Union:': u'\U0001F1EA\U0001F1FA',
    u':FREE_button:': u'\U0001F193',
    u':Falkland_Islands:': u'\U0001F1EB\U0001F1F0',
    u':Faroe_Islands:': u'\U0001F1EB\U0001F1F4',
    u':Fiji:': u'\U0001F1EB\U0001F1EF',
    u':Finland:': u'\U0001F1EB\U0001F1EE',
    u':France:': u'\U0001F1EB\U0001F1F7',
    u':French_Guiana:': u'\U0001F1EC\U0001F1EB',
    u':French_Polynesia:': u'\U0001F1F5\U0001F1EB',
    u':French_Southern_Territories:': u'\U0001F1F9\U0001F1EB',
    u':Gabon:': u'\U0001F1EC\U0001F1E6',
    u':Gambia:': u'\U0001F1EC\U0001F1F2',
    u':Gemini:': u'\U0000264A',
    u':Georgia:': u'\U0001F1EC\U0001F1EA',
    u':Germany:': u'\U0001F1E9\U0001F1EA',
    u':Ghana:': u'\U0001F1EC\U0001F1ED',
    u':Gibraltar:': u'\U0001F1EC\U0001F1EE',
    u':Greece:': u'\U0001F1EC\U0001F1F7',
    u':Greenland:': u'\U0001F1EC\U0001F1F1',
    u':Grenada:': u'\U0001F1EC\U0001F1E9',
    u':Guadeloupe:': u'\U0001F1EC\U0001F1F5',
    u':Guam:': u'\U0001F1EC\U0001F1FA',
    u':Guatemala:': u'\U0001F1EC\U0001F1F9',
    u':Guernsey:': u'\U0001F1EC\U0001F1EC',
    u':Guinea-Bissau:': u'\U0001F1EC\U0001F1FC',
    u':Guinea:': u'\U0001F1EC\U0001F1F3',
    u':Guyana:': u'\U0001F1EC\U0001F1FE',
    u':Haiti:': u'\U0001F1ED\U0001F1F9',
    u':Heard_&_McDonald_Islands:': u'\U0001F1ED\U0001F1F2',
    u':Honduras:': u'\U0001F1ED\U0001F1F3',
    u':Hong_Kong_SAR_China:': u'\U0001F1ED\U0001F1F0',
    u':Hungary:': u'\U0001F1ED\U0001F1FA',
    u':ID_button:': u'\U0001F194',
    u':Iceland:': u'\U0001F1EE\U0001F1F8',
    u':India:': u'\U0001F1EE\U0001F1F3',
    u':Indonesia:': u'\U0001F1EE\U0001F1E9',
    u':Iran:': u'\U0001F1EE\U0001F1F7',
    u':Iraq:': u'\U0001F1EE\U0001F1F6',
    u':Ireland:': u'\U0001F1EE\U0001F1EA',
    u':Isle_of_Man:': u'\U0001F1EE\U0001F1F2',
    u':Israel:': u'\U0001F1EE\U0001F1F1',
    u':Italy:': u'\U0001F1EE\U0001F1F9',
    u':Jamaica:': u'\U0001F1EF\U0001F1F2',
    u':Japan:': u'\U0001F1EF\U0001F1F5',
    u':Japanese_acceptable_button:': u'\U0001F251',
    u':Japanese_application_button:': u'\U0001F238',
    u':Japanese_bargain_button:': u'\U0001F250',
    u':Japanese_castle:': u'\U0001F3EF',
    u':Japanese_congratulations_button:': u'\U00003297',
    u':Japanese_discount_button:': u'\U0001F239',
    u':Japanese_dolls:': u'\U0001F38E',
    u':Japanese_free_of_charge_button:': u'\U0001F21A',
    u':Japanese_here_button:': u'\U0001F201',
    u':Japanese_monthly_amount_button:': u'\U0001F237',
    u':Japanese_no_vacancy_button:': u'\U0001F235',
    u':Japanese_not_free_of_charge_button:': u'\U0001F236',
    u':Japanese_open_for_business_button:': u'\U0001F23A',
    u':Japanese_passing_grade_button:': u'\U0001F234',
    u':Japanese_post_office:': u'\U0001F3E3',
    u':Japanese_prohibited_button:': u'\U0001F232',
    u':Japanese_reserved_button:': u'\U0001F22F',
    u':Japanese_secret_button:': u'\U00003299',
    u':Japanese_service_charge_button:': u'\U0001F202',
    u':Japanese_symbol_for_beginner:': u'\U0001F530',
    u':Japanese_vacancy_button:': u'\U0001F233',
    u':Japanese_congratulations_button_selector:': u'\U00003297\U0000FE0F',
    u':Japanese_monthly_amount_button_selector:': u'\U0001F237\U0000FE0F',
    u':Japanese_secret_button_selector:': u'\U00003299\U0000FE0F',
    u':Japanese_service_charge_button_selector:': u'\U0001F202\U0000FE0F',
    u':Jersey:': u'\U0001F1EF\U0001F1EA',
    u':Jordan:': u'\U0001F1EF\U0001F1F4',
    u':Kazakhstan:': u'\U0001F1F0\U0001F1FF',
    u':Kenya:': u'\U0001F1F0\U0001F1EA',
    u':Kiribati:': u'\U0001F1F0\U0001F1EE',
    u':Kosovo:': u'\U0001F1FD\U0001F1F0',
    u':Kuwait:': u'\U0001F1F0\U0001F1FC',
    u':Kyrgyzstan:': u'\U0001F1F0\U0001F1EC',
    u':Laos:': u'\U0001F1F1\U0001F1E6',
    u':Latvia:': u'\U0001F1F1\U0001F1FB',
    u':Lebanon:': u'\U0001F1F1\U0001F1E7',
    u':Leo:': u'\U0000264C',
    u':Lesotho:': u'\U0001F1F1\U0001F1F8',
    u':Liberia:': u'\U0001F1F1\U0001F1F7',
    u':Libra:': u'\U0000264E',
    u':Libya:': u'\U0001F1F1\U0001F1FE',
    u':Liechtenstein:': u'\U0001F1F1\U0001F1EE',
    u':Lithuania:': u'\U0001F1F1\U0001F1F9',
    u':Luxembourg:': u'\U0001F1F1\U0001F1FA',
    u':Macau_SAR_China:': u'\U0001F1F2\U0001F1F4',
    u':Macedonia:': u'\U0001F1F2\U0001F1F0',
    u':Madagascar:': u'\U0001F1F2\U0001F1EC',
    u':Malawi:': u'\U0001F1F2\U0001F1FC',
    u':Malaysia:': u'\U0001F1F2\U0001F1FE',
    u':Maldives:': u'\U0001F1F2\U0001F1FB',
    u':Mali:': u'\U0001F1F2\U0001F1F1',
    u':Malta:': u'\U0001F1F2\U0001F1F9',
    u':Marshall_Islands:': u'\U0001F1F2\U0001F1ED',
    u':Martinique:': u'\U0001F1F2\U0001F1F6',
    u':Mauritania:': u'\U0001F1F2\U0001F1F7',
    u':Mauritius:': u'\U0001F1F2\U0001F1FA',
    u':Mayotte:': u'\U0001F1FE\U0001F1F9',
    u':Mexico:': u'\U0001F1F2\U0001F1FD',
    u':Micronesia:': u'\U0001F1EB\U0001F1F2',
    u':Moldova:': u'\U0001F1F2\U0001F1E9',
    u':Monaco:': u'\U0001F1F2\U0001F1E8',
    u':Mongolia:': u'\U0001F1F2\U0001F1F3',
    u':Montenegro:': u'\U0001F1F2\U0001F1EA',
    u':Montserrat:': u'\U0001F1F2\U0001F1F8',
    u':Morocco:': u'\U0001F1F2\U0001F1E6',
    u':Mozambique:': u'\U0001F1F2\U0001F1FF',
    u':Mrs._Claus:': u'\U0001F936',
    u':Mrs._Claus_dark_skin_tone:': u'\U0001F936\U0001F3FF',
    u':Mrs._Claus_light_skin_tone:': u'\U0001F936\U0001F3FB',
    u':Mrs._Claus_medium-dark_skin_tone:': u'\U0001F936\U0001F3FE',
    u':Mrs._Claus_medium-light_skin_tone:': u'\U0001F936\U0001F3FC',
    u':Mrs._Claus_medium_skin_tone:': u'\U0001F936\U0001F3FD',
    u':Myanmar_(Burma):': u'\U0001F1F2\U0001F1F2',
    u':NEW_button:': u'\U0001F195',
    u':NG_button:': u'\U0001F196',
    u':Namibia:': u'\U0001F1F3\U0001F1E6',
    u':Nauru:': u'\U0001F1F3\U0001F1F7',
    u':Nepal:': u'\U0001F1F3\U0001F1F5',
    u':Netherlands:': u'\U0001F1F3\U0001F1F1',
    u':New_Caledonia:': u'\U0001F1F3\U0001F1E8',
    u':New_Zealand:': u'\U0001F1F3\U0001F1FF',
    u':Nicaragua:': u'\U0001F1F3\U0001F1EE',
    u':Niger:': u'\U0001F1F3\U0001F1EA',
    u':Nigeria:': u'\U0001F1F3\U0001F1EC',
    u':Niue:': u'\U0001F1F3\U0001F1FA',
    u':Norfolk_Island:': u'\U0001F1F3\U0001F1EB',
    u':North_Korea:': u'\U0001F1F0\U0001F1F5',
    u':Northern_Mariana_Islands:': u'\U0001F1F2\U0001F1F5',
    u':Norway:': u'\U0001F1F3\U0001F1F4',
    u':OK_button:': u'\U0001F197',
    u':OK_hand:': u'\U0001F44C',
    u':OK_hand_dark_skin_tone:': u'\U0001F44C\U0001F3FF',
    u':OK_hand_light_skin_tone:': u'\U0001F44C\U0001F3FB',
    u':OK_hand_medium-dark_skin_tone:': u'\U0001F44C\U0001F3FE',
    u':OK_hand_medium-light_skin_tone:': u'\U0001F44C\U0001F3FC',
    u':OK_hand_medium_skin_tone:': u'\U0001F44C\U0001F3FD',
    u':ON!_arrow:': u'\U0001F51B',
    u':O_button_(blood_type):': u'\U0001F17E',
    u':O_button_(blood_type)_selector:': u'\U0001F17E\U0000FE0F',
    u':Oman:': u'\U0001F1F4\U0001F1F2',
    u':Ophiuchus:': u'\U000026CE',
    u':P_button:': u'\U0001F17F',
    u':P_button_selector:': u'\U0001F17F\U0000FE0F',
    u':Pakistan:': u'\U0001F1F5\U0001F1F0',
    u':Palau:': u'\U0001F1F5\U0001F1FC',
    u':Palestinian_Territories:': u'\U0001F1F5\U0001F1F8',
    u':Panama:': u'\U0001F1F5\U0001F1E6',
    u':Papua_New_Guinea:': u'\U0001F1F5\U0001F1EC',
    u':Paraguay:': u'\U0001F1F5\U0001F1FE',
    u':Peru:': u'\U0001F1F5\U0001F1EA',
    u':Philippines:': u'\U0001F1F5\U0001F1ED',
    u':Pisces:': u'\U00002653',
    u':Pitcairn_Islands:': u'\U0001F1F5\U0001F1F3',
    u':Poland:': u'\U0001F1F5\U0001F1F1',
    u':Portugal:': u'\U0001F1F5\U0001F1F9',
    u':Puerto_Rico:': u'\U0001F1F5\U0001F1F7',
    u':Qatar:': u'\U0001F1F6\U0001F1E6',
    u':Romania:': u'\U0001F1F7\U0001F1F4',
    u':Russia:': u'\U0001F1F7\U0001F1FA',
    u':Rwanda:': u'\U0001F1F7\U0001F1FC',
    u':R\xe9union:': u'\U0001F1F7\U0001F1EA',
    u':SOON_arrow:': u'\U0001F51C',
    u':SOS_button:': u'\U0001F198',
    u':Sagittarius:': u'\U00002650',
    u':Samoa:': u'\U0001F1FC\U0001F1F8',
    u':San_Marino:': u'\U0001F1F8\U0001F1F2',
    u':Santa_Claus:': u'\U0001F385',
    u':Santa_Claus_dark_skin_tone:': u'\U0001F385\U0001F3FF',
    u':Santa_Claus_light_skin_tone:': u'\U0001F385\U0001F3FB',
    u':Santa_Claus_medium-dark_skin_tone:': u'\U0001F385\U0001F3FE',
    u':Santa_Claus_medium-light_skin_tone:': u'\U0001F385\U0001F3FC',
    u':Santa_Claus_medium_skin_tone:': u'\U0001F385\U0001F3FD',
    u':Saudi_Arabia:': u'\U0001F1F8\U0001F1E6',
    u':Scorpio:': u'\U0000264F',
    u':Scotland:': u'\U0001F3F4\U000E0067\U000E0062\U000E0073\U000E0063\U000E0074\U000E007F',
    u':Senegal:': u'\U0001F1F8\U0001F1F3',
    u':Serbia:': u'\U0001F1F7\U0001F1F8',
    u':Seychelles:': u'\U0001F1F8\U0001F1E8',
    u':Sierra_Leone:': u'\U0001F1F8\U0001F1F1',
    u':Singapore:': u'\U0001F1F8\U0001F1EC',
    u':Sint_Maarten:': u'\U0001F1F8\U0001F1FD',
    u':Slovakia:': u'\U0001F1F8\U0001F1F0',
    u':Slovenia:': u'\U0001F1F8\U0001F1EE',
    u':Solomon_Islands:': u'\U0001F1F8\U0001F1E7',
    u':Somalia:': u'\U0001F1F8\U0001F1F4',
    u':South_Africa:': u'\U0001F1FF\U0001F1E6',
    u':South_Georgia_&_South_Sandwich_Islands:': u'\U0001F1EC\U0001F1F8',
    u':South_Korea:': u'\U0001F1F0\U0001F1F7',
    u':South_Sudan:': u'\U0001F1F8\U0001F1F8',
    u':Spain:': u'\U0001F1EA\U0001F1F8',
    u':Sri_Lanka:': u'\U0001F1F1\U0001F1F0',
    u':St._Barth\xe9lemy:': u'\U0001F1E7\U0001F1F1',
    u':St._Helena:': u'\U0001F1F8\U0001F1ED',
    u':St._Kitts_&_Nevis:': u'\U0001F1F0\U0001F1F3',
    u':St._Lucia:': u'\U0001F1F1\U0001F1E8',
    u':St._Martin:': u'\U0001F1F2\U0001F1EB',
    u':St._Pierre_&_Miquelon:': u'\U0001F1F5\U0001F1F2',
    u':St._Vincent_&_Grenadines:': u'\U0001F1FB\U0001F1E8',
    u':Statue_of_Liberty:': u'\U0001F5FD',
    u':Sudan:': u'\U0001F1F8\U0001F1E9',
    u':Suriname:': u'\U0001F1F8\U0001F1F7',
    u':Svalbard_&_Jan_Mayen:': u'\U0001F1F8\U0001F1EF',
    u':Swaziland:': u'\U0001F1F8\U0001F1FF',
    u':Sweden:': u'\U0001F1F8\U0001F1EA',
    u':Switzerland:': u'\U0001F1E8\U0001F1ED',
    u':Syria:': u'\U0001F1F8\U0001F1FE',
    u':S\xe3o_Tom\xe9_&_Pr\xedncipe:': u'\U0001F1F8\U0001F1F9',
    u':T-Rex:': u'\U0001F996',
    u':TOP_arrow:': u'\U0001F51D',
    u':Taiwan:': u'\U0001F1F9\U0001F1FC',
    u':Tajikistan:': u'\U0001F1F9\U0001F1EF',
    u':Tanzania:': u'\U0001F1F9\U0001F1FF',
    u':Taurus:': u'\U00002649',
    u':Thailand:': u'\U0001F1F9\U0001F1ED',
    u':Timor-Leste:': u'\U0001F1F9\U0001F1F1',
    u':Togo:': u'\U0001F1F9\U0001F1EC',
    u':Tokelau:': u'\U0001F1F9\U0001F1F0',
    u':Tokyo_tower:': u'\U0001F5FC',
    u':Tonga:': u'\U0001F1F9\U0001F1F4',
    u':Trinidad_&_Tobago:': u'\U0001F1F9\U0001F1F9',
    u':Tristan_da_Cunha:': u'\U0001F1F9\U0001F1E6',
    u':Tunisia:': u'\U0001F1F9\U0001F1F3',
    u':Turkey:': u'\U0001F1F9\U0001F1F7',
    u':Turkmenistan:': u'\U0001F1F9\U0001F1F2',
    u':Turks_&_Caicos_Islands:': u'\U0001F1F9\U0001F1E8',
    u':Tuvalu:': u'\U0001F1F9\U0001F1FB',
    u':U.S._Outlying_Islands:': u'\U0001F1FA\U0001F1F2',
    u':U.S._Virgin_Islands:': u'\U0001F1FB\U0001F1EE',
    u':UP!_button:': u'\U0001F199',
    u':Uganda:': u'\U0001F1FA\U0001F1EC',
    u':Ukraine:': u'\U0001F1FA\U0001F1E6',
    u':United_Arab_Emirates:': u'\U0001F1E6\U0001F1EA',
    u':United_Kingdom:': u'\U0001F1EC\U0001F1E7',
    u':United_Nations:': u'\U0001F1FA\U0001F1F3',
    u':United_States:': u'\U0001F1FA\U0001F1F8',
    u':Uruguay:': u'\U0001F1FA\U0001F1FE',
    u':Uzbekistan:': u'\U0001F1FA\U0001F1FF',
    u':VS_button:': u'\U0001F19A',
    u':Vanuatu:': u'\U0001F1FB\U0001F1FA',
    u':Vatican_City:': u'\U0001F1FB\U0001F1E6',
    u':Venezuela:': u'\U0001F1FB\U0001F1EA',
    u':Vietnam:': u'\U0001F1FB\U0001F1F3',
    u':Virgo:': u'\U0000264D',
    u':Wales:': u'\U0001F3F4\U000E0067\U000E0062\U000E0077\U000E006C\U000E0073\U000E007F',
    u':Wallis_&_Futuna:': u'\U0001F1FC\U0001F1EB',
    u':Western_Sahara:': u'\U0001F1EA\U0001F1ED',
    u':Yemen:': u'\U0001F1FE\U0001F1EA',
    u':Zambia:': u'\U0001F1FF\U0001F1F2',
    u':Zimbabwe:': u'\U0001F1FF\U0001F1FC',
    u':abacus:': u'\U0001F9EE',
    u':adhesive_bandage:': u'\U0001FA79',
    u':admission_tickets:': u'\U0001F39F',
    u':admission_tickets_selector:': u'\U0001F39F\U0000FE0F',
    u':adult:': u'\U0001F9D1',
    u':adult_dark_skin_tone:': u'\U0001F9D1\U0001F3FF',
    u':adult_light_skin_tone:': u'\U0001F9D1\U0001F3FB',
    u':adult_medium-dark_skin_tone:': u'\U0001F9D1\U0001F3FE',
    u':adult_medium-light_skin_tone:': u'\U0001F9D1\U0001F3FC',
    u':adult_medium_skin_tone:': u'\U0001F9D1\U0001F3FD',
    u':aerial_tramway:': u'\U0001F6A1',
    u':airplane:': u'\U00002708',
    u':airplane_arrival:': u'\U0001F6EC',
    u':airplane_departure:': u'\U0001F6EB',
    u':airplane_selector:': u'\U00002708\U0000FE0F',
    u':alarm_clock:': u'\U000023F0',
    u':alembic:': u'\U00002697',
    u':alembic_selector:': u'\U00002697\U0000FE0F',
    u':alien:': u'\U0001F47D',
    u':alien_monster:': u'\U0001F47E',
    u':ambulance:': u'\U0001F691',
    u':american_football:': u'\U0001F3C8',
    u':amphora:': u'\U0001F3FA',
    u':anchor:': u'\U00002693',
    u':anger_symbol:': u'\U0001F4A2',
    u':angry_face:': u'\U0001F620',
    u':angry_face_with_horns:': u'\U0001F47F',
    u':anguished_face:': u'\U0001F627',
    u':ant:': u'\U0001F41C',
    u':antenna_bars:': u'\U0001F4F6',
    u':anxious_face_with_sweat:': u'\U0001F630',
    u':articulated_lorry:': u'\U0001F69B',
    u':artist_palette:': u'\U0001F3A8',
    u':astonished_face:': u'\U0001F632',
    u':atom_symbol:': u'\U0000269B',
    u':atom_symbol_selector:': u'\U0000269B\U0000FE0F',
    u':auto_rickshaw:': u'\U0001F6FA',
    u':automobile:': u'\U0001F697',
    u':avocado:': u'\U0001F951',
    u':axe:': u'\U0001FA93',
    u':baby:': u'\U0001F476',
    u':baby_angel:': u'\U0001F47C',
    u':baby_angel_dark_skin_tone:': u'\U0001F47C\U0001F3FF',
    u':baby_angel_light_skin_tone:': u'\U0001F47C\U0001F3FB',
    u':baby_angel_medium-dark_skin_tone:': u'\U0001F47C\U0001F3FE',
    u':baby_angel_medium-light_skin_tone:': u'\U0001F47C\U0001F3FC',
    u':baby_angel_medium_skin_tone:': u'\U0001F47C\U0001F3FD',
    u':baby_bottle:': u'\U0001F37C',
    u':baby_chick:': u'\U0001F424',
    u':baby_dark_skin_tone:': u'\U0001F476\U0001F3FF',
    u':baby_light_skin_tone:': u'\U0001F476\U0001F3FB',
    u':baby_medium-dark_skin_tone:': u'\U0001F476\U0001F3FE',
    u':baby_medium-light_skin_tone:': u'\U0001F476\U0001F3FC',
    u':baby_medium_skin_tone:': u'\U0001F476\U0001F3FD',
    u':baby_symbol:': u'\U0001F6BC',
    u':backhand_index_pointing_down:': u'\U0001F447',
    u':backhand_index_pointing_down_dark_skin_tone:': u'\U0001F447\U0001F3FF',
    u':backhand_index_pointing_down_light_skin_tone:': u'\U0001F447\U0001F3FB',
    u':backhand_index_pointing_down_medium-dark_skin_tone:': u'\U0001F447\U0001F3FE',
    u':backhand_index_pointing_down_medium-light_skin_tone:': u'\U0001F447\U0001F3FC',
    u':backhand_index_pointing_down_medium_skin_tone:': u'\U0001F447\U0001F3FD',
    u':backhand_index_pointing_left:': u'\U0001F448',
    u':backhand_index_pointing_left_dark_skin_tone:': u'\U0001F448\U0001F3FF',
    u':backhand_index_pointing_left_light_skin_tone:': u'\U0001F448\U0001F3FB',
    u':backhand_index_pointing_left_medium-dark_skin_tone:': u'\U0001F448\U0001F3FE',
    u':backhand_index_pointing_left_medium-light_skin_tone:': u'\U0001F448\U0001F3FC',
    u':backhand_index_pointing_left_medium_skin_tone:': u'\U0001F448\U0001F3FD',
    u':backhand_index_pointing_right:': u'\U0001F449',
    u':backhand_index_pointing_right_dark_skin_tone:': u'\U0001F449\U0001F3FF',
    u':backhand_index_pointing_right_light_skin_tone:': u'\U0001F449\U0001F3FB',
    u':backhand_index_pointing_right_medium-dark_skin_tone:': u'\U0001F449\U0001F3FE',
    u':backhand_index_pointing_right_medium-light_skin_tone:': u'\U0001F449\U0001F3FC',
    u':backhand_index_pointing_right_medium_skin_tone:': u'\U0001F449\U0001F3FD',
    u':backhand_index_pointing_up:': u'\U0001F446',
    u':backhand_index_pointing_up_dark_skin_tone:': u'\U0001F446\U0001F3FF',
    u':backhand_index_pointing_up_light_skin_tone:': u'\U0001F446\U0001F3FB',
    u':backhand_index_pointing_up_medium-dark_skin_tone:': u'\U0001F446\U0001F3FE',
    u':backhand_index_pointing_up_medium-light_skin_tone:': u'\U0001F446\U0001F3FC',
    u':backhand_index_pointing_up_medium_skin_tone:': u'\U0001F446\U0001F3FD',
    u':bacon:': u'\U0001F953',
    u':badger:': u'\U0001F9A1',
    u':badminton:': u'\U0001F3F8',
    u':bagel:': u'\U0001F96F',
    u':baggage_claim:': u'\U0001F6C4',
    u':baguette_bread:': u'\U0001F956',
    u':balance_scale:': u'\U00002696',
    u':balance_scale_selector:': u'\U00002696\U0000FE0F',
    u':bald:': u'\U0001F9B2',
    u':bald_man:': u'\U0001F468\U0000200D\U0001F9B2',
    u':bald_woman:': u'\U0001F469\U0000200D\U0001F9B2',
    u':ballet_shoes:': u'\U0001FA70',
    u':balloon:': u'\U0001F388',
    u':ballot_box_with_ballot:': u'\U0001F5F3',
    u':ballot_box_with_ballot_selector:': u'\U0001F5F3\U0000FE0F',
    u':ballot_box_with_check:': u'\U00002611',
    u':banana:': u'\U0001F34C',
    u':banjo:': u'\U0001FA95',
    u':bank:': u'\U0001F3E6',
    u':bar_chart:': u'\U0001F4CA',
    u':barber_pole:': u'\U0001F488',
    u':baseball:': u'\U000026BE',
    u':basket:': u'\U0001F9FA',
    u':basketball:': u'\U0001F3C0',
    u':bat:': u'\U0001F987',
    u':bathtub:': u'\U0001F6C1',
    u':battery:': u'\U0001F50B',
    u':beach_with_umbrella:': u'\U0001F3D6',
    u':beach_with_umbrella_selector:': u'\U0001F3D6\U0000FE0F',
    u':beaming_face_with_smiling_eyes:': u'\U0001F601',
    u':bear_face:': u'\U0001F43B',
    u':bearded_person:': u'\U0001F9D4',
    u':bearded_person_dark_skin_tone:': u'\U0001F9D4\U0001F3FF',
    u':bearded_person_light_skin_tone:': u'\U0001F9D4\U0001F3FB',
    u':bearded_person_medium-dark_skin_tone:': u'\U0001F9D4\U0001F3FE',
    u':bearded_person_medium-light_skin_tone:': u'\U0001F9D4\U0001F3FC',
    u':bearded_person_medium_skin_tone:': u'\U0001F9D4\U0001F3FD',
    u':beating_heart:': u'\U0001F493',
    u':bed:': u'\U0001F6CF',
    u':bed_selector:': u'\U0001F6CF\U0000FE0F',
    u':beer_mug:': u'\U0001F37A',
    u':bell:': u'\U0001F514',
    u':bell_with_slash:': u'\U0001F515',
    u':bellhop_bell:': u'\U0001F6CE',
    u':bellhop_bell_selector:': u'\U0001F6CE\U0000FE0F',
    u':bento_box:': u'\U0001F371',
    u':beverage_box:': u'\U0001F9C3',
    u':bicycle:': u'\U0001F6B2',
    u':bikini:': u'\U0001F459',
    u':billed_cap:': u'\U0001F9E2',
    u':biohazard:': u'\U00002623',
    u':biohazard_selector:': u'\U00002623\U0000FE0F',
    u':bird:': u'\U0001F426',
    u':birthday_cake:': u'\U0001F382',
    u':black_circle:': u'\U000026AB',
    u':black_flag:': u'\U0001F3F4',
    u':black_heart:': u'\U0001F5A4',
    u':black_large_square:': u'\U00002B1B',
    u':black_medium-small_square:': u'\U000025FE',
    u':black_medium_square:': u'\U000025FC',
    u':black_medium_square_selector:': u'\U000025FC\U0000FE0F',
    u':black_nib:': u'\U00002712',
    u':black_nib_selector:': u'\U00002712\U0000FE0F',
    u':black_small_square:': u'\U000025AA',
    u':black_small_square_selector:': u'\U000025AA\U0000FE0F',
    u':black_square_button:': u'\U0001F532',
    u':blond-haired_man:': u'\U0001F471\U0000200D\U00002642\U0000FE0F',
    u':blond-haired_man_dark_skin_tone:': u'\U0001F471\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':blond-haired_man_light_skin_tone:': u'\U0001F471\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':blond-haired_man_medium-dark_skin_tone:': u'\U0001F471\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':blond-haired_man_medium-light_skin_tone:': u'\U0001F471\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':blond-haired_man_medium_skin_tone:': u'\U0001F471\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':blond-haired_person:': u'\U0001F471',
    u':blond-haired_person_dark_skin_tone:': u'\U0001F471\U0001F3FF',
    u':blond-haired_person_light_skin_tone:': u'\U0001F471\U0001F3FB',
    u':blond-haired_person_medium-dark_skin_tone:': u'\U0001F471\U0001F3FE',
    u':blond-haired_person_medium-light_skin_tone:': u'\U0001F471\U0001F3FC',
    u':blond-haired_person_medium_skin_tone:': u'\U0001F471\U0001F3FD',
    u':blond-haired_woman:': u'\U0001F471\U0000200D\U00002640\U0000FE0F',
    u':blond-haired_woman_dark_skin_tone:': u'\U0001F471\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':blond-haired_woman_light_skin_tone:': u'\U0001F471\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':blond-haired_woman_medium-dark_skin_tone:': u'\U0001F471\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':blond-haired_woman_medium-light_skin_tone:': u'\U0001F471\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':blond-haired_woman_medium_skin_tone:': u'\U0001F471\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':blossom:': u'\U0001F33C',
    u':blowfish:': u'\U0001F421',
    u':blue_book:': u'\U0001F4D8',
    u':blue_circle:': u'\U0001F535',
    u':blue_heart:': u'\U0001F499',
    u':blue_square:': u'\U0001F7E6',
    u':boar:': u'\U0001F417',
    u':bomb:': u'\U0001F4A3',
    u':bone:': u'\U0001F9B4',
    u':bookmark:': u'\U0001F516',
    u':bookmark_tabs:': u'\U0001F4D1',
    u':books:': u'\U0001F4DA',
    u':bottle_with_popping_cork:': u'\U0001F37E',
    u':bouquet:': u'\U0001F490',
    u':bow_and_arrow:': u'\U0001F3F9',
    u':bowl_with_spoon:': u'\U0001F963',
    u':bowling:': u'\U0001F3B3',
    u':boxing_glove:': u'\U0001F94A',
    u':boy:': u'\U0001F466',
    u':boy_dark_skin_tone:': u'\U0001F466\U0001F3FF',
    u':boy_light_skin_tone:': u'\U0001F466\U0001F3FB',
    u':boy_medium-dark_skin_tone:': u'\U0001F466\U0001F3FE',
    u':boy_medium-light_skin_tone:': u'\U0001F466\U0001F3FC',
    u':boy_medium_skin_tone:': u'\U0001F466\U0001F3FD',
    u':brain:': u'\U0001F9E0',
    u':bread:': u'\U0001F35E',
    u':breast-feeding:': u'\U0001F931',
    u':breast-feeding_dark_skin_tone:': u'\U0001F931\U0001F3FF',
    u':breast-feeding_light_skin_tone:': u'\U0001F931\U0001F3FB',
    u':breast-feeding_medium-dark_skin_tone:': u'\U0001F931\U0001F3FE',
    u':breast-feeding_medium-light_skin_tone:': u'\U0001F931\U0001F3FC',
    u':breast-feeding_medium_skin_tone:': u'\U0001F931\U0001F3FD',
    u':brick:': u'\U0001F9F1',
    u':bride_with_veil:': u'\U0001F470',
    u':bride_with_veil_dark_skin_tone:': u'\U0001F470\U0001F3FF',
    u':bride_with_veil_light_skin_tone:': u'\U0001F470\U0001F3FB',
    u':bride_with_veil_medium-dark_skin_tone:': u'\U0001F470\U0001F3FE',
    u':bride_with_veil_medium-light_skin_tone:': u'\U0001F470\U0001F3FC',
    u':bride_with_veil_medium_skin_tone:': u'\U0001F470\U0001F3FD',
    u':bridge_at_night:': u'\U0001F309',
    u':briefcase:': u'\U0001F4BC',
    u':briefs:': u'\U0001FA72',
    u':bright_button:': u'\U0001F506',
    u':broccoli:': u'\U0001F966',
    u':broken_heart:': u'\U0001F494',
    u':broom:': u'\U0001F9F9',
    u':brown_circle:': u'\U0001F7E4',
    u':brown_heart:': u'\U0001F90E',
    u':brown_square:': u'\U0001F7EB',
    u':bug:': u'\U0001F41B',
    u':building_construction:': u'\U0001F3D7',
    u':building_construction_selector:': u'\U0001F3D7\U0000FE0F',
    u':bullet_train:': u'\U0001F685',
    u':burrito:': u'\U0001F32F',
    u':bus:': u'\U0001F68C',
    u':bus_stop:': u'\U0001F68F',
    u':bust_in_silhouette:': u'\U0001F464',
    u':busts_in_silhouette:': u'\U0001F465',
    u':butter:': u'\U0001F9C8',
    u':butterfly:': u'\U0001F98B',
    u':cactus:': u'\U0001F335',
    u':calendar:': u'\U0001F4C5',
    u':call_me_hand:': u'\U0001F919',
    u':call_me_hand_dark_skin_tone:': u'\U0001F919\U0001F3FF',
    u':call_me_hand_light_skin_tone:': u'\U0001F919\U0001F3FB',
    u':call_me_hand_medium-dark_skin_tone:': u'\U0001F919\U0001F3FE',
    u':call_me_hand_medium-light_skin_tone:': u'\U0001F919\U0001F3FC',
    u':call_me_hand_medium_skin_tone:': u'\U0001F919\U0001F3FD',
    u':camel:': u'\U0001F42A',
    u':camera:': u'\U0001F4F7',
    u':camera_with_flash:': u'\U0001F4F8',
    u':camping:': u'\U0001F3D5',
    u':camping_selector:': u'\U0001F3D5\U0000FE0F',
    u':candle:': u'\U0001F56F',
    u':candle_selector:': u'\U0001F56F\U0000FE0F',
    u':candy:': u'\U0001F36C',
    u':canned_food:': u'\U0001F96B',
    u':canoe:': u'\U0001F6F6',
    u':card_file_box:': u'\U0001F5C3',
    u':card_file_box_selector:': u'\U0001F5C3\U0000FE0F',
    u':card_index:': u'\U0001F4C7',
    u':card_index_dividers:': u'\U0001F5C2',
    u':card_index_dividers_selector:': u'\U0001F5C2\U0000FE0F',
    u':carousel_horse:': u'\U0001F3A0',
    u':carp_streamer:': u'\U0001F38F',
    u':carrot:': u'\U0001F955',
    u':castle:': u'\U0001F3F0',
    u':cat:': u'\U0001F408',
    u':cat_face:': u'\U0001F431',
    u':cat_face_with_tears_of_joy:': u'\U0001F639',
    u':cat_face_with_wry_smile:': u'\U0001F63C',
    u':chains:': u'\U000026D3',
    u':chains_selector:': u'\U000026D3\U0000FE0F',
    u':chair:': u'\U0001FA91',
    u':chart_decreasing:': u'\U0001F4C9',
    u':chart_increasing:': u'\U0001F4C8',
    u':chart_increasing_with_yen:': u'\U0001F4B9',
    u':check_box_with_check:': u'\U00002611\U0000FE0F',
    u':check_mark:': u'\U00002714\U0000FE0F',
    u':cheese_wedge:': u'\U0001F9C0',
    u':chequered_flag:': u'\U0001F3C1',
    u':cherries:': u'\U0001F352',
    u':cherry_blossom:': u'\U0001F338',
    u':chess_pawn:': u'\U0000265F',
    u':chess_pawn_selector:': u'\U0000265F\U0000FE0F',
    u':chestnut:': u'\U0001F330',
    u':chicken:': u'\U0001F414',
    u':child:': u'\U0001F9D2',
    u':child_dark_skin_tone:': u'\U0001F9D2\U0001F3FF',
    u':child_light_skin_tone:': u'\U0001F9D2\U0001F3FB',
    u':child_medium-dark_skin_tone:': u'\U0001F9D2\U0001F3FE',
    u':child_medium-light_skin_tone:': u'\U0001F9D2\U0001F3FC',
    u':child_medium_skin_tone:': u'\U0001F9D2\U0001F3FD',
    u':children_crossing:': u'\U0001F6B8',
    u':chipmunk:': u'\U0001F43F',
    u':chipmunk_selector:': u'\U0001F43F\U0000FE0F',
    u':chocolate_bar:': u'\U0001F36B',
    u':chopsticks:': u'\U0001F962',
    u':church:': u'\U000026EA',
    u':cigarette:': u'\U0001F6AC',
    u':cinema:': u'\U0001F3A6',
    u':circled_M:': u'\U000024C2',
    u':circled_M_selector:': u'\U000024C2\U0000FE0F',
    u':circus_tent:': u'\U0001F3AA',
    u':cityscape:': u'\U0001F3D9',
    u':cityscape_at_dusk:': u'\U0001F306',
    u':cityscape_selector:': u'\U0001F3D9\U0000FE0F',
    u':clamp:': u'\U0001F5DC',
    u':clamp_selector:': u'\U0001F5DC\U0000FE0F',
    u':clapper_board:': u'\U0001F3AC',
    u':clapping_hands:': u'\U0001F44F',
    u':clapping_hands_dark_skin_tone:': u'\U0001F44F\U0001F3FF',
    u':clapping_hands_light_skin_tone:': u'\U0001F44F\U0001F3FB',
    u':clapping_hands_medium-dark_skin_tone:': u'\U0001F44F\U0001F3FE',
    u':clapping_hands_medium-light_skin_tone:': u'\U0001F44F\U0001F3FC',
    u':clapping_hands_medium_skin_tone:': u'\U0001F44F\U0001F3FD',
    u':classical_building:': u'\U0001F3DB',
    u':classical_building_selector:': u'\U0001F3DB\U0000FE0F',
    u':clinking_beer_mugs:': u'\U0001F37B',
    u':clinking_glasses:': u'\U0001F942',
    u':clipboard:': u'\U0001F4CB',
    u':clockwise_vertical_arrows:': u'\U0001F503',
    u':closed_book:': u'\U0001F4D5',
    u':closed_mailbox_with_lowered_flag:': u'\U0001F4EA',
    u':closed_mailbox_with_raised_flag:': u'\U0001F4EB',
    u':closed_umbrella:': u'\U0001F302',
    u':cloud:': u'\U00002601',
    u':cloud_selector:': u'\U00002601\U0000FE0F',
    u':cloud_with_lightning:': u'\U0001F329',
    u':cloud_with_lightning_and_rain:': u'\U000026C8',
    u':cloud_with_lightning_and_rain_selector:': u'\U000026C8\U0000FE0F',
    u':cloud_with_lightning_selector:': u'\U0001F329\U0000FE0F',
    u':cloud_with_rain:': u'\U0001F327',
    u':cloud_with_rain_selector:': u'\U0001F327\U0000FE0F',
    u':cloud_with_snow:': u'\U0001F328',
    u':cloud_with_snow_selector:': u'\U0001F328\U0000FE0F',
    u':clown_face:': u'\U0001F921',
    u':club_suit:': u'\U00002663',
    u':club_suit_selector:': u'\U00002663\U0000FE0F',
    u':clutch_bag:': u'\U0001F45D',
    u':coat:': u'\U0001F9E5',
    u':cocktail_glass:': u'\U0001F378',
    u':coconut:': u'\U0001F965',
    u':coffin:': u'\U000026B0',
    u':coffin_selector:': u'\U000026B0\U0000FE0F',
    u':cold_face:': u'\U0001F976',
    u':collision:': u'\U0001F4A5',
    u':comet:': u'\U00002604',
    u':comet_selector:': u'\U00002604\U0000FE0F',
    u':compass:': u'\U0001F9ED',
    u':computer_disk:': u'\U0001F4BD',
    u':computer_mouse:': u'\U0001F5B1',
    u':computer_mouse_selector:': u'\U0001F5B1\U0000FE0F',
    u':confetti_ball:': u'\U0001F38A',
    u':confounded_face:': u'\U0001F616',
    u':confused_face:': u'\U0001F615',
    u':construction:': u'\U0001F6A7',
    u':construction_worker:': u'\U0001F477',
    u':construction_worker_dark_skin_tone:': u'\U0001F477\U0001F3FF',
    u':construction_worker_light_skin_tone:': u'\U0001F477\U0001F3FB',
    u':construction_worker_medium-dark_skin_tone:': u'\U0001F477\U0001F3FE',
    u':construction_worker_medium-light_skin_tone:': u'\U0001F477\U0001F3FC',
    u':construction_worker_medium_skin_tone:': u'\U0001F477\U0001F3FD',
    u':control_knobs:': u'\U0001F39B',
    u':control_knobs_selector:': u'\U0001F39B\U0000FE0F',
    u':convenience_store:': u'\U0001F3EA',
    u':cooked_rice:': u'\U0001F35A',
    u':cookie:': u'\U0001F36A',
    u':cooking:': u'\U0001F373',
    u':copyright:': u'\U000000A9',
    u':copyright_selector:': u'\U000000A9\U0000FE0F',
    u':couch_and_lamp:': u'\U0001F6CB',
    u':couch_and_lamp_selector:': u'\U0001F6CB\U0000FE0F',
    u':counterclockwise_arrows_button:': u'\U0001F504',
    u':couple_with_heart-man-man:': u'\U0001F468\U0000200D\U00002764\U0000200D\U0001F468',
    u':couple_with_heart-woman-man:': u'\U0001F469\U0000200D\U00002764\U0000200D\U0001F468',
    u':couple_with_heart-woman-woman:': u'\U0001F469\U0000200D\U00002764\U0000200D\U0001F469',
    u':couple_with_heart:': u'\U0001F491',
    u':couple_with_heart_man_man:': u'\U0001F468\U0000200D\U00002764\U0000FE0F\U0000200D\U0001F468',
    u':couple_with_heart_woman_man:': u'\U0001F469\U0000200D\U00002764\U0000FE0F\U0000200D\U0001F468',
    u':couple_with_heart_woman_woman:': u'\U0001F469\U0000200D\U00002764\U0000FE0F\U0000200D\U0001F469',
    u':cow:': u'\U0001F404',
    u':cow_face:': u'\U0001F42E',
    u':cowboy_hat_face:': u'\U0001F920',
    u':crab:': u'\U0001F980',
    u':crayon:': u'\U0001F58D',
    u':crayon_selector:': u'\U0001F58D\U0000FE0F',
    u':credit_card:': u'\U0001F4B3',
    u':crescent_moon:': u'\U0001F319',
    u':cricket:': u'\U0001F997',
    u':cricket_game:': u'\U0001F3CF',
    u':crocodile:': u'\U0001F40A',
    u':croissant:': u'\U0001F950',
    u':cross_mark:': u'\U0000274C',
    u':cross_mark_button:': u'\U0000274E',
    u':crossed_fingers:': u'\U0001F91E',
    u':crossed_fingers_dark_skin_tone:': u'\U0001F91E\U0001F3FF',
    u':crossed_fingers_light_skin_tone:': u'\U0001F91E\U0001F3FB',
    u':crossed_fingers_medium-dark_skin_tone:': u'\U0001F91E\U0001F3FE',
    u':crossed_fingers_medium-light_skin_tone:': u'\U0001F91E\U0001F3FC',
    u':crossed_fingers_medium_skin_tone:': u'\U0001F91E\U0001F3FD',
    u':crossed_flags:': u'\U0001F38C',
    u':crossed_swords:': u'\U00002694',
    u':crossed_swords_selector:': u'\U00002694\U0000FE0F',
    u':crown:': u'\U0001F451',
    u':crying_cat_face:': u'\U0001F63F',
    u':crying_face:': u'\U0001F622',
    u':crystal_ball:': u'\U0001F52E',
    u':cucumber:': u'\U0001F952',
    u':cup_with_straw:': u'\U0001F964',
    u':cupcake:': u'\U0001F9C1',
    u':curling_stone:': u'\U0001F94C',
    u':curly-haired_man:': u'\U0001F468\U0000200D\U0001F9B1',
    u':curly-haired_woman:': u'\U0001F469\U0000200D\U0001F9B1',
    u':curly_hair:': u'\U0001F9B1',
    u':curly_loop:': u'\U000027B0',
    u':currency_exchange:': u'\U0001F4B1',
    u':curry_rice:': u'\U0001F35B',
    u':custard:': u'\U0001F36E',
    u':customs:': u'\U0001F6C3',
    u':cut_of_meat:': u'\U0001F969',
    u':cyclone:': u'\U0001F300',
    u':dagger:': u'\U0001F5E1',
    u':dagger_selector:': u'\U0001F5E1\U0000FE0F',
    u':dango:': u'\U0001F361',
    u':dark_skin_tone:': u'\U0001F3FF',
    u':dashing_away:': u'\U0001F4A8',
    u':deaf_man-dark_skin_tone:': u'\U0001F9CF\U0001F3FF\U0000200D\U00002642',
    u':deaf_man-dark_skin_tone_selector:': u'\U0001F9CF\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':deaf_man-light_skin_tone:': u'\U0001F9CF\U0001F3FB\U0000200D\U00002642',
    u':deaf_man-light_skin_tone_selector:': u'\U0001F9CF\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':deaf_man-medium-dark_skin_tone:': u'\U0001F9CF\U0001F3FE\U0000200D\U00002642',
    u':deaf_man-medium-dark_skin_tone_selector:': u'\U0001F9CF\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':deaf_man-medium-light_skin_tone:': u'\U0001F9CF\U0001F3FC\U0000200D\U00002642',
    u':deaf_man-medium-light_skin_tone_selector:': u'\U0001F9CF\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':deaf_man-medium_skin_tone:': u'\U0001F9CF\U0001F3FD\U0000200D\U00002642',
    u':deaf_man-medium_skin_tone_selector:': u'\U0001F9CF\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':deaf_man:': u'\U0001F9CF\U0000200D\U00002642',
    u':deaf_man_selector:': u'\U0001F9CF\U0000200D\U00002642\U0000FE0F',
    u':deaf_person-dark_skin_tone:': u'\U0001F9CF\U0001F3FF',
    u':deaf_person-light_skin_tone:': u'\U0001F9CF\U0001F3FB',
    u':deaf_person-medium-dark_skin_tone:': u'\U0001F9CF\U0001F3FE',
    u':deaf_person-medium-light_skin_tone:': u'\U0001F9CF\U0001F3FC',
    u':deaf_person-medium_skin_tone:': u'\U0001F9CF\U0001F3FD',
    u':deaf_person:': u'\U0001F9CF',
    u':deaf_woman-dark_skin_tone:': u'\U0001F9CF\U0001F3FF\U0000200D\U00002640',
    u':deaf_woman-dark_skin_tone_selector:': u'\U0001F9CF\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':deaf_woman-light_skin_tone:': u'\U0001F9CF\U0001F3FB\U0000200D\U00002640',
    u':deaf_woman-light_skin_tone_selector:': u'\U0001F9CF\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':deaf_woman-medium-dark_skin_tone:': u'\U0001F9CF\U0001F3FE\U0000200D\U00002640',
    u':deaf_woman-medium-dark_skin_tone_selector:': u'\U0001F9CF\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':deaf_woman-medium-light_skin_tone:': u'\U0001F9CF\U0001F3FC\U0000200D\U00002640',
    u':deaf_woman-medium-light_skin_tone_selector:': u'\U0001F9CF\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':deaf_woman-medium_skin_tone:': u'\U0001F9CF\U0001F3FD\U0000200D\U00002640',
    u':deaf_woman-medium_skin_tone_selector:': u'\U0001F9CF\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':deaf_woman:': u'\U0001F9CF\U0000200D\U00002640',
    u':deaf_woman_selector:': u'\U0001F9CF\U0000200D\U00002640\U0000FE0F',
    u':deciduous_tree:': u'\U0001F333',
    u':deer:': u'\U0001F98C',
    u':delivery_truck:': u'\U0001F69A',
    u':department_store:': u'\U0001F3EC',
    u':derelict_house:': u'\U0001F3DA',
    u':derelict_house_selector:': u'\U0001F3DA\U0000FE0F',
    u':desert:': u'\U0001F3DC',
    u':desert_island:': u'\U0001F3DD',
    u':desert_island_selector:': u'\U0001F3DD\U0000FE0F',
    u':desert_selector:': u'\U0001F3DC\U0000FE0F',
    u':desktop_computer:': u'\U0001F5A5',
    u':desktop_computer_selector:': u'\U0001F5A5\U0000FE0F',
    u':detective:': u'\U0001F575',
    u':detective_dark_skin_tone:': u'\U0001F575\U0001F3FF',
    u':detective_light_skin_tone:': u'\U0001F575\U0001F3FB',
    u':detective_medium-dark_skin_tone:': u'\U0001F575\U0001F3FE',
    u':detective_medium-light_skin_tone:': u'\U0001F575\U0001F3FC',
    u':detective_medium_skin_tone:': u'\U0001F575\U0001F3FD',
    u':detective_selector:': u'\U0001F575\U0000FE0F',
    u':diamond_suit:': u'\U00002666',
    u':diamond_suit_selector:': u'\U00002666\U0000FE0F',
    u':diamond_with_a_dot:': u'\U0001F4A0',
    u':dim_button:': u'\U0001F505',
    u':direct_hit:': u'\U0001F3AF',
    u':disappointed_face:': u'\U0001F61E',
    u':diving_mask:': u'\U0001F93F',
    u':diya_lamp:': u'\U0001FA94',
    u':dizzy:': u'\U0001F4AB',
    u':dizzy_face:': u'\U0001F635',
    u':dna:': u'\U0001F9EC',
    u':dog:': u'\U0001F415',
    u':dog_face:': u'\U0001F436',
    u':dollar_banknote:': u'\U0001F4B5',
    u':dolphin:': u'\U0001F42C',
    u':door:': u'\U0001F6AA',
    u':dotted_six-pointed_star:': u'\U0001F52F',
    u':double_curly_loop:': u'\U000027BF',
    u':double_exclamation_mark:': u'\U0000203C',
    u':double_exclamation_mark_selector:': u'\U0000203C\U0000FE0F',
    u':doughnut:': u'\U0001F369',
    u':dove:': u'\U0001F54A',
    u':dove_selector:': u'\U0001F54A\U0000FE0F',
    u':down-left_arrow:': u'\U00002199',
    u':down-left_arrow_selector:': u'\U00002199\U0000FE0F',
    u':down-right_arrow:': u'\U00002198',
    u':down-right_arrow_selector:': u'\U00002198\U0000FE0F',
    u':down_arrow:': u'\U00002B07',
    u':down_arrow_selector:': u'\U00002B07\U0000FE0F',
    u':downcast_face_with_sweat:': u'\U0001F613',
    u':downwards_button:': u'\U0001F53D',
    u':dragon:': u'\U0001F409',
    u':dragon_face:': u'\U0001F432',
    u':dress:': u'\U0001F457',
    u':drooling_face:': u'\U0001F924',
    u':drop_of_blood:': u'\U0001FA78',
    u':droplet:': u'\U0001F4A7',
    u':drum:': u'\U0001F941',
    u':duck:': u'\U0001F986',
    u':dumpling:': u'\U0001F95F',
    u':dvd:': u'\U0001F4C0',
    u':e-mail:': u'\U0001F4E7',
    u':eagle:': u'\U0001F985',
    u':ear:': u'\U0001F442',
    u':ear_dark_skin_tone:': u'\U0001F442\U0001F3FF',
    u':ear_light_skin_tone:': u'\U0001F442\U0001F3FB',
    u':ear_medium-dark_skin_tone:': u'\U0001F442\U0001F3FE',
    u':ear_medium-light_skin_tone:': u'\U0001F442\U0001F3FC',
    u':ear_medium_skin_tone:': u'\U0001F442\U0001F3FD',
    u':ear_of_corn:': u'\U0001F33D',
    u':ear_with_hearing_aid-dark_skin_tone:': u'\U0001F9BB\U0001F3FF',
    u':ear_with_hearing_aid-light_skin_tone:': u'\U0001F9BB\U0001F3FB',
    u':ear_with_hearing_aid-medium-dark_skin_tone:': u'\U0001F9BB\U0001F3FE',
    u':ear_with_hearing_aid-medium-light_skin_tone:': u'\U0001F9BB\U0001F3FC',
    u':ear_with_hearing_aid-medium_skin_tone:': u'\U0001F9BB\U0001F3FD',
    u':ear_with_hearing_aid:': u'\U0001F9BB',
    u':egg:': u'\U0001F95A',
    u':eggplant:': u'\U0001F346',
    u':eight-pointed_star:': u'\U00002734',
    u':eight-pointed_star_selector:': u'\U00002734\U0000FE0F',
    u':eight-spoked_asterisk:': u'\U00002733',
    u':eight-spoked_asterisk_selector:': u'\U00002733\U0000FE0F',
    u':eight-thirty:': u'\U0001F563',
    u':eight_o\u2019clock:': u'\U0001F557',
    u':eject_button:': u'\U000023CF',
    u':eject_button_selector:': u'\U000023CF\U0000FE0F',
    u':electric_plug:': u'\U0001F50C',
    u':elephant:': u'\U0001F418',
    u':eleven-thirty:': u'\U0001F566',
    u':eleven_o\u2019clock:': u'\U0001F55A',
    u':elf:': u'\U0001F9DD',
    u':elf_dark_skin_tone:': u'\U0001F9DD\U0001F3FF',
    u':elf_light_skin_tone:': u'\U0001F9DD\U0001F3FB',
    u':elf_medium-dark_skin_tone:': u'\U0001F9DD\U0001F3FE',
    u':elf_medium-light_skin_tone:': u'\U0001F9DD\U0001F3FC',
    u':elf_medium_skin_tone:': u'\U0001F9DD\U0001F3FD',
    u':envelope:': u'\U00002709',
    u':envelope_selector:': u'\U00002709\U0000FE0F',
    u':envelope_with_arrow:': u'\U0001F4E9',
    u':euro_banknote:': u'\U0001F4B6',
    u':evergreen_tree:': u'\U0001F332',
    u':ewe:': u'\U0001F411',
    u':exclamation_mark:': u'\U00002757',
    u':exclamation_question_mark:': u'\U00002049',
    u':exclamation_question_mark_selector:': u'\U00002049\U0000FE0F',
    u':exploding_head:': u'\U0001F92F',
    u':expressionless_face:': u'\U0001F611',
    u':eye:': u'\U0001F441',
    u':eye_in_speech_bubble:': u'\U0001F441\U0000200D\U0001F5E8',
    u':eye_in_speech_bubble_2:': u'\U0001F441\U0000200D\U0001F5E8\U0000FE0F',
    u':eye_in_speech_bubble_3:': u'\U0001F441\U0000FE0F\U0000200D\U0001F5E8\U0000FE0F',
    u':eye_in_speech_bubble_selector:': u'\U0001F441\U0000FE0F\U0000200D\U0001F5E8',
    u':eye_selector:': u'\U0001F441\U0000FE0F',
    u':eyes:': u'\U0001F440',
    u':face_blowing_a_kiss:': u'\U0001F618',
    u':face_savoring_food:': u'\U0001F60B',
    u':face_screaming_in_fear:': u'\U0001F631',
    u':face_vomiting:': u'\U0001F92E',
    u':face_with_hand_over_mouth:': u'\U0001F92D',
    u':face_with_head-bandage:': u'\U0001F915',
    u':face_with_medical_mask:': u'\U0001F637',
    u':face_with_monocle:': u'\U0001F9D0',
    u':face_with_open_mouth:': u'\U0001F62E',
    u':face_with_raised_eyebrow:': u'\U0001F928',
    u':face_with_rolling_eyes:': u'\U0001F644',
    u':face_with_steam_from_nose:': u'\U0001F624',
    u':face_with_symbols_on_mouth:': u'\U0001F92C',
    u':face_with_tears_of_joy:': u'\U0001F602',
    u':face_with_thermometer:': u'\U0001F912',
    u':face_with_tongue:': u'\U0001F61B',
    u':face_without_mouth:': u'\U0001F636',
    u':factory:': u'\U0001F3ED',
    u':fairy:': u'\U0001F9DA',
    u':fairy_dark_skin_tone:': u'\U0001F9DA\U0001F3FF',
    u':fairy_light_skin_tone:': u'\U0001F9DA\U0001F3FB',
    u':fairy_medium-dark_skin_tone:': u'\U0001F9DA\U0001F3FE',
    u':fairy_medium-light_skin_tone:': u'\U0001F9DA\U0001F3FC',
    u':fairy_medium_skin_tone:': u'\U0001F9DA\U0001F3FD',
    u':falafel:': u'\U0001F9C6',
    u':fallen_leaf:': u'\U0001F342',
    u':family:': u'\U0001F46A',
    u':family_man_boy:': u'\U0001F468\U0000200D\U0001F466',
    u':family_man_boy_boy:': u'\U0001F468\U0000200D\U0001F466\U0000200D\U0001F466',
    u':family_man_girl:': u'\U0001F468\U0000200D\U0001F467',
    u':family_man_girl_boy:': u'\U0001F468\U0000200D\U0001F467\U0000200D\U0001F466',
    u':family_man_girl_girl:': u'\U0001F468\U0000200D\U0001F467\U0000200D\U0001F467',
    u':family_man_man_boy:': u'\U0001F468\U0000200D\U0001F468\U0000200D\U0001F466',
    u':family_man_man_boy_boy:': u'\U0001F468\U0000200D\U0001F468\U0000200D\U0001F466\U0000200D\U0001F466',
    u':family_man_man_girl:': u'\U0001F468\U0000200D\U0001F468\U0000200D\U0001F467',
    u':family_man_man_girl_boy:': u'\U0001F468\U0000200D\U0001F468\U0000200D\U0001F467\U0000200D\U0001F466',
    u':family_man_man_girl_girl:': u'\U0001F468\U0000200D\U0001F468\U0000200D\U0001F467\U0000200D\U0001F467',
    u':family_man_woman_boy:': u'\U0001F468\U0000200D\U0001F469\U0000200D\U0001F466',
    u':family_man_woman_boy_boy:': u'\U0001F468\U0000200D\U0001F469\U0000200D\U0001F466\U0000200D\U0001F466',
    u':family_man_woman_girl:': u'\U0001F468\U0000200D\U0001F469\U0000200D\U0001F467',
    u':family_man_woman_girl_boy:': u'\U0001F468\U0000200D\U0001F469\U0000200D\U0001F467\U0000200D\U0001F466',
    u':family_man_woman_girl_girl:': u'\U0001F468\U0000200D\U0001F469\U0000200D\U0001F467\U0000200D\U0001F467',
    u':family_woman_boy:': u'\U0001F469\U0000200D\U0001F466',
    u':family_woman_boy_boy:': u'\U0001F469\U0000200D\U0001F466\U0000200D\U0001F466',
    u':family_woman_girl:': u'\U0001F469\U0000200D\U0001F467',
    u':family_woman_girl_boy:': u'\U0001F469\U0000200D\U0001F467\U0000200D\U0001F466',
    u':family_woman_girl_girl:': u'\U0001F469\U0000200D\U0001F467\U0000200D\U0001F467',
    u':family_woman_woman_boy:': u'\U0001F469\U0000200D\U0001F469\U0000200D\U0001F466',
    u':family_woman_woman_boy_boy:': u'\U0001F469\U0000200D\U0001F469\U0000200D\U0001F466\U0000200D\U0001F466',
    u':family_woman_woman_girl:': u'\U0001F469\U0000200D\U0001F469\U0000200D\U0001F467',
    u':family_woman_woman_girl_boy:': u'\U0001F469\U0000200D\U0001F469\U0000200D\U0001F467\U0000200D\U0001F466',
    u':family_woman_woman_girl_girl:': u'\U0001F469\U0000200D\U0001F469\U0000200D\U0001F467\U0000200D\U0001F467',
    u':fast-forward_button:': u'\U000023E9',
    u':fast_down_button:': u'\U000023EC',
    u':fast_reverse_button:': u'\U000023EA',
    u':fast_up_button:': u'\U000023EB',
    u':fax_machine:': u'\U0001F4E0',
    u':fearful_face:': u'\U0001F628',
    u':female_sign:': u'\U00002640',
    u':female_sign_selector:': u'\U00002640\U0000FE0F',
    u':ferris_wheel:': u'\U0001F3A1',
    u':ferry:': u'\U000026F4',
    u':ferry_selector:': u'\U000026F4\U0000FE0F',
    u':field_hockey:': u'\U0001F3D1',
    u':file_cabinet:': u'\U0001F5C4',
    u':file_cabinet_selector:': u'\U0001F5C4\U0000FE0F',
    u':file_folder:': u'\U0001F4C1',
    u':film_frames:': u'\U0001F39E',
    u':film_frames_selector:': u'\U0001F39E\U0000FE0F',
    u':film_projector:': u'\U0001F4FD',
    u':film_projector_selector:': u'\U0001F4FD\U0000FE0F',
    u':fire:': u'\U0001F525',
    u':fire_engine:': u'\U0001F692',
    u':fire_extinguisher:': u'\U0001F9EF',
    u':firecracker:': u'\U0001F9E8',
    u':fireworks:': u'\U0001F386',
    u':first_quarter_moon:': u'\U0001F313',
    u':first_quarter_moon_face:': u'\U0001F31B',
    u':fish:': u'\U0001F41F',
    u':fish_cake_with_swirl:': u'\U0001F365',
    u':fishing_pole:': u'\U0001F3A3',
    u':five-thirty:': u'\U0001F560',
    u':five_o\u2019clock:': u'\U0001F554',
    u':flag_in_hole:': u'\U000026F3',
    u':flamingo:': u'\U0001F9A9',
    u':flashlight:': u'\U0001F526',
    u':flat_shoe:': u'\U0001F97F',
    u':fleur-de-lis:': u'\U0000269C',
    u':fleur-de-lis_selector:': u'\U0000269C\U0000FE0F',
    u':flexed_biceps:': u'\U0001F4AA',
    u':flexed_biceps_dark_skin_tone:': u'\U0001F4AA\U0001F3FF',
    u':flexed_biceps_light_skin_tone:': u'\U0001F4AA\U0001F3FB',
    u':flexed_biceps_medium-dark_skin_tone:': u'\U0001F4AA\U0001F3FE',
    u':flexed_biceps_medium-light_skin_tone:': u'\U0001F4AA\U0001F3FC',
    u':flexed_biceps_medium_skin_tone:': u'\U0001F4AA\U0001F3FD',
    u':floppy_disk:': u'\U0001F4BE',
    u':flower_playing_cards:': u'\U0001F3B4',
    u':flushed_face:': u'\U0001F633',
    u':flying_disc:': u'\U0001F94F',
    u':flying_saucer:': u'\U0001F6F8',
    u':fog:': u'\U0001F32B',
    u':fog_selector:': u'\U0001F32B\U0000FE0F',
    u':foggy:': u'\U0001F301',
    u':folded_hands:': u'\U0001F64F',
    u':folded_hands_dark_skin_tone:': u'\U0001F64F\U0001F3FF',
    u':folded_hands_light_skin_tone:': u'\U0001F64F\U0001F3FB',
    u':folded_hands_medium-dark_skin_tone:': u'\U0001F64F\U0001F3FE',
    u':folded_hands_medium-light_skin_tone:': u'\U0001F64F\U0001F3FC',
    u':folded_hands_medium_skin_tone:': u'\U0001F64F\U0001F3FD',
    u':foot-dark_skin_tone:': u'\U0001F9B6\U0001F3FF',
    u':foot-light_skin_tone:': u'\U0001F9B6\U0001F3FB',
    u':foot-medium-dark_skin_tone:': u'\U0001F9B6\U0001F3FE',
    u':foot-medium-light_skin_tone:': u'\U0001F9B6\U0001F3FC',
    u':foot-medium_skin_tone:': u'\U0001F9B6\U0001F3FD',
    u':foot:': u'\U0001F9B6',
    u':footprints:': u'\U0001F463',
    u':fork_and_knife:': u'\U0001F374',
    u':fork_and_knife_with_plate:': u'\U0001F37D',
    u':fork_and_knife_with_plate_selector:': u'\U0001F37D\U0000FE0F',
    u':fortune_cookie:': u'\U0001F960',
    u':fountain:': u'\U000026F2',
    u':fountain_pen:': u'\U0001F58B',
    u':fountain_pen_selector:': u'\U0001F58B\U0000FE0F',
    u':four-thirty:': u'\U0001F55F',
    u':four_leaf_clover:': u'\U0001F340',
    u':four_o\u2019clock:': u'\U0001F553',
    u':fox_face:': u'\U0001F98A',
    u':framed_picture:': u'\U0001F5BC',
    u':framed_picture_selector:': u'\U0001F5BC\U0000FE0F',
    u':french_fries:': u'\U0001F35F',
    u':fried_shrimp:': u'\U0001F364',
    u':frog_face:': u'\U0001F438',
    u':front-facing_baby_chick:': u'\U0001F425',
    u':frowning_face:': u'\U00002639',
    u':frowning_face_selector:': u'\U00002639\U0000FE0F',
    u':frowning_face_with_open_mouth:': u'\U0001F626',
    u':fuel_pump:': u'\U000026FD',
    u':full_moon:': u'\U0001F315',
    u':full_moon_face:': u'\U0001F31D',
    u':funeral_urn:': u'\U000026B1',
    u':funeral_urn_selector:': u'\U000026B1\U0000FE0F',
    u':game_die:': u'\U0001F3B2',
    u':garlic:': u'\U0001F9C4',
    u':gear:': u'\U00002699',
    u':gear_selector:': u'\U00002699\U0000FE0F',
    u':gem_stone:': u'\U0001F48E',
    u':genie:': u'\U0001F9DE',
    u':ghost:': u'\U0001F47B',
    u':giraffe:': u'\U0001F992',
    u':girl:': u'\U0001F467',
    u':girl_dark_skin_tone:': u'\U0001F467\U0001F3FF',
    u':girl_light_skin_tone:': u'\U0001F467\U0001F3FB',
    u':girl_medium-dark_skin_tone:': u'\U0001F467\U0001F3FE',
    u':girl_medium-light_skin_tone:': u'\U0001F467\U0001F3FC',
    u':girl_medium_skin_tone:': u'\U0001F467\U0001F3FD',
    u':glass_of_milk:': u'\U0001F95B',
    u':glasses:': u'\U0001F453',
    u':globe_showing_Americas:': u'\U0001F30E',
    u':globe_showing_Asia-Australia:': u'\U0001F30F',
    u':globe_showing_Europe-Africa:': u'\U0001F30D',
    u':globe_with_meridians:': u'\U0001F310',
    u':gloves:': u'\U0001F9E4',
    u':glowing_star:': u'\U0001F31F',
    u':goal_net:': u'\U0001F945',
    u':goat:': u'\U0001F410',
    u':goblin:': u'\U0001F47A',
    u':goggles:': u'\U0001F97D',
    u':gorilla:': u'\U0001F98D',
    u':graduation_cap:': u'\U0001F393',
    u':grapes:': u'\U0001F347',
    u':green_apple:': u'\U0001F34F',
    u':green_book:': u'\U0001F4D7',
    u':green_circle:': u'\U0001F7E2',
    u':green_heart:': u'\U0001F49A',
    u':green_salad:': u'\U0001F957',
    u':green_square:': u'\U0001F7E9',
    u':grimacing_face:': u'\U0001F62C',
    u':grinning_cat_face:': u'\U0001F63A',
    u':grinning_cat_face_with_smiling_eyes:': u'\U0001F638',
    u':grinning_face:': u'\U0001F600',
    u':grinning_face_with_big_eyes:': u'\U0001F603',
    u':grinning_face_with_smiling_eyes:': u'\U0001F604',
    u':grinning_face_with_sweat:': u'\U0001F605',
    u':grinning_squinting_face:': u'\U0001F606',
    u':growing_heart:': u'\U0001F497',
    u':guard:': u'\U0001F482',
    u':guard_dark_skin_tone:': u'\U0001F482\U0001F3FF',
    u':guard_light_skin_tone:': u'\U0001F482\U0001F3FB',
    u':guard_medium-dark_skin_tone:': u'\U0001F482\U0001F3FE',
    u':guard_medium-light_skin_tone:': u'\U0001F482\U0001F3FC',
    u':guard_medium_skin_tone:': u'\U0001F482\U0001F3FD',
    u':guide_dog:': u'\U0001F9AE',
    u':guitar:': u'\U0001F3B8',
    u':hamburger:': u'\U0001F354',
    u':hammer:': u'\U0001F528',
    u':hammer_and_pick:': u'\U00002692',
    u':hammer_and_pick_selector:': u'\U00002692\U0000FE0F',
    u':hammer_and_wrench:': u'\U0001F6E0',
    u':hammer_and_wrench_selector:': u'\U0001F6E0\U0000FE0F',
    u':hamster_face:': u'\U0001F439',
    u':hand_with_fingers_splayed:': u'\U0001F590',
    u':hand_with_fingers_splayed_dark_skin_tone:': u'\U0001F590\U0001F3FF',
    u':hand_with_fingers_splayed_light_skin_tone:': u'\U0001F590\U0001F3FB',
    u':hand_with_fingers_splayed_medium-dark_skin_tone:': u'\U0001F590\U0001F3FE',
    u':hand_with_fingers_splayed_medium-light_skin_tone:': u'\U0001F590\U0001F3FC',
    u':hand_with_fingers_splayed_medium_skin_tone:': u'\U0001F590\U0001F3FD',
    u':hand_with_fingers_splayed_selector:': u'\U0001F590\U0000FE0F',
    u':handbag:': u'\U0001F45C',
    u':handshake:': u'\U0001F91D',
    u':hatching_chick:': u'\U0001F423',
    u':headphone:': u'\U0001F3A7',
    u':hear-no-evil_monkey:': u'\U0001F649',
    u':heart_decoration:': u'\U0001F49F',
    u':heart_exclamation:': u'\U00002763\U0000FE0F',
    u':heart_suit:': u'\U00002665',
    u':heart_suit_selector:': u'\U00002665\U0000FE0F',
    u':heart_with_arrow:': u'\U0001F498',
    u':heart_with_ribbon:': u'\U0001F49D',
    u':heavy_check_mark:': u'\U00002714',
    u':heavy_division_sign:': u'\U00002797',
    u':heavy_dollar_sign:': u'\U0001F4B2',
    u':heavy_heart_exclamation:': u'\U00002763',
    u':heavy_large_circle:': u'\U00002B55',
    u':heavy_minus_sign:': u'\U00002796',
    u':heavy_multiplication_x:': u'\U00002716',
    u':heavy_plus_sign:': u'\U00002795',
    u':hedgehog:': u'\U0001F994',
    u':helicopter:': u'\U0001F681',
    u':herb:': u'\U0001F33F',
    u':hibiscus:': u'\U0001F33A',
    u':high-heeled_shoe:': u'\U0001F460',
    u':high-speed_train:': u'\U0001F684',
    u':high_voltage:': u'\U000026A1',
    u':hiking_boot:': u'\U0001F97E',
    u':hindu_temple:': u'\U0001F6D5',
    u':hippopotamus:': u'\U0001F99B',
    u':hole:': u'\U0001F573',
    u':hole_selector:': u'\U0001F573\U0000FE0F',
    u':honey_pot:': u'\U0001F36F',
    u':honeybee:': u'\U0001F41D',
    u':horizontal_traffic_light:': u'\U0001F6A5',
    u':horse:': u'\U0001F40E',
    u':horse_face:': u'\U0001F434',
    u':horse_racing:': u'\U0001F3C7',
    u':horse_racing_dark_skin_tone:': u'\U0001F3C7\U0001F3FF',
    u':horse_racing_light_skin_tone:': u'\U0001F3C7\U0001F3FB',
    u':horse_racing_medium-dark_skin_tone:': u'\U0001F3C7\U0001F3FE',
    u':horse_racing_medium-light_skin_tone:': u'\U0001F3C7\U0001F3FC',
    u':horse_racing_medium_skin_tone:': u'\U0001F3C7\U0001F3FD',
    u':hospital:': u'\U0001F3E5',
    u':hot_beverage:': u'\U00002615',
    u':hot_dog:': u'\U0001F32D',
    u':hot_face:': u'\U0001F975',
    u':hot_pepper:': u'\U0001F336',
    u':hot_pepper_selector:': u'\U0001F336\U0000FE0F',
    u':hot_springs:': u'\U00002668',
    u':hot_springs_selector:': u'\U00002668\U0000FE0F',
    u':hotel:': u'\U0001F3E8',
    u':hourglass_done:': u'\U0000231B',
    u':hourglass_not_done:': u'\U000023F3',
    u':house:': u'\U0001F3E0',
    u':house_with_garden:': u'\U0001F3E1',
    u':houses:': u'\U0001F3D8',
    u':houses_selector:': u'\U0001F3D8\U0000FE0F',
    u':hugging_face:': u'\U0001F917',
    u':hundred_points:': u'\U0001F4AF',
    u':hushed_face:': u'\U0001F62F',
    u':ice:': u'\U0001F9CA',
    u':ice_cream:': u'\U0001F368',
    u':ice_hockey:': u'\U0001F3D2',
    u':ice_skate:': u'\U000026F8',
    u':ice_skate_selector:': u'\U000026F8\U0000FE0F',
    u':inbox_tray:': u'\U0001F4E5',
    u':incoming_envelope:': u'\U0001F4E8',
    u':index_pointing_up:': u'\U0000261D',
    u':index_pointing_up_dark_skin_tone:': u'\U0000261D\U0001F3FF',
    u':index_pointing_up_light_skin_tone:': u'\U0000261D\U0001F3FB',
    u':index_pointing_up_medium-dark_skin_tone:': u'\U0000261D\U0001F3FE',
    u':index_pointing_up_medium-light_skin_tone:': u'\U0000261D\U0001F3FC',
    u':index_pointing_up_medium_skin_tone:': u'\U0000261D\U0001F3FD',
    u':index_pointing_up_selector:': u'\U0000261D\U0000FE0F',
    u':infinity:': u'\U0000267E',
    u':infinity_selector:': u'\U0000267E\U0000FE0F',
    u':information:': u'\U00002139',
    u':information_selector:': u'\U00002139\U0000FE0F',
    u':input_latin_letters:': u'\U0001F524',
    u':input_latin_lowercase:': u'\U0001F521',
    u':input_latin_uppercase:': u'\U0001F520',
    u':input_numbers:': u'\U0001F522',
    u':input_symbols:': u'\U0001F523',
    u':jack-o-lantern:': u'\U0001F383',
    u':jeans:': u'\U0001F456',
    u':jigsaw:': u'\U0001F9E9',
    u':joker:': u'\U0001F0CF',
    u':joystick:': u'\U0001F579',
    u':joystick_selector:': u'\U0001F579\U0000FE0F',
    u':kaaba:': u'\U0001F54B',
    u':kangaroo:': u'\U0001F998',
    u':key:': u'\U0001F511',
    u':keyboard:': u'\U00002328',
    u':keyboard_selector:': u'\U00002328\U0000FE0F',
    u':keycap:': u'\U00000023\U000020E3',
    u':keycap:': u'\U00000023\U000020E3',
    u':keycap_2:': u'\U00000023\U0000FE0F\U000020E3',
    u':keycap_3:': u'\U00000023\U000020E3',
    u':keycap_#:': u'\U00000023\U0000FE0F\U000020E3',
    u':keycap_*:': u'\U0000002A\U0000FE0F\U000020E3',
    u':keycap_0:': u'\U00000030\U0000FE0F\U000020E3',
    u':keycap_10:': u'\U0001F51F',
    u':keycap_1:': u'\U00000031\U0000FE0F\U000020E3',
    u':keycap_2:': u'\U00000032\U0000FE0F\U000020E3',
    u':keycap_3:': u'\U00000033\U0000FE0F\U000020E3',
    u':keycap_4:': u'\U00000034\U0000FE0F\U000020E3',
    u':keycap_5:': u'\U00000035\U0000FE0F\U000020E3',
    u':keycap_6:': u'\U00000036\U0000FE0F\U000020E3',
    u':keycap_7:': u'\U00000037\U0000FE0F\U000020E3',
    u':keycap_8:': u'\U00000038\U0000FE0F\U000020E3',
    u':keycap_9:': u'\U00000039\U0000FE0F\U000020E3',
    u':keycap_asterisk:': u'\U0000002A\U000020E3',
    u':keycap_digit_eight:': u'\U00000038\U000020E3',
    u':keycap_digit_five:': u'\U00000035\U000020E3',
    u':keycap_digit_four:': u'\U00000034\U000020E3',
    u':keycap_digit_nine:': u'\U00000039\U000020E3',
    u':keycap_digit_one:': u'\U00000031\U000020E3',
    u':keycap_digit_seven:': u'\U00000037\U000020E3',
    u':keycap_digit_six:': u'\U00000036\U000020E3',
    u':keycap_digit_three:': u'\U00000033\U000020E3',
    u':keycap_digit_two:': u'\U00000032\U000020E3',
    u':keycap_digit_zero:': u'\U00000030\U000020E3',
    u':kick_scooter:': u'\U0001F6F4',
    u':kimono:': u'\U0001F458',
    u':kiss-man-man:': u'\U0001F468\U0000200D\U00002764\U0000200D\U0001F48B\U0000200D\U0001F468',
    u':kiss-woman-man:': u'\U0001F469\U0000200D\U00002764\U0000200D\U0001F48B\U0000200D\U0001F468',
    u':kiss-woman-woman:': u'\U0001F469\U0000200D\U00002764\U0000200D\U0001F48B\U0000200D\U0001F469',
    u':kiss:': u'\U0001F48F',
    u':kiss_man_man:': u'\U0001F468\U0000200D\U00002764\U0000FE0F\U0000200D\U0001F48B\U0000200D\U0001F468',
    u':kiss_mark:': u'\U0001F48B',
    u':kiss_woman_man:': u'\U0001F469\U0000200D\U00002764\U0000FE0F\U0000200D\U0001F48B\U0000200D\U0001F468',
    u':kiss_woman_woman:': u'\U0001F469\U0000200D\U00002764\U0000FE0F\U0000200D\U0001F48B\U0000200D\U0001F469',
    u':kissing_cat_face:': u'\U0001F63D',
    u':kissing_face:': u'\U0001F617',
    u':kissing_face_with_closed_eyes:': u'\U0001F61A',
    u':kissing_face_with_smiling_eyes:': u'\U0001F619',
    u':kitchen_knife:': u'\U0001F52A',
    u':kite:': u'\U0001FA81',
    u':kiwi_fruit:': u'\U0001F95D',
    u':koala:': u'\U0001F428',
    u':lab_coat:': u'\U0001F97C',
    u':label:': u'\U0001F3F7',
    u':label_selector:': u'\U0001F3F7\U0000FE0F',
    u':lacrosse:': u'\U0001F94D',
    u':lady_beetle:': u'\U0001F41E',
    u':laptop_computer:': u'\U0001F4BB',
    u':large_blue_diamond:': u'\U0001F537',
    u':large_orange_diamond:': u'\U0001F536',
    u':last_quarter_moon:': u'\U0001F317',
    u':last_quarter_moon_face:': u'\U0001F31C',
    u':last_track_button:': u'\U000023EE',
    u':last_track_button_selector:': u'\U000023EE\U0000FE0F',
    u':latin_cross:': u'\U0000271D',
    u':latin_cross_selector:': u'\U0000271D\U0000FE0F',
    u':leaf_fluttering_in_wind:': u'\U0001F343',
    u':leafy_green:': u'\U0001F96C',
    u':ledger:': u'\U0001F4D2',
    u':left-facing_fist:': u'\U0001F91B',
    u':left-facing_fist_dark_skin_tone:': u'\U0001F91B\U0001F3FF',
    u':left-facing_fist_light_skin_tone:': u'\U0001F91B\U0001F3FB',
    u':left-facing_fist_medium-dark_skin_tone:': u'\U0001F91B\U0001F3FE',
    u':left-facing_fist_medium-light_skin_tone:': u'\U0001F91B\U0001F3FC',
    u':left-facing_fist_medium_skin_tone:': u'\U0001F91B\U0001F3FD',
    u':left-right_arrow:': u'\U00002194',
    u':left-right_arrow_selector:': u'\U00002194\U0000FE0F',
    u':left_arrow:': u'\U00002B05',
    u':left_arrow_curving_right:': u'\U000021AA',
    u':left_arrow_curving_right_selector:': u'\U000021AA\U0000FE0F',
    u':left_arrow_selector:': u'\U00002B05\U0000FE0F',
    u':left_luggage:': u'\U0001F6C5',
    u':left_speech_bubble:': u'\U0001F5E8',
    u':left_speech_bubble_selector:': u'\U0001F5E8\U0000FE0F',
    u':leg-dark_skin_tone:': u'\U0001F9B5\U0001F3FF',
    u':leg-light_skin_tone:': u'\U0001F9B5\U0001F3FB',
    u':leg-medium-dark_skin_tone:': u'\U0001F9B5\U0001F3FE',
    u':leg-medium-light_skin_tone:': u'\U0001F9B5\U0001F3FC',
    u':leg-medium_skin_tone:': u'\U0001F9B5\U0001F3FD',
    u':leg:': u'\U0001F9B5',
    u':lemon:': u'\U0001F34B',
    u':leopard:': u'\U0001F406',
    u':level_slider:': u'\U0001F39A',
    u':level_slider_selector:': u'\U0001F39A\U0000FE0F',
    u':light_bulb:': u'\U0001F4A1',
    u':light_rail:': u'\U0001F688',
    u':light_skin_tone:': u'\U0001F3FB',
    u':link:': u'\U0001F517',
    u':linked_paperclips:': u'\U0001F587',
    u':linked_paperclips_selector:': u'\U0001F587\U0000FE0F',
    u':lion_face:': u'\U0001F981',
    u':lipstick:': u'\U0001F484',
    u':litter_in_bin_sign:': u'\U0001F6AE',
    u':lizard:': u'\U0001F98E',
    u':llama:': u'\U0001F999',
    u':lobster:': u'\U0001F99E',
    u':locked:': u'\U0001F512',
    u':locked_with_key:': u'\U0001F510',
    u':locked_with_pen:': u'\U0001F50F',
    u':locomotive:': u'\U0001F682',
    u':lollipop:': u'\U0001F36D',
    u':lotion_bottle:': u'\U0001F9F4',
    u':loudly_crying_face:': u'\U0001F62D',
    u':loudspeaker:': u'\U0001F4E2',
    u':love-you_gesture:': u'\U0001F91F',
    u':love-you_gesture_dark_skin_tone:': u'\U0001F91F\U0001F3FF',
    u':love-you_gesture_light_skin_tone:': u'\U0001F91F\U0001F3FB',
    u':love-you_gesture_medium-dark_skin_tone:': u'\U0001F91F\U0001F3FE',
    u':love-you_gesture_medium-light_skin_tone:': u'\U0001F91F\U0001F3FC',
    u':love-you_gesture_medium_skin_tone:': u'\U0001F91F\U0001F3FD',
    u':love_hotel:': u'\U0001F3E9',
    u':love_letter:': u'\U0001F48C',
    u':luggage:': u'\U0001F9F3',
    u':lying_face:': u'\U0001F925',
    u':mage:': u'\U0001F9D9',
    u':mage_dark_skin_tone:': u'\U0001F9D9\U0001F3FF',
    u':mage_light_skin_tone:': u'\U0001F9D9\U0001F3FB',
    u':mage_medium-dark_skin_tone:': u'\U0001F9D9\U0001F3FE',
    u':mage_medium-light_skin_tone:': u'\U0001F9D9\U0001F3FC',
    u':mage_medium_skin_tone:': u'\U0001F9D9\U0001F3FD',
    u':magnet:': u'\U0001F9F2',
    u':magnifying_glass_tilted_left:': u'\U0001F50D',
    u':magnifying_glass_tilted_right:': u'\U0001F50E',
    u':mahjong_red_dragon:': u'\U0001F004',
    u':male_sign:': u'\U00002642',
    u':male_sign_selector:': u'\U00002642\U0000FE0F',
    u':man-blond_hair:': u'\U0001F471\U0000200D\U00002642',
    u':man-dark_skin_tone-bald:': u'\U0001F468\U0001F3FF\U0000200D\U0001F9B2',
    u':man-dark_skin_tone-blond_hair:': u'\U0001F471\U0001F3FF\U0000200D\U00002642',
    u':man-dark_skin_tone-curly_hair:': u'\U0001F468\U0001F3FF\U0000200D\U0001F9B1',
    u':man-dark_skin_tone-red_hair:': u'\U0001F468\U0001F3FF\U0000200D\U0001F9B0',
    u':man-dark_skin_tone-white_hair:': u'\U0001F468\U0001F3FF\U0000200D\U0001F9B3',
    u':man-light_skin_tone-bald:': u'\U0001F468\U0001F3FB\U0000200D\U0001F9B2',
    u':man-light_skin_tone-blond_hair:': u'\U0001F471\U0001F3FB\U0000200D\U00002642',
    u':man-light_skin_tone-curly_hair:': u'\U0001F468\U0001F3FB\U0000200D\U0001F9B1',
    u':man-light_skin_tone-red_hair:': u'\U0001F468\U0001F3FB\U0000200D\U0001F9B0',
    u':man-light_skin_tone-white_hair:': u'\U0001F468\U0001F3FB\U0000200D\U0001F9B3',
    u':man-medium-dark_skin_tone-bald:': u'\U0001F468\U0001F3FE\U0000200D\U0001F9B2',
    u':man-medium-dark_skin_tone-blond_hair:': u'\U0001F471\U0001F3FE\U0000200D\U00002642',
    u':man-medium-dark_skin_tone-curly_hair:': u'\U0001F468\U0001F3FE\U0000200D\U0001F9B1',
    u':man-medium-dark_skin_tone-red_hair:': u'\U0001F468\U0001F3FE\U0000200D\U0001F9B0',
    u':man-medium-dark_skin_tone-white_hair:': u'\U0001F468\U0001F3FE\U0000200D\U0001F9B3',
    u':man-medium-light_skin_tone-bald:': u'\U0001F468\U0001F3FC\U0000200D\U0001F9B2',
    u':man-medium-light_skin_tone-blond_hair:': u'\U0001F471\U0001F3FC\U0000200D\U00002642',
    u':man-medium-light_skin_tone-curly_hair:': u'\U0001F468\U0001F3FC\U0000200D\U0001F9B1',
    u':man-medium-light_skin_tone-red_hair:': u'\U0001F468\U0001F3FC\U0000200D\U0001F9B0',
    u':man-medium-light_skin_tone-white_hair:': u'\U0001F468\U0001F3FC\U0000200D\U0001F9B3',
    u':man-medium_skin_tone-bald:': u'\U0001F468\U0001F3FD\U0000200D\U0001F9B2',
    u':man-medium_skin_tone-blond_hair:': u'\U0001F471\U0001F3FD\U0000200D\U00002642',
    u':man-medium_skin_tone-curly_hair:': u'\U0001F468\U0001F3FD\U0000200D\U0001F9B1',
    u':man-medium_skin_tone-red_hair:': u'\U0001F468\U0001F3FD\U0000200D\U0001F9B0',
    u':man-medium_skin_tone-white_hair:': u'\U0001F468\U0001F3FD\U0000200D\U0001F9B3',
    u':man:': u'\U0001F468',
    u':man_and_woman_holding_hands:': u'\U0001F46B',
    u':man_artist:': u'\U0001F468\U0000200D\U0001F3A8',
    u':man_artist_dark_skin_tone:': u'\U0001F468\U0001F3FF\U0000200D\U0001F3A8',
    u':man_artist_light_skin_tone:': u'\U0001F468\U0001F3FB\U0000200D\U0001F3A8',
    u':man_artist_medium-dark_skin_tone:': u'\U0001F468\U0001F3FE\U0000200D\U0001F3A8',
    u':man_artist_medium-light_skin_tone:': u'\U0001F468\U0001F3FC\U0000200D\U0001F3A8',
    u':man_artist_medium_skin_tone:': u'\U0001F468\U0001F3FD\U0000200D\U0001F3A8',
    u':man_astronaut:': u'\U0001F468\U0000200D\U0001F680',
    u':man_astronaut_dark_skin_tone:': u'\U0001F468\U0001F3FF\U0000200D\U0001F680',
    u':man_astronaut_light_skin_tone:': u'\U0001F468\U0001F3FB\U0000200D\U0001F680',
    u':man_astronaut_medium-dark_skin_tone:': u'\U0001F468\U0001F3FE\U0000200D\U0001F680',
    u':man_astronaut_medium-light_skin_tone:': u'\U0001F468\U0001F3FC\U0000200D\U0001F680',
    u':man_astronaut_medium_skin_tone:': u'\U0001F468\U0001F3FD\U0000200D\U0001F680',
    u':man_biking-dark_skin_tone:': u'\U0001F6B4\U0001F3FF\U0000200D\U00002642',
    u':man_biking-light_skin_tone:': u'\U0001F6B4\U0001F3FB\U0000200D\U00002642',
    u':man_biking-medium-dark_skin_tone:': u'\U0001F6B4\U0001F3FE\U0000200D\U00002642',
    u':man_biking-medium-light_skin_tone:': u'\U0001F6B4\U0001F3FC\U0000200D\U00002642',
    u':man_biking-medium_skin_tone:': u'\U0001F6B4\U0001F3FD\U0000200D\U00002642',
    u':man_biking:': u'\U0001F6B4\U0000200D\U00002642',
    u':man_biking_dark_skin_tone:': u'\U0001F6B4\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':man_biking_light_skin_tone:': u'\U0001F6B4\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':man_biking_medium-dark_skin_tone:': u'\U0001F6B4\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':man_biking_medium-light_skin_tone:': u'\U0001F6B4\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':man_biking_medium_skin_tone:': u'\U0001F6B4\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':man_biking_selector:': u'\U0001F6B4\U0000200D\U00002642\U0000FE0F',
    u':man_bouncing_ball-dark_skin_tone:': u'\U000026F9\U0001F3FF\U0000200D\U00002642',
    u':man_bouncing_ball-light_skin_tone:': u'\U000026F9\U0001F3FB\U0000200D\U00002642',
    u':man_bouncing_ball-medium-dark_skin_tone:': u'\U000026F9\U0001F3FE\U0000200D\U00002642',
    u':man_bouncing_ball-medium-light_skin_tone:': u'\U000026F9\U0001F3FC\U0000200D\U00002642',
    u':man_bouncing_ball-medium_skin_tone:': u'\U000026F9\U0001F3FD\U0000200D\U00002642',
    u':man_bouncing_ball:': u'\U000026F9\U0000200D\U00002642',
    u':man_bouncing_ball_2:': u'\U000026F9\U0000FE0F\U0000200D\U00002642\U0000FE0F',
    u':man_bouncing_ball_3:': u'\U000026F9\U0000200D\U00002642\U0000FE0F',
    u':man_bouncing_ball_dark_skin_tone:': u'\U000026F9\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':man_bouncing_ball_light_skin_tone:': u'\U000026F9\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':man_bouncing_ball_medium-dark_skin_tone:': u'\U000026F9\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':man_bouncing_ball_medium-light_skin_tone:': u'\U000026F9\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':man_bouncing_ball_medium_skin_tone:': u'\U000026F9\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':man_bouncing_ball_selector:': u'\U000026F9\U0000FE0F\U0000200D\U00002642',
    u':man_bowing-dark_skin_tone:': u'\U0001F647\U0001F3FF\U0000200D\U00002642',
    u':man_bowing-light_skin_tone:': u'\U0001F647\U0001F3FB\U0000200D\U00002642',
    u':man_bowing-medium-dark_skin_tone:': u'\U0001F647\U0001F3FE\U0000200D\U00002642',
    u':man_bowing-medium-light_skin_tone:': u'\U0001F647\U0001F3FC\U0000200D\U00002642',
    u':man_bowing-medium_skin_tone:': u'\U0001F647\U0001F3FD\U0000200D\U00002642',
    u':man_bowing:': u'\U0001F647\U0000200D\U00002642',
    u':man_bowing_dark_skin_tone:': u'\U0001F647\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':man_bowing_light_skin_tone:': u'\U0001F647\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':man_bowing_medium-dark_skin_tone:': u'\U0001F647\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':man_bowing_medium-light_skin_tone:': u'\U0001F647\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':man_bowing_medium_skin_tone:': u'\U0001F647\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':man_bowing_selector:': u'\U0001F647\U0000200D\U00002642\U0000FE0F',
    u':man_cartwheeling-dark_skin_tone:': u'\U0001F938\U0001F3FF\U0000200D\U00002642',
    u':man_cartwheeling-light_skin_tone:': u'\U0001F938\U0001F3FB\U0000200D\U00002642',
    u':man_cartwheeling-medium-dark_skin_tone:': u'\U0001F938\U0001F3FE\U0000200D\U00002642',
    u':man_cartwheeling-medium-light_skin_tone:': u'\U0001F938\U0001F3FC\U0000200D\U00002642',
    u':man_cartwheeling-medium_skin_tone:': u'\U0001F938\U0001F3FD\U0000200D\U00002642',
    u':man_cartwheeling:': u'\U0001F938\U0000200D\U00002642',
    u':man_cartwheeling_dark_skin_tone:': u'\U0001F938\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':man_cartwheeling_light_skin_tone:': u'\U0001F938\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':man_cartwheeling_medium-dark_skin_tone:': u'\U0001F938\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':man_cartwheeling_medium-light_skin_tone:': u'\U0001F938\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':man_cartwheeling_medium_skin_tone:': u'\U0001F938\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':man_cartwheeling_selector:': u'\U0001F938\U0000200D\U00002642\U0000FE0F',
    u':man_climbing-dark_skin_tone:': u'\U0001F9D7\U0001F3FF\U0000200D\U00002642',
    u':man_climbing-light_skin_tone:': u'\U0001F9D7\U0001F3FB\U0000200D\U00002642',
    u':man_climbing-medium-dark_skin_tone:': u'\U0001F9D7\U0001F3FE\U0000200D\U00002642',
    u':man_climbing-medium-light_skin_tone:': u'\U0001F9D7\U0001F3FC\U0000200D\U00002642',
    u':man_climbing-medium_skin_tone:': u'\U0001F9D7\U0001F3FD\U0000200D\U00002642',
    u':man_climbing:': u'\U0001F9D7\U0000200D\U00002642',
    u':man_climbing_dark_skin_tone:': u'\U0001F9D7\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':man_climbing_light_skin_tone:': u'\U0001F9D7\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':man_climbing_medium-dark_skin_tone:': u'\U0001F9D7\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':man_climbing_medium-light_skin_tone:': u'\U0001F9D7\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':man_climbing_medium_skin_tone:': u'\U0001F9D7\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':man_climbing_selector:': u'\U0001F9D7\U0000200D\U00002642\U0000FE0F',
    u':man_construction_worker-dark_skin_tone:': u'\U0001F477\U0001F3FF\U0000200D\U00002642',
    u':man_construction_worker-light_skin_tone:': u'\U0001F477\U0001F3FB\U0000200D\U00002642',
    u':man_construction_worker-medium-dark_skin_tone:': u'\U0001F477\U0001F3FE\U0000200D\U00002642',
    u':man_construction_worker-medium-light_skin_tone:': u'\U0001F477\U0001F3FC\U0000200D\U00002642',
    u':man_construction_worker-medium_skin_tone:': u'\U0001F477\U0001F3FD\U0000200D\U00002642',
    u':man_construction_worker:': u'\U0001F477\U0000200D\U00002642',
    u':man_construction_worker_dark_skin_tone:': u'\U0001F477\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':man_construction_worker_light_skin_tone:': u'\U0001F477\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':man_construction_worker_medium-dark_skin_tone:': u'\U0001F477\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':man_construction_worker_medium-light_skin_tone:': u'\U0001F477\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':man_construction_worker_medium_skin_tone:': u'\U0001F477\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':man_construction_worker_selector:': u'\U0001F477\U0000200D\U00002642\U0000FE0F',
    u':man_cook:': u'\U0001F468\U0000200D\U0001F373',
    u':man_cook_dark_skin_tone:': u'\U0001F468\U0001F3FF\U0000200D\U0001F373',
    u':man_cook_light_skin_tone:': u'\U0001F468\U0001F3FB\U0000200D\U0001F373',
    u':man_cook_medium-dark_skin_tone:': u'\U0001F468\U0001F3FE\U0000200D\U0001F373',
    u':man_cook_medium-light_skin_tone:': u'\U0001F468\U0001F3FC\U0000200D\U0001F373',
    u':man_cook_medium_skin_tone:': u'\U0001F468\U0001F3FD\U0000200D\U0001F373',
    u':man_dancing:': u'\U0001F57A',
    u':man_dancing_dark_skin_tone:': u'\U0001F57A\U0001F3FF',
    u':man_dancing_light_skin_tone:': u'\U0001F57A\U0001F3FB',
    u':man_dancing_medium-dark_skin_tone:': u'\U0001F57A\U0001F3FE',
    u':man_dancing_medium-light_skin_tone:': u'\U0001F57A\U0001F3FC',
    u':man_dancing_medium_skin_tone:': u'\U0001F57A\U0001F3FD',
    u':man_dark_skin_tone:': u'\U0001F468\U0001F3FF',
    u':man_detective-dark_skin_tone:': u'\U0001F575\U0001F3FF\U0000200D\U00002642',
    u':man_detective-light_skin_tone:': u'\U0001F575\U0001F3FB\U0000200D\U00002642',
    u':man_detective-medium-dark_skin_tone:': u'\U0001F575\U0001F3FE\U0000200D\U00002642',
    u':man_detective-medium-light_skin_tone:': u'\U0001F575\U0001F3FC\U0000200D\U00002642',
    u':man_detective-medium_skin_tone:': u'\U0001F575\U0001F3FD\U0000200D\U00002642',
    u':man_detective:': u'\U0001F575\U0000200D\U00002642',
    u':man_detective_2:': u'\U0001F575\U0000FE0F\U0000200D\U00002642\U0000FE0F',
    u':man_detective_selector:': u'\U0001F575\U0000200D\U00002642\U0000FE0F',
    u':man_detective_dark_skin_tone:': u'\U0001F575\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':man_detective_light_skin_tone:': u'\U0001F575\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':man_detective_medium-dark_skin_tone:': u'\U0001F575\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':man_detective_medium-light_skin_tone:': u'\U0001F575\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':man_detective_medium_skin_tone:': u'\U0001F575\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':man_detective_selector:': u'\U0001F575\U0000FE0F\U0000200D\U00002642',
    u':man_elf-dark_skin_tone:': u'\U0001F9DD\U0001F3FF\U0000200D\U00002642',
    u':man_elf-light_skin_tone:': u'\U0001F9DD\U0001F3FB\U0000200D\U00002642',
    u':man_elf-medium-dark_skin_tone:': u'\U0001F9DD\U0001F3FE\U0000200D\U00002642',
    u':man_elf-medium-light_skin_tone:': u'\U0001F9DD\U0001F3FC\U0000200D\U00002642',
    u':man_elf-medium_skin_tone:': u'\U0001F9DD\U0001F3FD\U0000200D\U00002642',
    u':man_elf:': u'\U0001F9DD\U0000200D\U00002642',
    u':man_elf_dark_skin_tone:': u'\U0001F9DD\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':man_elf_light_skin_tone:': u'\U0001F9DD\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':man_elf_medium-dark_skin_tone:': u'\U0001F9DD\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':man_elf_medium-light_skin_tone:': u'\U0001F9DD\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':man_elf_medium_skin_tone:': u'\U0001F9DD\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':man_elf_selector:': u'\U0001F9DD\U0000200D\U00002642\U0000FE0F',
    u':man_facepalming-dark_skin_tone:': u'\U0001F926\U0001F3FF\U0000200D\U00002642',
    u':man_facepalming-light_skin_tone:': u'\U0001F926\U0001F3FB\U0000200D\U00002642',
    u':man_facepalming-medium-dark_skin_tone:': u'\U0001F926\U0001F3FE\U0000200D\U00002642',
    u':man_facepalming-medium-light_skin_tone:': u'\U0001F926\U0001F3FC\U0000200D\U00002642',
    u':man_facepalming-medium_skin_tone:': u'\U0001F926\U0001F3FD\U0000200D\U00002642',
    u':man_facepalming:': u'\U0001F926\U0000200D\U00002642',
    u':man_facepalming_dark_skin_tone:': u'\U0001F926\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':man_facepalming_light_skin_tone:': u'\U0001F926\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':man_facepalming_medium-dark_skin_tone:': u'\U0001F926\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':man_facepalming_medium-light_skin_tone:': u'\U0001F926\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':man_facepalming_medium_skin_tone:': u'\U0001F926\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':man_facepalming_selector:': u'\U0001F926\U0000200D\U00002642\U0000FE0F',
    u':man_factory_worker:': u'\U0001F468\U0000200D\U0001F3ED',
    u':man_factory_worker_dark_skin_tone:': u'\U0001F468\U0001F3FF\U0000200D\U0001F3ED',
    u':man_factory_worker_light_skin_tone:': u'\U0001F468\U0001F3FB\U0000200D\U0001F3ED',
    u':man_factory_worker_medium-dark_skin_tone:': u'\U0001F468\U0001F3FE\U0000200D\U0001F3ED',
    u':man_factory_worker_medium-light_skin_tone:': u'\U0001F468\U0001F3FC\U0000200D\U0001F3ED',
    u':man_factory_worker_medium_skin_tone:': u'\U0001F468\U0001F3FD\U0000200D\U0001F3ED',
    u':man_fairy-dark_skin_tone:': u'\U0001F9DA\U0001F3FF\U0000200D\U00002642',
    u':man_fairy-light_skin_tone:': u'\U0001F9DA\U0001F3FB\U0000200D\U00002642',
    u':man_fairy-medium-dark_skin_tone:': u'\U0001F9DA\U0001F3FE\U0000200D\U00002642',
    u':man_fairy-medium-light_skin_tone:': u'\U0001F9DA\U0001F3FC\U0000200D\U00002642',
    u':man_fairy-medium_skin_tone:': u'\U0001F9DA\U0001F3FD\U0000200D\U00002642',
    u':man_fairy:': u'\U0001F9DA\U0000200D\U00002642',
    u':man_fairy_dark_skin_tone:': u'\U0001F9DA\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':man_fairy_light_skin_tone:': u'\U0001F9DA\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':man_fairy_medium-dark_skin_tone:': u'\U0001F9DA\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':man_fairy_medium-light_skin_tone:': u'\U0001F9DA\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':man_fairy_medium_skin_tone:': u'\U0001F9DA\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':man_fairy_selector:': u'\U0001F9DA\U0000200D\U00002642\U0000FE0F',
    u':man_farmer:': u'\U0001F468\U0000200D\U0001F33E',
    u':man_farmer_dark_skin_tone:': u'\U0001F468\U0001F3FF\U0000200D\U0001F33E',
    u':man_farmer_light_skin_tone:': u'\U0001F468\U0001F3FB\U0000200D\U0001F33E',
    u':man_farmer_medium-dark_skin_tone:': u'\U0001F468\U0001F3FE\U0000200D\U0001F33E',
    u':man_farmer_medium-light_skin_tone:': u'\U0001F468\U0001F3FC\U0000200D\U0001F33E',
    u':man_farmer_medium_skin_tone:': u'\U0001F468\U0001F3FD\U0000200D\U0001F33E',
    u':man_firefighter:': u'\U0001F468\U0000200D\U0001F692',
    u':man_firefighter_dark_skin_tone:': u'\U0001F468\U0001F3FF\U0000200D\U0001F692',
    u':man_firefighter_light_skin_tone:': u'\U0001F468\U0001F3FB\U0000200D\U0001F692',
    u':man_firefighter_medium-dark_skin_tone:': u'\U0001F468\U0001F3FE\U0000200D\U0001F692',
    u':man_firefighter_medium-light_skin_tone:': u'\U0001F468\U0001F3FC\U0000200D\U0001F692',
    u':man_firefighter_medium_skin_tone:': u'\U0001F468\U0001F3FD\U0000200D\U0001F692',
    u':man_frowning-dark_skin_tone:': u'\U0001F64D\U0001F3FF\U0000200D\U00002642',
    u':man_frowning-light_skin_tone:': u'\U0001F64D\U0001F3FB\U0000200D\U00002642',
    u':man_frowning-medium-dark_skin_tone:': u'\U0001F64D\U0001F3FE\U0000200D\U00002642',
    u':man_frowning-medium-light_skin_tone:': u'\U0001F64D\U0001F3FC\U0000200D\U00002642',
    u':man_frowning-medium_skin_tone:': u'\U0001F64D\U0001F3FD\U0000200D\U00002642',
    u':man_frowning:': u'\U0001F64D\U0000200D\U00002642',
    u':man_frowning_dark_skin_tone:': u'\U0001F64D\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':man_frowning_light_skin_tone:': u'\U0001F64D\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':man_frowning_medium-dark_skin_tone:': u'\U0001F64D\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':man_frowning_medium-light_skin_tone:': u'\U0001F64D\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':man_frowning_medium_skin_tone:': u'\U0001F64D\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':man_frowning_selector:': u'\U0001F64D\U0000200D\U00002642\U0000FE0F',
    u':man_genie:': u'\U0001F9DE\U0000200D\U00002642',
    u':man_genie_selector:': u'\U0001F9DE\U0000200D\U00002642\U0000FE0F',
    u':man_gesturing_NO-dark_skin_tone:': u'\U0001F645\U0001F3FF\U0000200D\U00002642',
    u':man_gesturing_NO-light_skin_tone:': u'\U0001F645\U0001F3FB\U0000200D\U00002642',
    u':man_gesturing_NO-medium-dark_skin_tone:': u'\U0001F645\U0001F3FE\U0000200D\U00002642',
    u':man_gesturing_NO-medium-light_skin_tone:': u'\U0001F645\U0001F3FC\U0000200D\U00002642',
    u':man_gesturing_NO-medium_skin_tone:': u'\U0001F645\U0001F3FD\U0000200D\U00002642',
    u':man_gesturing_NO:': u'\U0001F645\U0000200D\U00002642',
    u':man_gesturing_NO_dark_skin_tone:': u'\U0001F645\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':man_gesturing_NO_light_skin_tone:': u'\U0001F645\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':man_gesturing_NO_medium-dark_skin_tone:': u'\U0001F645\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':man_gesturing_NO_medium-light_skin_tone:': u'\U0001F645\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':man_gesturing_NO_medium_skin_tone:': u'\U0001F645\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':man_gesturing_NO_selector:': u'\U0001F645\U0000200D\U00002642\U0000FE0F',
    u':man_gesturing_OK-dark_skin_tone:': u'\U0001F646\U0001F3FF\U0000200D\U00002642',
    u':man_gesturing_OK-light_skin_tone:': u'\U0001F646\U0001F3FB\U0000200D\U00002642',
    u':man_gesturing_OK-medium-dark_skin_tone:': u'\U0001F646\U0001F3FE\U0000200D\U00002642',
    u':man_gesturing_OK-medium-light_skin_tone:': u'\U0001F646\U0001F3FC\U0000200D\U00002642',
    u':man_gesturing_OK-medium_skin_tone:': u'\U0001F646\U0001F3FD\U0000200D\U00002642',
    u':man_gesturing_OK:': u'\U0001F646\U0000200D\U00002642',
    u':man_gesturing_OK_dark_skin_tone:': u'\U0001F646\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':man_gesturing_OK_light_skin_tone:': u'\U0001F646\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':man_gesturing_OK_medium-dark_skin_tone:': u'\U0001F646\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':man_gesturing_OK_medium-light_skin_tone:': u'\U0001F646\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':man_gesturing_OK_medium_skin_tone:': u'\U0001F646\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':man_gesturing_OK_selector:': u'\U0001F646\U0000200D\U00002642\U0000FE0F',
    u':man_getting_haircut-dark_skin_tone:': u'\U0001F487\U0001F3FF\U0000200D\U00002642',
    u':man_getting_haircut-light_skin_tone:': u'\U0001F487\U0001F3FB\U0000200D\U00002642',
    u':man_getting_haircut-medium-dark_skin_tone:': u'\U0001F487\U0001F3FE\U0000200D\U00002642',
    u':man_getting_haircut-medium-light_skin_tone:': u'\U0001F487\U0001F3FC\U0000200D\U00002642',
    u':man_getting_haircut-medium_skin_tone:': u'\U0001F487\U0001F3FD\U0000200D\U00002642',
    u':man_getting_haircut:': u'\U0001F487\U0000200D\U00002642',
    u':man_getting_haircut_dark_skin_tone:': u'\U0001F487\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':man_getting_haircut_light_skin_tone:': u'\U0001F487\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':man_getting_haircut_medium-dark_skin_tone:': u'\U0001F487\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':man_getting_haircut_medium-light_skin_tone:': u'\U0001F487\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':man_getting_haircut_medium_skin_tone:': u'\U0001F487\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':man_getting_haircut_selector:': u'\U0001F487\U0000200D\U00002642\U0000FE0F',
    u':man_getting_massage-dark_skin_tone:': u'\U0001F486\U0001F3FF\U0000200D\U00002642',
    u':man_getting_massage-light_skin_tone:': u'\U0001F486\U0001F3FB\U0000200D\U00002642',
    u':man_getting_massage-medium-dark_skin_tone:': u'\U0001F486\U0001F3FE\U0000200D\U00002642',
    u':man_getting_massage-medium-light_skin_tone:': u'\U0001F486\U0001F3FC\U0000200D\U00002642',
    u':man_getting_massage-medium_skin_tone:': u'\U0001F486\U0001F3FD\U0000200D\U00002642',
    u':man_getting_massage:': u'\U0001F486\U0000200D\U00002642',
    u':man_getting_massage_dark_skin_tone:': u'\U0001F486\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':man_getting_massage_light_skin_tone:': u'\U0001F486\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':man_getting_massage_medium-dark_skin_tone:': u'\U0001F486\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':man_getting_massage_medium-light_skin_tone:': u'\U0001F486\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':man_getting_massage_medium_skin_tone:': u'\U0001F486\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':man_getting_massage_selector:': u'\U0001F486\U0000200D\U00002642\U0000FE0F',
    u':man_golfing-dark_skin_tone:': u'\U0001F3CC\U0001F3FF\U0000200D\U00002642',
    u':man_golfing-light_skin_tone:': u'\U0001F3CC\U0001F3FB\U0000200D\U00002642',
    u':man_golfing-medium-dark_skin_tone:': u'\U0001F3CC\U0001F3FE\U0000200D\U00002642',
    u':man_golfing-medium-light_skin_tone:': u'\U0001F3CC\U0001F3FC\U0000200D\U00002642',
    u':man_golfing-medium_skin_tone:': u'\U0001F3CC\U0001F3FD\U0000200D\U00002642',
    u':man_golfing:': u'\U0001F3CC\U0000200D\U00002642',
    u':man_golfing_2:': u'\U0001F3CC\U0000FE0F\U0000200D\U00002642\U0000FE0F',
    u':man_golfing_3:': u'\U0001F3CC\U0000200D\U00002642\U0000FE0F',
    u':man_golfing_dark_skin_tone:': u'\U0001F3CC\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':man_golfing_light_skin_tone:': u'\U0001F3CC\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':man_golfing_medium-dark_skin_tone:': u'\U0001F3CC\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':man_golfing_medium-light_skin_tone:': u'\U0001F3CC\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':man_golfing_medium_skin_tone:': u'\U0001F3CC\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':man_golfing_selector:': u'\U0001F3CC\U0000FE0F\U0000200D\U00002642',
    u':man_guard-dark_skin_tone:': u'\U0001F482\U0001F3FF\U0000200D\U00002642',
    u':man_guard-light_skin_tone:': u'\U0001F482\U0001F3FB\U0000200D\U00002642',
    u':man_guard-medium-dark_skin_tone:': u'\U0001F482\U0001F3FE\U0000200D\U00002642',
    u':man_guard-medium-light_skin_tone:': u'\U0001F482\U0001F3FC\U0000200D\U00002642',
    u':man_guard-medium_skin_tone:': u'\U0001F482\U0001F3FD\U0000200D\U00002642',
    u':man_guard:': u'\U0001F482\U0000200D\U00002642',
    u':man_guard_dark_skin_tone:': u'\U0001F482\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':man_guard_light_skin_tone:': u'\U0001F482\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':man_guard_medium-dark_skin_tone:': u'\U0001F482\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':man_guard_medium-light_skin_tone:': u'\U0001F482\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':man_guard_medium_skin_tone:': u'\U0001F482\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':man_guard_selector:': u'\U0001F482\U0000200D\U00002642\U0000FE0F',
    u':man_health_worker-dark_skin_tone:': u'\U0001F468\U0001F3FF\U0000200D\U00002695',
    u':man_health_worker-light_skin_tone:': u'\U0001F468\U0001F3FB\U0000200D\U00002695',
    u':man_health_worker-medium-dark_skin_tone:': u'\U0001F468\U0001F3FE\U0000200D\U00002695',
    u':man_health_worker-medium-light_skin_tone:': u'\U0001F468\U0001F3FC\U0000200D\U00002695',
    u':man_health_worker-medium_skin_tone:': u'\U0001F468\U0001F3FD\U0000200D\U00002695',
    u':man_health_worker:': u'\U0001F468\U0000200D\U00002695',
    u':man_health_worker_dark_skin_tone:': u'\U0001F468\U0001F3FF\U0000200D\U00002695\U0000FE0F',
    u':man_health_worker_light_skin_tone:': u'\U0001F468\U0001F3FB\U0000200D\U00002695\U0000FE0F',
    u':man_health_worker_medium-dark_skin_tone:': u'\U0001F468\U0001F3FE\U0000200D\U00002695\U0000FE0F',
    u':man_health_worker_medium-light_skin_tone:': u'\U0001F468\U0001F3FC\U0000200D\U00002695\U0000FE0F',
    u':man_health_worker_medium_skin_tone:': u'\U0001F468\U0001F3FD\U0000200D\U00002695\U0000FE0F',
    u':man_health_worker_selector:': u'\U0001F468\U0000200D\U00002695\U0000FE0F',
    u':man_in_lotus_position-dark_skin_tone:': u'\U0001F9D8\U0001F3FF\U0000200D\U00002642',
    u':man_in_lotus_position-light_skin_tone:': u'\U0001F9D8\U0001F3FB\U0000200D\U00002642',
    u':man_in_lotus_position-medium-dark_skin_tone:': u'\U0001F9D8\U0001F3FE\U0000200D\U00002642',
    u':man_in_lotus_position-medium-light_skin_tone:': u'\U0001F9D8\U0001F3FC\U0000200D\U00002642',
    u':man_in_lotus_position-medium_skin_tone:': u'\U0001F9D8\U0001F3FD\U0000200D\U00002642',
    u':man_in_lotus_position:': u'\U0001F9D8\U0000200D\U00002642',
    u':man_in_lotus_position_dark_skin_tone:': u'\U0001F9D8\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':man_in_lotus_position_light_skin_tone:': u'\U0001F9D8\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':man_in_lotus_position_medium-dark_skin_tone:': u'\U0001F9D8\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':man_in_lotus_position_medium-light_skin_tone:': u'\U0001F9D8\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':man_in_lotus_position_medium_skin_tone:': u'\U0001F9D8\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':man_in_lotus_position_selector:': u'\U0001F9D8\U0000200D\U00002642\U0000FE0F',
    u':man_in_manual_wheelchair-dark_skin_tone:': u'\U0001F468\U0001F3FF\U0000200D\U0001F9BD',
    u':man_in_manual_wheelchair-light_skin_tone:': u'\U0001F468\U0001F3FB\U0000200D\U0001F9BD',
    u':man_in_manual_wheelchair-medium-dark_skin_tone:': u'\U0001F468\U0001F3FE\U0000200D\U0001F9BD',
    u':man_in_manual_wheelchair-medium-light_skin_tone:': u'\U0001F468\U0001F3FC\U0000200D\U0001F9BD',
    u':man_in_manual_wheelchair-medium_skin_tone:': u'\U0001F468\U0001F3FD\U0000200D\U0001F9BD',
    u':man_in_manual_wheelchair:': u'\U0001F468\U0000200D\U0001F9BD',
    u':man_in_motorized_wheelchair-dark_skin_tone:': u'\U0001F468\U0001F3FF\U0000200D\U0001F9BC',
    u':man_in_motorized_wheelchair-light_skin_tone:': u'\U0001F468\U0001F3FB\U0000200D\U0001F9BC',
    u':man_in_motorized_wheelchair-medium-dark_skin_tone:': u'\U0001F468\U0001F3FE\U0000200D\U0001F9BC',
    u':man_in_motorized_wheelchair-medium-light_skin_tone:': u'\U0001F468\U0001F3FC\U0000200D\U0001F9BC',
    u':man_in_motorized_wheelchair-medium_skin_tone:': u'\U0001F468\U0001F3FD\U0000200D\U0001F9BC',
    u':man_in_motorized_wheelchair:': u'\U0001F468\U0000200D\U0001F9BC',
    u':man_in_steamy_room-dark_skin_tone:': u'\U0001F9D6\U0001F3FF\U0000200D\U00002642',
    u':man_in_steamy_room-light_skin_tone:': u'\U0001F9D6\U0001F3FB\U0000200D\U00002642',
    u':man_in_steamy_room-medium-dark_skin_tone:': u'\U0001F9D6\U0001F3FE\U0000200D\U00002642',
    u':man_in_steamy_room-medium-light_skin_tone:': u'\U0001F9D6\U0001F3FC\U0000200D\U00002642',
    u':man_in_steamy_room-medium_skin_tone:': u'\U0001F9D6\U0001F3FD\U0000200D\U00002642',
    u':man_in_steamy_room:': u'\U0001F9D6\U0000200D\U00002642',
    u':man_in_steamy_room_dark_skin_tone:': u'\U0001F9D6\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':man_in_steamy_room_light_skin_tone:': u'\U0001F9D6\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':man_in_steamy_room_medium-dark_skin_tone:': u'\U0001F9D6\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':man_in_steamy_room_medium-light_skin_tone:': u'\U0001F9D6\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':man_in_steamy_room_medium_skin_tone:': u'\U0001F9D6\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':man_in_steamy_room_selector:': u'\U0001F9D6\U0000200D\U00002642\U0000FE0F',
    u':man_in_suit_levitating:': u'\U0001F574',
    u':man_in_suit_levitating_dark_skin_tone:': u'\U0001F574\U0001F3FF',
    u':man_in_suit_levitating_light_skin_tone:': u'\U0001F574\U0001F3FB',
    u':man_in_suit_levitating_medium-dark_skin_tone:': u'\U0001F574\U0001F3FE',
    u':man_in_suit_levitating_medium-light_skin_tone:': u'\U0001F574\U0001F3FC',
    u':man_in_suit_levitating_medium_skin_tone:': u'\U0001F574\U0001F3FD',
    u':man_in_suit_levitating_selector:': u'\U0001F574\U0000FE0F',
    u':man_in_tuxedo:': u'\U0001F935',
    u':man_in_tuxedo_dark_skin_tone:': u'\U0001F935\U0001F3FF',
    u':man_in_tuxedo_light_skin_tone:': u'\U0001F935\U0001F3FB',
    u':man_in_tuxedo_medium-dark_skin_tone:': u'\U0001F935\U0001F3FE',
    u':man_in_tuxedo_medium-light_skin_tone:': u'\U0001F935\U0001F3FC',
    u':man_in_tuxedo_medium_skin_tone:': u'\U0001F935\U0001F3FD',
    u':man_judge-dark_skin_tone:': u'\U0001F468\U0001F3FF\U0000200D\U00002696',
    u':man_judge-light_skin_tone:': u'\U0001F468\U0001F3FB\U0000200D\U00002696',
    u':man_judge-medium-dark_skin_tone:': u'\U0001F468\U0001F3FE\U0000200D\U00002696',
    u':man_judge-medium-light_skin_tone:': u'\U0001F468\U0001F3FC\U0000200D\U00002696',
    u':man_judge-medium_skin_tone:': u'\U0001F468\U0001F3FD\U0000200D\U00002696',
    u':man_judge:': u'\U0001F468\U0000200D\U00002696',
    u':man_judge_dark_skin_tone:': u'\U0001F468\U0001F3FF\U0000200D\U00002696\U0000FE0F',
    u':man_judge_light_skin_tone:': u'\U0001F468\U0001F3FB\U0000200D\U00002696\U0000FE0F',
    u':man_judge_medium-dark_skin_tone:': u'\U0001F468\U0001F3FE\U0000200D\U00002696\U0000FE0F',
    u':man_judge_medium-light_skin_tone:': u'\U0001F468\U0001F3FC\U0000200D\U00002696\U0000FE0F',
    u':man_judge_medium_skin_tone:': u'\U0001F468\U0001F3FD\U0000200D\U00002696\U0000FE0F',
    u':man_judge_selector:': u'\U0001F468\U0000200D\U00002696\U0000FE0F',
    u':man_juggling-dark_skin_tone:': u'\U0001F939\U0001F3FF\U0000200D\U00002642',
    u':man_juggling-light_skin_tone:': u'\U0001F939\U0001F3FB\U0000200D\U00002642',
    u':man_juggling-medium-dark_skin_tone:': u'\U0001F939\U0001F3FE\U0000200D\U00002642',
    u':man_juggling-medium-light_skin_tone:': u'\U0001F939\U0001F3FC\U0000200D\U00002642',
    u':man_juggling-medium_skin_tone:': u'\U0001F939\U0001F3FD\U0000200D\U00002642',
    u':man_juggling:': u'\U0001F939\U0000200D\U00002642',
    u':man_juggling_dark_skin_tone:': u'\U0001F939\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':man_juggling_light_skin_tone:': u'\U0001F939\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':man_juggling_medium-dark_skin_tone:': u'\U0001F939\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':man_juggling_medium-light_skin_tone:': u'\U0001F939\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':man_juggling_medium_skin_tone:': u'\U0001F939\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':man_juggling_selector:': u'\U0001F939\U0000200D\U00002642\U0000FE0F',
    u':man_kneeling-dark_skin_tone:': u'\U0001F9CE\U0001F3FF\U0000200D\U00002642',
    u':man_kneeling-dark_skin_tone_selector:': u'\U0001F9CE\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':man_kneeling-light_skin_tone:': u'\U0001F9CE\U0001F3FB\U0000200D\U00002642',
    u':man_kneeling-light_skin_tone_selector:': u'\U0001F9CE\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':man_kneeling-medium-dark_skin_tone:': u'\U0001F9CE\U0001F3FE\U0000200D\U00002642',
    u':man_kneeling-medium-dark_skin_tone_selector:': u'\U0001F9CE\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':man_kneeling-medium-light_skin_tone:': u'\U0001F9CE\U0001F3FC\U0000200D\U00002642',
    u':man_kneeling-medium-light_skin_tone_selector:': u'\U0001F9CE\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':man_kneeling-medium_skin_tone:': u'\U0001F9CE\U0001F3FD\U0000200D\U00002642',
    u':man_kneeling-medium_skin_tone_selector:': u'\U0001F9CE\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':man_kneeling:': u'\U0001F9CE\U0000200D\U00002642',
    u':man_kneeling_selector:': u'\U0001F9CE\U0000200D\U00002642\U0000FE0F',
    u':man_lifting_weights-dark_skin_tone:': u'\U0001F3CB\U0001F3FF\U0000200D\U00002642',
    u':man_lifting_weights-light_skin_tone:': u'\U0001F3CB\U0001F3FB\U0000200D\U00002642',
    u':man_lifting_weights-medium-dark_skin_tone:': u'\U0001F3CB\U0001F3FE\U0000200D\U00002642',
    u':man_lifting_weights-medium-light_skin_tone:': u'\U0001F3CB\U0001F3FC\U0000200D\U00002642',
    u':man_lifting_weights-medium_skin_tone:': u'\U0001F3CB\U0001F3FD\U0000200D\U00002642',
    u':man_lifting_weights:': u'\U0001F3CB\U0000200D\U00002642',
    u':man_lifting_weights_2:': u'\U0001F3CB\U0000FE0F\U0000200D\U00002642\U0000FE0F',
    u':man_lifting_weights_3:': u'\U0001F3CB\U0000200D\U00002642\U0000FE0F',
    u':man_lifting_weights_dark_skin_tone:': u'\U0001F3CB\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':man_lifting_weights_light_skin_tone:': u'\U0001F3CB\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':man_lifting_weights_medium-dark_skin_tone:': u'\U0001F3CB\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':man_lifting_weights_medium-light_skin_tone:': u'\U0001F3CB\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':man_lifting_weights_medium_skin_tone:': u'\U0001F3CB\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':man_lifting_weights_selector:': u'\U0001F3CB\U0000FE0F\U0000200D\U00002642',
    u':man_light_skin_tone:': u'\U0001F468\U0001F3FB',
    u':man_mage-dark_skin_tone:': u'\U0001F9D9\U0001F3FF\U0000200D\U00002642',
    u':man_mage-light_skin_tone:': u'\U0001F9D9\U0001F3FB\U0000200D\U00002642',
    u':man_mage-medium-dark_skin_tone:': u'\U0001F9D9\U0001F3FE\U0000200D\U00002642',
    u':man_mage-medium-light_skin_tone:': u'\U0001F9D9\U0001F3FC\U0000200D\U00002642',
    u':man_mage-medium_skin_tone:': u'\U0001F9D9\U0001F3FD\U0000200D\U00002642',
    u':man_mage:': u'\U0001F9D9\U0000200D\U00002642',
    u':man_mage_dark_skin_tone:': u'\U0001F9D9\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':man_mage_light_skin_tone:': u'\U0001F9D9\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':man_mage_medium-dark_skin_tone:': u'\U0001F9D9\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':man_mage_medium-light_skin_tone:': u'\U0001F9D9\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':man_mage_medium_skin_tone:': u'\U0001F9D9\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':man_mage_selector:': u'\U0001F9D9\U0000200D\U00002642\U0000FE0F',
    u':man_mechanic:': u'\U0001F468\U0000200D\U0001F527',
    u':man_mechanic_dark_skin_tone:': u'\U0001F468\U0001F3FF\U0000200D\U0001F527',
    u':man_mechanic_light_skin_tone:': u'\U0001F468\U0001F3FB\U0000200D\U0001F527',
    u':man_mechanic_medium-dark_skin_tone:': u'\U0001F468\U0001F3FE\U0000200D\U0001F527',
    u':man_mechanic_medium-light_skin_tone:': u'\U0001F468\U0001F3FC\U0000200D\U0001F527',
    u':man_mechanic_medium_skin_tone:': u'\U0001F468\U0001F3FD\U0000200D\U0001F527',
    u':man_medium-dark_skin_tone:': u'\U0001F468\U0001F3FE',
    u':man_medium-light_skin_tone:': u'\U0001F468\U0001F3FC',
    u':man_medium_skin_tone:': u'\U0001F468\U0001F3FD',
    u':man_mountain_biking-dark_skin_tone:': u'\U0001F6B5\U0001F3FF\U0000200D\U00002642',
    u':man_mountain_biking-light_skin_tone:': u'\U0001F6B5\U0001F3FB\U0000200D\U00002642',
    u':man_mountain_biking-medium-dark_skin_tone:': u'\U0001F6B5\U0001F3FE\U0000200D\U00002642',
    u':man_mountain_biking-medium-light_skin_tone:': u'\U0001F6B5\U0001F3FC\U0000200D\U00002642',
    u':man_mountain_biking-medium_skin_tone:': u'\U0001F6B5\U0001F3FD\U0000200D\U00002642',
    u':man_mountain_biking:': u'\U0001F6B5\U0000200D\U00002642',
    u':man_mountain_biking_dark_skin_tone:': u'\U0001F6B5\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':man_mountain_biking_light_skin_tone:': u'\U0001F6B5\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':man_mountain_biking_medium-dark_skin_tone:': u'\U0001F6B5\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':man_mountain_biking_medium-light_skin_tone:': u'\U0001F6B5\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':man_mountain_biking_medium_skin_tone:': u'\U0001F6B5\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':man_mountain_biking_selector:': u'\U0001F6B5\U0000200D\U00002642\U0000FE0F',
    u':man_office_worker:': u'\U0001F468\U0000200D\U0001F4BC',
    u':man_office_worker_dark_skin_tone:': u'\U0001F468\U0001F3FF\U0000200D\U0001F4BC',
    u':man_office_worker_light_skin_tone:': u'\U0001F468\U0001F3FB\U0000200D\U0001F4BC',
    u':man_office_worker_medium-dark_skin_tone:': u'\U0001F468\U0001F3FE\U0000200D\U0001F4BC',
    u':man_office_worker_medium-light_skin_tone:': u'\U0001F468\U0001F3FC\U0000200D\U0001F4BC',
    u':man_office_worker_medium_skin_tone:': u'\U0001F468\U0001F3FD\U0000200D\U0001F4BC',
    u':man_pilot-dark_skin_tone:': u'\U0001F468\U0001F3FF\U0000200D\U00002708',
    u':man_pilot-light_skin_tone:': u'\U0001F468\U0001F3FB\U0000200D\U00002708',
    u':man_pilot-medium-dark_skin_tone:': u'\U0001F468\U0001F3FE\U0000200D\U00002708',
    u':man_pilot-medium-light_skin_tone:': u'\U0001F468\U0001F3FC\U0000200D\U00002708',
    u':man_pilot-medium_skin_tone:': u'\U0001F468\U0001F3FD\U0000200D\U00002708',
    u':man_pilot:': u'\U0001F468\U0000200D\U00002708',
    u':man_pilot_dark_skin_tone:': u'\U0001F468\U0001F3FF\U0000200D\U00002708\U0000FE0F',
    u':man_pilot_light_skin_tone:': u'\U0001F468\U0001F3FB\U0000200D\U00002708\U0000FE0F',
    u':man_pilot_medium-dark_skin_tone:': u'\U0001F468\U0001F3FE\U0000200D\U00002708\U0000FE0F',
    u':man_pilot_medium-light_skin_tone:': u'\U0001F468\U0001F3FC\U0000200D\U00002708\U0000FE0F',
    u':man_pilot_medium_skin_tone:': u'\U0001F468\U0001F3FD\U0000200D\U00002708\U0000FE0F',
    u':man_pilot_selector:': u'\U0001F468\U0000200D\U00002708\U0000FE0F',
    u':man_playing_handball-dark_skin_tone:': u'\U0001F93E\U0001F3FF\U0000200D\U00002642',
    u':man_playing_handball-light_skin_tone:': u'\U0001F93E\U0001F3FB\U0000200D\U00002642',
    u':man_playing_handball-medium-dark_skin_tone:': u'\U0001F93E\U0001F3FE\U0000200D\U00002642',
    u':man_playing_handball-medium-light_skin_tone:': u'\U0001F93E\U0001F3FC\U0000200D\U00002642',
    u':man_playing_handball-medium_skin_tone:': u'\U0001F93E\U0001F3FD\U0000200D\U00002642',
    u':man_playing_handball:': u'\U0001F93E\U0000200D\U00002642',
    u':man_playing_handball_dark_skin_tone:': u'\U0001F93E\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':man_playing_handball_light_skin_tone:': u'\U0001F93E\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':man_playing_handball_medium-dark_skin_tone:': u'\U0001F93E\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':man_playing_handball_medium-light_skin_tone:': u'\U0001F93E\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':man_playing_handball_medium_skin_tone:': u'\U0001F93E\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':man_playing_handball_selector:': u'\U0001F93E\U0000200D\U00002642\U0000FE0F',
    u':man_playing_water_polo-dark_skin_tone:': u'\U0001F93D\U0001F3FF\U0000200D\U00002642',
    u':man_playing_water_polo-light_skin_tone:': u'\U0001F93D\U0001F3FB\U0000200D\U00002642',
    u':man_playing_water_polo-medium-dark_skin_tone:': u'\U0001F93D\U0001F3FE\U0000200D\U00002642',
    u':man_playing_water_polo-medium-light_skin_tone:': u'\U0001F93D\U0001F3FC\U0000200D\U00002642',
    u':man_playing_water_polo-medium_skin_tone:': u'\U0001F93D\U0001F3FD\U0000200D\U00002642',
    u':man_playing_water_polo:': u'\U0001F93D\U0000200D\U00002642',
    u':man_playing_water_polo_dark_skin_tone:': u'\U0001F93D\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':man_playing_water_polo_light_skin_tone:': u'\U0001F93D\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':man_playing_water_polo_medium-dark_skin_tone:': u'\U0001F93D\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':man_playing_water_polo_medium-light_skin_tone:': u'\U0001F93D\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':man_playing_water_polo_medium_skin_tone:': u'\U0001F93D\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':man_playing_water_polo_selector:': u'\U0001F93D\U0000200D\U00002642\U0000FE0F',
    u':man_police_officer-dark_skin_tone:': u'\U0001F46E\U0001F3FF\U0000200D\U00002642',
    u':man_police_officer-light_skin_tone:': u'\U0001F46E\U0001F3FB\U0000200D\U00002642',
    u':man_police_officer-medium-dark_skin_tone:': u'\U0001F46E\U0001F3FE\U0000200D\U00002642',
    u':man_police_officer-medium-light_skin_tone:': u'\U0001F46E\U0001F3FC\U0000200D\U00002642',
    u':man_police_officer-medium_skin_tone:': u'\U0001F46E\U0001F3FD\U0000200D\U00002642',
    u':man_police_officer:': u'\U0001F46E\U0000200D\U00002642',
    u':man_police_officer_dark_skin_tone:': u'\U0001F46E\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':man_police_officer_light_skin_tone:': u'\U0001F46E\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':man_police_officer_medium-dark_skin_tone:': u'\U0001F46E\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':man_police_officer_medium-light_skin_tone:': u'\U0001F46E\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':man_police_officer_medium_skin_tone:': u'\U0001F46E\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':man_police_officer_selector:': u'\U0001F46E\U0000200D\U00002642\U0000FE0F',
    u':man_pouting-dark_skin_tone:': u'\U0001F64E\U0001F3FF\U0000200D\U00002642',
    u':man_pouting-light_skin_tone:': u'\U0001F64E\U0001F3FB\U0000200D\U00002642',
    u':man_pouting-medium-dark_skin_tone:': u'\U0001F64E\U0001F3FE\U0000200D\U00002642',
    u':man_pouting-medium-light_skin_tone:': u'\U0001F64E\U0001F3FC\U0000200D\U00002642',
    u':man_pouting-medium_skin_tone:': u'\U0001F64E\U0001F3FD\U0000200D\U00002642',
    u':man_pouting:': u'\U0001F64E\U0000200D\U00002642',
    u':man_pouting_dark_skin_tone:': u'\U0001F64E\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':man_pouting_light_skin_tone:': u'\U0001F64E\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':man_pouting_medium-dark_skin_tone:': u'\U0001F64E\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':man_pouting_medium-light_skin_tone:': u'\U0001F64E\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':man_pouting_medium_skin_tone:': u'\U0001F64E\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':man_pouting_selector:': u'\U0001F64E\U0000200D\U00002642\U0000FE0F',
    u':man_raising_hand-dark_skin_tone:': u'\U0001F64B\U0001F3FF\U0000200D\U00002642',
    u':man_raising_hand-light_skin_tone:': u'\U0001F64B\U0001F3FB\U0000200D\U00002642',
    u':man_raising_hand-medium-dark_skin_tone:': u'\U0001F64B\U0001F3FE\U0000200D\U00002642',
    u':man_raising_hand-medium-light_skin_tone:': u'\U0001F64B\U0001F3FC\U0000200D\U00002642',
    u':man_raising_hand-medium_skin_tone:': u'\U0001F64B\U0001F3FD\U0000200D\U00002642',
    u':man_raising_hand:': u'\U0001F64B\U0000200D\U00002642',
    u':man_raising_hand_dark_skin_tone:': u'\U0001F64B\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':man_raising_hand_light_skin_tone:': u'\U0001F64B\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':man_raising_hand_medium-dark_skin_tone:': u'\U0001F64B\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':man_raising_hand_medium-light_skin_tone:': u'\U0001F64B\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':man_raising_hand_medium_skin_tone:': u'\U0001F64B\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':man_raising_hand_selector:': u'\U0001F64B\U0000200D\U00002642\U0000FE0F',
    u':man_rowing_boat-dark_skin_tone:': u'\U0001F6A3\U0001F3FF\U0000200D\U00002642',
    u':man_rowing_boat-light_skin_tone:': u'\U0001F6A3\U0001F3FB\U0000200D\U00002642',
    u':man_rowing_boat-medium-dark_skin_tone:': u'\U0001F6A3\U0001F3FE\U0000200D\U00002642',
    u':man_rowing_boat-medium-light_skin_tone:': u'\U0001F6A3\U0001F3FC\U0000200D\U00002642',
    u':man_rowing_boat-medium_skin_tone:': u'\U0001F6A3\U0001F3FD\U0000200D\U00002642',
    u':man_rowing_boat:': u'\U0001F6A3\U0000200D\U00002642',
    u':man_rowing_boat_dark_skin_tone:': u'\U0001F6A3\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':man_rowing_boat_light_skin_tone:': u'\U0001F6A3\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':man_rowing_boat_medium-dark_skin_tone:': u'\U0001F6A3\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':man_rowing_boat_medium-light_skin_tone:': u'\U0001F6A3\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':man_rowing_boat_medium_skin_tone:': u'\U0001F6A3\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':man_rowing_boat_selector:': u'\U0001F6A3\U0000200D\U00002642\U0000FE0F',
    u':man_running-dark_skin_tone:': u'\U0001F3C3\U0001F3FF\U0000200D\U00002642',
    u':man_running-light_skin_tone:': u'\U0001F3C3\U0001F3FB\U0000200D\U00002642',
    u':man_running-medium-dark_skin_tone:': u'\U0001F3C3\U0001F3FE\U0000200D\U00002642',
    u':man_running-medium-light_skin_tone:': u'\U0001F3C3\U0001F3FC\U0000200D\U00002642',
    u':man_running-medium_skin_tone:': u'\U0001F3C3\U0001F3FD\U0000200D\U00002642',
    u':man_running:': u'\U0001F3C3\U0000200D\U00002642',
    u':man_running_dark_skin_tone:': u'\U0001F3C3\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':man_running_light_skin_tone:': u'\U0001F3C3\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':man_running_medium-dark_skin_tone:': u'\U0001F3C3\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':man_running_medium-light_skin_tone:': u'\U0001F3C3\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':man_running_medium_skin_tone:': u'\U0001F3C3\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':man_running_selector:': u'\U0001F3C3\U0000200D\U00002642\U0000FE0F',
    u':man_scientist:': u'\U0001F468\U0000200D\U0001F52C',
    u':man_scientist_dark_skin_tone:': u'\U0001F468\U0001F3FF\U0000200D\U0001F52C',
    u':man_scientist_light_skin_tone:': u'\U0001F468\U0001F3FB\U0000200D\U0001F52C',
    u':man_scientist_medium-dark_skin_tone:': u'\U0001F468\U0001F3FE\U0000200D\U0001F52C',
    u':man_scientist_medium-light_skin_tone:': u'\U0001F468\U0001F3FC\U0000200D\U0001F52C',
    u':man_scientist_medium_skin_tone:': u'\U0001F468\U0001F3FD\U0000200D\U0001F52C',
    u':man_shrugging-dark_skin_tone:': u'\U0001F937\U0001F3FF\U0000200D\U00002642',
    u':man_shrugging-light_skin_tone:': u'\U0001F937\U0001F3FB\U0000200D\U00002642',
    u':man_shrugging-medium-dark_skin_tone:': u'\U0001F937\U0001F3FE\U0000200D\U00002642',
    u':man_shrugging-medium-light_skin_tone:': u'\U0001F937\U0001F3FC\U0000200D\U00002642',
    u':man_shrugging-medium_skin_tone:': u'\U0001F937\U0001F3FD\U0000200D\U00002642',
    u':man_shrugging:': u'\U0001F937\U0000200D\U00002642',
    u':man_shrugging_dark_skin_tone:': u'\U0001F937\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':man_shrugging_light_skin_tone:': u'\U0001F937\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':man_shrugging_medium-dark_skin_tone:': u'\U0001F937\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':man_shrugging_medium-light_skin_tone:': u'\U0001F937\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':man_shrugging_medium_skin_tone:': u'\U0001F937\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':man_shrugging_selector:': u'\U0001F937\U0000200D\U00002642\U0000FE0F',
    u':man_singer:': u'\U0001F468\U0000200D\U0001F3A4',
    u':man_singer_dark_skin_tone:': u'\U0001F468\U0001F3FF\U0000200D\U0001F3A4',
    u':man_singer_light_skin_tone:': u'\U0001F468\U0001F3FB\U0000200D\U0001F3A4',
    u':man_singer_medium-dark_skin_tone:': u'\U0001F468\U0001F3FE\U0000200D\U0001F3A4',
    u':man_singer_medium-light_skin_tone:': u'\U0001F468\U0001F3FC\U0000200D\U0001F3A4',
    u':man_singer_medium_skin_tone:': u'\U0001F468\U0001F3FD\U0000200D\U0001F3A4',
    u':man_standing-dark_skin_tone:': u'\U0001F9CD\U0001F3FF\U0000200D\U00002642',
    u':man_standing-dark_skin_tone_selector:': u'\U0001F9CD\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':man_standing-light_skin_tone:': u'\U0001F9CD\U0001F3FB\U0000200D\U00002642',
    u':man_standing-light_skin_tone_selector:': u'\U0001F9CD\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':man_standing-medium-dark_skin_tone:': u'\U0001F9CD\U0001F3FE\U0000200D\U00002642',
    u':man_standing-medium-dark_skin_tone_selector:': u'\U0001F9CD\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':man_standing-medium-light_skin_tone:': u'\U0001F9CD\U0001F3FC\U0000200D\U00002642',
    u':man_standing-medium-light_skin_tone_selector:': u'\U0001F9CD\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':man_standing-medium_skin_tone:': u'\U0001F9CD\U0001F3FD\U0000200D\U00002642',
    u':man_standing-medium_skin_tone_selector:': u'\U0001F9CD\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':man_standing:': u'\U0001F9CD\U0000200D\U00002642',
    u':man_standing_selector:': u'\U0001F9CD\U0000200D\U00002642\U0000FE0F',
    u':man_student:': u'\U0001F468\U0000200D\U0001F393',
    u':man_student_dark_skin_tone:': u'\U0001F468\U0001F3FF\U0000200D\U0001F393',
    u':man_student_light_skin_tone:': u'\U0001F468\U0001F3FB\U0000200D\U0001F393',
    u':man_student_medium-dark_skin_tone:': u'\U0001F468\U0001F3FE\U0000200D\U0001F393',
    u':man_student_medium-light_skin_tone:': u'\U0001F468\U0001F3FC\U0000200D\U0001F393',
    u':man_student_medium_skin_tone:': u'\U0001F468\U0001F3FD\U0000200D\U0001F393',
    u':man_superhero-dark_skin_tone:': u'\U0001F9B8\U0001F3FF\U0000200D\U00002642',
    u':man_superhero-dark_skin_tone_selector:': u'\U0001F9B8\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':man_superhero-light_skin_tone:': u'\U0001F9B8\U0001F3FB\U0000200D\U00002642',
    u':man_superhero-light_skin_tone_selector:': u'\U0001F9B8\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':man_superhero-medium-dark_skin_tone:': u'\U0001F9B8\U0001F3FE\U0000200D\U00002642',
    u':man_superhero-medium-dark_skin_tone_selector:': u'\U0001F9B8\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':man_superhero-medium-light_skin_tone:': u'\U0001F9B8\U0001F3FC\U0000200D\U00002642',
    u':man_superhero-medium-light_skin_tone_selector:': u'\U0001F9B8\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':man_superhero-medium_skin_tone:': u'\U0001F9B8\U0001F3FD\U0000200D\U00002642',
    u':man_superhero-medium_skin_tone_selector:': u'\U0001F9B8\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':man_superhero:': u'\U0001F9B8\U0000200D\U00002642',
    u':man_superhero_selector:': u'\U0001F9B8\U0000200D\U00002642\U0000FE0F',
    u':man_supervillain-dark_skin_tone:': u'\U0001F9B9\U0001F3FF\U0000200D\U00002642',
    u':man_supervillain-dark_skin_tone_selector:': u'\U0001F9B9\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':man_supervillain-light_skin_tone:': u'\U0001F9B9\U0001F3FB\U0000200D\U00002642',
    u':man_supervillain-light_skin_tone_selector:': u'\U0001F9B9\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':man_supervillain-medium-dark_skin_tone:': u'\U0001F9B9\U0001F3FE\U0000200D\U00002642',
    u':man_supervillain-medium-dark_skin_tone_selector:': u'\U0001F9B9\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':man_supervillain-medium-light_skin_tone:': u'\U0001F9B9\U0001F3FC\U0000200D\U00002642',
    u':man_supervillain-medium-light_skin_tone_selector:': u'\U0001F9B9\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':man_supervillain-medium_skin_tone:': u'\U0001F9B9\U0001F3FD\U0000200D\U00002642',
    u':man_supervillain-medium_skin_tone_selector:': u'\U0001F9B9\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':man_supervillain:': u'\U0001F9B9\U0000200D\U00002642',
    u':man_supervillain_selector:': u'\U0001F9B9\U0000200D\U00002642\U0000FE0F',
    u':man_surfing-dark_skin_tone:': u'\U0001F3C4\U0001F3FF\U0000200D\U00002642',
    u':man_surfing-light_skin_tone:': u'\U0001F3C4\U0001F3FB\U0000200D\U00002642',
    u':man_surfing-medium-dark_skin_tone:': u'\U0001F3C4\U0001F3FE\U0000200D\U00002642',
    u':man_surfing-medium-light_skin_tone:': u'\U0001F3C4\U0001F3FC\U0000200D\U00002642',
    u':man_surfing-medium_skin_tone:': u'\U0001F3C4\U0001F3FD\U0000200D\U00002642',
    u':man_surfing:': u'\U0001F3C4\U0000200D\U00002642',
    u':man_surfing_dark_skin_tone:': u'\U0001F3C4\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':man_surfing_light_skin_tone:': u'\U0001F3C4\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':man_surfing_medium-dark_skin_tone:': u'\U0001F3C4\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':man_surfing_medium-light_skin_tone:': u'\U0001F3C4\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':man_surfing_medium_skin_tone:': u'\U0001F3C4\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':man_surfing_selector:': u'\U0001F3C4\U0000200D\U00002642\U0000FE0F',
    u':man_swimming-dark_skin_tone:': u'\U0001F3CA\U0001F3FF\U0000200D\U00002642',
    u':man_swimming-light_skin_tone:': u'\U0001F3CA\U0001F3FB\U0000200D\U00002642',
    u':man_swimming-medium-dark_skin_tone:': u'\U0001F3CA\U0001F3FE\U0000200D\U00002642',
    u':man_swimming-medium-light_skin_tone:': u'\U0001F3CA\U0001F3FC\U0000200D\U00002642',
    u':man_swimming-medium_skin_tone:': u'\U0001F3CA\U0001F3FD\U0000200D\U00002642',
    u':man_swimming:': u'\U0001F3CA\U0000200D\U00002642',
    u':man_swimming_dark_skin_tone:': u'\U0001F3CA\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':man_swimming_light_skin_tone:': u'\U0001F3CA\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':man_swimming_medium-dark_skin_tone:': u'\U0001F3CA\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':man_swimming_medium-light_skin_tone:': u'\U0001F3CA\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':man_swimming_medium_skin_tone:': u'\U0001F3CA\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':man_swimming_selector:': u'\U0001F3CA\U0000200D\U00002642\U0000FE0F',
    u':man_teacher:': u'\U0001F468\U0000200D\U0001F3EB',
    u':man_teacher_dark_skin_tone:': u'\U0001F468\U0001F3FF\U0000200D\U0001F3EB',
    u':man_teacher_light_skin_tone:': u'\U0001F468\U0001F3FB\U0000200D\U0001F3EB',
    u':man_teacher_medium-dark_skin_tone:': u'\U0001F468\U0001F3FE\U0000200D\U0001F3EB',
    u':man_teacher_medium-light_skin_tone:': u'\U0001F468\U0001F3FC\U0000200D\U0001F3EB',
    u':man_teacher_medium_skin_tone:': u'\U0001F468\U0001F3FD\U0000200D\U0001F3EB',
    u':man_technologist:': u'\U0001F468\U0000200D\U0001F4BB',
    u':man_technologist_dark_skin_tone:': u'\U0001F468\U0001F3FF\U0000200D\U0001F4BB',
    u':man_technologist_light_skin_tone:': u'\U0001F468\U0001F3FB\U0000200D\U0001F4BB',
    u':man_technologist_medium-dark_skin_tone:': u'\U0001F468\U0001F3FE\U0000200D\U0001F4BB',
    u':man_technologist_medium-light_skin_tone:': u'\U0001F468\U0001F3FC\U0000200D\U0001F4BB',
    u':man_technologist_medium_skin_tone:': u'\U0001F468\U0001F3FD\U0000200D\U0001F4BB',
    u':man_tipping_hand-dark_skin_tone:': u'\U0001F481\U0001F3FF\U0000200D\U00002642',
    u':man_tipping_hand-light_skin_tone:': u'\U0001F481\U0001F3FB\U0000200D\U00002642',
    u':man_tipping_hand-medium-dark_skin_tone:': u'\U0001F481\U0001F3FE\U0000200D\U00002642',
    u':man_tipping_hand-medium-light_skin_tone:': u'\U0001F481\U0001F3FC\U0000200D\U00002642',
    u':man_tipping_hand-medium_skin_tone:': u'\U0001F481\U0001F3FD\U0000200D\U00002642',
    u':man_tipping_hand:': u'\U0001F481\U0000200D\U00002642',
    u':man_tipping_hand_dark_skin_tone:': u'\U0001F481\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':man_tipping_hand_light_skin_tone:': u'\U0001F481\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':man_tipping_hand_medium-dark_skin_tone:': u'\U0001F481\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':man_tipping_hand_medium-light_skin_tone:': u'\U0001F481\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':man_tipping_hand_medium_skin_tone:': u'\U0001F481\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':man_tipping_hand_selector:': u'\U0001F481\U0000200D\U00002642\U0000FE0F',
    u':man_vampire-dark_skin_tone:': u'\U0001F9DB\U0001F3FF\U0000200D\U00002642',
    u':man_vampire-light_skin_tone:': u'\U0001F9DB\U0001F3FB\U0000200D\U00002642',
    u':man_vampire-medium-dark_skin_tone:': u'\U0001F9DB\U0001F3FE\U0000200D\U00002642',
    u':man_vampire-medium-light_skin_tone:': u'\U0001F9DB\U0001F3FC\U0000200D\U00002642',
    u':man_vampire-medium_skin_tone:': u'\U0001F9DB\U0001F3FD\U0000200D\U00002642',
    u':man_vampire:': u'\U0001F9DB\U0000200D\U00002642',
    u':man_vampire_dark_skin_tone:': u'\U0001F9DB\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':man_vampire_light_skin_tone:': u'\U0001F9DB\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':man_vampire_medium-dark_skin_tone:': u'\U0001F9DB\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':man_vampire_medium-light_skin_tone:': u'\U0001F9DB\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':man_vampire_medium_skin_tone:': u'\U0001F9DB\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':man_vampire_selector:': u'\U0001F9DB\U0000200D\U00002642\U0000FE0F',
    u':man_walking-dark_skin_tone:': u'\U0001F6B6\U0001F3FF\U0000200D\U00002642',
    u':man_walking-light_skin_tone:': u'\U0001F6B6\U0001F3FB\U0000200D\U00002642',
    u':man_walking-medium-dark_skin_tone:': u'\U0001F6B6\U0001F3FE\U0000200D\U00002642',
    u':man_walking-medium-light_skin_tone:': u'\U0001F6B6\U0001F3FC\U0000200D\U00002642',
    u':man_walking-medium_skin_tone:': u'\U0001F6B6\U0001F3FD\U0000200D\U00002642',
    u':man_walking:': u'\U0001F6B6\U0000200D\U00002642',
    u':man_walking_dark_skin_tone:': u'\U0001F6B6\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':man_walking_light_skin_tone:': u'\U0001F6B6\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':man_walking_medium-dark_skin_tone:': u'\U0001F6B6\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':man_walking_medium-light_skin_tone:': u'\U0001F6B6\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':man_walking_medium_skin_tone:': u'\U0001F6B6\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':man_walking_selector:': u'\U0001F6B6\U0000200D\U00002642\U0000FE0F',
    u':man_wearing_turban-dark_skin_tone:': u'\U0001F473\U0001F3FF\U0000200D\U00002642',
    u':man_wearing_turban-light_skin_tone:': u'\U0001F473\U0001F3FB\U0000200D\U00002642',
    u':man_wearing_turban-medium-dark_skin_tone:': u'\U0001F473\U0001F3FE\U0000200D\U00002642',
    u':man_wearing_turban-medium-light_skin_tone:': u'\U0001F473\U0001F3FC\U0000200D\U00002642',
    u':man_wearing_turban-medium_skin_tone:': u'\U0001F473\U0001F3FD\U0000200D\U00002642',
    u':man_wearing_turban:': u'\U0001F473\U0000200D\U00002642',
    u':man_wearing_turban_dark_skin_tone:': u'\U0001F473\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':man_wearing_turban_light_skin_tone:': u'\U0001F473\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':man_wearing_turban_medium-dark_skin_tone:': u'\U0001F473\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':man_wearing_turban_medium-light_skin_tone:': u'\U0001F473\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':man_wearing_turban_medium_skin_tone:': u'\U0001F473\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':man_wearing_turban_selector:': u'\U0001F473\U0000200D\U00002642\U0000FE0F',
    u':man_with_Chinese_cap:': u'\U0001F472',
    u':man_with_Chinese_cap_dark_skin_tone:': u'\U0001F472\U0001F3FF',
    u':man_with_Chinese_cap_light_skin_tone:': u'\U0001F472\U0001F3FB',
    u':man_with_Chinese_cap_medium-dark_skin_tone:': u'\U0001F472\U0001F3FE',
    u':man_with_Chinese_cap_medium-light_skin_tone:': u'\U0001F472\U0001F3FC',
    u':man_with_Chinese_cap_medium_skin_tone:': u'\U0001F472\U0001F3FD',
    u':man_with_probing_cane-dark_skin_tone:': u'\U0001F468\U0001F3FF\U0000200D\U0001F9AF',
    u':man_with_probing_cane-light_skin_tone:': u'\U0001F468\U0001F3FB\U0000200D\U0001F9AF',
    u':man_with_probing_cane-medium-dark_skin_tone:': u'\U0001F468\U0001F3FE\U0000200D\U0001F9AF',
    u':man_with_probing_cane-medium-light_skin_tone:': u'\U0001F468\U0001F3FC\U0000200D\U0001F9AF',
    u':man_with_probing_cane-medium_skin_tone:': u'\U0001F468\U0001F3FD\U0000200D\U0001F9AF',
    u':man_with_probing_cane:': u'\U0001F468\U0000200D\U0001F9AF',
    u':man_zombie:': u'\U0001F9DF\U0000200D\U00002642',
    u':man_zombie_selector:': u'\U0001F9DF\U0000200D\U00002642\U0000FE0F',
    u':mango:': u'\U0001F96D',
    u':mantelpiece_clock:': u'\U0001F570',
    u':mantelpiece_clock_selector:': u'\U0001F570\U0000FE0F',
    u':manual_wheelchair:': u'\U0001F9BD',
    u':man\u2019s_shoe:': u'\U0001F45E',
    u':map_of_Japan:': u'\U0001F5FE',
    u':maple_leaf:': u'\U0001F341',
    u':martial_arts_uniform:': u'\U0001F94B',
    u':mate:': u'\U0001F9C9',
    u':meat_on_bone:': u'\U0001F356',
    u':mechanical_arm:': u'\U0001F9BE',
    u':mechanical_leg:': u'\U0001F9BF',
    u':medical_symbol:': u'\U00002695',
    u':medical_symbol_selector:': u'\U00002695\U0000FE0F',
    u':medium_dark_skin_tone:': u'\U0001F3FE',
    u':medium_light_skin_tone:': u'\U0001F3FC',
    u':medium_skin_tone:': u'\U0001F3FD',
    u':megaphone:': u'\U0001F4E3',
    u':melon:': u'\U0001F348',
    u':memo:': u'\U0001F4DD',
    u':men_holding_hands-dark_skin_tone-light_skin_tone:': u'\U0001F468\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FB',
    u':men_holding_hands-dark_skin_tone-medium-dark_skin_tone:': u'\U0001F468\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FE',
    u':men_holding_hands-dark_skin_tone-medium-light_skin_tone:': u'\U0001F468\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FC',
    u':men_holding_hands-dark_skin_tone-medium_skin_tone:': u'\U0001F468\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FD',
    u':men_holding_hands-dark_skin_tone:': u'\U0001F46C\U0001F3FF',
    u':men_holding_hands-light_skin_tone:': u'\U0001F46C\U0001F3FB',
    u':men_holding_hands-medium-dark_skin_tone-light_skin_tone:': u'\U0001F468\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FB',
    u':men_holding_hands-medium-dark_skin_tone-medium-light_skin_tone:': u'\U0001F468\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FC',
    u':men_holding_hands-medium-dark_skin_tone-medium_skin_tone:': u'\U0001F468\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FD',
    u':men_holding_hands-medium-dark_skin_tone:': u'\U0001F46C\U0001F3FE',
    u':men_holding_hands-medium-light_skin_tone-light_skin_tone:': u'\U0001F468\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FB',
    u':men_holding_hands-medium-light_skin_tone:': u'\U0001F46C\U0001F3FC',
    u':men_holding_hands-medium_skin_tone-light_skin_tone:': u'\U0001F468\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FB',
    u':men_holding_hands-medium_skin_tone-medium-light_skin_tone:': u'\U0001F468\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FC',
    u':men_holding_hands-medium_skin_tone:': u'\U0001F46C\U0001F3FD',
    u':men_with_bunny_ears:': u'\U0001F46F\U0000200D\U00002642',
    u':men_with_bunny_ears_selector:': u'\U0001F46F\U0000200D\U00002642\U0000FE0F',
    u':men_wrestling:': u'\U0001F93C\U0000200D\U00002642',
    u':men_wrestling_selector:': u'\U0001F93C\U0000200D\U00002642\U0000FE0F',
    u':menorah:': u'\U0001F54E',
    u':men\u2019s_room:': u'\U0001F6B9',
    u':mermaid-dark_skin_tone:': u'\U0001F9DC\U0001F3FF\U0000200D\U00002640',
    u':mermaid-light_skin_tone:': u'\U0001F9DC\U0001F3FB\U0000200D\U00002640',
    u':mermaid-medium-dark_skin_tone:': u'\U0001F9DC\U0001F3FE\U0000200D\U00002640',
    u':mermaid-medium-light_skin_tone:': u'\U0001F9DC\U0001F3FC\U0000200D\U00002640',
    u':mermaid-medium_skin_tone:': u'\U0001F9DC\U0001F3FD\U0000200D\U00002640',
    u':mermaid:': u'\U0001F9DC\U0000200D\U00002640',
    u':mermaid_dark_skin_tone:': u'\U0001F9DC\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':mermaid_light_skin_tone:': u'\U0001F9DC\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mermaid_medium-dark_skin_tone:': u'\U0001F9DC\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mermaid_medium-light_skin_tone:': u'\U0001F9DC\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mermaid_medium_skin_tone:': u'\U0001F9DC\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mermaid_selector:': u'\U0001F9DC\U0000200D\U00002640\U0000FE0F',
    u':merman-dark_skin_tone:': u'\U0001F9DC\U0001F3FF\U0000200D\U00002642',
    u':merman-light_skin_tone:': u'\U0001F9DC\U0001F3FB\U0000200D\U00002642',
    u':merman-medium-dark_skin_tone:': u'\U0001F9DC\U0001F3FE\U0000200D\U00002642',
    u':merman-medium-light_skin_tone:': u'\U0001F9DC\U0001F3FC\U0000200D\U00002642',
    u':merman-medium_skin_tone:': u'\U0001F9DC\U0001F3FD\U0000200D\U00002642',
    u':merman:': u'\U0001F9DC\U0000200D\U00002642',
    u':merman_dark_skin_tone:': u'\U0001F9DC\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':merman_light_skin_tone:': u'\U0001F9DC\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':merman_medium-dark_skin_tone:': u'\U0001F9DC\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':merman_medium-light_skin_tone:': u'\U0001F9DC\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':merman_medium_skin_tone:': u'\U0001F9DC\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':merman_selector:': u'\U0001F9DC\U0000200D\U00002642\U0000FE0F',
    u':merperson:': u'\U0001F9DC',
    u':merperson_dark_skin_tone:': u'\U0001F9DC\U0001F3FF',
    u':merperson_light_skin_tone:': u'\U0001F9DC\U0001F3FB',
    u':merperson_medium-dark_skin_tone:': u'\U0001F9DC\U0001F3FE',
    u':merperson_medium-light_skin_tone:': u'\U0001F9DC\U0001F3FC',
    u':merperson_medium_skin_tone:': u'\U0001F9DC\U0001F3FD',
    u':metro:': u'\U0001F687',
    u':microbe:': u'\U0001F9A0',
    u':microphone:': u'\U0001F3A4',
    u':microscope:': u'\U0001F52C',
    u':middle_finger:': u'\U0001F595',
    u':middle_finger_dark_skin_tone:': u'\U0001F595\U0001F3FF',
    u':middle_finger_light_skin_tone:': u'\U0001F595\U0001F3FB',
    u':middle_finger_medium-dark_skin_tone:': u'\U0001F595\U0001F3FE',
    u':middle_finger_medium-light_skin_tone:': u'\U0001F595\U0001F3FC',
    u':middle_finger_medium_skin_tone:': u'\U0001F595\U0001F3FD',
    u':military_medal:': u'\U0001F396',
    u':military_medal_selector:': u'\U0001F396\U0000FE0F',
    u':milky_way:': u'\U0001F30C',
    u':minibus:': u'\U0001F690',
    u':moai:': u'\U0001F5FF',
    u':mobile_phone:': u'\U0001F4F1',
    u':mobile_phone_off:': u'\U0001F4F4',
    u':mobile_phone_with_arrow:': u'\U0001F4F2',
    u':money-mouth_face:': u'\U0001F911',
    u':money_bag:': u'\U0001F4B0',
    u':money_with_wings:': u'\U0001F4B8',
    u':monkey:': u'\U0001F412',
    u':monkey_face:': u'\U0001F435',
    u':monorail:': u'\U0001F69D',
    u':moon_cake:': u'\U0001F96E',
    u':moon_viewing_ceremony:': u'\U0001F391',
    u':mosque:': u'\U0001F54C',
    u':mosquito:': u'\U0001F99F',
    u':motor_boat:': u'\U0001F6E5',
    u':motor_boat_selector:': u'\U0001F6E5\U0000FE0F',
    u':motor_scooter:': u'\U0001F6F5',
    u':motorcycle:': u'\U0001F3CD',
    u':motorcycle_selector:': u'\U0001F3CD\U0000FE0F',
    u':motorized_wheelchair:': u'\U0001F9BC',
    u':motorway:': u'\U0001F6E3',
    u':motorway_selector:': u'\U0001F6E3\U0000FE0F',
    u':mount_fuji:': u'\U0001F5FB',
    u':mountain:': u'\U000026F0',
    u':mountain_cableway:': u'\U0001F6A0',
    u':mountain_railway:': u'\U0001F69E',
    u':mountain_selector:': u'\U000026F0\U0000FE0F',
    u':mouse:': u'\U0001F401',
    u':mouse_face:': u'\U0001F42D',
    u':mouth:': u'\U0001F444',
    u':movie_camera:': u'\U0001F3A5',
    u':multiplication_sign:': u'\U00002716\U0000FE0F',
    u':mushroom:': u'\U0001F344',
    u':musical_keyboard:': u'\U0001F3B9',
    u':musical_note:': u'\U0001F3B5',
    u':musical_notes:': u'\U0001F3B6',
    u':musical_score:': u'\U0001F3BC',
    u':muted_speaker:': u'\U0001F507',
    u':nail_polish:': u'\U0001F485',
    u':nail_polish_dark_skin_tone:': u'\U0001F485\U0001F3FF',
    u':nail_polish_light_skin_tone:': u'\U0001F485\U0001F3FB',
    u':nail_polish_medium-dark_skin_tone:': u'\U0001F485\U0001F3FE',
    u':nail_polish_medium-light_skin_tone:': u'\U0001F485\U0001F3FC',
    u':nail_polish_medium_skin_tone:': u'\U0001F485\U0001F3FD',
    u':name_badge:': u'\U0001F4DB',
    u':national_park:': u'\U0001F3DE',
    u':national_park_selector:': u'\U0001F3DE\U0000FE0F',
    u':nauseated_face:': u'\U0001F922',
    u':nazar_amulet:': u'\U0001F9FF',
    u':necktie:': u'\U0001F454',
    u':nerd_face:': u'\U0001F913',
    u':neutral_face:': u'\U0001F610',
    u':new_moon:': u'\U0001F311',
    u':new_moon_face:': u'\U0001F31A',
    u':newspaper:': u'\U0001F4F0',
    u':next_track_button:': u'\U000023ED',
    u':next_track_button_selector:': u'\U000023ED\U0000FE0F',
    u':night_with_stars:': u'\U0001F303',
    u':nine-thirty:': u'\U0001F564',
    u':nine_o\u2019clock:': u'\U0001F558',
    u':no_bicycles:': u'\U0001F6B3',
    u':no_entry:': u'\U000026D4',
    u':no_littering:': u'\U0001F6AF',
    u':no_mobile_phones:': u'\U0001F4F5',
    u':no_one_under_eighteen:': u'\U0001F51E',
    u':no_pedestrians:': u'\U0001F6B7',
    u':no_smoking:': u'\U0001F6AD',
    u':non-potable_water:': u'\U0001F6B1',
    u':nose:': u'\U0001F443',
    u':nose_dark_skin_tone:': u'\U0001F443\U0001F3FF',
    u':nose_light_skin_tone:': u'\U0001F443\U0001F3FB',
    u':nose_medium-dark_skin_tone:': u'\U0001F443\U0001F3FE',
    u':nose_medium-light_skin_tone:': u'\U0001F443\U0001F3FC',
    u':nose_medium_skin_tone:': u'\U0001F443\U0001F3FD',
    u':notebook:': u'\U0001F4D3',
    u':notebook_with_decorative_cover:': u'\U0001F4D4',
    u':nut_and_bolt:': u'\U0001F529',
    u':octopus:': u'\U0001F419',
    u':oden:': u'\U0001F362',
    u':office_building:': u'\U0001F3E2',
    u':ogre:': u'\U0001F479',
    u':oil_drum:': u'\U0001F6E2',
    u':oil_drum_selector:': u'\U0001F6E2\U0000FE0F',
    u':old_key:': u'\U0001F5DD',
    u':old_key_selector:': u'\U0001F5DD\U0000FE0F',
    u':old_man:': u'\U0001F474',
    u':old_man_dark_skin_tone:': u'\U0001F474\U0001F3FF',
    u':old_man_light_skin_tone:': u'\U0001F474\U0001F3FB',
    u':old_man_medium-dark_skin_tone:': u'\U0001F474\U0001F3FE',
    u':old_man_medium-light_skin_tone:': u'\U0001F474\U0001F3FC',
    u':old_man_medium_skin_tone:': u'\U0001F474\U0001F3FD',
    u':old_woman:': u'\U0001F475',
    u':old_woman_dark_skin_tone:': u'\U0001F475\U0001F3FF',
    u':old_woman_light_skin_tone:': u'\U0001F475\U0001F3FB',
    u':old_woman_medium-dark_skin_tone:': u'\U0001F475\U0001F3FE',
    u':old_woman_medium-light_skin_tone:': u'\U0001F475\U0001F3FC',
    u':old_woman_medium_skin_tone:': u'\U0001F475\U0001F3FD',
    u':older_adult:': u'\U0001F9D3',
    u':older_adult_dark_skin_tone:': u'\U0001F9D3\U0001F3FF',
    u':older_adult_light_skin_tone:': u'\U0001F9D3\U0001F3FB',
    u':older_adult_medium-dark_skin_tone:': u'\U0001F9D3\U0001F3FE',
    u':older_adult_medium-light_skin_tone:': u'\U0001F9D3\U0001F3FC',
    u':older_adult_medium_skin_tone:': u'\U0001F9D3\U0001F3FD',
    u':om:': u'\U0001F549',
    u':om_selector:': u'\U0001F549\U0000FE0F',
    u':oncoming_automobile:': u'\U0001F698',
    u':oncoming_bus:': u'\U0001F68D',
    u':oncoming_fist:': u'\U0001F44A',
    u':oncoming_fist_dark_skin_tone:': u'\U0001F44A\U0001F3FF',
    u':oncoming_fist_light_skin_tone:': u'\U0001F44A\U0001F3FB',
    u':oncoming_fist_medium-dark_skin_tone:': u'\U0001F44A\U0001F3FE',
    u':oncoming_fist_medium-light_skin_tone:': u'\U0001F44A\U0001F3FC',
    u':oncoming_fist_medium_skin_tone:': u'\U0001F44A\U0001F3FD',
    u':oncoming_police_car:': u'\U0001F694',
    u':oncoming_taxi:': u'\U0001F696',
    u':one-piece_swimsuit:': u'\U0001FA71',
    u':one-thirty:': u'\U0001F55C',
    u':one_o\u2019clock:': u'\U0001F550',
    u':onion:': u'\U0001F9C5',
    u':open_book:': u'\U0001F4D6',
    u':open_file_folder:': u'\U0001F4C2',
    u':open_hands:': u'\U0001F450',
    u':open_hands_dark_skin_tone:': u'\U0001F450\U0001F3FF',
    u':open_hands_light_skin_tone:': u'\U0001F450\U0001F3FB',
    u':open_hands_medium-dark_skin_tone:': u'\U0001F450\U0001F3FE',
    u':open_hands_medium-light_skin_tone:': u'\U0001F450\U0001F3FC',
    u':open_hands_medium_skin_tone:': u'\U0001F450\U0001F3FD',
    u':open_mailbox_with_lowered_flag:': u'\U0001F4ED',
    u':open_mailbox_with_raised_flag:': u'\U0001F4EC',
    u':optical_disk:': u'\U0001F4BF',
    u':orange_book:': u'\U0001F4D9',
    u':orange_circle:': u'\U0001F7E0',
    u':orange_heart:': u'\U0001F9E1',
    u':orange_square:': u'\U0001F7E7',
    u':orangutan:': u'\U0001F9A7',
    u':orthodox_cross:': u'\U00002626',
    u':orthodox_cross_selector:': u'\U00002626\U0000FE0F',
    u':otter:': u'\U0001F9A6',
    u':outbox_tray:': u'\U0001F4E4',
    u':owl:': u'\U0001F989',
    u':ox:': u'\U0001F402',
    u':oyster:': u'\U0001F9AA',
    u':package:': u'\U0001F4E6',
    u':page_facing_up:': u'\U0001F4C4',
    u':page_with_curl:': u'\U0001F4C3',
    u':pager:': u'\U0001F4DF',
    u':paintbrush:': u'\U0001F58C',
    u':paintbrush_selector:': u'\U0001F58C\U0000FE0F',
    u':palm_tree:': u'\U0001F334',
    u':palms_up_together:': u'\U0001F932',
    u':palms_up_together_dark_skin_tone:': u'\U0001F932\U0001F3FF',
    u':palms_up_together_light_skin_tone:': u'\U0001F932\U0001F3FB',
    u':palms_up_together_medium-dark_skin_tone:': u'\U0001F932\U0001F3FE',
    u':palms_up_together_medium-light_skin_tone:': u'\U0001F932\U0001F3FC',
    u':palms_up_together_medium_skin_tone:': u'\U0001F932\U0001F3FD',
    u':pancakes:': u'\U0001F95E',
    u':panda_face:': u'\U0001F43C',
    u':paperclip:': u'\U0001F4CE',
    u':parachute:': u'\U0001FA82',
    u':parrot:': u'\U0001F99C',
    u':part_alternation_mark:': u'\U0000303D',
    u':part_alternation_mark_selector:': u'\U0000303D\U0000FE0F',
    u':party_popper:': u'\U0001F389',
    u':partying_face:': u'\U0001F973',
    u':passenger_ship:': u'\U0001F6F3',
    u':passenger_ship_selector:': u'\U0001F6F3\U0000FE0F',
    u':passport_control:': u'\U0001F6C2',
    u':pause_button:': u'\U000023F8',
    u':pause_button_selector:': u'\U000023F8\U0000FE0F',
    u':paw_prints:': u'\U0001F43E',
    u':peace_symbol:': u'\U0000262E',
    u':peace_symbol_selector:': u'\U0000262E\U0000FE0F',
    u':peach:': u'\U0001F351',
    u':peacock:': u'\U0001F99A',
    u':peanuts:': u'\U0001F95C',
    u':pear:': u'\U0001F350',
    u':pen:': u'\U0001F58A',
    u':pen_selector:': u'\U0001F58A\U0000FE0F',
    u':pencil:': u'\U0000270F',
    u':pencil_selector:': u'\U0000270F\U0000FE0F',
    u':penguin:': u'\U0001F427',
    u':pensive_face:': u'\U0001F614',
    u':people_holding_hands-dark_skin_tone-light_skin_tone:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FB',
    u':people_holding_hands-dark_skin_tone-medium-dark_skin_tone:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FE',
    u':people_holding_hands-dark_skin_tone-medium-light_skin_tone:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FC',
    u':people_holding_hands-dark_skin_tone-medium_skin_tone:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FD',
    u':people_holding_hands-dark_skin_tone:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FF',
    u':people_holding_hands-light_skin_tone:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FB',
    u':people_holding_hands-medium-dark_skin_tone-light_skin_tone:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FB',
    u':people_holding_hands-medium-dark_skin_tone-medium-light_skin_tone:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FC',
    u':people_holding_hands-medium-dark_skin_tone-medium_skin_tone:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FD',
    u':people_holding_hands-medium-dark_skin_tone:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FE',
    u':people_holding_hands-medium-light_skin_tone-light_skin_tone:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FB',
    u':people_holding_hands-medium-light_skin_tone:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FC',
    u':people_holding_hands-medium_skin_tone-light_skin_tone:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FB',
    u':people_holding_hands-medium_skin_tone-medium-light_skin_tone:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FC',
    u':people_holding_hands-medium_skin_tone:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FD',
    u':people_holding_hands:': u'\U0001F9D1\U0000200D\U0001F91D\U0000200D\U0001F9D1',
    u':people_with_bunny_ears:': u'\U0001F46F',
    u':people_wrestling:': u'\U0001F93C',
    u':performing_arts:': u'\U0001F3AD',
    u':persevering_face:': u'\U0001F623',
    u':person_biking:': u'\U0001F6B4',
    u':person_biking_dark_skin_tone:': u'\U0001F6B4\U0001F3FF',
    u':person_biking_light_skin_tone:': u'\U0001F6B4\U0001F3FB',
    u':person_biking_medium-dark_skin_tone:': u'\U0001F6B4\U0001F3FE',
    u':person_biking_medium-light_skin_tone:': u'\U0001F6B4\U0001F3FC',
    u':person_biking_medium_skin_tone:': u'\U0001F6B4\U0001F3FD',
    u':person_bouncing_ball:': u'\U000026F9',
    u':person_bouncing_ball_dark_skin_tone:': u'\U000026F9\U0001F3FF',
    u':person_bouncing_ball_light_skin_tone:': u'\U000026F9\U0001F3FB',
    u':person_bouncing_ball_medium-dark_skin_tone:': u'\U000026F9\U0001F3FE',
    u':person_bouncing_ball_medium-light_skin_tone:': u'\U000026F9\U0001F3FC',
    u':person_bouncing_ball_medium_skin_tone:': u'\U000026F9\U0001F3FD',
    u':person_bouncing_ball_selector:': u'\U000026F9\U0000FE0F',
    u':person_bowing:': u'\U0001F647',
    u':person_bowing_dark_skin_tone:': u'\U0001F647\U0001F3FF',
    u':person_bowing_light_skin_tone:': u'\U0001F647\U0001F3FB',
    u':person_bowing_medium-dark_skin_tone:': u'\U0001F647\U0001F3FE',
    u':person_bowing_medium-light_skin_tone:': u'\U0001F647\U0001F3FC',
    u':person_bowing_medium_skin_tone:': u'\U0001F647\U0001F3FD',
    u':person_cartwheeling:': u'\U0001F938',
    u':person_cartwheeling_dark_skin_tone:': u'\U0001F938\U0001F3FF',
    u':person_cartwheeling_light_skin_tone:': u'\U0001F938\U0001F3FB',
    u':person_cartwheeling_medium-dark_skin_tone:': u'\U0001F938\U0001F3FE',
    u':person_cartwheeling_medium-light_skin_tone:': u'\U0001F938\U0001F3FC',
    u':person_cartwheeling_medium_skin_tone:': u'\U0001F938\U0001F3FD',
    u':person_climbing:': u'\U0001F9D7',
    u':person_climbing_dark_skin_tone:': u'\U0001F9D7\U0001F3FF',
    u':person_climbing_light_skin_tone:': u'\U0001F9D7\U0001F3FB',
    u':person_climbing_medium-dark_skin_tone:': u'\U0001F9D7\U0001F3FE',
    u':person_climbing_medium-light_skin_tone:': u'\U0001F9D7\U0001F3FC',
    u':person_climbing_medium_skin_tone:': u'\U0001F9D7\U0001F3FD',
    u':person_facepalming:': u'\U0001F926',
    u':person_facepalming_dark_skin_tone:': u'\U0001F926\U0001F3FF',
    u':person_facepalming_light_skin_tone:': u'\U0001F926\U0001F3FB',
    u':person_facepalming_medium-dark_skin_tone:': u'\U0001F926\U0001F3FE',
    u':person_facepalming_medium-light_skin_tone:': u'\U0001F926\U0001F3FC',
    u':person_facepalming_medium_skin_tone:': u'\U0001F926\U0001F3FD',
    u':person_fencing:': u'\U0001F93A',
    u':person_frowning:': u'\U0001F64D',
    u':person_frowning_dark_skin_tone:': u'\U0001F64D\U0001F3FF',
    u':person_frowning_light_skin_tone:': u'\U0001F64D\U0001F3FB',
    u':person_frowning_medium-dark_skin_tone:': u'\U0001F64D\U0001F3FE',
    u':person_frowning_medium-light_skin_tone:': u'\U0001F64D\U0001F3FC',
    u':person_frowning_medium_skin_tone:': u'\U0001F64D\U0001F3FD',
    u':person_gesturing_NO:': u'\U0001F645',
    u':person_gesturing_NO_dark_skin_tone:': u'\U0001F645\U0001F3FF',
    u':person_gesturing_NO_light_skin_tone:': u'\U0001F645\U0001F3FB',
    u':person_gesturing_NO_medium-dark_skin_tone:': u'\U0001F645\U0001F3FE',
    u':person_gesturing_NO_medium-light_skin_tone:': u'\U0001F645\U0001F3FC',
    u':person_gesturing_NO_medium_skin_tone:': u'\U0001F645\U0001F3FD',
    u':person_gesturing_OK:': u'\U0001F646',
    u':person_gesturing_OK_dark_skin_tone:': u'\U0001F646\U0001F3FF',
    u':person_gesturing_OK_light_skin_tone:': u'\U0001F646\U0001F3FB',
    u':person_gesturing_OK_medium-dark_skin_tone:': u'\U0001F646\U0001F3FE',
    u':person_gesturing_OK_medium-light_skin_tone:': u'\U0001F646\U0001F3FC',
    u':person_gesturing_OK_medium_skin_tone:': u'\U0001F646\U0001F3FD',
    u':person_getting_haircut:': u'\U0001F487',
    u':person_getting_haircut_dark_skin_tone:': u'\U0001F487\U0001F3FF',
    u':person_getting_haircut_light_skin_tone:': u'\U0001F487\U0001F3FB',
    u':person_getting_haircut_medium-dark_skin_tone:': u'\U0001F487\U0001F3FE',
    u':person_getting_haircut_medium-light_skin_tone:': u'\U0001F487\U0001F3FC',
    u':person_getting_haircut_medium_skin_tone:': u'\U0001F487\U0001F3FD',
    u':person_getting_massage:': u'\U0001F486',
    u':person_getting_massage_dark_skin_tone:': u'\U0001F486\U0001F3FF',
    u':person_getting_massage_light_skin_tone:': u'\U0001F486\U0001F3FB',
    u':person_getting_massage_medium-dark_skin_tone:': u'\U0001F486\U0001F3FE',
    u':person_getting_massage_medium-light_skin_tone:': u'\U0001F486\U0001F3FC',
    u':person_getting_massage_medium_skin_tone:': u'\U0001F486\U0001F3FD',
    u':person_golfing:': u'\U0001F3CC',
    u':person_golfing_dark_skin_tone:': u'\U0001F3CC\U0001F3FF',
    u':person_golfing_light_skin_tone:': u'\U0001F3CC\U0001F3FB',
    u':person_golfing_medium-dark_skin_tone:': u'\U0001F3CC\U0001F3FE',
    u':person_golfing_medium-light_skin_tone:': u'\U0001F3CC\U0001F3FC',
    u':person_golfing_medium_skin_tone:': u'\U0001F3CC\U0001F3FD',
    u':person_golfing_selector:': u'\U0001F3CC\U0000FE0F',
    u':person_in_bed:': u'\U0001F6CC',
    u':person_in_bed_dark_skin_tone:': u'\U0001F6CC\U0001F3FF',
    u':person_in_bed_light_skin_tone:': u'\U0001F6CC\U0001F3FB',
    u':person_in_bed_medium-dark_skin_tone:': u'\U0001F6CC\U0001F3FE',
    u':person_in_bed_medium-light_skin_tone:': u'\U0001F6CC\U0001F3FC',
    u':person_in_bed_medium_skin_tone:': u'\U0001F6CC\U0001F3FD',
    u':person_in_lotus_position:': u'\U0001F9D8',
    u':person_in_lotus_position_dark_skin_tone:': u'\U0001F9D8\U0001F3FF',
    u':person_in_lotus_position_light_skin_tone:': u'\U0001F9D8\U0001F3FB',
    u':person_in_lotus_position_medium-dark_skin_tone:': u'\U0001F9D8\U0001F3FE',
    u':person_in_lotus_position_medium-light_skin_tone:': u'\U0001F9D8\U0001F3FC',
    u':person_in_lotus_position_medium_skin_tone:': u'\U0001F9D8\U0001F3FD',
    u':person_in_steamy_room:': u'\U0001F9D6',
    u':person_in_steamy_room_dark_skin_tone:': u'\U0001F9D6\U0001F3FF',
    u':person_in_steamy_room_light_skin_tone:': u'\U0001F9D6\U0001F3FB',
    u':person_in_steamy_room_medium-dark_skin_tone:': u'\U0001F9D6\U0001F3FE',
    u':person_in_steamy_room_medium-light_skin_tone:': u'\U0001F9D6\U0001F3FC',
    u':person_in_steamy_room_medium_skin_tone:': u'\U0001F9D6\U0001F3FD',
    u':person_juggling:': u'\U0001F939',
    u':person_juggling_dark_skin_tone:': u'\U0001F939\U0001F3FF',
    u':person_juggling_light_skin_tone:': u'\U0001F939\U0001F3FB',
    u':person_juggling_medium-dark_skin_tone:': u'\U0001F939\U0001F3FE',
    u':person_juggling_medium-light_skin_tone:': u'\U0001F939\U0001F3FC',
    u':person_juggling_medium_skin_tone:': u'\U0001F939\U0001F3FD',
    u':person_kneeling-dark_skin_tone:': u'\U0001F9CE\U0001F3FF',
    u':person_kneeling-light_skin_tone:': u'\U0001F9CE\U0001F3FB',
    u':person_kneeling-medium-dark_skin_tone:': u'\U0001F9CE\U0001F3FE',
    u':person_kneeling-medium-light_skin_tone:': u'\U0001F9CE\U0001F3FC',
    u':person_kneeling-medium_skin_tone:': u'\U0001F9CE\U0001F3FD',
    u':person_kneeling:': u'\U0001F9CE',
    u':person_lifting_weights:': u'\U0001F3CB',
    u':person_lifting_weights_dark_skin_tone:': u'\U0001F3CB\U0001F3FF',
    u':person_lifting_weights_light_skin_tone:': u'\U0001F3CB\U0001F3FB',
    u':person_lifting_weights_medium-dark_skin_tone:': u'\U0001F3CB\U0001F3FE',
    u':person_lifting_weights_medium-light_skin_tone:': u'\U0001F3CB\U0001F3FC',
    u':person_lifting_weights_medium_skin_tone:': u'\U0001F3CB\U0001F3FD',
    u':person_lifting_weights_selector:': u'\U0001F3CB\U0000FE0F',
    u':person_mountain_biking:': u'\U0001F6B5',
    u':person_mountain_biking_dark_skin_tone:': u'\U0001F6B5\U0001F3FF',
    u':person_mountain_biking_light_skin_tone:': u'\U0001F6B5\U0001F3FB',
    u':person_mountain_biking_medium-dark_skin_tone:': u'\U0001F6B5\U0001F3FE',
    u':person_mountain_biking_medium-light_skin_tone:': u'\U0001F6B5\U0001F3FC',
    u':person_mountain_biking_medium_skin_tone:': u'\U0001F6B5\U0001F3FD',
    u':person_playing_handball:': u'\U0001F93E',
    u':person_playing_handball_dark_skin_tone:': u'\U0001F93E\U0001F3FF',
    u':person_playing_handball_light_skin_tone:': u'\U0001F93E\U0001F3FB',
    u':person_playing_handball_medium-dark_skin_tone:': u'\U0001F93E\U0001F3FE',
    u':person_playing_handball_medium-light_skin_tone:': u'\U0001F93E\U0001F3FC',
    u':person_playing_handball_medium_skin_tone:': u'\U0001F93E\U0001F3FD',
    u':person_playing_water_polo:': u'\U0001F93D',
    u':person_playing_water_polo_dark_skin_tone:': u'\U0001F93D\U0001F3FF',
    u':person_playing_water_polo_light_skin_tone:': u'\U0001F93D\U0001F3FB',
    u':person_playing_water_polo_medium-dark_skin_tone:': u'\U0001F93D\U0001F3FE',
    u':person_playing_water_polo_medium-light_skin_tone:': u'\U0001F93D\U0001F3FC',
    u':person_playing_water_polo_medium_skin_tone:': u'\U0001F93D\U0001F3FD',
    u':person_pouting:': u'\U0001F64E',
    u':person_pouting_dark_skin_tone:': u'\U0001F64E\U0001F3FF',
    u':person_pouting_light_skin_tone:': u'\U0001F64E\U0001F3FB',
    u':person_pouting_medium-dark_skin_tone:': u'\U0001F64E\U0001F3FE',
    u':person_pouting_medium-light_skin_tone:': u'\U0001F64E\U0001F3FC',
    u':person_pouting_medium_skin_tone:': u'\U0001F64E\U0001F3FD',
    u':person_raising_hand:': u'\U0001F64B',
    u':person_raising_hand_dark_skin_tone:': u'\U0001F64B\U0001F3FF',
    u':person_raising_hand_light_skin_tone:': u'\U0001F64B\U0001F3FB',
    u':person_raising_hand_medium-dark_skin_tone:': u'\U0001F64B\U0001F3FE',
    u':person_raising_hand_medium-light_skin_tone:': u'\U0001F64B\U0001F3FC',
    u':person_raising_hand_medium_skin_tone:': u'\U0001F64B\U0001F3FD',
    u':person_rowing_boat:': u'\U0001F6A3',
    u':person_rowing_boat_dark_skin_tone:': u'\U0001F6A3\U0001F3FF',
    u':person_rowing_boat_light_skin_tone:': u'\U0001F6A3\U0001F3FB',
    u':person_rowing_boat_medium-dark_skin_tone:': u'\U0001F6A3\U0001F3FE',
    u':person_rowing_boat_medium-light_skin_tone:': u'\U0001F6A3\U0001F3FC',
    u':person_rowing_boat_medium_skin_tone:': u'\U0001F6A3\U0001F3FD',
    u':person_running:': u'\U0001F3C3',
    u':person_running_dark_skin_tone:': u'\U0001F3C3\U0001F3FF',
    u':person_running_light_skin_tone:': u'\U0001F3C3\U0001F3FB',
    u':person_running_medium-dark_skin_tone:': u'\U0001F3C3\U0001F3FE',
    u':person_running_medium-light_skin_tone:': u'\U0001F3C3\U0001F3FC',
    u':person_running_medium_skin_tone:': u'\U0001F3C3\U0001F3FD',
    u':person_shrugging:': u'\U0001F937',
    u':person_shrugging_dark_skin_tone:': u'\U0001F937\U0001F3FF',
    u':person_shrugging_light_skin_tone:': u'\U0001F937\U0001F3FB',
    u':person_shrugging_medium-dark_skin_tone:': u'\U0001F937\U0001F3FE',
    u':person_shrugging_medium-light_skin_tone:': u'\U0001F937\U0001F3FC',
    u':person_shrugging_medium_skin_tone:': u'\U0001F937\U0001F3FD',
    u':person_standing-dark_skin_tone:': u'\U0001F9CD\U0001F3FF',
    u':person_standing-light_skin_tone:': u'\U0001F9CD\U0001F3FB',
    u':person_standing-medium-dark_skin_tone:': u'\U0001F9CD\U0001F3FE',
    u':person_standing-medium-light_skin_tone:': u'\U0001F9CD\U0001F3FC',
    u':person_standing-medium_skin_tone:': u'\U0001F9CD\U0001F3FD',
    u':person_standing:': u'\U0001F9CD',
    u':person_surfing:': u'\U0001F3C4',
    u':person_surfing_dark_skin_tone:': u'\U0001F3C4\U0001F3FF',
    u':person_surfing_light_skin_tone:': u'\U0001F3C4\U0001F3FB',
    u':person_surfing_medium-dark_skin_tone:': u'\U0001F3C4\U0001F3FE',
    u':person_surfing_medium-light_skin_tone:': u'\U0001F3C4\U0001F3FC',
    u':person_surfing_medium_skin_tone:': u'\U0001F3C4\U0001F3FD',
    u':person_swimming:': u'\U0001F3CA',
    u':person_swimming_dark_skin_tone:': u'\U0001F3CA\U0001F3FF',
    u':person_swimming_light_skin_tone:': u'\U0001F3CA\U0001F3FB',
    u':person_swimming_medium-dark_skin_tone:': u'\U0001F3CA\U0001F3FE',
    u':person_swimming_medium-light_skin_tone:': u'\U0001F3CA\U0001F3FC',
    u':person_swimming_medium_skin_tone:': u'\U0001F3CA\U0001F3FD',
    u':person_taking_bath:': u'\U0001F6C0',
    u':person_taking_bath_dark_skin_tone:': u'\U0001F6C0\U0001F3FF',
    u':person_taking_bath_light_skin_tone:': u'\U0001F6C0\U0001F3FB',
    u':person_taking_bath_medium-dark_skin_tone:': u'\U0001F6C0\U0001F3FE',
    u':person_taking_bath_medium-light_skin_tone:': u'\U0001F6C0\U0001F3FC',
    u':person_taking_bath_medium_skin_tone:': u'\U0001F6C0\U0001F3FD',
    u':person_tipping_hand:': u'\U0001F481',
    u':person_tipping_hand_dark_skin_tone:': u'\U0001F481\U0001F3FF',
    u':person_tipping_hand_light_skin_tone:': u'\U0001F481\U0001F3FB',
    u':person_tipping_hand_medium-dark_skin_tone:': u'\U0001F481\U0001F3FE',
    u':person_tipping_hand_medium-light_skin_tone:': u'\U0001F481\U0001F3FC',
    u':person_tipping_hand_medium_skin_tone:': u'\U0001F481\U0001F3FD',
    u':person_walking:': u'\U0001F6B6',
    u':person_walking_dark_skin_tone:': u'\U0001F6B6\U0001F3FF',
    u':person_walking_light_skin_tone:': u'\U0001F6B6\U0001F3FB',
    u':person_walking_medium-dark_skin_tone:': u'\U0001F6B6\U0001F3FE',
    u':person_walking_medium-light_skin_tone:': u'\U0001F6B6\U0001F3FC',
    u':person_walking_medium_skin_tone:': u'\U0001F6B6\U0001F3FD',
    u':person_wearing_turban:': u'\U0001F473',
    u':person_wearing_turban_dark_skin_tone:': u'\U0001F473\U0001F3FF',
    u':person_wearing_turban_light_skin_tone:': u'\U0001F473\U0001F3FB',
    u':person_wearing_turban_medium-dark_skin_tone:': u'\U0001F473\U0001F3FE',
    u':person_wearing_turban_medium-light_skin_tone:': u'\U0001F473\U0001F3FC',
    u':person_wearing_turban_medium_skin_tone:': u'\U0001F473\U0001F3FD',
    u':petri_dish:': u'\U0001F9EB',
    u':pick:': u'\U000026CF',
    u':pick_selector:': u'\U000026CF\U0000FE0F',
    u':pie:': u'\U0001F967',
    u':pig:': u'\U0001F416',
    u':pig_face:': u'\U0001F437',
    u':pig_nose:': u'\U0001F43D',
    u':pile_of_poo:': u'\U0001F4A9',
    u':pill:': u'\U0001F48A',
    u':pinching_hand-dark_skin_tone:': u'\U0001F90F\U0001F3FF',
    u':pinching_hand-light_skin_tone:': u'\U0001F90F\U0001F3FB',
    u':pinching_hand-medium-dark_skin_tone:': u'\U0001F90F\U0001F3FE',
    u':pinching_hand-medium-light_skin_tone:': u'\U0001F90F\U0001F3FC',
    u':pinching_hand-medium_skin_tone:': u'\U0001F90F\U0001F3FD',
    u':pinching_hand:': u'\U0001F90F',
    u':pine_decoration:': u'\U0001F38D',
    u':pineapple:': u'\U0001F34D',
    u':ping_pong:': u'\U0001F3D3',
    u':pirate_flag:': u'\U0001F3F4\U0000200D\U00002620',
    u':pirate_flag_selector:': u'\U0001F3F4\U0000200D\U00002620\U0000FE0F',
    u':pistol:': u'\U0001F52B',
    u':pizza:': u'\U0001F355',
    u':place_of_worship:': u'\U0001F6D0',
    u':play_button:': u'\U000025B6',
    u':play_button_selector:': u'\U000025B6\U0000FE0F',
    u':play_or_pause_button:': u'\U000023EF',
    u':play_or_pause_button_selector:': u'\U000023EF\U0000FE0F',
    u':pleading_face:': u'\U0001F97A',
    u':police_car:': u'\U0001F693',
    u':police_car_light:': u'\U0001F6A8',
    u':police_officer:': u'\U0001F46E',
    u':police_officer_dark_skin_tone:': u'\U0001F46E\U0001F3FF',
    u':police_officer_light_skin_tone:': u'\U0001F46E\U0001F3FB',
    u':police_officer_medium-dark_skin_tone:': u'\U0001F46E\U0001F3FE',
    u':police_officer_medium-light_skin_tone:': u'\U0001F46E\U0001F3FC',
    u':police_officer_medium_skin_tone:': u'\U0001F46E\U0001F3FD',
    u':poodle:': u'\U0001F429',
    u':pool_8_ball:': u'\U0001F3B1',
    u':popcorn:': u'\U0001F37F',
    u':post_office:': u'\U0001F3E4',
    u':postal_horn:': u'\U0001F4EF',
    u':postbox:': u'\U0001F4EE',
    u':pot_of_food:': u'\U0001F372',
    u':potable_water:': u'\U0001F6B0',
    u':potato:': u'\U0001F954',
    u':poultry_leg:': u'\U0001F357',
    u':pound_banknote:': u'\U0001F4B7',
    u':pouting_cat_face:': u'\U0001F63E',
    u':pouting_face:': u'\U0001F621',
    u':prayer_beads:': u'\U0001F4FF',
    u':pregnant_woman:': u'\U0001F930',
    u':pregnant_woman_dark_skin_tone:': u'\U0001F930\U0001F3FF',
    u':pregnant_woman_light_skin_tone:': u'\U0001F930\U0001F3FB',
    u':pregnant_woman_medium-dark_skin_tone:': u'\U0001F930\U0001F3FE',
    u':pregnant_woman_medium-light_skin_tone:': u'\U0001F930\U0001F3FC',
    u':pregnant_woman_medium_skin_tone:': u'\U0001F930\U0001F3FD',
    u':pretzel:': u'\U0001F968',
    u':prince:': u'\U0001F934',
    u':prince_dark_skin_tone:': u'\U0001F934\U0001F3FF',
    u':prince_light_skin_tone:': u'\U0001F934\U0001F3FB',
    u':prince_medium-dark_skin_tone:': u'\U0001F934\U0001F3FE',
    u':prince_medium-light_skin_tone:': u'\U0001F934\U0001F3FC',
    u':prince_medium_skin_tone:': u'\U0001F934\U0001F3FD',
    u':princess:': u'\U0001F478',
    u':princess_dark_skin_tone:': u'\U0001F478\U0001F3FF',
    u':princess_light_skin_tone:': u'\U0001F478\U0001F3FB',
    u':princess_medium-dark_skin_tone:': u'\U0001F478\U0001F3FE',
    u':princess_medium-light_skin_tone:': u'\U0001F478\U0001F3FC',
    u':princess_medium_skin_tone:': u'\U0001F478\U0001F3FD',
    u':printer:': u'\U0001F5A8',
    u':printer_selector:': u'\U0001F5A8\U0000FE0F',
    u':probing_cane:': u'\U0001F9AF',
    u':prohibited:': u'\U0001F6AB',
    u':purple_circle:': u'\U0001F7E3',
    u':purple_heart:': u'\U0001F49C',
    u':purple_square:': u'\U0001F7EA',
    u':purse:': u'\U0001F45B',
    u':pushpin:': u'\U0001F4CC',
    u':question_mark:': u'\U00002753',
    u':rabbit:': u'\U0001F407',
    u':rabbit_face:': u'\U0001F430',
    u':raccoon:': u'\U0001F99D',
    u':racing_car:': u'\U0001F3CE',
    u':racing_car_selector:': u'\U0001F3CE\U0000FE0F',
    u':radio:': u'\U0001F4FB',
    u':radio_button:': u'\U0001F518',
    u':radioactive:': u'\U00002622',
    u':radioactive_selector:': u'\U00002622\U0000FE0F',
    u':railway_car:': u'\U0001F683',
    u':railway_track:': u'\U0001F6E4',
    u':railway_track_selector:': u'\U0001F6E4\U0000FE0F',
    u':rainbow:': u'\U0001F308',
    u':rainbow_flag:': u'\U0001F3F3\U0000200D\U0001F308',
    u':rainbow_flag_selector:': u'\U0001F3F3\U0000FE0F\U0000200D\U0001F308',
    u':raised_back_of_hand:': u'\U0001F91A',
    u':raised_back_of_hand_dark_skin_tone:': u'\U0001F91A\U0001F3FF',
    u':raised_back_of_hand_light_skin_tone:': u'\U0001F91A\U0001F3FB',
    u':raised_back_of_hand_medium-dark_skin_tone:': u'\U0001F91A\U0001F3FE',
    u':raised_back_of_hand_medium-light_skin_tone:': u'\U0001F91A\U0001F3FC',
    u':raised_back_of_hand_medium_skin_tone:': u'\U0001F91A\U0001F3FD',
    u':raised_fist:': u'\U0000270A',
    u':raised_fist_dark_skin_tone:': u'\U0000270A\U0001F3FF',
    u':raised_fist_light_skin_tone:': u'\U0000270A\U0001F3FB',
    u':raised_fist_medium-dark_skin_tone:': u'\U0000270A\U0001F3FE',
    u':raised_fist_medium-light_skin_tone:': u'\U0000270A\U0001F3FC',
    u':raised_fist_medium_skin_tone:': u'\U0000270A\U0001F3FD',
    u':raised_hand:': u'\U0000270B',
    u':raised_hand_dark_skin_tone:': u'\U0000270B\U0001F3FF',
    u':raised_hand_light_skin_tone:': u'\U0000270B\U0001F3FB',
    u':raised_hand_medium-dark_skin_tone:': u'\U0000270B\U0001F3FE',
    u':raised_hand_medium-light_skin_tone:': u'\U0000270B\U0001F3FC',
    u':raised_hand_medium_skin_tone:': u'\U0000270B\U0001F3FD',
    u':raising_hands:': u'\U0001F64C',
    u':raising_hands_dark_skin_tone:': u'\U0001F64C\U0001F3FF',
    u':raising_hands_light_skin_tone:': u'\U0001F64C\U0001F3FB',
    u':raising_hands_medium-dark_skin_tone:': u'\U0001F64C\U0001F3FE',
    u':raising_hands_medium-light_skin_tone:': u'\U0001F64C\U0001F3FC',
    u':raising_hands_medium_skin_tone:': u'\U0001F64C\U0001F3FD',
    u':ram:': u'\U0001F40F',
    u':rat:': u'\U0001F400',
    u':razor:': u'\U0001FA92',
    u':receipt:': u'\U0001F9FE',
    u':record_button:': u'\U000023FA',
    u':record_button_selector:': u'\U000023FA\U0000FE0F',
    u':recycling_symbol:': u'\U0000267B',
    u':recycling_symbol_selector:': u'\U0000267B\U0000FE0F',
    u':red-haired_man:': u'\U0001F468\U0000200D\U0001F9B0',
    u':red-haired_woman:': u'\U0001F469\U0000200D\U0001F9B0',
    u':red_apple:': u'\U0001F34E',
    u':red_circle:': u'\U0001F534',
    u':red_envelope:': u'\U0001F9E7',
    u':red_hair:': u'\U0001F9B0',
    u':red_heart:': u'\U00002764',
    u':red_heart_selector:': u'\U00002764\U0000FE0F',
    u':red_paper_lantern:': u'\U0001F3EE',
    u':red_square:': u'\U0001F7E5',
    u':red_triangle_pointed_down:': u'\U0001F53B',
    u':red_triangle_pointed_up:': u'\U0001F53A',
    u':regional_indicator_symbol_letter_a:': u'\U0001F1E6',
    u':regional_indicator_symbol_letter_b:': u'\U0001F1E7',
    u':regional_indicator_symbol_letter_c:': u'\U0001F1E8',
    u':regional_indicator_symbol_letter_d:': u'\U0001F1E9',
    u':regional_indicator_symbol_letter_e:': u'\U0001F1EA',
    u':regional_indicator_symbol_letter_f:': u'\U0001F1EB',
    u':regional_indicator_symbol_letter_g:': u'\U0001F1EC',
    u':regional_indicator_symbol_letter_h:': u'\U0001F1ED',
    u':regional_indicator_symbol_letter_i:': u'\U0001F1EE',
    u':regional_indicator_symbol_letter_j:': u'\U0001F1EF',
    u':regional_indicator_symbol_letter_k:': u'\U0001F1F0',
    u':regional_indicator_symbol_letter_l:': u'\U0001F1F1',
    u':regional_indicator_symbol_letter_m:': u'\U0001F1F2',
    u':regional_indicator_symbol_letter_n:': u'\U0001F1F3',
    u':regional_indicator_symbol_letter_o:': u'\U0001F1F4',
    u':regional_indicator_symbol_letter_p:': u'\U0001F1F5',
    u':regional_indicator_symbol_letter_q:': u'\U0001F1F6',
    u':regional_indicator_symbol_letter_r:': u'\U0001F1F7',
    u':regional_indicator_symbol_letter_s:': u'\U0001F1F8',
    u':regional_indicator_symbol_letter_t:': u'\U0001F1F9',
    u':regional_indicator_symbol_letter_u:': u'\U0001F1FA',
    u':regional_indicator_symbol_letter_v:': u'\U0001F1FB',
    u':regional_indicator_symbol_letter_w:': u'\U0001F1FC',
    u':regional_indicator_symbol_letter_x:': u'\U0001F1FD',
    u':regional_indicator_symbol_letter_y:': u'\U0001F1FE',
    u':regional_indicator_symbol_letter_z:': u'\U0001F1FF',
    u':registered:': u'\U000000AE',
    u':registered_selector:': u'\U000000AE\U0000FE0F',
    u':relieved_face:': u'\U0001F60C',
    u':reminder_ribbon:': u'\U0001F397',
    u':reminder_ribbon_selector:': u'\U0001F397\U0000FE0F',
    u':repeat_button:': u'\U0001F501',
    u':repeat_single_button:': u'\U0001F502',
    u':rescue_worker\u2019s_helmet:': u'\U000026D1',
    u':rescue_worker\u2019s_helmet_selector:': u'\U000026D1\U0000FE0F',
    u':restroom:': u'\U0001F6BB',
    u':reverse_button:': u'\U000025C0',
    u':reverse_button_selector:': u'\U000025C0\U0000FE0F',
    u':revolving_hearts:': u'\U0001F49E',
    u':rhinoceros:': u'\U0001F98F',
    u':ribbon:': u'\U0001F380',
    u':rice_ball:': u'\U0001F359',
    u':rice_cracker:': u'\U0001F358',
    u':right-facing_fist:': u'\U0001F91C',
    u':right-facing_fist_dark_skin_tone:': u'\U0001F91C\U0001F3FF',
    u':right-facing_fist_light_skin_tone:': u'\U0001F91C\U0001F3FB',
    u':right-facing_fist_medium-dark_skin_tone:': u'\U0001F91C\U0001F3FE',
    u':right-facing_fist_medium-light_skin_tone:': u'\U0001F91C\U0001F3FC',
    u':right-facing_fist_medium_skin_tone:': u'\U0001F91C\U0001F3FD',
    u':right_anger_bubble:': u'\U0001F5EF',
    u':right_anger_bubble_selector:': u'\U0001F5EF\U0000FE0F',
    u':right_arrow:': u'\U000027A1',
    u':right_arrow_curving_down:': u'\U00002935',
    u':right_arrow_curving_down_selector:': u'\U00002935\U0000FE0F',
    u':right_arrow_curving_left:': u'\U000021A9',
    u':right_arrow_curving_left_selector:': u'\U000021A9\U0000FE0F',
    u':right_arrow_curving_up:': u'\U00002934',
    u':right_arrow_curving_up_selector:': u'\U00002934\U0000FE0F',
    u':right_arrow_selector:': u'\U000027A1\U0000FE0F',
    u':ring:': u'\U0001F48D',
    u':ringed_planet:': u'\U0001FA90',
    u':roasted_sweet_potato:': u'\U0001F360',
    u':robot_face:': u'\U0001F916',
    u':rocket:': u'\U0001F680',
    u':roll_of_paper:': u'\U0001F9FB',
    u':rolled-up_newspaper:': u'\U0001F5DE',
    u':rolled-up_newspaper_selector:': u'\U0001F5DE\U0000FE0F',
    u':roller_coaster:': u'\U0001F3A2',
    u':rolling_on_the_floor_laughing:': u'\U0001F923',
    u':rooster:': u'\U0001F413',
    u':rose:': u'\U0001F339',
    u':rosette:': u'\U0001F3F5',
    u':rosette_selector:': u'\U0001F3F5\U0000FE0F',
    u':round_pushpin:': u'\U0001F4CD',
    u':rugby_football:': u'\U0001F3C9',
    u':running_shirt:': u'\U0001F3BD',
    u':running_shoe:': u'\U0001F45F',
    u':sad_but_relieved_face:': u'\U0001F625',
    u':safety_pin:': u'\U0001F9F7',
    u':safety_vest:': u'\U0001F9BA',
    u':sailboat:': u'\U000026F5',
    u':sake:': u'\U0001F376',
    u':salt:': u'\U0001F9C2',
    u':sandwich:': u'\U0001F96A',
    u':sari:': u'\U0001F97B',
    u':satellite:': u'\U0001F6F0',
    u':satellite_antenna:': u'\U0001F4E1',
    u':satellite_selector:': u'\U0001F6F0\U0000FE0F',
    u':sauropod:': u'\U0001F995',
    u':saxophone:': u'\U0001F3B7',
    u':scarf:': u'\U0001F9E3',
    u':school:': u'\U0001F3EB',
    u':school_backpack:': u'\U0001F392',
    u':scissors:': u'\U00002702',
    u':scissors_selector:': u'\U00002702\U0000FE0F',
    u':scorpion:': u'\U0001F982',
    u':scroll:': u'\U0001F4DC',
    u':seat:': u'\U0001F4BA',
    u':see-no-evil_monkey:': u'\U0001F648',
    u':seedling:': u'\U0001F331',
    u':selfie:': u'\U0001F933',
    u':selfie_dark_skin_tone:': u'\U0001F933\U0001F3FF',
    u':selfie_light_skin_tone:': u'\U0001F933\U0001F3FB',
    u':selfie_medium-dark_skin_tone:': u'\U0001F933\U0001F3FE',
    u':selfie_medium-light_skin_tone:': u'\U0001F933\U0001F3FC',
    u':selfie_medium_skin_tone:': u'\U0001F933\U0001F3FD',
    u':service_dog:': u'\U0001F415\U0000200D\U0001F9BA',
    u':seven-thirty:': u'\U0001F562',
    u':seven_o\u2019clock:': u'\U0001F556',
    u':shallow_pan_of_food:': u'\U0001F958',
    u':shamrock:': u'\U00002618',
    u':shamrock_selector:': u'\U00002618\U0000FE0F',
    u':shark:': u'\U0001F988',
    u':shaved_ice:': u'\U0001F367',
    u':sheaf_of_rice:': u'\U0001F33E',
    u':shield:': u'\U0001F6E1',
    u':shield_selector:': u'\U0001F6E1\U0000FE0F',
    u':shinto_shrine:': u'\U000026E9\U0000FE0F',
    u':ship:': u'\U0001F6A2',
    u':shooting_star:': u'\U0001F320',
    u':shopping_bags:': u'\U0001F6CD',
    u':shopping_bags_selector:': u'\U0001F6CD\U0000FE0F',
    u':shopping_cart:': u'\U0001F6D2',
    u':shortcake:': u'\U0001F370',
    u':shorts:': u'\U0001FA73',
    u':shower:': u'\U0001F6BF',
    u':shrimp:': u'\U0001F990',
    u':shuffle_tracks_button:': u'\U0001F500',
    u':shushing_face:': u'\U0001F92B',
    u':sign_of_the_horns:': u'\U0001F918',
    u':sign_of_the_horns_dark_skin_tone:': u'\U0001F918\U0001F3FF',
    u':sign_of_the_horns_light_skin_tone:': u'\U0001F918\U0001F3FB',
    u':sign_of_the_horns_medium-dark_skin_tone:': u'\U0001F918\U0001F3FE',
    u':sign_of_the_horns_medium-light_skin_tone:': u'\U0001F918\U0001F3FC',
    u':sign_of_the_horns_medium_skin_tone:': u'\U0001F918\U0001F3FD',
    u':six-thirty:': u'\U0001F561',
    u':six_o\u2019clock:': u'\U0001F555',
    u':skateboard:': u'\U0001F6F9',
    u':skier:': u'\U000026F7',
    u':skier_selector:': u'\U000026F7\U0000FE0F',
    u':skis:': u'\U0001F3BF',
    u':skull:': u'\U0001F480',
    u':skull_and_crossbones:': u'\U00002620',
    u':skull_and_crossbones_selector:': u'\U00002620\U0000FE0F',
    u':skunk:': u'\U0001F9A8',
    u':sled:': u'\U0001F6F7',
    u':sleeping_face:': u'\U0001F634',
    u':sleepy_face:': u'\U0001F62A',
    u':slightly_frowning_face:': u'\U0001F641',
    u':slightly_smiling_face:': u'\U0001F642',
    u':slot_machine:': u'\U0001F3B0',
    u':sloth:': u'\U0001F9A5',
    u':small_airplane:': u'\U0001F6E9',
    u':small_airplane_selector:': u'\U0001F6E9\U0000FE0F',
    u':small_blue_diamond:': u'\U0001F539',
    u':small_orange_diamond:': u'\U0001F538',
    u':smiling_cat_face_with_heart-eyes:': u'\U0001F63B',
    u':smiling_face:': u'\U0000263A',
    u':smiling_face_selector:': u'\U0000263A\U0000FE0F',
    u':smiling_face_with_3_hearts:': u'\U0001F970',
    u':smiling_face_with_halo:': u'\U0001F607',
    u':smiling_face_with_heart-eyes:': u'\U0001F60D',
    u':smiling_face_with_horns:': u'\U0001F608',
    u':smiling_face_with_smiling_eyes:': u'\U0001F60A',
    u':smiling_face_with_sunglasses:': u'\U0001F60E',
    u':smirking_face:': u'\U0001F60F',
    u':snail:': u'\U0001F40C',
    u':snake:': u'\U0001F40D',
    u':sneezing_face:': u'\U0001F927',
    u':snow-capped_mountain:': u'\U0001F3D4',
    u':snow-capped_mountain_selector:': u'\U0001F3D4\U0000FE0F',
    u':snowboarder:': u'\U0001F3C2',
    u':snowboarder_dark_skin_tone:': u'\U0001F3C2\U0001F3FF',
    u':snowboarder_light_skin_tone:': u'\U0001F3C2\U0001F3FB',
    u':snowboarder_medium-dark_skin_tone:': u'\U0001F3C2\U0001F3FE',
    u':snowboarder_medium-light_skin_tone:': u'\U0001F3C2\U0001F3FC',
    u':snowboarder_medium_skin_tone:': u'\U0001F3C2\U0001F3FD',
    u':snowflake:': u'\U00002744',
    u':snowflake_selector:': u'\U00002744\U0000FE0F',
    u':snowman:': u'\U00002603',
    u':snowman_selector:': u'\U00002603\U0000FE0F',
    u':snowman_without_snow:': u'\U000026C4',
    u':soap:': u'\U0001F9FC',
    u':soccer_ball:': u'\U000026BD',
    u':socks:': u'\U0001F9E6',
    u':soft_ice_cream:': u'\U0001F366',
    u':softball:': u'\U0001F94E',
    u':spade_suit:': u'\U00002660',
    u':spade_suit_selector:': u'\U00002660\U0000FE0F',
    u':spaghetti:': u'\U0001F35D',
    u':sparkle:': u'\U00002747',
    u':sparkle_selector:': u'\U00002747\U0000FE0F',
    u':sparkler:': u'\U0001F387',
    u':sparkles:': u'\U00002728',
    u':sparkling_heart:': u'\U0001F496',
    u':speak-no-evil_monkey:': u'\U0001F64A',
    u':speaker_high_volume:': u'\U0001F50A',
    u':speaker_low_volume:': u'\U0001F508',
    u':speaker_medium_volume:': u'\U0001F509',
    u':speaking_head:': u'\U0001F5E3',
    u':speaking_head_selector:': u'\U0001F5E3\U0000FE0F',
    u':speech_balloon:': u'\U0001F4AC',
    u':speedboat:': u'\U0001F6A4',
    u':spider:': u'\U0001F577',
    u':spider_selector:': u'\U0001F577\U0000FE0F',
    u':spider_web:': u'\U0001F578',
    u':spider_web_selector:': u'\U0001F578\U0000FE0F',
    u':spiral_calendar:': u'\U0001F5D3',
    u':spiral_calendar_selector:': u'\U0001F5D3\U0000FE0F',
    u':spiral_notepad:': u'\U0001F5D2',
    u':spiral_notepad_selector:': u'\U0001F5D2\U0000FE0F',
    u':spiral_shell:': u'\U0001F41A',
    u':sponge:': u'\U0001F9FD',
    u':spoon:': u'\U0001F944',
    u':sport_utility_vehicle:': u'\U0001F699',
    u':sports_medal:': u'\U0001F3C5',
    u':spouting_whale:': u'\U0001F433',
    u':squid:': u'\U0001F991',
    u':squinting_face_with_tongue:': u'\U0001F61D',
    u':stadium:': u'\U0001F3DF',
    u':stadium_selector:': u'\U0001F3DF\U0000FE0F',
    u':star-struck:': u'\U0001F929',
    u':star_and_crescent:': u'\U0000262A',
    u':star_and_crescent_selector:': u'\U0000262A\U0000FE0F',
    u':star_of_David:': u'\U00002721',
    u':star_of_David_selector:': u'\U00002721\U0000FE0F',
    u':station:': u'\U0001F689',
    u':steaming_bowl:': u'\U0001F35C',
    u':stethoscope:': u'\U0001FA7A',
    u':stop_button:': u'\U000023F9',
    u':stop_button_selector:': u'\U000023F9\U0000FE0F',
    u':stop_sign:': u'\U0001F6D1',
    u':stopwatch:': u'\U000023F1',
    u':stopwatch_selector:': u'\U000023F1\U0000FE0F',
    u':straight_ruler:': u'\U0001F4CF',
    u':strawberry:': u'\U0001F353',
    u':studio_microphone:': u'\U0001F399',
    u':studio_microphone_selector:': u'\U0001F399\U0000FE0F',
    u':stuffed_flatbread:': u'\U0001F959',
    u':sun:': u'\U00002600',
    u':sun_behind_cloud:': u'\U000026C5',
    u':sun_behind_large_cloud:': u'\U0001F325',
    u':sun_behind_large_cloud_selector:': u'\U0001F325\U0000FE0F',
    u':sun_behind_rain_cloud:': u'\U0001F326',
    u':sun_behind_rain_cloud_selector:': u'\U0001F326\U0000FE0F',
    u':sun_behind_small_cloud:': u'\U0001F324',
    u':sun_behind_small_cloud_selector:': u'\U0001F324\U0000FE0F',
    u':sun_selector:': u'\U00002600\U0000FE0F',
    u':sun_with_face:': u'\U0001F31E',
    u':sunflower:': u'\U0001F33B',
    u':sunglasses:': u'\U0001F576',
    u':sunglasses_selector:': u'\U0001F576\U0000FE0F',
    u':sunrise:': u'\U0001F305',
    u':sunrise_over_mountains:': u'\U0001F304',
    u':sunset:': u'\U0001F307',
    u':superhero-dark_skin_tone:': u'\U0001F9B8\U0001F3FF',
    u':superhero-light_skin_tone:': u'\U0001F9B8\U0001F3FB',
    u':superhero-medium-dark_skin_tone:': u'\U0001F9B8\U0001F3FE',
    u':superhero-medium-light_skin_tone:': u'\U0001F9B8\U0001F3FC',
    u':superhero-medium_skin_tone:': u'\U0001F9B8\U0001F3FD',
    u':superhero:': u'\U0001F9B8',
    u':supervillain-dark_skin_tone:': u'\U0001F9B9\U0001F3FF',
    u':supervillain-light_skin_tone:': u'\U0001F9B9\U0001F3FB',
    u':supervillain-medium-dark_skin_tone:': u'\U0001F9B9\U0001F3FE',
    u':supervillain-medium-light_skin_tone:': u'\U0001F9B9\U0001F3FC',
    u':supervillain-medium_skin_tone:': u'\U0001F9B9\U0001F3FD',
    u':supervillain:': u'\U0001F9B9',
    u':sushi:': u'\U0001F363',
    u':suspension_railway:': u'\U0001F69F',
    u':swan:': u'\U0001F9A2',
    u':sweat_droplets:': u'\U0001F4A6',
    u':synagogue:': u'\U0001F54D',
    u':syringe:': u'\U0001F489',
    u':t-shirt:': u'\U0001F455',
    u':taco:': u'\U0001F32E',
    u':takeout_box:': u'\U0001F961',
    u':tanabata_tree:': u'\U0001F38B',
    u':tangerine:': u'\U0001F34A',
    u':taxi:': u'\U0001F695',
    u':teacup_without_handle:': u'\U0001F375',
    u':tear-off_calendar:': u'\U0001F4C6',
    u':teddy_bear:': u'\U0001F9F8',
    u':telephone:': u'\U0000260E',
    u':telephone_receiver:': u'\U0001F4DE',
    u':telephone_selector:': u'\U0000260E\U0000FE0F',
    u':telescope:': u'\U0001F52D',
    u':television:': u'\U0001F4FA',
    u':ten-thirty:': u'\U0001F565',
    u':ten_o\u2019clock:': u'\U0001F559',
    u':tennis:': u'\U0001F3BE',
    u':tent:': u'\U000026FA',
    u':test_tube:': u'\U0001F9EA',
    u':thermometer:': u'\U0001F321',
    u':thermometer_selector:': u'\U0001F321\U0000FE0F',
    u':thinking_face:': u'\U0001F914',
    u':thought_balloon:': u'\U0001F4AD',
    u':thread:': u'\U0001F9F5',
    u':three-thirty:': u'\U0001F55E',
    u':three_o\u2019clock:': u'\U0001F552',
    u':thumbs_down:': u'\U0001F44E',
    u':thumbs_down_dark_skin_tone:': u'\U0001F44E\U0001F3FF',
    u':thumbs_down_light_skin_tone:': u'\U0001F44E\U0001F3FB',
    u':thumbs_down_medium-dark_skin_tone:': u'\U0001F44E\U0001F3FE',
    u':thumbs_down_medium-light_skin_tone:': u'\U0001F44E\U0001F3FC',
    u':thumbs_down_medium_skin_tone:': u'\U0001F44E\U0001F3FD',
    u':thumbs_up:': u'\U0001F44D',
    u':thumbs_up_dark_skin_tone:': u'\U0001F44D\U0001F3FF',
    u':thumbs_up_light_skin_tone:': u'\U0001F44D\U0001F3FB',
    u':thumbs_up_medium-dark_skin_tone:': u'\U0001F44D\U0001F3FE',
    u':thumbs_up_medium-light_skin_tone:': u'\U0001F44D\U0001F3FC',
    u':thumbs_up_medium_skin_tone:': u'\U0001F44D\U0001F3FD',
    u':ticket:': u'\U0001F3AB',
    u':tiger:': u'\U0001F405',
    u':tiger_face:': u'\U0001F42F',
    u':timer_clock:': u'\U000023F2',
    u':timer_clock_selector:': u'\U000023F2\U0000FE0F',
    u':tired_face:': u'\U0001F62B',
    u':toilet:': u'\U0001F6BD',
    u':tomato:': u'\U0001F345',
    u':tongue:': u'\U0001F445',
    u':toolbox:': u'\U0001F9F0',
    u':tooth:': u'\U0001F9B7',
    u':top_hat:': u'\U0001F3A9',
    u':tornado:': u'\U0001F32A',
    u':tornado_selector:': u'\U0001F32A\U0000FE0F',
    u':trackball:': u'\U0001F5B2',
    u':trackball_selector:': u'\U0001F5B2\U0000FE0F',
    u':tractor:': u'\U0001F69C',
    u':trade_mark:': u'\U00002122',
    u':trade_mark_selector:': u'\U00002122\U0000FE0F',
    u':train:': u'\U0001F686',
    u':tram:': u'\U0001F68A',
    u':tram_car:': u'\U0001F68B',
    u':triangular_flag:': u'\U0001F6A9',
    u':triangular_ruler:': u'\U0001F4D0',
    u':trident_emblem:': u'\U0001F531',
    u':trolleybus:': u'\U0001F68E',
    u':trophy:': u'\U0001F3C6',
    u':tropical_drink:': u'\U0001F379',
    u':tropical_fish:': u'\U0001F420',
    u':trumpet:': u'\U0001F3BA',
    u':tulip:': u'\U0001F337',
    u':tumbler_glass:': u'\U0001F943',
    u':turkey:': u'\U0001F983',
    u':turtle:': u'\U0001F422',
    u':twelve-thirty:': u'\U0001F567',
    u':twelve_o\u2019clock:': u'\U0001F55B',
    u':two-hump_camel:': u'\U0001F42B',
    u':two-thirty:': u'\U0001F55D',
    u':two_hearts:': u'\U0001F495',
    u':two_men_holding_hands:': u'\U0001F46C',
    u':two_o\u2019clock:': u'\U0001F551',
    u':two_women_holding_hands:': u'\U0001F46D',
    u':umbrella:': u'\U00002602',
    u':umbrella_on_ground:': u'\U000026F1',
    u':umbrella_on_ground_selector:': u'\U000026F1\U0000FE0F',
    u':umbrella_selector:': u'\U00002602\U0000FE0F',
    u':umbrella_with_rain_drops:': u'\U00002614',
    u':unamused_face:': u'\U0001F612',
    u':unicorn_face:': u'\U0001F984',
    u':unlocked:': u'\U0001F513',
    u':up-down_arrow:': u'\U00002195',
    u':up-down_arrow_selector:': u'\U00002195\U0000FE0F',
    u':up-left_arrow:': u'\U00002196',
    u':up-left_arrow_selector:': u'\U00002196\U0000FE0F',
    u':up-right_arrow:': u'\U00002197',
    u':up-right_arrow_selector:': u'\U00002197\U0000FE0F',
    u':up_arrow:': u'\U00002B06',
    u':up_arrow_selector:': u'\U00002B06\U0000FE0F',
    u':upside-down_face:': u'\U0001F643',
    u':upwards_button:': u'\U0001F53C',
    u':vampire:': u'\U0001F9DB',
    u':vampire_dark_skin_tone:': u'\U0001F9DB\U0001F3FF',
    u':vampire_light_skin_tone:': u'\U0001F9DB\U0001F3FB',
    u':vampire_medium-dark_skin_tone:': u'\U0001F9DB\U0001F3FE',
    u':vampire_medium-light_skin_tone:': u'\U0001F9DB\U0001F3FC',
    u':vampire_medium_skin_tone:': u'\U0001F9DB\U0001F3FD',
    u':vertical_traffic_light:': u'\U0001F6A6',
    u':vibration_mode:': u'\U0001F4F3',
    u':victory_hand:': u'\U0000270C',
    u':victory_hand_dark_skin_tone:': u'\U0000270C\U0001F3FF',
    u':victory_hand_light_skin_tone:': u'\U0000270C\U0001F3FB',
    u':victory_hand_medium-dark_skin_tone:': u'\U0000270C\U0001F3FE',
    u':victory_hand_medium-light_skin_tone:': u'\U0000270C\U0001F3FC',
    u':victory_hand_medium_skin_tone:': u'\U0000270C\U0001F3FD',
    u':victory_hand_selector:': u'\U0000270C\U0000FE0F',
    u':video_camera:': u'\U0001F4F9',
    u':video_game:': u'\U0001F3AE',
    u':videocassette:': u'\U0001F4FC',
    u':violin:': u'\U0001F3BB',
    u':volcano:': u'\U0001F30B',
    u':volleyball:': u'\U0001F3D0',
    u':vulcan_salute:': u'\U0001F596',
    u':vulcan_salute_dark_skin_tone:': u'\U0001F596\U0001F3FF',
    u':vulcan_salute_light_skin_tone:': u'\U0001F596\U0001F3FB',
    u':vulcan_salute_medium-dark_skin_tone:': u'\U0001F596\U0001F3FE',
    u':vulcan_salute_medium-light_skin_tone:': u'\U0001F596\U0001F3FC',
    u':vulcan_salute_medium_skin_tone:': u'\U0001F596\U0001F3FD',
    u':waffle:': u'\U0001F9C7',
    u':waning_crescent_moon:': u'\U0001F318',
    u':waning_gibbous_moon:': u'\U0001F316',
    u':warning:': u'\U000026A0',
    u':warning_selector:': u'\U000026A0\U0000FE0F',
    u':wastebasket:': u'\U0001F5D1',
    u':wastebasket_selector:': u'\U0001F5D1\U0000FE0F',
    u':watch:': u'\U0000231A',
    u':water_buffalo:': u'\U0001F403',
    u':water_closet:': u'\U0001F6BE',
    u':water_wave:': u'\U0001F30A',
    u':watermelon:': u'\U0001F349',
    u':waving_hand:': u'\U0001F44B',
    u':waving_hand_dark_skin_tone:': u'\U0001F44B\U0001F3FF',
    u':waving_hand_light_skin_tone:': u'\U0001F44B\U0001F3FB',
    u':waving_hand_medium-dark_skin_tone:': u'\U0001F44B\U0001F3FE',
    u':waving_hand_medium-light_skin_tone:': u'\U0001F44B\U0001F3FC',
    u':waving_hand_medium_skin_tone:': u'\U0001F44B\U0001F3FD',
    u':wavy_dash:': u'\U00003030',
    u':wavy_dash_selector:': u'\U00003030\U0000FE0F',
    u':waxing_crescent_moon:': u'\U0001F312',
    u':waxing_gibbous_moon:': u'\U0001F314',
    u':weary_cat_face:': u'\U0001F640',
    u':weary_face:': u'\U0001F629',
    u':wedding:': u'\U0001F492',
    u':whale:': u'\U0001F40B',
    u':wheel_of_dharma:': u'\U00002638',
    u':wheel_of_dharma_selector:': u'\U00002638\U0000FE0F',
    u':wheelchair_symbol:': u'\U0000267F',
    u':white-haired_man:': u'\U0001F468\U0000200D\U0001F9B3',
    u':white-haired_woman:': u'\U0001F469\U0000200D\U0001F9B3',
    u':white_circle:': u'\U000026AA',
    u':white_exclamation_mark:': u'\U00002755',
    u':white_flag:': u'\U0001F3F3',
    u':white_flag_selector:': u'\U0001F3F3\U0000FE0F',
    u':white_flower:': u'\U0001F4AE',
    u':white_hair:': u'\U0001F9B3',
    u':white_heart:': u'\U0001F90D',
    u':white_heavy_check_mark:': u'\U00002705',
    u':white_large_square:': u'\U00002B1C',
    u':white_medium-small_square:': u'\U000025FD',
    u':white_medium_square:': u'\U000025FB',
    u':white_medium_square_selector:': u'\U000025FB\U0000FE0F',
    u':white_medium_star:': u'\U00002B50',
    u':white_question_mark:': u'\U00002754',
    u':white_small_square:': u'\U000025AB',
    u':white_small_square_selector:': u'\U000025AB\U0000FE0F',
    u':white_square_button:': u'\U0001F533',
    u':wilted_flower:': u'\U0001F940',
    u':wind_chime:': u'\U0001F390',
    u':wind_face:': u'\U0001F32C',
    u':wind_face_selector:': u'\U0001F32C\U0000FE0F',
    u':wine_glass:': u'\U0001F377',
    u':winking_face:': u'\U0001F609',
    u':winking_face_with_tongue:': u'\U0001F61C',
    u':wolf_face:': u'\U0001F43A',
    u':woman-blond_hair:': u'\U0001F471\U0000200D\U00002640',
    u':woman-dark_skin_tone-bald:': u'\U0001F469\U0001F3FF\U0000200D\U0001F9B2',
    u':woman-dark_skin_tone-blond_hair:': u'\U0001F471\U0001F3FF\U0000200D\U00002640',
    u':woman-dark_skin_tone-curly_hair:': u'\U0001F469\U0001F3FF\U0000200D\U0001F9B1',
    u':woman-dark_skin_tone-red_hair:': u'\U0001F469\U0001F3FF\U0000200D\U0001F9B0',
    u':woman-dark_skin_tone-white_hair:': u'\U0001F469\U0001F3FF\U0000200D\U0001F9B3',
    u':woman-light_skin_tone-bald:': u'\U0001F469\U0001F3FB\U0000200D\U0001F9B2',
    u':woman-light_skin_tone-blond_hair:': u'\U0001F471\U0001F3FB\U0000200D\U00002640',
    u':woman-light_skin_tone-curly_hair:': u'\U0001F469\U0001F3FB\U0000200D\U0001F9B1',
    u':woman-light_skin_tone-red_hair:': u'\U0001F469\U0001F3FB\U0000200D\U0001F9B0',
    u':woman-light_skin_tone-white_hair:': u'\U0001F469\U0001F3FB\U0000200D\U0001F9B3',
    u':woman-medium-dark_skin_tone-bald:': u'\U0001F469\U0001F3FE\U0000200D\U0001F9B2',
    u':woman-medium-dark_skin_tone-blond_hair:': u'\U0001F471\U0001F3FE\U0000200D\U00002640',
    u':woman-medium-dark_skin_tone-curly_hair:': u'\U0001F469\U0001F3FE\U0000200D\U0001F9B1',
    u':woman-medium-dark_skin_tone-red_hair:': u'\U0001F469\U0001F3FE\U0000200D\U0001F9B0',
    u':woman-medium-dark_skin_tone-white_hair:': u'\U0001F469\U0001F3FE\U0000200D\U0001F9B3',
    u':woman-medium-light_skin_tone-bald:': u'\U0001F469\U0001F3FC\U0000200D\U0001F9B2',
    u':woman-medium-light_skin_tone-blond_hair:': u'\U0001F471\U0001F3FC\U0000200D\U00002640',
    u':woman-medium-light_skin_tone-curly_hair:': u'\U0001F469\U0001F3FC\U0000200D\U0001F9B1',
    u':woman-medium-light_skin_tone-red_hair:': u'\U0001F469\U0001F3FC\U0000200D\U0001F9B0',
    u':woman-medium-light_skin_tone-white_hair:': u'\U0001F469\U0001F3FC\U0000200D\U0001F9B3',
    u':woman-medium_skin_tone-bald:': u'\U0001F469\U0001F3FD\U0000200D\U0001F9B2',
    u':woman-medium_skin_tone-blond_hair:': u'\U0001F471\U0001F3FD\U0000200D\U00002640',
    u':woman-medium_skin_tone-curly_hair:': u'\U0001F469\U0001F3FD\U0000200D\U0001F9B1',
    u':woman-medium_skin_tone-red_hair:': u'\U0001F469\U0001F3FD\U0000200D\U0001F9B0',
    u':woman-medium_skin_tone-white_hair:': u'\U0001F469\U0001F3FD\U0000200D\U0001F9B3',
    u':woman:': u'\U0001F469',
    u':woman_and_man_holding_hands-dark_skin_tone-light_skin_tone:': u'\U0001F469\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FB',
    u':woman_and_man_holding_hands-dark_skin_tone-medium-dark_skin_tone:': u'\U0001F469\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FE',
    u':woman_and_man_holding_hands-dark_skin_tone-medium-light_skin_tone:': u'\U0001F469\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FC',
    u':woman_and_man_holding_hands-dark_skin_tone-medium_skin_tone:': u'\U0001F469\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FD',
    u':woman_and_man_holding_hands-dark_skin_tone:': u'\U0001F46B\U0001F3FF',
    u':woman_and_man_holding_hands-light_skin_tone-dark_skin_tone:': u'\U0001F469\U0001F3FB\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FF',
    u':woman_and_man_holding_hands-light_skin_tone-medium-dark_skin_tone:': u'\U0001F469\U0001F3FB\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FE',
    u':woman_and_man_holding_hands-light_skin_tone-medium-light_skin_tone:': u'\U0001F469\U0001F3FB\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FC',
    u':woman_and_man_holding_hands-light_skin_tone-medium_skin_tone:': u'\U0001F469\U0001F3FB\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FD',
    u':woman_and_man_holding_hands-light_skin_tone:': u'\U0001F46B\U0001F3FB',
    u':woman_and_man_holding_hands-medium-dark_skin_tone-dark_skin_tone:': u'\U0001F469\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FF',
    u':woman_and_man_holding_hands-medium-dark_skin_tone-light_skin_tone:': u'\U0001F469\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FB',
    u':woman_and_man_holding_hands-medium-dark_skin_tone-medium-light_skin_tone:': u'\U0001F469\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FC',
    u':woman_and_man_holding_hands-medium-dark_skin_tone-medium_skin_tone:': u'\U0001F469\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FD',
    u':woman_and_man_holding_hands-medium-dark_skin_tone:': u'\U0001F46B\U0001F3FE',
    u':woman_and_man_holding_hands-medium-light_skin_tone-dark_skin_tone:': u'\U0001F469\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FF',
    u':woman_and_man_holding_hands-medium-light_skin_tone-light_skin_tone:': u'\U0001F469\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FB',
    u':woman_and_man_holding_hands-medium-light_skin_tone-medium-dark_skin_tone:': u'\U0001F469\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FE',
    u':woman_and_man_holding_hands-medium-light_skin_tone-medium_skin_tone:': u'\U0001F469\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FD',
    u':woman_and_man_holding_hands-medium-light_skin_tone:': u'\U0001F46B\U0001F3FC',
    u':woman_and_man_holding_hands-medium_skin_tone-dark_skin_tone:': u'\U0001F469\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FF',
    u':woman_and_man_holding_hands-medium_skin_tone-light_skin_tone:': u'\U0001F469\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FB',
    u':woman_and_man_holding_hands-medium_skin_tone-medium-dark_skin_tone:': u'\U0001F469\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FE',
    u':woman_and_man_holding_hands-medium_skin_tone-medium-light_skin_tone:': u'\U0001F469\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FC',
    u':woman_and_man_holding_hands-medium_skin_tone:': u'\U0001F46B\U0001F3FD',
    u':woman_artist:': u'\U0001F469\U0000200D\U0001F3A8',
    u':woman_artist_dark_skin_tone:': u'\U0001F469\U0001F3FF\U0000200D\U0001F3A8',
    u':woman_artist_light_skin_tone:': u'\U0001F469\U0001F3FB\U0000200D\U0001F3A8',
    u':woman_artist_medium-dark_skin_tone:': u'\U0001F469\U0001F3FE\U0000200D\U0001F3A8',
    u':woman_artist_medium-light_skin_tone:': u'\U0001F469\U0001F3FC\U0000200D\U0001F3A8',
    u':woman_artist_medium_skin_tone:': u'\U0001F469\U0001F3FD\U0000200D\U0001F3A8',
    u':woman_astronaut:': u'\U0001F469\U0000200D\U0001F680',
    u':woman_astronaut_dark_skin_tone:': u'\U0001F469\U0001F3FF\U0000200D\U0001F680',
    u':woman_astronaut_light_skin_tone:': u'\U0001F469\U0001F3FB\U0000200D\U0001F680',
    u':woman_astronaut_medium-dark_skin_tone:': u'\U0001F469\U0001F3FE\U0000200D\U0001F680',
    u':woman_astronaut_medium-light_skin_tone:': u'\U0001F469\U0001F3FC\U0000200D\U0001F680',
    u':woman_astronaut_medium_skin_tone:': u'\U0001F469\U0001F3FD\U0000200D\U0001F680',
    u':woman_biking-dark_skin_tone:': u'\U0001F6B4\U0001F3FF\U0000200D\U00002640',
    u':woman_biking-light_skin_tone:': u'\U0001F6B4\U0001F3FB\U0000200D\U00002640',
    u':woman_biking-medium-dark_skin_tone:': u'\U0001F6B4\U0001F3FE\U0000200D\U00002640',
    u':woman_biking-medium-light_skin_tone:': u'\U0001F6B4\U0001F3FC\U0000200D\U00002640',
    u':woman_biking-medium_skin_tone:': u'\U0001F6B4\U0001F3FD\U0000200D\U00002640',
    u':woman_biking:': u'\U0001F6B4\U0000200D\U00002640',
    u':woman_biking_dark_skin_tone:': u'\U0001F6B4\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':woman_biking_light_skin_tone:': u'\U0001F6B4\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':woman_biking_medium-dark_skin_tone:': u'\U0001F6B4\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':woman_biking_medium-light_skin_tone:': u'\U0001F6B4\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':woman_biking_medium_skin_tone:': u'\U0001F6B4\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':woman_biking_selector:': u'\U0001F6B4\U0000200D\U00002640\U0000FE0F',
    u':woman_bouncing_ball-dark_skin_tone:': u'\U000026F9\U0001F3FF\U0000200D\U00002640',
    u':woman_bouncing_ball-light_skin_tone:': u'\U000026F9\U0001F3FB\U0000200D\U00002640',
    u':woman_bouncing_ball-medium-dark_skin_tone:': u'\U000026F9\U0001F3FE\U0000200D\U00002640',
    u':woman_bouncing_ball-medium-light_skin_tone:': u'\U000026F9\U0001F3FC\U0000200D\U00002640',
    u':woman_bouncing_ball-medium_skin_tone:': u'\U000026F9\U0001F3FD\U0000200D\U00002640',
    u':woman_bouncing_ball:': u'\U000026F9\U0000200D\U00002640',
    u':woman_bouncing_ball_2:': u'\U000026F9\U0000FE0F\U0000200D\U00002640\U0000FE0F',
    u':woman_bouncing_ball_3:': u'\U000026F9\U0000200D\U00002640\U0000FE0F',
    u':woman_bouncing_ball_dark_skin_tone:': u'\U000026F9\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':woman_bouncing_ball_light_skin_tone:': u'\U000026F9\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':woman_bouncing_ball_medium-dark_skin_tone:': u'\U000026F9\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':woman_bouncing_ball_medium-light_skin_tone:': u'\U000026F9\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':woman_bouncing_ball_medium_skin_tone:': u'\U000026F9\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':woman_bouncing_ball_selector:': u'\U000026F9\U0000FE0F\U0000200D\U00002640',
    u':woman_bowing-dark_skin_tone:': u'\U0001F647\U0001F3FF\U0000200D\U00002640',
    u':woman_bowing-light_skin_tone:': u'\U0001F647\U0001F3FB\U0000200D\U00002640',
    u':woman_bowing-medium-dark_skin_tone:': u'\U0001F647\U0001F3FE\U0000200D\U00002640',
    u':woman_bowing-medium-light_skin_tone:': u'\U0001F647\U0001F3FC\U0000200D\U00002640',
    u':woman_bowing-medium_skin_tone:': u'\U0001F647\U0001F3FD\U0000200D\U00002640',
    u':woman_bowing:': u'\U0001F647\U0000200D\U00002640',
    u':woman_bowing_dark_skin_tone:': u'\U0001F647\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':woman_bowing_light_skin_tone:': u'\U0001F647\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':woman_bowing_medium-dark_skin_tone:': u'\U0001F647\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':woman_bowing_medium-light_skin_tone:': u'\U0001F647\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':woman_bowing_medium_skin_tone:': u'\U0001F647\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':woman_bowing_selector:': u'\U0001F647\U0000200D\U00002640\U0000FE0F',
    u':woman_cartwheeling-dark_skin_tone:': u'\U0001F938\U0001F3FF\U0000200D\U00002640',
    u':woman_cartwheeling-light_skin_tone:': u'\U0001F938\U0001F3FB\U0000200D\U00002640',
    u':woman_cartwheeling-medium-dark_skin_tone:': u'\U0001F938\U0001F3FE\U0000200D\U00002640',
    u':woman_cartwheeling-medium-light_skin_tone:': u'\U0001F938\U0001F3FC\U0000200D\U00002640',
    u':woman_cartwheeling-medium_skin_tone:': u'\U0001F938\U0001F3FD\U0000200D\U00002640',
    u':woman_cartwheeling:': u'\U0001F938\U0000200D\U00002640',
    u':woman_cartwheeling_dark_skin_tone:': u'\U0001F938\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':woman_cartwheeling_light_skin_tone:': u'\U0001F938\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':woman_cartwheeling_medium-dark_skin_tone:': u'\U0001F938\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':woman_cartwheeling_medium-light_skin_tone:': u'\U0001F938\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':woman_cartwheeling_medium_skin_tone:': u'\U0001F938\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':woman_cartwheeling_selector:': u'\U0001F938\U0000200D\U00002640\U0000FE0F',
    u':woman_climbing-dark_skin_tone:': u'\U0001F9D7\U0001F3FF\U0000200D\U00002640',
    u':woman_climbing-light_skin_tone:': u'\U0001F9D7\U0001F3FB\U0000200D\U00002640',
    u':woman_climbing-medium-dark_skin_tone:': u'\U0001F9D7\U0001F3FE\U0000200D\U00002640',
    u':woman_climbing-medium-light_skin_tone:': u'\U0001F9D7\U0001F3FC\U0000200D\U00002640',
    u':woman_climbing-medium_skin_tone:': u'\U0001F9D7\U0001F3FD\U0000200D\U00002640',
    u':woman_climbing:': u'\U0001F9D7\U0000200D\U00002640',
    u':woman_climbing_dark_skin_tone:': u'\U0001F9D7\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':woman_climbing_light_skin_tone:': u'\U0001F9D7\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':woman_climbing_medium-dark_skin_tone:': u'\U0001F9D7\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':woman_climbing_medium-light_skin_tone:': u'\U0001F9D7\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':woman_climbing_medium_skin_tone:': u'\U0001F9D7\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':woman_climbing_selector:': u'\U0001F9D7\U0000200D\U00002640\U0000FE0F',
    u':woman_construction_worker-dark_skin_tone:': u'\U0001F477\U0001F3FF\U0000200D\U00002640',
    u':woman_construction_worker-light_skin_tone:': u'\U0001F477\U0001F3FB\U0000200D\U00002640',
    u':woman_construction_worker-medium-dark_skin_tone:': u'\U0001F477\U0001F3FE\U0000200D\U00002640',
    u':woman_construction_worker-medium-light_skin_tone:': u'\U0001F477\U0001F3FC\U0000200D\U00002640',
    u':woman_construction_worker-medium_skin_tone:': u'\U0001F477\U0001F3FD\U0000200D\U00002640',
    u':woman_construction_worker:': u'\U0001F477\U0000200D\U00002640',
    u':woman_construction_worker_dark_skin_tone:': u'\U0001F477\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':woman_construction_worker_light_skin_tone:': u'\U0001F477\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':woman_construction_worker_medium-dark_skin_tone:': u'\U0001F477\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':woman_construction_worker_medium-light_skin_tone:': u'\U0001F477\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':woman_construction_worker_medium_skin_tone:': u'\U0001F477\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':woman_construction_worker_selector:': u'\U0001F477\U0000200D\U00002640\U0000FE0F',
    u':woman_cook:': u'\U0001F469\U0000200D\U0001F373',
    u':woman_cook_dark_skin_tone:': u'\U0001F469\U0001F3FF\U0000200D\U0001F373',
    u':woman_cook_light_skin_tone:': u'\U0001F469\U0001F3FB\U0000200D\U0001F373',
    u':woman_cook_medium-dark_skin_tone:': u'\U0001F469\U0001F3FE\U0000200D\U0001F373',
    u':woman_cook_medium-light_skin_tone:': u'\U0001F469\U0001F3FC\U0000200D\U0001F373',
    u':woman_cook_medium_skin_tone:': u'\U0001F469\U0001F3FD\U0000200D\U0001F373',
    u':woman_dancing:': u'\U0001F483',
    u':woman_dancing_dark_skin_tone:': u'\U0001F483\U0001F3FF',
    u':woman_dancing_light_skin_tone:': u'\U0001F483\U0001F3FB',
    u':woman_dancing_medium-dark_skin_tone:': u'\U0001F483\U0001F3FE',
    u':woman_dancing_medium-light_skin_tone:': u'\U0001F483\U0001F3FC',
    u':woman_dancing_medium_skin_tone:': u'\U0001F483\U0001F3FD',
    u':woman_dark_skin_tone:': u'\U0001F469\U0001F3FF',
    u':woman_detective-dark_skin_tone:': u'\U0001F575\U0001F3FF\U0000200D\U00002640',
    u':woman_detective-light_skin_tone:': u'\U0001F575\U0001F3FB\U0000200D\U00002640',
    u':woman_detective-medium-dark_skin_tone:': u'\U0001F575\U0001F3FE\U0000200D\U00002640',
    u':woman_detective-medium-light_skin_tone:': u'\U0001F575\U0001F3FC\U0000200D\U00002640',
    u':woman_detective-medium_skin_tone:': u'\U0001F575\U0001F3FD\U0000200D\U00002640',
    u':woman_detective:': u'\U0001F575\U0000200D\U00002640',
    u':woman_detective_2:': u'\U0001F575\U0000200D\U00002640\U0000FE0F',
    u':woman_detective_selector:': u'\U0001F575\U0000FE0F\U0000200D\U00002640\U0000FE0F',
    u':woman_detective_dark_skin_tone:': u'\U0001F575\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':woman_detective_light_skin_tone:': u'\U0001F575\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':woman_detective_medium-dark_skin_tone:': u'\U0001F575\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':woman_detective_medium-light_skin_tone:': u'\U0001F575\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':woman_detective_medium_skin_tone:': u'\U0001F575\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':woman_detective_selector:': u'\U0001F575\U0000FE0F\U0000200D\U00002640',
    u':woman_elf-dark_skin_tone:': u'\U0001F9DD\U0001F3FF\U0000200D\U00002640',
    u':woman_elf-light_skin_tone:': u'\U0001F9DD\U0001F3FB\U0000200D\U00002640',
    u':woman_elf-medium-dark_skin_tone:': u'\U0001F9DD\U0001F3FE\U0000200D\U00002640',
    u':woman_elf-medium-light_skin_tone:': u'\U0001F9DD\U0001F3FC\U0000200D\U00002640',
    u':woman_elf-medium_skin_tone:': u'\U0001F9DD\U0001F3FD\U0000200D\U00002640',
    u':woman_elf:': u'\U0001F9DD\U0000200D\U00002640',
    u':woman_elf_dark_skin_tone:': u'\U0001F9DD\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':woman_elf_light_skin_tone:': u'\U0001F9DD\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':woman_elf_medium-dark_skin_tone:': u'\U0001F9DD\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':woman_elf_medium-light_skin_tone:': u'\U0001F9DD\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':woman_elf_medium_skin_tone:': u'\U0001F9DD\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':woman_elf_selector:': u'\U0001F9DD\U0000200D\U00002640\U0000FE0F',
    u':woman_facepalming-dark_skin_tone:': u'\U0001F926\U0001F3FF\U0000200D\U00002640',
    u':woman_facepalming-light_skin_tone:': u'\U0001F926\U0001F3FB\U0000200D\U00002640',
    u':woman_facepalming-medium-dark_skin_tone:': u'\U0001F926\U0001F3FE\U0000200D\U00002640',
    u':woman_facepalming-medium-light_skin_tone:': u'\U0001F926\U0001F3FC\U0000200D\U00002640',
    u':woman_facepalming-medium_skin_tone:': u'\U0001F926\U0001F3FD\U0000200D\U00002640',
    u':woman_facepalming:': u'\U0001F926\U0000200D\U00002640',
    u':woman_facepalming_dark_skin_tone:': u'\U0001F926\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':woman_facepalming_light_skin_tone:': u'\U0001F926\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':woman_facepalming_medium-dark_skin_tone:': u'\U0001F926\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':woman_facepalming_medium-light_skin_tone:': u'\U0001F926\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':woman_facepalming_medium_skin_tone:': u'\U0001F926\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':woman_facepalming_selector:': u'\U0001F926\U0000200D\U00002640\U0000FE0F',
    u':woman_factory_worker:': u'\U0001F469\U0000200D\U0001F3ED',
    u':woman_factory_worker_dark_skin_tone:': u'\U0001F469\U0001F3FF\U0000200D\U0001F3ED',
    u':woman_factory_worker_light_skin_tone:': u'\U0001F469\U0001F3FB\U0000200D\U0001F3ED',
    u':woman_factory_worker_medium-dark_skin_tone:': u'\U0001F469\U0001F3FE\U0000200D\U0001F3ED',
    u':woman_factory_worker_medium-light_skin_tone:': u'\U0001F469\U0001F3FC\U0000200D\U0001F3ED',
    u':woman_factory_worker_medium_skin_tone:': u'\U0001F469\U0001F3FD\U0000200D\U0001F3ED',
    u':woman_fairy-dark_skin_tone:': u'\U0001F9DA\U0001F3FF\U0000200D\U00002640',
    u':woman_fairy-light_skin_tone:': u'\U0001F9DA\U0001F3FB\U0000200D\U00002640',
    u':woman_fairy-medium-dark_skin_tone:': u'\U0001F9DA\U0001F3FE\U0000200D\U00002640',
    u':woman_fairy-medium-light_skin_tone:': u'\U0001F9DA\U0001F3FC\U0000200D\U00002640',
    u':woman_fairy-medium_skin_tone:': u'\U0001F9DA\U0001F3FD\U0000200D\U00002640',
    u':woman_fairy:': u'\U0001F9DA\U0000200D\U00002640',
    u':woman_fairy_dark_skin_tone:': u'\U0001F9DA\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':woman_fairy_light_skin_tone:': u'\U0001F9DA\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':woman_fairy_medium-dark_skin_tone:': u'\U0001F9DA\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':woman_fairy_medium-light_skin_tone:': u'\U0001F9DA\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':woman_fairy_medium_skin_tone:': u'\U0001F9DA\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':woman_fairy_selector:': u'\U0001F9DA\U0000200D\U00002640\U0000FE0F',
    u':woman_farmer:': u'\U0001F469\U0000200D\U0001F33E',
    u':woman_farmer_dark_skin_tone:': u'\U0001F469\U0001F3FF\U0000200D\U0001F33E',
    u':woman_farmer_light_skin_tone:': u'\U0001F469\U0001F3FB\U0000200D\U0001F33E',
    u':woman_farmer_medium-dark_skin_tone:': u'\U0001F469\U0001F3FE\U0000200D\U0001F33E',
    u':woman_farmer_medium-light_skin_tone:': u'\U0001F469\U0001F3FC\U0000200D\U0001F33E',
    u':woman_farmer_medium_skin_tone:': u'\U0001F469\U0001F3FD\U0000200D\U0001F33E',
    u':woman_firefighter:': u'\U0001F469\U0000200D\U0001F692',
    u':woman_firefighter_dark_skin_tone:': u'\U0001F469\U0001F3FF\U0000200D\U0001F692',
    u':woman_firefighter_light_skin_tone:': u'\U0001F469\U0001F3FB\U0000200D\U0001F692',
    u':woman_firefighter_medium-dark_skin_tone:': u'\U0001F469\U0001F3FE\U0000200D\U0001F692',
    u':woman_firefighter_medium-light_skin_tone:': u'\U0001F469\U0001F3FC\U0000200D\U0001F692',
    u':woman_firefighter_medium_skin_tone:': u'\U0001F469\U0001F3FD\U0000200D\U0001F692',
    u':woman_frowning-dark_skin_tone:': u'\U0001F64D\U0001F3FF\U0000200D\U00002640',
    u':woman_frowning-light_skin_tone:': u'\U0001F64D\U0001F3FB\U0000200D\U00002640',
    u':woman_frowning-medium-dark_skin_tone:': u'\U0001F64D\U0001F3FE\U0000200D\U00002640',
    u':woman_frowning-medium-light_skin_tone:': u'\U0001F64D\U0001F3FC\U0000200D\U00002640',
    u':woman_frowning-medium_skin_tone:': u'\U0001F64D\U0001F3FD\U0000200D\U00002640',
    u':woman_frowning:': u'\U0001F64D\U0000200D\U00002640',
    u':woman_frowning_dark_skin_tone:': u'\U0001F64D\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':woman_frowning_light_skin_tone:': u'\U0001F64D\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':woman_frowning_medium-dark_skin_tone:': u'\U0001F64D\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':woman_frowning_medium-light_skin_tone:': u'\U0001F64D\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':woman_frowning_medium_skin_tone:': u'\U0001F64D\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':woman_frowning_selector:': u'\U0001F64D\U0000200D\U00002640\U0000FE0F',
    u':woman_genie:': u'\U0001F9DE\U0000200D\U00002640',
    u':woman_genie_selector:': u'\U0001F9DE\U0000200D\U00002640\U0000FE0F',
    u':woman_gesturing_NO-dark_skin_tone:': u'\U0001F645\U0001F3FF\U0000200D\U00002640',
    u':woman_gesturing_NO-light_skin_tone:': u'\U0001F645\U0001F3FB\U0000200D\U00002640',
    u':woman_gesturing_NO-medium-dark_skin_tone:': u'\U0001F645\U0001F3FE\U0000200D\U00002640',
    u':woman_gesturing_NO-medium-light_skin_tone:': u'\U0001F645\U0001F3FC\U0000200D\U00002640',
    u':woman_gesturing_NO-medium_skin_tone:': u'\U0001F645\U0001F3FD\U0000200D\U00002640',
    u':woman_gesturing_NO:': u'\U0001F645\U0000200D\U00002640',
    u':woman_gesturing_NO_dark_skin_tone:': u'\U0001F645\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':woman_gesturing_NO_light_skin_tone:': u'\U0001F645\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':woman_gesturing_NO_medium-dark_skin_tone:': u'\U0001F645\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':woman_gesturing_NO_medium-light_skin_tone:': u'\U0001F645\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':woman_gesturing_NO_medium_skin_tone:': u'\U0001F645\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':woman_gesturing_NO_selector:': u'\U0001F645\U0000200D\U00002640\U0000FE0F',
    u':woman_gesturing_OK-dark_skin_tone:': u'\U0001F646\U0001F3FF\U0000200D\U00002640',
    u':woman_gesturing_OK-light_skin_tone:': u'\U0001F646\U0001F3FB\U0000200D\U00002640',
    u':woman_gesturing_OK-medium-dark_skin_tone:': u'\U0001F646\U0001F3FE\U0000200D\U00002640',
    u':woman_gesturing_OK-medium-light_skin_tone:': u'\U0001F646\U0001F3FC\U0000200D\U00002640',
    u':woman_gesturing_OK-medium_skin_tone:': u'\U0001F646\U0001F3FD\U0000200D\U00002640',
    u':woman_gesturing_OK:': u'\U0001F646\U0000200D\U00002640',
    u':woman_gesturing_OK_dark_skin_tone:': u'\U0001F646\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':woman_gesturing_OK_light_skin_tone:': u'\U0001F646\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':woman_gesturing_OK_medium-dark_skin_tone:': u'\U0001F646\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':woman_gesturing_OK_medium-light_skin_tone:': u'\U0001F646\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':woman_gesturing_OK_medium_skin_tone:': u'\U0001F646\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':woman_gesturing_OK_selector:': u'\U0001F646\U0000200D\U00002640\U0000FE0F',
    u':woman_getting_haircut-dark_skin_tone:': u'\U0001F487\U0001F3FF\U0000200D\U00002640',
    u':woman_getting_haircut-light_skin_tone:': u'\U0001F487\U0001F3FB\U0000200D\U00002640',
    u':woman_getting_haircut-medium-dark_skin_tone:': u'\U0001F487\U0001F3FE\U0000200D\U00002640',
    u':woman_getting_haircut-medium-light_skin_tone:': u'\U0001F487\U0001F3FC\U0000200D\U00002640',
    u':woman_getting_haircut-medium_skin_tone:': u'\U0001F487\U0001F3FD\U0000200D\U00002640',
    u':woman_getting_haircut:': u'\U0001F487\U0000200D\U00002640',
    u':woman_getting_haircut_dark_skin_tone:': u'\U0001F487\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':woman_getting_haircut_light_skin_tone:': u'\U0001F487\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':woman_getting_haircut_medium-dark_skin_tone:': u'\U0001F487\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':woman_getting_haircut_medium-light_skin_tone:': u'\U0001F487\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':woman_getting_haircut_medium_skin_tone:': u'\U0001F487\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':woman_getting_haircut_selector:': u'\U0001F487\U0000200D\U00002640\U0000FE0F',
    u':woman_getting_massage-dark_skin_tone:': u'\U0001F486\U0001F3FF\U0000200D\U00002640',
    u':woman_getting_massage-light_skin_tone:': u'\U0001F486\U0001F3FB\U0000200D\U00002640',
    u':woman_getting_massage-medium-dark_skin_tone:': u'\U0001F486\U0001F3FE\U0000200D\U00002640',
    u':woman_getting_massage-medium-light_skin_tone:': u'\U0001F486\U0001F3FC\U0000200D\U00002640',
    u':woman_getting_massage-medium_skin_tone:': u'\U0001F486\U0001F3FD\U0000200D\U00002640',
    u':woman_getting_massage:': u'\U0001F486\U0000200D\U00002640',
    u':woman_getting_massage_dark_skin_tone:': u'\U0001F486\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':woman_getting_massage_light_skin_tone:': u'\U0001F486\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':woman_getting_massage_medium-dark_skin_tone:': u'\U0001F486\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':woman_getting_massage_medium-light_skin_tone:': u'\U0001F486\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':woman_getting_massage_medium_skin_tone:': u'\U0001F486\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':woman_getting_massage_selector:': u'\U0001F486\U0000200D\U00002640\U0000FE0F',
    u':woman_golfing-dark_skin_tone:': u'\U0001F3CC\U0001F3FF\U0000200D\U00002640',
    u':woman_golfing-light_skin_tone:': u'\U0001F3CC\U0001F3FB\U0000200D\U00002640',
    u':woman_golfing-medium-dark_skin_tone:': u'\U0001F3CC\U0001F3FE\U0000200D\U00002640',
    u':woman_golfing-medium-light_skin_tone:': u'\U0001F3CC\U0001F3FC\U0000200D\U00002640',
    u':woman_golfing-medium_skin_tone:': u'\U0001F3CC\U0001F3FD\U0000200D\U00002640',
    u':woman_golfing:': u'\U0001F3CC\U0000200D\U00002640',
    u':woman_golfing_2:': u'\U0001F3CC\U0000FE0F\U0000200D\U00002640\U0000FE0F',
    u':woman_golfing_3:': u'\U0001F3CC\U0000200D\U00002640\U0000FE0F',
    u':woman_golfing_dark_skin_tone:': u'\U0001F3CC\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':woman_golfing_light_skin_tone:': u'\U0001F3CC\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':woman_golfing_medium-dark_skin_tone:': u'\U0001F3CC\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':woman_golfing_medium-light_skin_tone:': u'\U0001F3CC\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':woman_golfing_medium_skin_tone:': u'\U0001F3CC\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':woman_golfing_selector:': u'\U0001F3CC\U0000FE0F\U0000200D\U00002640',
    u':woman_guard-dark_skin_tone:': u'\U0001F482\U0001F3FF\U0000200D\U00002640',
    u':woman_guard-light_skin_tone:': u'\U0001F482\U0001F3FB\U0000200D\U00002640',
    u':woman_guard-medium-dark_skin_tone:': u'\U0001F482\U0001F3FE\U0000200D\U00002640',
    u':woman_guard-medium-light_skin_tone:': u'\U0001F482\U0001F3FC\U0000200D\U00002640',
    u':woman_guard-medium_skin_tone:': u'\U0001F482\U0001F3FD\U0000200D\U00002640',
    u':woman_guard:': u'\U0001F482\U0000200D\U00002640',
    u':woman_guard_dark_skin_tone:': u'\U0001F482\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':woman_guard_light_skin_tone:': u'\U0001F482\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':woman_guard_medium-dark_skin_tone:': u'\U0001F482\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':woman_guard_medium-light_skin_tone:': u'\U0001F482\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':woman_guard_medium_skin_tone:': u'\U0001F482\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':woman_guard_selector:': u'\U0001F482\U0000200D\U00002640\U0000FE0F',
    u':woman_health_worker-dark_skin_tone:': u'\U0001F469\U0001F3FF\U0000200D\U00002695',
    u':woman_health_worker-light_skin_tone:': u'\U0001F469\U0001F3FB\U0000200D\U00002695',
    u':woman_health_worker-medium-dark_skin_tone:': u'\U0001F469\U0001F3FE\U0000200D\U00002695',
    u':woman_health_worker-medium-light_skin_tone:': u'\U0001F469\U0001F3FC\U0000200D\U00002695',
    u':woman_health_worker-medium_skin_tone:': u'\U0001F469\U0001F3FD\U0000200D\U00002695',
    u':woman_health_worker:': u'\U0001F469\U0000200D\U00002695',
    u':woman_health_worker_dark_skin_tone:': u'\U0001F469\U0001F3FF\U0000200D\U00002695\U0000FE0F',
    u':woman_health_worker_light_skin_tone:': u'\U0001F469\U0001F3FB\U0000200D\U00002695\U0000FE0F',
    u':woman_health_worker_medium-dark_skin_tone:': u'\U0001F469\U0001F3FE\U0000200D\U00002695\U0000FE0F',
    u':woman_health_worker_medium-light_skin_tone:': u'\U0001F469\U0001F3FC\U0000200D\U00002695\U0000FE0F',
    u':woman_health_worker_medium_skin_tone:': u'\U0001F469\U0001F3FD\U0000200D\U00002695\U0000FE0F',
    u':woman_health_worker_selector:': u'\U0001F469\U0000200D\U00002695\U0000FE0F',
    u':woman_in_lotus_position-dark_skin_tone:': u'\U0001F9D8\U0001F3FF\U0000200D\U00002640',
    u':woman_in_lotus_position-light_skin_tone:': u'\U0001F9D8\U0001F3FB\U0000200D\U00002640',
    u':woman_in_lotus_position-medium-dark_skin_tone:': u'\U0001F9D8\U0001F3FE\U0000200D\U00002640',
    u':woman_in_lotus_position-medium-light_skin_tone:': u'\U0001F9D8\U0001F3FC\U0000200D\U00002640',
    u':woman_in_lotus_position-medium_skin_tone:': u'\U0001F9D8\U0001F3FD\U0000200D\U00002640',
    u':woman_in_lotus_position:': u'\U0001F9D8\U0000200D\U00002640',
    u':woman_in_lotus_position_dark_skin_tone:': u'\U0001F9D8\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':woman_in_lotus_position_light_skin_tone:': u'\U0001F9D8\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':woman_in_lotus_position_medium-dark_skin_tone:': u'\U0001F9D8\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':woman_in_lotus_position_medium-light_skin_tone:': u'\U0001F9D8\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':woman_in_lotus_position_medium_skin_tone:': u'\U0001F9D8\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':woman_in_lotus_position_selector:': u'\U0001F9D8\U0000200D\U00002640\U0000FE0F',
    u':woman_in_manual_wheelchair-dark_skin_tone:': u'\U0001F469\U0001F3FF\U0000200D\U0001F9BD',
    u':woman_in_manual_wheelchair-light_skin_tone:': u'\U0001F469\U0001F3FB\U0000200D\U0001F9BD',
    u':woman_in_manual_wheelchair-medium-dark_skin_tone:': u'\U0001F469\U0001F3FE\U0000200D\U0001F9BD',
    u':woman_in_manual_wheelchair-medium-light_skin_tone:': u'\U0001F469\U0001F3FC\U0000200D\U0001F9BD',
    u':woman_in_manual_wheelchair-medium_skin_tone:': u'\U0001F469\U0001F3FD\U0000200D\U0001F9BD',
    u':woman_in_manual_wheelchair:': u'\U0001F469\U0000200D\U0001F9BD',
    u':woman_in_motorized_wheelchair-dark_skin_tone:': u'\U0001F469\U0001F3FF\U0000200D\U0001F9BC',
    u':woman_in_motorized_wheelchair-light_skin_tone:': u'\U0001F469\U0001F3FB\U0000200D\U0001F9BC',
    u':woman_in_motorized_wheelchair-medium-dark_skin_tone:': u'\U0001F469\U0001F3FE\U0000200D\U0001F9BC',
    u':woman_in_motorized_wheelchair-medium-light_skin_tone:': u'\U0001F469\U0001F3FC\U0000200D\U0001F9BC',
    u':woman_in_motorized_wheelchair-medium_skin_tone:': u'\U0001F469\U0001F3FD\U0000200D\U0001F9BC',
    u':woman_in_motorized_wheelchair:': u'\U0001F469\U0000200D\U0001F9BC',
    u':woman_in_steamy_room-dark_skin_tone:': u'\U0001F9D6\U0001F3FF\U0000200D\U00002640',
    u':woman_in_steamy_room-light_skin_tone:': u'\U0001F9D6\U0001F3FB\U0000200D\U00002640',
    u':woman_in_steamy_room-medium-dark_skin_tone:': u'\U0001F9D6\U0001F3FE\U0000200D\U00002640',
    u':woman_in_steamy_room-medium-light_skin_tone:': u'\U0001F9D6\U0001F3FC\U0000200D\U00002640',
    u':woman_in_steamy_room-medium_skin_tone:': u'\U0001F9D6\U0001F3FD\U0000200D\U00002640',
    u':woman_in_steamy_room:': u'\U0001F9D6\U0000200D\U00002640',
    u':woman_in_steamy_room_dark_skin_tone:': u'\U0001F9D6\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':woman_in_steamy_room_light_skin_tone:': u'\U0001F9D6\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':woman_in_steamy_room_medium-dark_skin_tone:': u'\U0001F9D6\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':woman_in_steamy_room_medium-light_skin_tone:': u'\U0001F9D6\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':woman_in_steamy_room_medium_skin_tone:': u'\U0001F9D6\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':woman_in_steamy_room_selector:': u'\U0001F9D6\U0000200D\U00002640\U0000FE0F',
    u':woman_judge-dark_skin_tone:': u'\U0001F469\U0001F3FF\U0000200D\U00002696',
    u':woman_judge-light_skin_tone:': u'\U0001F469\U0001F3FB\U0000200D\U00002696',
    u':woman_judge-medium-dark_skin_tone:': u'\U0001F469\U0001F3FE\U0000200D\U00002696',
    u':woman_judge-medium-light_skin_tone:': u'\U0001F469\U0001F3FC\U0000200D\U00002696',
    u':woman_judge-medium_skin_tone:': u'\U0001F469\U0001F3FD\U0000200D\U00002696',
    u':woman_judge:': u'\U0001F469\U0000200D\U00002696',
    u':woman_judge_dark_skin_tone:': u'\U0001F469\U0001F3FF\U0000200D\U00002696\U0000FE0F',
    u':woman_judge_light_skin_tone:': u'\U0001F469\U0001F3FB\U0000200D\U00002696\U0000FE0F',
    u':woman_judge_medium-dark_skin_tone:': u'\U0001F469\U0001F3FE\U0000200D\U00002696\U0000FE0F',
    u':woman_judge_medium-light_skin_tone:': u'\U0001F469\U0001F3FC\U0000200D\U00002696\U0000FE0F',
    u':woman_judge_medium_skin_tone:': u'\U0001F469\U0001F3FD\U0000200D\U00002696\U0000FE0F',
    u':woman_judge_selector:': u'\U0001F469\U0000200D\U00002696\U0000FE0F',
    u':woman_juggling-dark_skin_tone:': u'\U0001F939\U0001F3FF\U0000200D\U00002640',
    u':woman_juggling-light_skin_tone:': u'\U0001F939\U0001F3FB\U0000200D\U00002640',
    u':woman_juggling-medium-dark_skin_tone:': u'\U0001F939\U0001F3FE\U0000200D\U00002640',
    u':woman_juggling-medium-light_skin_tone:': u'\U0001F939\U0001F3FC\U0000200D\U00002640',
    u':woman_juggling-medium_skin_tone:': u'\U0001F939\U0001F3FD\U0000200D\U00002640',
    u':woman_juggling:': u'\U0001F939\U0000200D\U00002640',
    u':woman_juggling_dark_skin_tone:': u'\U0001F939\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':woman_juggling_light_skin_tone:': u'\U0001F939\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':woman_juggling_medium-dark_skin_tone:': u'\U0001F939\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':woman_juggling_medium-light_skin_tone:': u'\U0001F939\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':woman_juggling_medium_skin_tone:': u'\U0001F939\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':woman_juggling_selector:': u'\U0001F939\U0000200D\U00002640\U0000FE0F',
    u':woman_kneeling-dark_skin_tone:': u'\U0001F9CE\U0001F3FF\U0000200D\U00002640',
    u':woman_kneeling-dark_skin_tone_selector:': u'\U0001F9CE\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':woman_kneeling-light_skin_tone:': u'\U0001F9CE\U0001F3FB\U0000200D\U00002640',
    u':woman_kneeling-light_skin_tone_selector:': u'\U0001F9CE\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':woman_kneeling-medium-dark_skin_tone:': u'\U0001F9CE\U0001F3FE\U0000200D\U00002640',
    u':woman_kneeling-medium-dark_skin_tone_selector:': u'\U0001F9CE\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':woman_kneeling-medium-light_skin_tone:': u'\U0001F9CE\U0001F3FC\U0000200D\U00002640',
    u':woman_kneeling-medium-light_skin_tone_selector:': u'\U0001F9CE\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':woman_kneeling-medium_skin_tone:': u'\U0001F9CE\U0001F3FD\U0000200D\U00002640',
    u':woman_kneeling-medium_skin_tone_selector:': u'\U0001F9CE\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':woman_kneeling:': u'\U0001F9CE\U0000200D\U00002640',
    u':woman_kneeling_selector:': u'\U0001F9CE\U0000200D\U00002640\U0000FE0F',
    u':woman_lifting_weights-dark_skin_tone:': u'\U0001F3CB\U0001F3FF\U0000200D\U00002640',
    u':woman_lifting_weights-light_skin_tone:': u'\U0001F3CB\U0001F3FB\U0000200D\U00002640',
    u':woman_lifting_weights-medium-dark_skin_tone:': u'\U0001F3CB\U0001F3FE\U0000200D\U00002640',
    u':woman_lifting_weights-medium-light_skin_tone:': u'\U0001F3CB\U0001F3FC\U0000200D\U00002640',
    u':woman_lifting_weights-medium_skin_tone:': u'\U0001F3CB\U0001F3FD\U0000200D\U00002640',
    u':woman_lifting_weights:': u'\U0001F3CB\U0000200D\U00002640',
    u':woman_lifting_weights_2:': u'\U0001F3CB\U0000FE0F\U0000200D\U00002640\U0000FE0F',
    u':woman_lifting_weights_3:': u'\U0001F3CB\U0000200D\U00002640\U0000FE0F',
    u':woman_lifting_weights_dark_skin_tone:': u'\U0001F3CB\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':woman_lifting_weights_light_skin_tone:': u'\U0001F3CB\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':woman_lifting_weights_medium-dark_skin_tone:': u'\U0001F3CB\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':woman_lifting_weights_medium-light_skin_tone:': u'\U0001F3CB\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':woman_lifting_weights_medium_skin_tone:': u'\U0001F3CB\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':woman_lifting_weights_selector:': u'\U0001F3CB\U0000FE0F\U0000200D\U00002640',
    u':woman_light_skin_tone:': u'\U0001F469\U0001F3FB',
    u':woman_mage-dark_skin_tone:': u'\U0001F9D9\U0001F3FF\U0000200D\U00002640',
    u':woman_mage-light_skin_tone:': u'\U0001F9D9\U0001F3FB\U0000200D\U00002640',
    u':woman_mage-medium-dark_skin_tone:': u'\U0001F9D9\U0001F3FE\U0000200D\U00002640',
    u':woman_mage-medium-light_skin_tone:': u'\U0001F9D9\U0001F3FC\U0000200D\U00002640',
    u':woman_mage-medium_skin_tone:': u'\U0001F9D9\U0001F3FD\U0000200D\U00002640',
    u':woman_mage:': u'\U0001F9D9\U0000200D\U00002640',
    u':woman_mage_dark_skin_tone:': u'\U0001F9D9\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':woman_mage_light_skin_tone:': u'\U0001F9D9\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':woman_mage_medium-dark_skin_tone:': u'\U0001F9D9\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':woman_mage_medium-light_skin_tone:': u'\U0001F9D9\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':woman_mage_medium_skin_tone:': u'\U0001F9D9\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':woman_mage_selector:': u'\U0001F9D9\U0000200D\U00002640\U0000FE0F',
    u':woman_mechanic:': u'\U0001F469\U0000200D\U0001F527',
    u':woman_mechanic_dark_skin_tone:': u'\U0001F469\U0001F3FF\U0000200D\U0001F527',
    u':woman_mechanic_light_skin_tone:': u'\U0001F469\U0001F3FB\U0000200D\U0001F527',
    u':woman_mechanic_medium-dark_skin_tone:': u'\U0001F469\U0001F3FE\U0000200D\U0001F527',
    u':woman_mechanic_medium-light_skin_tone:': u'\U0001F469\U0001F3FC\U0000200D\U0001F527',
    u':woman_mechanic_medium_skin_tone:': u'\U0001F469\U0001F3FD\U0000200D\U0001F527',
    u':woman_medium-dark_skin_tone:': u'\U0001F469\U0001F3FE',
    u':woman_medium-light_skin_tone:': u'\U0001F469\U0001F3FC',
    u':woman_medium_skin_tone:': u'\U0001F469\U0001F3FD',
    u':woman_mountain_biking-dark_skin_tone:': u'\U0001F6B5\U0001F3FF\U0000200D\U00002640',
    u':woman_mountain_biking-light_skin_tone:': u'\U0001F6B5\U0001F3FB\U0000200D\U00002640',
    u':woman_mountain_biking-medium-dark_skin_tone:': u'\U0001F6B5\U0001F3FE\U0000200D\U00002640',
    u':woman_mountain_biking-medium-light_skin_tone:': u'\U0001F6B5\U0001F3FC\U0000200D\U00002640',
    u':woman_mountain_biking-medium_skin_tone:': u'\U0001F6B5\U0001F3FD\U0000200D\U00002640',
    u':woman_mountain_biking:': u'\U0001F6B5\U0000200D\U00002640',
    u':woman_mountain_biking_dark_skin_tone:': u'\U0001F6B5\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':woman_mountain_biking_light_skin_tone:': u'\U0001F6B5\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':woman_mountain_biking_medium-dark_skin_tone:': u'\U0001F6B5\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':woman_mountain_biking_medium-light_skin_tone:': u'\U0001F6B5\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':woman_mountain_biking_medium_skin_tone:': u'\U0001F6B5\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':woman_mountain_biking_selector:': u'\U0001F6B5\U0000200D\U00002640\U0000FE0F',
    u':woman_office_worker:': u'\U0001F469\U0000200D\U0001F4BC',
    u':woman_office_worker_dark_skin_tone:': u'\U0001F469\U0001F3FF\U0000200D\U0001F4BC',
    u':woman_office_worker_light_skin_tone:': u'\U0001F469\U0001F3FB\U0000200D\U0001F4BC',
    u':woman_office_worker_medium-dark_skin_tone:': u'\U0001F469\U0001F3FE\U0000200D\U0001F4BC',
    u':woman_office_worker_medium-light_skin_tone:': u'\U0001F469\U0001F3FC\U0000200D\U0001F4BC',
    u':woman_office_worker_medium_skin_tone:': u'\U0001F469\U0001F3FD\U0000200D\U0001F4BC',
    u':woman_pilot-dark_skin_tone:': u'\U0001F469\U0001F3FF\U0000200D\U00002708',
    u':woman_pilot-light_skin_tone:': u'\U0001F469\U0001F3FB\U0000200D\U00002708',
    u':woman_pilot-medium-dark_skin_tone:': u'\U0001F469\U0001F3FE\U0000200D\U00002708',
    u':woman_pilot-medium-light_skin_tone:': u'\U0001F469\U0001F3FC\U0000200D\U00002708',
    u':woman_pilot-medium_skin_tone:': u'\U0001F469\U0001F3FD\U0000200D\U00002708',
    u':woman_pilot:': u'\U0001F469\U0000200D\U00002708',
    u':woman_pilot_dark_skin_tone:': u'\U0001F469\U0001F3FF\U0000200D\U00002708\U0000FE0F',
    u':woman_pilot_light_skin_tone:': u'\U0001F469\U0001F3FB\U0000200D\U00002708\U0000FE0F',
    u':woman_pilot_medium-dark_skin_tone:': u'\U0001F469\U0001F3FE\U0000200D\U00002708\U0000FE0F',
    u':woman_pilot_medium-light_skin_tone:': u'\U0001F469\U0001F3FC\U0000200D\U00002708\U0000FE0F',
    u':woman_pilot_medium_skin_tone:': u'\U0001F469\U0001F3FD\U0000200D\U00002708\U0000FE0F',
    u':woman_pilot_selector:': u'\U0001F469\U0000200D\U00002708\U0000FE0F',
    u':woman_playing_handball-dark_skin_tone:': u'\U0001F93E\U0001F3FF\U0000200D\U00002640',
    u':woman_playing_handball-light_skin_tone:': u'\U0001F93E\U0001F3FB\U0000200D\U00002640',
    u':woman_playing_handball-medium-dark_skin_tone:': u'\U0001F93E\U0001F3FE\U0000200D\U00002640',
    u':woman_playing_handball-medium-light_skin_tone:': u'\U0001F93E\U0001F3FC\U0000200D\U00002640',
    u':woman_playing_handball-medium_skin_tone:': u'\U0001F93E\U0001F3FD\U0000200D\U00002640',
    u':woman_playing_handball:': u'\U0001F93E\U0000200D\U00002640',
    u':woman_playing_handball_dark_skin_tone:': u'\U0001F93E\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':woman_playing_handball_light_skin_tone:': u'\U0001F93E\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':woman_playing_handball_medium-dark_skin_tone:': u'\U0001F93E\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':woman_playing_handball_medium-light_skin_tone:': u'\U0001F93E\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':woman_playing_handball_medium_skin_tone:': u'\U0001F93E\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':woman_playing_handball_selector:': u'\U0001F93E\U0000200D\U00002640\U0000FE0F',
    u':woman_playing_water_polo-dark_skin_tone:': u'\U0001F93D\U0001F3FF\U0000200D\U00002640',
    u':woman_playing_water_polo-light_skin_tone:': u'\U0001F93D\U0001F3FB\U0000200D\U00002640',
    u':woman_playing_water_polo-medium-dark_skin_tone:': u'\U0001F93D\U0001F3FE\U0000200D\U00002640',
    u':woman_playing_water_polo-medium-light_skin_tone:': u'\U0001F93D\U0001F3FC\U0000200D\U00002640',
    u':woman_playing_water_polo-medium_skin_tone:': u'\U0001F93D\U0001F3FD\U0000200D\U00002640',
    u':woman_playing_water_polo:': u'\U0001F93D\U0000200D\U00002640',
    u':woman_playing_water_polo_dark_skin_tone:': u'\U0001F93D\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':woman_playing_water_polo_light_skin_tone:': u'\U0001F93D\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':woman_playing_water_polo_medium-dark_skin_tone:': u'\U0001F93D\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':woman_playing_water_polo_medium-light_skin_tone:': u'\U0001F93D\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':woman_playing_water_polo_medium_skin_tone:': u'\U0001F93D\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':woman_playing_water_polo_selector:': u'\U0001F93D\U0000200D\U00002640\U0000FE0F',
    u':woman_police_officer-dark_skin_tone:': u'\U0001F46E\U0001F3FF\U0000200D\U00002640',
    u':woman_police_officer-light_skin_tone:': u'\U0001F46E\U0001F3FB\U0000200D\U00002640',
    u':woman_police_officer-medium-dark_skin_tone:': u'\U0001F46E\U0001F3FE\U0000200D\U00002640',
    u':woman_police_officer-medium-light_skin_tone:': u'\U0001F46E\U0001F3FC\U0000200D\U00002640',
    u':woman_police_officer-medium_skin_tone:': u'\U0001F46E\U0001F3FD\U0000200D\U00002640',
    u':woman_police_officer:': u'\U0001F46E\U0000200D\U00002640',
    u':woman_police_officer_dark_skin_tone:': u'\U0001F46E\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':woman_police_officer_light_skin_tone:': u'\U0001F46E\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':woman_police_officer_medium-dark_skin_tone:': u'\U0001F46E\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':woman_police_officer_medium-light_skin_tone:': u'\U0001F46E\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':woman_police_officer_medium_skin_tone:': u'\U0001F46E\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':woman_police_officer_selector:': u'\U0001F46E\U0000200D\U00002640\U0000FE0F',
    u':woman_pouting-dark_skin_tone:': u'\U0001F64E\U0001F3FF\U0000200D\U00002640',
    u':woman_pouting-light_skin_tone:': u'\U0001F64E\U0001F3FB\U0000200D\U00002640',
    u':woman_pouting-medium-dark_skin_tone:': u'\U0001F64E\U0001F3FE\U0000200D\U00002640',
    u':woman_pouting-medium-light_skin_tone:': u'\U0001F64E\U0001F3FC\U0000200D\U00002640',
    u':woman_pouting-medium_skin_tone:': u'\U0001F64E\U0001F3FD\U0000200D\U00002640',
    u':woman_pouting:': u'\U0001F64E\U0000200D\U00002640',
    u':woman_pouting_dark_skin_tone:': u'\U0001F64E\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':woman_pouting_light_skin_tone:': u'\U0001F64E\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':woman_pouting_medium-dark_skin_tone:': u'\U0001F64E\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':woman_pouting_medium-light_skin_tone:': u'\U0001F64E\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':woman_pouting_medium_skin_tone:': u'\U0001F64E\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':woman_pouting_selector:': u'\U0001F64E\U0000200D\U00002640\U0000FE0F',
    u':woman_raising_hand-dark_skin_tone:': u'\U0001F64B\U0001F3FF\U0000200D\U00002640',
    u':woman_raising_hand-light_skin_tone:': u'\U0001F64B\U0001F3FB\U0000200D\U00002640',
    u':woman_raising_hand-medium-dark_skin_tone:': u'\U0001F64B\U0001F3FE\U0000200D\U00002640',
    u':woman_raising_hand-medium-light_skin_tone:': u'\U0001F64B\U0001F3FC\U0000200D\U00002640',
    u':woman_raising_hand-medium_skin_tone:': u'\U0001F64B\U0001F3FD\U0000200D\U00002640',
    u':woman_raising_hand:': u'\U0001F64B\U0000200D\U00002640',
    u':woman_raising_hand_dark_skin_tone:': u'\U0001F64B\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':woman_raising_hand_light_skin_tone:': u'\U0001F64B\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':woman_raising_hand_medium-dark_skin_tone:': u'\U0001F64B\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':woman_raising_hand_medium-light_skin_tone:': u'\U0001F64B\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':woman_raising_hand_medium_skin_tone:': u'\U0001F64B\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':woman_raising_hand_selector:': u'\U0001F64B\U0000200D\U00002640\U0000FE0F',
    u':woman_rowing_boat-dark_skin_tone:': u'\U0001F6A3\U0001F3FF\U0000200D\U00002640',
    u':woman_rowing_boat-light_skin_tone:': u'\U0001F6A3\U0001F3FB\U0000200D\U00002640',
    u':woman_rowing_boat-medium-dark_skin_tone:': u'\U0001F6A3\U0001F3FE\U0000200D\U00002640',
    u':woman_rowing_boat-medium-light_skin_tone:': u'\U0001F6A3\U0001F3FC\U0000200D\U00002640',
    u':woman_rowing_boat-medium_skin_tone:': u'\U0001F6A3\U0001F3FD\U0000200D\U00002640',
    u':woman_rowing_boat:': u'\U0001F6A3\U0000200D\U00002640',
    u':woman_rowing_boat_dark_skin_tone:': u'\U0001F6A3\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':woman_rowing_boat_light_skin_tone:': u'\U0001F6A3\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':woman_rowing_boat_medium-dark_skin_tone:': u'\U0001F6A3\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':woman_rowing_boat_medium-light_skin_tone:': u'\U0001F6A3\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':woman_rowing_boat_medium_skin_tone:': u'\U0001F6A3\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':woman_rowing_boat_selector:': u'\U0001F6A3\U0000200D\U00002640\U0000FE0F',
    u':woman_running-dark_skin_tone:': u'\U0001F3C3\U0001F3FF\U0000200D\U00002640',
    u':woman_running-light_skin_tone:': u'\U0001F3C3\U0001F3FB\U0000200D\U00002640',
    u':woman_running-medium-dark_skin_tone:': u'\U0001F3C3\U0001F3FE\U0000200D\U00002640',
    u':woman_running-medium-light_skin_tone:': u'\U0001F3C3\U0001F3FC\U0000200D\U00002640',
    u':woman_running-medium_skin_tone:': u'\U0001F3C3\U0001F3FD\U0000200D\U00002640',
    u':woman_running:': u'\U0001F3C3\U0000200D\U00002640',
    u':woman_running_dark_skin_tone:': u'\U0001F3C3\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':woman_running_light_skin_tone:': u'\U0001F3C3\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':woman_running_medium-dark_skin_tone:': u'\U0001F3C3\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':woman_running_medium-light_skin_tone:': u'\U0001F3C3\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':woman_running_medium_skin_tone:': u'\U0001F3C3\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':woman_running_selector:': u'\U0001F3C3\U0000200D\U00002640\U0000FE0F',
    u':woman_scientist:': u'\U0001F469\U0000200D\U0001F52C',
    u':woman_scientist_dark_skin_tone:': u'\U0001F469\U0001F3FF\U0000200D\U0001F52C',
    u':woman_scientist_light_skin_tone:': u'\U0001F469\U0001F3FB\U0000200D\U0001F52C',
    u':woman_scientist_medium-dark_skin_tone:': u'\U0001F469\U0001F3FE\U0000200D\U0001F52C',
    u':woman_scientist_medium-light_skin_tone:': u'\U0001F469\U0001F3FC\U0000200D\U0001F52C',
    u':woman_scientist_medium_skin_tone:': u'\U0001F469\U0001F3FD\U0000200D\U0001F52C',
    u':woman_shrugging-dark_skin_tone:': u'\U0001F937\U0001F3FF\U0000200D\U00002640',
    u':woman_shrugging-light_skin_tone:': u'\U0001F937\U0001F3FB\U0000200D\U00002640',
    u':woman_shrugging-medium-dark_skin_tone:': u'\U0001F937\U0001F3FE\U0000200D\U00002640',
    u':woman_shrugging-medium-light_skin_tone:': u'\U0001F937\U0001F3FC\U0000200D\U00002640',
    u':woman_shrugging-medium_skin_tone:': u'\U0001F937\U0001F3FD\U0000200D\U00002640',
    u':woman_shrugging:': u'\U0001F937\U0000200D\U00002640',
    u':woman_shrugging_dark_skin_tone:': u'\U0001F937\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':woman_shrugging_light_skin_tone:': u'\U0001F937\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':woman_shrugging_medium-dark_skin_tone:': u'\U0001F937\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':woman_shrugging_medium-light_skin_tone:': u'\U0001F937\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':woman_shrugging_medium_skin_tone:': u'\U0001F937\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':woman_shrugging_selector:': u'\U0001F937\U0000200D\U00002640\U0000FE0F',
    u':woman_singer:': u'\U0001F469\U0000200D\U0001F3A4',
    u':woman_singer_dark_skin_tone:': u'\U0001F469\U0001F3FF\U0000200D\U0001F3A4',
    u':woman_singer_light_skin_tone:': u'\U0001F469\U0001F3FB\U0000200D\U0001F3A4',
    u':woman_singer_medium-dark_skin_tone:': u'\U0001F469\U0001F3FE\U0000200D\U0001F3A4',
    u':woman_singer_medium-light_skin_tone:': u'\U0001F469\U0001F3FC\U0000200D\U0001F3A4',
    u':woman_singer_medium_skin_tone:': u'\U0001F469\U0001F3FD\U0000200D\U0001F3A4',
    u':woman_standing-dark_skin_tone:': u'\U0001F9CD\U0001F3FF\U0000200D\U00002640',
    u':woman_standing-dark_skin_tone_selector:': u'\U0001F9CD\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':woman_standing-light_skin_tone:': u'\U0001F9CD\U0001F3FB\U0000200D\U00002640',
    u':woman_standing-light_skin_tone_selector:': u'\U0001F9CD\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':woman_standing-medium-dark_skin_tone:': u'\U0001F9CD\U0001F3FE\U0000200D\U00002640',
    u':woman_standing-medium-dark_skin_tone_selector:': u'\U0001F9CD\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':woman_standing-medium-light_skin_tone:': u'\U0001F9CD\U0001F3FC\U0000200D\U00002640',
    u':woman_standing-medium-light_skin_tone_selector:': u'\U0001F9CD\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':woman_standing-medium_skin_tone:': u'\U0001F9CD\U0001F3FD\U0000200D\U00002640',
    u':woman_standing-medium_skin_tone_selector:': u'\U0001F9CD\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':woman_standing:': u'\U0001F9CD\U0000200D\U00002640',
    u':woman_standing_selector:': u'\U0001F9CD\U0000200D\U00002640\U0000FE0F',
    u':woman_student:': u'\U0001F469\U0000200D\U0001F393',
    u':woman_student_dark_skin_tone:': u'\U0001F469\U0001F3FF\U0000200D\U0001F393',
    u':woman_student_light_skin_tone:': u'\U0001F469\U0001F3FB\U0000200D\U0001F393',
    u':woman_student_medium-dark_skin_tone:': u'\U0001F469\U0001F3FE\U0000200D\U0001F393',
    u':woman_student_medium-light_skin_tone:': u'\U0001F469\U0001F3FC\U0000200D\U0001F393',
    u':woman_student_medium_skin_tone:': u'\U0001F469\U0001F3FD\U0000200D\U0001F393',
    u':woman_superhero-dark_skin_tone:': u'\U0001F9B8\U0001F3FF\U0000200D\U00002640',
    u':woman_superhero-dark_skin_tone_selector:': u'\U0001F9B8\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':woman_superhero-light_skin_tone:': u'\U0001F9B8\U0001F3FB\U0000200D\U00002640',
    u':woman_superhero-light_skin_tone_selector:': u'\U0001F9B8\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':woman_superhero-medium-dark_skin_tone:': u'\U0001F9B8\U0001F3FE\U0000200D\U00002640',
    u':woman_superhero-medium-dark_skin_tone_selector:': u'\U0001F9B8\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':woman_superhero-medium-light_skin_tone:': u'\U0001F9B8\U0001F3FC\U0000200D\U00002640',
    u':woman_superhero-medium-light_skin_tone_selector:': u'\U0001F9B8\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':woman_superhero-medium_skin_tone:': u'\U0001F9B8\U0001F3FD\U0000200D\U00002640',
    u':woman_superhero-medium_skin_tone_selector:': u'\U0001F9B8\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':woman_superhero:': u'\U0001F9B8\U0000200D\U00002640',
    u':woman_superhero_selector:': u'\U0001F9B8\U0000200D\U00002640\U0000FE0F',
    u':woman_supervillain-dark_skin_tone:': u'\U0001F9B9\U0001F3FF\U0000200D\U00002640',
    u':woman_supervillain-dark_skin_tone_selector:': u'\U0001F9B9\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':woman_supervillain-light_skin_tone:': u'\U0001F9B9\U0001F3FB\U0000200D\U00002640',
    u':woman_supervillain-light_skin_tone_selector:': u'\U0001F9B9\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':woman_supervillain-medium-dark_skin_tone:': u'\U0001F9B9\U0001F3FE\U0000200D\U00002640',
    u':woman_supervillain-medium-dark_skin_tone_selector:': u'\U0001F9B9\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':woman_supervillain-medium-light_skin_tone:': u'\U0001F9B9\U0001F3FC\U0000200D\U00002640',
    u':woman_supervillain-medium-light_skin_tone_selector:': u'\U0001F9B9\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':woman_supervillain-medium_skin_tone:': u'\U0001F9B9\U0001F3FD\U0000200D\U00002640',
    u':woman_supervillain-medium_skin_tone_selector:': u'\U0001F9B9\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':woman_supervillain:': u'\U0001F9B9\U0000200D\U00002640',
    u':woman_supervillain_selector:': u'\U0001F9B9\U0000200D\U00002640\U0000FE0F',
    u':woman_surfing-dark_skin_tone:': u'\U0001F3C4\U0001F3FF\U0000200D\U00002640',
    u':woman_surfing-light_skin_tone:': u'\U0001F3C4\U0001F3FB\U0000200D\U00002640',
    u':woman_surfing-medium-dark_skin_tone:': u'\U0001F3C4\U0001F3FE\U0000200D\U00002640',
    u':woman_surfing-medium-light_skin_tone:': u'\U0001F3C4\U0001F3FC\U0000200D\U00002640',
    u':woman_surfing-medium_skin_tone:': u'\U0001F3C4\U0001F3FD\U0000200D\U00002640',
    u':woman_surfing:': u'\U0001F3C4\U0000200D\U00002640',
    u':woman_surfing_dark_skin_tone:': u'\U0001F3C4\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':woman_surfing_light_skin_tone:': u'\U0001F3C4\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':woman_surfing_medium-dark_skin_tone:': u'\U0001F3C4\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':woman_surfing_medium-light_skin_tone:': u'\U0001F3C4\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':woman_surfing_medium_skin_tone:': u'\U0001F3C4\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':woman_surfing_selector:': u'\U0001F3C4\U0000200D\U00002640\U0000FE0F',
    u':woman_swimming-dark_skin_tone:': u'\U0001F3CA\U0001F3FF\U0000200D\U00002640',
    u':woman_swimming-light_skin_tone:': u'\U0001F3CA\U0001F3FB\U0000200D\U00002640',
    u':woman_swimming-medium-dark_skin_tone:': u'\U0001F3CA\U0001F3FE\U0000200D\U00002640',
    u':woman_swimming-medium-light_skin_tone:': u'\U0001F3CA\U0001F3FC\U0000200D\U00002640',
    u':woman_swimming-medium_skin_tone:': u'\U0001F3CA\U0001F3FD\U0000200D\U00002640',
    u':woman_swimming:': u'\U0001F3CA\U0000200D\U00002640',
    u':woman_swimming_dark_skin_tone:': u'\U0001F3CA\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':woman_swimming_light_skin_tone:': u'\U0001F3CA\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':woman_swimming_medium-dark_skin_tone:': u'\U0001F3CA\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':woman_swimming_medium-light_skin_tone:': u'\U0001F3CA\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':woman_swimming_medium_skin_tone:': u'\U0001F3CA\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':woman_swimming_selector:': u'\U0001F3CA\U0000200D\U00002640\U0000FE0F',
    u':woman_teacher:': u'\U0001F469\U0000200D\U0001F3EB',
    u':woman_teacher_dark_skin_tone:': u'\U0001F469\U0001F3FF\U0000200D\U0001F3EB',
    u':woman_teacher_light_skin_tone:': u'\U0001F469\U0001F3FB\U0000200D\U0001F3EB',
    u':woman_teacher_medium-dark_skin_tone:': u'\U0001F469\U0001F3FE\U0000200D\U0001F3EB',
    u':woman_teacher_medium-light_skin_tone:': u'\U0001F469\U0001F3FC\U0000200D\U0001F3EB',
    u':woman_teacher_medium_skin_tone:': u'\U0001F469\U0001F3FD\U0000200D\U0001F3EB',
    u':woman_technologist:': u'\U0001F469\U0000200D\U0001F4BB',
    u':woman_technologist_dark_skin_tone:': u'\U0001F469\U0001F3FF\U0000200D\U0001F4BB',
    u':woman_technologist_light_skin_tone:': u'\U0001F469\U0001F3FB\U0000200D\U0001F4BB',
    u':woman_technologist_medium-dark_skin_tone:': u'\U0001F469\U0001F3FE\U0000200D\U0001F4BB',
    u':woman_technologist_medium-light_skin_tone:': u'\U0001F469\U0001F3FC\U0000200D\U0001F4BB',
    u':woman_technologist_medium_skin_tone:': u'\U0001F469\U0001F3FD\U0000200D\U0001F4BB',
    u':woman_tipping_hand-dark_skin_tone:': u'\U0001F481\U0001F3FF\U0000200D\U00002640',
    u':woman_tipping_hand-light_skin_tone:': u'\U0001F481\U0001F3FB\U0000200D\U00002640',
    u':woman_tipping_hand-medium-dark_skin_tone:': u'\U0001F481\U0001F3FE\U0000200D\U00002640',
    u':woman_tipping_hand-medium-light_skin_tone:': u'\U0001F481\U0001F3FC\U0000200D\U00002640',
    u':woman_tipping_hand-medium_skin_tone:': u'\U0001F481\U0001F3FD\U0000200D\U00002640',
    u':woman_tipping_hand:': u'\U0001F481\U0000200D\U00002640',
    u':woman_tipping_hand_dark_skin_tone:': u'\U0001F481\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':woman_tipping_hand_light_skin_tone:': u'\U0001F481\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':woman_tipping_hand_medium-dark_skin_tone:': u'\U0001F481\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':woman_tipping_hand_medium-light_skin_tone:': u'\U0001F481\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':woman_tipping_hand_medium_skin_tone:': u'\U0001F481\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':woman_tipping_hand_selector:': u'\U0001F481\U0000200D\U00002640\U0000FE0F',
    u':woman_vampire-dark_skin_tone:': u'\U0001F9DB\U0001F3FF\U0000200D\U00002640',
    u':woman_vampire-light_skin_tone:': u'\U0001F9DB\U0001F3FB\U0000200D\U00002640',
    u':woman_vampire-medium-dark_skin_tone:': u'\U0001F9DB\U0001F3FE\U0000200D\U00002640',
    u':woman_vampire-medium-light_skin_tone:': u'\U0001F9DB\U0001F3FC\U0000200D\U00002640',
    u':woman_vampire-medium_skin_tone:': u'\U0001F9DB\U0001F3FD\U0000200D\U00002640',
    u':woman_vampire:': u'\U0001F9DB\U0000200D\U00002640',
    u':woman_vampire_dark_skin_tone:': u'\U0001F9DB\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':woman_vampire_light_skin_tone:': u'\U0001F9DB\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':woman_vampire_medium-dark_skin_tone:': u'\U0001F9DB\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':woman_vampire_medium-light_skin_tone:': u'\U0001F9DB\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':woman_vampire_medium_skin_tone:': u'\U0001F9DB\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':woman_vampire_selector:': u'\U0001F9DB\U0000200D\U00002640\U0000FE0F',
    u':woman_walking-dark_skin_tone:': u'\U0001F6B6\U0001F3FF\U0000200D\U00002640',
    u':woman_walking-light_skin_tone:': u'\U0001F6B6\U0001F3FB\U0000200D\U00002640',
    u':woman_walking-medium-dark_skin_tone:': u'\U0001F6B6\U0001F3FE\U0000200D\U00002640',
    u':woman_walking-medium-light_skin_tone:': u'\U0001F6B6\U0001F3FC\U0000200D\U00002640',
    u':woman_walking-medium_skin_tone:': u'\U0001F6B6\U0001F3FD\U0000200D\U00002640',
    u':woman_walking:': u'\U0001F6B6\U0000200D\U00002640',
    u':woman_walking_dark_skin_tone:': u'\U0001F6B6\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':woman_walking_light_skin_tone:': u'\U0001F6B6\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':woman_walking_medium-dark_skin_tone:': u'\U0001F6B6\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':woman_walking_medium-light_skin_tone:': u'\U0001F6B6\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':woman_walking_medium_skin_tone:': u'\U0001F6B6\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':woman_walking_selector:': u'\U0001F6B6\U0000200D\U00002640\U0000FE0F',
    u':woman_wearing_turban-dark_skin_tone:': u'\U0001F473\U0001F3FF\U0000200D\U00002640',
    u':woman_wearing_turban-light_skin_tone:': u'\U0001F473\U0001F3FB\U0000200D\U00002640',
    u':woman_wearing_turban-medium-dark_skin_tone:': u'\U0001F473\U0001F3FE\U0000200D\U00002640',
    u':woman_wearing_turban-medium-light_skin_tone:': u'\U0001F473\U0001F3FC\U0000200D\U00002640',
    u':woman_wearing_turban-medium_skin_tone:': u'\U0001F473\U0001F3FD\U0000200D\U00002640',
    u':woman_wearing_turban:': u'\U0001F473\U0000200D\U00002640',
    u':woman_wearing_turban_dark_skin_tone:': u'\U0001F473\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':woman_wearing_turban_light_skin_tone:': u'\U0001F473\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':woman_wearing_turban_medium-dark_skin_tone:': u'\U0001F473\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':woman_wearing_turban_medium-light_skin_tone:': u'\U0001F473\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':woman_wearing_turban_medium_skin_tone:': u'\U0001F473\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':woman_wearing_turban_selector:': u'\U0001F473\U0000200D\U00002640\U0000FE0F',
    u':woman_with_headscarf:': u'\U0001F9D5',
    u':woman_with_headscarf_dark_skin_tone:': u'\U0001F9D5\U0001F3FF',
    u':woman_with_headscarf_light_skin_tone:': u'\U0001F9D5\U0001F3FB',
    u':woman_with_headscarf_medium-dark_skin_tone:': u'\U0001F9D5\U0001F3FE',
    u':woman_with_headscarf_medium-light_skin_tone:': u'\U0001F9D5\U0001F3FC',
    u':woman_with_headscarf_medium_skin_tone:': u'\U0001F9D5\U0001F3FD',
    u':woman_with_probing_cane-dark_skin_tone:': u'\U0001F469\U0001F3FF\U0000200D\U0001F9AF',
    u':woman_with_probing_cane-light_skin_tone:': u'\U0001F469\U0001F3FB\U0000200D\U0001F9AF',
    u':woman_with_probing_cane-medium-dark_skin_tone:': u'\U0001F469\U0001F3FE\U0000200D\U0001F9AF',
    u':woman_with_probing_cane-medium-light_skin_tone:': u'\U0001F469\U0001F3FC\U0000200D\U0001F9AF',
    u':woman_with_probing_cane-medium_skin_tone:': u'\U0001F469\U0001F3FD\U0000200D\U0001F9AF',
    u':woman_with_probing_cane:': u'\U0001F469\U0000200D\U0001F9AF',
    u':woman_zombie:': u'\U0001F9DF\U0000200D\U00002640',
    u':woman_zombie_selector:': u'\U0001F9DF\U0000200D\U00002640\U0000FE0F',
    u':woman\u2019s_boot:': u'\U0001F462',
    u':woman\u2019s_clothes:': u'\U0001F45A',
    u':woman\u2019s_hat:': u'\U0001F452',
    u':woman\u2019s_sandal:': u'\U0001F461',
    u':women_holding_hands-dark_skin_tone-light_skin_tone:': u'\U0001F469\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FB',
    u':women_holding_hands-dark_skin_tone-medium-dark_skin_tone:': u'\U0001F469\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FE',
    u':women_holding_hands-dark_skin_tone-medium-light_skin_tone:': u'\U0001F469\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FC',
    u':women_holding_hands-dark_skin_tone-medium_skin_tone:': u'\U0001F469\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FD',
    u':women_holding_hands-dark_skin_tone:': u'\U0001F46D\U0001F3FF',
    u':women_holding_hands-light_skin_tone:': u'\U0001F46D\U0001F3FB',
    u':women_holding_hands-medium-dark_skin_tone-light_skin_tone:': u'\U0001F469\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FB',
    u':women_holding_hands-medium-dark_skin_tone-medium-light_skin_tone:': u'\U0001F469\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FC',
    u':women_holding_hands-medium-dark_skin_tone-medium_skin_tone:': u'\U0001F469\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FD',
    u':women_holding_hands-medium-dark_skin_tone:': u'\U0001F46D\U0001F3FE',
    u':women_holding_hands-medium-light_skin_tone-light_skin_tone:': u'\U0001F469\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FB',
    u':women_holding_hands-medium-light_skin_tone:': u'\U0001F46D\U0001F3FC',
    u':women_holding_hands-medium_skin_tone-light_skin_tone:': u'\U0001F469\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FB',
    u':women_holding_hands-medium_skin_tone-medium-light_skin_tone:': u'\U0001F469\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FC',
    u':women_holding_hands-medium_skin_tone:': u'\U0001F46D\U0001F3FD',
    u':women_with_bunny_ears:': u'\U0001F46F\U0000200D\U00002640',
    u':women_with_bunny_ears_selector:': u'\U0001F46F\U0000200D\U00002640\U0000FE0F',
    u':women_wrestling:': u'\U0001F93C\U0000200D\U00002640',
    u':women_wrestling_selector:': u'\U0001F93C\U0000200D\U00002640\U0000FE0F',
    u':women\u2019s_room:': u'\U0001F6BA',
    u':woozy_face:': u'\U0001F974',
    u':world_map:': u'\U0001F5FA',
    u':world_map_selector:': u'\U0001F5FA\U0000FE0F',
    u':worried_face:': u'\U0001F61F',
    u':wrapped_gift:': u'\U0001F381',
    u':wrench:': u'\U0001F527',
    u':writing_hand:': u'\U0000270D',
    u':writing_hand_dark_skin_tone:': u'\U0000270D\U0001F3FF',
    u':writing_hand_light_skin_tone:': u'\U0000270D\U0001F3FB',
    u':writing_hand_medium-dark_skin_tone:': u'\U0000270D\U0001F3FE',
    u':writing_hand_medium-light_skin_tone:': u'\U0000270D\U0001F3FC',
    u':writing_hand_medium_skin_tone:': u'\U0000270D\U0001F3FD',
    u':writing_hand_selector:': u'\U0000270D\U0000FE0F',
    u':yarn:': u'\U0001F9F6',
    u':yawning_face:': u'\U0001F971',
    u':yellow_circle:': u'\U0001F7E1',
    u':yellow_heart:': u'\U0001F49B',
    u':yellow_square:': u'\U0001F7E8',
    u':yen_banknote:': u'\U0001F4B4',
    u':yin_yang:': u'\U0000262F',
    u':yin_yang_selector:': u'\U0000262F\U0000FE0F',
    u':yo-yo:': u'\U0001FA80',
    u':zany_face:': u'\U0001F92A',
    u':zebra:': u'\U0001F993',
    u':zipper-mouth_face:': u'\U0001F910',
    u':zombie:': u'\U0001F9DF',
    u':zzz:': u'\U0001F4A4',
}
EMOJI_UNICODE_ENGLISH = {
    ":Huy chương hạng nhất:": "🥇",
    ":Huy chương hạng 2:": "🥈",
    ":Huy chương hạng 3:": "🥉",
    ":Nút AB (nhóm máu):": "🆎",
    ":Ký hiệu ATM:": "🏧",
    ":Nút A (nhóm máu):": "🅰",
    ":Một nút chọn (nhóm máu):": "🅰️",
    ":Afghanistan:": "🇦🇫",
    ":Quần đảo Aland:": "🇦🇽",
    ":albania:": "🇦🇱",
    ":Algeria:": "🇩🇿",
    ":American Samoa:": "🇦🇸",
    ":Andorra:": "🇦🇩",
    ":Angola:": "🇦🇴",
    ":Anguilla:": "🇦🇮",
    ":Nam Cực:": "🇦🇶",
    ":Antigua & Barbuda:": "🇦🇬",
    ":Bảo Bình:": "♒",
    ":Argentina:": "🇦🇷",
    ":Bạch Dương:": "♈",
    ":Armenia:": "🇦🇲",
    ":Aruba:": "🇦🇼",
    ":Đảo Ascension:": "🇦🇨",
    ":Châu Úc:": "🇦🇺",
    ":Áo:": "🇦🇹",
    ":Azerbaijan:": "🇦🇿",
    ":Mũi tên QUAY LẠI:": "🔙",
    ":Nút B (nhóm máu):": "🅱",
    ":Nút B (nhóm máu) bộ chọn:": "🅱️",
    ":Bahamas:": "🇧🇸",
    ":Bahrain:": "🇧🇭",
    ":Bangladesh:": "🇧🇩",
    ":Barbados:": "🇧🇧",
    ":Belarus:": "🇧🇾",
    ":nước Bỉ:": "🇧🇪",
    ":Belize:": "🇧🇿",
    ":Benin:": "🇧🇯",
    ":Bermuda:": "🇧🇲",
    ":Bhutan:": "🇧🇹",
    ":Bolivia:": "🇧🇴",
    ":Bosnia & Herzegovina:": "🇧🇦",
    ":Botswana:": "🇧🇼",
    ":Đảo Bouvet:": "🇧🇻",
    ":Brazil:": "🇧🇷",
    ":Lãnh thổ Ấn Độ Dương thuộc Anh:": "🇮🇴",
    ":Quần đảo British Virgin:": "🇻🇬",
    ":Brunei:": "🇧🇳",
    ":Bungari:": "🇧🇬",
    ":Burkina Faso:": "🇧🇫",
    ":Burundi:": "🇧🇮",
    ":Nút CL:": "🆑",
    ":Nút COOL:": "🆒",
    ":Campuchia:": "🇰🇭",
    ":Cameroon:": "🇨🇲",
    ":Canada:": "🇨🇦",
    ":đảo Canary:": "🇮🇨",
    ":Ung thư:": "♋",
    ":Cape Verde:": "🇨🇻",
    ":Ma Kết:": "♑",
    ":Caribe Hà Lan:": "🇧🇶",
    ":Quần đảo Cayman:": "🇰🇾",
    ":Cộng hòa trung phi:": "🇨🇫",
    ":Ceuta & Melilla:": "🇪🇦",
    ":Chad:": "🇹🇩",
    ":Chile:": "🇨🇱",
    ":Trung Quốc:": "🇨🇳",
    ":Đảo giáng sinh:": "🇨🇽",
    ":Cây thông noel:": "🎄",
    ":Đảo Clipperton:": "🇨🇵",
    ":Quần đảo Cocos (Keeling):": "🇨🇨",
    ":Colombia:": "🇨🇴",
    ":Comoros:": "🇰🇲",
    ":Congo Brazzaville:": "🇨🇬",
    ":Congo Kinshasa:": "🇨🇩",
    ":Quần đảo Cook:": "🇨🇰",
    ":Costa Rica:": "🇨🇷",
    ":Croatia:": "🇭🇷",
    ":Cuba:": "🇨🇺",
    ":Rượu cam bì:": "🇨🇼",
    ":Síp:": "🇨🇾",
    ":Czechia:": "🇨🇿",
    ":bờ biển Ngà:": "🇨🇮",
    ":Đan mạch:": "🇩🇰",
    ":Diego Garcia:": "🇩🇬",
    ":Djibouti:": "🇩🇯",
    ":Dominica:": "🇩🇲",
    ":Cộng hòa Dominica:": "🇩🇴",
    ":Mũi tên KẾT THÚC:": "🔚",
    ":Ecuador:": "🇪🇨",
    ":Ai cập:": "🇪🇬",
    ":Vị cứu tinh:": "🇸🇻",
    ":nước Anh:": "🏴󠁧󠁢󠁥󠁮󠁧󠁿",
    ":Equatorial Guinea:": "🇬🇶",
    ":Eritrea:": "🇪🇷",
    ":Estonia:": "🇪🇪",
    ":Ethiopia:": "🇪🇹",
    ":Liên minh Châu Âu:": "🇪🇺",
    ":Nút MIỄN PHÍ:": "🆓",
    ":Quần đảo Falkland:": "🇫🇰",
    ":Quần đảo Faroe:": "🇫🇴",
    ":Fiji:": "🇫🇯",
    ":Phần Lan:": "🇫🇮",
    ":Pháp:": "🇫🇷",
    ":Guiana thuộc Pháp:": "🇬🇫",
    ":Polynesia thuộc Pháp:": "🇵🇫",
    ":Lãnh thổ phía Nam của Pháp:": "🇹🇫",
    ":Gabon:": "🇬🇦",
    ":Gambia:": "🇬🇲",
    ":Song Tử:": "♊",
    ":Georgia:": "🇬🇪",
    ":nước Đức:": "🇩🇪",
    ":Ghana:": "🇬🇭",
    ":Gibraltar:": "🇬🇮",
    ":Hy Lạp:": "🇬🇷",
    ":Greenland:": "🇬🇱",
    ":Grenada:": "🇬🇩",
    ":Guadeloupe:": "🇬🇵",
    ":Guam:": "🇬🇺",
    ":Guatemala:": "🇬🇹",
    ":Guernsey:": "🇬🇬",
    ":Guinea Bissau:": "🇬🇼",
    ":Guinea:": "🇬🇳",
    ":Guyana:": "🇬🇾",
    ":Haiti:": "🇭🇹",
    ":Quần đảo Heard & McDonald:": "🇭🇲",
    ":Honduras:": "🇭🇳",
    ":Đặc khu hành chính Hồng Kông Trung Quốc:": "🇭🇰",
    ":Hungary:": "🇭🇺",
    ":Nút ID:": "🆔",
    ":Nước Iceland:": "🇮🇸",
    ":Ấn Độ:": "🇮🇳",
    ":Indonesia:": "🇮🇩",
    ":Iran:": "🇮🇷",
    ":Iraq:": "🇮🇶",
    ":Ireland:": "🇮🇪",
    ":Đảo Man:": "🇮🇲",
    ":Người israel:": "🇮🇱",
    ":Nước Ý:": "🇮🇹",
    ":Jamaica:": "🇯🇲",
    ":Nhật Bản:": "🇯🇵",
    ":Nút được chấp nhận của Nhật Bản:": "🉑",
    ":Nút ứng dụng tiếng Nhật:": "🈸",
    ":Nút mặc cả của Nhật Bản:": "🉐",
    ":Lâu đài nhật bản:": "🏯",
    ":Nút chúc mừng tiếng Nhật:": "㊗",
    ":Nút giảm giá của Nhật Bản:": "🈹",
    ":Búp bê nhật bản:": "🎎",
    ":Nút miễn phí tiếng Nhật:": "🈚",
    ":Nút tiếng Nhật tại đây:": "🈁",
    ":Nút số tiền hàng tháng của Nhật Bản:": "🈷",
    ":Nút không có vị trí tuyển dụng tiếng Nhật:": "🈵",
    ":Nút tiếng Nhật không miễn phí:": "🈶",
    ":Nút mở cửa cho doanh nghiệp của Nhật Bản:": "🈺",
    ":Nút vượt qua điểm của Nhật Bản:": "🈴",
    ":Bưu điện nhật bản:": "🏣",
    ":Nút bị cấm của Nhật Bản:": "🈲",
    ":Nút dành riêng của Nhật Bản:": "🈯",
    ":Nút bí mật của Nhật Bản:": "㊙",
    ":Nút tính phí dịch vụ của Nhật Bản:": "🈂",
    ":Biểu tượng tiếng Nhật cho người mới bắt đầu:": "🔰",
    ":Nút tuyển dụng tiếng Nhật:": "🈳",
    ":Bộ chọn nút chúc mừng tiếng Nhật:": "㊗️",
    ":Nút chọn số tiền hàng tháng của Nhật Bản:": "🈷️",
    ":Bộ chọn nút bí mật của Nhật Bản:": "㊙️",
    ":Nút chọn phí dịch vụ của Nhật Bản:": "🈂️",
    ":Jersey:": "🇯🇪",
    ":Jordan:": "🇯🇴",
    ":Kazakhstan:": "🇰🇿",
    ":Kenya:": "🇰🇪",
    ":Kiribati:": "🇰🇮",
    ":Kosovo:": "🇽🇰",
    ":Kuwait:": "🇰🇼",
    ":Kyrgyzstan:": "🇰🇬",
    ":Nước Lào:": "🇱🇦",
    ":Latvia:": "🇱🇻",
    ":Lebanon:": "🇱🇧",
    ":Sư Tử:": "♌",
    ":Lesotho:": "🇱🇸",
    ":Liberia:": "🇱🇷",
    ":sách:": "📚",
    ":Libya:": "🇱🇾",
    ":Liechtenstein:": "🇱🇮",
    ":Lithuania:": "🇱🇹",
    ":Luxembourg:": "🇱🇺",
    ":Ma Cao Trung Quốc:": "🇲🇴",
    ":Macedonia:": "🇲🇰",
    ":Madagascar:": "🇲🇬",
    ":Malawi:": "🇲🇼",
    ":Malaysia:": "🇲🇾",
    ":Maldives:": "🇲🇻",
    ":Mali:": "🇲🇱",
    ":Malta:": "🇲🇹",
    ":đảo Marshall:": "🇲🇭",
    ":Martinique:": "🇲🇶",
    ":Mauritania:": "🇲🇷",
    ":Mauritius:": "🇲🇺",
    ":mất đi:": "🇾🇹",
    ":Mexico:": "🇲🇽",
    ":Micronesia:": "🇫🇲",
    ":Moldavia:": "🇲🇩",
    ":Monaco:": "🇲🇨",
    ":Mông Cổ:": "🇲🇳",
    ":Montenegro:": "🇲🇪",
    ":Montserrat:": "🇲🇸",
    ":Maroc:": "🇲🇦",
    ":Mozambique:": "🇲🇿",
    ":Bà Claus:": "🤶",
    ":Bà Claus có màu da sẫm:": "🤶🏿",
    ":Bà Claus màu da sáng:": "🤶🏻",
    ":Bà Claus có màu da tối trung bình:": "🤶🏾",
    ":Bà Claus màu da sáng trung bình:": "🤶🏼",
    ":Bà Claus có màu da trung bình:": "🤶🏽",
    ":Myanmar (Miến Điện):": "🇲🇲",
    ":Nút MỚI:": "🆕",
    ":Nút NG:": "🆖",
    ":Namibia:": "🇳🇦",
    ":Nauru:": "🇳🇷",
    ":Nepal:": "🇳🇵",
    ":nước Hà Lan:": "🇳🇱",
    ":New Caledonia:": "🇳🇨",
    ":New Zealand:": "🇳🇿",
    ":Nicaragua:": "🇳🇮",
    ":Niger:": "🇳🇪",
    ":Nigeria:": "🇳🇬",
    ":Niue:": "🇳🇺",
    ":Đảo Norfolk:": "🇳🇫",
    ":Bắc Triều Tiên:": "🇰🇵",
    ":Quần đảo Bắc Mariana:": "🇲🇵",
    ":Na Uy:": "🇳🇴",
    ":Nút OK:": "🆗",
    ":OK tay:": "👌",
    ":OK màu da tối của tay:": "👌🏿",
    ":OK màu da tay sáng:": "👌🏻",
    ":OK tay màu da tối trung bình:": "👌🏾",
    ":OK tay có tông màu da sáng trung bình:": "👌🏼",
    ":Màu da trung bình OK:": "👌🏽",
    ":TRÊN! mũi tên:": "🔛",
    ":Nút O (nhóm máu):": "🅾",
    ":Bộ chọn nút O (nhóm máu):": "🅾️",
    ":Oman:": "🇴🇲",
    ":Ophiuchus:": "⛎",
    ":Nút P:": "🅿",
    ":Bộ chọn nút P:": "🅿️",
    ":Pakistan:": "🇵🇰",
    ":Palau:": "🇵🇼",
    ":Lãnh thổ Palestine:": "🇵🇸",
    ":Panama:": "🇵🇦",
    ":Papua New Guinea:": "🇵🇬",
    ":Paraguay:": "🇵🇾",
    ":Peru:": "🇵🇪",
    ":Philippines:": "🇵🇭",
    ":cá:": "🐟",
    ":Quần đảo Pitcairn:": "🇵🇳",
    ":Ba lan:": "🇵🇱",
    ":Bồ Đào Nha:": "🇵🇹",
    ":Puerto Rico:": "🇵🇷",
    ":Qatar:": "🇶🇦",
    ":Romania:": "🇷🇴",
    ":Nga:": "🇷🇺",
    ":Rwanda:": "🇷🇼",
    ":Gặp gỡ:": "🇷🇪",
    ":Mũi tên SOON:": "🔜",
    ":Nút SOS:": "🆘",
    ":chòm sao Nhân Mã:": "♐",
    ":Samoa:": "🇼🇸",
    ":San Marino:": "🇸🇲",
    ":Ông già Noen:": "🎅",
    ":Santa Claus màu da sẫm:": "🎅🏿",
    ":Santa Claus màu da sáng:": "🎅🏻",
    ":Ông già Noel có màu da tối trung bình:": "🎅🏾",
    ":Santa Claus màu da sáng trung bình:": "🎅🏼",
    ":Màu da trung bình của Santa Claus:": "🎅🏽",
    ":Ả Rập Saudi:": "🇸🇦",
    ":Bò Cạp:": "♏",
    ":Scotland:": "🏴󠁧󠁢󠁳󠁣󠁴󠁿",
    ":Senegal:": "🇸🇳",
    ":Serbia:": "🇷🇸",
    ":Seychelles:": "🇸🇨",
    ":Sierra Leone:": "🇸🇱",
    ":Singapore:": "🇸🇬",
    ":St Martin:": "🇸🇽",
    ":Xlô-va-ki-a:": "🇸🇰",
    ":Slovenia:": "🇸🇮",
    ":Quần đảo Solomon:": "🇸🇧",
    ":Somalia:": "🇸🇴",
    ":Nam Phi:": "🇿🇦",
    ":Nam Georgia và quần đảo Nam Sandwich:": "🇬🇸",
    ":Nam Triều Tiên:": "🇰🇷",
    ":phía nam Sudan:": "🇸🇸",
    ":Tây ban nha:": "🇪🇸",
    ":Sri Lanka:": "🇱🇰",
    ":St. Barthélemy:": "🇧🇱",
    ":St. Helena:": "🇸🇭",
    ":St. Kitts & Nevis:": "🇰🇳",
    ":St. Lucia:": "🇱🇨",
    ":St. Martin:": "🇲🇫",
    ":St. Pierre & Miquelon:": "🇵🇲",
    ":St. Vincent & Grenadines:": "🇻🇨",
    ":Tượng nữ thần tự do:": "🗽",
    ":Sudan:": "🇸🇩",
    ":Suriname:": "🇸🇷",
    ":Svalbard & Jan I:": "🇸🇯",
    ":Swaziland:": "🇸🇿",
    ":Thụy Điển:": "🇸🇪",
    ":Thụy sĩ:": "🇨🇭",
    ":Syria:": "🇸🇾",
    ":Sao Tome & Principe:": "🇸🇹",
    ":T Rex:": "🦖",
    ":Mũi tên hàng đầu:": "🔝",
    ":Đài loan:": "🇹🇼",
    ":Tajikistan:": "🇹🇯",
    ":Tanzania:": "🇹🇿",
    ":chòm sao Kim Ngưu:": "♉",
    ":nước Thái Lan:": "🇹🇭",
    ":Đông Timor:": "🇹🇱",
    ":Đi:": "🇹🇬",
    ":Tokelau:": "🇹🇰",
    ":Tháp Tokyo:": "🗼",
    ":Tonga:": "🇹🇴",
    ":Trinidad & Tobago:": "🇹🇹",
    ":Tristan da Cunha:": "🇹🇦",
    ":Tunisia:": "🇹🇳",
    ":gà tây:": "🦃",
    ":Turkmenistan:": "🇹🇲",
    ":Quần đảo Turks & Caicos:": "🇹🇨",
    ":Tuvalu:": "🇹🇻",
    ":Quần đảo xa xôi của Hoa Kỳ:": "🇺🇲",
    ":Quần đảo Virgin thuộc Hoa Kỳ:": "🇻🇮",
    ":LÊN! cái nút:": "🆙",
    ":Uganda:": "🇺🇬",
    ":Ukraine:": "🇺🇦",
    ":các Tiểu Vương Quốc Ả Rập Thống Nhất:": "🇦🇪",
    ":Vương quốc Anh:": "🇬🇧",
    ":liên Hiệp Quốc:": "🇺🇳",
    ":Hoa Kỳ:": "🇺🇸",
    ":Uruguay:": "🇺🇾",
    ":Uzbekistan:": "🇺🇿",
    ":Nút VS:": "🆚",
    ":Vanuatu:": "🇻🇺",
    ":Thành phố Vatican:": "🇻🇦",
    ":Venezuela:": "🇻🇪",
    ":Việt Nam:": "🇻🇳",
    ":Xử Nữ:": "♍",
    ":Xứ Wales:": "🏴󠁧󠁢󠁷󠁬󠁳󠁿",
    ":Wallis & Futuna:": "🇼🇫",
    ":Phía tây Sahara:": "🇪🇭",
    ":Yemen:": "🇾🇪",
    ":Zambia:": "🇿🇲",
    ":Zimbabwe:": "🇿🇼",
    ":bàn tính:": "🧮",
    ":băng dính:": "🩹",
    ":vé vào cửa:": "🎟",
    ":bộ chọn vé vào cửa:": "🎟️",
    ":người lớn:": "🧑",
    ":màu da tối của người lớn:": "🧑🏿",
    ":màu da sáng của người lớn:": "🧑🏻",
    ":người lớn có tông màu da tối trung bình:": "🧑🏾",
    ":màu da sáng trung bình của người lớn:": "🧑🏼",
    ":màu da trung bình của người lớn:": "🧑🏽",
    ":Đường xe điện trên không:": "🚡",
    ":Máy bay:": "✈",
    ":máy bay đến:": "🛬",
    ":máy bay khởi hành:": "🛫",
    ":bộ chọn máy bay:": "✈️",
    ":đồng hồ báo thức:": "⏰",
    ":alembic:": "⚗",
    ":bộ chọn alembic:": "⚗️",
    ":người ngoài hành tinh:": "👽",
    ":quái vật ngoài hành tinh:": "👾",
    ":xe cứu thương:": "🚑",
    ":bóng đá mỹ:": "🏈",
    ":amphora:": "🏺",
    ":mỏ neo:": "⚓",
    ":biểu tượng giận dữ:": "💢",
    ":khuôn mặt giận dữ:": "😠",
    ":khuôn mặt giận dữ với sừng:": "👿",
    ":khuôn mặt đau khổ:": "😧",
    ":con kiến:": "🐜",
    ":thanh ăng ten:": "📶",
    ":khuôn mặt lo lắng với mồ hôi:": "😰",
    ":xe tải có khớp nối:": "🚛",
    ":bảng màu nghệ sĩ:": "🎨",
    ":khuôn mặt kinh ngạc:": "😲",
    ":biểu tượng nguyên tử:": "⚛",
    ":bộ chọn ký hiệu nguyên tử:": "⚛️",
    ":xe kéo này:": "🛺",
    ":ô tô:": "🚗",
    ":trái bơ:": "🥑",
    ":trục:": "🪓",
    ":đứa bé:": "👶",
    ":em be Thiên thân:": "👼",
    ":thiên thần da tối màu:": "👼🏿",
    ":màu da sáng của thiên thần:": "👼🏻",
    ":thiên thần baby tông màu da trung bình:": "👼🏾",
    ":thiên thần baby tone da sáng trung bình:": "👼🏼",
    ":thiên thần baby tone da trung bình:": "👼🏽",
    ":bình sữa trẻ em:": "🍼",
    ":gà con:": "🐤",
    ":màu da tối của em bé:": "👶🏿",
    ":màu da sáng của em bé:": "👶🏻",
    ":em bé có màu da tối trung bình:": "👶🏾",
    ":màu da sáng trung bình của em bé:": "👶🏼",
    ":màu da trung bình của em bé:": "👶🏽",
    ":biểu tượng em bé:": "🚼",
    ":chỉ số trái tay trỏ xuống:": "👇",
    ":chỉ số trái tay trỏ xuống màu da sẫm:": "👇🏿",
    ":chỉ số trái tay trỏ xuống tông màu da sáng:": "👇🏻",
    ":chỉ số trái tay trỏ xuống tông da sẫm màu trung bình:": "👇🏾",
    ":chỉ số trái tay trỏ xuống tông màu da sáng trung bình:": "👇🏼",
    ":chỉ số trái tay trỏ xuống tông da trung bình:": "👇🏽",
    ":chỉ số trái tay trỏ sang trái:": "👈",
    ":chỉ số trái tay trỏ sang trái màu da sẫm:": "👈🏿",
    ":chỉ số trái tay trỏ sang trái tông màu da sáng:": "👈🏻",
    ":chỉ số trái tay trỏ sang trái màu da sẫm vừa:": "👈🏾",
    ":chỉ số trái tay trỏ sang trái tông màu da sáng trung bình:": "👈🏼",
    ":chỉ số trái tay trỏ sang trái tông màu da trung bình:": "👈🏽",
    ":chỉ số trái tay trỏ sang phải:": "👉",
    ":chỉ số trái tay trỏ sang phải màu da sẫm:": "👉🏿",
    ":chỉ số trái tay trỏ phải màu da sáng:": "👉🏻",
    ":chỉ số trái tay trỏ sang phải tông màu da tối trung bình:": "👉🏾",
    ":chỉ số trái tay trỏ sang phải tông màu da sáng trung bình:": "👉🏼",
    ":chỉ số trái tay trỏ sang phải tông màu da trung bình:": "👉🏽",
    ":chỉ số trái tay hướng lên:": "👆",
    ":chỉ số trái tay hướng lên màu da sẫm:": "👆🏿",
    ":chỉ số trái tay hướng lên màu da sáng:": "👆🏻",
    ":chỉ số trái tay hướng lên tông da sẫm màu trung bình:": "👆🏾",
    ":chỉ số trái tay hướng lên tông màu da sáng trung bình:": "👆🏼",
    ":chỉ số trái tay hướng lên tông da trung bình:": "👆🏽",
    ":Thịt ba rọi:": "🥓",
    ":con lửng:": "🦡",
    ":cầu lông:": "🏸",
    ":bánh mì tròn:": "🥯",
    ":nhận hành lý:": "🛄",
    ":bánh mì baguette:": "🥖",
    ":quy mô cân bằng:": "⚖",
    ":bộ chọn cân bằng:": "⚖️",
    ":Sớm:": "🦲",
    ":sớm một:": "👨‍🦲",
    ":người phụ nữ hói đầu:": "👩‍🦲",
    ":giầy múa ba lê:": "🩰",
    ":quả bóng bay:": "🎈",
    ":thùng phiếu với lá phiếu:": "🗳",
    ":thùng phiếu với bộ chọn phiếu bầu:": "🗳️",
    ":hộp phiếu với séc:": "☑",
    ":trái chuối:": "🍌",
    ":banjo:": "🪕",
    ":ngân hàng:": "🏦",
    ":biểu đồ cột:": "📊",
    ":cột cắt tóc:": "💈",
    ":bóng chày:": "🦗",
    ":cái rổ:": "🧺",
    ":bóng rổ:": "🏀",
    ":một:": "🦇",
    ":bồn tắm:": "🛁",
    ":ắc quy:": "🔋",
    ":bãi biển với ô:": "🏖",
    ":bãi biển với bộ chọn ô:": "🏖️",
    ":khuôn mặt rạng rỡ với đôi mắt cười:": "😁",
    ":mặt gấu:": "🐻",
    ":người có râu:": "🧔",
    ":người có râu màu da sẫm:": "🧔🏿",
    ":người có râu màu da sáng:": "🧔🏻",
    ":người có râu màu da trung bình sẫm:": "🧔🏾",
    ":người có râu màu da sáng trung bình:": "🧔🏼",
    ":người có râu màu da trung bình:": "🧔🏽",
    ":tim đập:": "💓",
    ":Giường:": "🛏",
    ":bộ chọn giường:": "🛏️",
    ":cốc bia:": "🍺",
    ":chuông:": "🔔",
    ":chuông có dấu gạch chéo:": "🔕",
    ":chuông cửa hàng:": "🛎",
    ":bộ chọn chuông bellhop:": "🛎️",
    ":hộp đựng cơm:": "🍱",
    ":hộp đồ uống:": "🧃",
    ":Xe đạp:": "🚲",
    ":bikini:": "👙",
    ":giới hạn thanh toán:": "🧢",
    ":nguy hiểm sinh học:": "☣",
    ":bộ chọn biohazard:": "☣️",
    ":chim:": "🐦",
    ":bánh sinh nhật:": "🎂",
    ":vòng tròn đen:": "⚫",
    ":cờ đen:": "🏴",
    ":tim đen:": "🖤",
    ":hình vuông lớn màu đen:": "⬛",
    ":hình vuông nhỏ màu đen vừa:": "◾",
    ":hình vuông đen vừa:": "◼",
    ":bộ chọn hình vuông trung bình màu đen:": "◼️",
    ":ngòi đen:": "✒",
    ":bộ chọn ngòi đen:": "✒️",
    ":hình vuông nhỏ màu đen:": "▪",
    ":bộ chọn hình vuông nhỏ màu đen:": "▪️",
    ":nút vuông đen:": "🔲",
    ":người đàn ông tóc vàng:": "👱‍♂",
    ":người đàn ông tóc vàng da sẫm màu:": "👱🏿‍♂️",
    ":người đàn ông tóc vàng tông màu da sáng:": "👱🏻‍♂️",
    ":người đàn ông tóc vàng có làn da sẫm màu trung bình:": "👱🏾‍♂️",
    ":người đàn ông tóc vàng tông màu da sáng trung bình:": "👱🏼‍♂️",
    ":người đàn ông tóc vàng có màu da trung bình:": "👱🏽‍♂️",
    ":người tóc vàng:": "👱",
    ":người tóc vàng da ngăm:": "👱🏿",
    ":người tóc vàng tông màu da sáng:": "👱🏻",
    ":người tóc vàng tông da tối trung bình:": "👱🏾",
    ":người tóc vàng tông màu da sáng trung bình:": "👱🏼",
    ":người tóc vàng tông màu da trung bình:": "👱🏽",
    ":người phụ nữ tóc vàng:": "👱‍♀",
    ":người phụ nữ tóc vàng da sẫm màu:": "👱🏿‍♀️",
    ":người phụ nữ tóc vàng tông màu da sáng:": "👱🏻‍♀️",
    ":người phụ nữ tóc vàng có làn da sẫm màu trung bình:": "👱🏾‍♀️",
    ":người phụ nữ tóc vàng tông màu da sáng trung bình:": "👱🏼‍♀️",
    ":người phụ nữ tóc vàng tông màu da trung bình:": "👱🏽‍♀️",
    ":hoa:": "🌼",
    ":cá thổi:": "🐡",
    ":cuốn sách màu xanh:": "📘",
    ":vòng tròn màu xanh:": "🔵",
    ":tim xanh:": "💙",
    ":hình vuông màu xanh:": "🟦",
    ":heo rừng:": "🐗",
    ":bom:": "💣",
    ":xương:": "🦴",
    ":dấu trang:": "🔖",
    ":tab đánh dấu:": "📑",
    ":chai có nút chai:": "🍾",
    ":bó hoa:": "💐",
    ":cung và tên:": "🏹",
    ":bát với thìa:": "🥣",
    ":bowling:": "🎳",
    ":găng tay đấm bốc:": "🥊",
    ":con trai:": "👦",
    ":cậu bé có màu da sẫm:": "👦🏿",
    ":cậu bé có màu da sáng:": "👦🏻",
    ":cậu bé có màu da tối trung bình:": "👦🏾",
    ":cậu bé có màu da sáng trung bình:": "👦🏼",
    ":cậu bé có màu da trung bình:": "👦🏽",
    ":óc:": "🧠",
    ":bánh mỳ:": "🍞",
    ":cho con bú:": "🤱",
    ":cho con bú làn da sẫm màu:": "🤱🏿",
    ":cho con bú sữa mẹ sáng màu:": "🤱🏻",
    ":cho con bú làn da sẫm màu trung bình:": "🤱🏾",
    ":cho con bú làn da sáng màu trung bình:": "🤱🏼",
    ":cho con bú làn da trung bình:": "🤱🏽",
    ":gạch:": "🧱",
    ":cô dâu với mạng che mặt:": "👰",
    ":cô dâu với khăn che mặt có màu da sẫm:": "👰🏿",
    ":cô dâu với khăn che mặt có tông màu da sáng:": "👰🏻",
    ":cô dâu với khăn che mặt có tông màu da tối trung bình:": "👰🏾",
    ":cô dâu với khăn che mặt có tông màu da sáng trung bình:": "👰🏼",
    ":cô dâu với khăn che mặt tông màu da trung bình:": "👰🏽",
    ":cầu vào ban đêm:": "🌉",
    ":Va li công tác:": "💼",
    ":tóm tắt:": "🩲",
    ":nút sáng:": "🔆",
    ":bông cải xanh:": "🥦",
    ":trái tim tan vỡ:": "💔",
    ":chổi:": "🧹",
    ":vòng tròn màu nâu:": "🟤",
    ":trái tim nâu:": "🤎",
    ":hình vuông màu nâu:": "🟫",
    ":bọ cánh cứng:": "🐛",
    ":xây dựng công trình:": "🏗",
    ":bộ chọn công trình xây dựng:": "🏗️",
    ":tàu cao tốc:": "🚤",
    ":bánh burrito:": "🌯",
    ":xe buýt:": "🚌",
    ":điểm dừng xe buýt:": "🚏",
    ":bức tượng bán thân:": "👤",
    ":bán thân trong bóng:": "👥",
    ":bơ:": "🧈",
    ":bươm bướm:": "🦋",
    ":cây xương rồng:": "🌵",
    ":lịch:": "📅",
    ":gọi tay tôi:": "🤙",
    ":gọi cho tôi màu da sẫm:": "🤙🏿",
    ":gọi cho tôi màu da sáng:": "🤙🏻",
    ":gọi cho tôi màu da trung bình tối:": "🤙🏾",
    ":gọi cho tôi màu da sáng trung bình:": "🤙🏼",
    ":gọi cho tôi màu da trung bình:": "🤙🏽",
    ":lạc đà:": "🐪",
    ":Máy ảnh:": "📷",
    ":máy ảnh có đèn flash:": "📸",
    ":cắm trại:": "🏕",
    ":bộ chọn cắm trại:": "🏕️",
    ":nến:": "🕯",
    ":bộ chọn nến:": "🕯️",
    ":kẹo:": "🍬",
    ":đồ ăn đóng hộp:": "🥫",
    ":xuồng:": "🛶",
    ":hộp tập tin thẻ:": "🗃",
    ":bộ chọn hộp tập tin thẻ:": "🗃️",
    ":chỉ mục thẻ:": "📇",
    ":bộ chia chỉ mục thẻ:": "🗂",
    ":bộ chọn bộ chia chỉ mục thẻ:": "🗂️",
    ":ngựa băng chuyền:": "🎠",
    ":suối cá chép:": "🎏",
    ":củ cà rốt:": "🥕",
    ":Lâu đài:": "🏰",
    ":con mèo:": "🐈",
    ":mặt mèo:": "🐱",
    ":mặt mèo với những giọt nước mắt vui mừng:": "😹",
    ":mặt mèo với nụ cười gượng gạo:": "😼",
    ":dây chuyền:": "⛓",
    ":bộ chọn chuỗi:": "⛓️",
    ":cái ghế:": "🪑",
    ":biểu đồ giảm:": "📉",
    ":biểu đồ tăng:": "📈",
    ":biểu đồ tăng theo yên:": "💹",
    ":hộp kiểm tra với séc:": "☑️",
    ":đánh dấu:": "✔️",
    ":phô mai hình cái nêm:": "🧀",
    ":cờ ca rô:": "🏁",
    ":Quả anh đào:": "🍒",
    ":Hoa anh đào:": "🌸",
    ":cờ vua:": "♟",
    ":bộ chọn cầm đồ cờ vua:": "♟️",
    ":hạt dẻ:": "🌰",
    ":thịt gà:": "🐔",
    ":đứa trẻ:": "🧒",
    ":trẻ em màu da sẫm:": "🧒🏿",
    ":màu da sáng trẻ em:": "🧒🏻",
    ":trẻ em màu da tối trung bình:": "🧒🏾",
    ":màu da sáng trung bình của trẻ em:": "🧒🏼",
    ":trẻ em màu da trung bình:": "🧒🏽",
    ":trẻ em băng qua:": "🚸",
    ":sóc chuột:": "🐿",
    ":bộ chọn sóc chuột:": "🐿️",
    ":thanh sô cô la:": "🍫",
    ":đũa:": "🥢",
    ":nhà thờ:": "⛪",
    ":thuốc lá:": "🚬",
    ":Rạp chiếu phim:": "🎦",
    ":khoanh tròn M:": "Ⓜ",
    ":bộ chọn M được khoanh tròn:": "Ⓜ️",
    ":lều xiếc:": "🎪",
    ":cảnh quan thành phố:": "🏙",
    ":cảnh quan thành phố lúc hoàng hôn:": "🌆",
    ":bộ chọn cảnh quan thành phố:": "🏙️",
    ":kẹp:": "🗜",
    ":bộ chọn kẹp:": "🗜️",
    ":bảng vỗ tay:": "🎬",
    ":vỗ tay:": "👏",
    ":vỗ tay màu da sẫm:": "👏🏿",
    ":vỗ tay làm đều màu da:": "👏🏻",
    ":vỗ tay tông màu da trung bình tối:": "👏🏾",
    ":vỗ tay màu da sáng trung bình:": "👏🏼",
    ":vỗ tay màu da trung bình:": "👏🏽",
    ":tòa nhà cổ điển:": "🏛",
    ":bộ chọn tòa nhà cổ điển:": "🏛️",
    ":cốc bia nhấp nháy:": "🍻",
    ":kính nhấp nháy:": "🥂",
    ":bảng tạm:": "📋",
    ":mũi tên dọc theo chiều kim đồng hồ:": "🔃",
    ":sách đóng lại:": "📕",
    ":hộp thư đóng với cờ hạ xuống:": "📪",
    ":hộp thư đóng với cờ kéo lên:": "📫",
    ":ô đóng:": "🌂",
    ":đám mây:": "☁",
    ":bộ chọn đám mây:": "☁️",
    ":đám mây có sét:": "🌩",
    ":mây có sấm chớp và mưa:": "⛈",
    ":đám mây có sét và bộ chọn mưa:": "⛈️",
    ":đám mây với bộ chọn sét:": "🌩️",
    ":mây có mưa:": "🌧",
    ":đám mây với bộ chọn mưa:": "🌧️",
    ":mây có tuyết:": "🌨",
    ":đám mây với bộ chọn tuyết:": "🌨️",
    ":mặt hề:": "🤡",
    ":bộ đồ câu lạc bộ:": "♣",
    ":bộ chọn bộ đồ câu lạc bộ:": "♣️",
    ":túi xach tay:": "👝",
    ":áo choàng ngoài:": "🧥",
    ":ly cocktail:": "🍸",
    ":dừa:": "🥥",
    ":quan tài:": "⚰",
    ":bộ chọn quan tài:": "⚰️",
    ":mặt lạnh:": "🥶",
    ":va chạm:": "💥",
    ":sao chổi:": "☄",
    ":bộ chọn sao chổi:": "☄️",
    ":la bàn:": "🧭",
    ":đĩa máy tính:": "💽",
    ":chuột máy tính:": "🖱",
    ":bộ chọn chuột máy tính:": "🖱️",
    ":quả cầu hoa giấy:": "🎊",
    ":khuôn mặt bối rối:": "😕",
    ":xây dựng:": "🚧",
    ":công nhân xây dựng:": "👷‍♂",
    ":công nhân xây dựng màu da sẫm:": "👷🏿‍♂️",
    ":công nhân xây dựng màu da sáng:": "👷🏻‍♂️",
    ":công nhân xây dựng màu da trung bình tối:": "👷🏾",
    ":công nhân xây dựng màu da sáng trung bình:": "👷🏼",
    ":công nhân xây dựng màu da trung bình:": "👷🏽",
    ":nút điều khiển:": "🎛",
    ":bộ chọn nút điều khiển:": "🎛️",
    ":cửa hàng tiện dụng:": "🏪",
    ":nấu cơm:": "🍚",
    ":bánh quy:": "🥨",
    ":nấu nướng:": "🍳",
    ":bản quyền:": "©",
    ":bộ chọn bản quyền:": "©️",
    ":đi văng và đèn:": "🛋",
    ":đi văng và bộ chọn đèn:": "🛋️",
    ":nút mũi tên ngược chiều kim đồng hồ:": "🔄",
    ":cặp đôi với trái tim người đàn ông:": "👨‍❤️‍👨",
    ":cặp đôi với trái tim người phụ nữ:": "👩‍❤️‍👩",
    ":cặp đôi có trái tim:": "💑",
    ":con bò:": "🐂",
    ":mặt bò:": "🐮",
    ":mặt đội mũ cao bồi:": "🤠",
    ":cua:": "🦀",
    ":bút chì:": "✏",
    ":bộ chọn bút chì màu:": "🖍️",
    ":thẻ tín dụng:": "💳",
    ":trăng lưỡi liềm:": "🌙",
    ":trò chơi cricket:": "🏏",
    ":Cá sấu:": "🐊",
    ":tăng:": "🥐",
    ":dấu chéo:": "❌",
    ":nút dấu chéo:": "❎",
    ":Đan chéo ngón tay:": "🤞",
    ":bắt chéo ngón tay màu da sẫm:": "🤞🏿",
    ":đan chéo ngón tay màu da sáng:": "🤞🏻",
    ":đan chéo ngón tay màu da sẫm vừa phải:": "🤞🏾",
    ":đan chéo ngón tay màu da sáng trung bình:": "🤞🏼",
    ":chéo ngón tay màu da trung bình:": "🤞🏽",
    ":cờ chéo:": "🎌",
    ":kiếm chéo:": "⚔",
    ":bộ chọn kiếm chéo:": "⚔️",
    ":Vương miện:": "👑",
    ":mặt mèo khóc:": "😿",
    ":mặt khóc:": "😢",
    ":quả cầu pha lê:": "🔮",
    ":quả dưa chuột:": "🥒",
    ":cốc có ống hút:": "🥤",
    ":bánh cupcake:": "🧁",
    ":đá uốn:": "🥌",
    ":người tóc xoăn:": "👨‍🦱",
    ":người phụ nữ tóc xoăn:": "👩‍🦱",
    ":tóc xoăn:": "🦱",
    ":vòng lặp xoăn:": "➰",
    ":thu đổi ngoại tệ:": "💱",
    ":cơm cà ri:": "🍛",
    ":bánh trứng:": "🍮",
    ":phong tục:": "🛃",
    ":cắt thịt:": "🥩",
    ":lốc xoáy:": "🌪",
    ":dao găm:": "🗡",
    ":bộ chọn dao găm:": "🗡️",
    ":bánh bao:": "🥟",
    ":màu da tối:": "🏿",
    ":phóng đi:": "💨",
    ":người điếc có màu da sẫm:": "🧏🏿",
    ":người đàn ông điếc bộ chọn tông màu da tối:": "🧏🏿‍♂️",
    ":người điếc có màu da sáng:": "🧏🏻‍♂",
    ":bộ chọn tông màu da sáng của người đàn ông điếc:": "🧏🏻‍♂️",
    ":người đàn ông khiếm thính có màu da tối trung bình:": "🧏🏾‍♂",
    ":người đàn ông khiếm thính bộ chọn tông màu da tối trung bình:": "🧏🏾‍♂️",
    ":người đàn ông khiếm thính có màu da sáng trung bình:": "🧏🏼‍♂",
    ":người đàn ông khiếm thính bộ chọn tông màu da sáng trung bình:": "🧏🏼‍♂️",
    ":người điếc có màu da trung bình:": "🧏🏽‍♂",
    ":bộ chọn tông màu da trung bình của người đàn ông điếc:": "🧏🏽‍♂️",
    ":người điếc:": "🧏",
    ":bộ chọn người điếc:": "🧏‍♂️",
    ":người điếc màu da sáng:": "🧏🏻",
    ":người khiếm thính có màu da tối trung bình:": "🧏🏾",
    ":người khiếm thính có màu da sáng trung bình:": "🧏🏼",
    ":người điếc màu da trung bình:": "🧏🏽",
    ":người phụ nữ khiếm thính có làn da sẫm màu:": "🧏🏿‍♀",
    ":người phụ nữ điếc bộ chọn tông màu da tối:": "🧏🏿‍♀️",
    ":phụ nữ khiếm thính màu da sáng:": "🧏🏻‍♀",
    ":phụ nữ điếc bộ chọn tông màu da sáng:": "🧏🏻‍♀️",
    ":người phụ nữ khiếm thính có màu da tối trung bình:": "🧏🏾‍♀",
    ":phụ nữ khiếm thính bộ chọn tông màu da tối trung bình:": "🧏🏾‍♀️",
    ":phụ nữ khiếm thính có màu da sáng vừa:": "🧏🏼‍♀",
    ":phụ nữ khiếm thính bộ chọn tông màu da sáng trung bình:": "🧏🏼‍♀️",
    ":người phụ nữ khiếm thính có màu da trung bình:": "🧏🏽‍♀",
    ":phụ nữ khiếm thính bộ chọn tông màu da trung bình:": "🧏🏽‍♀️",
    ":người phụ nữ điếc:": "🧏‍♀",
    ":bộ chọn phụ nữ khiếm thính:": "🧏‍♀️",
    ":cây rụng lá:": "🌳",
    ":con nai:": "🦌",
    ":xe tải giao hàng:": "🚚",
    ":cửa hàng bách hóa:": "🏬",
    ":nhà vô chủ:": "🏚",
    ":bộ chọn nhà vô chủ:": "🏚️",
    ":Sa mạc:": "🏜",
    ":hoang đảo:": "🏝",
    ":bộ chọn đảo hoang:": "🏝️",
    ":bộ chọn sa mạc:": "🏜️",
    ":máy tính desktop:": "🖥",
    ":bộ chọn máy tính để bàn:": "🖥️",
    ":thám tử:": "🕵",
    ":thám tử tông màu da tối:": "🕵🏿",
    ":tông màu da sáng thám tử:": "🕵🏻",
    ":thám tử tông màu da trung bình tối:": "🕵🏾",
    ":thám tử tông màu da sáng trung bình:": "🕵🏼",
    ":thám tử tông màu da trung bình:": "🕵🏽",
    ":bộ chọn thám tử:": "🕵️",
    ":bộ đồ kim cương:": "♦",
    ":bộ chọn bộ đồ kim cương:": "♦️",
    ":kim cương với một dấu chấm:": "💠",
    ":nút mờ:": "🔅",
    ":đánh trực tiếp:": "🎯",
    ":khuôn mặt thất vọng:": "😞",
    ":mặt nạ lặn:": "🤿",
    ":Đèn đèn:": "🪔",
    ":chóng mặt:": "😵",
    ":bệnh Gout:": "🧬",
    ":chó:": "🐕",
    ":mặt chó:": "🐶",
    ":tiền giấy đô la:": "💵",
    ":cá heo:": "🐬",
    ":xuyên qua:": "🚪",
    ":ngôi sao sáu cánh chấm:": "🔯",
    ":vòng lặp xoăn kép:": "➿",
    ":dấu chấm than kép:": "‼",
    ":bộ chọn dấu chấm than kép:": "‼️",
    ":bánh vòng:": "🍩",
    ":Nó đâu rồi:": "🕊",
    ":bộ chọn chim bồ câu:": "🕊️",
    ":mũi tên xuống bên trái:": "↙",
    ":bộ chọn mũi tên xuống bên trái:": "↙️",
    ":mũi tên xuống bên phải:": "↘",
    ":bộ chọn mũi tên xuống bên phải:": "↘️",
    ":mũi tên xuống:": "⬇",
    ":bộ chọn mũi tên xuống:": "⬇️",
    ":khuôn mặt u ám với mồ hôi:": "😓",
    ":nút xuống:": "🔽",
    ":rồng:": "🐉",
    ":mặt rồng:": "🐲",
    ":trang phục:": "👗",
    ":mặt chảy nước dãi:": "🤤",
    ":giọt máu:": "🩸",
    ":giọt:": "💧",
    ":trống:": "🥁",
    ":con vịt:": "🦆",
    ":đĩa DVD:": "📀",
    ":thư điện tử:": "📧",
    ":chim ưng:": "🦅",
    ":tai:": "👂",
    ":tai màu da sẫm:": "👂🏿",
    ":màu da sáng tai:": "👂🏻",
    ":tai tông màu da tối trung bình:": "👂🏾",
    ":tai tông màu da sáng trung bình:": "👂🏼",
    ":tai màu da trung bình:": "👂🏽",
    ":bắp ngô:": "🌽",
    ":tai với máy trợ thính màu da sẫm:": "🦻🏿",
    ":tai với máy trợ thính màu da sáng:": "🦻🏻",
    ":tai với máy trợ thính tông màu da tối vừa:": "🦻🏾",
    ":tai với máy trợ thính tông màu da sáng trung bình:": "🦻🏼",
    ":tai với máy trợ thính tông màu da trung bình:": "🦻🏽",
    ":tai với máy trợ thính:": "🦻",
    ":trứng:": "🥚",
    ":cà tím:": "🍆",
    ":ngôi sao tám cánh:": "✴",
    ":bộ chọn ngôi sao tám cánh:": "✴️",
    ":tám dấu hoa thị:": "✳",
    ":bộ chọn tám dấu hoa thị:": "✳️",
    ":tám giờ ba mươi:": "🕣",
    ":tám giờ:": "🕗",
    ":nút đẩy:": "⏏",
    ":đẩy nút chọn:": "⏏️",
    ":phích cắm điện:": "🔌",
    ":con voi:": "🐘",
    ":mười một giờ ba mươi:": "🕦",
    ":mười một giờ:": "🕚",
    ":gia tinh:": "🧝",
    ":màu da tối của elf:": "🧝🏿",
    ":tông màu da sáng của elf:": "🧝🏻",
    ":màu da tối trung bình của elf:": "🧝🏾",
    ":tông màu da sáng trung bình của elf:": "🧝🏼",
    ":tông màu da trung bình của elf:": "🧝🏽",
    ":phong bì:": "✉",
    ":bộ chọn phong bì:": "✉️",
    ":phong bì có mũi tên:": "📩",
    ":tiền giấy euro:": "💶",
    ":cây thường xanh:": "🌲",
    ":cừu cái:": "🐑",
    ":dấu chấm than:": "❗",
    ":dấu chấm hỏi chấm than:": "⁉",
    ":bộ chọn dấu chấm hỏi chấm than:": "⁉️",
    ":đầu nổ tung:": "🤯",
    ":khuôn mặt vô cảm:": "😑",
    ":con mắt:": "👁",
    ":mắt trong bong bóng thoại:": "👁‍🗨",
    ":mắt trong bong bóng thoại 2:": "👁‍🗨️",
    ":mắt trong bong bóng thoại 3:": "👁️‍🗨️",
    ":mắt trong bộ chọn bong bóng thoại:": "👁️‍🗨",
    ":bộ chọn mắt:": "👁️",
    ":đôi mắt:": "👀",
    ":hôn lên mặt:": "😘",
    ":đối mặt với thức ăn ngon:": "😋",
    ":mặt hét lên vì sợ hãi:": "😱",
    ":đối mặt với nôn mửa:": "🤮",
    ":đưa tay lên miệng:": "🤭",
    ":mặt với băng quấn đầu:": "🤕",
    ":đeo khẩu trang y tế:": "😷",
    ":mặt với một mắt:": "🧐",
    ":mở miệng:": "😮",
    ":khuôn mặt nhướng mày:": "🤨",
    ":khuôn mặt với đôi mắt đảo:": "🙄",
    ":mặt có hơi nước từ mũi:": "😤",
    ":khuôn mặt với biểu tượng trên miệng:": "🤬",
    ":khuôn mặt với những giọt nước mắt của niềm vui:": "😂",
    ":mặt với nhiệt kế:": "🤒",
    ":mặt với lưỡi:": "😛",
    ":mặt không có miệng:": "😶",
    ":nhà máy:": "🏭",
    ":nàng tiên:": "🧚",
    ":tông màu da tối cổ tích:": "🧚🏿",
    ":tông màu da sáng thần tiên:": "🧚🏻",
    ":tông màu da tối trung bình cổ tích:": "🧚🏾",
    ":tông màu da sáng trung bình cổ tích:": "🧚🏼",
    ":tông màu da trung bình cổ tích:": "🧚🏽",
    ":falafel:": "🧆",
    ":lá rơi:": "🍂",
    ":gia đình:": "👪",
    ":cậu bé của gia đình:": "👨‍👦",
    ":người đàn ông gia đình cậu bé:": "👨‍👨‍👦",
    ":người đàn ông của gia đình cô gái:": "👨‍👧",
    ":gia đình người đàn ông cô gái:": "👨‍👧‍👦",
    ":người đàn ông gia đình cô gái:": "👨‍👧‍👧",
    ":người đàn ông gia đình người đàn ông cậu bé cậu bé:": "👨‍👨‍👦‍👦",
    ":người đàn ông gia đình người đàn ông cô gái:": "👨‍👨‍👧",
    ":gia đình người đàn ông người đàn ông cô gái:": "👨‍👨‍👧‍👧",
    ":gia đình người đàn ông người phụ nữ:": "👨‍👩‍👦",
    ":gia đình người đàn ông phụ nữ cậu bé cậu bé:": "👨‍👩‍👦‍👦",
    ":gia đình người đàn ông phụ nữ:": "👨‍👩‍👧",
    ":gia đình người đàn ông phụ nữ cô gái cậu bé:": "👨‍👩‍👧‍👦",
    ":gia đình người đàn ông phụ nữ cô gái cô gái:": "👨‍👩‍👧‍👧",
    ":người phụ nữ gia đình cậu bé:": "👩‍👦‍👦",
    ":người phụ nữ gia đình cô gái:": "👩‍👩‍👧",
    ":người phụ nữ gia đình cô gái cô gái:": "👩‍👧‍👧",
    ":người phụ nữ gia đình người phụ nữ:": "👩‍👩‍👦",
    ":người phụ nữ gia đình người phụ nữ cậu bé cậu bé:": "👩‍👩‍👦‍👦",
    ":người phụ nữ gia đình người phụ nữ cô gái:": "👩‍👩‍👧‍👦",
    ":gia đình người phụ nữ người phụ nữ cô gái cô gái:": "👩‍👩‍👧‍👧",
    ":nút tua nhanh:": "⏩",
    ":nút xuống nhanh:": "⏬",
    ":nút đảo ngược nhanh:": "⏪",
    ":nút tăng nhanh:": "⏫",
    ":máy fax:": "📠",
    ":khuôn mặt sợ hãi:": "😨",
    ":dấu hiệu nữ:": "♀",
    ":bộ chọn ký hiệu nữ:": "♀️",
    ":đu quay:": "🎡",
    ":chiếc phà:": "⛴",
    ":bộ chọn phà:": "⛴️",
    ":khúc côn cầu:": "🏑",
    ":tủ đựng hồ sơ:": "🗄",
    ":bộ chọn tủ tài liệu:": "🗄️",
    ":thư mục tập tin:": "📁",
    ":khung phim:": "🎞",
    ":bộ chọn khung phim:": "🎞️",
    ":máy chiếu phim:": "📽",
    ":bộ chọn máy chiếu phim:": "📽️",
    ":ngọn lửa:": "🔥",
    ":máy bơm nước cứu hỏa:": "🚒",
    ":bình cứu hỏa:": "🧯",
    ":pháo nổ:": "🧨",
    ":bắn pháo hoa:": "🎆",
    ":trăng quý đầu tiên:": "🌓",
    ":mặt trăng quý đầu tiên:": "🌛",
    ":chả cá xoáy:": "🍥",
    ":cần câu cá:": "🎣",
    ":năm giờ ba mươi:": "🕠",
    ":năm giờ:": "🕔",
    ":cờ trong lỗ:": "⛳",
    ":Chim hồng hạc:": "🦩",
    ":đèn pin:": "🔦",
    ":giày phẳng:": "🥿",
    ":hoa lily:": "⚜",
    ":bộ chọn fleur de lis:": "⚜️",
    ":bắp tay gập:": "💪",
    ":bắp tay uốn cong màu da sẫm:": "💪🏿",
    ":bắp tay uốn cong màu da sáng:": "💪🏻",
    ":bắp tay uốn cong tông màu da tối vừa:": "💪🏾",
    ":bắp tay uốn cong tông màu da sáng trung bình:": "💪🏼",
    ":bắp tay uốn cong tông màu da trung bình:": "💪🏽",
    ":đĩa mềm:": "💾",
    ":chơi bài hoa:": "🎴",
    ":mặt đỏ bừng:": "🤫",
    ":đĩa bay:": "🛸",
    ":sương mù:": "🌁",
    ":bộ chọn sương mù:": "🌫️",
    ":chắp tay:": "🙏",
    ":khoanh tay màu da sẫm:": "🙏🏿",
    ":khoanh tay màu da sáng:": "🙏🏻",
    ":khoanh tay màu da sẫm vừa phải:": "🙏🏾",
    ":khoanh tay màu da sáng trung bình:": "🙏🏼",
    ":tay gấp màu da trung bình:": "🙏🏽",
    ":da chân sẫm màu:": "🦶🏿",
    ":màu da chân sáng:": "🦵🏻",
    ":chân màu da tối trung bình:": "🦵🏾",
    ":chân màu da sáng trung bình:": "🦵🏼",
    ":da chân vừa:": "🦶🏽",
    ":chân:": "🦶",
    ":dấu chân:": "👣",
    ":nĩa và dao:": "🍴",
    ":dĩa và dao với đĩa:": "🍽",
    ":nĩa và dao với bộ chọn đĩa:": "🍽️",
    ":bánh quy may mắn:": "🥠",
    ":Đài phun nước:": "⛲",
    ":bút máy:": "🖋",
    ":bộ chọn bút máy:": "🖋️",
    ":bốn ba mươi:": "🕟",
    ":cỏ bốn lá:": "🍀",
    ":bốn giờ:": "🕓",
    ":mặt cáo:": "🦊",
    ":khung tranh:": "🖼",
    ":bộ chọn hình ảnh có khung:": "🖼️",
    ":khoai tây chiên:": "🍟",
    ":tôm chiên:": "🍤",
    ":mặt ếch:": "🐸",
    ":gà con quay mặt trước:": "🐥",
    ":mặt cau có:": "☹",
    ":bộ chọn khuôn mặt cau có:": "☹️",
    ":khuôn mặt cau có mở miệng:": "😦",
    ":bơm nhiên liệu:": "⛽",
    ":trăng tròn:": "🌕",
    ":mặt trăng tròn:": "🌝",
    ":bình tang lễ:": "⚱",
    ":bộ chọn bình tang lễ:": "⚱️",
    ":trò chơi chết:": "🎲",
    ":tỏi:": "🧄",
    ":Hộp số:": "⚙",
    ":bộ chọn bánh răng:": "⚙️",
    ":đá quý:": "💎",
    ":thần đèn:": "🧞",
    ":con ma:": "👻",
    ":hươu cao cổ:": "🦒",
    ":con gái:": "👧",
    ":cô gái có màu da tối:": "👧🏿",
    ":cô gái có màu da sáng:": "👧🏻",
    ":cô gái có màu da trung bình tối:": "👧🏾",
    ":cô gái da sáng trung bình:": "👧🏼",
    ":cô gái có màu da trung bình:": "👧🏽",
    ":cốc sữa:": "🥛",
    ":kính:": "👓",
    ":quả địa cầu hiển thị châu Mỹ:": "🌎",
    ":quả địa cầu hiển thị Châu Á Úc:": "🌏",
    ":quả địa cầu hiển thị Châu Âu Châu Phi:": "🌍",
    ":địa cầu có kinh tuyến:": "🌐",
    ":găng tay:": "🧤",
    ":ngôi sao phát sáng:": "🌟",
    ":lưới mục tiêu:": "🥅",
    ":con dê:": "🐐",
    ":yêu tinh:": "👹",
    ":kính bảo hộ:": "🥽",
    ":con khỉ đột:": "🦍",
    ":Nón tốt nghiệp:": "🎓",
    ":nho:": "🍇",
    ":táo Xanh:": "🍏",
    ":sách xanh:": "📗",
    ":vòng tròn màu xanh lá cây:": "🟢",
    ":trái tim màu xanh:": "💚",
    ":xà lách xanh:": "🥗",
    ":hình vuông xanh:": "🟩",
    ":mặt nhăn nhó:": "😬",
    ":mặt mèo cười toe toét:": "😺",
    ":mặt mèo cười toe toét với đôi mắt cười:": "😸",
    ":mặt cười toe toét:": "😆",
    ":khuôn mặt cười toe toét với đôi mắt to:": "😃",
    ":khuôn mặt cười toe toét với đôi mắt cười:": "😄",
    ":mặt cười đầy mồ hôi:": "😅",
    ":trái tim lớn lên:": "💗",
    ":bảo vệ:": "💂",
    ":bảo vệ làn da sẫm màu:": "💂🏿",
    ":bảo vệ màu da sáng:": "💂🏻",
    ":bảo vệ tông màu da tối trung bình:": "💂🏾",
    ":bảo vệ tông màu da sáng trung bình:": "💂🏼",
    ":bảo vệ tông màu da trung bình:": "💂🏽",
    ":chó dẫn đường:": "🦮",
    ":đàn ghi ta:": "🎸",
    ":bánh hamburger:": "🍔",
    ":cây búa:": "🔨",
    ":búa và chọn:": "⚒",
    ":búa và chọn bộ chọn:": "⚒️",
    ":búa và cờ lê:": "🛠",
    ":bộ chọn búa và cờ lê:": "🛠️",
    ":mặt chuột đồng:": "🐹",
    ":bàn tay với các ngón tay:": "🖐",
    ":bàn tay với các ngón tay có màu da sẫm:": "🖐🏿",
    ":bàn tay với các ngón tay có màu da sáng:": "🖐🏻",
    ":bàn tay với các ngón tay có màu da sẫm vừa phải:": "🖐🏾",
    ":bàn tay với các ngón tay có màu da sáng vừa phải:": "🖐🏼",
    ":bàn tay với các ngón tay có màu da trung bình:": "🖐🏽",
    ":bàn tay với các ngón tay bộ chọn:": "🖐️",
    ":túi xách tay:": "👜",
    ":bắt tay:": "🤝",
    ":gà nở:": "🐣",
    ":tai nghe:": "🎧",
    ":không nghe thấy con khỉ ác:": "🙉",
    ":trang trí trái tim:": "💟",
    ":cảm thán trái tim:": "❣️",
    ":bộ đồ trái tim:": "♥",
    ":bộ chọn bộ đồ trái tim:": "♥️",
    ":trái tim với mũi tên:": "💘",
    ":trái tim với ruy băng:": "💝",
    ":dấu kiểm nặng:": "✔",
    ":dấu hiệu phân chia nặng nề:": "➗",
    ":ký hiệu đô la nặng:": "💲",
    ":cảm thán trái tim nặng nề:": "❣",
    ":vòng tròn lớn nặng:": "⭕",
    ":dấu trừ nặng:": "➖",
    ":nhân nặng x:": "✖",
    ":dấu cộng nặng:": "➕",
    ":nhím:": "🦔",
    ":máy bay trực thăng:": "🚁",
    ":thảo mộc:": "🌿",
    ":dâm bụt:": "🌺",
    ":giày cao gót:": "👠",
    ":điện cao thế:": "⚡",
    ":khởi động đi bộ đường dài:": "🥾",
    ":Đền hindu:": "🛕",
    ":Hà mã:": "🦛",
    ":hố:": "🕳",
    ":bộ chọn lỗ:": "🕳️",
    ":hũ mật ong:": "🍯",
    ":ong mật:": "🐝",
    ":đèn giao thông ngang:": "🚥",
    ":con ngựa:": "🐎",
    ":mặt ngựa:": "🐴",
    ":đua ngựa:": "🏇",
    ":đua ngựa màu da sẫm:": "🏇🏿",
    ":màu da sáng của đua ngựa:": "🏇🏻",
    ":đua ngựa tông màu da tối trung bình:": "🏇🏾",
    ":đua ngựa tông màu da sáng trung bình:": "🏇🏼",
    ":đua ngựa màu da trung bình:": "🏇🏽",
    ":bệnh viện:": "🏥",
    ":thức uống nóng:": "☕",
    ":bánh mì kẹp xúc xích:": "🌭",
    ":nóng mặt:": "🥵",
    ":ớt:": "🌶",
    ":bộ chọn ớt cay:": "🌶️",
    ":suối nước nóng:": "♨",
    ":bộ chọn suối nước nóng:": "♨️",
    ":khách sạn:": "🏨",
    ":đồng hồ cát xong:": "⌛",
    ":đồng hồ cát không xong:": "⏳",
    ":nhà ở:": "🏘",
    ":nhà có vườn:": "🏡",
    ":bộ chọn nhà:": "🏘️",
    ":ôm mặt:": "🤗",
    ":trăm điểm:": "💯",
    ":khuôn mặt im lặng:": "😯",
    ":Nước đá:": "🧊",
    ":kem:": "🍨",
    ":khúc côn cầu trên băng:": "🏒",
    ":giày trượt băng:": "⛸",
    ":bộ chọn giày trượt băng:": "⛸️",
    ":khay hộp thư đến:": "📥",
    ":phong bì đến:": "📨",
    ":chỉ mục hướng lên:": "☝",
    ":chỉ số hướng lên tông màu da tối:": "☝🏿",
    ":chỉ số hướng lên màu da sáng:": "☝🏻",
    ":chỉ số hướng lên tông màu da tối trung bình:": "☝🏾",
    ":chỉ số hướng lên tông màu da sáng trung bình:": "☝🏼",
    ":chỉ số hướng lên tông màu da trung bình:": "☝🏽",
    ":bộ chọn chỉ mục trỏ lên:": "☝️",
    ":vô cực:": "♾",
    ":bộ chọn vô cực:": "♾️",
    ":thông tin:": "ℹ",
    ":bộ chọn thông tin:": "ℹ️",
    ":nhập các chữ cái latin:": "🔤",
    ":nhập chữ thường latin:": "🔡",
    ":nhập chữ hoa Latinh:": "🔠",
    ":số đầu vào:": "🔢",
    ":ký hiệu đầu vào:": "🔣",
    ":Gask Landern:": "🎃",
    ":Quần jean:": "👖",
    ":ghép hình:": "🧩",
    ":người pha trò:": "🃏",
    ":cần điều khiển:": "🕹",
    ":bộ chọn phím điều khiển:": "🕹️",
    ":Kaaba:": "🕋",
    ":con chuột túi:": "🦘",
    ":Chìa khóa:": "🔑",
    ":bàn phím:": "⌨",
    ":bộ chọn bàn phím:": "⌨️",
    ":keycap:": "#⃣",
    ":keycap 2:": "2️⃣",
    ":keycap 3:": "3️⃣",
    ":keycap #:": "#️⃣",
    ":keycap *:": "*️⃣",
    ":keycap 0:": "0️⃣",
    ":keycap 10:": "🔟",
    ":keycap 1:": "1️⃣",
    ":keycap 4:": "4️⃣",
    ":keycap 5:": "5️⃣",
    ":keycap 6:": "6️⃣",
    ":keycap 7:": "7️⃣",
    ":keycap 8:": "8️⃣",
    ":keycap 9:": "9️⃣",
    ":dấu hoa thị trên keycap:": "*⃣",
    ":keycap số tám:": "8⃣",
    ":keycap chữ số năm:": "5⃣",
    ":keycap chữ số bốn:": "4⃣",
    ":keycap số chín:": "9⃣",
    ":keycap chữ số một:": "1⃣",
    ":keycap số bảy:": "7⃣",
    ":keycap số sáu:": "6⃣",
    ":keycap số ba:": "3⃣",
    ":keycap số hai:": "2⃣",
    ":keycap chữ số 0:": "0⃣",
    ":kick scooter:": "🛴",
    ":kimono:": "👘",
    ":hôn người đàn ông:": "👨‍❤️‍💋‍👨",
    ":hôn người phụ nữ:": "👩‍❤️‍💋‍👩",
    ":hôn:": "💏",
    ":dấu hôn:": "💋",
    ":hôn mặt mèo:": "😽",
    ":hôn mặt:": "😗",
    ":hôn mặt nhắm mắt:": "😚",
    ":hôn mặt với đôi mắt cười:": "😙",
    ":dao làm bếp:": "🔪",
    ":cánh diều:": "🪁",
    ":trái kiwi:": "🥝",
    ":koala:": "🐨",
    ":áo khoác phòng thí nghiệm:": "🥼",
    ":nhãn:": "🏷",
    ":bộ chọn nhãn:": "🏷️",
    ":lacrosse:": "🥍",
    ":Bọ cánh cứng:": "🐞",
    ":Máy tính xách tay:": "💻",
    ":viên kim cương xanh lớn:": "🔷",
    ":kim cương lớn màu cam:": "🔶",
    ":trăng quý trước:": "🌗",
    ":mặt trăng quý trước:": "🌜",
    ":nút theo dõi cuối cùng:": "⏮",
    ":nút chọn nút theo dõi cuối cùng:": "⏮️",
    ":chữ thập latin:": "✝",
    ":bộ chọn chữ thập latin:": "✝️",
    ":lá rung rinh trong gió:": "🍃",
    ":lá xanh:": "🥬",
    ":sổ cái:": "📒",
    ":nắm tay trái:": "🤛",
    ":mặt trái màu da sẫm:": "🤛🏿",
    ":mặt trái màu da sáng:": "🤛🏻",
    ":mặt trái nắm tay tông màu da tối trung bình:": "🤛🏾",
    ":mặt trái nắm tay màu da sáng trung bình:": "🤛🏼",
    ":mặt trái màu da trung bình:": "🤛🏽",
    ":mũi tên trái phải:": "↔",
    ":bộ chọn mũi tên trái phải:": "↔️",
    ":mũi tên trái:": "⬅",
    ":mũi tên trái cong phải:": "↪",
    ":mũi tên trái uốn cong bộ chọn bên phải:": "↪️",
    ":bộ chọn mũi tên trái:": "⬅️",
    ":hành lý để lại:": "🛅",
    ":bong bóng thoại bên trái:": "🗨",
    ":bộ chọn bong bóng thoại bên trái:": "🗨️",
    ":chân màu da sẫm:": "🦵🏿",
    ":chân màu da trung bình:": "🦵🏽",
    ":Chân:": "🦵",
    ":Chanh:": "🍋",
    ":báo:": "🐆",
    ":thanh trượt cấp:": "🎚",
    ":bộ chọn thanh trượt mức:": "🎚️",
    ":bóng đèn:": "💡",
    ":đường sắt nhẹ:": "🚈",
    ":màu da sáng:": "🏻",
    ":liên kết:": "🔗",
    ":giấy ghim liên kết:": "🖇",
    ":bộ chọn kẹp giấy được liên kết:": "🖇️",
    ":mặt sư tử:": "🦁",
    ":son môi:": "💄",
    ":xả rác trong thùng rác:": "🚮",
    ":con thằn lằn:": "🦎",
    ":gọi:": "🦙",
    ":tôm:": "🦞",
    ":bị khóa:": "🔒",
    ":khóa bằng chìa khóa:": "🔐",
    ":bị khóa bằng bút:": "🔏",
    ":đầu máy xe lửa:": "🚂",
    ":kẹo mút:": "🍭",
    ":chai kem dưỡng da:": "🧴",
    ":mặt khóc to:": "😭",
    ":loa đài:": "📢",
    ":cử chỉ yêu bạn:": "🤟",
    ":yêu em cử chỉ màu da sẫm:": "🤟🏿",
    ":tình yêu bạn cử chỉ màu da sáng:": "🤟🏻",
    ":tình yêu bạn cử chỉ màu da tối trung bình:": "🤟🏾",
    ":tình yêu bạn cử chỉ màu da sáng trung bình:": "🤟🏼",
    ":tình yêu bạn cử chỉ màu da trung bình:": "🤟🏽",
    ":khách sạn tình yêu:": "🏩",
    ":thư tình:": "💌",
    ":Hành lý:": "🧳",
    ":mặt nói dối:": "🤥",
    ":pháp sư:": "🧙",
    ":mage màu da tối:": "🧙🏿",
    ":tông màu da sáng mage:": "🧙🏻",
    ":mage tông màu da trung bình tối:": "🧙🏾",
    ":mage tông màu da sáng trung bình:": "🧙🏼",
    ":tông màu da trung bình mage:": "🧙🏽",
    ":nam châm:": "🧲",
    ":kính lúp nghiêng trái:": "🔍",
    ":kính lúp nghiêng phải:": "🔎",
    ":mạt chược rồng đỏ:": "🀄",
    ":dấu hiệu nam:": "♂",
    ":bộ chọn ký hiệu nam:": "♂️",
    ":người đàn ông da sẫm màu hói:": "👨🏿‍🦲",
    ":người đàn ông da sẫm màu tóc vàng:": "👱🏿‍♂",
    ":người đàn ông da sẫm màu tóc xoăn:": "👨🏿‍🦱",
    ":người đàn ông da sẫm màu tóc đỏ:": "👨🏿‍🦰",
    ":người đàn ông da sẫm màu tóc trắng:": "👨🏿‍🦳",
    ":người đàn ông da sáng màu hói:": "👨🏻‍🦲",
    ":người đàn ông da sáng màu tóc vàng:": "👱🏻‍♂",
    ":người đàn ông tóc xoăn tông màu sáng:": "👨🏻‍🦱",
    ":người đàn ông da sáng màu tóc đỏ:": "👨🏻‍🦰",
    ":người đàn ông da sáng màu tóc trắng:": "👨🏻‍🦳",
    ":người đàn ông có tông màu da tối trung bình:": "👨🏾‍🦲",
    ":người đàn ông trung bình da sẫm màu tóc vàng:": "👱🏾‍♂",
    ":người đàn ông trung bình da sẫm màu tóc xoăn:": "👨🏾‍🦱",
    ":người đàn ông trung bình da sẫm màu tóc đỏ:": "👨🏾‍🦰",
    ":người đàn ông trung bình da sẫm màu tóc trắng:": "👨🏾‍🦳",
    ":người đàn ông da sáng màu trung bình hói:": "👨🏼‍🦲",
    ":người đàn ông tóc vàng tông màu da sáng vừa:": "👱🏼‍♂",
    ":người đàn ông tóc xoăn tông màu da sáng trung bình:": "👨🏼‍🦱",
    ":người đàn ông màu da sáng trung bình tóc đỏ:": "👨🏼‍🦰",
    ":người đàn ông da sáng màu trung bình tóc trắng:": "👨🏼‍🦳",
    ":người đàn ông có màu da trung bình hói:": "👨🏽‍🦲",
    ":người đàn ông có màu da trung bình tóc vàng:": "👱🏽‍♂",
    ":người đàn ông có màu da trung bình tóc xoăn:": "👨🏽‍🦱",
    ":người đàn ông có màu da trung bình tóc đỏ:": "👨🏽‍🦰",
    ":người đàn ông có màu da trung bình tóc trắng:": "👨🏽‍🦳",
    ":Đàn ông:": "👨",
    ":đàn ông và phụ nữ nắm tay nhau:": "👫",
    ":nghệ sĩ đàn ông:": "👨‍🎨",
    ":nghệ sĩ người đàn ông màu da tối:": "👨🏿‍🎨",
    ":màu da sáng của nghệ sĩ đàn ông:": "👨🏻‍🎨",
    ":nghệ sĩ đàn ông tông màu da tối trung bình:": "👨🏾‍🎨",
    ":nam nghệ sĩ tông màu da sáng trung bình:": "👨🏼‍🎨",
    ":nam nghệ sĩ nước da trung bình:": "👨🏽‍🎨",
    ":phi hành gia người đàn ông:": "👨‍🚀",
    ":người đàn ông phi hành gia có màu da tối:": "👨🏿‍🚀",
    ":người đàn ông phi hành gia tông màu da sáng:": "👨🏻‍🚀",
    ":người đàn ông phi hành gia có màu da tối trung bình:": "👨🏾‍🚀",
    ":người đàn ông phi hành gia tông màu da sáng trung bình:": "👨🏼‍🚀",
    ":người đàn ông phi hành gia tông màu da trung bình:": "👨🏽‍🚀",
    ":người đàn ông đi xe đạp màu da sẫm:": "🚴🏿‍♂️",
    ":người đàn ông đi xe đạp màu da sáng:": "🚴🏻‍♂️",
    ":người đàn ông đi xe đạp có màu da tối trung bình:": "🚴🏾‍♂️",
    ":người đàn ông đi xe đạp có tông màu da sáng trung bình:": "🚴🏼‍♂️",
    ":người đàn ông đi xe đạp màu da trung bình:": "🚴🏽‍♂️",
    ":người đàn ông đi xe đạp:": "🚴‍♂",
    ":bộ chọn người đi xe đạp:": "🚴‍♂️",
    ":người đàn ông nảy bóng màu da sẫm:": "⛹🏿‍♂️",
    ":người đàn ông nảy bóng màu da sáng:": "⛹🏻‍♂️",
    ":người đàn ông nảy bóng màu da tối trung bình:": "⛹🏾‍♂️",
    ":người đàn ông nảy bóng màu da trung bình sáng:": "⛹🏼‍♂️",
    ":người đàn ông nảy bóng màu da trung bình:": "⛹🏽‍♂️",
    ":người đàn ông nảy bóng:": "⛹‍♂",
    ":người đàn ông nảy bóng 2:": "⛹️‍♂️",
    ":người đàn ông nảy bóng 3:": "⛹‍♂️",
    ":người đàn ông chọn bóng nảy:": "⛹️‍♂",
    ":người đàn ông cúi đầu có màu da sẫm:": "🙇🏿‍♂️",
    ":người đàn ông cúi chào màu da sáng:": "🙇🏻‍♂️",
    ":người đàn ông cúi đầu có màu da sẫm vừa phải:": "🙇🏾‍♂️",
    ":người đàn ông cúi chào màu da sáng trung bình:": "🙇🏼‍♂️",
    ":người đàn ông cúi đầu có màu da trung bình:": "🙇🏽‍♂️",
    ":người đàn ông cúi đầu:": "🙇‍♂",
    ":người đàn ông cúi chào người chọn:": "🙇‍♂️",
    ":màu da tối của người đàn ông:": "🤸🏿‍♂️",
    ":màu da sáng của người đàn ông:": "🤸🏻‍♂️",
    ":người đàn ông màu da tối trung bình:": "🤸🏾‍♂️",
    ":màu da sáng trung bình của người đàn ông:": "🤸🏼‍♂️",
    ":màu da trung bình của người đàn ông:": "🤸🏽‍♂️",
    ":người đàn ông quay phim:": "🤸‍♂",
    ":bộ chọn bánh xe người đàn ông:": "🤸‍♂️",
    ":người đàn ông leo núi da sẫm màu:": "🧗🏿‍♂️",
    ":người đàn ông leo núi màu da sáng:": "🧗🏻‍♂️",
    ":người đàn ông leo núi màu da tối trung bình:": "🧗🏾‍♂️",
    ":người đàn ông leo núi màu da sáng trung bình:": "🧗🏼‍♂️",
    ":người đàn ông leo núi màu da trung bình:": "🧗🏽‍♂️",
    ":người đàn ông leo núi:": "🧗‍♂",
    ":bộ chọn người leo núi:": "🧗‍♂️",
    ":người đàn ông công nhân xây dựng màu da trung bình tối:": "👷🏾‍♂️",
    ":người đàn ông công nhân xây dựng tông màu da sáng trung bình:": "👷🏼‍♂️",
    ":người đàn ông công nhân xây dựng màu da trung bình:": "👷🏽‍♂️",
    ":người đàn ông chọn công nhân xây dựng:": "👷‍♂️",
    ":người đàn ông nấu ăn:": "👨‍🍳",
    ":người đàn ông nấu ăn màu da sẫm:": "👨🏿‍🍳",
    ":người đàn ông nấu ăn màu da sáng:": "👨🏻‍🍳",
    ":người đàn ông nấu ăn có màu da tối vừa:": "👨🏾‍🍳",
    ":người đàn ông nấu ăn màu da sáng trung bình:": "👨🏼‍🍳",
    ":người đàn ông nấu ăn màu da trung bình:": "👨🏽‍🍳",
    ":người đàn ông khiêu vũ:": "🕺",
    ":người đàn ông khiêu vũ màu da sẫm:": "🕺🏿",
    ":người đàn ông khiêu vũ màu da sáng:": "🕺🏻",
    ":người đàn ông khiêu vũ nước da sẫm màu trung bình:": "🕺🏾",
    ":người đàn ông khiêu vũ màu da sáng trung bình:": "🕺🏼",
    ":người đàn ông khiêu vũ màu da trung bình:": "🕺🏽",
    ":người đàn ông có màu da sẫm:": "🧍🏿‍♂",
    ":người đàn ông thám tử màu da tối:": "🕵🏿‍♂️",
    ":người đàn ông thám tử tông màu da sáng:": "🕵🏻‍♂️",
    ":người đàn ông thám tử màu da trung bình tối:": "🕵🏾‍♂️",
    ":người đàn ông thám tử màu da trung bình sáng:": "🕵🏼‍♂️",
    ":người đàn ông thám tử tông màu da trung bình:": "🕵🏽‍♂️",
    ":thám tử đàn ông:": "🕵‍♂",
    ":người đàn ông thám tử 2:": "🕵️‍♂️",
    ":người đàn ông chọn thám tử:": "🕵️‍♂",
    ":người đàn ông yêu tinh màu da tối:": "🧝🏿‍♂️",
    ":người đàn ông yêu tinh màu da sáng:": "🧝🏻‍♂️",
    ":người đàn ông yêu tinh màu da trung bình tối:": "🧝🏾‍♂️",
    ":người đàn ông yêu tinh màu da sáng trung bình:": "🧝🏼‍♂️",
    ":người đàn ông yêu tinh màu da trung bình:": "🧝🏽‍♂️",
    ":người đàn ông mười một:": "🧝‍♂",
    ":người đàn ông tinh:": "🧝‍♂️",
    ":người đàn ông facepalming tông màu da tối:": "🤦🏿‍♂️",
    ":người đàn ông facepalming tông màu da sáng:": "🤦🏻‍♂️",
    ":người đàn ông facepalming tông màu da tối trung bình:": "🤦🏾‍♂️",
    ":người đàn ông facepalming tông màu da sáng trung bình:": "🤦🏼‍♂️",
    ":người đàn ông facepalming tông màu da trung bình:": "🤦🏽‍♂️",
    ":người đàn ông ôm mặt:": "🤦‍♂",
    ":người đàn ông chọn khuôn mặt:": "🤦‍♂️",
    ":công nhân nhà máy người đàn ông:": "👨‍🏭",
    ":người đàn ông công nhân nhà máy nước da sẫm màu:": "👨🏿‍🏭",
    ":người đàn ông công nhân nhà máy màu da sáng:": "👨🏻‍🏭",
    ":người đàn ông công nhân nhà máy nước da sẫm màu trung bình:": "👨🏾‍🏭",
    ":người đàn ông công nhân nhà máy màu da sáng trung bình:": "👨🏼‍🏭",
    ":người đàn ông công nhân nhà máy màu da trung bình:": "👨🏽‍🏭",
    ":người đàn ông tiên nước da sẫm màu:": "🧚🏿‍♂️",
    ":người đàn ông tiên tông màu da sáng:": "🧚🏻‍♂️",
    ":người đàn ông cổ tích tông màu da tối trung bình:": "🧚🏾‍♂️",
    ":man Fairy tông màu da sáng trung bình:": "🧚🏼‍♂️",
    ":người đàn ông tiên tông màu da trung bình:": "🧚🏽‍♂️",
    ":tiên nam:": "🧚‍♂",
    ":người đàn ông tiên chọn:": "🧚‍♂️",
    ":người đàn ông nông dân:": "👨‍🌾",
    ":người đàn ông nông dân màu da tối:": "👨🏿‍🌾",
    ":người đàn ông nông dân màu da sáng:": "👨🏻‍🌾",
    ":người đàn ông nông dân nước da sẫm màu trung bình:": "👨🏾‍🌾",
    ":người đàn ông nông dân màu da sáng trung bình:": "👨🏼‍🌾",
    ":người đàn ông nông dân màu da trung bình:": "👨🏽‍🌾",
    ":người lính cứu hỏa:": "👨‍🚒",
    ":người lính cứu hỏa nước da sẫm màu:": "👨🏿‍🚒",
    ":người lính cứu hỏa màu da sáng:": "👨🏻‍🚒",
    ":người lính cứu hỏa màu da trung bình tối:": "👨🏾‍🚒",
    ":người lính cứu hỏa màu da sáng vừa:": "👨🏼‍🚒",
    ":người lính cứu hỏa màu da trung bình:": "👨🏽‍🚒",
    ":người đàn ông cau mày có màu da sẫm:": "🙍🏿‍♂️",
    ":người đàn ông cau mày màu da sáng:": "🙍🏻‍♂️",
    ":người đàn ông cau mày có màu da tối trung bình:": "🙍🏾‍♂️",
    ":người đàn ông cau mày có màu da sáng trung bình:": "🙍🏼‍♂️",
    ":người đàn ông cau mày có màu da trung bình:": "🙍🏽‍♂️",
    ":người đàn ông cau mày:": "🙍‍♂",
    ":bộ chọn người đàn ông cau mày:": "🙍‍♂️",
    ":một thiên tài:": "🧞‍♂",
    ":người đàn ông genie selector:": "🧞‍♂️",
    ":người đàn ông cử chỉ KHÔNG có màu da sẫm:": "🙅🏿‍♂️",
    ":người đàn ông cử chỉ KHÔNG có màu da sáng:": "🙅🏻‍♂️",
    ":người đàn ông cử chỉ KHÔNG có màu da tối trung bình:": "🙅🏾‍♂️",
    ":người đàn ông cử chỉ KHÔNG có màu da sáng trung bình:": "🙅🏼‍♂️",
    ":người đàn ông cử chỉ KHÔNG có màu da trung bình:": "🙅🏽‍♂️",
    ":người đàn ông ra hiệu KHÔNG:": "🙅‍♂",
    ":người đàn ông cử chỉ KHÔNG có bộ chọn:": "🙅‍♂️",
    ":người đàn ông cử chỉ OK màu da sẫm:": "🙆🏿‍♂️",
    ":người đàn ông cử chỉ OK tông màu da sáng:": "🙆🏻‍♂️",
    ":người đàn ông cử chỉ OK tông màu da tối trung bình:": "🙆🏾‍♂️",
    ":người đàn ông cử chỉ OK tông màu da sáng trung bình:": "🙆🏼‍♂️",
    ":người đàn ông cử chỉ OK tông màu da trung bình:": "🙆🏽‍♂️",
    ":người đàn ông ra hiệu OK:": "🙆‍♂",
    ":người đàn ông ra hiệu bộ chọn OK:": "🙆‍♂️",
    ":người đàn ông cắt tóc màu da sẫm:": "💇🏿‍♂️",
    ":người đàn ông cắt tóc màu da sáng:": "💇🏻‍♂️",
    ":người đàn ông cắt tóc có màu da sẫm trung bình:": "💇🏾‍♂️",
    ":người đàn ông cắt tóc màu da sáng vừa phải:": "💇🏼‍♂️",
    ":người đàn ông cắt tóc màu da trung bình:": "💇🏽‍♂️",
    ":người đàn ông cắt tóc:": "💇‍♂",
    ":người đàn ông cắt tóc chọn:": "💇‍♂️",
    ":người đàn ông được mát xa làn da sẫm màu:": "💆🏿‍♂️",
    ":người đàn ông được massage làm sáng màu da:": "💆🏻‍♂️",
    ":người đàn ông được mát xa màu da tối vừa:": "💆🏾‍♂️",
    ":người đàn ông được massage da sáng màu trung bình:": "💆🏼‍♂️",
    ":người đàn ông được massage cho làn da trung bình:": "💆🏽‍♂️",
    ":người đàn ông được mát xa:": "💆‍♂",
    ":người đàn ông nhận massage:": "💆‍♂️",
    ":người đàn ông chơi gôn có màu da sẫm:": "🏌🏿‍♂️",
    ":người đàn ông chơi gôn có màu da sáng:": "🏌🏻‍♂️",
    ":người đàn ông chơi gôn có màu da tối trung bình:": "🏌🏾‍♂️",
    ":người đàn ông chơi gôn có màu da sáng trung bình:": "🏌🏼‍♂️",
    ":người đàn ông chơi gôn có màu da trung bình:": "🏌🏽‍♂️",
    ":người đàn ông chơi gôn:": "🏌‍♂",
    ":người đàn ông chơi gôn 2:": "🏌️‍♂️",
    ":người đàn ông chơi gôn 3:": "🏌‍♂️",
    ":bộ chọn người chơi gôn:": "🏌️",
    ":người đàn ông bảo vệ màu da tối:": "💂🏿‍♂️",
    ":người đàn ông bảo vệ màu da sáng:": "💂🏻‍♂️",
    ":người đàn ông bảo vệ tông màu da tối trung bình:": "💂🏾‍♂️",
    ":người đàn ông bảo vệ tông màu da sáng trung bình:": "💂🏼‍♂️",
    ":người đàn ông bảo vệ tông màu da trung bình:": "💂🏽‍♂️",
    ":người bảo vệ:": "💂‍♂",
    ":người bảo vệ người đàn ông:": "💂‍♂️",
    ":nhân viên y tế đàn ông màu da sẫm:": "👨🏿‍⚕️",
    ":nhân viên y tế đàn ông màu da sáng:": "👨🏻‍⚕️",
    ":nhân viên y tế nước da sẫm màu trung bình:": "👨🏾‍⚕️",
    ":nhân viên y tế nam màu da sáng trung bình:": "👨🏼‍⚕️",
    ":nhân viên y tế đàn ông màu da trung bình:": "👨🏽‍⚕️",
    ":nhân viên y tế:": "👨‍⚕",
    ":bộ chọn nhân viên y tế nam giới:": "👨‍⚕️",
    ":người đàn ông trong tư thế hoa sen màu da sẫm:": "🧘🏿‍♂️",
    ":người đàn ông trong tư thế hoa sen màu da sáng:": "🧘🏻‍♂️",
    ":người đàn ông trong tư thế hoa sen màu da tối trung bình:": "🧘🏾‍♂️",
    ":người đàn ông trong tư thế hoa sen màu da sáng trung bình:": "🧘🏼‍♂️",
    ":người đàn ông ở tư thế hoa sen màu da trung bình:": "🧘🏽‍♂️",
    ":người đàn ông trong tư thế hoa sen:": "🧘‍♂",
    ":người đàn ông trong bộ chọn vị trí hoa sen:": "🧘‍♂️",
    ":người đàn ông ngồi trên xe lăn bằng tay có màu da sẫm:": "👨🏿‍🦽",
    ":người đàn ông ngồi trên xe lăn bằng tay có màu da sáng:": "👨🏻‍🦽",
    ":người đàn ông ngồi xe lăn bằng tay có màu da sẫm vừa phải:": "👨🏾‍🦽",
    ":người đàn ông ngồi xe lăn bằng tay có màu da sáng trung bình:": "👨🏼‍🦽",
    ":người đàn ông ngồi xe lăn bằng tay có màu da trung bình:": "👨🏽‍🦽",
    ":người đàn ông ngồi trên xe lăn bằng tay:": "👨‍🦽",
    ":người đàn ông ngồi trên xe lăn có động cơ màu da sẫm:": "👨🏿‍🦼",
    ":người đàn ông ngồi trên xe lăn có động cơ màu da sáng:": "👨🏻‍🦼",
    ":người đàn ông ngồi trên xe lăn có động cơ nước da sẫm màu trung bình:": "👨🏾‍🦼",
    ":người đàn ông ngồi trên xe lăn có động cơ màu da sáng trung bình:": "👨🏼‍🦼",
    ":người đàn ông ngồi trên xe lăn có động cơ màu da trung bình:": "👨🏽‍🦼",
    ":người đàn ông ngồi trên xe lăn có động cơ:": "👨‍🦼",
    ":người đàn ông trong căn phòng ướt át màu da sẫm:": "🧖🏿‍♂️",
    ":người đàn ông trong căn phòng ướt át màu da sáng:": "🧖🏻‍♂️",
    ":người đàn ông trong căn phòng ướt át màu da trung bình tối:": "🧖🏾‍♂️",
    ":người đàn ông trong căn phòng ướt át tông màu da sáng vừa phải:": "🧖🏼‍♂️",
    ":người đàn ông trong phòng ướt át tông màu da trung bình:": "🧖🏽‍♂️",
    ":người đàn ông trong căn phòng ướt át:": "🧖‍♂",
    ":người đàn ông trong bộ chọn phòng ướt át:": "🧖‍♂️",
    ":người đàn ông mặc bộ đồ bay lên:": "🕴",
    ":người đàn ông mặc bộ đồ tôn lên nước da sẫm màu:": "🕴🏿",
    ":người đàn ông mặc bộ đồ tôn lên màu da sáng:": "🕴🏻",
    ":người đàn ông mặc suit tôn lên nước da sẫm màu trung bình:": "🕴🏾",
    ":người đàn ông mặc suit tôn lên màu da sáng trung bình:": "🕴🏼",
    ":người đàn ông mặc suit tôn lên màu da trung bình:": "🕴🏽",
    ":người đàn ông mặc bộ đồ bay lên bộ chọn:": "🕴️",
    ":người đàn ông mặc tuxedo:": "🤵",
    ":người đàn ông mặc tuxedo màu da sẫm:": "🤵🏿",
    ":người đàn ông mặc tuxedo tông màu da sáng:": "🤵🏻",
    ":người đàn ông mặc tuxedo tông màu da tối trung bình:": "🤵🏾",
    ":người đàn ông mặc tuxedo tông màu da sáng trung bình:": "🤵🏼",
    ":người đàn ông mặc tuxedo tông màu da trung bình:": "🤵🏽",
    ":người đàn ông đánh giá màu da tối:": "👨🏿‍⚖️",
    ":người đàn ông đánh giá màu da sáng:": "👨🏻‍⚖️",
    ":người đàn ông đánh giá màu da tối trung bình:": "👨🏾‍⚖️",
    ":người đàn ông đánh giá tông màu da sáng trung bình:": "👨🏼‍⚖️",
    ":người đàn ông đánh giá màu da trung bình:": "👨🏽‍⚖️",
    ":người đàn ông thẩm phán:": "👨‍⚖",
    ":người chọn thẩm phán:": "👨‍⚖️",
    ":người đàn ông tung hứng màu da tối:": "🤹🏿‍♂️",
    ":người đàn ông tung hứng màu da sáng:": "🤹🏻‍♂️",
    ":người đàn ông tung hứng màu da tối trung bình:": "🤹🏾‍♂️",
    ":người đàn ông tung hứng màu da sáng trung bình:": "🤹🏼‍♂️",
    ":người đàn ông tung hứng màu da trung bình:": "🤹🏽‍♂️",
    ":người đàn ông tung hứng:": "🤹‍♂",
    ":bộ chọn người đàn ông tung hứng:": "🤹‍♂️",
    ":người đàn ông quỳ gối màu da sẫm:": "🧎🏿‍♂",
    ":người đàn ông quỳ gối chọn tông màu da tối:": "🧎🏿‍♂️",
    ":màu da sáng của người đàn ông quỳ:": "🧎🏻‍♂",
    ":người đàn ông quỳ gối chọn tông màu da sáng:": "🧎🏻‍♂️",
    ":người đàn ông quỳ gối có màu da tối trung bình:": "🧎🏾‍♂",
    ":người đàn ông quỳ gối bộ chọn tông màu da tối trung bình:": "🧎🏾‍♂️",
    ":người đàn ông quỳ gối có màu da sáng trung bình:": "🧎🏼‍♂",
    ":người đàn ông quỳ gối chọn tông màu da sáng trung bình:": "🧎🏼‍♂️",
    ":màu da trung bình của người đàn ông quỳ:": "🧎🏽‍♂",
    ":người đàn ông quỳ gối bộ chọn tông màu da trung bình:": "🧎🏽‍♂️",
    ":người đàn ông đang quỳ:": "🧎‍♂",
    ":người đàn ông quỳ gối:": "🧎‍♂️",
    ":người đàn ông nâng tạ nước da sẫm màu:": "🏋🏿‍♂️",
    ":người đàn ông nâng tạ màu da sáng:": "🏋🏻‍♂️",
    ":người đàn ông nâng tạ nước da sẫm màu trung bình:": "🏋🏾‍♂️",
    ":người đàn ông nâng tạ màu da sáng trung bình:": "🏋🏼‍♂️",
    ":người đàn ông nâng tạ màu da trung bình:": "🏋🏽‍♂️",
    ":người đàn ông nâng tạ:": "🏋️‍♂",
    ":người đàn ông nâng tạ 2:": "🏋️‍♂️",
    ":người đàn ông nâng tạ 3:": "🏋‍♂️",
    ":người đàn ông có màu da sáng:": "🧍🏻‍♂",
    ":man mage màu da tối:": "🧙🏿‍♂️",
    ":man mage màu da sáng:": "🧙🏻‍♂️",
    ":man mage tông màu da tối trung bình:": "🧙🏾‍♂️",
    ":man mage tông màu da sáng trung bình:": "🧙🏼‍♂️",
    ":man mage màu da trung bình:": "🧙🏽‍♂️",
    ":pháp sư đàn ông:": "🧙‍♂",
    ":bộ chọn pháp sư:": "🧙‍♂️",
    ":thợ máy:": "👨‍🔧",
    ":người thợ máy màu da tối:": "👨🏿‍🔧",
    ":màu da sáng của thợ máy:": "👨🏻‍🔧",
    ":người thợ máy có tông màu da tối trung bình:": "👨🏾‍🔧",
    ":người thợ máy có tông màu da sáng trung bình:": "👨🏼‍🔧",
    ":người thợ máy màu da trung bình:": "👨🏽‍🔧",
    ":người đàn ông có màu da tối trung bình:": "👨🏾",
    ":người đàn ông có màu da sáng trung bình:": "🧍🏼‍♂",
    ":người đàn ông có màu da trung bình:": "🧍🏽‍♂",
    ":người đàn ông leo núi đi xe đạp màu da sẫm:": "🚵🏿‍♂️",
    ":người đàn ông leo núi đạp xe tông màu da sáng:": "🚵🏻‍♂️",
    ":người đàn ông leo núi đi xe đạp tông màu da tối trung bình:": "🚵🏾‍♂️",
    ":người đàn ông leo núi đi xe đạp tông màu da sáng trung bình:": "🚵🏼‍♂️",
    ":người đàn ông leo núi đạp xe tông màu da trung bình:": "🚵🏽‍♂️",
    ":người đàn ông đi xe đạp leo núi:": "🚵‍♂",
    ":bộ chọn xe đạp leo núi người đàn ông:": "🚵‍♂️",
    ":nhân viên văn phòng:": "👨‍💼",
    ":người đàn ông nhân viên văn phòng màu da tối:": "👨🏿‍💼",
    ":người đàn ông nhân viên văn phòng màu da sáng:": "👨🏻‍💼",
    ":người đàn ông nhân viên văn phòng màu da trung bình tối:": "👨🏾‍💼",
    ":người đàn ông nhân viên văn phòng tông màu da trung bình:": "👨🏼‍💼",
    ":người đàn ông nhân viên văn phòng màu da trung bình:": "👨🏽‍💼",
    ":người đàn ông phi công có màu da tối:": "👨🏿‍✈️",
    ":người đàn ông phi công sáng màu da:": "👨🏻‍✈️",
    ":người đàn ông phi công có màu da tối trung bình:": "👨🏾‍✈️",
    ":người đàn ông phi công tông màu da trung bình sáng:": "👨🏼‍✈️",
    ":người đàn ông phi công màu da trung bình:": "👨🏽‍✈️",
    ":người đàn ông phi công:": "👨‍✈",
    ":bộ chọn phi công người đàn ông:": "👨‍✈️",
    ":người đàn ông chơi bóng ném màu da sẫm:": "🤾🏿‍♂️",
    ":người đàn ông chơi bóng ném màu da sáng:": "🤾🏻‍♂️",
    ":người đàn ông chơi bóng ném có màu da tối trung bình:": "🤾🏾‍♂️",
    ":người đàn ông chơi bóng ném màu da sáng trung bình:": "🤾🏼‍♂️",
    ":người đàn ông chơi bóng ném màu da trung bình:": "🤾🏽‍♂️",
    ":người đàn ông chơi bóng ném:": "🤾‍♂",
    ":người đàn ông chơi bóng ném chọn:": "🤾‍♂️",
    ":người đàn ông chơi bóng nước màu da sẫm:": "🤽🏿‍♂️",
    ":người đàn ông chơi bóng nước màu da sáng:": "🤽🏻‍♂️",
    ":người đàn ông chơi bóng nước tông màu da tối trung bình:": "🤽🏾‍♂️",
    ":người đàn ông chơi bóng nước tông màu da sáng trung bình:": "🤽🏼‍♂️",
    ":người đàn ông chơi bóng nước màu da trung bình:": "🤽🏽‍♂️",
    ":người đàn ông chơi bóng nước:": "🤽‍♂",
    ":người đàn ông chơi bóng nước chọn:": "🤽‍♂️",
    ":người đàn ông cảnh sát có màu da sẫm:": "👮🏿‍♂️",
    ":người đàn ông cảnh sát có màu da sáng:": "👮🏻‍♂️",
    ":người đàn ông cảnh sát nước da sẫm màu:": "👮🏾‍♂️",
    ":người đàn ông cảnh sát có màu da sáng trung bình:": "👮🏼‍♂️",
    ":người đàn ông cảnh sát có màu da trung bình:": "👮🏽‍♂️",
    ":người đàn ông cảnh sát:": "👮‍♂",
    ":người đàn ông cảnh sát lựa chọn:": "👮‍♂️",
    ":người đàn ông bĩu môi có màu da sẫm:": "🙎🏿‍♂️",
    ":người đàn ông bĩu môi màu da sáng:": "🙎🏻‍♂️",
    ":người đàn ông bĩu môi có màu da tối trung bình:": "🙎🏾‍♂️",
    ":người đàn ông bĩu môi có màu da sáng trung bình:": "🙎🏼‍♂️",
    ":người đàn ông bĩu môi có màu da trung bình:": "🙎🏽‍♂️",
    ":người đàn ông bĩu môi:": "🙎‍♂",
    ":bộ chọn người đàn ông bĩu môi:": "🙎‍♂️",
    ":người đàn ông giơ tay màu da sẫm:": "🙋🏿‍♂️",
    ":người đàn ông nâng tay có màu da sáng:": "🙋🏻‍♂️",
    ":người đàn ông giơ tay có màu da sẫm vừa phải:": "🙋🏾‍♂️",
    ":người đàn ông giơ tay màu da sáng vừa:": "🙋🏼‍♂️",
    ":người đàn ông giơ tay có tông màu da trung bình:": "🙋🏽‍♂️",
    ":người đàn ông giơ tay:": "🙋‍♂",
    ":người đàn ông giơ tay chọn:": "🙋‍♂️",
    ":người đàn ông chèo thuyền màu da sẫm:": "🚣🏿‍♂️",
    ":người đàn ông chèo thuyền màu da sáng:": "🚣🏻‍♂️",
    ":người đàn ông chèo thuyền màu da tối trung bình:": "🚣🏾‍♂️",
    ":người đàn ông chèo thuyền màu da sáng trung bình:": "🚣🏼‍♂️",
    ":người đàn ông chèo thuyền màu da trung bình:": "🚣🏽‍♂️",
    ":người đàn ông chèo thuyền:": "🚣‍♂",
    ":người đàn ông chèo thuyền chọn:": "🚣‍♂️",
    ":người đàn ông chạy màu da sẫm:": "🏃🏿‍♂️",
    ":người đàn ông chạy màu da sáng:": "🏃🏻‍♂️",
    ":người đàn ông chạy màu da trung bình tối:": "🏃🏾‍♂️",
    ":người đàn ông chạy màu da sáng trung bình:": "🏃🏼‍♂️",
    ":người đàn ông đang chạy:": "🏃‍♂",
    ":bộ chọn người đàn ông đang chạy:": "🏃‍♂️",
    ":nhà khoa học con người:": "👨‍🔬",
    ":nhà khoa học đàn ông tông màu da tối:": "👨🏿‍🔬",
    ":nhà khoa học đàn ông màu da sáng:": "👨🏻‍🔬",
    ":nhà khoa học đàn ông tông màu da tối trung bình:": "👨🏾‍🔬",
    ":nhà khoa học đàn ông tông màu da sáng trung bình:": "👨🏼‍🔬",
    ":da trung bình:": "👨🏽‍🔬",
    ":người đàn ông nhún vai có màu da tối trung bình:": "🤷🏾‍♂️",
    ":người đàn ông nhún vai màu da sáng trung bình:": "🤷🏼‍♂️",
    ":người đàn ông nhún vai:": "🤷‍♂️",
    ":ca sĩ đàn ông:": "👨‍🎤",
    ":nam ca sĩ có màu da tối:": "👨🏿‍🎤",
    ":nam ca sĩ tông màu da sáng:": "👨🏻‍🎤",
    ":nam ca sĩ nước da sẫm màu trung bình:": "👨🏾‍🎤",
    ":nam ca sĩ tông màu da sáng trung bình:": "👨🏼‍🎤",
    ":nam ca sĩ có màu da trung bình:": "👨🏽‍🎤",
    ":người đàn ông đứng bộ chọn tông màu da tối:": "🧍🏿‍♂️",
    ":người đàn ông đứng bộ chọn tông màu da sáng:": "🧍🏻‍♂️",
    ":người đàn ông đứng màu da trung bình tối:": "🧍🏾‍♂",
    ":người đàn ông đứng bộ chọn tông màu da tối trung bình:": "🧍🏾‍♂️",
    ":người đàn ông đứng bộ chọn tông màu da sáng trung bình:": "🧍🏼‍♂️",
    ":người đàn ông đứng bộ chọn tông màu da trung bình:": "🧍🏽‍♂️",
    ":người đàn ông đứng:": "🧍‍♂",
    ":người đàn ông đứng chọn:": "🧍‍♂️",
    ":nam sinh:": "👨‍🎓",
    ":nam sinh viên nước da sẫm màu:": "👨🏿‍🎓",
    ":nam sinh viên nước da sáng:": "👨🏻‍🎓",
    ":nam sinh viên nước da sẫm màu trung bình:": "👨🏾‍🎓",
    ":nam sinh viên nước da sáng trung bình:": "👨🏼‍🎓",
    ":nam sinh viên nước da trung bình:": "👨🏽‍🎓",
    ":người đàn ông siêu anh hùng màu da tối:": "🦸🏿‍♂",
    ":người đàn ông siêu anh hùng chọn tông màu da tối:": "🦸🏿‍♂️",
    ":người đàn ông siêu anh hùng tông màu da sáng:": "🦸🏻‍♂",
    ":người đàn ông siêu anh hùng chọn tông màu da sáng:": "🦸🏻‍♂️",
    ":người đàn ông siêu anh hùng tông màu da tối trung bình:": "🦸🏾‍♂",
    ":người đàn ông siêu anh hùng trung bình tối màu da chọn:": "🦸🏾‍♂️",
    ":người đàn ông siêu anh hùng tông màu da sáng trung bình:": "🦸🏼‍♂",
    ":man anh hùng siêu anh hùng trung bình chọn tông màu da:": "🦸🏼‍♂️",
    ":người đàn ông siêu anh hùng tông màu da trung bình:": "🦸🏽‍♂",
    ":người đàn ông siêu anh hùng chọn tông màu da trung bình:": "🦸🏽‍♂️",
    ":siêu anh hùng:": "🦸",
    ":bộ chọn siêu anh hùng người đàn ông:": "🦸‍♂️",
    ":man supervillain màu da tối:": "🦹🏿‍♂",
    ":man supervillain bộ chọn tông màu da tối:": "🦹🏿‍♂️",
    ":màu da sáng man supervillain:": "🦹🏻‍♂",
    ":man supervillain bộ chọn tông màu da sáng:": "🦹🏻‍♂️",
    ":man supervillain tông màu da trung bình tối:": "🦹🏾‍♂",
    ":man supervillain bộ chọn tông màu da tối trung bình:": "🦹🏾‍♂️",
    ":man supervillain tông màu da sáng trung bình:": "🦹🏼‍♂",
    ":man supervillain bộ chọn tông màu da sáng trung bình:": "🦹🏼‍♂️",
    ":man supervillain màu da trung bình:": "🦹🏽‍♂",
    ":man supervillain trung bình chọn tông màu da:": "🦹🏽‍♂️",
    ":người đàn ông supervillain:": "🦹‍♂",
    ":bộ chọn người đàn ông supervillain:": "🦹‍♂️",
    ":người đàn ông lướt da tối màu:": "🏄🏿‍♂️",
    ":người đàn ông lướt da sáng màu:": "🏄🏻‍♂️",
    ":người đàn ông lướt ván có tông màu da tối trung bình:": "🏄🏾‍♂️",
    ":người đàn ông lướt da sáng màu trung bình:": "🏄🏼‍♂️",
    ":người đàn ông lướt da trung bình:": "🏄🏽‍♂️",
    ":người đàn ông lướt sóng:": "🏄‍♂",
    ":bộ chọn người đàn ông lướt:": "🏄‍♂️",
    ":người đàn ông bơi lội nước da sẫm màu:": "🏊🏿‍♂️",
    ":người đàn ông bơi lội nước da sáng:": "🏊🏻‍♂️",
    ":người đàn ông bơi lội nước da sẫm màu trung bình:": "🏊🏾‍♂️",
    ":người đàn ông bơi lội nước da sáng màu trung bình:": "🏊🏼‍♂️",
    ":người đàn ông bơi lội nước da trung bình:": "🏊🏽‍♂️",
    ":người đàn ông bơi lội:": "🏊‍♂️",
    ":giáo viên đàn ông:": "👨‍🏫",
    ":người đàn ông giáo viên nước da sẫm màu:": "👨🏿‍🏫",
    ":người đàn ông giáo viên màu da sáng:": "👨🏻‍🏫",
    ":người đàn ông giáo viên nước da sẫm màu trung bình:": "👨🏾‍🏫",
    ":người đàn ông giáo viên màu da trung bình sáng:": "👨🏼‍🏫",
    ":người đàn ông giáo viên da trung bình:": "👨🏽‍🏫",
    ":nhà công nghệ con người:": "👨‍💻",
    ":kỹ thuật viên người đàn ông có màu da tối:": "👨🏿‍💻",
    ":người đàn ông công nghệ sáng màu da:": "👨🏻‍💻",
    ":kỹ thuật viên người đàn ông tông màu da tối trung bình:": "👨🏾‍💻",
    ":công nghệ người đàn ông tông màu da sáng trung bình:": "👨🏼‍💻",
    ":công nghệ người đàn ông tông màu da trung bình:": "👨🏽‍💻",
    ":người đàn ông nghiêng tay màu da sẫm:": "💁🏿‍♂️",
    ":người đàn ông nghiêng tay màu da sáng:": "💁🏻‍♂️",
    ":người đàn ông nghiêng tay có màu da tối trung bình:": "💁🏾‍♂️",
    ":người đàn ông nghiêng tay tông màu da sáng trung bình:": "💁🏼‍♂️",
    ":người đàn ông nghiêng tay màu da trung bình:": "💁🏽‍♂️",
    ":người đàn ông đưa tay:": "💁‍♂",
    ":bộ chọn tay người đàn ông:": "💁‍♂️",
    ":người đàn ông ma cà rồng màu da tối:": "🧛🏿‍♂️",
    ":người đàn ông ma cà rồng màu da sáng:": "🧛🏻‍♂️",
    ":người đàn ông ma cà rồng tông màu da tối trung bình:": "🧛🏾‍♂️",
    ":người đàn ông ma cà rồng tông màu da sáng trung bình:": "🧛🏼‍♂️",
    ":người đàn ông ma cà rồng tông màu da trung bình:": "🧛🏽‍♂️",
    ":ma cà rồng đàn ông:": "🧛‍♂",
    ":bộ chọn ma cà rồng đàn ông:": "🧛‍♂️",
    ":người đàn ông đi bộ có màu da sẫm:": "🚶🏿‍♂️",
    ":người đàn ông đi bộ màu da sáng:": "🚶🏻‍♂️",
    ":người đàn ông đi bộ có màu da tối trung bình:": "🚶🏾‍♂️",
    ":người đàn ông đi bộ màu da sáng trung bình:": "🚶🏼‍♂️",
    ":người đàn ông đi bộ màu da trung bình:": "🚶🏽‍♂️",
    ":người đàn ông đi bộ:": "🚶‍♂",
    ":người đàn ông đi bộ chọn:": "🚶‍♂️",
    ":người đàn ông đeo khăn xếp màu da sẫm:": "👳🏿‍♂️",
    ":người đàn ông đeo khăn xếp màu da sáng:": "👳🏻‍♂️",
    ":người đàn ông đội khăn xếp có tông màu da tối vừa:": "👳🏾‍♂️",
    ":người đàn ông đeo khăn xếp có tông màu da sáng vừa phải:": "👳🏼‍♂️",
    ":người đàn ông đeo khăn xếp màu da trung bình:": "👳🏽‍♂️",
    ":người đàn ông mặc khăn xếp:": "👳‍♂️",
    ":người đàn ông đội mũ lưỡi trai Trung Quốc:": "👲",
    ":người đàn ông đội mũ lưỡi trai Trung Quốc màu da sẫm:": "👲🏿",
    ":người đàn ông có mũ lưỡi trai Trung Quốc màu da sáng:": "👲🏻",
    ":người đàn ông có mũ lưỡi trai Trung Quốc màu da sẫm vừa phải:": "👲🏾",
    ":người đàn ông có mũ lưỡi trai Trung Quốc màu da sáng vừa phải:": "👲🏼",
    ":người đàn ông có mũ lưỡi trai Trung Quốc màu da trung bình:": "👲🏽",
    ":người đàn ông với làn da sẫm màu của cây gậy thăm dò:": "👨🏿‍🦯",
    ":người đàn ông với làn da sáng màu của cây mía:": "👨🏻‍🦯",
    ":người đàn ông có cây gậy thăm dò nước da sẫm màu trung bình:": "👨🏾‍🦯",
    ":người đàn ông có làn da sáng màu vừa phải:": "👨🏼‍🦯",
    ":người đàn ông với làn da trung bình của cây mía:": "👨🏽‍🦯",
    ":người đàn ông với cây gậy thăm dò:": "👨‍🦯",
    ":người đàn ông zombie:": "🧟‍♂",
    ":người đàn ông chọn zombie:": "🧟‍♂️",
    ":trái xoài:": "🥭",
    ":đồng hồ lò sưởi:": "🕰",
    ":bộ chọn đồng hồ mantelpiece:": "🕰️",
    ":xe lăn bằng tay:": "🦽",
    ":giày của đàn ông:": "👞",
    ":bản đồ của nhật bản:": "🗾",
    ":lá phong:": "🍁",
    ":võ phục:": "🥋",
    ":người bạn đời:": "🧉",
    ":thịt trên xương:": "🍖",
    ":cánh tay cơ khí:": "🦾",
    ":chân máy móc:": "🦿",
    ":biểu tượng y tế:": "⚕",
    ":bộ chọn ký hiệu y tế:": "⚕️",
    ":tông màu da trung bình tối:": "🏾",
    ":tông màu da sáng trung bình:": "🏼",
    ":tông màu da trung bình:": "🏽",
    ":cái loa:": "📣",
    ":dưa:": "🍈",
    ":ghi nhớ:": "📝",
    ":đàn ông nắm tay làn da tối màu da sáng:": "👨🏿‍🤝‍👨🏻",
    ":đàn ông nắm tay màu da sẫm màu da tối trung bình:": "👨🏿‍🤝‍👨🏾",
    ":đàn ông nắm tay màu da sẫm màu da sáng trung bình:": "👨🏿‍🤝‍👨🏼",
    ":đàn ông nắm tay màu da sẫm màu da trung bình:": "👨🏿‍🤝‍👨🏽",
    ":đàn ông nắm tay màu da sẫm:": "👬🏿",
    ":đàn ông nắm tay màu da sáng:": "👬🏻",
    ":đàn ông nắm tay làn da sẫm màu trung bình tông màu da sáng:": "👨🏾‍🤝‍👨🏻",
    ":đàn ông nắm tay màu da tối trung bình màu da sáng trung bình:": "👨🏾‍🤝‍👨🏼",
    ":đàn ông nắm tay màu da trung bình tối màu da trung bình:": "👨🏾‍🤝‍👨🏽",
    ":đàn ông nắm tay nước da sẫm màu trung bình:": "👬🏾",
    ":đàn ông nắm tay màu da sáng trung bình màu da sáng:": "👨🏼‍🤝‍👨🏻",
    ":đàn ông nắm tay màu da sáng trung bình:": "👬🏼",
    ":đàn ông nắm tay màu da trung bình màu da sáng:": "👨🏽‍🤝‍👨🏻",
    ":đàn ông nắm tay tông màu da trung bình tông màu da sáng trung bình:": "👨🏽‍🤝‍👨🏼",
    ":đàn ông nắm tay màu da trung bình:": "👬🏽",
    ":người đàn ông có đôi tai thỏ:": "👯‍♂",
    ":người đàn ông có bộ chọn tai thỏ:": "👯‍♂️",
    ":đấu vật nam:": "🤼‍♂",
    ":bộ chọn đấu vật nam:": "🤼‍♂️",
    ":menorah:": "🕎",
    ":phòng của nam giới:": "🚹",
    ":nàng tiên cá màu da tối:": "🧜🏿‍♀️",
    ":nước da sáng của nàng tiên cá:": "🧜🏻‍♀️",
    ":nàng tiên cá có màu da tối trung bình:": "🧜🏾‍♀️",
    ":nàng tiên cá nước da sáng trung bình:": "🧜🏼‍♀️",
    ":nước da trung bình của nàng tiên cá:": "🧜🏽‍♀️",
    ":Mỹ nhân ngư:": "🧜‍♀",
    ":bộ chọn nàng tiên cá:": "🧜‍♀️",
    ":nước da sẫm màu của Đức:": "🧜🏿‍♂️",
    ":màu da sáng Đức:": "🧜🏻‍♂️",
    ":màu da tối trung bình của Đức:": "🧜🏾‍♂️",
    ":màu da sáng trung bình của Đức:": "🧜🏼‍♂️",
    ":tông màu da trung bình của Đức:": "🧜🏽‍♂️",
    ":người đức:": "🧜‍♂",
    ":bộ chọn người Đức:": "🧜‍♂️",
    ":người thương:": "🧜",
    ":tông màu da tối của người thương:": "🧜🏿",
    ":tông màu da sáng nhẹ nhàng:": "🧜🏻",
    ":tông màu da trung bình đậm:": "🧜🏾",
    ":tông màu da sáng vừa phải:": "🧜🏼",
    ":tông màu da trung bình của người thương:": "🧜🏽",
    ":tàu điện:": "🚇",
    ":vi trùng:": "🦠",
    ":cái mic cờ rô:": "🎤",
    ":kính hiển vi:": "🔬",
    ":ngón giữa:": "🖕",
    ":ngón giữa màu da sẫm:": "🖕🏿",
    ":ngón giữa màu da sáng:": "🖕🏻",
    ":ngón giữa tông màu da tối vừa:": "🖕🏾",
    ":ngón giữa tông màu da sáng trung bình:": "🖕🏼",
    ":ngón giữa màu da trung bình:": "🖕🏽",
    ":huy chương quân sự:": "🎖",
    ":người chọn huy chương quân sự:": "🎖️",
    ":dải Ngân Hà:": "🌌",
    ":xe buýt nhỏ:": "🚐",
    ":Im lặng:": "🗿",
    ":điện thoại di động:": "📱",
    ":điện thoại di động tắt:": "📴",
    ":điện thoại di động có mũi tên:": "📲",
    ":mặt tiền:": "🤑",
    ":túi tiền:": "💰",
    ":tiền có cánh:": "💸",
    ":con khỉ:": "🐒",
    ":mặt khỉ:": "🐵",
    ":monorail:": "🚝",
    ":bánh trung thu:": "🥮",
    ":lễ ngắm trăng:": "🎑",
    ":nhà thờ Hồi giáo:": "🕌",
    ":con muỗi:": "🦟",
    ":thuyền máy:": "🛥",
    ":bộ chọn thuyền máy:": "🛥️",
    ":xe gắn máy tay ga:": "🛵",
    ":xe máy:": "🏍",
    ":bộ chọn xe máy:": "🏍️",
    ":xe lăn có động cơ:": "🦼",
    ":đường cao tốc:": "🛣",
    ":bộ chọn đường cao tốc:": "🛣️",
    ":Fuji Mount:": "🗻",
    ":núi:": "⛰",
    ":cáp treo núi:": "🚠",
    ":đường sắt trên núi:": "🚞",
    ":bộ chọn núi:": "⛰️",
    ":chuột:": "🐁",
    ":mặt chuột:": "🐭",
    ":mồm:": "👄",
    ":máy quay phim:": "🎥",
    ":dấu nhân:": "✖️",
    ":nấm:": "🍄",
    ":bàn phím âm nhạc:": "🎹",
    ":nốt nhạc:": "🎵",
    ":Nốt nhạc:": "🎶",
    ":điểm âm nhạc:": "🎼",
    ":loa tắt tiếng:": "🔇",
    ":làm móng:": "💅",
    ":sơn móng tay màu da sẫm:": "💅🏿",
    ":sơn móng tay màu da sáng:": "💅🏻",
    ":sơn móng tay màu da sẫm vừa phải:": "💅🏾",
    ":sơn móng tay màu da sáng trung bình:": "💅🏼",
    ":sơn móng tay màu da trung bình:": "💅🏽",
    ":huy hiệu tên:": "📛",
    ":công viên quốc gia:": "🏞️",
    ":mặt buồn nôn:": "🤢",
    ":Nazar Amulet:": "🧿",
    ":cà vạt:": "👔",
    ":mặt mọt sách:": "🤓",
    ":mặt trung tính:": "😐",
    ":trăng non:": "🌑",
    ":mặt trăng non:": "🌚",
    ":báo chí:": "📰",
    ":nút theo dõi tiếp theo:": "⏭",
    ":nút chọn nút theo dõi tiếp theo:": "⏭️",
    ":đêm với những vì sao:": "🌃",
    ":chín giờ rưỡi:": "🕤",
    ":chín giờ:": "🕘",
    ":không có xe đạp:": "🚳",
    ":cấm vào:": "⛔",
    ":không vứt rác bừa bãi:": "🚯",
    ":không có điện thoại di động:": "📵",
    ":không ai dưới mười tám tuổi:": "🔞",
    ":không có người đi bộ:": "🚷",
    ":không hút thuốc:": "🚭",
    ":nước không uống được:": "🚱",
    ":cái mũi:": "👃",
    ":mũi tối màu da:": "👃🏿",
    ":mũi sáng màu da:": "👃🏻",
    ":mũi trung bình tối màu da:": "👃🏾",
    ":mũi trung bình màu da sáng:": "👃🏼",
    ":mũi trung bình màu da:": "👃🏽",
    ":sổ tay:": "📓",
    ":sổ tay có bìa trang trí:": "📔",
    ":đai ốc và bu lông:": "🔩",
    ":bạch tuộc:": "🐙",
    ":oden:": "🍢",
    ":Tòa nhà văn phòng:": "🏢",
    ":trống dầu:": "🛢",
    ":bộ chọn trống dầu:": "🛢️",
    ":chìa khóa cũ:": "🗝",
    ":bộ chọn phím cũ:": "🗝️",
    ":ông già:": "👴",
    ":ông già màu da sẫm:": "👴🏿",
    ":ông già màu da sáng:": "👴🏻",
    ":ông già nước da sẫm màu trung bình:": "👴🏾",
    ":ông già màu da sáng trung bình:": "👴🏼",
    ":ông già màu da trung bình:": "👴🏽",
    ":bà già:": "👵",
    ":bà già màu da sẫm:": "👵🏿",
    ":làn da sáng của bà già:": "👵🏻",
    ":bà già nước da sẫm màu trung bình:": "👵🏾",
    ":phụ nữ già tông màu da sáng trung bình:": "👵🏼",
    ":bà già nước da trung bình:": "👵🏽",
    ":người lớn tuổi:": "🧓",
    ":người lớn tuổi có màu da sẫm:": "🧓🏿",
    ":người lớn tuổi màu da sáng:": "🧓🏻",
    ":người lớn tuổi có màu da tối trung bình:": "🧓🏾",
    ":người lớn tuổi màu da sáng trung bình:": "🧓🏼",
    ":người lớn tuổi màu da trung bình:": "🧓🏽",
    ":nếu:": "🕉",
    ":bộ chọn om:": "🕉️",
    ":ô tô đang tới:": "🚘",
    ":xe buýt sắp tới:": "🚍",
    ":nắm tay sắp tới:": "👊",
    ":nắm tay sắp tới tông màu da tối:": "👊🏿",
    ":màu da sáng nắm tay sắp tới:": "👊🏻",
    ":nắm tay sắp tới tông màu da tối trung bình:": "👊🏾",
    ":nắm tay sắp tới tông màu da sáng trung bình:": "👊🏼",
    ":nắm tay sắp tới tông màu da trung bình:": "👊🏽",
    ":xe cảnh sát đang tới:": "🚔",
    ":taxi đang đến:": "🚖",
    ":áo tắm một mảnh:": "🩱",
    ":một giờ ba mươi:": "🕜",
    ":một giờ:": "🕐",
    ":củ hành:": "🧅",
    ":mở sách:": "📖",
    ":mở thư mục tệp:": "📂",
    ":mở tay:": "👐",
    ":mở bàn tay màu da sẫm:": "👐🏿",
    ":mở tay màu da sáng:": "👐🏻",
    ":mở bàn tay màu da tối trung bình:": "👐🏾",
    ":mở bàn tay màu da sáng trung bình:": "👐🏼",
    ":mở bàn tay màu da trung bình:": "👐🏽",
    ":mở hộp thư với cờ hạ xuống:": "📭",
    ":mở hộp thư với cờ nâng lên:": "📬",
    ":đĩa quang:": "💿",
    ":cuốn sách màu cam:": "📙",
    ":vòng tròn màu cam:": "🟠",
    ":trái tim màu cam:": "🧡",
    ":hình vuông màu cam:": "🟧",
    ":đười ươi:": "🦧",
    ":thập giá chính thống:": "☦",
    ":bộ chọn chéo chính thống:": "☦️",
    ":con rái cá:": "🦦",
    ":khay hộp thư đi:": "📤",
    ":con cú:": "🦉",
    ":con hàu:": "🦪",
    ":gói hàng:": "📦",
    ":trang hướng lên:": "📄",
    ":trang có cuộn:": "📃",
    ":máy nhắn tin:": "📟",
    ":cọ sơn:": "🖌",
    ":bộ chọn cọ vẽ:": "🖌️",
    ":cây cọ:": "🌴",
    ":cọ vào nhau:": "🤲",
    ":cọ lên cùng tông màu da tối:": "🤲🏿",
    ":cọ lên cùng tông màu da sáng:": "🤲🏻",
    ":lòng bàn tay lên với tông màu da tối trung bình:": "🤲🏾",
    ":cọ lên với tông màu da sáng trung bình:": "🤲🏼",
    ":cọ lên cùng tông màu da trung bình:": "🤲🏽",
    ":bánh xèo:": "🥞",
    ":mặt gấu trúc:": "🐼",
    ":Cái kẹp giấy:": "📎",
    ":cái dù bay:": "🪂",
    ":con vẹt:": "🦜",
    ":dấu luân phiên phần:": "〽",
    ":bộ chọn dấu thay thế một phần:": "〽️",
    ":tiệc tùng:": "🎉",
    ":khuôn mặt tiệc tùng:": "🥳",
    ":tàu chở khách:": "🛳",
    ":bộ chọn tàu chở khách:": "🛳️",
    ":kiểm tra hộ chiếu:": "🛂",
    ":nút tạm dừng:": "⏸",
    ":bộ chọn nút tạm dừng:": "⏸️",
    ":vết chân chó:": "🐾",
    ":biểu tượng hòa bình:": "☮",
    ":bộ chọn biểu tượng hòa bình:": "☮️",
    ":đào:": "🍑",
    ":con công:": "🦚",
    ":đậu phộng:": "🥜",
    ":Lê:": "🍐",
    ":Xịt nước:": "🖊",
    ":bộ chọn bút:": "🖊️",
    ":bộ chọn bút chì:": "✏️",
    ":chim cánh cụt:": "🐧",
    ":khuôn mặt trầm ngâm:": "😔",
    ":người nắm tay làn da sẫm màu da sáng:": "🧑🏿‍🤝‍🧑🏻",
    ":người nắm tay làn da tối màu da tối trung bình:": "🧑🏿‍🤝‍🧑🏾",
    ":người nắm tay làn da sẫm màu da sáng trung bình:": "🧑🏿‍🤝‍🧑🏼",
    ":người nắm tay làn da sẫm màu nước da trung bình:": "🧑🏿‍🤝‍🧑🏽",
    ":người nắm tay có màu da sẫm:": "🧑🏿‍🤝‍🧑🏿",
    ":người nắm tay có màu da sáng:": "🧑🏻‍🤝‍🧑🏻",
    ":người nắm tay làn da sẫm màu trung bình tông màu da sáng:": "🧑🏾‍🤝‍🧑🏻",
    ":người nắm tay màu da tối trung bình màu da sáng trung bình:": "🧑🏾‍🤝‍🧑🏼",
    ":người nắm tay màu da trung bình tối màu da trung bình:": "🧑🏾‍🤝‍🧑🏽",
    ":người nắm tay có màu da tối trung bình:": "🧑🏾‍🤝‍🧑🏾",
    ":người nắm tay màu da sáng trung bình màu da sáng:": "🧑🏼‍🤝‍🧑🏻",
    ":người nắm tay màu da sáng trung bình:": "🧑🏼‍🤝‍🧑🏼",
    ":người nắm tay màu da trung bình màu da sáng:": "🧑🏽‍🤝‍🧑🏻",
    ":người nắm tay tông màu da trung bình tông màu da sáng trung bình:": "🧑🏽‍🤝‍🧑🏼",
    ":người nắm tay có màu da trung bình:": "🧑🏽‍🤝‍🧑🏽",
    ":mọi người nắm tay nhau:": "🧑‍🤝‍🧑",
    ":những người có tai thỏ:": "👯",
    ":mọi người đấu vật:": "🤼",
    ":biểu diễn nghệ thuật:": "🎭",
    ":khuôn mặt kiên trì:": "😣",
    ":người đạp xe:": "🚴",
    ":người đạp xe có màu da sẫm:": "🚴🏿",
    ":người đạp xe tông màu da sáng:": "🚴🏻",
    ":người đạp xe có màu da tối trung bình:": "🚴🏾",
    ":người đạp xe tông màu da sáng trung bình:": "🚴🏼",
    ":người đạp xe tông màu da trung bình:": "🚴🏽",
    ":người nảy bóng:": "⛹",
    ":người nảy bóng màu da tối:": "⛹🏿",
    ":người nảy bóng màu da sáng:": "⛹🏻",
    ":người nảy bóng màu da trung bình tối:": "⛹🏾",
    ":người nảy bóng màu da sáng trung bình:": "⛹🏼",
    ":người nảy bóng màu da trung bình:": "⛹🏽",
    ":người chọn bóng nảy:": "⛹️",
    ":người cúi đầu:": "🙇",
    ":người cúi đầu có màu da sẫm:": "🙇🏿",
    ":người cúi đầu có màu da sáng:": "🙇🏻",
    ":người cúi đầu có màu da tối trung bình:": "🙇🏾",
    ":người cúi chào màu da sáng trung bình:": "🙇🏼",
    ":người cúi đầu có màu da trung bình:": "🙇🏽",
    ":người quay phim:": "🤸",
    ":người tô màu da tối:": "🤸🏿",
    ":làn da sáng màu da người:": "🤸🏻",
    ":người tô màu da tối trung bình:": "🤸🏾",
    ":màu da người sáng trung bình:": "🤸🏼",
    ":người có tông màu da trung bình:": "🤸🏽",
    ":người leo núi:": "🧗",
    ":người leo núi da sẫm màu:": "🧗🏿",
    ":người leo núi màu da sáng:": "🧗🏻",
    ":người leo núi có màu da tối trung bình:": "🧗🏾",
    ":người leo núi màu da sáng trung bình:": "🧗🏼",
    ":người leo núi màu da trung bình:": "🧗🏽",
    ":người đối mặt:": "🤦",
    ":người đối mặt với làn da sẫm màu:": "🤦🏿",
    ":người đối mặt với tông màu da sáng:": "🤦🏻",
    ":người đối mặt với tông màu da tối trung bình:": "🤦🏾",
    ":người facepalming tông màu da sáng trung bình:": "🤦🏼",
    ":người facepalming tông màu da trung bình:": "🤦🏽",
    ":đấu kiếm người:": "🤺",
    ":người cau mày:": "🙍",
    ":người cau mày có màu da sẫm:": "🙍🏿",
    ":người cau mày có màu da sáng:": "🙍🏻",
    ":người cau mày có màu da tối trung bình:": "🙍🏾",
    ":người cau mày có màu da sáng trung bình:": "🙍🏼",
    ":người cau mày có màu da trung bình:": "🙍🏽",
    ":người ra hiệu KHÔNG:": "🙅",
    ":người cử chỉ KHÔNG có màu da sẫm:": "🙅🏿",
    ":người cử chỉ KHÔNG có màu da sáng:": "🙅🏻",
    ":người cử chỉ KHÔNG có màu da tối trung bình:": "🙅🏾",
    ":người cử chỉ KHÔNG có màu da sáng trung bình:": "🙅🏼",
    ":người cử chỉ KHÔNG có màu da trung bình:": "🙅🏽",
    ":người ra hiệu OK:": "🙆",
    ":người cử chỉ OK màu da sẫm:": "🙆🏿",
    ":người cử chỉ OK màu da sáng:": "🙆🏻",
    ":người cử chỉ OK tông màu da tối trung bình:": "🙆🏾",
    ":người cử chỉ OK tông màu da sáng trung bình:": "🙆🏼",
    ":người cử chỉ OK tông màu da trung bình:": "🙆🏽",
    ":người cắt tóc:": "💇",
    ":người cắt tóc màu da sẫm:": "💇🏿",
    ":người cắt tóc màu da sáng:": "💇🏻",
    ":người cắt tóc có màu da sẫm trung bình:": "💇🏾",
    ":người cắt tóc có màu da sáng trung bình:": "💇🏼",
    ":người cắt tóc có màu da trung bình:": "💇🏽",
    ":người được massage:": "💆",
    ":người được massage làn da sẫm màu:": "💆🏿",
    ":người được massage làm sáng màu da:": "💆🏻",
    ":người được massage nước da sẫm màu trung bình:": "💆🏾",
    ":người được massage màu da sáng trung bình:": "💆🏼",
    ":người được massage màu da trung bình:": "💆🏽",
    ":người chơi gôn:": "🏌",
    ":người chơi gôn có màu da sẫm:": "🏌🏿",
    ":người chơi gôn có màu da sáng:": "🏌🏻",
    ":người chơi gôn có màu da tối trung bình:": "🏌🏾",
    ":người chơi gôn có màu da sáng trung bình:": "🏌🏼",
    ":người chơi gôn có màu da trung bình:": "🏌🏽",
    ":người trên giường:": "🛌",
    ":người trên giường có màu da sẫm:": "🛌🏿",
    ":người trên giường có màu da sáng:": "🛌🏻",
    ":người trên giường có màu da tối trung bình:": "🛌🏾",
    ":người trên giường có màu da sáng trung bình:": "🛌🏼",
    ":người trên giường có màu da trung bình:": "🛌🏽",
    ":người ở tư thế hoa sen:": "🧘",
    ":người ở tư thế hoa sen màu da sẫm:": "🧘🏿",
    ":người ở tư thế hoa sen màu da sáng:": "🧘🏻",
    ":người ở tư thế hoa sen màu da tối trung bình:": "🧘🏾",
    ":người ở tư thế hoa sen màu da sáng trung bình:": "🧘🏼",
    ":người ở tư thế hoa sen màu da trung bình:": "🧘🏽",
    ":người trong phòng ướt át:": "🧖",
    ":người trong phòng ướt có màu da sẫm:": "🧖🏿",
    ":người trong phòng ướt át màu da sáng:": "🧖🏻",
    ":người trong phòng ướt có màu da tối vừa:": "🧖🏾",
    ":người trong phòng ướt át tông màu da sáng vừa:": "🧖🏼",
    ":người trong phòng ướt có màu da trung bình:": "🧖🏽",
    ":người tung hứng:": "🤹",
    ":người tung hứng màu da tối:": "🤹🏿",
    ":người tung hứng màu da sáng:": "🤹🏻",
    ":người tung hứng màu da tối trung bình:": "🤹🏾",
    ":người tung hứng tông màu da sáng trung bình:": "🤹🏼",
    ":người tung hứng màu da trung bình:": "🤹🏽",
    ":người quỳ gối có màu da sẫm:": "🧎🏿",
    ":người quỳ gối màu da sáng:": "🧎🏻",
    ":người quỳ gối có màu da tối trung bình:": "🧎🏾",
    ":người quỳ gối có màu da sáng trung bình:": "🧎🏼",
    ":người quỳ gối có màu da trung bình:": "🧎🏽",
    ":người quỳ:": "🧎",
    ":người nâng tạ:": "🏋",
    ":người nâng tạ màu da sẫm:": "🏋🏿",
    ":người nâng tạ màu da sáng:": "🏋🏻",
    ":người nâng tạ nước da sẫm màu trung bình:": "🏋🏾",
    ":người nâng tạ màu da sáng trung bình:": "🏋🏼",
    ":người nâng tạ màu da trung bình:": "🏋🏽",
    ":bộ chọn người nâng tạ:": "🏋️",
    ":người đi xe đạp leo núi:": "🚵",
    ":người leo núi đạp xe tông màu da tối:": "🚵🏿",
    ":người leo núi đạp xe tông màu da sáng:": "🚵🏻",
    ":người đi xe đạp leo núi màu da tối trung bình:": "🚵🏾",
    ":người đi xe đạp leo núi tông màu da sáng trung bình:": "🚵🏼",
    ":người đi xe đạp leo núi tông màu da trung bình:": "🚵🏽",
    ":người chơi bóng ném:": "🤾",
    ":người chơi bóng ném màu da sẫm:": "🤾🏿",
    ":người chơi bóng ném màu da sáng:": "🤾🏻",
    ":người chơi bóng ném nước da sẫm màu trung bình:": "🤾🏾",
    ":người chơi bóng ném màu da sáng trung bình:": "🤾🏼",
    ":người chơi bóng ném màu da trung bình:": "🤾🏽",
    ":người chơi bóng nước:": "🤽",
    ":người chơi bóng nước màu da sẫm:": "🤽🏿",
    ":người chơi bóng nước màu da sáng:": "🤽🏻",
    ":người chơi bóng nước tông màu da tối trung bình:": "🤽🏾",
    ":người chơi bóng nước tông màu da sáng trung bình:": "🤽🏼",
    ":người chơi bóng nước màu da trung bình:": "🤽🏽",
    ":người bĩu môi:": "🙎",
    ":người bĩu môi có màu da sẫm:": "🙎🏿",
    ":người bĩu môi có màu da sáng:": "🙎🏻",
    ":người bĩu môi có màu da tối trung bình:": "🙎🏾",
    ":người bĩu môi có màu da sáng trung bình:": "🙎🏼",
    ":người bĩu môi có màu da trung bình:": "🙎🏽",
    ":người giơ tay:": "🙋",
    ":người nâng tay có màu da sẫm:": "🙋🏿",
    ":người nâng tay có màu da sáng:": "🙋🏻",
    ":người giơ tay có màu da tối trung bình:": "🙋🏾",
    ":người giơ tay có màu da sáng trung bình:": "🙋🏼",
    ":người giơ tay có màu da trung bình:": "🙋🏽",
    ":người chèo thuyền:": "🚣",
    ":người chèo thuyền màu da sẫm:": "🚣🏿",
    ":người chèo thuyền màu da sáng:": "🚣🏻",
    ":người chèo thuyền màu da tối trung bình:": "🚣🏾",
    ":người chèo thuyền màu da sáng trung bình:": "🚣🏼",
    ":người chèo thuyền màu da trung bình:": "🚣🏽",
    ":người đang chạy:": "🏃",
    ":người có màu da sẫm:": "🧍🏿",
    ":người có màu da sáng:": "🤷🏻",
    ":người có màu da tối trung bình:": "🏃🏾",
    ":người chạy màu da sáng trung bình:": "🏃🏼",
    ":người có màu da trung bình:": "🤷🏽",
    ":người nhún vai:": "🤷",
    ":người có màu da sẫm vừa phải:": "🤷🏾",
    ":người nhún nước da sáng trung bình:": "🤷🏼",
    ":người đứng màu da sáng:": "🧍🏻",
    ":người đứng màu da trung bình tối:": "🧍🏾",
    ":người đứng tông màu da sáng trung bình:": "🧍🏼",
    ":người đứng màu da trung bình:": "🧍🏽",
    ":người đứng:": "🧍",
    ":người lướt sóng:": "🏄",
    ":người lướt da tối màu:": "🏄🏿",
    ":người lướt da sáng màu:": "🏄🏻",
    ":người lướt da tối màu trung bình:": "🏄🏾",
    ":người lướt da sáng trung bình:": "🏄🏼",
    ":người lướt da trung bình:": "🏄🏽",
    ":người bơi lội:": "🏊",
    ":người bơi lội nước da sẫm màu:": "🏊🏿",
    ":người bơi lội nước da sáng:": "🏊🏻",
    ":người bơi lội nước da sẫm màu trung bình:": "🏊🏾",
    ":người bơi lội nước da sáng trung bình:": "🏊🏼",
    ":người bơi lội nước da trung bình:": "🏊🏽",
    ":người đang tắm:": "🛀",
    ":người đang tắm nước da sẫm màu:": "🛀🏿",
    ":người tắm sáng màu da:": "🛀🏻",
    ":người đang tắm nước da sẫm màu trung bình:": "🛀🏾",
    ":người đang tắm màu da sáng trung bình:": "🛀🏼",
    ":người tắm nước da trung bình:": "🛀🏽",
    ":người đưa tay:": "💁",
    ":người nghiêng tay có màu da sẫm:": "💁🏿",
    ":người nghiêng tay màu da sáng:": "💁🏻",
    ":người nghiêng tay có màu da tối trung bình:": "💁🏾",
    ":người nghiêng bàn tay tông màu da sáng trung bình:": "💁🏼",
    ":người nghiêng bàn tay tông màu da trung bình:": "💁🏽",
    ":người đi bộ:": "🚶",
    ":người đi bộ có màu da sẫm:": "🚶🏿",
    ":người đi bộ màu da sáng:": "🚶🏻",
    ":người đi bộ có màu da tối trung bình:": "🚶🏾",
    ":người đi bộ màu da sáng trung bình:": "🚶🏼",
    ":người đi bộ có màu da trung bình:": "🚶🏽",
    ":người đội khăn xếp:": "👳",
    ":người đội khăn xếp màu da sẫm:": "👳🏿",
    ":người đội khăn xếp màu da sáng:": "👳🏻",
    ":người đội khăn xếp có tông màu da tối trung bình:": "👳🏾",
    ":người đội khăn xếp có tông màu da sáng trung bình:": "👳🏼",
    ":người đội khăn xếp có tông màu da trung bình:": "👳🏽",
    ":đĩa petri:": "🧫",
    ":hái:": "⛏",
    ":chọn bộ chọn:": "⛏️",
    ":pie:": "🥧",
    ":con lợn:": "🐖",
    ":mặt lợn:": "🐷",
    ":mũi heo:": "🐽",
    ":đống phân:": "💩",
    ":Viên thuốc:": "💊",
    ":véo tay màu da sẫm:": "🤏🏿",
    ":véo tay làm sáng màu da:": "🤏🏻",
    ":véo bàn tay tông màu da tối trung bình:": "🤏🏾",
    ":véo tay tông màu da sáng trung bình:": "🤏🏼",
    ":véo tay màu da trung bình:": "🤏🏽",
    ":véo tay:": "🤏",
    ":trang trí cây thông:": "🎍",
    ":Trái dứa:": "🍍",
    ":bóng bàn:": "🏓",
    ":cờ cướp biển:": "🏴‍☠",
    ":bộ chọn cờ cướp biển:": "🏴‍☠️",
    ":súng lục:": "🔫",
    ":pizza:": "🍕",
    ":nơi thờ cúng:": "🛐",
    ":nút phát:": "▶",
    ":bộ chọn nút phát:": "▶️",
    ":nút phát hoặc tạm dừng:": "⏯",
    ":phát hoặc tạm dừng nút chọn:": "⏯️",
    ":khuôn mặt cầu xin:": "🥺",
    ":xe cảnh sát:": "🚓",
    ":đèn xe cảnh sát:": "🚨",
    ":Cảnh sát:": "👮",
    ":cảnh sát có màu da sẫm:": "👮🏿",
    ":màu da sáng của sĩ quan cảnh sát:": "👮🏻",
    ":sĩ quan cảnh sát có màu da tối vừa:": "👮🏾",
    ":sĩ quan cảnh sát tông màu da sáng trung bình:": "👮🏼",
    ":màu da trung bình của sĩ quan cảnh sát:": "👮🏽",
    ":chó xù:": "🐩",
    ":pool 8 bóng:": "🎱",
    ":bắp rang bơ:": "🍿",
    ":Bưu điện:": "🏤",
    ":còi bưu điện:": "📯",
    ":hộp thư:": "📮",
    ":nồi thức ăn:": "🍲",
    ":nước sạch:": "🚰",
    ":khoai tây:": "🥔",
    ":chân gia cầm:": "🍗",
    ":tiền giấy bảng Anh:": "💷",
    ":mặt mèo bĩu môi:": "😾",
    ":mặt phụng phịu:": "😡",
    ":chuỗi hạt cầu nguyện:": "📿",
    ":phụ nữ có thai:": "🤰",
    ":phụ nữ mang thai màu da sẫm:": "🤰🏿",
    ":phụ nữ mang thai màu da sáng:": "🤰🏻",
    ":phụ nữ mang thai màu da trung bình tối:": "🤰🏾",
    ":phụ nữ mang thai màu da sáng trung bình:": "🤰🏼",
    ":phụ nữ mang thai màu da trung bình:": "🤰🏽",
    ":Hoàng tử:": "🤴",
    ":hoàng tử da sẫm màu:": "🤴🏿",
    ":màu da sáng hoàng tử:": "🤴🏻",
    ":hoàng tử tông da tối trung bình:": "🤴🏾",
    ":màu da sáng trung bình hoàng tử:": "🤴🏼",
    ":màu da trung bình hoàng tử:": "🤴🏽",
    ":công chúa:": "👸",
    ":công chúa da tối màu:": "👸🏿",
    ":công chúa da sáng:": "👸🏻",
    ":công chúa da tối màu trung bình:": "👸🏾",
    ":công chúa da sáng trung bình:": "👸🏼",
    ":công chúa da trung bình:": "👸🏽",
    ":máy in:": "🖨",
    ":bộ chọn máy in:": "🖨️",
    ":cây gậy thăm dò:": "🦯",
    ":Cấm:": "🚫",
    ":vòng tròn màu tím:": "🟣",
    ":trái tim tím:": "💜",
    ":hình vuông màu tím:": "🟪",
    ":cái ví:": "👛",
    ":đinh ghim:": "📌",
    ":dấu chấm hỏi:": "❓",
    ":Con thỏ:": "🐇",
    ":mặt thỏ:": "🐰",
    ":Gấu mèo. - Gấu mèo:": "🦝",
    ":xe đua:": "🏎",
    ":bộ chọn xe đua:": "🏎️",
    ":Đài:": "📻",
    ":nút radio:": "🔘",
    ":phóng xạ:": "☢",
    ":bộ chọn phóng xạ:": "☢️",
    ":toa tàu:": "🚃",
    ":đường sắt:": "🛤",
    ":bộ chọn đường ray:": "🛤️",
    ":cầu vồng:": "🌈",
    ":cờ cầu vồng:": "🏳‍🌈",
    ":bộ chọn cờ cầu vồng:": "🏳️‍🌈",
    ":giơ tay lên:": "🤚",
    ":nâng tay lên tông màu da sẫm:": "✋🏿",
    ":nâng tay lên tông màu da sáng:": "🤚🏻",
    ":nâng mu bàn tay lên tông màu da tối trung bình:": "🤚🏾",
    ":nâng lên mu bàn tay tông màu da sáng trung bình:": "🤚🏼",
    ":nâng lên của bàn tay tông màu da trung bình:": "🤚🏽",
    ":nắm tay giơ lên:": "✊",
    ":nâng nắm tay màu da sẫm:": "✊🏿",
    ":nâng nắm tay lên tông màu da sáng:": "✊🏻",
    ":nâng nắm tay lên tông màu da tối trung bình:": "✊🏾",
    ":nâng nắm tay lên tông màu da sáng trung bình:": "✊🏼",
    ":nâng nắm tay tông màu da trung bình:": "✊🏽",
    ":giơ tay:": "🙌",
    ":tay nâng tông da sáng:": "✋🏻",
    ":nâng tay lên tông màu da tối trung bình:": "✋🏾",
    ":nâng tay lên tông màu da sáng trung bình:": "✋🏼",
    ":nâng tay lên tông màu da trung bình:": "✋🏽",
    ":nâng cao màu da tay:": "🙌🏿",
    ":nâng tông da sáng cho tay:": "🙌🏻",
    ":nâng cao màu da tay trung bình tối:": "🙌🏾",
    ":nâng cao màu da tay trung bình sáng:": "🙌🏼",
    ":nâng cao màu da trung bình của bàn tay:": "🙌🏽",
    ":ram:": "🐏",
    ":con chuột:": "🐀",
    ":dao cạo:": "🪒",
    ":biên lai:": "🧾",
    ":nút ghi âm:": "⏺",
    ":nút chọn nút ghi:": "⏺️",
    ":biểu tượng tái chế:": "♻",
    ":bộ chọn ký hiệu tái chế:": "♻️",
    ":người tóc đỏ:": "👨‍🦰",
    ":người phụ nữ tóc đỏ:": "👩‍🦰",
    ":táo đỏ:": "🍎",
    ":vòng tròn đỏ:": "🔴",
    ":phong bì đỏ:": "🧧",
    ":tóc đỏ:": "🦰",
    ":trái tim đỏ:": "❤",
    ":bộ chọn trái tim màu đỏ:": "❤️",
    ":đèn lồng giấy đỏ:": "🏮",
    ":hình vuông màu đỏ:": "🟥",
    ":hình tam giác màu đỏ hướng xuống:": "🔻",
    ":tam giác đỏ hướng lên:": "🔺",
    ":ký hiệu chỉ thị khu vực chữ a:": "🇦",
    ":ký hiệu chỉ thị khu vực chữ b:": "🇧",
    ":ký hiệu chỉ thị khu vực chữ c:": "🇨",
    ":ký hiệu vùng chỉ thị chữ d:": "🇩",
    ":ký hiệu chỉ thị khu vực chữ e:": "🇪",
    ":ký hiệu chỉ thị khu vực chữ f:": "🇫",
    ":ký hiệu chỉ thị khu vực chữ g:": "🇬",
    ":ký hiệu chỉ thị khu vực chữ h:": "🇭",
    ":ký hiệu chỉ thị khu vực chữ i:": "🇮",
    ":ký hiệu chỉ thị khu vực chữ j:": "🇯",
    ":ký hiệu chỉ thị khu vực chữ k:": "🇰",
    ":ký hiệu chỉ thị khu vực chữ l:": "🇱",
    ":ký hiệu chỉ thị khu vực chữ m:": "🇲",
    ":ký hiệu chỉ thị khu vực chữ n:": "🇳",
    ":ký hiệu chỉ thị khu vực chữ o:": "🇴",
    ":ký hiệu chỉ thị khu vực chữ p:": "🇵",
    ":ký hiệu chỉ thị khu vực chữ q:": "🇶",
    ":ký hiệu chỉ thị khu vực chữ r:": "🇷",
    ":ký hiệu chỉ thị khu vực chữ s:": "🇸",
    ":ký hiệu chỉ thị khu vực chữ t:": "🇹",
    ":ký hiệu chỉ thị khu vực chữ u:": "🇺",
    ":ký hiệu chỉ thị khu vực chữ v:": "🇻",
    ":ký hiệu chỉ thị khu vực chữ w:": "🇼",
    ":ký hiệu chỉ thị khu vực chữ x:": "🇽",
    ":ký hiệu chỉ thị khu vực chữ cái y:": "🇾",
    ":ký hiệu vùng chỉ thị chữ z:": "🇿",
    ":đã đăng ký:": "®",
    ":bộ chọn đã đăng ký:": "®️",
    ":khuôn mặt nhẹ nhõm:": "😌",
    ":dải băng nhắc nhở:": "🎗",
    ":bộ chọn dải băng nhắc nhở:": "🎗️",
    ":nút lặp lại:": "🔁",
    ":lặp lại một nút:": "🔂",
    ":mũ bảo hiểm của nhân viên cứu hộ:": "⛑",
    ":bộ chọn mũ bảo hiểm của nhân viên cứu hộ:": "⛑️",
    ":phòng vệ sinh:": "🚽",
    ":nút đảo ngược:": "◀",
    ":bộ chọn nút đảo ngược:": "◀️",
    ":trái tim quay:": "💞",
    ":tê giác:": "🦏",
    ":ruy-băng:": "🎀",
    ":cơm nắm:": "🍙",
    ":bánh gạo:": "🍘",
    ":nắm tay phải đối mặt:": "🤜",
    ":nắm tay phải đối mặt với màu da sẫm:": "🤜🏿",
    ":mặt phải màu da sáng:": "🤜🏻",
    ":nắm tay phải đối mặt với màu da tối vừa:": "🤜🏾",
    ":nắm tay phải đối mặt với tông màu da sáng trung bình:": "🤜🏼",
    ":mặt phải nắm tay màu da trung bình:": "🤜🏽",
    ":bong bóng tức giận đúng:": "🗯",
    ":bộ chọn bong bóng tức giận bên phải:": "🗯️",
    ":mũi tên bên phải:": "➡",
    ":mũi tên phải cong xuống:": "⤵",
    ":mũi tên phải cong xuống bộ chọn:": "⤵️",
    ":mũi tên phải cong trái:": "↩",
    ":mũi tên phải uốn cong bộ chọn bên trái:": "↩️",
    ":mũi tên phải cong lên:": "⤴",
    ":mũi tên phải cong lên bộ chọn:": "⤴️",
    ":bộ chọn mũi tên phải:": "➡️",
    ":nhẫn:": "💍",
    ":hành tinh có vành khuyên:": "🪐",
    ":khoai lang nướng:": "🍠",
    ":mặt người máy:": "🤖",
    ":tên lửa:": "🚀",
    ":Cuộn giấy:": "🧻",
    ":cuộn báo:": "🗞",
    ":bộ chọn báo cuộn lại:": "🗞️",
    ":tàu lượn siêu tốc:": "🎢",
    ":Cười lăn lộn:": "🤣",
    ":gà trống:": "🐓",
    ":Hoa hồng:": "🌹",
    ":hoa thị:": "🏵",
    ":bộ chọn hoa thị:": "🏵️",
    ":đinh ghim tròn:": "📍",
    ":Bóng bầu dục bóng bầu dục:": "🏉",
    ":áo chạy bộ:": "🎽",
    ":giày chạy bộ:": "👟",
    ":khuôn mặt buồn nhưng nhẹ nhõm:": "😥",
    ":pin an toàn:": "🧷",
    ":áo phao:": "🦺",
    ":thuyền buồm:": "⛵",
    ":lợi ích:": "🍶",
    ":Muối:": "🧂",
    ":bánh mì sandwich:": "🥪",
    ":sari:": "🥻",
    ":vệ tinh:": "🛰",
    ":ăng ten vệ tinh:": "📡",
    ":bộ chọn vệ tinh:": "🛰️",
    ":sauropod:": "🦕",
    ":saxophone:": "🎷",
    ":khăn quàng cổ:": "🧣",
    ":trường học:": "🏫",
    ":ba lô đi học:": "🎒",
    ":cây kéo:": "✂",
    ":bộ chọn kéo:": "✂️",
    ":con bò cạp:": "🦂",
    ":cuộn giấy:": "📜",
    ":ghế:": "💺",
    ":không thấy con khỉ ác:": "🙈",
    ":cây con:": "🌱",
    ":Chụp ảnh tự sướng:": "🤳",
    ":tự sướng tông màu da tối:": "🤳🏿",
    ":màu da sáng tự sướng:": "🤳🏻",
    ":selfie tông màu da tối trung bình:": "🤳🏾",
    ":selfie tông màu da sáng trung bình:": "🤳🏼",
    ":màu da trung bình selfie:": "🤳🏽",
    ":chó dịch vụ:": "🐕‍🦺",
    ":bảy giờ ba mươi:": "🕢",
    ":bảy giờ:": "🕖",
    ":chảo cạn thức ăn:": "🥘",
    ":cây xa trục thảo:": "☘",
    ":bộ chọn shamrock:": "☘️",
    ":cá mập:": "🦈",
    ":đá bào:": "🍧",
    ":bó gạo:": "🌾",
    ":cái khiên:": "🛡",
    ":bộ chọn lá chắn:": "🛡️",
    ":đền thờ Shinto:": "⛩️",
    ":tàu:": "🚢",
    ":sao băng:": "🌠",
    ":các túi mua sắm:": "🛍",
    ":bộ chọn túi mua sắm:": "🛍️",
    ":giỏ hàng:": "🛒",
    ":bánh ngắn:": "🍰",
    ":quần short:": "🩳",
    ":vòi sen:": "🚿",
    ":con tôm:": "🦐",
    ":nút trộn bài hát:": "🔀",
    ":dấu hiệu của sừng:": "🤘",
    ":dấu hiệu của sừng màu da sẫm:": "🤘🏿",
    ":dấu hiệu của sừng màu da sáng:": "🤘🏻",
    ":dấu hiệu của sừng màu da tối trung bình:": "🤘🏾",
    ":dấu hiệu của sừng màu da sáng trung bình:": "🤘🏼",
    ":dấu hiệu của sừng màu da trung bình:": "🤘🏽",
    ":sáu giờ ba mươi:": "🕡",
    ":sáu giờ đúng:": "🕕",
    ":ván trượt:": "🎿",
    ":người trợt tuyết:": "⛷",
    ":bộ chọn người trượt tuyết:": "⛷️",
    ":đầu lâu:": "💀",
    ":đầu lâu xương chéo:": "☠",
    ":bộ chọn đầu lâu và xương chéo:": "☠️",
    ":chồn hôi:": "🦨",
    ":sau:": "🛷",
    ":mặt ngủ:": "😴",
    ":khuôn mặt buồn ngủ:": "😪",
    ":mặt hơi cau có:": "🙁",
    ":khuôn mặt hơi mỉm cười:": "🙂",
    ":may đanh bạc:": "🎰",
    ":Sự lười biếng:": "🦥",
    ":máy bay nhỏ:": "🛩",
    ":bộ chọn máy bay nhỏ:": "🛩️",
    ":viên kim cương xanh nhỏ:": "🔹",
    ":kim cương nhỏ màu cam:": "🔸",
    ":mặt mèo cười với đôi mắt trái tim:": "😻",
    ":mặt cười:": "☺",
    ":bộ chọn khuôn mặt cười:": "☺️",
    ":mặt cười với 3 trái tim:": "🥰",
    ":mặt cười với vầng hào quang:": "😇",
    ":mặt cười với đôi mắt trái tim:": "😍",
    ":mặt cười có sừng:": "😈",
    ":khuôn mặt cười với đôi mắt cười:": "😊",
    ":mặt cười với kính râm:": "😎",
    ":mặt nhếch mép:": "😏",
    ":ốc sên:": "🐌",
    ":con rắn:": "🐍",
    ":mặt hắt hơi:": "🤧",
    ":núi phủ tuyết:": "🏔",
    ":bộ chọn núi phủ tuyết:": "🏔️",
    ":người trượt tuyết:": "🏂",
    ":người trượt tuyết màu da sẫm:": "🏂🏿",
    ":màu da sáng của người trượt tuyết:": "🏂🏻",
    ":người trượt tuyết tông màu da tối trung bình:": "🏂🏾",
    ":người trượt tuyết tông màu da sáng trung bình:": "🏂🏼",
    ":người trượt tuyết màu da trung bình:": "🏂🏽",
    ":bông tuyết:": "❄",
    ":bộ chọn bông tuyết:": "❄️",
    ":người tuyết:": "☃",
    ":bộ chọn người tuyết:": "☃️",
    ":người tuyết không có tuyết:": "⛄",
    ":xà bông tắm:": "🧼",
    ":bóng đá:": "⚽",
    ":vớ:": "🧦",
    ":kem tươi:": "🍦",
    ":bóng mềm:": "🥎",
    ":bộ đồ thuổng:": "♠",
    ":bộ chọn bộ đồ thuổng:": "♠️",
    ":mì ống Ý:": "🍝",
    ":lấp lánh:": "✨",
    ":bộ chọn lấp lánh:": "❇️",
    ":pháo hoa que:": "🎇",
    ":trái tim lấp lánh:": "💖",
    ":nói không có con khỉ ác:": "🙊",
    ":loa âm lượng lớn:": "🔊",
    ":loa âm lượng thấp:": "🔈",
    ":loa âm lượng trung bình:": "🔉",
    ":đầu nói:": "🗣",
    ":bộ chọn đầu nói:": "🗣️",
    ":bong bóng thoại:": "💬",
    ":con nhện:": "🕷",
    ":bộ chọn nhện:": "🕷️",
    ":mạng nhện:": "🕸",
    ":bộ chọn mạng nhện:": "🕸️",
    ":lịch xoắn ốc:": "🗓",
    ":bộ chọn lịch xoắn ốc:": "🗓️",
    ":sổ tay xoắn ốc:": "🗒",
    ":bộ chọn notepad xoắn ốc:": "🗒️",
    ":vỏ xoắn ốc:": "🐚",
    ":bọt biển:": "🧽",
    ":cái thìa:": "🥄",
    ":xe thể thao tiện ích:": "🚙",
    ":huy chương thể thao:": "🏅",
    ":cá voi phun nước:": "🐳",
    ":mực ống:": "🦑",
    ":mặt lé với lưỡi:": "😝",
    ":sân vận động:": "🏟",
    ":bộ chọn sân vận động:": "🏟️",
    ":ngôi sao tấn công:": "🤩",
    ":ngôi sao và lưỡi liềm:": "☪",
    ":bộ chọn sao và lưỡi liềm:": "☪️",
    ":ngôi sao của David:": "✡",
    ":ngôi sao của bộ chọn David:": "✡️",
    ":ga tàu:": "🚉",
    ":xửng hấp:": "🍜",
    ":ống nghe:": "🩺",
    ":Nút dừng:": "⏹",
    ":bộ chọn nút dừng:": "⏹️",
    ":biển báo dừng:": "🛑",
    ":đồng hồ bấm giờ:": "⏱",
    ":bộ chọn đồng hồ bấm giờ:": "⏱️",
    ":thước thẳng:": "📏",
    ":dâu:": "🍓",
    ":micrô phòng thu:": "🎙",
    ":bộ chọn micrô phòng thu:": "🎙️",
    ":bánh mì dẹt nhồi:": "🥙",
    ":mặt trời:": "☀",
    ":mặt trời đằng sau đám mây:": "⛅",
    ":mặt trời đằng sau đám mây lớn:": "🌥",
    ":mặt trời đằng sau bộ chọn đám mây lớn:": "🌥️",
    ":mặt trời đằng sau đám mây mưa:": "🌦",
    ":mặt trời đằng sau bộ chọn mây mưa:": "🌦️",
    ":mặt trời đằng sau đám mây nhỏ:": "🌤",
    ":mặt trời đằng sau bộ chọn đám mây nhỏ:": "🌤️",
    ":bộ chọn mặt trời:": "☀️",
    ":mặt trời với khuôn mặt:": "🌞",
    ":hoa hướng dương:": "🌻",
    ":kính râm:": "🕶",
    ":bộ chọn kính râm:": "🕶️",
    ":bình Minh:": "🌅",
    ":mặt trời mọc trên núi:": "🌄",
    ":Hoàng hôn:": "🌇",
    ":màu da tối của siêu anh hùng:": "🦸🏿",
    ":tông màu da sáng siêu anh hùng:": "🦸🏻",
    ":siêu anh hùng tông màu da tối trung bình:": "🦸🏾",
    ":siêu anh hùng tông màu da sáng trung bình:": "🦸🏼",
    ":tông màu da trung bình của siêu anh hùng:": "🦸🏽",
    ":làm đều màu da tối:": "🦹🏿",
    ":làm đều màu da sáng:": "🦹🏻",
    ":làm đều màu da trung bình tối:": "🦹🏾",
    ":siêu đều màu da sáng trung bình:": "🦹🏼",
    ":làm đều màu da trung bình:": "🦹🏽",
    ":siêu ác nhân:": "🦹",
    ":Sushi:": "🍣",
    ":đường sắt treo:": "🚟",
    ":Thiên nga:": "🦢",
    ":những giọt mồ hôi:": "💦",
    ":giáo đường Do Thái:": "🕍",
    ":ống tiêm:": "💉",
    ":Áo thun:": "👕",
    ":taco:": "🌮",
    ":hộp đồ ăn mang đi:": "🥡",
    ":Tanabata t Ree:": "🎋",
    ":quýt:": "🍊",
    ":xe tắc xi:": "🚕",
    ":tách trà không có tay cầm:": "🍵",
    ":xé lịch:": "📆",
    ":gấu bông:": "🧸",
    ":Điện thoại:": "☎",
    ":người nhận điện thoại:": "📞",
    ":bộ chọn điện thoại:": "☎️",
    ":kính viễn vọng:": "🔭",
    ":Tivi:": "📺",
    ":mười giờ ba mươi:": "🕥",
    ":mười giờ:": "🕙",
    ":quần vợt:": "🎾",
    ":Cái lều:": "⛺",
    ":ống nghiệm:": "🧪",
    ":nhiệt kế:": "🌡",
    ":bộ chọn nhiệt kế:": "🌡️",
    ":khuôn mặt suy nghĩ:": "🤔",
    ":khinh khí cầu:": "💭",
    ":sợi chỉ:": "🧵",
    ":ba ba mươi:": "🕞",
    ":ba giờ:": "🕒",
    ":không thích:": "👎",
    ":thích làm giảm màu da tối:": "👎🏿",
    ":không thích tông màu da sáng:": "👎🏻",
    ":thích tông màu da tối trung bình:": "👎🏾",
    ":không thích tông màu da sáng trung bình:": "👎🏼",
    ":không thích tông màu da trung bình:": "👎🏽",
    ":thích:": "👍",
    ":thích màu da tối:": "👍🏿",
    ":thích làm sáng màu da:": "👍🏻",
    ":thích tông màu da trung bình tối:": "👍🏾",
    ":thích tông màu da sáng trung bình:": "👍🏼",
    ":thích tông màu da trung bình:": "👍🏽",
    ":vé:": "🎫",
    ":con hổ:": "🐅",
    ":mặt hổ:": "🐯",
    ":đồng hồ hẹn giờ:": "⏲",
    ":bộ chọn đồng hồ hẹn giờ:": "⏲️",
    ":khuôn mặt mệt mỏi:": "😩",
    ":cà chua:": "🍅",
    ":lưỡi:": "👅",
    ":hộp công cụ:": "🧰",
    ":răng:": "🦷",
    ":mũ đội đầu:": "🎩",
    ":lốc xoáy bộ chọn:": "🌪️",
    ":bi xoay:": "🖲",
    ":bộ chọn bi lăn:": "🖲️",
    ":máy kéo:": "🚜",
    ":Nhãn hiệu:": "™",
    ":bộ chọn thương hiệu:": "™️",
    ":xe lửa:": "🚆",
    ":Xe điện:": "🚊",
    ":xe điện:": "🚋",
    ":cờ tam giác:": "🚩",
    ":thước tam giác:": "📐",
    ":biểu tượng đinh ba:": "🔱",
    ":xe đẩy:": "🚎",
    ":chiếc cúp:": "🏆",
    ":đồ uống nhiệt đới:": "🍹",
    ":cá nhiệt đới:": "🐠",
    ":kèn:": "🎺",
    ":hoa tulip:": "🌷",
    ":ly cốc:": "🥃",
    ":rùa:": "🐢",
    ":mười hai giờ rưỡi:": "🕧",
    ":mười hai giờ:": "🕛",
    ":lạc đà hai bướu:": "🐫",
    ":hai giờ ba mươi:": "🕝",
    ":hai trái tim:": "💕",
    ":hai người đàn ông nắm tay nhau:": "👬",
    ":hai giờ:": "🕑",
    ":hai người phụ nữ nắm tay nhau:": "👭",
    ":ô:": "☂",
    ":ô trên mặt đất:": "⛱",
    ":ô chọn trên mặt đất:": "⛱️",
    ":bộ chọn ô:": "☂️",
    ":ô che mưa:": "☔",
    ":khuôn mặt không thay đổi:": "😒",
    ":mặt kỳ lân:": "🦄",
    ":mở khóa:": "🔓",
    ":mũi tên lên xuống:": "↕",
    ":bộ chọn mũi tên lên xuống:": "↕️",
    ":mũi tên lên trái:": "↖",
    ":bộ chọn mũi tên lên trái:": "↖️",
    ":mũi tên lên phải:": "↗",
    ":bộ chọn mũi tên lên phải:": "↗️",
    ":mũi tên lên:": "⬆",
    ":bộ chọn mũi tên lên:": "⬆️",
    ":lộn ngược mặt:": "🙃",
    ":nút hướng lên:": "🔼",
    ":ma cà rồng:": "🧛",
    ":màu da tối của ma cà rồng:": "🧛🏿",
    ":màu da sáng ma cà rồng:": "🧛🏻",
    ":nước da tối màu trung bình của ma cà rồng:": "🧛🏾",
    ":màu da sáng trung bình ma cà rồng:": "🧛🏼",
    ":màu da trung bình của ma cà rồng:": "🧛🏽",
    ":đèn giao thông dọc:": "🚦",
    ":chế độ rung:": "📳",
    ":bàn tay chiến thắng:": "✌",
    ":tay chiến thắng tông màu da tối:": "✌🏿",
    ":màu da sáng chiến thắng:": "✌🏻",
    ":tay chiến thắng tông màu da tối vừa:": "✌🏾",
    ":tay chiến thắng tông màu da sáng trung bình:": "✌🏼",
    ":chiến thắng tay màu da trung bình:": "✌🏽",
    ":bộ chọn tay chiến thắng:": "✌️",
    ":máy quay video:": "📹",
    ":tro chơi điện tử:": "🎮",
    ":băng video:": "📼",
    ":đàn vi ô lông:": "🎻",
    ":núi lửa:": "🌋",
    ":bóng chuyền:": "🏐",
    ":núi lửa sức khỏe:": "🖖",
    ":chào màu da sẫm của vulcan:": "🖖🏿",
    ":màu da sáng của vulcan chào:": "🖖🏻",
    ":vulcan chào tông màu da tối trung bình:": "🖖🏾",
    ":màu da sáng trung bình chào vulcan:": "🖖🏼",
    ":màu da trung bình chào vulcan:": "🖖🏽",
    ":bánh quế:": "🧇",
    ":trăng lưỡi liềm tàn lụi:": "🌘",
    ":trăng khuyết:": "🌖",
    ":cảnh báo:": "⚠",
    ":bộ chọn cảnh báo:": "⚠️",
    ":thùng rác:": "🗑",
    ":bộ chọn sọt rác:": "🗑️",
    ":đồng hồ đeo tay:": "⌚",
    ":trâu nước:": "🐃",
    ":tủ nước:": "🚾",
    ":sóng nước:": "🌊",
    ":dưa hấu:": "🍉",
    ":vẫy tay:": "👋",
    ":vẫy tay có màu da sẫm:": "👋🏿",
    ":vẫy tay màu da sáng:": "👋🏻",
    ":vẫy tay có màu da trung bình tối:": "👋🏾",
    ":vẫy tay màu da sáng trung bình:": "👋🏼",
    ":vẫy tay màu da trung bình:": "👋🏽",
    ":dấu gạch ngang gợn sóng:": "〰",
    ":bộ chọn dấu gạch ngang gợn sóng:": "〰️",
    ":Trăng lưỡi liềm:": "🌒",
    ":waxing vbbous moon:": "🌔",
    ":mặt mèo mệt mỏi:": "🙀",
    ":lễ cưới:": "💒",
    ":cá voi:": "🐋",
    ":bánh xe pháp:": "☸",
    ":bộ chọn bánh xe pháp:": "☸️",
    ":biểu tượng xe lăn:": "♿",
    ":người tóc trắng:": "👨‍🦳",
    ":người phụ nữ tóc trắng:": "👩‍🦳",
    ":vòng tròn màu trắng:": "⚪",
    ":dấu chấm than trắng:": "❕",
    ":lá cờ trắng:": "🏳",
    ":bộ chọn cờ trắng:": "🏳️",
    ":Hoa màu trắng:": "💮",
    ":tóc trắng:": "🦳",
    ":trái tim trắng:": "🤍",
    ":dấu kiểm nặng màu trắng:": "✅",
    ":hình vuông lớn màu trắng:": "⬜",
    ":hình vuông nhỏ màu trắng vừa:": "◽",
    ":hình vuông màu trắng vừa:": "◻",
    ":bộ chọn hình vuông trung bình màu trắng:": "◻️",
    ":sao trắng vừa:": "⭐",
    ":dấu hỏi trắng:": "❔",
    ":hình vuông nhỏ màu trắng:": "▫",
    ":bộ chọn hình vuông nhỏ màu trắng:": "▫️",
    ":nút vuông màu trắng:": "🔳",
    ":hoa héo:": "🥀",
    ":chuông gió:": "🎐",
    ":mặt gió:": "🌬",
    ":bộ chọn mặt gió:": "🌬️",
    ":ly rượu:": "🍷",
    ":mặt nháy mắt:": "😉",
    ":mặt nháy mắt với lưỡi:": "😜",
    ":mặt sói:": "🐺",
    ":người phụ nữ da sẫm màu hói:": "👩🏿‍🦲",
    ":người phụ nữ da sẫm màu tóc vàng:": "👱🏿‍♀",
    ":người phụ nữ da sẫm màu tóc xoăn:": "👩🏿‍🦱",
    ":người phụ nữ da sẫm màu tóc đỏ:": "👩🏿‍🦰",
    ":người phụ nữ da sẫm màu tóc trắng:": "👩🏿‍🦳",
    ":phụ nữ da sáng màu hói:": "👩🏻‍🦲",
    ":người phụ nữ da sáng màu tóc vàng:": "👱🏻‍♀",
    ":phụ nữ màu da sáng tóc xoăn:": "👩🏻‍🦱",
    ":người phụ nữ da sáng màu tóc đỏ:": "👩🏻‍🦰",
    ":người phụ nữ da sáng màu tóc trắng:": "👩🏻‍🦳",
    ":phụ nữ có màu da sẫm màu trung bình hói:": "👩🏾‍🦲",
    ":người phụ nữ da sẫm màu trung bình tóc vàng:": "👱🏾‍♀",
    ":phụ nữ có tông màu da tối trung bình tóc xoăn:": "👩🏾‍🦱",
    ":phụ nữ da sẫm màu trung bình tóc đỏ:": "👩🏾‍🦰",
    ":phụ nữ da tối màu trung bình tóc trắng:": "👩🏾‍🦳",
    ":phụ nữ da sáng màu trung bình hói:": "👩🏼‍🦲",
    ":người phụ nữ có tông màu da sáng trung bình tóc vàng:": "👱🏼‍♀",
    ":phụ nữ có tông màu da sáng trung bình tóc xoăn:": "👩🏼‍🦱",
    ":phụ nữ có tông màu da sáng trung bình tóc đỏ:": "👩🏼‍🦰",
    ":phụ nữ có tông màu da sáng trung bình tóc trắng:": "👩🏼‍🦳",
    ":phụ nữ có màu da trung bình hói:": "👩🏽‍🦲",
    ":người phụ nữ có màu da trung bình tóc vàng:": "👱🏽‍♀",
    ":phụ nữ màu da trung bình tóc xoăn:": "👩🏽‍🦱",
    ":người phụ nữ có màu da trung bình tóc đỏ:": "👩🏽‍🦰",
    ":người phụ nữ có màu da trung bình tóc trắng:": "👩🏽‍🦳",
    ":đàn bà:": "👩",
    ":người phụ nữ và người đàn ông nắm tay nhau làn da tối màu da sáng:": "👩🏿‍🤝‍👨🏻",
    ":người phụ nữ và người đàn ông nắm tay nhau Nước da sẫm màu Da tối màu trung bình:": "👩🏿‍🤝‍👨🏾",
    ":người phụ nữ và người đàn ông nắm tay nhau Nước da sẫm màu Da sáng trung bình:": "👩🏿‍🤝‍👨🏼",
    ":người phụ nữ và người đàn ông nắm tay nhau màu da sẫm màu da trung bình:": "👩🏿‍🤝‍👨🏽",
    ":người phụ nữ và người đàn ông nắm tay màu da sẫm:": "👫🏿",
    ":phụ nữ và đàn ông nắm tay nhau làn da sáng màu da tối:": "👩🏻‍🤝‍👨🏿",
    ":phụ nữ và đàn ông nắm tay nhau Nước da sáng màu da tối vừa:": "👩🏻‍🤝‍👨🏾",
    ":phụ nữ và đàn ông nắm tay nhau Nước da sáng màu da sáng trung bình:": "👩🏻‍🤝‍👨🏼",
    ":phụ nữ và đàn ông nắm tay nhau màu da sáng màu da trung bình:": "👩🏻‍🤝‍👨🏽",
    ":phụ nữ và đàn ông nắm tay nhau màu da sáng:": "👫🏻",
    ":người phụ nữ và người đàn ông nắm tay nhau Nước da sẫm màu trung bình Màu da tối:": "👩🏾‍🤝‍👨🏿",
    ":người phụ nữ và người đàn ông nắm tay nhau Nước da sẫm màu trung bình Màu da sáng:": "👩🏾‍🤝‍👨🏻",
    ":người phụ nữ và người đàn ông nắm tay nhau Nước da sẫm màu trung bình Màu da sáng vừa:": "👩🏾‍🤝‍👨🏼",
    ":người phụ nữ và người đàn ông nắm tay nhau Nước da tối màu trung bình:": "👩🏾‍🤝‍👨🏽",
    ":người phụ nữ và người đàn ông nắm tay nhau có màu da sẫm vừa phải:": "👫🏾",
    ":người phụ nữ và người đàn ông nắm tay nhau màu da sáng vừa màu da tối:": "👩🏼‍🤝‍👨🏿",
    ":phụ nữ và đàn ông nắm tay nhau tông màu da sáng trung bình tông màu da sáng:": "👩🏼‍🤝‍👨🏻",
    ":người phụ nữ và người đàn ông nắm tay nhau Màu da sáng trung bình Màu da tối vừa:": "👩🏼‍🤝‍👨🏾",
    ":phụ nữ và đàn ông nắm tay nhau màu da sáng trung bình màu da trung bình:": "👩🏼‍🤝‍👨🏽",
    ":người phụ nữ và người đàn ông nắm tay màu da sáng vừa phải:": "👫🏼",
    ":người phụ nữ và người đàn ông nắm tay nhau màu da trung bình Màu da tối:": "👩🏽‍🤝‍👨🏿",
    ":phụ nữ và đàn ông nắm tay nhau màu da trung bình màu da sáng:": "👩🏽‍🤝‍👨🏻",
    ":phụ nữ và đàn ông nắm tay nhau Màu da trung bình Màu da tối vừa:": "👩🏽‍🤝‍👨🏾",
    ":phụ nữ và đàn ông nắm tay nhau Màu da trung bình Màu da sáng trung bình:": "👩🏽‍🤝‍👨🏼",
    ":người phụ nữ và người đàn ông nắm tay màu da trung bình:": "👫🏽",
    ":nữ nghệ sĩ:": "👩‍🎨",
    ":nghệ sĩ nữ màu da tối:": "👩🏿‍🎨",
    ":nghệ sĩ nữ màu da sáng:": "👩🏻‍🎨",
    ":nghệ sĩ nữ tông màu da trung bình tối:": "👩🏾‍🎨",
    ":nghệ sĩ nữ tông màu da sáng trung bình:": "👩🏼‍🎨",
    ":nữ nghệ sĩ nước da trung bình:": "👩🏽‍🎨",
    ":nữ phi hành gia:": "👩‍🚀",
    ":nữ phi hành gia có làn da sẫm màu:": "👩🏿‍🚀",
    ":phụ nữ phi hành gia tông màu da sáng:": "👩🏻‍🚀",
    ":nữ phi hành gia có màu da tối trung bình:": "👩🏾‍🚀",
    ":nữ phi hành gia tông màu da sáng trung bình:": "👩🏼‍🚀",
    ":nữ phi hành gia tông màu da trung bình:": "👩🏽‍🚀",
    ":người phụ nữ đi xe đạp có màu da sẫm:": "🚴🏿‍♀️",
    ":phụ nữ đi xe đạp tông màu da sáng:": "🚴🏻‍♀️",
    ":người phụ nữ đi xe đạp có màu da tối vừa:": "🚴🏾‍♀️",
    ":phụ nữ đi xe đạp tông màu da sáng trung bình:": "🚴🏼‍♀️",
    ":phụ nữ đi xe đạp tông màu da trung bình:": "🚴🏽‍♀️",
    ":người phụ nữ đi xe đạp:": "🚴‍♀",
    ":bộ chọn phụ nữ đi xe đạp:": "🚴‍♀️",
    ":người phụ nữ nảy bóng màu da tối:": "⛹🏿‍♀️",
    ":phụ nữ nảy bóng màu da sáng:": "⛹🏻‍♀️",
    ":người phụ nữ nảy bóng màu da trung bình tối:": "⛹🏾‍♀️",
    ":phụ nữ nảy bóng màu da trung bình sáng:": "⛹🏼‍♀️",
    ":phụ nữ nảy bóng màu da trung bình:": "⛹🏽‍♀️",
    ":người phụ nữ nảy bóng:": "⛹‍♀",
    ":người phụ nữ nảy bóng 2:": "⛹️‍♀️",
    ":người phụ nữ nảy bóng 3:": "⛹‍♀️",
    ":người phụ nữ chọn bóng nảy:": "⛹️‍♀",
    ":người phụ nữ cúi đầu có màu da sẫm:": "🙇🏿‍♀️",
    ":người phụ nữ cúi chào màu da sáng:": "🙇🏻‍♀️",
    ":người phụ nữ cúi đầu có màu da sẫm trung bình:": "🙇🏾‍♀️",
    ":người phụ nữ cúi chào màu da sáng vừa:": "🙇🏼‍♀️",
    ":người phụ nữ cúi đầu có màu da trung bình:": "🙇🏽‍♀️",
    ":người phụ nữ cúi chào:": "🙇‍♀",
    ":người phụ nữ cúi chào người chọn:": "🙇‍♀️",
    ":người phụ nữ tô màu da tối:": "🤸🏿‍♀️",
    ":phụ nữ làm sáng màu da:": "🤸🏻‍♀️",
    ":phụ nữ tô màu da tối trung bình:": "🤸🏾‍♀️",
    ":phụ nữ màu da sáng trung bình:": "🤸🏼‍♀️",
    ":màu da trung bình của phụ nữ:": "🤸🏽‍♀️",
    ":người phụ nữ quay phim:": "🤸‍♀",
    ":bộ chọn phụ nữ quay phim:": "🤸‍♀️",
    ":người phụ nữ leo lên tông màu da sẫm:": "🧗🏿‍♀️",
    ":phụ nữ leo núi màu da sáng:": "🧗🏻‍♀️",
    ":người phụ nữ leo núi có màu da tối trung bình:": "🧗🏾‍♀️",
    ":người phụ nữ leo núi màu da sáng trung bình:": "🧗🏼‍♀️",
    ":người phụ nữ leo lên tông màu da trung bình:": "🧗🏽‍♀️",
    ":người phụ nữ leo núi:": "🧗‍♀",
    ":bộ chọn phụ nữ leo núi:": "🧗‍♀️",
    ":người phụ nữ công nhân xây dựng màu da sẫm:": "👷🏿‍♀️",
    ":phụ nữ công nhân xây dựng màu da sáng:": "👷🏻‍♀️",
    ":người phụ nữ công nhân xây dựng màu da trung bình tối:": "👷🏾‍♀️",
    ":phụ nữ công nhân xây dựng tông màu da sáng trung bình:": "👷🏼‍♀️",
    ":phụ nữ công nhân xây dựng màu da trung bình:": "👷🏽‍♀️",
    ":nữ công nhân xây dựng:": "👷‍♀",
    ":người phụ nữ chọn công nhân xây dựng:": "👷‍♀️",
    ":phụ nữ nấu ăn:": "👩‍🍳",
    ":phụ nữ nấu ăn có màu da sẫm:": "👩🏿‍🍳",
    ":phụ nữ nấu ăn màu da sáng:": "👩🏻‍🍳",
    ":người phụ nữ nấu ăn có màu da tối trung bình:": "👩🏾‍🍳",
    ":phụ nữ nấu ăn màu da sáng trung bình:": "👩🏼‍🍳",
    ":phụ nữ nấu ăn màu da trung bình:": "👩🏽‍🍳",
    ":người phụ nữ khiêu vũ:": "💃",
    ":người phụ nữ khiêu vũ làn da sẫm màu:": "💃🏿",
    ":người phụ nữ khiêu vũ màu da sáng:": "💃🏻",
    ":người phụ nữ khiêu vũ có màu da sẫm trung bình:": "💃🏾",
    ":phụ nữ khiêu vũ màu da sáng trung bình:": "💃🏼",
    ":phụ nữ khiêu vũ màu da trung bình:": "💃🏽",
    ":phụ nữ có màu da tối:": "👩🏿",
    ":phụ nữ thám tử màu da tối:": "🕵🏿‍♀️",
    ":phụ nữ thám tử tông màu da sáng:": "🕵🏻‍♀️",
    ":phụ nữ thám tử tông màu da trung bình tối:": "🕵🏾‍♀️",
    ":phụ nữ thám tử tông màu da sáng trung bình:": "🕵🏼‍♀️",
    ":phụ nữ thám tử tông màu da trung bình:": "🕵🏽‍♀️",
    ":thám tử nữ:": "🕵‍♀",
    ":thám tử nữ 2:": "🕵‍♀️",
    ":bộ chọn thám tử nữ:": "🕵️‍♀",
    ":phụ nữ yêu tinh màu da tối:": "🧝🏿‍♀️",
    ":phụ nữ elf tông màu da sáng:": "🧝🏻‍♀️",
    ":phụ nữ yêu tinh màu da trung bình tối:": "🧝🏾‍♀️",
    ":phụ nữ elf tông màu da sáng trung bình:": "🧝🏼‍♀️",
    ":phụ nữ elf tông màu da trung bình:": "🧝🏽‍♀️",
    ":nữ yêu tinh:": "🧝‍♀",
    ":bộ chọn phụ nữ elf:": "🧝‍♀️",
    ":phụ nữ facepalming tông màu da tối:": "🤦🏿‍♀️",
    ":phụ nữ facepalming tông màu da sáng:": "🤦🏻‍♀️",
    ":phụ nữ facepalming tông màu da tối trung bình:": "🤦🏾‍♀️",
    ":phụ nữ facepalming tông màu da sáng trung bình:": "🤦🏼‍♀️",
    ":phụ nữ facepalming tông màu da trung bình:": "🤦🏽‍♀️",
    ":người phụ nữ ôm mặt:": "🤦‍♀",
    ":bộ chọn facepalming phụ nữ:": "🤦‍♀️",
    ":nữ công nhân nhà máy:": "👩‍🏭",
    ":phụ nữ công nhân nhà máy màu da sẫm:": "👩🏿‍🏭",
    ":phụ nữ công nhân nhà máy màu da sáng:": "👩🏻‍🏭",
    ":phụ nữ công nhân nhà máy màu da trung bình tối:": "👩🏾‍🏭",
    ":phụ nữ công nhân nhà máy màu da sáng trung bình:": "👩🏼‍🏭",
    ":phụ nữ công nhân nhà máy màu da trung bình:": "👩🏽‍🏭",
    ":người phụ nữ tiên nước da tối:": "🧚🏿‍♀️",
    ":phụ nữ tiên tông màu da sáng:": "🧚🏻‍♀️",
    ":phụ nữ cổ tích tông màu da trung bình tối:": "🧚🏾‍♀️",
    ":phụ nữ cổ tích tông màu da sáng trung bình:": "🧚🏼‍♀️",
    ":phụ nữ cổ tích nước da trung bình:": "🧚🏽‍♀️",
    ":tiên nữ:": "🧚‍♀",
    ":bộ chọn cổ tích phụ nữ:": "🧚‍♀️",
    ":phụ nữ nông dân:": "👩‍🌾",
    ":phụ nữ nông dân màu da tối:": "👩🏿‍🌾",
    ":phụ nữ nông dân nước da sáng:": "👩🏻‍🌾",
    ":phụ nữ nông dân nước da sẫm màu trung bình:": "👩🏾‍🌾",
    ":phụ nữ nông dân tông màu da sáng vừa:": "👩🏼‍🌾",
    ":phụ nữ nông dân nước da trung bình:": "👩🏽‍🌾",
    ":nữ lính cứu hỏa:": "👩‍🚒",
    ":người phụ nữ cứu hỏa màu da sẫm:": "👩🏿‍🚒",
    ":người phụ nữ cứu hỏa màu da sáng:": "👩🏻‍🚒",
    ":người phụ nữ cứu hỏa tông màu da tối vừa:": "👩🏾‍🚒",
    ":nữ lính cứu hỏa tông màu da sáng trung bình:": "👩🏼‍🚒",
    ":nữ lính cứu hỏa tông màu da trung bình:": "👩🏽‍🚒",
    ":người phụ nữ cau mày có màu da sẫm:": "🙍🏿‍♀️",
    ":người phụ nữ cau mày màu da sáng:": "🙍🏻‍♀️",
    ":người phụ nữ cau mày có màu da tối trung bình:": "🙍🏾‍♀️",
    ":người phụ nữ cau mày có màu da sáng trung bình:": "🙍🏼‍♀️",
    ":người phụ nữ cau mày có màu da trung bình:": "🙍🏽‍♀️",
    ":người phụ nữ cau mày:": "🙍‍♀",
    ":bộ chọn phụ nữ cau mày:": "🙍‍♀️",
    ":thần đèn phụ nữ:": "🧞‍♀",
    ":bộ chọn genie phụ nữ:": "🧞‍♀️",
    ":phụ nữ mang thai KHÔNG có màu da sẫm:": "🙅🏿‍♀️",
    ":phụ nữ mang thai KHÔNG có màu da sáng:": "🙅🏻‍♀️",
    ":phụ nữ mang thai KHÔNG có màu da tối trung bình:": "🙅🏾‍♀️",
    ":phụ nữ mang thai KHÔNG có màu da sáng trung bình:": "🙅🏼‍♀️",
    ":phụ nữ mang thai KHÔNG có màu da trung bình:": "🙅🏽‍♀️",
    ":người phụ nữ cử chỉ KHÔNG:": "🙅‍♀",
    ":người phụ nữ cử chỉ KHÔNG có bộ chọn:": "🙅‍♀️",
    ":người phụ nữ cử chỉ OK màu da sẫm:": "🙆🏿‍♀️",
    ":phụ nữ cử chỉ OK tông màu da sáng:": "🙆🏻‍♀️",
    ":phụ nữ mang thai OK tông màu da tối trung bình:": "🙆🏾‍♀️",
    ":phụ nữ mang thai OK tông màu da sáng trung bình:": "🙆🏼‍♀️",
    ":phụ nữ cử chỉ OK tông màu da trung bình:": "🙆🏽‍♀️",
    ":người phụ nữ ra hiệu OK:": "🙆‍♀",
    ":người phụ nữ cử chỉ bộ chọn OK:": "🙆‍♀️",
    ":người phụ nữ cắt tóc màu da sẫm:": "💇🏿‍♀️",
    ":phụ nữ cắt tóc màu da sáng:": "💇🏻‍♀️",
    ":người phụ nữ cắt tóc có màu da sẫm trung bình:": "💇🏾‍♀️",
    ":người phụ nữ cắt tóc có màu da sáng vừa phải:": "💇🏼‍♀️",
    ":người phụ nữ cắt tóc có màu da trung bình:": "💇🏽‍♀️",
    ":người phụ nữ cắt tóc:": "💇‍♀",
    ":người phụ nữ chọn cắt tóc:": "💇‍♀️",
    ":người phụ nữ được massage làn da sẫm màu:": "💆🏿‍♀️",
    ":người phụ nữ được massage làm sáng màu da:": "💆🏻‍♀️",
    ":người phụ nữ được massage màu da tối vừa:": "💆🏾‍♀️",
    ":người phụ nữ được massage làn da sáng màu trung bình:": "💆🏼‍♀️",
    ":người phụ nữ được massage làn da trung bình:": "💆🏽‍♀️",
    ":người phụ nữ được massage:": "💆‍♀",
    ":người phụ nữ nhận massage:": "💆‍♀️",
    ":người phụ nữ chơi gôn có màu da sẫm:": "🏌🏿‍♀️",
    ":phụ nữ chơi gôn có màu da sáng:": "🏌🏻‍♀️",
    ":người phụ nữ chơi gôn có màu da tối trung bình:": "🏌🏾‍♀️",
    ":phụ nữ chơi gôn có tông màu da sáng trung bình:": "🏌🏼‍♀️",
    ":phụ nữ chơi gôn có màu da trung bình:": "🏌🏽‍♀️",
    ":người phụ nữ chơi gôn:": "🏌‍♀",
    ":người phụ nữ chơi gôn 2:": "🏌️‍♀️",
    ":người phụ nữ chơi gôn 3:": "🏌‍♀️",
    ":bộ chọn phụ nữ chơi gôn:": "🏌️‍♀",
    ":người phụ nữ bảo vệ làn da sẫm màu:": "💂🏿‍♀️",
    ":phụ nữ bảo vệ tông màu da sáng:": "💂🏻‍♀️",
    ":người phụ nữ bảo vệ tông màu da trung bình:": "💂🏾‍♀️",
    ":phụ nữ bảo vệ tông màu da sáng trung bình:": "💂🏼‍♀️",
    ":phụ nữ bảo vệ tông màu da trung bình:": "💂🏽‍♀️",
    ":người phụ nữ bảo vệ:": "💂‍♀",
    ":bộ chọn bảo vệ phụ nữ:": "💂‍♀️",
    ":nhân viên y tế phụ nữ màu da sẫm:": "👩🏿‍⚕️",
    ":nhân viên y tế phụ nữ màu da sáng:": "👩🏻‍⚕️",
    ":nhân viên y tế phụ nữ nước da sẫm màu vừa:": "👩🏾‍⚕️",
    ":nhân viên y tế phụ nữ màu da sáng vừa:": "👩🏼‍⚕️",
    ":nhân viên y tế phụ nữ màu da trung bình:": "👩🏽‍⚕️",
    ":nhân viên y tế phụ nữ:": "👩‍⚕",
    ":bộ chọn nhân viên y tế phụ nữ:": "👩‍⚕️",
    ":người phụ nữ trong tư thế hoa sen màu da sẫm:": "🧘🏿‍♀️",
    ":người phụ nữ trong tư thế hoa sen màu da sáng:": "🧘🏻‍♀️",
    ":người phụ nữ ở tư thế hoa sen màu da tối trung bình:": "🧘🏾‍♀️",
    ":người phụ nữ trong tư thế hoa sen màu da sáng trung bình:": "🧘🏼‍♀️",
    ":người phụ nữ ở tư thế hoa sen màu da trung bình:": "🧘🏽‍♀️",
    ":người phụ nữ trong tư thế hoa sen:": "🧘‍♀",
    ":người phụ nữ trong tư thế chọn hoa sen:": "🧘‍♀️",
    ":người phụ nữ ngồi xe lăn bằng tay có màu da sẫm:": "👩🏿‍🦽",
    ":người phụ nữ ngồi xe lăn bằng tay có màu da sáng:": "👩🏻‍🦽",
    ":người phụ nữ ngồi xe lăn bằng tay có làn da sẫm màu trung bình:": "👩🏾‍🦽",
    ":người phụ nữ ngồi xe lăn bằng tay có màu da sáng trung bình:": "👩🏼‍🦽",
    ":người phụ nữ ngồi xe lăn bằng tay có màu da trung bình:": "👩🏽‍🦽",
    ":người phụ nữ ngồi xe lăn bằng tay:": "👩‍🦽",
    ":người phụ nữ ngồi trên xe lăn có động cơ màu da sẫm:": "👩🏿‍🦼",
    ":người phụ nữ ngồi trên xe lăn có động cơ màu da sáng:": "👩🏻‍🦼",
    ":người phụ nữ ngồi trên xe lăn có động cơ nước da sẫm màu vừa:": "👩🏾‍🦼",
    ":người phụ nữ ngồi trên xe lăn có động cơ màu da sáng trung bình:": "👩🏼‍🦼",
    ":người phụ nữ ngồi trên xe lăn có động cơ màu da trung bình:": "👩🏽‍🦼",
    ":người phụ nữ ngồi trên xe lăn có động cơ:": "👩‍🦼",
    ":người phụ nữ trong phòng ướt có màu da sẫm:": "🧖🏿‍♀️",
    ":người phụ nữ trong phòng ướt át màu da sáng:": "🧖🏻‍♀️",
    ":người phụ nữ trong phòng ướt có màu da tối vừa:": "🧖🏾‍♀️",
    ":người phụ nữ trong phòng ướt át tông màu da sáng vừa:": "🧖🏼‍♀️",
    ":người phụ nữ trong phòng ướt át tông màu da trung bình:": "🧖🏽‍♀️",
    ":người phụ nữ trong căn phòng ướt át:": "🧖‍♀",
    ":người phụ nữ trong bộ chọn phòng ướt át:": "🧖‍♀️",
    ":người phụ nữ đánh giá màu da tối:": "👩🏿‍⚖️",
    ":phụ nữ đánh giá màu da sáng:": "👩🏻‍⚖️",
    ":phụ nữ đánh giá màu da tối trung bình:": "👩🏾‍⚖️",
    ":phụ nữ đánh giá tông màu da sáng trung bình:": "👩🏼‍⚖️",
    ":phụ nữ đánh giá màu da trung bình:": "👩🏽‍⚖️",
    ":thẩm phán phụ nữ:": "👩‍⚖",
    ":bộ chọn thẩm phán phụ nữ:": "👩‍⚖️",
    ":người phụ nữ tung hứng màu da tối:": "🤹🏿‍♀️",
    ":người phụ nữ tung hứng màu da sáng:": "🤹🏻‍♀️",
    ":người phụ nữ tung hứng màu da tối trung bình:": "🤹🏾‍♀️",
    ":người phụ nữ tung hứng màu da sáng trung bình:": "🤹🏼‍♀️",
    ":người phụ nữ tung hứng màu da trung bình:": "🤹🏽‍♀️",
    ":người phụ nữ tung hứng:": "🤹‍♀",
    ":người phụ nữ tung hứng bộ chọn:": "🤹‍♀️",
    ":người phụ nữ quỳ gối có màu da sẫm:": "🧎🏿‍♀",
    ":người phụ nữ quỳ gối bộ chọn tông màu da tối:": "🧎🏿‍♀️",
    ":người phụ nữ quỳ gối có màu da sáng:": "🧎🏻‍♀",
    ":người phụ nữ quỳ gối chọn tông màu da sáng:": "🧎🏻‍♀️",
    ":người phụ nữ quỳ gối có màu da tối vừa:": "🧎🏾‍♀",
    ":người phụ nữ quỳ gối bộ chọn tông màu da tối trung bình:": "🧎🏾‍♀️",
    ":người phụ nữ quỳ gối có màu da sáng trung bình:": "🧎🏼‍♀",
    ":người phụ nữ quỳ gối bộ chọn tông màu da sáng trung bình:": "🧎🏼‍♀️",
    ":người phụ nữ quỳ có màu da trung bình:": "🧎🏽‍♀",
    ":người phụ nữ quỳ gối bộ chọn tông màu da trung bình:": "🧎🏽‍♀️",
    ":người phụ nữ đang quỳ:": "🧎‍♀",
    ":người phụ nữ quỳ:": "🧎‍♀️",
    ":người phụ nữ nâng tạ làn da sẫm màu:": "🏋🏿‍♀️",
    ":người phụ nữ nâng tạ màu da sáng:": "🏋🏻‍♀️",
    ":người phụ nữ nâng tạ có làn da sẫm màu trung bình:": "🏋🏾‍♀️",
    ":người phụ nữ nâng tạ có màu da sáng trung bình:": "🏋🏼‍♀️",
    ":người phụ nữ nâng tạ màu da trung bình:": "🏋🏽‍♀️",
    ":người phụ nữ nâng tạ:": "🏋️‍♀",
    ":người phụ nữ nâng tạ 2:": "🏋️‍♀️",
    ":người phụ nữ nâng tạ 3:": "🏋‍♀️",
    ":phụ nữ có màu da sáng:": "👩🏻",
    ":nữ pháp sư màu da tối:": "🧙🏿‍♀️",
    ":phụ nữ mage tông màu da sáng:": "🧙🏻‍♀️",
    ":nữ pháp sư tông màu da tối trung bình:": "🧙🏾‍♀️",
    ":phụ nữ mage tông màu da sáng trung bình:": "🧙🏼‍♀️",
    ":nữ pháp sư tông màu da trung bình:": "🧙🏽‍♀️",
    ":nữ pháp sư:": "🧙‍♀",
    ":bộ chọn nữ pháp sư:": "🧙‍♀️",
    ":thợ máy phụ nữ:": "👩‍🔧",
    ":phụ nữ thợ máy nước da sẫm màu:": "👩🏿‍🔧",
    ":phụ nữ thợ máy nước da sáng:": "👩🏻‍🔧",
    ":phụ nữ thợ máy nước da sẫm màu trung bình:": "👩🏾‍🔧",
    ":phụ nữ thợ máy nước da sáng trung bình:": "👩🏼‍🔧",
    ":phụ nữ thợ máy nước da trung bình:": "👩🏽‍🔧",
    ":phụ nữ có màu da tối trung bình:": "👩🏾",
    ":phụ nữ có màu da sáng trung bình:": "👩🏼",
    ":phụ nữ có màu da trung bình:": "👩🏽",
    ":phụ nữ leo núi đạp xe tông màu da tối:": "🚵🏿‍♀️",
    ":phụ nữ leo núi đạp xe tông màu da sáng:": "🚵🏻‍♀️",
    ":phụ nữ leo núi đi xe đạp tông màu da trung bình tối:": "🚵🏾‍♀️",
    ":phụ nữ leo núi đi xe đạp tông màu da sáng trung bình:": "🚵🏼‍♀️",
    ":phụ nữ leo núi đi xe đạp tông màu da trung bình:": "🚵🏽‍♀️",
    ":người phụ nữ đi xe đạp leo núi:": "🚵‍♀",
    ":bộ chọn xe đạp leo núi phụ nữ:": "🚵‍♀️",
    ":nữ nhân viên văn phòng:": "👩‍💼",
    ":phụ nữ nhân viên văn phòng màu da tối:": "👩🏿‍💼",
    ":phụ nữ nhân viên văn phòng màu da sáng:": "👩🏻‍💼",
    ":nữ nhân viên văn phòng tông màu da trung bình tối:": "👩🏾‍💼",
    ":nữ nhân viên văn phòng có tông màu da sáng trung bình:": "👩🏼‍💼",
    ":nữ nhân viên văn phòng tông màu da trung bình:": "👩🏽‍💼",
    ":người phụ nữ phi công có màu da tối:": "👩🏿‍✈️",
    ":phụ nữ phi công tông màu da sáng:": "👩🏻‍✈️",
    ":phụ nữ phi công tông màu da trung bình tối:": "👩🏾‍✈️",
    ":phụ nữ phi công tông màu da sáng trung bình:": "👩🏼‍✈️",
    ":phụ nữ phi công tông màu da trung bình:": "👩🏽‍✈️",
    ":nữ phi công:": "👩‍✈",
    ":bộ chọn phi công phụ nữ:": "👩‍✈️",
    ":người phụ nữ chơi bóng ném màu da sẫm:": "🤾🏿‍♀️",
    ":phụ nữ chơi bóng ném màu da sáng:": "🤾🏻‍♀️",
    ":người phụ nữ chơi bóng ném có màu da tối vừa:": "🤾🏾‍♀️",
    ":người phụ nữ chơi bóng ném có màu da sáng trung bình:": "🤾🏼‍♀️",
    ":người phụ nữ chơi bóng ném có màu da trung bình:": "🤾🏽‍♀️",
    ":người phụ nữ chơi bóng ném:": "🤾‍♀",
    ":người phụ nữ chơi bóng ném chọn:": "🤾‍♀️",
    ":người phụ nữ chơi bóng nước màu da sẫm:": "🤽🏿‍♀️",
    ":phụ nữ chơi bóng nước màu da sáng:": "🤽🏻‍♀️",
    ":người phụ nữ chơi bóng nước có màu da tối trung bình:": "🤽🏾‍♀️",
    ":người phụ nữ chơi bóng nước tông màu da sáng trung bình:": "🤽🏼‍♀️",
    ":người phụ nữ chơi bóng nước màu da trung bình:": "🤽🏽‍♀️",
    ":người phụ nữ chơi bóng nước:": "🤽‍♀",
    ":người phụ nữ chơi bóng nước chọn:": "🤽‍♀️",
    ":nữ cảnh sát nước da sẫm màu:": "👮🏿‍♀️",
    ":nữ cảnh sát có màu da sáng:": "👮🏻‍♀️",
    ":nữ cảnh sát có màu da tối vừa:": "👮🏾‍♀️",
    ":nữ cảnh sát có màu da sáng trung bình:": "👮🏼‍♀️",
    ":nữ cảnh sát có màu da trung bình:": "👮🏽‍♀️",
    ":nữ cảnh sát:": "👮‍♀",
    ":người phụ nữ cảnh sát lựa chọn:": "👮‍♀️",
    ":phụ nữ bĩu môi có màu da sẫm:": "🙎🏿‍♀️",
    ":phụ nữ bĩu môi màu da sáng:": "🙎🏻‍♀️",
    ":phụ nữ bĩu môi có màu da tối vừa:": "🙎🏾‍♀️",
    ":phụ nữ bĩu môi có màu da sáng trung bình:": "🙎🏼‍♀️",
    ":phụ nữ bĩu môi có màu da trung bình:": "🙎🏽‍♀️",
    ":người phụ nữ bĩu môi:": "🙎‍♀",
    ":bộ chọn phụ nữ bĩu môi:": "🙎‍♀️",
    ":người phụ nữ giơ tay lên tông màu da sẫm:": "🙋🏿‍♀️",
    ":người phụ nữ nâng tay màu da sáng:": "🙋🏻‍♀️",
    ":người phụ nữ giơ tay có màu da tối vừa:": "🙋🏾‍♀️",
    ":người phụ nữ giơ tay có màu da sáng vừa:": "🙋🏼‍♀️",
    ":người phụ nữ giơ tay có tông màu da trung bình:": "🙋🏽‍♀️",
    ":người phụ nữ giơ tay:": "🙋‍♀",
    ":người phụ nữ giơ tay chọn:": "🙋‍♀️",
    ":người phụ nữ chèo thuyền màu da sẫm:": "🚣🏿‍♀️",
    ":người phụ nữ chèo thuyền màu da sáng:": "🚣🏻‍♀️",
    ":người phụ nữ chèo thuyền có làn da sẫm màu trung bình:": "🚣🏾‍♀️",
    ":phụ nữ chèo thuyền màu da sáng vừa:": "🚣🏼‍♀️",
    ":phụ nữ chèo thuyền màu da trung bình:": "🚣🏽‍♀️",
    ":người phụ nữ chèo thuyền:": "🚣‍♀",
    ":người phụ nữ chèo thuyền chọn:": "🚣‍♀️",
    ":người phụ nữ có làn da sẫm màu:": "🏃🏿‍♀️",
    ":người phụ nữ có làn da sáng:": "🏃🏻‍♀️",
    ":người phụ nữ có làn da sẫm màu trung bình:": "🏃🏾‍♀️",
    ":người phụ nữ có màu da sáng trung bình:": "🧍🏼‍♀",
    ":người phụ nữ có màu da trung bình:": "🧍🏽‍♀",
    ":người phụ nữ đang chạy:": "🏃‍♀",
    ":người phụ nữ đang chạy bộ chọn:": "🏃‍♀️",
    ":nhà khoa học nữ:": "👩‍🔬",
    ":nhà khoa học phụ nữ tông màu da tối:": "👩🏿‍🔬",
    ":nhà khoa học phụ nữ màu da sáng:": "👩🏻‍🔬",
    ":nhà khoa học phụ nữ tông màu da trung bình tối:": "👩🏾‍🔬",
    ":nhà khoa học phụ nữ tông màu da sáng trung bình:": "👩🏼‍🔬",
    ":nhà khoa học phụ nữ tông màu da trung bình:": "👩🏽‍🔬",
    ":người phụ nữ có màu da sẫm:": "🧍🏿‍♀",
    ":người phụ nữ nhún vai màu da sáng:": "🤷🏻‍♀️",
    ":người phụ nữ có màu da sẫm vừa phải:": "🤷🏾‍♀️",
    ":phụ nữ nhún vai tông màu da sáng trung bình:": "🤷🏼‍♀️",
    ":người phụ nữ nhún vai:": "🤷‍♀",
    ":bộ chọn nhún vai phụ nữ:": "🤷‍♀️",
    ":ca sĩ nữ:": "👩‍🎤",
    ":ca sĩ nữ có màu da tối:": "👩🏿‍🎤",
    ":nữ ca sĩ da sáng:": "👩🏻‍🎤",
    ":nữ ca sĩ nước da sẫm màu trung bình:": "👩🏾‍🎤",
    ":ca sĩ nữ tông màu da sáng trung bình:": "👩🏼‍🎤",
    ":nữ ca sĩ có màu da trung bình:": "👩🏽‍🎤",
    ":người phụ nữ đứng bộ chọn tông màu da tối:": "🧍🏿‍♀️",
    ":người phụ nữ có màu da sáng:": "🧍🏻‍♀",
    ":người phụ nữ đứng bộ chọn tông màu da sáng:": "🧍🏻‍♀️",
    ":người phụ nữ đứng màu da trung bình tối:": "🧍🏾‍♀",
    ":người phụ nữ đứng bộ chọn tông màu da tối trung bình:": "🧍🏾‍♀️",
    ":người phụ nữ đứng bộ chọn tông màu da sáng trung bình:": "🧍🏼‍♀️",
    ":người phụ nữ đứng bộ chọn tông màu da trung bình:": "🧍🏽‍♀️",
    ":người phụ nữ đứng:": "🧍‍♀",
    ":người phụ nữ đứng chọn:": "🧍‍♀️",
    ":nữ sinh:": "👩‍🎓",
    ":sinh viên nữ màu da tối:": "👩🏿‍🎓",
    ":sinh viên nữ màu da sáng:": "👩🏻‍🎓",
    ":nữ sinh viên da tối màu trung bình:": "👩🏾‍🎓",
    ":sinh viên nữ màu da sáng trung bình:": "👩🏼‍🎓",
    ":sinh viên nữ màu da trung bình:": "👩🏽‍🎓",
    ":nữ siêu anh hùng màu da tối:": "🦸🏿‍♀",
    ":nữ siêu anh hùng chọn tông màu da tối:": "🦸🏿‍♀️",
    ":nữ siêu anh hùng tông màu da sáng:": "🦸🏻‍♀",
    ":nữ siêu anh hùng chọn tông màu da sáng:": "🦸🏻‍♀️",
    ":nữ siêu anh hùng tông màu da trung bình tối:": "🦸🏾‍♀",
    ":Người phụ nữ siêu anh hùng chọn tông màu da tối trung bình:": "🦸🏾‍♀️",
    ":nữ siêu anh hùng tông màu da sáng vừa:": "🦸🏼‍♀",
    ":Nữ siêu anh hùng chọn tông màu da sáng trung bình:": "🦸🏼‍♀️",
    ":nữ siêu anh hùng tông màu da trung bình:": "🦸🏽‍♀",
    ":bộ chọn tông màu da trung bình của nữ siêu anh hùng:": "🦸🏽‍♀️",
    ":nữ siêu anh hùng:": "🦸‍♀",
    ":bộ chọn nữ siêu anh hùng:": "🦸‍♀️",
    ":phụ nữ supervillain màu da tối:": "🦹🏿‍♀",
    ":phụ nữ supervillain bộ chọn tông màu da tối:": "🦹🏿‍♀️",
    ":phụ nữ supervillain màu da sáng:": "🦹🏻‍♀",
    ":bộ chọn tông màu da sáng phụ nữ supervillain:": "🦹🏻‍♀️",
    ":phụ nữ supervillain tông màu da trung bình tối:": "🦹🏾‍♀",
    ":phụ nữ supervillain bộ chọn tông màu da tối trung bình:": "🦹🏾‍♀️",
    ":phụ nữ supervillain tông da sáng trung bình:": "🦹🏼‍♀",
    ":phụ nữ supervillain bộ chọn tông màu da sáng trung bình:": "🦹🏼‍♀️",
    ":phụ nữ supervillain màu da trung bình:": "🦹🏽‍♀",
    ":bộ chọn tông màu da trung bình của phụ nữ supervillain:": "🦹🏽‍♀️",
    ":người phụ nữ siêu lòng:": "🦹‍♀",
    ":bộ chọn siêu vòng một phụ nữ:": "🦹‍♀️",
    ":người phụ nữ lướt da tối màu:": "🏄🏿‍♀️",
    ":phụ nữ lướt da sáng màu:": "🏄🏻‍♀️",
    ":phụ nữ lướt da tối màu trung bình:": "🏄🏾‍♀️",
    ":phụ nữ lướt da sáng trung bình:": "🏄🏼‍♀️",
    ":phụ nữ lướt da trung bình:": "🏄🏽‍♀️",
    ":người phụ nữ lướt sóng:": "🏄‍♀",
    ":bộ chọn phụ nữ lướt:": "🏄‍♀️",
    ":người phụ nữ bơi lội nước da sẫm màu:": "🏊🏿‍♀️",
    ":phụ nữ bơi lội nước da sáng:": "🏊🏻‍♀️",
    ":phụ nữ bơi lội nước da sẫm màu trung bình:": "🏊🏾‍♀️",
    ":phụ nữ bơi lội nước da sáng màu trung bình:": "🏊🏼‍♀️",
    ":phụ nữ bơi lội nước da trung bình:": "🏊🏽‍♀️",
    ":người phụ nữ bơi lội:": "🏊‍♀",
    ":bộ chọn phụ nữ bơi:": "🏊‍♀️",
    ":giáo viên nữ:": "👩‍🏫",
    ":giáo viên phụ nữ có màu da sẫm:": "👩🏿‍🏫",
    ":giáo viên phụ nữ màu da sáng:": "👩🏻‍🏫",
    ":nữ giáo viên nước da sẫm màu trung bình:": "👩🏾‍🏫",
    ":giáo viên phụ nữ màu da sáng vừa:": "👩🏼‍🏫",
    ":nữ giáo viên nước da trung bình:": "👩🏽‍🏫",
    ":kỹ thuật viên phụ nữ:": "👩‍💻",
    ":kỹ thuật viên phụ nữ màu da tối:": "👩🏿‍💻",
    ":công nghệ phụ nữ màu da sáng:": "👩🏻‍💻",
    ":kỹ thuật viên phụ nữ tông màu da tối trung bình:": "👩🏾‍💻",
    ":kỹ thuật viên phụ nữ tông màu da sáng trung bình:": "👩🏼‍💻",
    ":công nghệ phụ nữ tông màu da trung bình:": "👩🏽‍💻",
    ":người phụ nữ đưa tay lên tông màu da sẫm:": "💁🏿‍♀️",
    ":phụ nữ nghiêng tay tông màu da sáng:": "💁🏻‍♀️",
    ":người phụ nữ nghiêng tay có màu da tối trung bình:": "💁🏾‍♀️",
    ":phụ nữ nghiêng tay tông màu da sáng trung bình:": "💁🏼‍♀️",
    ":phụ nữ nghiêng tay tông màu da trung bình:": "💁🏽‍♀️",
    ":tay phụ nữ:": "💁‍♀",
    ":bộ chọn tay phụ nữ:": "💁‍♀️",
    ":phụ nữ ma cà rồng màu da tối:": "🧛🏿‍♀️",
    ":phụ nữ ma cà rồng tông màu da sáng:": "🧛🏻‍♀️",
    ":nữ ma cà rồng tông màu da trung bình tối:": "🧛🏾‍♀️",
    ":nữ ma cà rồng tông màu da sáng trung bình:": "🧛🏼‍♀️",
    ":nữ ma cà rồng tông màu da trung bình:": "🧛🏽‍♀️",
    ":ma cà rồng nữ:": "🧛‍♀",
    ":bộ chọn ma cà rồng phụ nữ:": "🧛‍♀️",
    ":người phụ nữ đi bộ có màu da sẫm:": "🚶🏿‍♀️",
    ":người phụ nữ đi bộ màu da sáng:": "🚶🏻‍♀️",
    ":người phụ nữ đi bộ có màu da tối trung bình:": "🚶🏾‍♀️",
    ":phụ nữ đi bộ có tông màu da sáng trung bình:": "🚶🏼‍♀️",
    ":phụ nữ đi bộ màu da trung bình:": "🚶🏽‍♀️",
    ":người phụ nữ đi bộ:": "🚶‍♀",
    ":người phụ nữ đi bộ chọn:": "🚶‍♀️",
    ":người phụ nữ đeo khăn xếp màu da sẫm:": "👳🏿‍♀️",
    ":người phụ nữ đeo khăn xếp màu da sáng:": "👳🏻‍♀️",
    ":người phụ nữ đeo khăn xếp có tông màu da tối vừa:": "👳🏾‍♀️",
    ":người phụ nữ đeo khăn xếp có tông màu da sáng vừa:": "👳🏼‍♀️",
    ":người phụ nữ đeo khăn xếp màu da trung bình:": "👳🏽‍♀️",
    ":người phụ nữ đội khăn xếp:": "👳‍♀",
    ":người phụ nữ mặc khăn xếp:": "👳‍♀️",
    ":người phụ nữ với khăn trùm đầu:": "🧕",
    ":người phụ nữ với khăn trùm đầu tông màu da sẫm:": "🧕🏿",
    ":người phụ nữ với khăn trùm đầu tông màu da sáng:": "🧕🏻",
    ":người phụ nữ với khăn trùm đầu tông màu da tối trung bình:": "🧕🏾",
    ":người phụ nữ với khăn trùm đầu tông màu da sáng trung bình:": "🧕🏼",
    ":người phụ nữ với khăn trùm đầu tông màu da trung bình:": "🧕🏽",
    ":người phụ nữ có làn da sẫm màu bằng cây mía:": "👩🏿‍🦯",
    ":người phụ nữ có làn da sáng màu của cây mía:": "👩🏻‍🦯",
    ":người phụ nữ có làn da sẫm màu vừa phải:": "👩🏾‍🦯",
    ":người phụ nữ có làn da sáng vừa phải:": "👩🏼‍🦯",
    ":người phụ nữ có làn da trung bình của cây mía:": "👩🏽‍🦯",
    ":người phụ nữ với cây gậy thăm dò:": "👩‍🦯",
    ":thây ma phụ nữ:": "🧟‍♀",
    ":bộ chọn zombie phụ nữ:": "🧟‍♀️",
    ":giày của phụ nữ:": "👢",
    ":quần áo phụ nữ:": "👚",
    ":mũ của phụ nữ:": "👒",
    ":sandal nữ:": "👡",
    ":phụ nữ nắm tay làn da sẫm màu nước da sáng:": "👩🏿‍🤝‍👩🏻",
    ":phụ nữ nắm tay làn da tối màu da tối trung bình:": "👩🏿‍🤝‍👩🏾",
    ":phụ nữ nắm tay làn da tối màu da sáng trung bình:": "👩🏿‍🤝‍👩🏼",
    ":phụ nữ nắm tay làn da sẫm màu nước da trung bình:": "👩🏿‍🤝‍👩🏽",
    ":phụ nữ nắm tay làn da sẫm màu:": "👭🏿",
    ":phụ nữ nắm tay màu da sáng:": "👭🏻",
    ":phụ nữ nắm tay làn da sẫm màu trung bình màu da sáng:": "👩🏾‍🤝‍👩🏻",
    ":phụ nữ nắm tay làn da sẫm màu trung bình tông màu da sáng trung bình:": "👩🏾‍🤝‍👩🏼",
    ":phụ nữ nắm tay làn da sẫm màu trung bình tông màu da trung bình:": "👩🏾‍🤝‍👩🏽",
    ":phụ nữ nắm tay nước da sẫm màu trung bình:": "👭🏾",
    ":phụ nữ nắm tay làn da sáng vừa tông màu da sáng:": "👩🏼‍🤝‍👩🏻",
    ":phụ nữ nắm tay màu da sáng trung bình:": "👭🏼",
    ":phụ nữ nắm tay làn da trung bình tông màu da sáng:": "👩🏽‍🤝‍👩🏻",
    ":phụ nữ nắm tay tông màu da trung bình tông màu da sáng trung bình:": "👩🏽‍🤝‍👩🏼",
    ":phụ nữ nắm tay màu da trung bình:": "👭🏽",
    ":phụ nữ có tai thỏ:": "👯‍♀",
    ":phụ nữ có bộ chọn tai thỏ:": "👯‍♀️",
    ":Chúng tôi đấu vật:": "🤼‍♀",
    ":Bộ chọn đấu vật của chúng tôi:": "🤼‍♀️",
    ":phòng phụ nữ:": "🚺",
    ":khuôn mặt lạnh lùng:": "🥴",
    ":bản đồ thế giới:": "🗺",
    ":bộ chọn bản đồ thế giới:": "🗺️",
    ":khuôn mặt lo lắng:": "😟",
    ":gói quà:": "🎁",
    ":cờ lê:": "🔧",
    ":viết tay:": "✍",
    ":viết tay màu da sẫm:": "✍🏿",
    ":viết tay màu da sáng:": "✍🏻",
    ":viết tay tông màu da tối trung bình:": "✍🏾",
    ":viết tay tông màu da sáng trung bình:": "✍🏼",
    ":viết tay màu da trung bình:": "✍🏽",
    ":viết tay chọn:": "✍️",
    ":sợi:": "🧶",
    ":mặt ngáp:": "🥱",
    ":vòng tròn màu vàng:": "🟡",
    ":trái tim màu vàng:": "💛",
    ":hình vuông màu vàng:": "🟨",
    ":tiền giấy yên:": "💴",
    ":âm dương:": "☯",
    ":Bộ chọn âm dương:": "☯️",
    ":ảnh chế:": "🪀",
    ":khuôn mặt zany:": "🤪",
    ":ngựa rằn:": "🦓",
    ":miệng dây kéo:": "🤐",
    ":thây ma:": "🧟",
    ":zzz:": "💤"
}

EMOJI_ALIAS_UNICODE_ENGLISH = dict(EMOJI_UNICODE_ENGLISH.items(), **{
    u':admission_tickets:': u'\U0001F39F',
    u':aerial_tramway:': u'\U0001F6A1',
    u':airplane:': u'\U00002708',
    u':airplane_arriving:': u'\U0001F6EC',
    u':airplane_departure:': u'\U0001F6EB',
    u':alarm_clock:': u'\U000023F0',
    u':alembic:': u'\U00002697',
    u':space_invader:': u'\U0001F47E',
    u':ambulance:': u'\U0001F691',
    u':football:': u'\U0001F3C8',
    u':amphora:': u'\U0001F3FA',
    u':anchor:': u'\U00002693',
    u':anger:': u'\U0001F4A2',
    u':angry:': u'\U0001F620',
    u':anguished:': u'\U0001F627',
    u':ant:': u'\U0001F41C',
    u':signal_strength:': u'\U0001F4F6',
    u':arrows_counterclockwise:': u'\U0001F504',
    u':aquarius:': u'\U00002652',
    u':aries:': u'\U00002648',
    u':arrow_heading_down:': u'\U00002935',
    u':arrow_heading_up:': u'\U00002934',
    u':articulated_lorry:': u'\U0001F69B',
    u':art:': u'\U0001F3A8',
    u':astonished:': u'\U0001F632',
    u':athletic_shoe:': u'\U0001F45F',
    u':atom_symbol:': u'\U0000269B',
    u':eggplant:': u'\U0001F346',
    u':atm:': u'\U0001F3E7',
    u':car:': u'\U0001F697',
    u':red_car:': u'\U0001F697',
    u':baby:': u'\U0001F476',
    u':angel:': u'\U0001F47C',
    u':baby_bottle:': u'\U0001F37C',
    u':baby_chick:': u'\U0001F424',
    u':baby_symbol:': u'\U0001F6BC',
    u':back:': u'\U0001F519',
    u':camel:': u'\U0001F42B',
    u':badminton_racquet_and_shuttlecock:': u'\U0001F3F8',
    u':baggage_claim:': u'\U0001F6C4',
    u':balloon:': u'\U0001F388',
    u':ballot_box_with_ballot:': u'\U0001F5F3',
    u':ballot_box_with_check:': u'\U00002611',
    u':banana:': u'\U0001F34C',
    u':bank:': u'\U0001F3E6',
    u':dollar:': u'\U0001F4B5',
    u':euro:': u'\U0001F4B6',
    u':pound:': u'\U0001F4B7',
    u':yen:': u'\U0001F4B4',
    u':bar_chart:': u'\U0001F4CA',
    u':barber:': u'\U0001F488',
    u':baseball:': u'\U000026BE',
    u':basketball:': u'\U0001F3C0',
    u':bath:': u'\U0001F6C0',
    u':bathtub:': u'\U0001F6C1',
    u':battery:': u'\U0001F50B',
    u':beach_with_umbrella:': u'\U0001F3D6',
    u':bear:': u'\U0001F43B',
    u':heartbeat:': u'\U0001F493',
    u':bed:': u'\U0001F6CF',
    u':beer:': u'\U0001F37A',
    u':bell:': u'\U0001F514',
    u':no_bell:': u'\U0001F515',
    u':bellhop_bell:': u'\U0001F6CE',
    u':bento:': u'\U0001F371',
    u':bike:': u'\U0001F6B2',
    u':bicyclist:': u'\U0001F6B4',
    u':bikini:': u'\U0001F459',
    u':8ball:': u'\U0001F3B1',
    u':biohazard_sign:': u'\U00002623',
    u':bird:': u'\U0001F426',
    u':birthday:': u'\U0001F382',
    u':black_circle_for_record:': u'\U000023FA',
    u':clubs:': u'\U00002663',
    u':diamonds:': u'\U00002666',
    u':arrow_double_down:': u'\U000023EC',
    u':hearts:': u'\U00002665',
    u':black_large_square:': u'\U00002B1B',
    u':rewind:': u'\U000023EA',
    u':black_left__pointing_double_triangle_with_vertical_bar:': u'\U000023EE',
    u':arrow_backward:': u'\U000025C0',
    u':black_medium_small_square:': u'\U000025FE',
    u':black_medium_square:': u'\U000025FC',
    u':black_nib:': u'\U00002712',
    u':question:': u'\U00002753',
    u':fast_forward:': u'\U000023E9',
    u':black_right__pointing_double_triangle_with_vertical_bar:': u'\U000023ED',
    u':arrow_forward:': u'\U000025B6',
    u':black_right__pointing_triangle_with_double_vertical_bar:': u'\U000023EF',
    u':arrow_right:': u'\U000027A1',
    u':scissors:': u'\U00002702',
    u':black_small_square:': u'\U000025AA',
    u':spades:': u'\U00002660',
    u':black_square_button:': u'\U0001F532',
    u':black_square_for_stop:': u'\U000023F9',
    u':sunny:': u'\U00002600',
    u':phone:': u'\U0000260E',
    u':telephone:': u'\U0000260E',
    u':recycle:': u'\U0000267B',
    u':arrow_double_up:': u'\U000023EB',
    u':blossom:': u'\U0001F33C',
    u':blowfish:': u'\U0001F421',
    u':blue_book:': u'\U0001F4D8',
    u':blue_heart:': u'\U0001F499',
    u':boar:': u'\U0001F417',
    u':bomb:': u'\U0001F4A3',
    u':bookmark:': u'\U0001F516',
    u':bookmark_tabs:': u'\U0001F4D1',
    u':books:': u'\U0001F4DA',
    u':bottle_with_popping_cork:': u'\U0001F37E',
    u':bouquet:': u'\U0001F490',
    u':bow_and_arrow:': u'\U0001F3F9',
    u':bowling:': u'\U0001F3B3',
    u':boy:': u'\U0001F466',
    u':bread:': u'\U0001F35E',
    u':bride_with_veil:': u'\U0001F470',
    u':bridge_at_night:': u'\U0001F309',
    u':briefcase:': u'\U0001F4BC',
    u':broken_heart:': u'\U0001F494',
    u':bug:': u'\U0001F41B',
    u':building_construction:': u'\U0001F3D7',
    u':burrito:': u'\U0001F32F',
    u':bus:': u'\U0001F68C',
    u':busstop:': u'\U0001F68F',
    u':bust_in_silhouette:': u'\U0001F464',
    u':busts_in_silhouette:': u'\U0001F465',
    u':cactus:': u'\U0001F335',
    u':date:': u'\U0001F4C5',
    u':camera:': u'\U0001F4F7',
    u':camera_with_flash:': u'\U0001F4F8',
    u':camping:': u'\U0001F3D5',
    u':cancer:': u'\U0000264B',
    u':candle:': u'\U0001F56F',
    u':candy:': u'\U0001F36C',
    u':capricorn:': u'\U00002651',
    u':card_file_box:': u'\U0001F5C3',
    u':card_index:': u'\U0001F4C7',
    u':card_index_dividers:': u'\U0001F5C2',
    u':carousel_horse:': u'\U0001F3A0',
    u':flags:': u'\U0001F38F',
    u':cat2:': u'\U0001F408',
    u':cat:': u'\U0001F431',
    u':joy_cat:': u'\U0001F639',
    u':smirk_cat:': u'\U0001F63C',
    u':chains:': u'\U000026D3',
    u':chart_with_downwards_trend:': u'\U0001F4C9',
    u':chart_with_upwards_trend:': u'\U0001F4C8',
    u':chart:': u'\U0001F4B9',
    u':mega:': u'\U0001F4E3',
    u':cheese_wedge:': u'\U0001F9C0',
    u':checkered_flag:': u'\U0001F3C1',
    u':cherries:': u'\U0001F352',
    u':cherry_blossom:': u'\U0001F338',
    u':chestnut:': u'\U0001F330',
    u':chicken:': u'\U0001F414',
    u':children_crossing:': u'\U0001F6B8',
    u':chipmunk:': u'\U0001F43F',
    u':chocolate_bar:': u'\U0001F36B',
    u':christmas_tree:': u'\U0001F384',
    u':church:': u'\U000026EA',
    u':cinema:': u'\U0001F3A6',
    u':accept:': u'\U0001F251',
    u':ideograph_advantage:': u'\U0001F250',
    u':congratulations:': u'\U00003297',
    u':secret:': u'\U00003299',
    u':m:': u'\U000024C2',
    u':circus_tent:': u'\U0001F3AA',
    u':cityscape:': u'\U0001F3D9',
    u':city_sunset:': u'\U0001F306',
    u':clapper:': u'\U0001F3AC',
    u':clap:': u'\U0001F44F',
    u':classical_building:': u'\U0001F3DB',
    u':beers:': u'\U0001F37B',
    u':clipboard:': u'\U0001F4CB',
    u':clock830:': u'\U0001F563',
    u':clock8:': u'\U0001F557',
    u':clock1130:': u'\U0001F566',
    u':clock11:': u'\U0001F55A',
    u':clock530:': u'\U0001F560',
    u':clock5:': u'\U0001F554',
    u':clock430:': u'\U0001F55F',
    u':clock4:': u'\U0001F553',
    u':clock930:': u'\U0001F564',
    u':clock9:': u'\U0001F558',
    u':clock130:': u'\U0001F55C',
    u':clock1:': u'\U0001F550',
    u':clock730:': u'\U0001F562',
    u':clock7:': u'\U0001F556',
    u':clock630:': u'\U0001F561',
    u':clock6:': u'\U0001F555',
    u':clock1030:': u'\U0001F565',
    u':clock10:': u'\U0001F559',
    u':clock330:': u'\U0001F55E',
    u':clock3:': u'\U0001F552',
    u':clock1230:': u'\U0001F567',
    u':clock12:': u'\U0001F55B',
    u':clock230:': u'\U0001F55D',
    u':clock2:': u'\U0001F551',
    u':arrows_clockwise:': u'\U0001F503',
    u':repeat:': u'\U0001F501',
    u':repeat_one:': u'\U0001F502',
    u':closed_book:': u'\U0001F4D5',
    u':closed_lock_with_key:': u'\U0001F510',
    u':mailbox_closed:': u'\U0001F4EA',
    u':mailbox:': u'\U0001F4EB',
    u':closed_umbrella:': u'\U0001F302',
    u':cloud:': u'\U00002601',
    u':cloud_with_lightning:': u'\U0001F329',
    u':cloud_with_rain:': u'\U0001F327',
    u':cloud_with_snow:': u'\U0001F328',
    u':cloud_with_tornado:': u'\U0001F32A',
    u':cocktail:': u'\U0001F378',
    u':coffin:': u'\U000026B0',
    u':boom:': u'\U0001F4A5',
    u':collision:': u'\U0001F4A5',
    u':comet:': u'\U00002604',
    u':compression:': u'\U0001F5DC',
    u':confetti_ball:': u'\U0001F38A',
    u':confounded:': u'\U0001F616',
    u':confused:': u'\U0001F615',
    u':construction:': u'\U0001F6A7',
    u':construction_worker:': u'\U0001F477',
    u':control_knobs:': u'\U0001F39B',
    u':convenience_store:': u'\U0001F3EA',
    u':rice:': u'\U0001F35A',
    u':cookie:': u'\U0001F36A',
    u':egg:': u'\U0001F373',
    u':egg2:': u'\U0001F95A',
    u':copyright:': u'\U000000A9',
    u':couch_and_lamp:': u'\U0001F6CB',
    u':couple_with_heart:': u'\U0001F491',
    u':cow2:': u'\U0001F404',
    u':cow:': u'\U0001F42E',
    u':crab:': u'\U0001F980',
    u':credit_card:': u'\U0001F4B3',
    u':crescent_moon:': u'\U0001F319',
    u':cricket_bat_and_ball:': u'\U0001F3CF',
    u':crocodile:': u'\U0001F40A',
    u':x:': u'\U0000274C',
    u':crossed_flags:': u'\U0001F38C',
    u':crossed_swords:': u'\U00002694',
    u':crown:': u'\U0001F451',
    u':crying_cat_face:': u'\U0001F63F',
    u':cry:': u'\U0001F622',
    u':crystal_ball:': u'\U0001F52E',
    u':curly_loop:': u'\U000027B0',
    u':currency_exchange:': u'\U0001F4B1',
    u':curry:': u'\U0001F35B',
    u':custard:': u'\U0001F36E',
    u':customs:': u'\U0001F6C3',
    u':cyclone:': u'\U0001F300',
    u':dagger_knife:': u'\U0001F5E1',
    u':dancer:': u'\U0001F483',
    u':dango:': u'\U0001F361',
    u':dark_sunglasses:': u'\U0001F576',
    u':dash:': u'\U0001F4A8',
    u':deciduous_tree:': u'\U0001F333',
    u':truck:': u'\U0001F69A',
    u':department_store:': u'\U0001F3EC',
    u':derelict_house_building:': u'\U0001F3DA',
    u':desert:': u'\U0001F3DC',
    u':desert_island:': u'\U0001F3DD',
    u':desktop_computer:': u'\U0001F5A5',
    u':diamond_shape_with_a_dot_inside:': u'\U0001F4A0',
    u':dart:': u'\U0001F3AF',
    u':disappointed_relieved:': u'\U0001F625',
    u':disappointed:': u'\U0001F61E',
    u':dizzy_face:': u'\U0001F635',
    u':dizzy:': u'\U0001F4AB',
    u':do_not_litter:': u'\U0001F6AF',
    u':dog2:': u'\U0001F415',
    u':dog:': u'\U0001F436',
    u':dolphin:': u'\U0001F42C',
    u':flipper:': u'\U0001F42C',
    u':door:': u'\U0001F6AA',
    u':loop:': u'\U000027BF',
    u':bangbang:': u'\U0000203C',
    u':double_vertical_bar:': u'\U000023F8',
    u':doughnut:': u'\U0001F369',
    u':dove_of_peace:': u'\U0001F54A',
    u':small_red_triangle_down:': u'\U0001F53B',
    u':arrow_down_small:': u'\U0001F53D',
    u':arrow_down:': u'\U00002B07',
    u':dragon:': u'\U0001F409',
    u':dragon_face:': u'\U0001F432',
    u':dress:': u'\U0001F457',
    u':dromedary_camel:': u'\U0001F42A',
    u':droplet:': u'\U0001F4A7',
    u':dvd:': u'\U0001F4C0',
    u':e__mail:': u'\U0001F4E7',
    u':ear:': u'\U0001F442',
    u':corn:': u'\U0001F33D',
    u':ear_of_rice:': u'\U0001F33E',
    u':earth_americas:': u'\U0001F30E',
    u':earth_asia:': u'\U0001F30F',
    u':earth_africa:': u'\U0001F30D',
    u':eight_pointed_black_star:': u'\U00002734',
    u':eight_spoked_asterisk:': u'\U00002733',
    u':eject_symbol:': u'\U000023CF',
    u':bulb:': u'\U0001F4A1',
    u':electric_plug:': u'\U0001F50C',
    u':flashlight:': u'\U0001F526',
    u':elephant:': u'\U0001F418',
    u':emoji_modifier_fitzpatrick_type__1__2:': u'\U0001F3FB',
    u':emoji_modifier_fitzpatrick_type__3:': u'\U0001F3FC',
    u':emoji_modifier_fitzpatrick_type__4:': u'\U0001F3FD',
    u':emoji_modifier_fitzpatrick_type__5:': u'\U0001F3FE',
    u':emoji_modifier_fitzpatrick_type__6:': u'\U0001F3FF',
    u':end:': u'\U0001F51A',
    u':email:': u'\U00002709',
    u':envelope:': u'\U00002709',
    u':envelope_with_arrow:': u'\U0001F4E9',
    u':european_castle:': u'\U0001F3F0',
    u':european_post_office:': u'\U0001F3E4',
    u':evergreen_tree:': u'\U0001F332',
    u':interrobang:': u'\U00002049',
    u':expressionless:': u'\U0001F611',
    u':alien:': u'\U0001F47D',
    u':eye:': u'\U0001F441',
    u':eyeglasses:': u'\U0001F453',
    u':eyes:': u'\U0001F440',
    u':massage:': u'\U0001F486',
    u':yum:': u'\U0001F60B',
    u':scream:': u'\U0001F631',
    u':kissing_heart:': u'\U0001F618',
    u':sweat:': u'\U0001F613',
    u':face_with_head__bandage:': u'\U0001F915',
    u':triumph:': u'\U0001F624',
    u':mask:': u'\U0001F637',
    u':no_good:': u'\U0001F645',
    u':ok_woman:': u'\U0001F646',
    u':open_mouth:': u'\U0001F62E',
    u':cold_sweat:': u'\U0001F630',
    u':face_with_rolling_eyes:': u'\U0001F644',
    u':stuck_out_tongue:': u'\U0001F61B',
    u':stuck_out_tongue_closed_eyes:': u'\U0001F61D',
    u':stuck_out_tongue_winking_eye:': u'\U0001F61C',
    u':joy:': u'\U0001F602',
    u':face_with_thermometer:': u'\U0001F912',
    u':no_mouth:': u'\U0001F636',
    u':factory:': u'\U0001F3ED',
    u':fallen_leaf:': u'\U0001F342',
    u':family:': u'\U0001F46A',
    u':santa:': u'\U0001F385',
    u':fax:': u'\U0001F4E0',
    u':fearful:': u'\U0001F628',
    u':ferris_wheel:': u'\U0001F3A1',
    u':ferry:': u'\U000026F4',
    u':field_hockey_stick_and_ball:': u'\U0001F3D1',
    u':file_cabinet:': u'\U0001F5C4',
    u':file_folder:': u'\U0001F4C1',
    u':film_frames:': u'\U0001F39E',
    u':film_projector:': u'\U0001F4FD',
    u':fire:': u'\U0001F525',
    u':fire_engine:': u'\U0001F692',
    u':sparkler:': u'\U0001F387',
    u':fireworks:': u'\U0001F386',
    u':first_quarter_moon:': u'\U0001F313',
    u':first_quarter_moon_with_face:': u'\U0001F31B',
    u':fish:': u'\U0001F41F',
    u':fish_cake:': u'\U0001F365',
    u':fishing_pole_and_fish:': u'\U0001F3A3',
    u':facepunch:': u'\U0001F44A',
    u':punch:': u'\U0001F44A',
    u':flag_for_Afghanistan:': u'\U0001F1E6\U0001F1EB',
    u':flag_for_Albania:': u'\U0001F1E6\U0001F1F1',
    u':flag_for_Algeria:': u'\U0001F1E9\U0001F1FF',
    u':flag_for_American_Samoa:': u'\U0001F1E6\U0001F1F8',
    u':flag_for_Andorra:': u'\U0001F1E6\U0001F1E9',
    u':flag_for_Angola:': u'\U0001F1E6\U0001F1F4',
    u':flag_for_Anguilla:': u'\U0001F1E6\U0001F1EE',
    u':flag_for_Antarctica:': u'\U0001F1E6\U0001F1F6',
    u':flag_for_Antigua_&_Barbuda:': u'\U0001F1E6\U0001F1EC',
    u':flag_for_Argentina:': u'\U0001F1E6\U0001F1F7',
    u':flag_for_Armenia:': u'\U0001F1E6\U0001F1F2',
    u':flag_for_Aruba:': u'\U0001F1E6\U0001F1FC',
    u':flag_for_Ascension_Island:': u'\U0001F1E6\U0001F1E8',
    u':flag_for_Australia:': u'\U0001F1E6\U0001F1FA',
    u':flag_for_Austria:': u'\U0001F1E6\U0001F1F9',
    u':flag_for_Azerbaijan:': u'\U0001F1E6\U0001F1FF',
    u':flag_for_Bahamas:': u'\U0001F1E7\U0001F1F8',
    u':flag_for_Bahrain:': u'\U0001F1E7\U0001F1ED',
    u':flag_for_Bangladesh:': u'\U0001F1E7\U0001F1E9',
    u':flag_for_Barbados:': u'\U0001F1E7\U0001F1E7',
    u':flag_for_Belarus:': u'\U0001F1E7\U0001F1FE',
    u':flag_for_Belgium:': u'\U0001F1E7\U0001F1EA',
    u':flag_for_Belize:': u'\U0001F1E7\U0001F1FF',
    u':flag_for_Benin:': u'\U0001F1E7\U0001F1EF',
    u':flag_for_Bermuda:': u'\U0001F1E7\U0001F1F2',
    u':flag_for_Bhutan:': u'\U0001F1E7\U0001F1F9',
    u':flag_for_Bolivia:': u'\U0001F1E7\U0001F1F4',
    u':flag_for_Bosnia_&_Herzegovina:': u'\U0001F1E7\U0001F1E6',
    u':flag_for_Botswana:': u'\U0001F1E7\U0001F1FC',
    u':flag_for_Bouvet_Island:': u'\U0001F1E7\U0001F1FB',
    u':flag_for_Brazil:': u'\U0001F1E7\U0001F1F7',
    u':flag_for_British_Indian_Ocean_Territory:': u'\U0001F1EE\U0001F1F4',
    u':flag_for_British_Virgin_Islands:': u'\U0001F1FB\U0001F1EC',
    u':flag_for_Brunei:': u'\U0001F1E7\U0001F1F3',
    u':flag_for_Bulgaria:': u'\U0001F1E7\U0001F1EC',
    u':flag_for_Burkina_Faso:': u'\U0001F1E7\U0001F1EB',
    u':flag_for_Burundi:': u'\U0001F1E7\U0001F1EE',
    u':flag_for_Cambodia:': u'\U0001F1F0\U0001F1ED',
    u':flag_for_Cameroon:': u'\U0001F1E8\U0001F1F2',
    u':flag_for_Canada:': u'\U0001F1E8\U0001F1E6',
    u':flag_for_Canary_Islands:': u'\U0001F1EE\U0001F1E8',
    u':flag_for_Cape_Verde:': u'\U0001F1E8\U0001F1FB',
    u':flag_for_Caribbean_Netherlands:': u'\U0001F1E7\U0001F1F6',
    u':flag_for_Cayman_Islands:': u'\U0001F1F0\U0001F1FE',
    u':flag_for_Central_African_Republic:': u'\U0001F1E8\U0001F1EB',
    u':flag_for_Ceuta_&_Melilla:': u'\U0001F1EA\U0001F1E6',
    u':flag_for_Chad:': u'\U0001F1F9\U0001F1E9',
    u':flag_for_Chile:': u'\U0001F1E8\U0001F1F1',
    u':flag_for_China:': u'\U0001F1E8\U0001F1F3',
    u':flag_for_Christmas_Island:': u'\U0001F1E8\U0001F1FD',
    u':flag_for_Clipperton_Island:': u'\U0001F1E8\U0001F1F5',
    u':flag_for_Cocos__Islands:': u'\U0001F1E8\U0001F1E8',
    u':flag_for_Colombia:': u'\U0001F1E8\U0001F1F4',
    u':flag_for_Comoros:': u'\U0001F1F0\U0001F1F2',
    u':flag_for_Congo____Brazzaville:': u'\U0001F1E8\U0001F1EC',
    u':flag_for_Congo____Kinshasa:': u'\U0001F1E8\U0001F1E9',
    u':flag_for_Cook_Islands:': u'\U0001F1E8\U0001F1F0',
    u':flag_for_Costa_Rica:': u'\U0001F1E8\U0001F1F7',
    u':flag_for_Croatia:': u'\U0001F1ED\U0001F1F7',
    u':flag_for_Cuba:': u'\U0001F1E8\U0001F1FA',
    u':flag_for_Curaçao:': u'\U0001F1E8\U0001F1FC',
    u':flag_for_Cyprus:': u'\U0001F1E8\U0001F1FE',
    u':flag_for_Czech_Republic:': u'\U0001F1E8\U0001F1FF',
    u':flag_for_Côte_d’Ivoire:': u'\U0001F1E8\U0001F1EE',
    u':flag_for_Denmark:': u'\U0001F1E9\U0001F1F0',
    u':flag_for_Diego_Garcia:': u'\U0001F1E9\U0001F1EC',
    u':flag_for_Djibouti:': u'\U0001F1E9\U0001F1EF',
    u':flag_for_Dominica:': u'\U0001F1E9\U0001F1F2',
    u':flag_for_Dominican_Republic:': u'\U0001F1E9\U0001F1F4',
    u':flag_for_Ecuador:': u'\U0001F1EA\U0001F1E8',
    u':flag_for_Egypt:': u'\U0001F1EA\U0001F1EC',
    u':flag_for_El_Salvador:': u'\U0001F1F8\U0001F1FB',
    u':flag_for_Equatorial_Guinea:': u'\U0001F1EC\U0001F1F6',
    u':flag_for_Eritrea:': u'\U0001F1EA\U0001F1F7',
    u':flag_for_Estonia:': u'\U0001F1EA\U0001F1EA',
    u':flag_for_Ethiopia:': u'\U0001F1EA\U0001F1F9',
    u':flag_for_European_Union:': u'\U0001F1EA\U0001F1FA',
    u':flag_for_Falkland_Islands:': u'\U0001F1EB\U0001F1F0',
    u':flag_for_Faroe_Islands:': u'\U0001F1EB\U0001F1F4',
    u':flag_for_Fiji:': u'\U0001F1EB\U0001F1EF',
    u':flag_for_Finland:': u'\U0001F1EB\U0001F1EE',
    u':flag_for_France:': u'\U0001F1EB\U0001F1F7',
    u':flag_for_French_Guiana:': u'\U0001F1EC\U0001F1EB',
    u':flag_for_French_Polynesia:': u'\U0001F1F5\U0001F1EB',
    u':flag_for_French_Southern_Territories:': u'\U0001F1F9\U0001F1EB',
    u':flag_for_Gabon:': u'\U0001F1EC\U0001F1E6',
    u':flag_for_Gambia:': u'\U0001F1EC\U0001F1F2',
    u':flag_for_Georgia:': u'\U0001F1EC\U0001F1EA',
    u':flag_for_Germany:': u'\U0001F1E9\U0001F1EA',
    u':flag_for_Ghana:': u'\U0001F1EC\U0001F1ED',
    u':flag_for_Gibraltar:': u'\U0001F1EC\U0001F1EE',
    u':flag_for_Greece:': u'\U0001F1EC\U0001F1F7',
    u':flag_for_Greenland:': u'\U0001F1EC\U0001F1F1',
    u':flag_for_Grenada:': u'\U0001F1EC\U0001F1E9',
    u':flag_for_Guadeloupe:': u'\U0001F1EC\U0001F1F5',
    u':flag_for_Guam:': u'\U0001F1EC\U0001F1FA',
    u':flag_for_Guatemala:': u'\U0001F1EC\U0001F1F9',
    u':flag_for_Guernsey:': u'\U0001F1EC\U0001F1EC',
    u':flag_for_Guinea:': u'\U0001F1EC\U0001F1F3',
    u':flag_for_Guinea__Bissau:': u'\U0001F1EC\U0001F1FC',
    u':flag_for_Guyana:': u'\U0001F1EC\U0001F1FE',
    u':flag_for_Haiti:': u'\U0001F1ED\U0001F1F9',
    u':flag_for_Heard_&_McDonald_Islands:': u'\U0001F1ED\U0001F1F2',
    u':flag_for_Honduras:': u'\U0001F1ED\U0001F1F3',
    u':flag_for_Hong_Kong:': u'\U0001F1ED\U0001F1F0',
    u':flag_for_Hungary:': u'\U0001F1ED\U0001F1FA',
    u':flag_for_Iceland:': u'\U0001F1EE\U0001F1F8',
    u':flag_for_India:': u'\U0001F1EE\U0001F1F3',
    u':flag_for_Indonesia:': u'\U0001F1EE\U0001F1E9',
    u':flag_for_Iran:': u'\U0001F1EE\U0001F1F7',
    u':flag_for_Iraq:': u'\U0001F1EE\U0001F1F6',
    u':flag_for_Ireland:': u'\U0001F1EE\U0001F1EA',
    u':flag_for_Isle_of_Man:': u'\U0001F1EE\U0001F1F2',
    u':flag_for_Israel:': u'\U0001F1EE\U0001F1F1',
    u':flag_for_Italy:': u'\U0001F1EE\U0001F1F9',
    u':flag_for_Jamaica:': u'\U0001F1EF\U0001F1F2',
    u':flag_for_Japan:': u'\U0001F1EF\U0001F1F5',
    u':flag_for_Jersey:': u'\U0001F1EF\U0001F1EA',
    u':flag_for_Jordan:': u'\U0001F1EF\U0001F1F4',
    u':flag_for_Kazakhstan:': u'\U0001F1F0\U0001F1FF',
    u':flag_for_Kenya:': u'\U0001F1F0\U0001F1EA',
    u':flag_for_Kiribati:': u'\U0001F1F0\U0001F1EE',
    u':flag_for_Kosovo:': u'\U0001F1FD\U0001F1F0',
    u':flag_for_Kuwait:': u'\U0001F1F0\U0001F1FC',
    u':flag_for_Kyrgyzstan:': u'\U0001F1F0\U0001F1EC',
    u':flag_for_Laos:': u'\U0001F1F1\U0001F1E6',
    u':flag_for_Latvia:': u'\U0001F1F1\U0001F1FB',
    u':flag_for_Lebanon:': u'\U0001F1F1\U0001F1E7',
    u':flag_for_Lesotho:': u'\U0001F1F1\U0001F1F8',
    u':flag_for_Liberia:': u'\U0001F1F1\U0001F1F7',
    u':flag_for_Libya:': u'\U0001F1F1\U0001F1FE',
    u':flag_for_Liechtenstein:': u'\U0001F1F1\U0001F1EE',
    u':flag_for_Lithuania:': u'\U0001F1F1\U0001F1F9',
    u':flag_for_Luxembourg:': u'\U0001F1F1\U0001F1FA',
    u':flag_for_Macau:': u'\U0001F1F2\U0001F1F4',
    u':flag_for_Macedonia:': u'\U0001F1F2\U0001F1F0',
    u':flag_for_Madagascar:': u'\U0001F1F2\U0001F1EC',
    u':flag_for_Malawi:': u'\U0001F1F2\U0001F1FC',
    u':flag_for_Malaysia:': u'\U0001F1F2\U0001F1FE',
    u':flag_for_Maldives:': u'\U0001F1F2\U0001F1FB',
    u':flag_for_Mali:': u'\U0001F1F2\U0001F1F1',
    u':flag_for_Malta:': u'\U0001F1F2\U0001F1F9',
    u':flag_for_Marshall_Islands:': u'\U0001F1F2\U0001F1ED',
    u':flag_for_Martinique:': u'\U0001F1F2\U0001F1F6',
    u':flag_for_Mauritania:': u'\U0001F1F2\U0001F1F7',
    u':flag_for_Mauritius:': u'\U0001F1F2\U0001F1FA',
    u':flag_for_Mayotte:': u'\U0001F1FE\U0001F1F9',
    u':flag_for_Mexico:': u'\U0001F1F2\U0001F1FD',
    u':flag_for_Micronesia:': u'\U0001F1EB\U0001F1F2',
    u':flag_for_Moldova:': u'\U0001F1F2\U0001F1E9',
    u':flag_for_Monaco:': u'\U0001F1F2\U0001F1E8',
    u':flag_for_Mongolia:': u'\U0001F1F2\U0001F1F3',
    u':flag_for_Montenegro:': u'\U0001F1F2\U0001F1EA',
    u':flag_for_Montserrat:': u'\U0001F1F2\U0001F1F8',
    u':flag_for_Morocco:': u'\U0001F1F2\U0001F1E6',
    u':flag_for_Mozambique:': u'\U0001F1F2\U0001F1FF',
    u':flag_for_Myanmar:': u'\U0001F1F2\U0001F1F2',
    u':flag_for_Namibia:': u'\U0001F1F3\U0001F1E6',
    u':flag_for_Nauru:': u'\U0001F1F3\U0001F1F7',
    u':flag_for_Nepal:': u'\U0001F1F3\U0001F1F5',
    u':flag_for_Netherlands:': u'\U0001F1F3\U0001F1F1',
    u':flag_for_New_Caledonia:': u'\U0001F1F3\U0001F1E8',
    u':flag_for_New_Zealand:': u'\U0001F1F3\U0001F1FF',
    u':flag_for_Nicaragua:': u'\U0001F1F3\U0001F1EE',
    u':flag_for_Niger:': u'\U0001F1F3\U0001F1EA',
    u':flag_for_Nigeria:': u'\U0001F1F3\U0001F1EC',
    u':flag_for_Niue:': u'\U0001F1F3\U0001F1FA',
    u':flag_for_Norfolk_Island:': u'\U0001F1F3\U0001F1EB',
    u':flag_for_North_Korea:': u'\U0001F1F0\U0001F1F5',
    u':flag_for_Northern_Mariana_Islands:': u'\U0001F1F2\U0001F1F5',
    u':flag_for_Norway:': u'\U0001F1F3\U0001F1F4',
    u':flag_for_Oman:': u'\U0001F1F4\U0001F1F2',
    u':flag_for_Pakistan:': u'\U0001F1F5\U0001F1F0',
    u':flag_for_Palau:': u'\U0001F1F5\U0001F1FC',
    u':flag_for_Palestinian_Territories:': u'\U0001F1F5\U0001F1F8',
    u':flag_for_Panama:': u'\U0001F1F5\U0001F1E6',
    u':flag_for_Papua_New_Guinea:': u'\U0001F1F5\U0001F1EC',
    u':flag_for_Paraguay:': u'\U0001F1F5\U0001F1FE',
    u':flag_for_Peru:': u'\U0001F1F5\U0001F1EA',
    u':flag_for_Philippines:': u'\U0001F1F5\U0001F1ED',
    u':flag_for_Pitcairn_Islands:': u'\U0001F1F5\U0001F1F3',
    u':flag_for_Poland:': u'\U0001F1F5\U0001F1F1',
    u':flag_for_Portugal:': u'\U0001F1F5\U0001F1F9',
    u':flag_for_Puerto_Rico:': u'\U0001F1F5\U0001F1F7',
    u':flag_for_Qatar:': u'\U0001F1F6\U0001F1E6',
    u':flag_for_Romania:': u'\U0001F1F7\U0001F1F4',
    u':flag_for_Russia:': u'\U0001F1F7\U0001F1FA',
    u':flag_for_Rwanda:': u'\U0001F1F7\U0001F1FC',
    u':flag_for_Réunion:': u'\U0001F1F7\U0001F1EA',
    u':flag_for_Samoa:': u'\U0001F1FC\U0001F1F8',
    u':flag_for_San_Marino:': u'\U0001F1F8\U0001F1F2',
    u':flag_for_Saudi_Arabia:': u'\U0001F1F8\U0001F1E6',
    u':flag_for_Senegal:': u'\U0001F1F8\U0001F1F3',
    u':flag_for_Serbia:': u'\U0001F1F7\U0001F1F8',
    u':flag_for_Seychelles:': u'\U0001F1F8\U0001F1E8',
    u':flag_for_Sierra_Leone:': u'\U0001F1F8\U0001F1F1',
    u':flag_for_Singapore:': u'\U0001F1F8\U0001F1EC',
    u':flag_for_Sint_Maarten:': u'\U0001F1F8\U0001F1FD',
    u':flag_for_Slovakia:': u'\U0001F1F8\U0001F1F0',
    u':flag_for_Slovenia:': u'\U0001F1F8\U0001F1EE',
    u':flag_for_Solomon_Islands:': u'\U0001F1F8\U0001F1E7',
    u':flag_for_Somalia:': u'\U0001F1F8\U0001F1F4',
    u':flag_for_South_Africa:': u'\U0001F1FF\U0001F1E6',
    u':flag_for_South_Georgia_&_South_Sandwich_Islands:': u'\U0001F1EC\U0001F1F8',
    u':flag_for_South_Korea:': u'\U0001F1F0\U0001F1F7',
    u':flag_for_South_Sudan:': u'\U0001F1F8\U0001F1F8',
    u':flag_for_Spain:': u'\U0001F1EA\U0001F1F8',
    u':flag_for_Sri_Lanka:': u'\U0001F1F1\U0001F1F0',
    u':flag_for_St._Barthélemy:': u'\U0001F1E7\U0001F1F1',
    u':flag_for_St._Helena:': u'\U0001F1F8\U0001F1ED',
    u':flag_for_St._Kitts_&_Nevis:': u'\U0001F1F0\U0001F1F3',
    u':flag_for_St._Lucia:': u'\U0001F1F1\U0001F1E8',
    u':flag_for_St._Martin:': u'\U0001F1F2\U0001F1EB',
    u':flag_for_St._Pierre_&_Miquelon:': u'\U0001F1F5\U0001F1F2',
    u':flag_for_St._Vincent_&_Grenadines:': u'\U0001F1FB\U0001F1E8',
    u':flag_for_Sudan:': u'\U0001F1F8\U0001F1E9',
    u':flag_for_Suriname:': u'\U0001F1F8\U0001F1F7',
    u':flag_for_Svalbard_&_Jan_Mayen:': u'\U0001F1F8\U0001F1EF',
    u':flag_for_Swaziland:': u'\U0001F1F8\U0001F1FF',
    u':flag_for_Sweden:': u'\U0001F1F8\U0001F1EA',
    u':flag_for_Switzerland:': u'\U0001F1E8\U0001F1ED',
    u':flag_for_Syria:': u'\U0001F1F8\U0001F1FE',
    u':flag_for_São_Tomé_&_Príncipe:': u'\U0001F1F8\U0001F1F9',
    u':flag_for_Taiwan:': u'\U0001F1F9\U0001F1FC',
    u':flag_for_Tajikistan:': u'\U0001F1F9\U0001F1EF',
    u':flag_for_Tanzania:': u'\U0001F1F9\U0001F1FF',
    u':flag_for_Thailand:': u'\U0001F1F9\U0001F1ED',
    u':flag_for_Timor__Leste:': u'\U0001F1F9\U0001F1F1',
    u':flag_for_Togo:': u'\U0001F1F9\U0001F1EC',
    u':flag_for_Tokelau:': u'\U0001F1F9\U0001F1F0',
    u':flag_for_Tonga:': u'\U0001F1F9\U0001F1F4',
    u':flag_for_Trinidad_&_Tobago:': u'\U0001F1F9\U0001F1F9',
    u':flag_for_Tristan_da_Cunha:': u'\U0001F1F9\U0001F1E6',
    u':flag_for_Tunisia:': u'\U0001F1F9\U0001F1F3',
    u':flag_for_Turkey:': u'\U0001F1F9\U0001F1F7',
    u':flag_for_Turkmenistan:': u'\U0001F1F9\U0001F1F2',
    u':flag_for_Turks_&_Caicos_Islands:': u'\U0001F1F9\U0001F1E8',
    u':flag_for_Tuvalu:': u'\U0001F1F9\U0001F1FB',
    u':flag_for_U.S._Outlying_Islands:': u'\U0001F1FA\U0001F1F2',
    u':flag_for_U.S._Virgin_Islands:': u'\U0001F1FB\U0001F1EE',
    u':flag_for_Uganda:': u'\U0001F1FA\U0001F1EC',
    u':flag_for_Ukraine:': u'\U0001F1FA\U0001F1E6',
    u':flag_for_United_Arab_Emirates:': u'\U0001F1E6\U0001F1EA',
    u':flag_for_United_Kingdom:': u'\U0001F1EC\U0001F1E7',
    u':flag_for_United_States:': u'\U0001F1FA\U0001F1F8',
    u':flag_for_Uruguay:': u'\U0001F1FA\U0001F1FE',
    u':flag_for_Uzbekistan:': u'\U0001F1FA\U0001F1FF',
    u':flag_for_Vanuatu:': u'\U0001F1FB\U0001F1FA',
    u':flag_for_Vatican_City:': u'\U0001F1FB\U0001F1E6',
    u':flag_for_Venezuela:': u'\U0001F1FB\U0001F1EA',
    u':flag_for_Vietnam:': u'\U0001F1FB\U0001F1F3',
    u':flag_for_Wallis_&_Futuna:': u'\U0001F1FC\U0001F1EB',
    u':flag_for_Western_Sahara:': u'\U0001F1EA\U0001F1ED',
    u':flag_for_Yemen:': u'\U0001F1FE\U0001F1EA',
    u':flag_for_Zambia:': u'\U0001F1FF\U0001F1F2',
    u':flag_for_Zimbabwe:': u'\U0001F1FF\U0001F1FC',
    u':flag_for_Åland_Islands:': u'\U0001F1E6\U0001F1FD',
    u':golf:': u'\U000026F3',
    u':fleur__de__lis:': u'\U0000269C',
    u':muscle:': u'\U0001F4AA',
    u':floppy_disk:': u'\U0001F4BE',
    u':flower_playing_cards:': u'\U0001F3B4',
    u':flushed:': u'\U0001F633',
    u':fog:': u'\U0001F32B',
    u':foggy:': u'\U0001F301',
    u':footprints:': u'\U0001F463',
    u':fork_and_knife:': u'\U0001F374',
    u':fork_and_knife_with_plate:': u'\U0001F37D',
    u':fountain:': u'\U000026F2',
    u':four_leaf_clover:': u'\U0001F340',
    u':frame_with_picture:': u'\U0001F5BC',
    u':fries:': u'\U0001F35F',
    u':fried_shrimp:': u'\U0001F364',
    u':frog:': u'\U0001F438',
    u':hatched_chick:': u'\U0001F425',
    u':frowning:': u'\U0001F626',
    u':fuelpump:': u'\U000026FD',
    u':full_moon:': u'\U0001F315',
    u':full_moon_with_face:': u'\U0001F31D',
    u':funeral_urn:': u'\U000026B1',
    u':game_die:': u'\U0001F3B2',
    u':gear:': u'\U00002699',
    u':gem:': u'\U0001F48E',
    u':gemini:': u'\U0000264A',
    u':ghost:': u'\U0001F47B',
    u':girl:': u'\U0001F467',
    u':globe_with_meridians:': u'\U0001F310',
    u':star2:': u'\U0001F31F',
    u':goat:': u'\U0001F410',
    u':golfer:': u'\U0001F3CC',
    u':mortar_board:': u'\U0001F393',
    u':grapes:': u'\U0001F347',
    u':green_apple:': u'\U0001F34F',
    u':green_book:': u'\U0001F4D7',
    u':green_heart:': u'\U0001F49A',
    u':grimacing:': u'\U0001F62C',
    u':smile_cat:': u'\U0001F638',
    u':grinning:': u'\U0001F600',
    u':grin:': u'\U0001F601',
    u':heartpulse:': u'\U0001F497',
    u':guardsman:': u'\U0001F482',
    u':guitar:': u'\U0001F3B8',
    u':haircut:': u'\U0001F487',
    u':hamburger:': u'\U0001F354',
    u':hammer:': u'\U0001F528',
    u':hammer_and_pick:': u'\U00002692',
    u':hammer_and_wrench:': u'\U0001F6E0',
    u':hamster:': u'\U0001F439',
    u':handbag:': u'\U0001F45C',
    u':raising_hand:': u'\U0001F64B',
    u':hatching_chick:': u'\U0001F423',
    u':headphones:': u'\U0001F3A7',
    u':hear_no_evil:': u'\U0001F649',
    u':heart_decoration:': u'\U0001F49F',
    u':cupid:': u'\U0001F498',
    u':gift_heart:': u'\U0001F49D',
    u':heart:': u'\U00002764',
    u':heavy_check_mark:': u'\U00002714',
    u':heavy_division_sign:': u'\U00002797',
    u':heavy_dollar_sign:': u'\U0001F4B2',
    u':exclamation:': u'\U00002757',
    u':heavy_exclamation_mark:': u'\U00002757',
    u':heavy_heart_exclamation_mark_ornament:': u'\U00002763',
    u':o:': u'\U00002B55',
    u':heavy_minus_sign:': u'\U00002796',
    u':heavy_multiplication_x:': u'\U00002716',
    u':heavy_plus_sign:': u'\U00002795',
    u':helicopter:': u'\U0001F681',
    u':helm_symbol:': u'\U00002388',
    u':helmet_with_white_cross:': u'\U000026D1',
    u':herb:': u'\U0001F33F',
    u':hibiscus:': u'\U0001F33A',
    u':high_heel:': u'\U0001F460',
    u':bullettrain_side:': u'\U0001F684',
    u':bullettrain_front:': u'\U0001F685',
    u':high_brightness:': u'\U0001F506',
    u':zap:': u'\U000026A1',
    u':hocho:': u'\U0001F52A',
    u':knife:': u'\U0001F52A',
    u':hole:': u'\U0001F573',
    u':honey_pot:': u'\U0001F36F',
    u':bee:': u'\U0001F41D',
    u':traffic_light:': u'\U0001F6A5',
    u':racehorse:': u'\U0001F40E',
    u':horse:': u'\U0001F434',
    u':horse_racing:': u'\U0001F3C7',
    u':hospital:': u'\U0001F3E5',
    u':coffee:': u'\U00002615',
    u':hot_dog:': u'\U0001F32D',
    u':hot_pepper:': u'\U0001F336',
    u':hotsprings:': u'\U00002668',
    u':hotel:': u'\U0001F3E8',
    u':hourglass:': u'\U0000231B',
    u':hourglass_flowing_sand:': u'\U000023F3',
    u':house:': u'\U0001F3E0',
    u':house_buildings:': u'\U0001F3D8',
    u':house_with_garden:': u'\U0001F3E1',
    u':hugging_face:': u'\U0001F917',
    u':100:': u'\U0001F4AF',
    u':hushed:': u'\U0001F62F',
    u':ice_cream:': u'\U0001F368',
    u':ice_hockey_stick_and_puck:': u'\U0001F3D2',
    u':ice_skate:': u'\U000026F8',
    u':imp:': u'\U0001F47F',
    u':inbox_tray:': u'\U0001F4E5',
    u':incoming_envelope:': u'\U0001F4E8',
    u':information_desk_person:': u'\U0001F481',
    u':information_source:': u'\U00002139',
    u':capital_abcd:': u'\U0001F520',
    u':abc:': u'\U0001F524',
    u':abcd:': u'\U0001F521',
    u':1234:': u'\U0001F522',
    u':symbols:': u'\U0001F523',
    u':izakaya_lantern:': u'\U0001F3EE',
    u':lantern:': u'\U0001F3EE',
    u':jack_o_lantern:': u'\U0001F383',
    u':japanese_castle:': u'\U0001F3EF',
    u':dolls:': u'\U0001F38E',
    u':japanese_goblin:': u'\U0001F47A',
    u':japanese_ogre:': u'\U0001F479',
    u':post_office:': u'\U0001F3E3',
    u':beginner:': u'\U0001F530',
    u':jeans:': u'\U0001F456',
    u':joystick:': u'\U0001F579',
    u':kaaba:': u'\U0001F54B',
    u':key:': u'\U0001F511',
    u':keyboard:': u'\U00002328',
    u':zero:': u'\U00000030\U0000FE0F\U000020E3',
    u':one:': u'\U00000031\U0000FE0F\U000020E3',
    u':ten:': u'\U0001F51F',
    u':two:': u'\U00000032\U0000FE0F\U000020E3',
    u':three:': u'\U00000033\U0000FE0F\U000020E3',
    u':four:': u'\U00000034\U0000FE0F\U000020E3',
    u':five:': u'\U00000035\U0000FE0F\U000020E3',
    u':six:': u'\U00000036\U0000FE0F\U000020E3',
    u':seven:': u'\U00000037\U0000FE0F\U000020E3',
    u':eight:': u'\U00000038\U0000FE0F\U000020E3',
    u':nine:': u'\U00000039\U0000FE0F\U000020E3',
    u':kimono:': u'\U0001F458',
    u':couplekiss:': u'\U0001F48F',
    u':kiss:': u'\U0001F48B',
    u':kissing_cat:': u'\U0001F63D',
    u':kissing:': u'\U0001F617',
    u':kissing_closed_eyes:': u'\U0001F61A',
    u':kissing_smiling_eyes:': u'\U0001F619',
    u':koala:': u'\U0001F428',
    u':label:': u'\U0001F3F7',
    u':beetle:': u'\U0001F41E',
    u':large_blue_circle:': u'\U0001F535',
    u':large_blue_diamond:': u'\U0001F537',
    u':large_orange_diamond:': u'\U0001F536',
    u':red_circle:': u'\U0001F534',
    u':last_quarter_moon:': u'\U0001F317',
    u':last_quarter_moon_with_face:': u'\U0001F31C',
    u':latin_cross:': u'\U0000271D',
    u':leaves:': u'\U0001F343',
    u':ledger:': u'\U0001F4D2',
    u':mag:': u'\U0001F50D',
    u':left_luggage:': u'\U0001F6C5',
    u':left_right_arrow:': u'\U00002194',
    u':leftwards_arrow_with_hook:': u'\U000021A9',
    u':arrow_left:': u'\U00002B05',
    u':lemon:': u'\U0001F34B',
    u':leo:': u'\U0000264C',
    u':leopard:': u'\U0001F406',
    u':level_slider:': u'\U0001F39A',
    u':libra:': u'\U0000264E',
    u':light_rail:': u'\U0001F688',
    u':link:': u'\U0001F517',
    u':linked_paperclips:': u'\U0001F587',
    u':lion_face:': u'\U0001F981',
    u':lipstick:': u'\U0001F484',
    u':lock:': u'\U0001F512',
    u':lock_with_ink_pen:': u'\U0001F50F',
    u':lollipop:': u'\U0001F36D',
    u':sob:': u'\U0001F62D',
    u':love_hotel:': u'\U0001F3E9',
    u':love_letter:': u'\U0001F48C',
    u':low_brightness:': u'\U0001F505',
    u':lower_left_ballpoint_pen:': u'\U0001F58A',
    u':lower_left_crayon:': u'\U0001F58D',
    u':lower_left_fountain_pen:': u'\U0001F58B',
    u':lower_left_paintbrush:': u'\U0001F58C',
    u':mahjong:': u'\U0001F004',
    u':man:': u'\U0001F468',
    u':couple:': u'\U0001F46B',
    u':man_in_business_suit_levitating:': u'\U0001F574',
    u':man_with_gua_pi_mao:': u'\U0001F472',
    u':man_with_turban:': u'\U0001F473',
    u':mans_shoe:': u'\U0001F45E',
    u':shoe:': u'\U0001F45E',
    u':mantelpiece_clock:': u'\U0001F570',
    u':maple_leaf:': u'\U0001F341',
    u':meat_on_bone:': u'\U0001F356',
    u':black_circle:': u'\U000026AB',
    u':white_circle:': u'\U000026AA',
    u':melon:': u'\U0001F348',
    u':memo:': u'\U0001F4DD',
    u':pencil:': u'\U0001F4DD',
    u':menorah_with_nine_branches:': u'\U0001F54E',
    u':mens:': u'\U0001F6B9',
    u':metro:': u'\U0001F687',
    u':microphone:': u'\U0001F3A4',
    u':microscope:': u'\U0001F52C',
    u':military_medal:': u'\U0001F396',
    u':milky_way:': u'\U0001F30C',
    u':minibus:': u'\U0001F690',
    u':minidisc:': u'\U0001F4BD',
    u':iphone:': u'\U0001F4F1',
    u':mobile_phone_off:': u'\U0001F4F4',
    u':calling:': u'\U0001F4F2',
    u':money__mouth_face:': u'\U0001F911',
    u':moneybag:': u'\U0001F4B0',
    u':money_with_wings:': u'\U0001F4B8',
    u':monkey:': u'\U0001F412',
    u':monkey_face:': u'\U0001F435',
    u':monorail:': u'\U0001F69D',
    u':rice_scene:': u'\U0001F391',
    u':mosque:': u'\U0001F54C',
    u':motor_boat:': u'\U0001F6E5',
    u':motorway:': u'\U0001F6E3',
    u':mount_fuji:': u'\U0001F5FB',
    u':mountain:': u'\U000026F0',
    u':mountain_bicyclist:': u'\U0001F6B5',
    u':mountain_cableway:': u'\U0001F6A0',
    u':mountain_railway:': u'\U0001F69E',
    u':mouse2:': u'\U0001F401',
    u':mouse:': u'\U0001F42D',
    u':lips:': u'\U0001F444',
    u':movie_camera:': u'\U0001F3A5',
    u':moyai:': u'\U0001F5FF',
    u':notes:': u'\U0001F3B6',
    u':mushroom:': u'\U0001F344',
    u':musical_keyboard:': u'\U0001F3B9',
    u':musical_note:': u'\U0001F3B5',
    u':musical_score:': u'\U0001F3BC',
    u':nail_care:': u'\U0001F485',
    u':name_badge:': u'\U0001F4DB',
    u':national_park:': u'\U0001F3DE',
    u':necktie:': u'\U0001F454',
    u':ab:': u'\U0001F18E',
    u':negative_squared_cross_mark:': u'\U0000274E',
    u':a:': u'\U0001F170',
    u':b:': u'\U0001F171',
    u':o2:': u'\U0001F17E',
    u':parking:': u'\U0001F17F',
    u':nerd_face:': u'\U0001F913',
    u':neutral_face:': u'\U0001F610',
    u':new_moon:': u'\U0001F311',
    u':honeybee:': u'\U0001F41D',
    u':new_moon_with_face:': u'\U0001F31A',
    u':newspaper:': u'\U0001F4F0',
    u':night_with_stars:': u'\U0001F303',
    u':no_bicycles:': u'\U0001F6B3',
    u':no_entry:': u'\U000026D4',
    u':no_entry_sign:': u'\U0001F6AB',
    u':no_mobile_phones:': u'\U0001F4F5',
    u':underage:': u'\U0001F51E',
    u':no_pedestrians:': u'\U0001F6B7',
    u':no_smoking:': u'\U0001F6AD',
    u':non__potable_water:': u'\U0001F6B1',
    u':arrow_upper_right:': u'\U00002197',
    u':arrow_upper_left:': u'\U00002196',
    u':nose:': u'\U0001F443',
    u':notebook:': u'\U0001F4D3',
    u':notebook_with_decorative_cover:': u'\U0001F4D4',
    u':nut_and_bolt:': u'\U0001F529',
    u':octopus:': u'\U0001F419',
    u':oden:': u'\U0001F362',
    u':office:': u'\U0001F3E2',
    u':oil_drum:': u'\U0001F6E2',
    u':ok_hand:': u'\U0001F44C',
    u':old_key:': u'\U0001F5DD',
    u':older_man:': u'\U0001F474',
    u':older_woman:': u'\U0001F475',
    u':om_symbol:': u'\U0001F549',
    u':on:': u'\U0001F51B',
    u':oncoming_automobile:': u'\U0001F698',
    u':oncoming_bus:': u'\U0001F68D',
    u':oncoming_police_car:': u'\U0001F694',
    u':oncoming_taxi:': u'\U0001F696',
    u':book:': u'\U0001F4D6',
    u':open_book:': u'\U0001F4D6',
    u':open_file_folder:': u'\U0001F4C2',
    u':open_hands:': u'\U0001F450',
    u':unlock:': u'\U0001F513',
    u':mailbox_with_no_mail:': u'\U0001F4ED',
    u':mailbox_with_mail:': u'\U0001F4EC',
    u':ophiuchus:': u'\U000026CE',
    u':cd:': u'\U0001F4BF',
    u':orange_book:': u'\U0001F4D9',
    u':orthodox_cross:': u'\U00002626',
    u':outbox_tray:': u'\U0001F4E4',
    u':ox:': u'\U0001F402',
    u':package:': u'\U0001F4E6',
    u':page_facing_up:': u'\U0001F4C4',
    u':page_with_curl:': u'\U0001F4C3',
    u':pager:': u'\U0001F4DF',
    u':palm_tree:': u'\U0001F334',
    u':panda_face:': u'\U0001F43C',
    u':paperclip:': u'\U0001F4CE',
    u':part_alternation_mark:': u'\U0000303D',
    u':tada:': u'\U0001F389',
    u':passenger_ship:': u'\U0001F6F3',
    u':passport_control:': u'\U0001F6C2',
    u':feet:': u'\U0001F43E',
    u':paw_prints:': u'\U0001F43E',
    u':peace_symbol:': u'\U0000262E',
    u':peach:': u'\U0001F351',
    u':pear:': u'\U0001F350',
    u':walking:': u'\U0001F6B6',
    u':pencil2:': u'\U0000270F',
    u':penguin:': u'\U0001F427',
    u':pensive:': u'\U0001F614',
    u':performing_arts:': u'\U0001F3AD',
    u':persevere:': u'\U0001F623',
    u':bow:': u'\U0001F647',
    u':person_frowning:': u'\U0001F64D',
    u':raised_hands:': u'\U0001F64C',
    u':person_with_ball:': u'\U000026F9',
    u':person_with_blond_hair:': u'\U0001F471',
    u':pray:': u'\U0001F64F',
    u':person_with_pouting_face:': u'\U0001F64E',
    u':computer:': u'\U0001F4BB',
    u':pick:': u'\U000026CF',
    u':pig2:': u'\U0001F416',
    u':pig:': u'\U0001F437',
    u':pig_nose:': u'\U0001F43D',
    u':hankey:': u'\U0001F4A9',
    u':poop:': u'\U0001F4A9',
    u':shit:': u'\U0001F4A9',
    u':pill:': u'\U0001F48A',
    u':bamboo:': u'\U0001F38D',
    u':pineapple:': u'\U0001F34D',
    u':pisces:': u'\U00002653',
    u':gun:': u'\U0001F52B',
    u':place_of_worship:': u'\U0001F6D0',
    u':black_joker:': u'\U0001F0CF',
    u':police_car:': u'\U0001F693',
    u':rotating_light:': u'\U0001F6A8',
    u':cop:': u'\U0001F46E',
    u':poodle:': u'\U0001F429',
    u':popcorn:': u'\U0001F37F',
    u':postal_horn:': u'\U0001F4EF',
    u':postbox:': u'\U0001F4EE',
    u':stew:': u'\U0001F372',
    u':potable_water:': u'\U0001F6B0',
    u':pouch:': u'\U0001F45D',
    u':poultry_leg:': u'\U0001F357',
    u':pouting_cat:': u'\U0001F63E',
    u':rage:': u'\U0001F621',
    u':prayer_beads:': u'\U0001F4FF',
    u':princess:': u'\U0001F478',
    u':printer:': u'\U0001F5A8',
    u':loudspeaker:': u'\U0001F4E2',
    u':purple_heart:': u'\U0001F49C',
    u':purse:': u'\U0001F45B',
    u':pushpin:': u'\U0001F4CC',
    u':put_litter_in_its_place:': u'\U0001F6AE',
    u':rabbit2:': u'\U0001F407',
    u':rabbit:': u'\U0001F430',
    u':racing_car:': u'\U0001F3CE',
    u':racing_motorcycle:': u'\U0001F3CD',
    u':radio:': u'\U0001F4FB',
    u':radio_button:': u'\U0001F518',
    u':radioactive_sign:': u'\U00002622',
    u':railway_car:': u'\U0001F683',
    u':railway_track:': u'\U0001F6E4',
    u':rainbow:': u'\U0001F308',
    u':fist:': u'\U0000270A',
    u':hand:': u'\U0000270B',
    u':raised_hand:': u'\U0000270B',
    u':raised_hand_with_fingers_splayed:': u'\U0001F590',
    u':raised_hand_with_part_between_middle_and_ring_fingers:': u'\U0001F596',
    u':ram:': u'\U0001F40F',
    u':rat:': u'\U0001F400',
    u':blue_car:': u'\U0001F699',
    u':apple:': u'\U0001F34E',
    u':registered:': u'\U000000AE',
    u':relieved:': u'\U0001F60C',
    u':reminder_ribbon:': u'\U0001F397',
    u':restroom:': u'\U0001F6BB',
    u':reversed_hand_with_middle_finger_extended:': u'\U0001F595',
    u':revolving_hearts:': u'\U0001F49E',
    u':ribbon:': u'\U0001F380',
    u':rice_ball:': u'\U0001F359',
    u':rice_cracker:': u'\U0001F358',
    u':mag_right:': u'\U0001F50E',
    u':right_anger_bubble:': u'\U0001F5EF',
    u':arrow_right_hook:': u'\U000021AA',
    u':ring:': u'\U0001F48D',
    u':sweet_potato:': u'\U0001F360',
    u':robot_face:': u'\U0001F916',
    u':robot:': u'\U0001F916',
    u':rocket:': u'\U0001F680',
    u':rolled__up_newspaper:': u'\U0001F5DE',
    u':roller_coaster:': u'\U0001F3A2',
    u':rooster:': u'\U0001F413',
    u':rose:': u'\U0001F339',
    u':rosette:': u'\U0001F3F5',
    u':round_pushpin:': u'\U0001F4CD',
    u':rowboat:': u'\U0001F6A3',
    u':rugby_football:': u'\U0001F3C9',
    u':runner:': u'\U0001F3C3',
    u':running:': u'\U0001F3C3',
    u':running_shirt_with_sash:': u'\U0001F3BD',
    u':sagittarius:': u'\U00002650',
    u':boat:': u'\U000026F5',
    u':sailboat:': u'\U000026F5',
    u':sake:': u'\U0001F376',
    u':satellite:': u'\U0001F4E1',
    u':saxophone:': u'\U0001F3B7',
    u':scales:': u'\U00002696',
    u':school:': u'\U0001F3EB',
    u':school_satchel:': u'\U0001F392',
    u':scorpion:': u'\U0001F982',
    u':scorpius:': u'\U0000264F',
    u':scroll:': u'\U0001F4DC',
    u':seat:': u'\U0001F4BA',
    u':see_no_evil:': u'\U0001F648',
    u':seedling:': u'\U0001F331',
    u':shamrock:': u'\U00002618',
    u':shaved_ice:': u'\U0001F367',
    u':sheep:': u'\U0001F411',
    u':shield:': u'\U0001F6E1',
    u':shinto_shrine:': u'\U000026E9',
    u':ship:': u'\U0001F6A2',
    u':stars:': u'\U0001F320',
    u':shopping_bags:': u'\U0001F6CD',
    u':cake:': u'\U0001F370',
    u':shower:': u'\U0001F6BF',
    u':sign_of_the_horns:': u'\U0001F918',
    u':japan:': u'\U0001F5FE',
    u':six_pointed_star:': u'\U0001F52F',
    u':ski:': u'\U0001F3BF',
    u':skier:': u'\U000026F7',
    u':skull:': u'\U0001F480',
    u':skull_and_crossbones:': u'\U00002620',
    u':sleeping_accommodation:': u'\U0001F6CC',
    u':sleeping:': u'\U0001F634',
    u':zzz:': u'\U0001F4A4',
    u':sleepy:': u'\U0001F62A',
    u':sleuth_or_spy:': u'\U0001F575',
    u':pizza:': u'\U0001F355',
    u':slightly_frowning_face:': u'\U0001F641',
    u':slightly_smiling_face:': u'\U0001F642',
    u':slot_machine:': u'\U0001F3B0',
    u':small_airplane:': u'\U0001F6E9',
    u':small_blue_diamond:': u'\U0001F539',
    u':small_orange_diamond:': u'\U0001F538',
    u':heart_eyes_cat:': u'\U0001F63B',
    u':smiley_cat:': u'\U0001F63A',
    u':innocent:': u'\U0001F607',
    u':heart_eyes:': u'\U0001F60D',
    u':smiling_imp:': u'\U0001F608',
    u':smiley:': u'\U0001F603',
    u':sweat_smile:': u'\U0001F605',
    u':smile:': u'\U0001F604',
    u':laughing:': u'\U0001F606',
    u':satisfied:': u'\U0001F606',
    u':blush:': u'\U0001F60A',
    u':sunglasses:': u'\U0001F60E',
    u':smirk:': u'\U0001F60F',
    u':smoking:': u'\U0001F6AC',
    u':snail:': u'\U0001F40C',
    u':snake:': u'\U0001F40D',
    u':snow_capped_mountain:': u'\U0001F3D4',
    u':snowboarder:': u'\U0001F3C2',
    u':snowflake:': u'\U00002744',
    u':snowman:': u'\U00002603',
    u':soccer:': u'\U000026BD',
    u':icecream:': u'\U0001F366',
    u':soon:': u'\U0001F51C',
    u':arrow_lower_right:': u'\U00002198',
    u':arrow_lower_left:': u'\U00002199',
    u':spaghetti:': u'\U0001F35D',
    u':sparkle:': u'\U00002747',
    u':sparkles:': u'\U00002728',
    u':sparkling_heart:': u'\U0001F496',
    u':speak_no_evil:': u'\U0001F64A',
    u':speaker:': u'\U0001F508',
    u':mute:': u'\U0001F507',
    u':sound:': u'\U0001F509',
    u':loud_sound:': u'\U0001F50A',
    u':speaking_head_in_silhouette:': u'\U0001F5E3',
    u':speech_balloon:': u'\U0001F4AC',
    u':speedboat:': u'\U0001F6A4',
    u':spider:': u'\U0001F577',
    u':spider_web:': u'\U0001F578',
    u':spiral_calendar_pad:': u'\U0001F5D3',
    u':spiral_note_pad:': u'\U0001F5D2',
    u':shell:': u'\U0001F41A',
    u':sweat_drops:': u'\U0001F4A6',
    u':sports_medal:': u'\U0001F3C5',
    u':whale:': u'\U0001F433',
    u':u5272:': u'\U0001F239',
    u':u5408:': u'\U0001F234',
    u':u55b6:': u'\U0001F23A',
    u':u6307:': u'\U0001F22F',
    u':u6708:': u'\U0001F237',
    u':u6709:': u'\U0001F236',
    u':u6e80:': u'\U0001F235',
    u':u7121:': u'\U0001F21A',
    u':u7533:': u'\U0001F238',
    u':u7981:': u'\U0001F232',
    u':u7a7a:': u'\U0001F233',
    u':cl:': u'\U0001F191',
    u':cool:': u'\U0001F192',
    u':free:': u'\U0001F193',
    u':id:': u'\U0001F194',
    u':koko:': u'\U0001F201',
    u':sa:': u'\U0001F202',
    u':new:': u'\U0001F195',
    u':ng:': u'\U0001F196',
    u':ok:': u'\U0001F197',
    u':sos:': u'\U0001F198',
    u':up:': u'\U0001F199',
    u':vs:': u'\U0001F19A',
    u':stadium:': u'\U0001F3DF',
    u':star_and_crescent:': u'\U0000262A',
    u':star_of_david:': u'\U00002721',
    u':station:': u'\U0001F689',
    u':statue_of_liberty:': u'\U0001F5FD',
    u':steam_locomotive:': u'\U0001F682',
    u':ramen:': u'\U0001F35C',
    u':stopwatch:': u'\U000023F1',
    u':straight_ruler:': u'\U0001F4CF',
    u':strawberry:': u'\U0001F353',
    u':studio_microphone:': u'\U0001F399',
    u':partly_sunny:': u'\U000026C5',
    u':sun_with_face:': u'\U0001F31E',
    u':sunflower:': u'\U0001F33B',
    u':sunrise:': u'\U0001F305',
    u':sunrise_over_mountains:': u'\U0001F304',
    u':city_sunrise:': u'\U0001F307',
    u':surfer:': u'\U0001F3C4',
    u':sushi:': u'\U0001F363',
    u':suspension_railway:': u'\U0001F69F',
    u':swimmer:': u'\U0001F3CA',
    u':synagogue:': u'\U0001F54D',
    u':syringe:': u'\U0001F489',
    u':shirt:': u'\U0001F455',
    u':tshirt:': u'\U0001F455',
    u':table_tennis_paddle_and_ball:': u'\U0001F3D3',
    u':taco:': u'\U0001F32E',
    u':tanabata_tree:': u'\U0001F38B',
    u':tangerine:': u'\U0001F34A',
    u':taurus:': u'\U00002649',
    u':taxi:': u'\U0001F695',
    u':tea:': u'\U0001F375',
    u':calendar:': u'\U0001F4C6',
    u':telephone_receiver:': u'\U0001F4DE',
    u':telescope:': u'\U0001F52D',
    u':tv:': u'\U0001F4FA',
    u':tennis:': u'\U0001F3BE',
    u':tent:': u'\U000026FA',
    u':thermometer:': u'\U0001F321',
    u':thinking_face:': u'\U0001F914',
    u':thought_balloon:': u'\U0001F4AD',
    u':three_button_mouse:': u'\U0001F5B1',
    u':+1:': u'\U0001F44D',
    u':thumbsup:': u'\U0001F44D',
    u':__1:': u'\U0001F44E',
    u':-1:': u'\U0001F44E',
    u':thumbsdown:': u'\U0001F44E',
    u':thunder_cloud_and_rain:': u'\U000026C8',
    u':ticket:': u'\U0001F3AB',
    u':tiger2:': u'\U0001F405',
    u':tiger:': u'\U0001F42F',
    u':timer_clock:': u'\U000023F2',
    u':tired_face:': u'\U0001F62B',
    u':toilet:': u'\U0001F6BD',
    u':tokyo_tower:': u'\U0001F5FC',
    u':tomato:': u'\U0001F345',
    u':tongue:': u'\U0001F445',
    u':tophat:': u'\U0001F3A9',
    u':top:': u'\U0001F51D',
    u':trackball:': u'\U0001F5B2',
    u':tractor:': u'\U0001F69C',
    u':tm:': u'\U00002122',
    u':train2:': u'\U0001F686',
    u':tram:': u'\U0001F68A',
    u':train:': u'\U0001F68B',
    u':triangular_flag_on_post:': u'\U0001F6A9',
    u':triangular_ruler:': u'\U0001F4D0',
    u':trident:': u'\U0001F531',
    u':trolleybus:': u'\U0001F68E',
    u':trophy:': u'\U0001F3C6',
    u':tropical_drink:': u'\U0001F379',
    u':tropical_fish:': u'\U0001F420',
    u':trumpet:': u'\U0001F3BA',
    u':tulip:': u'\U0001F337',
    u':turkey:': u'\U0001F983',
    u':turtle:': u'\U0001F422',
    u':twisted_rightwards_arrows:': u'\U0001F500',
    u':two_hearts:': u'\U0001F495',
    u':two_men_holding_hands:': u'\U0001F46C',
    u':two_women_holding_hands:': u'\U0001F46D',
    u':umbrella:': u'\U00002602',
    u':umbrella_on_ground:': u'\U000026F1',
    u':unamused:': u'\U0001F612',
    u':unicorn_face:': u'\U0001F984',
    u':small_red_triangle:': u'\U0001F53A',
    u':arrow_up_small:': u'\U0001F53C',
    u':arrow_up_down:': u'\U00002195',
    u':upside__down_face:': u'\U0001F643',
    u':arrow_up:': u'\U00002B06',
    u':vertical_traffic_light:': u'\U0001F6A6',
    u':vibration_mode:': u'\U0001F4F3',
    u':v:': u'\U0000270C',
    u':video_camera:': u'\U0001F4F9',
    u':video_game:': u'\U0001F3AE',
    u':vhs:': u'\U0001F4FC',
    u':violin:': u'\U0001F3BB',
    u':virgo:': u'\U0000264D',
    u':volcano:': u'\U0001F30B',
    u':volleyball:': u'\U0001F3D0',
    u':waning_crescent_moon:': u'\U0001F318',
    u':waning_gibbous_moon:': u'\U0001F316',
    u':warning:': u'\U000026A0',
    u':wastebasket:': u'\U0001F5D1',
    u':watch:': u'\U0000231A',
    u':water_buffalo:': u'\U0001F403',
    u':wc:': u'\U0001F6BE',
    u':ocean:': u'\U0001F30A',
    u':watermelon:': u'\U0001F349',
    u':waving_black_flag:': u'\U0001F3F4',
    u':wave:': u'\U0001F44B',
    u':waving_white_flag:': u'\U0001F3F3',
    u':wavy_dash:': u'\U00003030',
    u':waxing_crescent_moon:': u'\U0001F312',
    u':moon:': u'\U0001F314',
    u':waxing_gibbous_moon:': u'\U0001F314',
    u':scream_cat:': u'\U0001F640',
    u':weary:': u'\U0001F629',
    u':wedding:': u'\U0001F492',
    u':weight_lifter:': u'\U0001F3CB',
    u':whale2:': u'\U0001F40B',
    u':wheel_of_dharma:': u'\U00002638',
    u':wheelchair:': u'\U0000267F',
    u':point_down:': u'\U0001F447',
    u':grey_exclamation:': u'\U00002755',
    u':white_flower:': u'\U0001F4AE',
    u':white_frowning_face:': u'\U00002639',
    u':white_check_mark:': u'\U00002705',
    u':white_large_square:': u'\U00002B1C',
    u':point_left:': u'\U0001F448',
    u':white_medium_small_square:': u'\U000025FD',
    u':white_medium_square:': u'\U000025FB',
    u':star:': u'\U00002B50',
    u':grey_question:': u'\U00002754',
    u':point_right:': u'\U0001F449',
    u':white_small_square:': u'\U000025AB',
    u':relaxed:': u'\U0000263A',
    u':white_square_button:': u'\U0001F533',
    u':white_sun_behind_cloud:': u'\U0001F325',
    u':white_sun_behind_cloud_with_rain:': u'\U0001F326',
    u':white_sun_with_small_cloud:': u'\U0001F324',
    u':point_up_2:': u'\U0001F446',
    u':point_up:': u'\U0000261D',
    u':wind_blowing_face:': u'\U0001F32C',
    u':wind_chime:': u'\U0001F390',
    u':wine_glass:': u'\U0001F377',
    u':wink:': u'\U0001F609',
    u':wolf:': u'\U0001F43A',
    u':woman:': u'\U0001F469',
    u':dancers:': u'\U0001F46F',
    u':boot:': u'\U0001F462',
    u':womans_clothes:': u'\U0001F45A',
    u':womans_hat:': u'\U0001F452',
    u':sandal:': u'\U0001F461',
    u':womens:': u'\U0001F6BA',
    u':world_map:': u'\U0001F5FA',
    u':worried:': u'\U0001F61F',
    u':gift:': u'\U0001F381',
    u':wrench:': u'\U0001F527',
    u':writing_hand:': u'\U0000270D',
    u':yellow_heart:': u'\U0001F49B',
    u':yin_yang:': u'\U0000262F',
    u':zipper__mouth_face:': u'\U0001F910',
    u':regional_indicator_a:': u'\U0001F1E6',
    u':regional_indicator_b:': u'\U0001F1E7',
    u':regional_indicator_c:': u'\U0001F1E8',
    u':regional_indicator_d:': u'\U0001F1E9',
    u':regional_indicator_e:': u'\U0001F1EA',
    u':regional_indicator_f:': u'\U0001F1EB',
    u':regional_indicator_g:': u'\U0001F1EC',
    u':regional_indicator_h:': u'\U0001F1ED',
    u':regional_indicator_i:': u'\U0001F1EE',
    u':regional_indicator_j:': u'\U0001F1EF',
    u':regional_indicator_k:': u'\U0001F1F0',
    u':regional_indicator_l:': u'\U0001F1F1',
    u':regional_indicator_m:': u'\U0001F1F2',
    u':regional_indicator_n:': u'\U0001F1F3',
    u':regional_indicator_o:': u'\U0001F1F4',
    u':regional_indicator_p:': u'\U0001F1F5',
    u':regional_indicator_q:': u'\U0001F1F6',
    u':regional_indicator_r:': u'\U0001F1F7',
    u':regional_indicator_s:': u'\U0001F1F8',
    u':regional_indicator_t:': u'\U0001F1F9',
    u':regional_indicator_u:': u'\U0001F1FA',
    u':regional_indicator_v:': u'\U0001F1FB',
    u':regional_indicator_w:': u'\U0001F1FC',
    u':regional_indicator_x:': u'\U0001F1FD',
    u':regional_indicator_y:': u'\U0001F1FE',
    u':regional_indicator_z:': u'\U0001F1FF',
})

EMOJI_UNICODE_SPANISH = {
    u':cara_sonriendo:': u'\U0001F600',
    u':cara_sonriendo_con_ojos_grandes:': u'\U0001F603',
    u':cara_sonriendo_con_ojos_sonrientes:': u'\U0001F604',
    u':cara_radiante_con_ojos_sonrientes:': u'\U0001F601',
    u':cara_sonriendo_con_los_ojos_cerrados:': u'\U0001F606',
    u':cara_sonriendo_con_sudor_frío:': u'\U0001F605',
    u':cara_revolviéndose_de_la_risa:': u'\U0001F923',
    u':cara_llorando_de_risa:': u'\U0001F602',
    u':cara_sonriendo_ligeramente:': u'\U0001F642',
    u':cara_al_revés:': u'\U0001F643',
    u':cara_guiñando_el_ojo:': u'\U0001F609',
    u':cara_feliz_con_ojos_sonrientes:': u'\U0001F60A',
    u':cara_sonriendo_con_aureola:': u'\U0001F607',
    u':cara_sonriendo_con_corazones:': u'\U0001F970',
    u':cara_sonriendo_con_ojos_de_corazón:': u'\U0001F60D',
    u':cara_sonriendo_con_estrellas:': u'\U0001F929',
    u':cara_lanzando_un_beso:': u'\U0001F618',
    u':cara_besando:': u'\U0001F617',
    u':cara_sonriente:': u'\U0000263A\U0000FE0F',
    u':cara_besando_con_los_ojos_cerrados:': u'\U0001F61A',
    u':cara_besando_con_ojos_sonrientes:': u'\U0001F619',
    u':cara_sonriente_con_lágrima:': u'\U0001F972',
    u':cara_saboreando_comida:': u'\U0001F60B',
    u':cara_sacando_la_lengua:': u'\U0001F61B',
    u':cara_sacando_la_lengua_y_guiñando_un_ojo:': u'\U0001F61C',
    u':cara_de_loco:': u'\U0001F92A',
    u':cara_con_ojos_cerrados_y_lengua_fuera:': u'\U0001F61D',
    u':cara_con_lengua_de_dinero:': u'\U0001F911',
    u':cara_con_manos_abrazando:': u'\U0001F917',
    u':cara_con_mano_sobre_la_boca:': u'\U0001F92D',
    u':cara_pidiendo_silencio:': u'\U0001F92B',
    u':cara_pensativa:': u'\U0001F914',
    u':cara_con_la_boca_cerrada_con_cremallera:': u'\U0001F910',
    u':cara_con_ceja_alzada:': u'\U0001F928',
    u':cara_neutral:': u'\U0001F610',
    u':cara_sin_expresión:': u'\U0001F611',
    u':cara_sin_boca:': u'\U0001F636',
    u':cara_sonriendo_con_superioridad:': u'\U0001F60F',
    u':cara_de_desaprobación:': u'\U0001F612',
    u':cara_con_ojos_en_blanco:': u'\U0001F644',
    u':cara_haciendo_una_mueca:': u'\U0001F62C',
    u':cara_de_mentiroso:': u'\U0001F925',
    u':cara_de_alivio:': u'\U0001F60C',
    u':cara_desanimada:': u'\U0001F614',
    u':cara_de_sueño:': u'\U0001F62A',
    u':cara_babeando:': u'\U0001F924',
    u':cara_durmiendo:': u'\U0001F634',
    u':cara_con_mascarilla_médica:': u'\U0001F637',
    u':cara_con_termómetro:': u'\U0001F912',
    u':cara_con_la_cabeza_vendada:': u'\U0001F915',
    u':cara_de_náuseas:': u'\U0001F922',
    u':cara_vomitando:': u'\U0001F92E',
    u':cara_estornudando:': u'\U0001F927',
    u':cara_con_calor:': u'\U0001F975',
    u':cara_con_frío:': u'\U0001F976',
    u':cara_de_grogui:': u'\U0001F974',
    u':cara_mareada:': u'\U0001F635',
    u':cabeza_explotando:': u'\U0001F92F',
    u':cara_con_sombrero_de_vaquero:': u'\U0001F920',
    u':cara_de_fiesta:': u'\U0001F973',
    u':cara_disfrazada:': u'\U0001F978',
    u':cara_sonriendo_con_gafas_de_sol:': u'\U0001F60E',
    u':cara_de_empollón:': u'\U0001F913',
    u':cara_con_monóculo:': u'\U0001F9D0',
    u':cara_de_confusión:': u'\U0001F615',
    u':cara_preocupada:': u'\U0001F61F',
    u':cara_con_el_ceño_ligeramente_fruncido:': u'\U0001F641',
    u':cara_con_el_ceño_fruncido:': u'\U00002639\U0000FE0F',
    u':cara_con_la_boca_abierta:': u'\U0001F62E',
    u':cara_estupefacta:': u'\U0001F62F',
    u':cara_asombrada:': u'\U0001F632',
    u':cara_sonrojada:': u'\U0001F633',
    u':cara_de_por_favor:': u'\U0001F97A',
    u':cara_con_el_ceño_fruncido_y_la_boca_abierta:': u'\U0001F626',
    u':cara_angustiada:': u'\U0001F627',
    u':cara_asustada:': u'\U0001F628',
    u':cara_con_ansiedad_y_sudor:': u'\U0001F630',
    u':cara_triste_pero_aliviada:': u'\U0001F625',
    u':cara_llorando:': u'\U0001F622',
    u':cara_llorando_fuerte:': u'\U0001F62D',
    u':cara_gritando_de_miedo:': u'\U0001F631',
    u':cara_de_frustración:': u'\U0001F616',
    u':cara_desesperada:': u'\U0001F623',
    u':cara_decepcionada:': u'\U0001F61E',
    u':cara_con_sudor_frío:': u'\U0001F613',
    u':cara_agotada:': u'\U0001F629',
    u':cara_cansada:': u'\U0001F62B',
    u':cara_de_bostezo:': u'\U0001F971',
    u':cara_resoplando:': u'\U0001F624',
    u':cara_cabreada:': u'\U0001F621',
    u':cara_enfadada:': u'\U0001F620',
    u':cara_con_símbolos_en_la_boca:': u'\U0001F92C',
    u':cara_sonriendo_con_cuernos:': u'\U0001F608',
    u':cara_enfadada_con_cuernos:': u'\U0001F47F',
    u':calavera:': u'\U0001F480',
    u':calavera_y_huesos_cruzados:': u'\U00002620\U0000FE0F',
    u':caca_con_ojos:': u'\U0001F4A9',
    u':cara_de_payaso:': u'\U0001F921',
    u':demonio_japonés_oni:': u'\U0001F479',
    u':demonio_japonés_tengu:': u'\U0001F47A',
    u':fantasma:': u'\U0001F47B',
    u':alienígena:': u'\U0001F47D',
    u':monstruo_alienígena:': u'\U0001F47E',
    u':robot:': u'\U0001F916',
    u':gato_sonriendo:': u'\U0001F63A',
    u':gato_sonriendo_con_ojos_sonrientes:': u'\U0001F638',
    u':gato_llorando_de_risa:': u'\U0001F639',
    u':gato_sonriendo_con_ojos_de_corazón:': u'\U0001F63B',
    u':gato_haciendo_una_mueca:': u'\U0001F63C',
    u':gato_besando:': u'\U0001F63D',
    u':gato_asustado:': u'\U0001F640',
    u':gato_llorando:': u'\U0001F63F',
    u':gato_enfadado:': u'\U0001F63E',
    u':mono_con_los_ojos_tapados:': u'\U0001F648',
    u':mono_con_los_oídos_tapados:': u'\U0001F649',
    u':mono_con_la_boca_tapada:': u'\U0001F64A',
    u':marca_de_beso:': u'\U0001F48B',
    u':carta_de_amor:': u'\U0001F48C',
    u':corazón_con_flecha:': u'\U0001F498',
    u':corazón_con_lazo:': u'\U0001F49D',
    u':corazón_brillante:': u'\U0001F496',
    u':corazón_creciente:': u'\U0001F497',
    u':corazón_latiendo:': u'\U0001F493',
    u':corazones_giratorios:': u'\U0001F49E',
    u':dos_corazones:': u'\U0001F495',
    u':adorno_de_corazón:': u'\U0001F49F',
    u':exclamación_de_corazón:': u'\U00002763\U0000FE0F',
    u':corazón_roto:': u'\U0001F494',
    u':corazón_rojo:': u'\U00002764\U0000FE0F',
    u':corazón_naranja:': u'\U0001F9E1',
    u':corazón_amarillo:': u'\U0001F49B',
    u':corazón_verde:': u'\U0001F49A',
    u':corazón_azul:': u'\U0001F499',
    u':corazón_morado:': u'\U0001F49C',
    u':corazón_marrón:': u'\U0001F90E',
    u':corazón_negro:': u'\U0001F5A4',
    u':corazón_blanco:': u'\U0001F90D',
    u':cien_puntos:': u'\U0001F4AF',
    u':símbolo_de_enfado:': u'\U0001F4A2',
    u':colisión:': u'\U0001F4A5',
    u':símbolo_de_mareo:': u'\U0001F4AB',
    u':gotas_de_sudor:': u'\U0001F4A6',
    u':salir_corriendo:': u'\U0001F4A8',
    u':agujero:': u'\U0001F573\U0000FE0F',
    u':bomba:': u'\U0001F4A3',
    u':bocadillo_de_diálogo:': u'\U0001F4AC',
    u':ojo_en_bocadillo_de_texto:': u'\U0001F441\U0000FE0F\U0000200D\U0001F5E8\U0000FE0F',
    u':bocadillo_de_diálogo_por_la_izquierda:': u'\U0001F5E8\U0000FE0F',
    u':bocadillo_de_enfado_por_la_derecha:': u'\U0001F5EF\U0000FE0F',
    u':bocadillo_de_pensamiento:': u'\U0001F4AD',
    u':símbolo_de_sueño:': u'\U0001F4A4',
    u':mano_saludando:': u'\U0001F44B',
    u':mano_saludando_tono_de_piel_claro:': u'\U0001F44B\U0001F3FB',
    u':mano_saludando_tono_de_piel_claro_medio:': u'\U0001F44B\U0001F3FC',
    u':mano_saludando_tono_de_piel_medio:': u'\U0001F44B\U0001F3FD',
    u':mano_saludando_tono_de_piel_oscuro_medio:': u'\U0001F44B\U0001F3FE',
    u':mano_saludando_tono_de_piel_oscuro:': u'\U0001F44B\U0001F3FF',
    u':dorso_de_la_mano:': u'\U0001F91A',
    u':dorso_de_la_mano_tono_de_piel_claro:': u'\U0001F91A\U0001F3FB',
    u':dorso_de_la_mano_tono_de_piel_claro_medio:': u'\U0001F91A\U0001F3FC',
    u':dorso_de_la_mano_tono_de_piel_medio:': u'\U0001F91A\U0001F3FD',
    u':dorso_de_la_mano_tono_de_piel_oscuro_medio:': u'\U0001F91A\U0001F3FE',
    u':dorso_de_la_mano_tono_de_piel_oscuro:': u'\U0001F91A\U0001F3FF',
    u':mano_abierta:': u'\U0001F590\U0000FE0F',
    u':mano_abierta_tono_de_piel_claro:': u'\U0001F590\U0001F3FB',
    u':mano_abierta_tono_de_piel_claro_medio:': u'\U0001F590\U0001F3FC',
    u':mano_abierta_tono_de_piel_medio:': u'\U0001F590\U0001F3FD',
    u':mano_abierta_tono_de_piel_oscuro_medio:': u'\U0001F590\U0001F3FE',
    u':mano_abierta_tono_de_piel_oscuro:': u'\U0001F590\U0001F3FF',
    u':mano_levantada:': u'\U0000270B',
    u':mano_levantada_tono_de_piel_claro:': u'\U0000270B\U0001F3FB',
    u':mano_levantada_tono_de_piel_claro_medio:': u'\U0000270B\U0001F3FC',
    u':mano_levantada_tono_de_piel_medio:': u'\U0000270B\U0001F3FD',
    u':mano_levantada_tono_de_piel_oscuro_medio:': u'\U0000270B\U0001F3FE',
    u':mano_levantada_tono_de_piel_oscuro:': u'\U0000270B\U0001F3FF',
    u':saludo_vulcano:': u'\U0001F596',
    u':saludo_vulcano_tono_de_piel_claro:': u'\U0001F596\U0001F3FB',
    u':saludo_vulcano_tono_de_piel_claro_medio:': u'\U0001F596\U0001F3FC',
    u':saludo_vulcano_tono_de_piel_medio:': u'\U0001F596\U0001F3FD',
    u':saludo_vulcano_tono_de_piel_oscuro_medio:': u'\U0001F596\U0001F3FE',
    u':saludo_vulcano_tono_de_piel_oscuro:': u'\U0001F596\U0001F3FF',
    u':señal_de_aprobación_con_la_mano:': u'\U0001F44C',
    u':señal_de_aprobación_con_la_mano_tono_de_piel_claro:': u'\U0001F44C\U0001F3FB',
    u':señal_de_aprobación_con_la_mano_tono_de_piel_claro_medio:': u'\U0001F44C\U0001F3FC',
    u':señal_de_aprobación_con_la_mano_tono_de_piel_medio:': u'\U0001F44C\U0001F3FD',
    u':señal_de_aprobación_con_la_mano_tono_de_piel_oscuro_medio:': u'\U0001F44C\U0001F3FE',
    u':señal_de_aprobación_con_la_mano_tono_de_piel_oscuro:': u'\U0001F44C\U0001F3FF',
    u':dedos_juntos_apuntando_hacia_arriba:': u'\U0001F90C',
    u':dedos_juntos_apuntando_hacia_arriba_tono_de_piel_claro:': u'\U0001F90C\U0001F3FB',
    u':dedos_juntos_apuntando_hacia_arriba_tono_de_piel_claro_medio:': u'\U0001F90C\U0001F3FC',
    u':dedos_juntos_apuntando_hacia_arriba_tono_de_piel_medio:': u'\U0001F90C\U0001F3FD',
    u':dedos_juntos_apuntando_hacia_arriba_tono_de_piel_oscuro_medio:': u'\U0001F90C\U0001F3FE',
    u':dedos_juntos_apuntando_hacia_arriba_tono_de_piel_oscuro:': u'\U0001F90C\U0001F3FF',
    u':mano_pellizcando:': u'\U0001F90F',
    u':mano_pellizcando_tono_de_piel_claro:': u'\U0001F90F\U0001F3FB',
    u':mano_pellizcando_tono_de_piel_claro_medio:': u'\U0001F90F\U0001F3FC',
    u':mano_pellizcando_tono_de_piel_medio:': u'\U0001F90F\U0001F3FD',
    u':mano_pellizcando_tono_de_piel_oscuro_medio:': u'\U0001F90F\U0001F3FE',
    u':mano_pellizcando_tono_de_piel_oscuro:': u'\U0001F90F\U0001F3FF',
    u':mano_con_señal_de_victoria:': u'\U0000270C',
    u':mano_con_señal_de_victoria_selector:': u'\U0000270C\U0000FE0F',
    u':mano_con_señal_de_victoria_tono_de_piel_claro:': u'\U0000270C\U0001F3FB',
    u':mano_con_señal_de_victoria_tono_de_piel_claro_medio:': u'\U0000270C\U0001F3FC',
    u':mano_con_señal_de_victoria_tono_de_piel_medio:': u'\U0000270C\U0001F3FD',
    u':mano_con_señal_de_victoria_tono_de_piel_oscuro_medio:': u'\U0000270C\U0001F3FE',
    u':mano_con_señal_de_victoria_tono_de_piel_oscuro:': u'\U0000270C\U0001F3FF',
    u':dedos_cruzados:': u'\U0001F91E',
    u':dedos_cruzados_tono_de_piel_claro:': u'\U0001F91E\U0001F3FB',
    u':dedos_cruzados_tono_de_piel_claro_medio:': u'\U0001F91E\U0001F3FC',
    u':dedos_cruzados_tono_de_piel_medio:': u'\U0001F91E\U0001F3FD',
    u':dedos_cruzados_tono_de_piel_oscuro_medio:': u'\U0001F91E\U0001F3FE',
    u':dedos_cruzados_tono_de_piel_oscuro:': u'\U0001F91E\U0001F3FF',
    u':gesto_de_te_quiero:': u'\U0001F91F',
    u':gesto_de_te_quiero_tono_de_piel_claro:': u'\U0001F91F\U0001F3FB',
    u':gesto_de_te_quiero_tono_de_piel_claro_medio:': u'\U0001F91F\U0001F3FC',
    u':gesto_de_te_quiero_tono_de_piel_medio:': u'\U0001F91F\U0001F3FD',
    u':gesto_de_te_quiero_tono_de_piel_oscuro_medio:': u'\U0001F91F\U0001F3FE',
    u':gesto_de_te_quiero_tono_de_piel_oscuro:': u'\U0001F91F\U0001F3FF',
    u':mano_haciendo_el_signo_de_cuernos:': u'\U0001F918',
    u':mano_haciendo_el_signo_de_cuernos_tono_de_piel_claro:': u'\U0001F918\U0001F3FB',
    u':mano_haciendo_el_signo_de_cuernos_tono_de_piel_claro_medio:': u'\U0001F918\U0001F3FC',
    u':mano_haciendo_el_signo_de_cuernos_tono_de_piel_medio:': u'\U0001F918\U0001F3FD',
    u':mano_haciendo_el_signo_de_cuernos_tono_de_piel_oscuro_medio:': u'\U0001F918\U0001F3FE',
    u':mano_haciendo_el_signo_de_cuernos_tono_de_piel_oscuro:': u'\U0001F918\U0001F3FF',
    u':mano_haciendo_el_gesto_de_llamar:': u'\U0001F919',
    u':mano_haciendo_el_gesto_de_llamar_tono_de_piel_claro:': u'\U0001F919\U0001F3FB',
    u':mano_haciendo_el_gesto_de_llamar_tono_de_piel_claro_medio:': u'\U0001F919\U0001F3FC',
    u':mano_haciendo_el_gesto_de_llamar_tono_de_piel_medio:': u'\U0001F919\U0001F3FD',
    u':mano_haciendo_el_gesto_de_llamar_tono_de_piel_oscuro_medio:': u'\U0001F919\U0001F3FE',
    u':mano_haciendo_el_gesto_de_llamar_tono_de_piel_oscuro:': u'\U0001F919\U0001F3FF',
    u':dorso_de_mano_con_índice_a_la_izquierda:': u'\U0001F448',
    u':dorso_de_mano_con_índice_a_la_izquierda_tono_de_piel_claro:': u'\U0001F448\U0001F3FB',
    u':dorso_de_mano_con_índice_a_la_izquierda_tono_de_piel_claro_medio:': u'\U0001F448\U0001F3FC',
    u':dorso_de_mano_con_índice_a_la_izquierda_tono_de_piel_medio:': u'\U0001F448\U0001F3FD',
    u':dorso_de_mano_con_índice_a_la_izquierda_tono_de_piel_oscuro_medio:': u'\U0001F448\U0001F3FE',
    u':dorso_de_mano_con_índice_a_la_izquierda_tono_de_piel_oscuro:': u'\U0001F448\U0001F3FF',
    u':dorso_de_mano_con_índice_a_la_derecha:': u'\U0001F449',
    u':dorso_de_mano_con_índice_a_la_derecha_tono_de_piel_claro:': u'\U0001F449\U0001F3FB',
    u':dorso_de_mano_con_índice_a_la_derecha_tono_de_piel_claro_medio:': u'\U0001F449\U0001F3FC',
    u':dorso_de_mano_con_índice_a_la_derecha_tono_de_piel_medio:': u'\U0001F449\U0001F3FD',
    u':dorso_de_mano_con_índice_a_la_derecha_tono_de_piel_oscuro_medio:': u'\U0001F449\U0001F3FE',
    u':dorso_de_mano_con_índice_a_la_derecha_tono_de_piel_oscuro:': u'\U0001F449\U0001F3FF',
    u':dorso_de_mano_con_índice_hacia_arriba:': u'\U0001F446',
    u':dorso_de_mano_con_índice_hacia_arriba_tono_de_piel_claro:': u'\U0001F446\U0001F3FB',
    u':dorso_de_mano_con_índice_hacia_arriba_tono_de_piel_claro_medio:': u'\U0001F446\U0001F3FC',
    u':dorso_de_mano_con_índice_hacia_arriba_tono_de_piel_medio:': u'\U0001F446\U0001F3FD',
    u':dorso_de_mano_con_índice_hacia_arriba_tono_de_piel_oscuro_medio:': u'\U0001F446\U0001F3FE',
    u':dorso_de_mano_con_índice_hacia_arriba_tono_de_piel_oscuro:': u'\U0001F446\U0001F3FF',
    u':dedo_corazón_hacia_arriba:': u'\U0001F595',
    u':dedo_corazón_hacia_arriba_tono_de_piel_claro:': u'\U0001F595\U0001F3FB',
    u':dedo_corazón_hacia_arriba_tono_de_piel_claro_medio:': u'\U0001F595\U0001F3FC',
    u':dedo_corazón_hacia_arriba_tono_de_piel_medio:': u'\U0001F595\U0001F3FD',
    u':dedo_corazón_hacia_arriba_tono_de_piel_oscuro_medio:': u'\U0001F595\U0001F3FE',
    u':dedo_corazón_hacia_arriba_tono_de_piel_oscuro:': u'\U0001F595\U0001F3FF',
    u':dorso_de_mano_con_índice_hacia_abajo:': u'\U0001F447',
    u':dorso_de_mano_con_índice_hacia_abajo_tono_de_piel_claro:': u'\U0001F447\U0001F3FB',
    u':dorso_de_mano_con_índice_hacia_abajo_tono_de_piel_claro_medio:': u'\U0001F447\U0001F3FC',
    u':dorso_de_mano_con_índice_hacia_abajo_tono_de_piel_medio:': u'\U0001F447\U0001F3FD',
    u':dorso_de_mano_con_índice_hacia_abajo_tono_de_piel_oscuro_medio:': u'\U0001F447\U0001F3FE',
    u':dorso_de_mano_con_índice_hacia_abajo_tono_de_piel_oscuro:': u'\U0001F447\U0001F3FF',
    u':dedo_índice_hacia_arriba:': u'\U0000261D',
    u':dedo_índice_hacia_arriba_selector:': u'\U0000261D\U0000FE0F',
    u':dedo_índice_hacia_arriba_tono_de_piel_claro:': u'\U0000261D\U0001F3FB',
    u':dedo_índice_hacia_arriba_tono_de_piel_claro_medio:': u'\U0000261D\U0001F3FC',
    u':dedo_índice_hacia_arriba_tono_de_piel_medio:': u'\U0000261D\U0001F3FD',
    u':dedo_índice_hacia_arriba_tono_de_piel_oscuro_medio:': u'\U0000261D\U0001F3FE',
    u':dedo_índice_hacia_arriba_tono_de_piel_oscuro:': u'\U0000261D\U0001F3FF',
    u':pulgar_hacia_arriba:': u'\U0001F44D',
    u':pulgar_hacia_arriba_tono_de_piel_claro:': u'\U0001F44D\U0001F3FB',
    u':pulgar_hacia_arriba_tono_de_piel_claro_medio:': u'\U0001F44D\U0001F3FC',
    u':pulgar_hacia_arriba_tono_de_piel_medio:': u'\U0001F44D\U0001F3FD',
    u':pulgar_hacia_arriba_tono_de_piel_oscuro_medio:': u'\U0001F44D\U0001F3FE',
    u':pulgar_hacia_arriba_tono_de_piel_oscuro:': u'\U0001F44D\U0001F3FF',
    u':pulgar_hacia_abajo:': u'\U0001F44E',
    u':pulgar_hacia_abajo_tono_de_piel_claro:': u'\U0001F44E\U0001F3FB',
    u':pulgar_hacia_abajo_tono_de_piel_claro_medio:': u'\U0001F44E\U0001F3FC',
    u':pulgar_hacia_abajo_tono_de_piel_medio:': u'\U0001F44E\U0001F3FD',
    u':pulgar_hacia_abajo_tono_de_piel_oscuro_medio:': u'\U0001F44E\U0001F3FE',
    u':pulgar_hacia_abajo_tono_de_piel_oscuro:': u'\U0001F44E\U0001F3FF',
    u':puño_en_alto:': u'\U0000270A',
    u':puño_en_alto_tono_de_piel_claro:': u'\U0000270A\U0001F3FB',
    u':puño_en_alto_tono_de_piel_claro_medio:': u'\U0000270A\U0001F3FC',
    u':puño_en_alto_tono_de_piel_medio:': u'\U0000270A\U0001F3FD',
    u':puño_en_alto_tono_de_piel_oscuro_medio:': u'\U0000270A\U0001F3FE',
    u':puño_en_alto_tono_de_piel_oscuro:': u'\U0000270A\U0001F3FF',
    u':puño_cerrado:': u'\U0001F44A',
    u':puño_cerrado_tono_de_piel_claro:': u'\U0001F44A\U0001F3FB',
    u':puño_cerrado_tono_de_piel_claro_medio:': u'\U0001F44A\U0001F3FC',
    u':puño_cerrado_tono_de_piel_medio:': u'\U0001F44A\U0001F3FD',
    u':puño_cerrado_tono_de_piel_oscuro_medio:': u'\U0001F44A\U0001F3FE',
    u':puño_cerrado_tono_de_piel_oscuro:': u'\U0001F44A\U0001F3FF',
    u':puño_hacia_la_izquierda:': u'\U0001F91B',
    u':puño_hacia_la_izquierda_tono_de_piel_claro:': u'\U0001F91B\U0001F3FB',
    u':puño_hacia_la_izquierda_tono_de_piel_claro_medio:': u'\U0001F91B\U0001F3FC',
    u':puño_hacia_la_izquierda_tono_de_piel_medio:': u'\U0001F91B\U0001F3FD',
    u':puño_hacia_la_izquierda_tono_de_piel_oscuro_medio:': u'\U0001F91B\U0001F3FE',
    u':puño_hacia_la_izquierda_tono_de_piel_oscuro:': u'\U0001F91B\U0001F3FF',
    u':puño_hacia_la_derecha:': u'\U0001F91C',
    u':puño_hacia_la_derecha_tono_de_piel_claro:': u'\U0001F91C\U0001F3FB',
    u':puño_hacia_la_derecha_tono_de_piel_claro_medio:': u'\U0001F91C\U0001F3FC',
    u':puño_hacia_la_derecha_tono_de_piel_medio:': u'\U0001F91C\U0001F3FD',
    u':puño_hacia_la_derecha_tono_de_piel_oscuro_medio:': u'\U0001F91C\U0001F3FE',
    u':puño_hacia_la_derecha_tono_de_piel_oscuro:': u'\U0001F91C\U0001F3FF',
    u':manos_aplaudiendo:': u'\U0001F44F',
    u':manos_aplaudiendo_tono_de_piel_claro:': u'\U0001F44F\U0001F3FB',
    u':manos_aplaudiendo_tono_de_piel_claro_medio:': u'\U0001F44F\U0001F3FC',
    u':manos_aplaudiendo_tono_de_piel_medio:': u'\U0001F44F\U0001F3FD',
    u':manos_aplaudiendo_tono_de_piel_oscuro_medio:': u'\U0001F44F\U0001F3FE',
    u':manos_aplaudiendo_tono_de_piel_oscuro:': u'\U0001F44F\U0001F3FF',
    u':manos_levantadas_celebrando:': u'\U0001F64C',
    u':manos_levantadas_celebrando_tono_de_piel_claro:': u'\U0001F64C\U0001F3FB',
    u':manos_levantadas_celebrando_tono_de_piel_claro_medio:': u'\U0001F64C\U0001F3FC',
    u':manos_levantadas_celebrando_tono_de_piel_medio:': u'\U0001F64C\U0001F3FD',
    u':manos_levantadas_celebrando_tono_de_piel_oscuro_medio:': u'\U0001F64C\U0001F3FE',
    u':manos_levantadas_celebrando_tono_de_piel_oscuro:': u'\U0001F64C\U0001F3FF',
    u':manos_abiertas:': u'\U0001F450',
    u':manos_abiertas_tono_de_piel_claro:': u'\U0001F450\U0001F3FB',
    u':manos_abiertas_tono_de_piel_claro_medio:': u'\U0001F450\U0001F3FC',
    u':manos_abiertas_tono_de_piel_medio:': u'\U0001F450\U0001F3FD',
    u':manos_abiertas_tono_de_piel_oscuro_medio:': u'\U0001F450\U0001F3FE',
    u':manos_abiertas_tono_de_piel_oscuro:': u'\U0001F450\U0001F3FF',
    u':palmas_hacia_arriba_juntas:': u'\U0001F932',
    u':palmas_hacia_arriba_juntas_tono_de_piel_claro:': u'\U0001F932\U0001F3FB',
    u':palmas_hacia_arriba_juntas_tono_de_piel_claro_medio:': u'\U0001F932\U0001F3FC',
    u':palmas_hacia_arriba_juntas_tono_de_piel_medio:': u'\U0001F932\U0001F3FD',
    u':palmas_hacia_arriba_juntas_tono_de_piel_oscuro_medio:': u'\U0001F932\U0001F3FE',
    u':palmas_hacia_arriba_juntas_tono_de_piel_oscuro:': u'\U0001F932\U0001F3FF',
    u':apretón_de_manos:': u'\U0001F91D',
    u':manos_en_oración:': u'\U0001F64F',
    u':manos_en_oración_tono_de_piel_claro:': u'\U0001F64F\U0001F3FB',
    u':manos_en_oración_tono_de_piel_claro_medio:': u'\U0001F64F\U0001F3FC',
    u':manos_en_oración_tono_de_piel_medio:': u'\U0001F64F\U0001F3FD',
    u':manos_en_oración_tono_de_piel_oscuro_medio:': u'\U0001F64F\U0001F3FE',
    u':manos_en_oración_tono_de_piel_oscuro:': u'\U0001F64F\U0001F3FF',
    u':mano_escribiendo:': u'\U0000270D\U0000FE0F',
    u':mano_escribiendo_tono_de_piel_claro:': u'\U0000270D\U0001F3FB',
    u':mano_escribiendo_tono_de_piel_claro_medio:': u'\U0000270D\U0001F3FC',
    u':mano_escribiendo_tono_de_piel_medio:': u'\U0000270D\U0001F3FD',
    u':mano_escribiendo_tono_de_piel_oscuro_medio:': u'\U0000270D\U0001F3FE',
    u':mano_escribiendo_tono_de_piel_oscuro:': u'\U0000270D\U0001F3FF',
    u':pintarse_las_uñas:': u'\U0001F485',
    u':pintarse_las_uñas_tono_de_piel_claro:': u'\U0001F485\U0001F3FB',
    u':pintarse_las_uñas_tono_de_piel_claro_medio:': u'\U0001F485\U0001F3FC',
    u':pintarse_las_uñas_tono_de_piel_medio:': u'\U0001F485\U0001F3FD',
    u':pintarse_las_uñas_tono_de_piel_oscuro_medio:': u'\U0001F485\U0001F3FE',
    u':pintarse_las_uñas_tono_de_piel_oscuro:': u'\U0001F485\U0001F3FF',
    u':selfi:': u'\U0001F933',
    u':selfi_tono_de_piel_claro:': u'\U0001F933\U0001F3FB',
    u':selfi_tono_de_piel_claro_medio:': u'\U0001F933\U0001F3FC',
    u':selfi_tono_de_piel_medio:': u'\U0001F933\U0001F3FD',
    u':selfi_tono_de_piel_oscuro_medio:': u'\U0001F933\U0001F3FE',
    u':selfi_tono_de_piel_oscuro:': u'\U0001F933\U0001F3FF',
    u':bíceps_flexionado:': u'\U0001F4AA',
    u':bíceps_flexionado_tono_de_piel_claro:': u'\U0001F4AA\U0001F3FB',
    u':bíceps_flexionado_tono_de_piel_claro_medio:': u'\U0001F4AA\U0001F3FC',
    u':bíceps_flexionado_tono_de_piel_medio:': u'\U0001F4AA\U0001F3FD',
    u':bíceps_flexionado_tono_de_piel_oscuro_medio:': u'\U0001F4AA\U0001F3FE',
    u':bíceps_flexionado_tono_de_piel_oscuro:': u'\U0001F4AA\U0001F3FF',
    u':brazo_mecánico:': u'\U0001F9BE',
    u':pierna_mecánica:': u'\U0001F9BF',
    u':pierna:': u'\U0001F9B5',
    u':pierna_tono_de_piel_claro:': u'\U0001F9B5\U0001F3FB',
    u':pierna_tono_de_piel_claro_medio:': u'\U0001F9B5\U0001F3FC',
    u':pierna_tono_de_piel_medio:': u'\U0001F9B5\U0001F3FD',
    u':pierna_tono_de_piel_oscuro_medio:': u'\U0001F9B5\U0001F3FE',
    u':pierna_tono_de_piel_oscuro:': u'\U0001F9B5\U0001F3FF',
    u':pie:': u'\U0001F9B6',
    u':pie_tono_de_piel_claro:': u'\U0001F9B6\U0001F3FB',
    u':pie_tono_de_piel_claro_medio:': u'\U0001F9B6\U0001F3FC',
    u':pie_tono_de_piel_medio:': u'\U0001F9B6\U0001F3FD',
    u':pie_tono_de_piel_oscuro_medio:': u'\U0001F9B6\U0001F3FE',
    u':pie_tono_de_piel_oscuro:': u'\U0001F9B6\U0001F3FF',
    u':oreja:': u'\U0001F442',
    u':oreja_tono_de_piel_claro:': u'\U0001F442\U0001F3FB',
    u':oreja_tono_de_piel_claro_medio:': u'\U0001F442\U0001F3FC',
    u':oreja_tono_de_piel_medio:': u'\U0001F442\U0001F3FD',
    u':oreja_tono_de_piel_oscuro_medio:': u'\U0001F442\U0001F3FE',
    u':oreja_tono_de_piel_oscuro:': u'\U0001F442\U0001F3FF',
    u':oreja_con_audífono:': u'\U0001F9BB',
    u':oreja_con_audífono_tono_de_piel_claro:': u'\U0001F9BB\U0001F3FB',
    u':oreja_con_audífono_tono_de_piel_claro_medio:': u'\U0001F9BB\U0001F3FC',
    u':oreja_con_audífono_tono_de_piel_medio:': u'\U0001F9BB\U0001F3FD',
    u':oreja_con_audífono_tono_de_piel_oscuro_medio:': u'\U0001F9BB\U0001F3FE',
    u':oreja_con_audífono_tono_de_piel_oscuro:': u'\U0001F9BB\U0001F3FF',
    u':nariz:': u'\U0001F443',
    u':nariz_tono_de_piel_claro:': u'\U0001F443\U0001F3FB',
    u':nariz_tono_de_piel_claro_medio:': u'\U0001F443\U0001F3FC',
    u':nariz_tono_de_piel_medio:': u'\U0001F443\U0001F3FD',
    u':nariz_tono_de_piel_oscuro_medio:': u'\U0001F443\U0001F3FE',
    u':nariz_tono_de_piel_oscuro:': u'\U0001F443\U0001F3FF',
    u':cerebro:': u'\U0001F9E0',
    u':corazón_humano:': u'\U0001FAC0',
    u':pulmones:': u'\U0001FAC1',
    u':diente:': u'\U0001F9B7',
    u':hueso:': u'\U0001F9B4',
    u':ojos:': u'\U0001F440',
    u':ojo:': u'\U0001F441\U0000FE0F',
    u':lengua:': u'\U0001F445',
    u':boca:': u'\U0001F444',
    u':bebé:': u'\U0001F476',
    u':bebé_tono_de_piel_claro:': u'\U0001F476\U0001F3FB',
    u':bebé_tono_de_piel_claro_medio:': u'\U0001F476\U0001F3FC',
    u':bebé_tono_de_piel_medio:': u'\U0001F476\U0001F3FD',
    u':bebé_tono_de_piel_oscuro_medio:': u'\U0001F476\U0001F3FE',
    u':bebé_tono_de_piel_oscuro:': u'\U0001F476\U0001F3FF',
    u':infante:': u'\U0001F9D2',
    u':infante_tono_de_piel_claro:': u'\U0001F9D2\U0001F3FB',
    u':infante_tono_de_piel_claro_medio:': u'\U0001F9D2\U0001F3FC',
    u':infante_tono_de_piel_medio:': u'\U0001F9D2\U0001F3FD',
    u':infante_tono_de_piel_oscuro_medio:': u'\U0001F9D2\U0001F3FE',
    u':infante_tono_de_piel_oscuro:': u'\U0001F9D2\U0001F3FF',
    u':niño:': u'\U0001F466',
    u':niño_tono_de_piel_claro:': u'\U0001F466\U0001F3FB',
    u':niño_tono_de_piel_claro_medio:': u'\U0001F466\U0001F3FC',
    u':niño_tono_de_piel_medio:': u'\U0001F466\U0001F3FD',
    u':niño_tono_de_piel_oscuro_medio:': u'\U0001F466\U0001F3FE',
    u':niño_tono_de_piel_oscuro:': u'\U0001F466\U0001F3FF',
    u':niña:': u'\U0001F467',
    u':niña_tono_de_piel_claro:': u'\U0001F467\U0001F3FB',
    u':niña_tono_de_piel_claro_medio:': u'\U0001F467\U0001F3FC',
    u':niña_tono_de_piel_medio:': u'\U0001F467\U0001F3FD',
    u':niña_tono_de_piel_oscuro_medio:': u'\U0001F467\U0001F3FE',
    u':niña_tono_de_piel_oscuro:': u'\U0001F467\U0001F3FF',
    u':persona_adulta:': u'\U0001F9D1',
    u':persona_adulta_tono_de_piel_claro:': u'\U0001F9D1\U0001F3FB',
    u':persona_adulta_tono_de_piel_claro_medio:': u'\U0001F9D1\U0001F3FC',
    u':persona_adulta_tono_de_piel_medio:': u'\U0001F9D1\U0001F3FD',
    u':persona_adulta_tono_de_piel_oscuro_medio:': u'\U0001F9D1\U0001F3FE',
    u':persona_adulta_tono_de_piel_oscuro:': u'\U0001F9D1\U0001F3FF',
    u':persona_adulta_rubia:': u'\U0001F471',
    u':persona_adulta_rubia_tono_de_piel_claro:': u'\U0001F471\U0001F3FB',
    u':persona_adulta_rubia_tono_de_piel_claro_medio:': u'\U0001F471\U0001F3FC',
    u':persona_adulta_rubia_tono_de_piel_medio:': u'\U0001F471\U0001F3FD',
    u':persona_adulta_rubia_tono_de_piel_oscuro_medio:': u'\U0001F471\U0001F3FE',
    u':persona_adulta_rubia_tono_de_piel_oscuro:': u'\U0001F471\U0001F3FF',
    u':hombre:': u'\U0001F468',
    u':hombre_tono_de_piel_claro:': u'\U0001F468\U0001F3FB',
    u':hombre_tono_de_piel_claro_medio:': u'\U0001F468\U0001F3FC',
    u':hombre_tono_de_piel_medio:': u'\U0001F468\U0001F3FD',
    u':hombre_tono_de_piel_oscuro_medio:': u'\U0001F468\U0001F3FE',
    u':hombre_tono_de_piel_oscuro:': u'\U0001F468\U0001F3FF',
    u':hombre_con_barba:': u'\U0001F9D4',
    u':hombre_con_barba_tono_de_piel_claro:': u'\U0001F9D4\U0001F3FB',
    u':hombre_con_barba_tono_de_piel_claro_medio:': u'\U0001F9D4\U0001F3FC',
    u':hombre_con_barba_tono_de_piel_medio:': u'\U0001F9D4\U0001F3FD',
    u':hombre_con_barba_tono_de_piel_oscuro_medio:': u'\U0001F9D4\U0001F3FE',
    u':hombre_con_barba_tono_de_piel_oscuro:': u'\U0001F9D4\U0001F3FF',
    u':hombre_pelo_pelirrojo:': u'\U0001F468\U0000200D\U0001F9B0',
    u':hombre_tono_de_piel_claro_y_pelo_pelirrojo:': u'\U0001F468\U0001F3FB\U0000200D\U0001F9B0',
    u':hombre_tono_de_piel_claro_medio_y_pelo_pelirrojo:': u'\U0001F468\U0001F3FC\U0000200D\U0001F9B0',
    u':hombre_tono_de_piel_medio_y_pelo_pelirrojo:': u'\U0001F468\U0001F3FD\U0000200D\U0001F9B0',
    u':hombre_tono_de_piel_oscuro_medio_y_pelo_pelirrojo:': u'\U0001F468\U0001F3FE\U0000200D\U0001F9B0',
    u':hombre_tono_de_piel_oscuro_y_pelo_pelirrojo:': u'\U0001F468\U0001F3FF\U0000200D\U0001F9B0',
    u':hombre_pelo_rizado:': u'\U0001F468\U0000200D\U0001F9B1',
    u':hombre_tono_de_piel_claro_y_pelo_rizado:': u'\U0001F468\U0001F3FB\U0000200D\U0001F9B1',
    u':hombre_tono_de_piel_claro_medio_y_pelo_rizado:': u'\U0001F468\U0001F3FC\U0000200D\U0001F9B1',
    u':hombre_tono_de_piel_medio_y_pelo_rizado:': u'\U0001F468\U0001F3FD\U0000200D\U0001F9B1',
    u':hombre_tono_de_piel_oscuro_medio_y_pelo_rizado:': u'\U0001F468\U0001F3FE\U0000200D\U0001F9B1',
    u':hombre_tono_de_piel_oscuro_y_pelo_rizado:': u'\U0001F468\U0001F3FF\U0000200D\U0001F9B1',
    u':hombre_pelo_blanco:': u'\U0001F468\U0000200D\U0001F9B3',
    u':hombre_tono_de_piel_claro_y_pelo_blanco:': u'\U0001F468\U0001F3FB\U0000200D\U0001F9B3',
    u':hombre_tono_de_piel_claro_medio_y_pelo_blanco:': u'\U0001F468\U0001F3FC\U0000200D\U0001F9B3',
    u':hombre_tono_de_piel_medio_y_pelo_blanco:': u'\U0001F468\U0001F3FD\U0000200D\U0001F9B3',
    u':hombre_tono_de_piel_oscuro_medio_y_pelo_blanco:': u'\U0001F468\U0001F3FE\U0000200D\U0001F9B3',
    u':hombre_tono_de_piel_oscuro_y_pelo_blanco:': u'\U0001F468\U0001F3FF\U0000200D\U0001F9B3',
    u':hombre_sin_pelo:': u'\U0001F468\U0000200D\U0001F9B2',
    u':hombre_tono_de_piel_claro_y_sin_pelo:': u'\U0001F468\U0001F3FB\U0000200D\U0001F9B2',
    u':hombre_tono_de_piel_claro_medio_y_sin_pelo:': u'\U0001F468\U0001F3FC\U0000200D\U0001F9B2',
    u':hombre_tono_de_piel_medio_y_sin_pelo:': u'\U0001F468\U0001F3FD\U0000200D\U0001F9B2',
    u':hombre_tono_de_piel_oscuro_medio_y_sin_pelo:': u'\U0001F468\U0001F3FE\U0000200D\U0001F9B2',
    u':hombre_tono_de_piel_oscuro_y_sin_pelo:': u'\U0001F468\U0001F3FF\U0000200D\U0001F9B2',
    u':mujer:': u'\U0001F469',
    u':mujer_tono_de_piel_claro:': u'\U0001F469\U0001F3FB',
    u':mujer_tono_de_piel_claro_medio:': u'\U0001F469\U0001F3FC',
    u':mujer_tono_de_piel_medio:': u'\U0001F469\U0001F3FD',
    u':mujer_tono_de_piel_oscuro_medio:': u'\U0001F469\U0001F3FE',
    u':mujer_tono_de_piel_oscuro:': u'\U0001F469\U0001F3FF',
    u':mujer_pelo_pelirrojo:': u'\U0001F469\U0000200D\U0001F9B0',
    u':mujer_tono_de_piel_claro_y_pelo_pelirrojo:': u'\U0001F469\U0001F3FB\U0000200D\U0001F9B0',
    u':mujer_tono_de_piel_claro_medio_y_pelo_pelirrojo:': u'\U0001F469\U0001F3FC\U0000200D\U0001F9B0',
    u':mujer_tono_de_piel_medio_y_pelo_pelirrojo:': u'\U0001F469\U0001F3FD\U0000200D\U0001F9B0',
    u':mujer_tono_de_piel_oscuro_medio_y_pelo_pelirrojo:': u'\U0001F469\U0001F3FE\U0000200D\U0001F9B0',
    u':mujer_tono_de_piel_oscuro_y_pelo_pelirrojo:': u'\U0001F469\U0001F3FF\U0000200D\U0001F9B0',
    u':persona_adulta_pelo_pelirrojo:': u'\U0001F9D1\U0000200D\U0001F9B0',
    u':persona_adulta_tono_de_piel_claro_y_pelo_pelirrojo:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F9B0',
    u':persona_adulta_tono_de_piel_claro_medio_y_pelo_pelirrojo:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F9B0',
    u':persona_adulta_tono_de_piel_medio_y_pelo_pelirrojo:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F9B0',
    u':persona_adulta_tono_de_piel_oscuro_medio_y_pelo_pelirrojo:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F9B0',
    u':persona_adulta_tono_de_piel_oscuro_y_pelo_pelirrojo:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F9B0',
    u':mujer_pelo_rizado:': u'\U0001F469\U0000200D\U0001F9B1',
    u':mujer_tono_de_piel_claro_y_pelo_rizado:': u'\U0001F469\U0001F3FB\U0000200D\U0001F9B1',
    u':mujer_tono_de_piel_claro_medio_y_pelo_rizado:': u'\U0001F469\U0001F3FC\U0000200D\U0001F9B1',
    u':mujer_tono_de_piel_medio_y_pelo_rizado:': u'\U0001F469\U0001F3FD\U0000200D\U0001F9B1',
    u':mujer_tono_de_piel_oscuro_medio_y_pelo_rizado:': u'\U0001F469\U0001F3FE\U0000200D\U0001F9B1',
    u':mujer_tono_de_piel_oscuro_y_pelo_rizado:': u'\U0001F469\U0001F3FF\U0000200D\U0001F9B1',
    u':persona_adulta_pelo_rizado:': u'\U0001F9D1\U0000200D\U0001F9B1',
    u':persona_adulta_tono_de_piel_claro_y_pelo_rizado:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F9B1',
    u':persona_adulta_tono_de_piel_claro_medio_y_pelo_rizado:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F9B1',
    u':persona_adulta_tono_de_piel_medio_y_pelo_rizado:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F9B1',
    u':persona_adulta_tono_de_piel_oscuro_medio_y_pelo_rizado:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F9B1',
    u':persona_adulta_tono_de_piel_oscuro_y_pelo_rizado:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F9B1',
    u':mujer_pelo_blanco:': u'\U0001F469\U0000200D\U0001F9B3',
    u':mujer_tono_de_piel_claro_y_pelo_blanco:': u'\U0001F469\U0001F3FB\U0000200D\U0001F9B3',
    u':mujer_tono_de_piel_claro_medio_y_pelo_blanco:': u'\U0001F469\U0001F3FC\U0000200D\U0001F9B3',
    u':mujer_tono_de_piel_medio_y_pelo_blanco:': u'\U0001F469\U0001F3FD\U0000200D\U0001F9B3',
    u':mujer_tono_de_piel_oscuro_medio_y_pelo_blanco:': u'\U0001F469\U0001F3FE\U0000200D\U0001F9B3',
    u':mujer_tono_de_piel_oscuro_y_pelo_blanco:': u'\U0001F469\U0001F3FF\U0000200D\U0001F9B3',
    u':persona_adulta_pelo_blanco:': u'\U0001F9D1\U0000200D\U0001F9B3',
    u':persona_adulta_tono_de_piel_claro_y_pelo_blanco:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F9B3',
    u':persona_adulta_tono_de_piel_claro_medio_y_pelo_blanco:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F9B3',
    u':persona_adulta_tono_de_piel_medio_y_pelo_blanco:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F9B3',
    u':persona_adulta_tono_de_piel_oscuro_medio_y_pelo_blanco:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F9B3',
    u':persona_adulta_tono_de_piel_oscuro_y_pelo_blanco:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F9B3',
    u':mujer_sin_pelo:': u'\U0001F469\U0000200D\U0001F9B2',
    u':mujer_tono_de_piel_claro_y_sin_pelo:': u'\U0001F469\U0001F3FB\U0000200D\U0001F9B2',
    u':mujer_tono_de_piel_claro_medio_y_sin_pelo:': u'\U0001F469\U0001F3FC\U0000200D\U0001F9B2',
    u':mujer_tono_de_piel_medio_y_sin_pelo:': u'\U0001F469\U0001F3FD\U0000200D\U0001F9B2',
    u':mujer_tono_de_piel_oscuro_medio_y_sin_pelo:': u'\U0001F469\U0001F3FE\U0000200D\U0001F9B2',
    u':mujer_tono_de_piel_oscuro_y_sin_pelo:': u'\U0001F469\U0001F3FF\U0000200D\U0001F9B2',
    u':persona_adulta_sin_pelo:': u'\U0001F9D1\U0000200D\U0001F9B2',
    u':persona_adulta_tono_de_piel_claro_y_sin_pelo:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F9B2',
    u':persona_adulta_tono_de_piel_claro_medio_y_sin_pelo:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F9B2',
    u':persona_adulta_tono_de_piel_medio_y_sin_pelo:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F9B2',
    u':persona_adulta_tono_de_piel_oscuro_medio_y_sin_pelo:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F9B2',
    u':persona_adulta_tono_de_piel_oscuro_y_sin_pelo:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F9B2',
    u':mujer_rubia:': u'\U0001F471\U0000200D\U00002640\U0000FE0F',
    u':mujer_rubia_tono_de_piel_claro:': u'\U0001F471\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mujer_rubia_tono_de_piel_claro_medio:': u'\U0001F471\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mujer_rubia_tono_de_piel_medio:': u'\U0001F471\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mujer_rubia_tono_de_piel_oscuro_medio:': u'\U0001F471\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mujer_rubia_tono_de_piel_oscuro:': u'\U0001F471\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':hombre_rubio:': u'\U0001F471\U0000200D\U00002642\U0000FE0F',
    u':hombre_rubio_tono_de_piel_claro:': u'\U0001F471\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':hombre_rubio_tono_de_piel_claro_medio:': u'\U0001F471\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':hombre_rubio_tono_de_piel_medio:': u'\U0001F471\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':hombre_rubio_tono_de_piel_oscuro_medio:': u'\U0001F471\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':hombre_rubio_tono_de_piel_oscuro:': u'\U0001F471\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':persona_adulta_madura:': u'\U0001F9D3',
    u':persona_adulta_madura_tono_de_piel_claro:': u'\U0001F9D3\U0001F3FB',
    u':persona_adulta_madura_tono_de_piel_claro_medio:': u'\U0001F9D3\U0001F3FC',
    u':persona_adulta_madura_tono_de_piel_medio:': u'\U0001F9D3\U0001F3FD',
    u':persona_adulta_madura_tono_de_piel_oscuro_medio:': u'\U0001F9D3\U0001F3FE',
    u':persona_adulta_madura_tono_de_piel_oscuro:': u'\U0001F9D3\U0001F3FF',
    u':anciano:': u'\U0001F474',
    u':anciano_tono_de_piel_claro:': u'\U0001F474\U0001F3FB',
    u':anciano_tono_de_piel_claro_medio:': u'\U0001F474\U0001F3FC',
    u':anciano_tono_de_piel_medio:': u'\U0001F474\U0001F3FD',
    u':anciano_tono_de_piel_oscuro_medio:': u'\U0001F474\U0001F3FE',
    u':anciano_tono_de_piel_oscuro:': u'\U0001F474\U0001F3FF',
    u':anciana:': u'\U0001F475',
    u':anciana_tono_de_piel_claro:': u'\U0001F475\U0001F3FB',
    u':anciana_tono_de_piel_claro_medio:': u'\U0001F475\U0001F3FC',
    u':anciana_tono_de_piel_medio:': u'\U0001F475\U0001F3FD',
    u':anciana_tono_de_piel_oscuro_medio:': u'\U0001F475\U0001F3FE',
    u':anciana_tono_de_piel_oscuro:': u'\U0001F475\U0001F3FF',
    u':persona_frunciendo_el_ceño:': u'\U0001F64D',
    u':persona_frunciendo_el_ceño_tono_de_piel_claro:': u'\U0001F64D\U0001F3FB',
    u':persona_frunciendo_el_ceño_tono_de_piel_claro_medio:': u'\U0001F64D\U0001F3FC',
    u':persona_frunciendo_el_ceño_tono_de_piel_medio:': u'\U0001F64D\U0001F3FD',
    u':persona_frunciendo_el_ceño_tono_de_piel_oscuro_medio:': u'\U0001F64D\U0001F3FE',
    u':persona_frunciendo_el_ceño_tono_de_piel_oscuro:': u'\U0001F64D\U0001F3FF',
    u':hombre_frunciendo_el_ceño:': u'\U0001F64D\U0000200D\U00002642\U0000FE0F',
    u':hombre_frunciendo_el_ceño_tono_de_piel_claro:': u'\U0001F64D\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':hombre_frunciendo_el_ceño_tono_de_piel_claro_medio:': u'\U0001F64D\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':hombre_frunciendo_el_ceño_tono_de_piel_medio:': u'\U0001F64D\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':hombre_frunciendo_el_ceño_tono_de_piel_oscuro_medio:': u'\U0001F64D\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':hombre_frunciendo_el_ceño_tono_de_piel_oscuro:': u'\U0001F64D\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mujer_frunciendo_el_ceño:': u'\U0001F64D\U0000200D\U00002640\U0000FE0F',
    u':mujer_frunciendo_el_ceño_tono_de_piel_claro:': u'\U0001F64D\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mujer_frunciendo_el_ceño_tono_de_piel_claro_medio:': u'\U0001F64D\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mujer_frunciendo_el_ceño_tono_de_piel_medio:': u'\U0001F64D\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mujer_frunciendo_el_ceño_tono_de_piel_oscuro_medio:': u'\U0001F64D\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mujer_frunciendo_el_ceño_tono_de_piel_oscuro:': u'\U0001F64D\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':persona_haciendo_pucheros:': u'\U0001F64E',
    u':persona_haciendo_pucheros_tono_de_piel_claro:': u'\U0001F64E\U0001F3FB',
    u':persona_haciendo_pucheros_tono_de_piel_claro_medio:': u'\U0001F64E\U0001F3FC',
    u':persona_haciendo_pucheros_tono_de_piel_medio:': u'\U0001F64E\U0001F3FD',
    u':persona_haciendo_pucheros_tono_de_piel_oscuro_medio:': u'\U0001F64E\U0001F3FE',
    u':persona_haciendo_pucheros_tono_de_piel_oscuro:': u'\U0001F64E\U0001F3FF',
    u':hombre_haciendo_pucheros:': u'\U0001F64E\U0000200D\U00002642\U0000FE0F',
    u':hombre_haciendo_pucheros_tono_de_piel_claro:': u'\U0001F64E\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':hombre_haciendo_pucheros_tono_de_piel_claro_medio:': u'\U0001F64E\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':hombre_haciendo_pucheros_tono_de_piel_medio:': u'\U0001F64E\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':hombre_haciendo_pucheros_tono_de_piel_oscuro_medio:': u'\U0001F64E\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':hombre_haciendo_pucheros_tono_de_piel_oscuro:': u'\U0001F64E\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mujer_haciendo_pucheros:': u'\U0001F64E\U0000200D\U00002640\U0000FE0F',
    u':mujer_haciendo_pucheros_tono_de_piel_claro:': u'\U0001F64E\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mujer_haciendo_pucheros_tono_de_piel_claro_medio:': u'\U0001F64E\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mujer_haciendo_pucheros_tono_de_piel_medio:': u'\U0001F64E\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mujer_haciendo_pucheros_tono_de_piel_oscuro_medio:': u'\U0001F64E\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mujer_haciendo_pucheros_tono_de_piel_oscuro:': u'\U0001F64E\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':persona_haciendo_el_gesto_de_no:': u'\U0001F645',
    u':persona_haciendo_el_gesto_de_no_tono_de_piel_claro:': u'\U0001F645\U0001F3FB',
    u':persona_haciendo_el_gesto_de_no_tono_de_piel_claro_medio:': u'\U0001F645\U0001F3FC',
    u':persona_haciendo_el_gesto_de_no_tono_de_piel_medio:': u'\U0001F645\U0001F3FD',
    u':persona_haciendo_el_gesto_de_no_tono_de_piel_oscuro_medio:': u'\U0001F645\U0001F3FE',
    u':persona_haciendo_el_gesto_de_no_tono_de_piel_oscuro:': u'\U0001F645\U0001F3FF',
    u':hombre_haciendo_el_gesto_de_no:': u'\U0001F645\U0000200D\U00002642\U0000FE0F',
    u':hombre_haciendo_el_gesto_de_no_tono_de_piel_claro:': u'\U0001F645\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':hombre_haciendo_el_gesto_de_no_tono_de_piel_claro_medio:': u'\U0001F645\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':hombre_haciendo_el_gesto_de_no_tono_de_piel_medio:': u'\U0001F645\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':hombre_haciendo_el_gesto_de_no_tono_de_piel_oscuro_medio:': u'\U0001F645\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':hombre_haciendo_el_gesto_de_no_tono_de_piel_oscuro:': u'\U0001F645\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mujer_haciendo_el_gesto_de_no:': u'\U0001F645\U0000200D\U00002640\U0000FE0F',
    u':mujer_haciendo_el_gesto_de_no_tono_de_piel_claro:': u'\U0001F645\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mujer_haciendo_el_gesto_de_no_tono_de_piel_claro_medio:': u'\U0001F645\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mujer_haciendo_el_gesto_de_no_tono_de_piel_medio:': u'\U0001F645\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mujer_haciendo_el_gesto_de_no_tono_de_piel_oscuro_medio:': u'\U0001F645\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mujer_haciendo_el_gesto_de_no_tono_de_piel_oscuro:': u'\U0001F645\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':persona_haciendo_el_gesto_de_de_acuerdo:': u'\U0001F646',
    u':persona_haciendo_el_gesto_de_de_acuerdo_tono_de_piel_claro:': u'\U0001F646\U0001F3FB',
    u':persona_haciendo_el_gesto_de_de_acuerdo_tono_de_piel_claro_medio:': u'\U0001F646\U0001F3FC',
    u':persona_haciendo_el_gesto_de_de_acuerdo_tono_de_piel_medio:': u'\U0001F646\U0001F3FD',
    u':persona_haciendo_el_gesto_de_de_acuerdo_tono_de_piel_oscuro_medio:': u'\U0001F646\U0001F3FE',
    u':persona_haciendo_el_gesto_de_de_acuerdo_tono_de_piel_oscuro:': u'\U0001F646\U0001F3FF',
    u':hombre_haciendo_el_gesto_de_de_acuerdo:': u'\U0001F646\U0000200D\U00002642\U0000FE0F',
    u':hombre_haciendo_el_gesto_de_de_acuerdo_tono_de_piel_claro:': u'\U0001F646\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':hombre_haciendo_el_gesto_de_de_acuerdo_tono_de_piel_claro_medio:': u'\U0001F646\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':hombre_haciendo_el_gesto_de_de_acuerdo_tono_de_piel_medio:': u'\U0001F646\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':hombre_haciendo_el_gesto_de_de_acuerdo_tono_de_piel_oscuro_medio:': u'\U0001F646\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':hombre_haciendo_el_gesto_de_de_acuerdo_tono_de_piel_oscuro:': u'\U0001F646\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mujer_haciendo_el_gesto_de_de_acuerdo:': u'\U0001F646\U0000200D\U00002640\U0000FE0F',
    u':mujer_haciendo_el_gesto_de_de_acuerdo_tono_de_piel_claro:': u'\U0001F646\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mujer_haciendo_el_gesto_de_de_acuerdo_tono_de_piel_claro_medio:': u'\U0001F646\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mujer_haciendo_el_gesto_de_de_acuerdo_tono_de_piel_medio:': u'\U0001F646\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mujer_haciendo_el_gesto_de_de_acuerdo_tono_de_piel_oscuro_medio:': u'\U0001F646\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mujer_haciendo_el_gesto_de_de_acuerdo_tono_de_piel_oscuro:': u'\U0001F646\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':persona_de_mostrador_de_información:': u'\U0001F481',
    u':persona_de_mostrador_de_información_tono_de_piel_claro:': u'\U0001F481\U0001F3FB',
    u':persona_de_mostrador_de_información_tono_de_piel_claro_medio:': u'\U0001F481\U0001F3FC',
    u':persona_de_mostrador_de_información_tono_de_piel_medio:': u'\U0001F481\U0001F3FD',
    u':persona_de_mostrador_de_información_tono_de_piel_oscuro_medio:': u'\U0001F481\U0001F3FE',
    u':persona_de_mostrador_de_información_tono_de_piel_oscuro:': u'\U0001F481\U0001F3FF',
    u':empleado_de_mostrador_de_información:': u'\U0001F481\U0000200D\U00002642\U0000FE0F',
    u':empleado_de_mostrador_de_información_tono_de_piel_claro:': u'\U0001F481\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':empleado_de_mostrador_de_información_tono_de_piel_claro_medio:': u'\U0001F481\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':empleado_de_mostrador_de_información_tono_de_piel_medio:': u'\U0001F481\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':empleado_de_mostrador_de_información_tono_de_piel_oscuro_medio:': u'\U0001F481\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':empleado_de_mostrador_de_información_tono_de_piel_oscuro:': u'\U0001F481\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':empleada_de_mostrador_de_información:': u'\U0001F481\U0000200D\U00002640\U0000FE0F',
    u':empleada_de_mostrador_de_información_tono_de_piel_claro:': u'\U0001F481\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':empleada_de_mostrador_de_información_tono_de_piel_claro_medio:': u'\U0001F481\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':empleada_de_mostrador_de_información_tono_de_piel_medio:': u'\U0001F481\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':empleada_de_mostrador_de_información_tono_de_piel_oscuro_medio:': u'\U0001F481\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':empleada_de_mostrador_de_información_tono_de_piel_oscuro:': u'\U0001F481\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':persona_con_la_mano_levantada:': u'\U0001F64B',
    u':persona_con_la_mano_levantada_tono_de_piel_claro:': u'\U0001F64B\U0001F3FB',
    u':persona_con_la_mano_levantada_tono_de_piel_claro_medio:': u'\U0001F64B\U0001F3FC',
    u':persona_con_la_mano_levantada_tono_de_piel_medio:': u'\U0001F64B\U0001F3FD',
    u':persona_con_la_mano_levantada_tono_de_piel_oscuro_medio:': u'\U0001F64B\U0001F3FE',
    u':persona_con_la_mano_levantada_tono_de_piel_oscuro:': u'\U0001F64B\U0001F3FF',
    u':hombre_con_la_mano_levantada:': u'\U0001F64B\U0000200D\U00002642\U0000FE0F',
    u':hombre_con_la_mano_levantada_tono_de_piel_claro:': u'\U0001F64B\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':hombre_con_la_mano_levantada_tono_de_piel_claro_medio:': u'\U0001F64B\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':hombre_con_la_mano_levantada_tono_de_piel_medio:': u'\U0001F64B\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':hombre_con_la_mano_levantada_tono_de_piel_oscuro_medio:': u'\U0001F64B\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':hombre_con_la_mano_levantada_tono_de_piel_oscuro:': u'\U0001F64B\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mujer_con_la_mano_levantada:': u'\U0001F64B\U0000200D\U00002640\U0000FE0F',
    u':mujer_con_la_mano_levantada_tono_de_piel_claro:': u'\U0001F64B\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mujer_con_la_mano_levantada_tono_de_piel_claro_medio:': u'\U0001F64B\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mujer_con_la_mano_levantada_tono_de_piel_medio:': u'\U0001F64B\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mujer_con_la_mano_levantada_tono_de_piel_oscuro_medio:': u'\U0001F64B\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mujer_con_la_mano_levantada_tono_de_piel_oscuro:': u'\U0001F64B\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':persona_sorda:': u'\U0001F9CF',
    u':persona_sorda_tono_de_piel_claro:': u'\U0001F9CF\U0001F3FB',
    u':persona_sorda_tono_de_piel_claro_medio:': u'\U0001F9CF\U0001F3FC',
    u':persona_sorda_tono_de_piel_medio:': u'\U0001F9CF\U0001F3FD',
    u':persona_sorda_tono_de_piel_oscuro_medio:': u'\U0001F9CF\U0001F3FE',
    u':persona_sorda_tono_de_piel_oscuro:': u'\U0001F9CF\U0001F3FF',
    u':hombre_sordo:': u'\U0001F9CF\U0000200D\U00002642\U0000FE0F',
    u':hombre_sordo_tono_de_piel_claro:': u'\U0001F9CF\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':hombre_sordo_tono_de_piel_claro_medio:': u'\U0001F9CF\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':hombre_sordo_tono_de_piel_medio:': u'\U0001F9CF\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':hombre_sordo_tono_de_piel_oscuro_medio:': u'\U0001F9CF\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':hombre_sordo_tono_de_piel_oscuro:': u'\U0001F9CF\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mujer_sorda:': u'\U0001F9CF\U0000200D\U00002640\U0000FE0F',
    u':mujer_sorda_tono_de_piel_claro:': u'\U0001F9CF\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mujer_sorda_tono_de_piel_claro_medio:': u'\U0001F9CF\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mujer_sorda_tono_de_piel_medio:': u'\U0001F9CF\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mujer_sorda_tono_de_piel_oscuro_medio:': u'\U0001F9CF\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mujer_sorda_tono_de_piel_oscuro:': u'\U0001F9CF\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':persona_haciendo_una_reverencia:': u'\U0001F647',
    u':persona_haciendo_una_reverencia_tono_de_piel_claro:': u'\U0001F647\U0001F3FB',
    u':persona_haciendo_una_reverencia_tono_de_piel_claro_medio:': u'\U0001F647\U0001F3FC',
    u':persona_haciendo_una_reverencia_tono_de_piel_medio:': u'\U0001F647\U0001F3FD',
    u':persona_haciendo_una_reverencia_tono_de_piel_oscuro_medio:': u'\U0001F647\U0001F3FE',
    u':persona_haciendo_una_reverencia_tono_de_piel_oscuro:': u'\U0001F647\U0001F3FF',
    u':hombre_haciendo_una_reverencia:': u'\U0001F647\U0000200D\U00002642\U0000FE0F',
    u':hombre_haciendo_una_reverencia_tono_de_piel_claro:': u'\U0001F647\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':hombre_haciendo_una_reverencia_tono_de_piel_claro_medio:': u'\U0001F647\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':hombre_haciendo_una_reverencia_tono_de_piel_medio:': u'\U0001F647\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':hombre_haciendo_una_reverencia_tono_de_piel_oscuro_medio:': u'\U0001F647\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':hombre_haciendo_una_reverencia_tono_de_piel_oscuro:': u'\U0001F647\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mujer_haciendo_una_reverencia:': u'\U0001F647\U0000200D\U00002640\U0000FE0F',
    u':mujer_haciendo_una_reverencia_tono_de_piel_claro:': u'\U0001F647\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mujer_haciendo_una_reverencia_tono_de_piel_claro_medio:': u'\U0001F647\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mujer_haciendo_una_reverencia_tono_de_piel_medio:': u'\U0001F647\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mujer_haciendo_una_reverencia_tono_de_piel_oscuro_medio:': u'\U0001F647\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mujer_haciendo_una_reverencia_tono_de_piel_oscuro:': u'\U0001F647\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':persona_con_la_mano_en_la_frente:': u'\U0001F926',
    u':persona_con_la_mano_en_la_frente_tono_de_piel_claro:': u'\U0001F926\U0001F3FB',
    u':persona_con_la_mano_en_la_frente_tono_de_piel_claro_medio:': u'\U0001F926\U0001F3FC',
    u':persona_con_la_mano_en_la_frente_tono_de_piel_medio:': u'\U0001F926\U0001F3FD',
    u':persona_con_la_mano_en_la_frente_tono_de_piel_oscuro_medio:': u'\U0001F926\U0001F3FE',
    u':persona_con_la_mano_en_la_frente_tono_de_piel_oscuro:': u'\U0001F926\U0001F3FF',
    u':hombre_con_la_mano_en_la_frente:': u'\U0001F926\U0000200D\U00002642\U0000FE0F',
    u':hombre_con_la_mano_en_la_frente_tono_de_piel_claro:': u'\U0001F926\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':hombre_con_la_mano_en_la_frente_tono_de_piel_claro_medio:': u'\U0001F926\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':hombre_con_la_mano_en_la_frente_tono_de_piel_medio:': u'\U0001F926\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':hombre_con_la_mano_en_la_frente_tono_de_piel_oscuro_medio:': u'\U0001F926\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':hombre_con_la_mano_en_la_frente_tono_de_piel_oscuro:': u'\U0001F926\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mujer_con_la_mano_en_la_frente:': u'\U0001F926\U0000200D\U00002640\U0000FE0F',
    u':mujer_con_la_mano_en_la_frente_tono_de_piel_claro:': u'\U0001F926\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mujer_con_la_mano_en_la_frente_tono_de_piel_claro_medio:': u'\U0001F926\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mujer_con_la_mano_en_la_frente_tono_de_piel_medio:': u'\U0001F926\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mujer_con_la_mano_en_la_frente_tono_de_piel_oscuro_medio:': u'\U0001F926\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mujer_con_la_mano_en_la_frente_tono_de_piel_oscuro:': u'\U0001F926\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':persona_encogida_de_hombros:': u'\U0001F937',
    u':persona_encogida_de_hombros_tono_de_piel_claro:': u'\U0001F937\U0001F3FB',
    u':persona_encogida_de_hombros_tono_de_piel_claro_medio:': u'\U0001F937\U0001F3FC',
    u':persona_encogida_de_hombros_tono_de_piel_medio:': u'\U0001F937\U0001F3FD',
    u':persona_encogida_de_hombros_tono_de_piel_oscuro_medio:': u'\U0001F937\U0001F3FE',
    u':persona_encogida_de_hombros_tono_de_piel_oscuro:': u'\U0001F937\U0001F3FF',
    u':hombre_encogido_de_hombros:': u'\U0001F937\U0000200D\U00002642\U0000FE0F',
    u':hombre_encogido_de_hombros_tono_de_piel_claro:': u'\U0001F937\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':hombre_encogido_de_hombros_tono_de_piel_claro_medio:': u'\U0001F937\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':hombre_encogido_de_hombros_tono_de_piel_medio:': u'\U0001F937\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':hombre_encogido_de_hombros_tono_de_piel_oscuro_medio:': u'\U0001F937\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':hombre_encogido_de_hombros_tono_de_piel_oscuro:': u'\U0001F937\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mujer_encogida_de_hombros:': u'\U0001F937\U0000200D\U00002640\U0000FE0F',
    u':mujer_encogida_de_hombros_tono_de_piel_claro:': u'\U0001F937\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mujer_encogida_de_hombros_tono_de_piel_claro_medio:': u'\U0001F937\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mujer_encogida_de_hombros_tono_de_piel_medio:': u'\U0001F937\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mujer_encogida_de_hombros_tono_de_piel_oscuro_medio:': u'\U0001F937\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mujer_encogida_de_hombros_tono_de_piel_oscuro:': u'\U0001F937\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':profesional_sanitario:': u'\U0001F9D1\U0000200D\U00002695\U0000FE0F',
    u':profesional_sanitario_tono_de_piel_claro:': u'\U0001F9D1\U0001F3FB\U0000200D\U00002695\U0000FE0F',
    u':profesional_sanitario_tono_de_piel_claro_medio:': u'\U0001F9D1\U0001F3FC\U0000200D\U00002695\U0000FE0F',
    u':profesional_sanitario_tono_de_piel_medio:': u'\U0001F9D1\U0001F3FD\U0000200D\U00002695\U0000FE0F',
    u':profesional_sanitario_tono_de_piel_oscuro_medio:': u'\U0001F9D1\U0001F3FE\U0000200D\U00002695\U0000FE0F',
    u':profesional_sanitario_tono_de_piel_oscuro:': u'\U0001F9D1\U0001F3FF\U0000200D\U00002695\U0000FE0F',
    u':profesional_sanitario_hombre:': u'\U0001F468\U0000200D\U00002695\U0000FE0F',
    u':profesional_sanitario_hombre_tono_de_piel_claro:': u'\U0001F468\U0001F3FB\U0000200D\U00002695\U0000FE0F',
    u':profesional_sanitario_hombre_tono_de_piel_claro_medio:': u'\U0001F468\U0001F3FC\U0000200D\U00002695\U0000FE0F',
    u':profesional_sanitario_hombre_tono_de_piel_medio:': u'\U0001F468\U0001F3FD\U0000200D\U00002695\U0000FE0F',
    u':profesional_sanitario_hombre_tono_de_piel_oscuro_medio:': u'\U0001F468\U0001F3FE\U0000200D\U00002695\U0000FE0F',
    u':profesional_sanitario_hombre_tono_de_piel_oscuro:': u'\U0001F468\U0001F3FF\U0000200D\U00002695\U0000FE0F',
    u':profesional_sanitario_mujer:': u'\U0001F469\U0000200D\U00002695\U0000FE0F',
    u':profesional_sanitario_mujer_tono_de_piel_claro:': u'\U0001F469\U0001F3FB\U0000200D\U00002695\U0000FE0F',
    u':profesional_sanitario_mujer_tono_de_piel_claro_medio:': u'\U0001F469\U0001F3FC\U0000200D\U00002695\U0000FE0F',
    u':profesional_sanitario_mujer_tono_de_piel_medio:': u'\U0001F469\U0001F3FD\U0000200D\U00002695\U0000FE0F',
    u':profesional_sanitario_mujer_tono_de_piel_oscuro_medio:': u'\U0001F469\U0001F3FE\U0000200D\U00002695\U0000FE0F',
    u':profesional_sanitario_mujer_tono_de_piel_oscuro:': u'\U0001F469\U0001F3FF\U0000200D\U00002695\U0000FE0F',
    u':estudiante:': u'\U0001F9D1\U0000200D\U0001F393',
    u':estudiante_tono_de_piel_claro:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F393',
    u':estudiante_tono_de_piel_claro_medio:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F393',
    u':estudiante_tono_de_piel_medio:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F393',
    u':estudiante_tono_de_piel_oscuro_medio:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F393',
    u':estudiante_tono_de_piel_oscuro:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F393',
    u':estudiante_hombre:': u'\U0001F468\U0000200D\U0001F393',
    u':estudiante_hombre_tono_de_piel_claro:': u'\U0001F468\U0001F3FB\U0000200D\U0001F393',
    u':estudiante_hombre_tono_de_piel_claro_medio:': u'\U0001F468\U0001F3FC\U0000200D\U0001F393',
    u':estudiante_hombre_tono_de_piel_medio:': u'\U0001F468\U0001F3FD\U0000200D\U0001F393',
    u':estudiante_hombre_tono_de_piel_oscuro_medio:': u'\U0001F468\U0001F3FE\U0000200D\U0001F393',
    u':estudiante_hombre_tono_de_piel_oscuro:': u'\U0001F468\U0001F3FF\U0000200D\U0001F393',
    u':estudiante_mujer:': u'\U0001F469\U0000200D\U0001F393',
    u':estudiante_mujer_tono_de_piel_claro:': u'\U0001F469\U0001F3FB\U0000200D\U0001F393',
    u':estudiante_mujer_tono_de_piel_claro_medio:': u'\U0001F469\U0001F3FC\U0000200D\U0001F393',
    u':estudiante_mujer_tono_de_piel_medio:': u'\U0001F469\U0001F3FD\U0000200D\U0001F393',
    u':estudiante_mujer_tono_de_piel_oscuro_medio:': u'\U0001F469\U0001F3FE\U0000200D\U0001F393',
    u':estudiante_mujer_tono_de_piel_oscuro:': u'\U0001F469\U0001F3FF\U0000200D\U0001F393',
    u':docente:': u'\U0001F9D1\U0000200D\U0001F3EB',
    u':docente_tono_de_piel_claro:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F3EB',
    u':docente_tono_de_piel_claro_medio:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F3EB',
    u':docente_tono_de_piel_medio:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F3EB',
    u':docente_tono_de_piel_oscuro_medio:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F3EB',
    u':docente_tono_de_piel_oscuro:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F3EB',
    u':docente_hombre:': u'\U0001F468\U0000200D\U0001F3EB',
    u':docente_hombre_tono_de_piel_claro:': u'\U0001F468\U0001F3FB\U0000200D\U0001F3EB',
    u':docente_hombre_tono_de_piel_claro_medio:': u'\U0001F468\U0001F3FC\U0000200D\U0001F3EB',
    u':docente_hombre_tono_de_piel_medio:': u'\U0001F468\U0001F3FD\U0000200D\U0001F3EB',
    u':docente_hombre_tono_de_piel_oscuro_medio:': u'\U0001F468\U0001F3FE\U0000200D\U0001F3EB',
    u':docente_hombre_tono_de_piel_oscuro:': u'\U0001F468\U0001F3FF\U0000200D\U0001F3EB',
    u':docente_mujer:': u'\U0001F469\U0000200D\U0001F3EB',
    u':docente_mujer_tono_de_piel_claro:': u'\U0001F469\U0001F3FB\U0000200D\U0001F3EB',
    u':docente_mujer_tono_de_piel_claro_medio:': u'\U0001F469\U0001F3FC\U0000200D\U0001F3EB',
    u':docente_mujer_tono_de_piel_medio:': u'\U0001F469\U0001F3FD\U0000200D\U0001F3EB',
    u':docente_mujer_tono_de_piel_oscuro_medio:': u'\U0001F469\U0001F3FE\U0000200D\U0001F3EB',
    u':docente_mujer_tono_de_piel_oscuro:': u'\U0001F469\U0001F3FF\U0000200D\U0001F3EB',
    u':fiscal:': u'\U0001F9D1\U0000200D\U00002696\U0000FE0F',
    u':fiscal_tono_de_piel_claro:': u'\U0001F9D1\U0001F3FB\U0000200D\U00002696\U0000FE0F',
    u':fiscal_tono_de_piel_claro_medio:': u'\U0001F9D1\U0001F3FC\U0000200D\U00002696\U0000FE0F',
    u':fiscal_tono_de_piel_medio:': u'\U0001F9D1\U0001F3FD\U0000200D\U00002696\U0000FE0F',
    u':fiscal_tono_de_piel_oscuro_medio:': u'\U0001F9D1\U0001F3FE\U0000200D\U00002696\U0000FE0F',
    u':fiscal_tono_de_piel_oscuro:': u'\U0001F9D1\U0001F3FF\U0000200D\U00002696\U0000FE0F',
    u':fiscal_hombre:': u'\U0001F468\U0000200D\U00002696\U0000FE0F',
    u':fiscal_hombre_tono_de_piel_claro:': u'\U0001F468\U0001F3FB\U0000200D\U00002696\U0000FE0F',
    u':fiscal_hombre_tono_de_piel_claro_medio:': u'\U0001F468\U0001F3FC\U0000200D\U00002696\U0000FE0F',
    u':fiscal_hombre_tono_de_piel_medio:': u'\U0001F468\U0001F3FD\U0000200D\U00002696\U0000FE0F',
    u':fiscal_hombre_tono_de_piel_oscuro_medio:': u'\U0001F468\U0001F3FE\U0000200D\U00002696\U0000FE0F',
    u':fiscal_hombre_tono_de_piel_oscuro:': u'\U0001F468\U0001F3FF\U0000200D\U00002696\U0000FE0F',
    u':fiscal_mujer:': u'\U0001F469\U0000200D\U00002696\U0000FE0F',
    u':fiscal_mujer_tono_de_piel_claro:': u'\U0001F469\U0001F3FB\U0000200D\U00002696\U0000FE0F',
    u':fiscal_mujer_tono_de_piel_claro_medio:': u'\U0001F469\U0001F3FC\U0000200D\U00002696\U0000FE0F',
    u':fiscal_mujer_tono_de_piel_medio:': u'\U0001F469\U0001F3FD\U0000200D\U00002696\U0000FE0F',
    u':fiscal_mujer_tono_de_piel_oscuro_medio:': u'\U0001F469\U0001F3FE\U0000200D\U00002696\U0000FE0F',
    u':fiscal_mujer_tono_de_piel_oscuro:': u'\U0001F469\U0001F3FF\U0000200D\U00002696\U0000FE0F',
    u':profesional_de_la_agricultura:': u'\U0001F9D1\U0000200D\U0001F33E',
    u':profesional_de_la_agricultura_tono_de_piel_claro:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F33E',
    u':profesional_de_la_agricultura_tono_de_piel_claro_medio:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F33E',
    u':profesional_de_la_agricultura_tono_de_piel_medio:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F33E',
    u':profesional_de_la_agricultura_tono_de_piel_oscuro_medio:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F33E',
    u':profesional_de_la_agricultura_tono_de_piel_oscuro:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F33E',
    u':profesional_de_la_agricultura_hombre:': u'\U0001F468\U0000200D\U0001F33E',
    u':profesional_de_la_agricultura_hombre_tono_de_piel_claro:': u'\U0001F468\U0001F3FB\U0000200D\U0001F33E',
    u':profesional_de_la_agricultura_hombre_tono_de_piel_claro_medio:': u'\U0001F468\U0001F3FC\U0000200D\U0001F33E',
    u':profesional_de_la_agricultura_hombre_tono_de_piel_medio:': u'\U0001F468\U0001F3FD\U0000200D\U0001F33E',
    u':profesional_de_la_agricultura_hombre_tono_de_piel_oscuro_medio:': u'\U0001F468\U0001F3FE\U0000200D\U0001F33E',
    u':profesional_de_la_agricultura_hombre_tono_de_piel_oscuro:': u'\U0001F468\U0001F3FF\U0000200D\U0001F33E',
    u':profesional_de_la_agricultura_mujer:': u'\U0001F469\U0000200D\U0001F33E',
    u':profesional_de_la_agricultura_mujer_tono_de_piel_claro:': u'\U0001F469\U0001F3FB\U0000200D\U0001F33E',
    u':profesional_de_la_agricultura_mujer_tono_de_piel_claro_medio:': u'\U0001F469\U0001F3FC\U0000200D\U0001F33E',
    u':profesional_de_la_agricultura_mujer_tono_de_piel_medio:': u'\U0001F469\U0001F3FD\U0000200D\U0001F33E',
    u':profesional_de_la_agricultura_mujer_tono_de_piel_oscuro_medio:': u'\U0001F469\U0001F3FE\U0000200D\U0001F33E',
    u':profesional_de_la_agricultura_mujer_tono_de_piel_oscuro:': u'\U0001F469\U0001F3FF\U0000200D\U0001F33E',
    u':chef:': u'\U0001F9D1\U0000200D\U0001F373',
    u':chef_tono_de_piel_claro:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F373',
    u':chef_tono_de_piel_claro_medio:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F373',
    u':chef_tono_de_piel_medio:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F373',
    u':chef_tono_de_piel_oscuro_medio:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F373',
    u':chef_tono_de_piel_oscuro:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F373',
    u':chef_hombre:': u'\U0001F468\U0000200D\U0001F373',
    u':chef_hombre_tono_de_piel_claro:': u'\U0001F468\U0001F3FB\U0000200D\U0001F373',
    u':chef_hombre_tono_de_piel_claro_medio:': u'\U0001F468\U0001F3FC\U0000200D\U0001F373',
    u':chef_hombre_tono_de_piel_medio:': u'\U0001F468\U0001F3FD\U0000200D\U0001F373',
    u':chef_hombre_tono_de_piel_oscuro_medio:': u'\U0001F468\U0001F3FE\U0000200D\U0001F373',
    u':chef_hombre_tono_de_piel_oscuro:': u'\U0001F468\U0001F3FF\U0000200D\U0001F373',
    u':chef_mujer:': u'\U0001F469\U0000200D\U0001F373',
    u':chef_mujer_tono_de_piel_claro:': u'\U0001F469\U0001F3FB\U0000200D\U0001F373',
    u':chef_mujer_tono_de_piel_claro_medio:': u'\U0001F469\U0001F3FC\U0000200D\U0001F373',
    u':chef_mujer_tono_de_piel_medio:': u'\U0001F469\U0001F3FD\U0000200D\U0001F373',
    u':chef_mujer_tono_de_piel_oscuro_medio:': u'\U0001F469\U0001F3FE\U0000200D\U0001F373',
    u':chef_mujer_tono_de_piel_oscuro:': u'\U0001F469\U0001F3FF\U0000200D\U0001F373',
    u':profesional_de_la_mecánica:': u'\U0001F9D1\U0000200D\U0001F527',
    u':profesional_de_la_mecánica_tono_de_piel_claro:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F527',
    u':profesional_de_la_mecánica_tono_de_piel_claro_medio:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F527',
    u':profesional_de_la_mecánica_tono_de_piel_medio:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F527',
    u':profesional_de_la_mecánica_tono_de_piel_oscuro_medio:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F527',
    u':profesional_de_la_mecánica_tono_de_piel_oscuro:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F527',
    u':profesional_de_la_mecánica_hombre:': u'\U0001F468\U0000200D\U0001F527',
    u':profesional_de_la_mecánica_hombre_tono_de_piel_claro:': u'\U0001F468\U0001F3FB\U0000200D\U0001F527',
    u':profesional_de_la_mecánica_hombre_tono_de_piel_claro_medio:': u'\U0001F468\U0001F3FC\U0000200D\U0001F527',
    u':profesional_de_la_mecánica_hombre_tono_de_piel_medio:': u'\U0001F468\U0001F3FD\U0000200D\U0001F527',
    u':profesional_de_la_mecánica_hombre_tono_de_piel_oscuro_medio:': u'\U0001F468\U0001F3FE\U0000200D\U0001F527',
    u':profesional_de_la_mecánica_hombre_tono_de_piel_oscuro:': u'\U0001F468\U0001F3FF\U0000200D\U0001F527',
    u':profesional_de_la_mecánica_mujer:': u'\U0001F469\U0000200D\U0001F527',
    u':profesional_de_la_mecánica_mujer_tono_de_piel_claro:': u'\U0001F469\U0001F3FB\U0000200D\U0001F527',
    u':profesional_de_la_mecánica_mujer_tono_de_piel_claro_medio:': u'\U0001F469\U0001F3FC\U0000200D\U0001F527',
    u':profesional_de_la_mecánica_mujer_tono_de_piel_medio:': u'\U0001F469\U0001F3FD\U0000200D\U0001F527',
    u':profesional_de_la_mecánica_mujer_tono_de_piel_oscuro_medio:': u'\U0001F469\U0001F3FE\U0000200D\U0001F527',
    u':profesional_de_la_mecánica_mujer_tono_de_piel_oscuro:': u'\U0001F469\U0001F3FF\U0000200D\U0001F527',
    u':profesional_industrial:': u'\U0001F9D1\U0000200D\U0001F3ED',
    u':profesional_industrial_tono_de_piel_claro:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F3ED',
    u':profesional_industrial_tono_de_piel_claro_medio:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F3ED',
    u':profesional_industrial_tono_de_piel_medio:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F3ED',
    u':profesional_industrial_tono_de_piel_oscuro_medio:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F3ED',
    u':profesional_industrial_tono_de_piel_oscuro:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F3ED',
    u':profesional_industrial_hombre:': u'\U0001F468\U0000200D\U0001F3ED',
    u':profesional_industrial_hombre_tono_de_piel_claro:': u'\U0001F468\U0001F3FB\U0000200D\U0001F3ED',
    u':profesional_industrial_hombre_tono_de_piel_claro_medio:': u'\U0001F468\U0001F3FC\U0000200D\U0001F3ED',
    u':profesional_industrial_hombre_tono_de_piel_medio:': u'\U0001F468\U0001F3FD\U0000200D\U0001F3ED',
    u':profesional_industrial_hombre_tono_de_piel_oscuro_medio:': u'\U0001F468\U0001F3FE\U0000200D\U0001F3ED',
    u':profesional_industrial_hombre_tono_de_piel_oscuro:': u'\U0001F468\U0001F3FF\U0000200D\U0001F3ED',
    u':profesional_industrial_mujer:': u'\U0001F469\U0000200D\U0001F3ED',
    u':profesional_industrial_mujer_tono_de_piel_claro:': u'\U0001F469\U0001F3FB\U0000200D\U0001F3ED',
    u':profesional_industrial_mujer_tono_de_piel_claro_medio:': u'\U0001F469\U0001F3FC\U0000200D\U0001F3ED',
    u':profesional_industrial_mujer_tono_de_piel_medio:': u'\U0001F469\U0001F3FD\U0000200D\U0001F3ED',
    u':profesional_industrial_mujer_tono_de_piel_oscuro_medio:': u'\U0001F469\U0001F3FE\U0000200D\U0001F3ED',
    u':profesional_industrial_mujer_tono_de_piel_oscuro:': u'\U0001F469\U0001F3FF\U0000200D\U0001F3ED',
    u':oficinista:': u'\U0001F9D1\U0000200D\U0001F4BC',
    u':oficinista_tono_de_piel_claro:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F4BC',
    u':oficinista_tono_de_piel_claro_medio:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F4BC',
    u':oficinista_tono_de_piel_medio:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F4BC',
    u':oficinista_tono_de_piel_oscuro_medio:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F4BC',
    u':oficinista_tono_de_piel_oscuro:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F4BC',
    u':oficinista_hombre:': u'\U0001F468\U0000200D\U0001F4BC',
    u':oficinista_hombre_tono_de_piel_claro:': u'\U0001F468\U0001F3FB\U0000200D\U0001F4BC',
    u':oficinista_hombre_tono_de_piel_claro_medio:': u'\U0001F468\U0001F3FC\U0000200D\U0001F4BC',
    u':oficinista_hombre_tono_de_piel_medio:': u'\U0001F468\U0001F3FD\U0000200D\U0001F4BC',
    u':oficinista_hombre_tono_de_piel_oscuro_medio:': u'\U0001F468\U0001F3FE\U0000200D\U0001F4BC',
    u':oficinista_hombre_tono_de_piel_oscuro:': u'\U0001F468\U0001F3FF\U0000200D\U0001F4BC',
    u':oficinista_mujer:': u'\U0001F469\U0000200D\U0001F4BC',
    u':oficinista_mujer_tono_de_piel_claro:': u'\U0001F469\U0001F3FB\U0000200D\U0001F4BC',
    u':oficinista_mujer_tono_de_piel_claro_medio:': u'\U0001F469\U0001F3FC\U0000200D\U0001F4BC',
    u':oficinista_mujer_tono_de_piel_medio:': u'\U0001F469\U0001F3FD\U0000200D\U0001F4BC',
    u':oficinista_mujer_tono_de_piel_oscuro_medio:': u'\U0001F469\U0001F3FE\U0000200D\U0001F4BC',
    u':oficinista_mujer_tono_de_piel_oscuro:': u'\U0001F469\U0001F3FF\U0000200D\U0001F4BC',
    u':profesional_de_la_ciencia:': u'\U0001F9D1\U0000200D\U0001F52C',
    u':profesional_de_la_ciencia_tono_de_piel_claro:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F52C',
    u':profesional_de_la_ciencia_tono_de_piel_claro_medio:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F52C',
    u':profesional_de_la_ciencia_tono_de_piel_medio:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F52C',
    u':profesional_de_la_ciencia_tono_de_piel_oscuro_medio:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F52C',
    u':profesional_de_la_ciencia_tono_de_piel_oscuro:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F52C',
    u':profesional_de_la_ciencia_hombre:': u'\U0001F468\U0000200D\U0001F52C',
    u':profesional_de_la_ciencia_hombre_tono_de_piel_claro:': u'\U0001F468\U0001F3FB\U0000200D\U0001F52C',
    u':profesional_de_la_ciencia_hombre_tono_de_piel_claro_medio:': u'\U0001F468\U0001F3FC\U0000200D\U0001F52C',
    u':profesional_de_la_ciencia_hombre_tono_de_piel_medio:': u'\U0001F468\U0001F3FD\U0000200D\U0001F52C',
    u':profesional_de_la_ciencia_hombre_tono_de_piel_oscuro_medio:': u'\U0001F468\U0001F3FE\U0000200D\U0001F52C',
    u':profesional_de_la_ciencia_hombre_tono_de_piel_oscuro:': u'\U0001F468\U0001F3FF\U0000200D\U0001F52C',
    u':profesional_de_la_ciencia_mujer:': u'\U0001F469\U0000200D\U0001F52C',
    u':profesional_de_la_ciencia_mujer_tono_de_piel_claro:': u'\U0001F469\U0001F3FB\U0000200D\U0001F52C',
    u':profesional_de_la_ciencia_mujer_tono_de_piel_claro_medio:': u'\U0001F469\U0001F3FC\U0000200D\U0001F52C',
    u':profesional_de_la_ciencia_mujer_tono_de_piel_medio:': u'\U0001F469\U0001F3FD\U0000200D\U0001F52C',
    u':profesional_de_la_ciencia_mujer_tono_de_piel_oscuro_medio:': u'\U0001F469\U0001F3FE\U0000200D\U0001F52C',
    u':profesional_de_la_ciencia_mujer_tono_de_piel_oscuro:': u'\U0001F469\U0001F3FF\U0000200D\U0001F52C',
    u':profesional_de_la_tecnología:': u'\U0001F9D1\U0000200D\U0001F4BB',
    u':profesional_de_la_tecnología_tono_de_piel_claro:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F4BB',
    u':profesional_de_la_tecnología_tono_de_piel_claro_medio:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F4BB',
    u':profesional_de_la_tecnología_tono_de_piel_medio:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F4BB',
    u':profesional_de_la_tecnología_tono_de_piel_oscuro_medio:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F4BB',
    u':profesional_de_la_tecnología_tono_de_piel_oscuro:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F4BB',
    u':profesional_de_la_tecnología_hombre:': u'\U0001F468\U0000200D\U0001F4BB',
    u':profesional_de_la_tecnología_hombre_tono_de_piel_claro:': u'\U0001F468\U0001F3FB\U0000200D\U0001F4BB',
    u':profesional_de_la_tecnología_hombre_tono_de_piel_claro_medio:': u'\U0001F468\U0001F3FC\U0000200D\U0001F4BB',
    u':profesional_de_la_tecnología_hombre_tono_de_piel_medio:': u'\U0001F468\U0001F3FD\U0000200D\U0001F4BB',
    u':profesional_de_la_tecnología_hombre_tono_de_piel_oscuro_medio:': u'\U0001F468\U0001F3FE\U0000200D\U0001F4BB',
    u':profesional_de_la_tecnología_hombre_tono_de_piel_oscuro:': u'\U0001F468\U0001F3FF\U0000200D\U0001F4BB',
    u':profesional_de_la_tecnología_mujer:': u'\U0001F469\U0000200D\U0001F4BB',
    u':profesional_de_la_tecnología_mujer_tono_de_piel_claro:': u'\U0001F469\U0001F3FB\U0000200D\U0001F4BB',
    u':profesional_de_la_tecnología_mujer_tono_de_piel_claro_medio:': u'\U0001F469\U0001F3FC\U0000200D\U0001F4BB',
    u':profesional_de_la_tecnología_mujer_tono_de_piel_medio:': u'\U0001F469\U0001F3FD\U0000200D\U0001F4BB',
    u':profesional_de_la_tecnología_mujer_tono_de_piel_oscuro_medio:': u'\U0001F469\U0001F3FE\U0000200D\U0001F4BB',
    u':profesional_de_la_tecnología_mujer_tono_de_piel_oscuro:': u'\U0001F469\U0001F3FF\U0000200D\U0001F4BB',
    u':cantante:': u'\U0001F9D1\U0000200D\U0001F3A4',
    u':cantante_tono_de_piel_claro:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F3A4',
    u':cantante_tono_de_piel_claro_medio:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F3A4',
    u':cantante_tono_de_piel_medio:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F3A4',
    u':cantante_tono_de_piel_oscuro_medio:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F3A4',
    u':cantante_tono_de_piel_oscuro:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F3A4',
    u':cantante_hombre:': u'\U0001F468\U0000200D\U0001F3A4',
    u':cantante_hombre_tono_de_piel_claro:': u'\U0001F468\U0001F3FB\U0000200D\U0001F3A4',
    u':cantante_hombre_tono_de_piel_claro_medio:': u'\U0001F468\U0001F3FC\U0000200D\U0001F3A4',
    u':cantante_hombre_tono_de_piel_medio:': u'\U0001F468\U0001F3FD\U0000200D\U0001F3A4',
    u':cantante_hombre_tono_de_piel_oscuro_medio:': u'\U0001F468\U0001F3FE\U0000200D\U0001F3A4',
    u':cantante_hombre_tono_de_piel_oscuro:': u'\U0001F468\U0001F3FF\U0000200D\U0001F3A4',
    u':cantante_mujer:': u'\U0001F469\U0000200D\U0001F3A4',
    u':cantante_mujer_tono_de_piel_claro:': u'\U0001F469\U0001F3FB\U0000200D\U0001F3A4',
    u':cantante_mujer_tono_de_piel_claro_medio:': u'\U0001F469\U0001F3FC\U0000200D\U0001F3A4',
    u':cantante_mujer_tono_de_piel_medio:': u'\U0001F469\U0001F3FD\U0000200D\U0001F3A4',
    u':cantante_mujer_tono_de_piel_oscuro_medio:': u'\U0001F469\U0001F3FE\U0000200D\U0001F3A4',
    u':cantante_mujer_tono_de_piel_oscuro:': u'\U0001F469\U0001F3FF\U0000200D\U0001F3A4',
    u':artista:': u'\U0001F9D1\U0000200D\U0001F3A8',
    u':artista_tono_de_piel_claro:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F3A8',
    u':artista_tono_de_piel_claro_medio:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F3A8',
    u':artista_tono_de_piel_medio:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F3A8',
    u':artista_tono_de_piel_oscuro_medio:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F3A8',
    u':artista_tono_de_piel_oscuro:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F3A8',
    u':artista_hombre:': u'\U0001F468\U0000200D\U0001F3A8',
    u':artista_hombre_tono_de_piel_claro:': u'\U0001F468\U0001F3FB\U0000200D\U0001F3A8',
    u':artista_hombre_tono_de_piel_claro_medio:': u'\U0001F468\U0001F3FC\U0000200D\U0001F3A8',
    u':artista_hombre_tono_de_piel_medio:': u'\U0001F468\U0001F3FD\U0000200D\U0001F3A8',
    u':artista_hombre_tono_de_piel_oscuro_medio:': u'\U0001F468\U0001F3FE\U0000200D\U0001F3A8',
    u':artista_hombre_tono_de_piel_oscuro:': u'\U0001F468\U0001F3FF\U0000200D\U0001F3A8',
    u':artista_mujer:': u'\U0001F469\U0000200D\U0001F3A8',
    u':artista_mujer_tono_de_piel_claro:': u'\U0001F469\U0001F3FB\U0000200D\U0001F3A8',
    u':artista_mujer_tono_de_piel_claro_medio:': u'\U0001F469\U0001F3FC\U0000200D\U0001F3A8',
    u':artista_mujer_tono_de_piel_medio:': u'\U0001F469\U0001F3FD\U0000200D\U0001F3A8',
    u':artista_mujer_tono_de_piel_oscuro_medio:': u'\U0001F469\U0001F3FE\U0000200D\U0001F3A8',
    u':artista_mujer_tono_de_piel_oscuro:': u'\U0001F469\U0001F3FF\U0000200D\U0001F3A8',
    u':piloto:': u'\U0001F9D1\U0000200D\U00002708\U0000FE0F',
    u':piloto_tono_de_piel_claro:': u'\U0001F9D1\U0001F3FB\U0000200D\U00002708\U0000FE0F',
    u':piloto_tono_de_piel_claro_medio:': u'\U0001F9D1\U0001F3FC\U0000200D\U00002708\U0000FE0F',
    u':piloto_tono_de_piel_medio:': u'\U0001F9D1\U0001F3FD\U0000200D\U00002708\U0000FE0F',
    u':piloto_tono_de_piel_oscuro_medio:': u'\U0001F9D1\U0001F3FE\U0000200D\U00002708\U0000FE0F',
    u':piloto_tono_de_piel_oscuro:': u'\U0001F9D1\U0001F3FF\U0000200D\U00002708\U0000FE0F',
    u':piloto_hombre:': u'\U0001F468\U0000200D\U00002708\U0000FE0F',
    u':piloto_hombre_tono_de_piel_claro:': u'\U0001F468\U0001F3FB\U0000200D\U00002708\U0000FE0F',
    u':piloto_hombre_tono_de_piel_claro_medio:': u'\U0001F468\U0001F3FC\U0000200D\U00002708\U0000FE0F',
    u':piloto_hombre_tono_de_piel_medio:': u'\U0001F468\U0001F3FD\U0000200D\U00002708\U0000FE0F',
    u':piloto_hombre_tono_de_piel_oscuro_medio:': u'\U0001F468\U0001F3FE\U0000200D\U00002708\U0000FE0F',
    u':piloto_hombre_tono_de_piel_oscuro:': u'\U0001F468\U0001F3FF\U0000200D\U00002708\U0000FE0F',
    u':piloto_mujer:': u'\U0001F469\U0000200D\U00002708\U0000FE0F',
    u':piloto_mujer_tono_de_piel_claro:': u'\U0001F469\U0001F3FB\U0000200D\U00002708\U0000FE0F',
    u':piloto_mujer_tono_de_piel_claro_medio:': u'\U0001F469\U0001F3FC\U0000200D\U00002708\U0000FE0F',
    u':piloto_mujer_tono_de_piel_medio:': u'\U0001F469\U0001F3FD\U0000200D\U00002708\U0000FE0F',
    u':piloto_mujer_tono_de_piel_oscuro_medio:': u'\U0001F469\U0001F3FE\U0000200D\U00002708\U0000FE0F',
    u':piloto_mujer_tono_de_piel_oscuro:': u'\U0001F469\U0001F3FF\U0000200D\U00002708\U0000FE0F',
    u':astronauta:': u'\U0001F9D1\U0000200D\U0001F680',
    u':astronauta_tono_de_piel_claro:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F680',
    u':astronauta_tono_de_piel_claro_medio:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F680',
    u':astronauta_tono_de_piel_medio:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F680',
    u':astronauta_tono_de_piel_oscuro_medio:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F680',
    u':astronauta_tono_de_piel_oscuro:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F680',
    u':astronauta_hombre:': u'\U0001F468\U0000200D\U0001F680',
    u':astronauta_hombre_tono_de_piel_claro:': u'\U0001F468\U0001F3FB\U0000200D\U0001F680',
    u':astronauta_hombre_tono_de_piel_claro_medio:': u'\U0001F468\U0001F3FC\U0000200D\U0001F680',
    u':astronauta_hombre_tono_de_piel_medio:': u'\U0001F468\U0001F3FD\U0000200D\U0001F680',
    u':astronauta_hombre_tono_de_piel_oscuro_medio:': u'\U0001F468\U0001F3FE\U0000200D\U0001F680',
    u':astronauta_hombre_tono_de_piel_oscuro:': u'\U0001F468\U0001F3FF\U0000200D\U0001F680',
    u':astronauta_mujer:': u'\U0001F469\U0000200D\U0001F680',
    u':astronauta_mujer_tono_de_piel_claro:': u'\U0001F469\U0001F3FB\U0000200D\U0001F680',
    u':astronauta_mujer_tono_de_piel_claro_medio:': u'\U0001F469\U0001F3FC\U0000200D\U0001F680',
    u':astronauta_mujer_tono_de_piel_medio:': u'\U0001F469\U0001F3FD\U0000200D\U0001F680',
    u':astronauta_mujer_tono_de_piel_oscuro_medio:': u'\U0001F469\U0001F3FE\U0000200D\U0001F680',
    u':astronauta_mujer_tono_de_piel_oscuro:': u'\U0001F469\U0001F3FF\U0000200D\U0001F680',
    u':bombero:': u'\U0001F9D1\U0000200D\U0001F692',
    u':bombero_tono_de_piel_claro:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F692',
    u':bombero_tono_de_piel_claro_medio:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F692',
    u':bombero_tono_de_piel_medio:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F692',
    u':bombero_tono_de_piel_oscuro_medio:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F692',
    u':bombero_tono_de_piel_oscuro:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F692',
    u':bombero_hombre:': u'\U0001F468\U0000200D\U0001F692',
    u':bombero_hombre_tono_de_piel_claro:': u'\U0001F468\U0001F3FB\U0000200D\U0001F692',
    u':bombero_hombre_tono_de_piel_claro_medio:': u'\U0001F468\U0001F3FC\U0000200D\U0001F692',
    u':bombero_hombre_tono_de_piel_medio:': u'\U0001F468\U0001F3FD\U0000200D\U0001F692',
    u':bombero_hombre_tono_de_piel_oscuro_medio:': u'\U0001F468\U0001F3FE\U0000200D\U0001F692',
    u':bombero_hombre_tono_de_piel_oscuro:': u'\U0001F468\U0001F3FF\U0000200D\U0001F692',
    u':bombera:': u'\U0001F469\U0000200D\U0001F692',
    u':bombera_tono_de_piel_claro:': u'\U0001F469\U0001F3FB\U0000200D\U0001F692',
    u':bombera_tono_de_piel_claro_medio:': u'\U0001F469\U0001F3FC\U0000200D\U0001F692',
    u':bombera_tono_de_piel_medio:': u'\U0001F469\U0001F3FD\U0000200D\U0001F692',
    u':bombera_tono_de_piel_oscuro_medio:': u'\U0001F469\U0001F3FE\U0000200D\U0001F692',
    u':bombera_tono_de_piel_oscuro:': u'\U0001F469\U0001F3FF\U0000200D\U0001F692',
    u':agente_de_policía:': u'\U0001F46E',
    u':agente_de_policía_tono_de_piel_claro:': u'\U0001F46E\U0001F3FB',
    u':agente_de_policía_tono_de_piel_claro_medio:': u'\U0001F46E\U0001F3FC',
    u':agente_de_policía_tono_de_piel_medio:': u'\U0001F46E\U0001F3FD',
    u':agente_de_policía_tono_de_piel_oscuro_medio:': u'\U0001F46E\U0001F3FE',
    u':agente_de_policía_tono_de_piel_oscuro:': u'\U0001F46E\U0001F3FF',
    u':agente_de_policía_hombre:': u'\U0001F46E\U0000200D\U00002642\U0000FE0F',
    u':agente_de_policía_hombre_tono_de_piel_claro:': u'\U0001F46E\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':agente_de_policía_hombre_tono_de_piel_claro_medio:': u'\U0001F46E\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':agente_de_policía_hombre_tono_de_piel_medio:': u'\U0001F46E\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':agente_de_policía_hombre_tono_de_piel_oscuro_medio:': u'\U0001F46E\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':agente_de_policía_hombre_tono_de_piel_oscuro:': u'\U0001F46E\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':agente_de_policía_mujer:': u'\U0001F46E\U0000200D\U00002640\U0000FE0F',
    u':agente_de_policía_mujer_tono_de_piel_claro:': u'\U0001F46E\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':agente_de_policía_mujer_tono_de_piel_claro_medio:': u'\U0001F46E\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':agente_de_policía_mujer_tono_de_piel_medio:': u'\U0001F46E\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':agente_de_policía_mujer_tono_de_piel_oscuro_medio:': u'\U0001F46E\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':agente_de_policía_mujer_tono_de_piel_oscuro:': u'\U0001F46E\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':detective:': u'\U0001F575\U0000FE0F',
    u':detective_tono_de_piel_claro:': u'\U0001F575\U0001F3FB',
    u':detective_tono_de_piel_claro_medio:': u'\U0001F575\U0001F3FC',
    u':detective_tono_de_piel_medio:': u'\U0001F575\U0001F3FD',
    u':detective_tono_de_piel_oscuro_medio:': u'\U0001F575\U0001F3FE',
    u':detective_tono_de_piel_oscuro:': u'\U0001F575\U0001F3FF',
    u':detective_hombre:': u'\U0001F575\U0000FE0F\U0000200D\U00002642\U0000FE0F',
    u':detective_hombre_tono_de_piel_claro:': u'\U0001F575\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':detective_hombre_tono_de_piel_claro_medio:': u'\U0001F575\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':detective_hombre_tono_de_piel_medio:': u'\U0001F575\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':detective_hombre_tono_de_piel_oscuro_medio:': u'\U0001F575\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':detective_hombre_tono_de_piel_oscuro:': u'\U0001F575\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':detective_mujer:': u'\U0001F575\U0000FE0F\U0000200D\U00002640\U0000FE0F',
    u':detective_mujer_tono_de_piel_claro:': u'\U0001F575\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':detective_mujer_tono_de_piel_claro_medio:': u'\U0001F575\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':detective_mujer_tono_de_piel_medio:': u'\U0001F575\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':detective_mujer_tono_de_piel_oscuro_medio:': u'\U0001F575\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':detective_mujer_tono_de_piel_oscuro:': u'\U0001F575\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':guardia:': u'\U0001F482',
    u':guardia_tono_de_piel_claro:': u'\U0001F482\U0001F3FB',
    u':guardia_tono_de_piel_claro_medio:': u'\U0001F482\U0001F3FC',
    u':guardia_tono_de_piel_medio:': u'\U0001F482\U0001F3FD',
    u':guardia_tono_de_piel_oscuro_medio:': u'\U0001F482\U0001F3FE',
    u':guardia_tono_de_piel_oscuro:': u'\U0001F482\U0001F3FF',
    u':guardia_hombre:': u'\U0001F482\U0000200D\U00002642\U0000FE0F',
    u':guardia_hombre_tono_de_piel_claro:': u'\U0001F482\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':guardia_hombre_tono_de_piel_claro_medio:': u'\U0001F482\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':guardia_hombre_tono_de_piel_medio:': u'\U0001F482\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':guardia_hombre_tono_de_piel_oscuro_medio:': u'\U0001F482\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':guardia_hombre_tono_de_piel_oscuro:': u'\U0001F482\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':guardia_mujer:': u'\U0001F482\U0000200D\U00002640\U0000FE0F',
    u':guardia_mujer_tono_de_piel_claro:': u'\U0001F482\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':guardia_mujer_tono_de_piel_claro_medio:': u'\U0001F482\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':guardia_mujer_tono_de_piel_medio:': u'\U0001F482\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':guardia_mujer_tono_de_piel_oscuro_medio:': u'\U0001F482\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':guardia_mujer_tono_de_piel_oscuro:': u'\U0001F482\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':ninja:': u'\U0001F977',
    u':ninja_tono_de_piel_claro:': u'\U0001F977\U0001F3FB',
    u':ninja_tono_de_piel_claro_medio:': u'\U0001F977\U0001F3FC',
    u':ninja_tono_de_piel_medio:': u'\U0001F977\U0001F3FD',
    u':ninja_tono_de_piel_oscuro_medio:': u'\U0001F977\U0001F3FE',
    u':ninja_tono_de_piel_oscuro:': u'\U0001F977\U0001F3FF',
    u':profesional_de_la_construcción:': u'\U0001F477',
    u':profesional_de_la_construcción_tono_de_piel_claro:': u'\U0001F477\U0001F3FB',
    u':profesional_de_la_construcción_tono_de_piel_claro_medio:': u'\U0001F477\U0001F3FC',
    u':profesional_de_la_construcción_tono_de_piel_medio:': u'\U0001F477\U0001F3FD',
    u':profesional_de_la_construcción_tono_de_piel_oscuro_medio:': u'\U0001F477\U0001F3FE',
    u':profesional_de_la_construcción_tono_de_piel_oscuro:': u'\U0001F477\U0001F3FF',
    u':profesional_de_la_construcción_hombre:': u'\U0001F477\U0000200D\U00002642\U0000FE0F',
    u':profesional_de_la_construcción_hombre_tono_de_piel_claro:': u'\U0001F477\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':profesional_de_la_construcción_hombre_tono_de_piel_claro_medio:': u'\U0001F477\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':profesional_de_la_construcción_hombre_tono_de_piel_medio:': u'\U0001F477\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':profesional_de_la_construcción_hombre_tono_de_piel_oscuro_medio:': u'\U0001F477\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':profesional_de_la_construcción_hombre_tono_de_piel_oscuro:': u'\U0001F477\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':profesional_de_la_construcción_mujer:': u'\U0001F477\U0000200D\U00002640\U0000FE0F',
    u':profesional_de_la_construcción_mujer_tono_de_piel_claro:': u'\U0001F477\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':profesional_de_la_construcción_mujer_tono_de_piel_claro_medio:': u'\U0001F477\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':profesional_de_la_construcción_mujer_tono_de_piel_medio:': u'\U0001F477\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':profesional_de_la_construcción_mujer_tono_de_piel_oscuro_medio:': u'\U0001F477\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':profesional_de_la_construcción_mujer_tono_de_piel_oscuro:': u'\U0001F477\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':príncipe:': u'\U0001F934',
    u':príncipe_tono_de_piel_claro:': u'\U0001F934\U0001F3FB',
    u':príncipe_tono_de_piel_claro_medio:': u'\U0001F934\U0001F3FC',
    u':príncipe_tono_de_piel_medio:': u'\U0001F934\U0001F3FD',
    u':príncipe_tono_de_piel_oscuro_medio:': u'\U0001F934\U0001F3FE',
    u':príncipe_tono_de_piel_oscuro:': u'\U0001F934\U0001F3FF',
    u':princesa:': u'\U0001F478',
    u':princesa_tono_de_piel_claro:': u'\U0001F478\U0001F3FB',
    u':princesa_tono_de_piel_claro_medio:': u'\U0001F478\U0001F3FC',
    u':princesa_tono_de_piel_medio:': u'\U0001F478\U0001F3FD',
    u':princesa_tono_de_piel_oscuro_medio:': u'\U0001F478\U0001F3FE',
    u':princesa_tono_de_piel_oscuro:': u'\U0001F478\U0001F3FF',
    u':persona_con_turbante:': u'\U0001F473',
    u':persona_con_turbante_tono_de_piel_claro:': u'\U0001F473\U0001F3FB',
    u':persona_con_turbante_tono_de_piel_claro_medio:': u'\U0001F473\U0001F3FC',
    u':persona_con_turbante_tono_de_piel_medio:': u'\U0001F473\U0001F3FD',
    u':persona_con_turbante_tono_de_piel_oscuro_medio:': u'\U0001F473\U0001F3FE',
    u':persona_con_turbante_tono_de_piel_oscuro:': u'\U0001F473\U0001F3FF',
    u':hombre_con_turbante:': u'\U0001F473\U0000200D\U00002642\U0000FE0F',
    u':hombre_con_turbante_tono_de_piel_claro:': u'\U0001F473\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':hombre_con_turbante_tono_de_piel_claro_medio:': u'\U0001F473\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':hombre_con_turbante_tono_de_piel_medio:': u'\U0001F473\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':hombre_con_turbante_tono_de_piel_oscuro_medio:': u'\U0001F473\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':hombre_con_turbante_tono_de_piel_oscuro:': u'\U0001F473\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mujer_con_turbante:': u'\U0001F473\U0000200D\U00002640\U0000FE0F',
    u':mujer_con_turbante_tono_de_piel_claro:': u'\U0001F473\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mujer_con_turbante_tono_de_piel_claro_medio:': u'\U0001F473\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mujer_con_turbante_tono_de_piel_medio:': u'\U0001F473\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mujer_con_turbante_tono_de_piel_oscuro_medio:': u'\U0001F473\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mujer_con_turbante_tono_de_piel_oscuro:': u'\U0001F473\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':hombre_con_gorro_chino:': u'\U0001F472',
    u':hombre_con_gorro_chino_tono_de_piel_claro:': u'\U0001F472\U0001F3FB',
    u':hombre_con_gorro_chino_tono_de_piel_claro_medio:': u'\U0001F472\U0001F3FC',
    u':hombre_con_gorro_chino_tono_de_piel_medio:': u'\U0001F472\U0001F3FD',
    u':hombre_con_gorro_chino_tono_de_piel_oscuro_medio:': u'\U0001F472\U0001F3FE',
    u':hombre_con_gorro_chino_tono_de_piel_oscuro:': u'\U0001F472\U0001F3FF',
    u':mujer_con_hiyab:': u'\U0001F9D5',
    u':mujer_con_hiyab_tono_de_piel_claro:': u'\U0001F9D5\U0001F3FB',
    u':mujer_con_hiyab_tono_de_piel_claro_medio:': u'\U0001F9D5\U0001F3FC',
    u':mujer_con_hiyab_tono_de_piel_medio:': u'\U0001F9D5\U0001F3FD',
    u':mujer_con_hiyab_tono_de_piel_oscuro_medio:': u'\U0001F9D5\U0001F3FE',
    u':mujer_con_hiyab_tono_de_piel_oscuro:': u'\U0001F9D5\U0001F3FF',
    u':persona_con_esmoquin:': u'\U0001F935',
    u':persona_con_esmoquin_tono_de_piel_claro:': u'\U0001F935\U0001F3FB',
    u':persona_con_esmoquin_tono_de_piel_claro_medio:': u'\U0001F935\U0001F3FC',
    u':persona_con_esmoquin_tono_de_piel_medio:': u'\U0001F935\U0001F3FD',
    u':persona_con_esmoquin_tono_de_piel_oscuro_medio:': u'\U0001F935\U0001F3FE',
    u':persona_con_esmoquin_tono_de_piel_oscuro:': u'\U0001F935\U0001F3FF',
    u':hombre_con_esmoquin:': u'\U0001F935\U0000200D\U00002642\U0000FE0F',
    u':hombre_con_esmoquin_tono_de_piel_claro:': u'\U0001F935\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':hombre_con_esmoquin_tono_de_piel_claro_medio:': u'\U0001F935\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':hombre_con_esmoquin_tono_de_piel_medio:': u'\U0001F935\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':hombre_con_esmoquin_tono_de_piel_oscuro_medio:': u'\U0001F935\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':hombre_con_esmoquin_tono_de_piel_oscuro:': u'\U0001F935\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mujer_con_esmoquin:': u'\U0001F935\U0000200D\U00002640\U0000FE0F',
    u':mujer_con_esmoquin_tono_de_piel_claro:': u'\U0001F935\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mujer_con_esmoquin_tono_de_piel_claro_medio:': u'\U0001F935\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mujer_con_esmoquin_tono_de_piel_medio:': u'\U0001F935\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mujer_con_esmoquin_tono_de_piel_oscuro_medio:': u'\U0001F935\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mujer_con_esmoquin_tono_de_piel_oscuro:': u'\U0001F935\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':persona_con_velo:': u'\U0001F470',
    u':persona_con_velo_tono_de_piel_claro:': u'\U0001F470\U0001F3FB',
    u':persona_con_velo_tono_de_piel_claro_medio:': u'\U0001F470\U0001F3FC',
    u':persona_con_velo_tono_de_piel_medio:': u'\U0001F470\U0001F3FD',
    u':persona_con_velo_tono_de_piel_oscuro_medio:': u'\U0001F470\U0001F3FE',
    u':persona_con_velo_tono_de_piel_oscuro:': u'\U0001F470\U0001F3FF',
    u':hombre_con_velo:': u'\U0001F470\U0000200D\U00002642\U0000FE0F',
    u':hombre_con_velo_tono_de_piel_claro:': u'\U0001F470\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':hombre_con_velo_tono_de_piel_claro_medio:': u'\U0001F470\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':hombre_con_velo_tono_de_piel_medio:': u'\U0001F470\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':hombre_con_velo_tono_de_piel_oscuro_medio:': u'\U0001F470\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':hombre_con_velo_tono_de_piel_oscuro:': u'\U0001F470\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mujer_con_velo:': u'\U0001F470\U0000200D\U00002640\U0000FE0F',
    u':mujer_con_velo_tono_de_piel_claro:': u'\U0001F470\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mujer_con_velo_tono_de_piel_claro_medio:': u'\U0001F470\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mujer_con_velo_tono_de_piel_medio:': u'\U0001F470\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mujer_con_velo_tono_de_piel_oscuro_medio:': u'\U0001F470\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mujer_con_velo_tono_de_piel_oscuro:': u'\U0001F470\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':mujer_embarazada:': u'\U0001F930',
    u':mujer_embarazada_tono_de_piel_claro:': u'\U0001F930\U0001F3FB',
    u':mujer_embarazada_tono_de_piel_claro_medio:': u'\U0001F930\U0001F3FC',
    u':mujer_embarazada_tono_de_piel_medio:': u'\U0001F930\U0001F3FD',
    u':mujer_embarazada_tono_de_piel_oscuro_medio:': u'\U0001F930\U0001F3FE',
    u':mujer_embarazada_tono_de_piel_oscuro:': u'\U0001F930\U0001F3FF',
    u':lactancia_materna:': u'\U0001F931',
    u':lactancia_materna_tono_de_piel_claro:': u'\U0001F931\U0001F3FB',
    u':lactancia_materna_tono_de_piel_claro_medio:': u'\U0001F931\U0001F3FC',
    u':lactancia_materna_tono_de_piel_medio:': u'\U0001F931\U0001F3FD',
    u':lactancia_materna_tono_de_piel_oscuro_medio:': u'\U0001F931\U0001F3FE',
    u':lactancia_materna_tono_de_piel_oscuro:': u'\U0001F931\U0001F3FF',
    u':mujer_alimentando_a_bebé:': u'\U0001F469\U0000200D\U0001F37C',
    u':mujer_alimentando_a_bebé_tono_de_piel_claro:': u'\U0001F469\U0001F3FB\U0000200D\U0001F37C',
    u':mujer_alimentando_a_bebé_tono_de_piel_claro_medio:': u'\U0001F469\U0001F3FC\U0000200D\U0001F37C',
    u':mujer_alimentando_a_bebé_tono_de_piel_medio:': u'\U0001F469\U0001F3FD\U0000200D\U0001F37C',
    u':mujer_alimentando_a_bebé_tono_de_piel_oscuro_medio:': u'\U0001F469\U0001F3FE\U0000200D\U0001F37C',
    u':mujer_alimentando_a_bebé_tono_de_piel_oscuro:': u'\U0001F469\U0001F3FF\U0000200D\U0001F37C',
    u':hombre_alimentando_a_bebé:': u'\U0001F468\U0000200D\U0001F37C',
    u':hombre_alimentando_a_bebé_tono_de_piel_claro:': u'\U0001F468\U0001F3FB\U0000200D\U0001F37C',
    u':hombre_alimentando_a_bebé_tono_de_piel_claro_medio:': u'\U0001F468\U0001F3FC\U0000200D\U0001F37C',
    u':hombre_alimentando_a_bebé_tono_de_piel_medio:': u'\U0001F468\U0001F3FD\U0000200D\U0001F37C',
    u':hombre_alimentando_a_bebé_tono_de_piel_oscuro_medio:': u'\U0001F468\U0001F3FE\U0000200D\U0001F37C',
    u':hombre_alimentando_a_bebé_tono_de_piel_oscuro:': u'\U0001F468\U0001F3FF\U0000200D\U0001F37C',
    u':persona_alimentando_a_bebé:': u'\U0001F9D1\U0000200D\U0001F37C',
    u':persona_alimentando_a_bebé_tono_de_piel_claro:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F37C',
    u':persona_alimentando_a_bebé_tono_de_piel_claro_medio:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F37C',
    u':persona_alimentando_a_bebé_tono_de_piel_medio:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F37C',
    u':persona_alimentando_a_bebé_tono_de_piel_oscuro_medio:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F37C',
    u':persona_alimentando_a_bebé_tono_de_piel_oscuro:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F37C',
    u':bebé_ángel:': u'\U0001F47C',
    u':bebé_ángel_tono_de_piel_claro:': u'\U0001F47C\U0001F3FB',
    u':bebé_ángel_tono_de_piel_claro_medio:': u'\U0001F47C\U0001F3FC',
    u':bebé_ángel_tono_de_piel_medio:': u'\U0001F47C\U0001F3FD',
    u':bebé_ángel_tono_de_piel_oscuro_medio:': u'\U0001F47C\U0001F3FE',
    u':bebé_ángel_tono_de_piel_oscuro:': u'\U0001F47C\U0001F3FF',
    u':papá_noel:': u'\U0001F385',
    u':papá_noel_tono_de_piel_claro:': u'\U0001F385\U0001F3FB',
    u':papá_noel_tono_de_piel_claro_medio:': u'\U0001F385\U0001F3FC',
    u':papá_noel_tono_de_piel_medio:': u'\U0001F385\U0001F3FD',
    u':papá_noel_tono_de_piel_oscuro_medio:': u'\U0001F385\U0001F3FE',
    u':papá_noel_tono_de_piel_oscuro:': u'\U0001F385\U0001F3FF',
    u':mamá_noel:': u'\U0001F936',
    u':mamá_noel_tono_de_piel_claro:': u'\U0001F936\U0001F3FB',
    u':mamá_noel_tono_de_piel_claro_medio:': u'\U0001F936\U0001F3FC',
    u':mamá_noel_tono_de_piel_medio:': u'\U0001F936\U0001F3FD',
    u':mamá_noel_tono_de_piel_oscuro_medio:': u'\U0001F936\U0001F3FE',
    u':mamá_noel_tono_de_piel_oscuro:': u'\U0001F936\U0001F3FF',
    u':noel:': u'\U0001F9D1\U0000200D\U0001F384',
    u':noel_tono_de_piel_claro:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F384',
    u':noel_tono_de_piel_claro_medio:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F384',
    u':noel_tono_de_piel_medio:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F384',
    u':noel_tono_de_piel_oscuro_medio:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F384',
    u':noel_tono_de_piel_oscuro:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F384',
    u':personaje_de_superhéroe:': u'\U0001F9B8',
    u':personaje_de_superhéroe_tono_de_piel_claro:': u'\U0001F9B8\U0001F3FB',
    u':personaje_de_superhéroe_tono_de_piel_claro_medio:': u'\U0001F9B8\U0001F3FC',
    u':personaje_de_superhéroe_tono_de_piel_medio:': u'\U0001F9B8\U0001F3FD',
    u':personaje_de_superhéroe_tono_de_piel_oscuro_medio:': u'\U0001F9B8\U0001F3FE',
    u':personaje_de_superhéroe_tono_de_piel_oscuro:': u'\U0001F9B8\U0001F3FF',
    u':superhéroe:': u'\U0001F9B8\U0000200D\U00002642\U0000FE0F',
    u':superhéroe_tono_de_piel_claro:': u'\U0001F9B8\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':superhéroe_tono_de_piel_claro_medio:': u'\U0001F9B8\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':superhéroe_tono_de_piel_medio:': u'\U0001F9B8\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':superhéroe_tono_de_piel_oscuro_medio:': u'\U0001F9B8\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':superhéroe_tono_de_piel_oscuro:': u'\U0001F9B8\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':superheroína:': u'\U0001F9B8\U0000200D\U00002640\U0000FE0F',
    u':superheroína_tono_de_piel_claro:': u'\U0001F9B8\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':superheroína_tono_de_piel_claro_medio:': u'\U0001F9B8\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':superheroína_tono_de_piel_medio:': u'\U0001F9B8\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':superheroína_tono_de_piel_oscuro_medio:': u'\U0001F9B8\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':superheroína_tono_de_piel_oscuro:': u'\U0001F9B8\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':personaje_de_supervillano:': u'\U0001F9B9',
    u':personaje_de_supervillano_tono_de_piel_claro:': u'\U0001F9B9\U0001F3FB',
    u':personaje_de_supervillano_tono_de_piel_claro_medio:': u'\U0001F9B9\U0001F3FC',
    u':personaje_de_supervillano_tono_de_piel_medio:': u'\U0001F9B9\U0001F3FD',
    u':personaje_de_supervillano_tono_de_piel_oscuro_medio:': u'\U0001F9B9\U0001F3FE',
    u':personaje_de_supervillano_tono_de_piel_oscuro:': u'\U0001F9B9\U0001F3FF',
    u':supervillano:': u'\U0001F9B9\U0000200D\U00002642\U0000FE0F',
    u':supervillano_tono_de_piel_claro:': u'\U0001F9B9\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':supervillano_tono_de_piel_claro_medio:': u'\U0001F9B9\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':supervillano_tono_de_piel_medio:': u'\U0001F9B9\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':supervillano_tono_de_piel_oscuro_medio:': u'\U0001F9B9\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':supervillano_tono_de_piel_oscuro:': u'\U0001F9B9\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':supervillana:': u'\U0001F9B9\U0000200D\U00002640\U0000FE0F',
    u':supervillana_tono_de_piel_claro:': u'\U0001F9B9\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':supervillana_tono_de_piel_claro_medio:': u'\U0001F9B9\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':supervillana_tono_de_piel_medio:': u'\U0001F9B9\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':supervillana_tono_de_piel_oscuro_medio:': u'\U0001F9B9\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':supervillana_tono_de_piel_oscuro:': u'\U0001F9B9\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':persona_maga:': u'\U0001F9D9',
    u':persona_maga_tono_de_piel_claro:': u'\U0001F9D9\U0001F3FB',
    u':persona_maga_tono_de_piel_claro_medio:': u'\U0001F9D9\U0001F3FC',
    u':persona_maga_tono_de_piel_medio:': u'\U0001F9D9\U0001F3FD',
    u':persona_maga_tono_de_piel_oscuro_medio:': u'\U0001F9D9\U0001F3FE',
    u':persona_maga_tono_de_piel_oscuro:': u'\U0001F9D9\U0001F3FF',
    u':mago:': u'\U0001F9D9\U0000200D\U00002642\U0000FE0F',
    u':mago_tono_de_piel_claro:': u'\U0001F9D9\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':mago_tono_de_piel_claro_medio:': u'\U0001F9D9\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':mago_tono_de_piel_medio:': u'\U0001F9D9\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':mago_tono_de_piel_oscuro_medio:': u'\U0001F9D9\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':mago_tono_de_piel_oscuro:': u'\U0001F9D9\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':maga:': u'\U0001F9D9\U0000200D\U00002640\U0000FE0F',
    u':maga_tono_de_piel_claro:': u'\U0001F9D9\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':maga_tono_de_piel_claro_medio:': u'\U0001F9D9\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':maga_tono_de_piel_medio:': u'\U0001F9D9\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':maga_tono_de_piel_oscuro_medio:': u'\U0001F9D9\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':maga_tono_de_piel_oscuro:': u'\U0001F9D9\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':hada:': u'\U0001F9DA',
    u':hada_tono_de_piel_claro:': u'\U0001F9DA\U0001F3FB',
    u':hada_tono_de_piel_claro_medio:': u'\U0001F9DA\U0001F3FC',
    u':hada_tono_de_piel_medio:': u'\U0001F9DA\U0001F3FD',
    u':hada_tono_de_piel_oscuro_medio:': u'\U0001F9DA\U0001F3FE',
    u':hada_tono_de_piel_oscuro:': u'\U0001F9DA\U0001F3FF',
    u':hada_hombre:': u'\U0001F9DA\U0000200D\U00002642\U0000FE0F',
    u':hada_hombre_tono_de_piel_claro:': u'\U0001F9DA\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':hada_hombre_tono_de_piel_claro_medio:': u'\U0001F9DA\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':hada_hombre_tono_de_piel_medio:': u'\U0001F9DA\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':hada_hombre_tono_de_piel_oscuro_medio:': u'\U0001F9DA\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':hada_hombre_tono_de_piel_oscuro:': u'\U0001F9DA\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':hada_mujer:': u'\U0001F9DA\U0000200D\U00002640\U0000FE0F',
    u':hada_mujer_tono_de_piel_claro:': u'\U0001F9DA\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':hada_mujer_tono_de_piel_claro_medio:': u'\U0001F9DA\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':hada_mujer_tono_de_piel_medio:': u'\U0001F9DA\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':hada_mujer_tono_de_piel_oscuro_medio:': u'\U0001F9DA\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':hada_mujer_tono_de_piel_oscuro:': u'\U0001F9DA\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':vampiro:': u'\U0001F9DB',
    u':vampiro_tono_de_piel_claro:': u'\U0001F9DB\U0001F3FB',
    u':vampiro_tono_de_piel_claro_medio:': u'\U0001F9DB\U0001F3FC',
    u':vampiro_tono_de_piel_medio:': u'\U0001F9DB\U0001F3FD',
    u':vampiro_tono_de_piel_oscuro_medio:': u'\U0001F9DB\U0001F3FE',
    u':vampiro_tono_de_piel_oscuro:': u'\U0001F9DB\U0001F3FF',
    u':vampiro_hombre:': u'\U0001F9DB\U0000200D\U00002642\U0000FE0F',
    u':vampiro_hombre_tono_de_piel_claro:': u'\U0001F9DB\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':vampiro_hombre_tono_de_piel_claro_medio:': u'\U0001F9DB\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':vampiro_hombre_tono_de_piel_medio:': u'\U0001F9DB\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':vampiro_hombre_tono_de_piel_oscuro_medio:': u'\U0001F9DB\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':vampiro_hombre_tono_de_piel_oscuro:': u'\U0001F9DB\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':vampiresa:': u'\U0001F9DB\U0000200D\U00002640\U0000FE0F',
    u':vampiresa_tono_de_piel_claro:': u'\U0001F9DB\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':vampiresa_tono_de_piel_claro_medio:': u'\U0001F9DB\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':vampiresa_tono_de_piel_medio:': u'\U0001F9DB\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':vampiresa_tono_de_piel_oscuro_medio:': u'\U0001F9DB\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':vampiresa_tono_de_piel_oscuro:': u'\U0001F9DB\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':persona_sirena:': u'\U0001F9DC',
    u':persona_sirena_tono_de_piel_claro:': u'\U0001F9DC\U0001F3FB',
    u':persona_sirena_tono_de_piel_claro_medio:': u'\U0001F9DC\U0001F3FC',
    u':persona_sirena_tono_de_piel_medio:': u'\U0001F9DC\U0001F3FD',
    u':persona_sirena_tono_de_piel_oscuro_medio:': u'\U0001F9DC\U0001F3FE',
    u':persona_sirena_tono_de_piel_oscuro:': u'\U0001F9DC\U0001F3FF',
    u':sirena_hombre:': u'\U0001F9DC\U0000200D\U00002642\U0000FE0F',
    u':sirena_hombre_tono_de_piel_claro:': u'\U0001F9DC\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':sirena_hombre_tono_de_piel_claro_medio:': u'\U0001F9DC\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':sirena_hombre_tono_de_piel_medio:': u'\U0001F9DC\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':sirena_hombre_tono_de_piel_oscuro_medio:': u'\U0001F9DC\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':sirena_hombre_tono_de_piel_oscuro:': u'\U0001F9DC\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':sirena:': u'\U0001F9DC\U0000200D\U00002640\U0000FE0F',
    u':sirena_tono_de_piel_claro:': u'\U0001F9DC\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':sirena_tono_de_piel_claro_medio:': u'\U0001F9DC\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':sirena_tono_de_piel_medio:': u'\U0001F9DC\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':sirena_tono_de_piel_oscuro_medio:': u'\U0001F9DC\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':sirena_tono_de_piel_oscuro:': u'\U0001F9DC\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':elfo:': u'\U0001F9DD',
    u':elfo_tono_de_piel_claro:': u'\U0001F9DD\U0001F3FB',
    u':elfo_tono_de_piel_claro_medio:': u'\U0001F9DD\U0001F3FC',
    u':elfo_tono_de_piel_medio:': u'\U0001F9DD\U0001F3FD',
    u':elfo_tono_de_piel_oscuro_medio:': u'\U0001F9DD\U0001F3FE',
    u':elfo_tono_de_piel_oscuro:': u'\U0001F9DD\U0001F3FF',
    u':elfo_hombre:': u'\U0001F9DD\U0000200D\U00002642\U0000FE0F',
    u':elfo_hombre_tono_de_piel_claro:': u'\U0001F9DD\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':elfo_hombre_tono_de_piel_claro_medio:': u'\U0001F9DD\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':elfo_hombre_tono_de_piel_medio:': u'\U0001F9DD\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':elfo_hombre_tono_de_piel_oscuro_medio:': u'\U0001F9DD\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':elfo_hombre_tono_de_piel_oscuro:': u'\U0001F9DD\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':elfa:': u'\U0001F9DD\U0000200D\U00002640\U0000FE0F',
    u':elfa_tono_de_piel_claro:': u'\U0001F9DD\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':elfa_tono_de_piel_claro_medio:': u'\U0001F9DD\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':elfa_tono_de_piel_medio:': u'\U0001F9DD\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':elfa_tono_de_piel_oscuro_medio:': u'\U0001F9DD\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':elfa_tono_de_piel_oscuro:': u'\U0001F9DD\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':genio:': u'\U0001F9DE',
    u':genio_hombre:': u'\U0001F9DE\U0000200D\U00002642\U0000FE0F',
    u':genio_mujer:': u'\U0001F9DE\U0000200D\U00002640\U0000FE0F',
    u':zombi:': u'\U0001F9DF',
    u':zombi_hombre:': u'\U0001F9DF\U0000200D\U00002642\U0000FE0F',
    u':zombi_mujer:': u'\U0001F9DF\U0000200D\U00002640\U0000FE0F',
    u':persona_recibiendo_masaje:': u'\U0001F486',
    u':persona_recibiendo_masaje_tono_de_piel_claro:': u'\U0001F486\U0001F3FB',
    u':persona_recibiendo_masaje_tono_de_piel_claro_medio:': u'\U0001F486\U0001F3FC',
    u':persona_recibiendo_masaje_tono_de_piel_medio:': u'\U0001F486\U0001F3FD',
    u':persona_recibiendo_masaje_tono_de_piel_oscuro_medio:': u'\U0001F486\U0001F3FE',
    u':persona_recibiendo_masaje_tono_de_piel_oscuro:': u'\U0001F486\U0001F3FF',
    u':hombre_recibiendo_masaje:': u'\U0001F486\U0000200D\U00002642\U0000FE0F',
    u':hombre_recibiendo_masaje_tono_de_piel_claro:': u'\U0001F486\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':hombre_recibiendo_masaje_tono_de_piel_claro_medio:': u'\U0001F486\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':hombre_recibiendo_masaje_tono_de_piel_medio:': u'\U0001F486\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':hombre_recibiendo_masaje_tono_de_piel_oscuro_medio:': u'\U0001F486\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':hombre_recibiendo_masaje_tono_de_piel_oscuro:': u'\U0001F486\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mujer_recibiendo_masaje:': u'\U0001F486\U0000200D\U00002640\U0000FE0F',
    u':mujer_recibiendo_masaje_tono_de_piel_claro:': u'\U0001F486\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mujer_recibiendo_masaje_tono_de_piel_claro_medio:': u'\U0001F486\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mujer_recibiendo_masaje_tono_de_piel_medio:': u'\U0001F486\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mujer_recibiendo_masaje_tono_de_piel_oscuro_medio:': u'\U0001F486\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mujer_recibiendo_masaje_tono_de_piel_oscuro:': u'\U0001F486\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':persona_cortándose_el_pelo:': u'\U0001F487',
    u':persona_cortándose_el_pelo_tono_de_piel_claro:': u'\U0001F487\U0001F3FB',
    u':persona_cortándose_el_pelo_tono_de_piel_claro_medio:': u'\U0001F487\U0001F3FC',
    u':persona_cortándose_el_pelo_tono_de_piel_medio:': u'\U0001F487\U0001F3FD',
    u':persona_cortándose_el_pelo_tono_de_piel_oscuro_medio:': u'\U0001F487\U0001F3FE',
    u':persona_cortándose_el_pelo_tono_de_piel_oscuro:': u'\U0001F487\U0001F3FF',
    u':hombre_cortándose_el_pelo:': u'\U0001F487\U0000200D\U00002642\U0000FE0F',
    u':hombre_cortándose_el_pelo_tono_de_piel_claro:': u'\U0001F487\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':hombre_cortándose_el_pelo_tono_de_piel_claro_medio:': u'\U0001F487\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':hombre_cortándose_el_pelo_tono_de_piel_medio:': u'\U0001F487\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':hombre_cortándose_el_pelo_tono_de_piel_oscuro_medio:': u'\U0001F487\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':hombre_cortándose_el_pelo_tono_de_piel_oscuro:': u'\U0001F487\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mujer_cortándose_el_pelo:': u'\U0001F487\U0000200D\U00002640\U0000FE0F',
    u':mujer_cortándose_el_pelo_tono_de_piel_claro:': u'\U0001F487\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mujer_cortándose_el_pelo_tono_de_piel_claro_medio:': u'\U0001F487\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mujer_cortándose_el_pelo_tono_de_piel_medio:': u'\U0001F487\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mujer_cortándose_el_pelo_tono_de_piel_oscuro_medio:': u'\U0001F487\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mujer_cortándose_el_pelo_tono_de_piel_oscuro:': u'\U0001F487\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':persona_caminando:': u'\U0001F6B6',
    u':persona_caminando_tono_de_piel_claro:': u'\U0001F6B6\U0001F3FB',
    u':persona_caminando_tono_de_piel_claro_medio:': u'\U0001F6B6\U0001F3FC',
    u':persona_caminando_tono_de_piel_medio:': u'\U0001F6B6\U0001F3FD',
    u':persona_caminando_tono_de_piel_oscuro_medio:': u'\U0001F6B6\U0001F3FE',
    u':persona_caminando_tono_de_piel_oscuro:': u'\U0001F6B6\U0001F3FF',
    u':hombre_caminando:': u'\U0001F6B6\U0000200D\U00002642\U0000FE0F',
    u':hombre_caminando_tono_de_piel_claro:': u'\U0001F6B6\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':hombre_caminando_tono_de_piel_claro_medio:': u'\U0001F6B6\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':hombre_caminando_tono_de_piel_medio:': u'\U0001F6B6\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':hombre_caminando_tono_de_piel_oscuro_medio:': u'\U0001F6B6\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':hombre_caminando_tono_de_piel_oscuro:': u'\U0001F6B6\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mujer_caminando:': u'\U0001F6B6\U0000200D\U00002640\U0000FE0F',
    u':mujer_caminando_tono_de_piel_claro:': u'\U0001F6B6\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mujer_caminando_tono_de_piel_claro_medio:': u'\U0001F6B6\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mujer_caminando_tono_de_piel_medio:': u'\U0001F6B6\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mujer_caminando_tono_de_piel_oscuro_medio:': u'\U0001F6B6\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mujer_caminando_tono_de_piel_oscuro:': u'\U0001F6B6\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':persona_de_pie:': u'\U0001F9CD',
    u':persona_de_pie_tono_de_piel_claro:': u'\U0001F9CD\U0001F3FB',
    u':persona_de_pie_tono_de_piel_claro_medio:': u'\U0001F9CD\U0001F3FC',
    u':persona_de_pie_tono_de_piel_medio:': u'\U0001F9CD\U0001F3FD',
    u':persona_de_pie_tono_de_piel_oscuro_medio:': u'\U0001F9CD\U0001F3FE',
    u':persona_de_pie_tono_de_piel_oscuro:': u'\U0001F9CD\U0001F3FF',
    u':hombre_de_pie:': u'\U0001F9CD\U0000200D\U00002642\U0000FE0F',
    u':hombre_de_pie_tono_de_piel_claro:': u'\U0001F9CD\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':hombre_de_pie_tono_de_piel_claro_medio:': u'\U0001F9CD\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':hombre_de_pie_tono_de_piel_medio:': u'\U0001F9CD\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':hombre_de_pie_tono_de_piel_oscuro_medio:': u'\U0001F9CD\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':hombre_de_pie_tono_de_piel_oscuro:': u'\U0001F9CD\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mujer_de_pie:': u'\U0001F9CD\U0000200D\U00002640\U0000FE0F',
    u':mujer_de_pie_tono_de_piel_claro:': u'\U0001F9CD\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mujer_de_pie_tono_de_piel_claro_medio:': u'\U0001F9CD\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mujer_de_pie_tono_de_piel_medio:': u'\U0001F9CD\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mujer_de_pie_tono_de_piel_oscuro_medio:': u'\U0001F9CD\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mujer_de_pie_tono_de_piel_oscuro:': u'\U0001F9CD\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':persona_de_rodillas:': u'\U0001F9CE',
    u':persona_de_rodillas_tono_de_piel_claro:': u'\U0001F9CE\U0001F3FB',
    u':persona_de_rodillas_tono_de_piel_claro_medio:': u'\U0001F9CE\U0001F3FC',
    u':persona_de_rodillas_tono_de_piel_medio:': u'\U0001F9CE\U0001F3FD',
    u':persona_de_rodillas_tono_de_piel_oscuro_medio:': u'\U0001F9CE\U0001F3FE',
    u':persona_de_rodillas_tono_de_piel_oscuro:': u'\U0001F9CE\U0001F3FF',
    u':hombre_de_rodillas:': u'\U0001F9CE\U0000200D\U00002642\U0000FE0F',
    u':hombre_de_rodillas_tono_de_piel_claro:': u'\U0001F9CE\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':hombre_de_rodillas_tono_de_piel_claro_medio:': u'\U0001F9CE\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':hombre_de_rodillas_tono_de_piel_medio:': u'\U0001F9CE\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':hombre_de_rodillas_tono_de_piel_oscuro_medio:': u'\U0001F9CE\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':hombre_de_rodillas_tono_de_piel_oscuro:': u'\U0001F9CE\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mujer_de_rodillas:': u'\U0001F9CE\U0000200D\U00002640\U0000FE0F',
    u':mujer_de_rodillas_tono_de_piel_claro:': u'\U0001F9CE\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mujer_de_rodillas_tono_de_piel_claro_medio:': u'\U0001F9CE\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mujer_de_rodillas_tono_de_piel_medio:': u'\U0001F9CE\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mujer_de_rodillas_tono_de_piel_oscuro_medio:': u'\U0001F9CE\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mujer_de_rodillas_tono_de_piel_oscuro:': u'\U0001F9CE\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':persona_con_bastón:': u'\U0001F9D1\U0000200D\U0001F9AF',
    u':persona_con_bastón_tono_de_piel_claro:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F9AF',
    u':persona_con_bastón_tono_de_piel_claro_medio:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F9AF',
    u':persona_con_bastón_tono_de_piel_medio:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F9AF',
    u':persona_con_bastón_tono_de_piel_oscuro_medio:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F9AF',
    u':persona_con_bastón_tono_de_piel_oscuro:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F9AF',
    u':hombre_con_bastón:': u'\U0001F468\U0000200D\U0001F9AF',
    u':hombre_con_bastón_tono_de_piel_claro:': u'\U0001F468\U0001F3FB\U0000200D\U0001F9AF',
    u':hombre_con_bastón_tono_de_piel_claro_medio:': u'\U0001F468\U0001F3FC\U0000200D\U0001F9AF',
    u':hombre_con_bastón_tono_de_piel_medio:': u'\U0001F468\U0001F3FD\U0000200D\U0001F9AF',
    u':hombre_con_bastón_tono_de_piel_oscuro_medio:': u'\U0001F468\U0001F3FE\U0000200D\U0001F9AF',
    u':hombre_con_bastón_tono_de_piel_oscuro:': u'\U0001F468\U0001F3FF\U0000200D\U0001F9AF',
    u':mujer_con_bastón:': u'\U0001F469\U0000200D\U0001F9AF',
    u':mujer_con_bastón_tono_de_piel_claro:': u'\U0001F469\U0001F3FB\U0000200D\U0001F9AF',
    u':mujer_con_bastón_tono_de_piel_claro_medio:': u'\U0001F469\U0001F3FC\U0000200D\U0001F9AF',
    u':mujer_con_bastón_tono_de_piel_medio:': u'\U0001F469\U0001F3FD\U0000200D\U0001F9AF',
    u':mujer_con_bastón_tono_de_piel_oscuro_medio:': u'\U0001F469\U0001F3FE\U0000200D\U0001F9AF',
    u':mujer_con_bastón_tono_de_piel_oscuro:': u'\U0001F469\U0001F3FF\U0000200D\U0001F9AF',
    u':persona_en_silla_de_ruedas_eléctrica:': u'\U0001F9D1\U0000200D\U0001F9BC',
    u':persona_en_silla_de_ruedas_eléctrica_tono_de_piel_claro:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F9BC',
    u':persona_en_silla_de_ruedas_eléctrica_tono_de_piel_claro_medio:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F9BC',
    u':persona_en_silla_de_ruedas_eléctrica_tono_de_piel_medio:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F9BC',
    u':persona_en_silla_de_ruedas_eléctrica_tono_de_piel_oscuro_medio:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F9BC',
    u':persona_en_silla_de_ruedas_eléctrica_tono_de_piel_oscuro:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F9BC',
    u':hombre_en_silla_de_ruedas_eléctrica:': u'\U0001F468\U0000200D\U0001F9BC',
    u':hombre_en_silla_de_ruedas_eléctrica_tono_de_piel_claro:': u'\U0001F468\U0001F3FB\U0000200D\U0001F9BC',
    u':hombre_en_silla_de_ruedas_eléctrica_tono_de_piel_claro_medio:': u'\U0001F468\U0001F3FC\U0000200D\U0001F9BC',
    u':hombre_en_silla_de_ruedas_eléctrica_tono_de_piel_medio:': u'\U0001F468\U0001F3FD\U0000200D\U0001F9BC',
    u':hombre_en_silla_de_ruedas_eléctrica_tono_de_piel_oscuro_medio:': u'\U0001F468\U0001F3FE\U0000200D\U0001F9BC',
    u':hombre_en_silla_de_ruedas_eléctrica_tono_de_piel_oscuro:': u'\U0001F468\U0001F3FF\U0000200D\U0001F9BC',
    u':mujer_en_silla_de_ruedas_eléctrica:': u'\U0001F469\U0000200D\U0001F9BC',
    u':mujer_en_silla_de_ruedas_eléctrica_tono_de_piel_claro:': u'\U0001F469\U0001F3FB\U0000200D\U0001F9BC',
    u':mujer_en_silla_de_ruedas_eléctrica_tono_de_piel_claro_medio:': u'\U0001F469\U0001F3FC\U0000200D\U0001F9BC',
    u':mujer_en_silla_de_ruedas_eléctrica_tono_de_piel_medio:': u'\U0001F469\U0001F3FD\U0000200D\U0001F9BC',
    u':mujer_en_silla_de_ruedas_eléctrica_tono_de_piel_oscuro_medio:': u'\U0001F469\U0001F3FE\U0000200D\U0001F9BC',
    u':mujer_en_silla_de_ruedas_eléctrica_tono_de_piel_oscuro:': u'\U0001F469\U0001F3FF\U0000200D\U0001F9BC',
    u':persona_en_silla_de_ruedas_manual:': u'\U0001F9D1\U0000200D\U0001F9BD',
    u':persona_en_silla_de_ruedas_manual_tono_de_piel_claro:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F9BD',
    u':persona_en_silla_de_ruedas_manual_tono_de_piel_claro_medio:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F9BD',
    u':persona_en_silla_de_ruedas_manual_tono_de_piel_medio:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F9BD',
    u':persona_en_silla_de_ruedas_manual_tono_de_piel_oscuro_medio:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F9BD',
    u':persona_en_silla_de_ruedas_manual_tono_de_piel_oscuro:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F9BD',
    u':hombre_en_silla_de_ruedas_manual:': u'\U0001F468\U0000200D\U0001F9BD',
    u':hombre_en_silla_de_ruedas_manual_tono_de_piel_claro:': u'\U0001F468\U0001F3FB\U0000200D\U0001F9BD',
    u':hombre_en_silla_de_ruedas_manual_tono_de_piel_claro_medio:': u'\U0001F468\U0001F3FC\U0000200D\U0001F9BD',
    u':hombre_en_silla_de_ruedas_manual_tono_de_piel_medio:': u'\U0001F468\U0001F3FD\U0000200D\U0001F9BD',
    u':hombre_en_silla_de_ruedas_manual_tono_de_piel_oscuro_medio:': u'\U0001F468\U0001F3FE\U0000200D\U0001F9BD',
    u':hombre_en_silla_de_ruedas_manual_tono_de_piel_oscuro:': u'\U0001F468\U0001F3FF\U0000200D\U0001F9BD',
    u':mujer_en_silla_de_ruedas_manual:': u'\U0001F469\U0000200D\U0001F9BD',
    u':mujer_en_silla_de_ruedas_manual_tono_de_piel_claro:': u'\U0001F469\U0001F3FB\U0000200D\U0001F9BD',
    u':mujer_en_silla_de_ruedas_manual_tono_de_piel_claro_medio:': u'\U0001F469\U0001F3FC\U0000200D\U0001F9BD',
    u':mujer_en_silla_de_ruedas_manual_tono_de_piel_medio:': u'\U0001F469\U0001F3FD\U0000200D\U0001F9BD',
    u':mujer_en_silla_de_ruedas_manual_tono_de_piel_oscuro_medio:': u'\U0001F469\U0001F3FE\U0000200D\U0001F9BD',
    u':mujer_en_silla_de_ruedas_manual_tono_de_piel_oscuro:': u'\U0001F469\U0001F3FF\U0000200D\U0001F9BD',
    u':persona_corriendo:': u'\U0001F3C3',
    u':persona_corriendo_tono_de_piel_claro:': u'\U0001F3C3\U0001F3FB',
    u':persona_corriendo_tono_de_piel_claro_medio:': u'\U0001F3C3\U0001F3FC',
    u':persona_corriendo_tono_de_piel_medio:': u'\U0001F3C3\U0001F3FD',
    u':persona_corriendo_tono_de_piel_oscuro_medio:': u'\U0001F3C3\U0001F3FE',
    u':persona_corriendo_tono_de_piel_oscuro:': u'\U0001F3C3\U0001F3FF',
    u':hombre_corriendo:': u'\U0001F3C3\U0000200D\U00002642\U0000FE0F',
    u':hombre_corriendo_tono_de_piel_claro:': u'\U0001F3C3\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':hombre_corriendo_tono_de_piel_claro_medio:': u'\U0001F3C3\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':hombre_corriendo_tono_de_piel_medio:': u'\U0001F3C3\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':hombre_corriendo_tono_de_piel_oscuro_medio:': u'\U0001F3C3\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':hombre_corriendo_tono_de_piel_oscuro:': u'\U0001F3C3\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mujer_corriendo:': u'\U0001F3C3\U0000200D\U00002640\U0000FE0F',
    u':mujer_corriendo_tono_de_piel_claro:': u'\U0001F3C3\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mujer_corriendo_tono_de_piel_claro_medio:': u'\U0001F3C3\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mujer_corriendo_tono_de_piel_medio:': u'\U0001F3C3\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mujer_corriendo_tono_de_piel_oscuro_medio:': u'\U0001F3C3\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mujer_corriendo_tono_de_piel_oscuro:': u'\U0001F3C3\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':mujer_bailando:': u'\U0001F483',
    u':mujer_bailando_tono_de_piel_claro:': u'\U0001F483\U0001F3FB',
    u':mujer_bailando_tono_de_piel_claro_medio:': u'\U0001F483\U0001F3FC',
    u':mujer_bailando_tono_de_piel_medio:': u'\U0001F483\U0001F3FD',
    u':mujer_bailando_tono_de_piel_oscuro_medio:': u'\U0001F483\U0001F3FE',
    u':mujer_bailando_tono_de_piel_oscuro:': u'\U0001F483\U0001F3FF',
    u':hombre_bailando:': u'\U0001F57A',
    u':hombre_bailando_tono_de_piel_claro:': u'\U0001F57A\U0001F3FB',
    u':hombre_bailando_tono_de_piel_claro_medio:': u'\U0001F57A\U0001F3FC',
    u':hombre_bailando_tono_de_piel_medio:': u'\U0001F57A\U0001F3FD',
    u':hombre_bailando_tono_de_piel_oscuro_medio:': u'\U0001F57A\U0001F3FE',
    u':hombre_bailando_tono_de_piel_oscuro:': u'\U0001F57A\U0001F3FF',
    u':hombre_trajeado_levitando:': u'\U0001F574\U0000FE0F',
    u':hombre_trajeado_levitando_tono_de_piel_claro:': u'\U0001F574\U0001F3FB',
    u':hombre_trajeado_levitando_tono_de_piel_claro_medio:': u'\U0001F574\U0001F3FC',
    u':hombre_trajeado_levitando_tono_de_piel_medio:': u'\U0001F574\U0001F3FD',
    u':hombre_trajeado_levitando_tono_de_piel_oscuro_medio:': u'\U0001F574\U0001F3FE',
    u':hombre_trajeado_levitando_tono_de_piel_oscuro:': u'\U0001F574\U0001F3FF',
    u':personas_con_orejas_de_conejo:': u'\U0001F46F',
    u':hombres_con_orejas_de_conejo:': u'\U0001F46F\U0000200D\U00002642\U0000FE0F',
    u':mujeres_con_orejas_de_conejo:': u'\U0001F46F\U0000200D\U00002640\U0000FE0F',
    u':persona_en_una_sauna:': u'\U0001F9D6',
    u':persona_en_una_sauna_tono_de_piel_claro:': u'\U0001F9D6\U0001F3FB',
    u':persona_en_una_sauna_tono_de_piel_claro_medio:': u'\U0001F9D6\U0001F3FC',
    u':persona_en_una_sauna_tono_de_piel_medio:': u'\U0001F9D6\U0001F3FD',
    u':persona_en_una_sauna_tono_de_piel_oscuro_medio:': u'\U0001F9D6\U0001F3FE',
    u':persona_en_una_sauna_tono_de_piel_oscuro:': u'\U0001F9D6\U0001F3FF',
    u':hombre_en_una_sauna:': u'\U0001F9D6\U0000200D\U00002642\U0000FE0F',
    u':hombre_en_una_sauna_tono_de_piel_claro:': u'\U0001F9D6\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':hombre_en_una_sauna_tono_de_piel_claro_medio:': u'\U0001F9D6\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':hombre_en_una_sauna_tono_de_piel_medio:': u'\U0001F9D6\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':hombre_en_una_sauna_tono_de_piel_oscuro_medio:': u'\U0001F9D6\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':hombre_en_una_sauna_tono_de_piel_oscuro:': u'\U0001F9D6\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mujer_en_una_sauna:': u'\U0001F9D6\U0000200D\U00002640\U0000FE0F',
    u':mujer_en_una_sauna_tono_de_piel_claro:': u'\U0001F9D6\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mujer_en_una_sauna_tono_de_piel_claro_medio:': u'\U0001F9D6\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mujer_en_una_sauna_tono_de_piel_medio:': u'\U0001F9D6\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mujer_en_una_sauna_tono_de_piel_oscuro_medio:': u'\U0001F9D6\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mujer_en_una_sauna_tono_de_piel_oscuro:': u'\U0001F9D6\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':persona_escalando:': u'\U0001F9D7',
    u':persona_escalando_tono_de_piel_claro:': u'\U0001F9D7\U0001F3FB',
    u':persona_escalando_tono_de_piel_claro_medio:': u'\U0001F9D7\U0001F3FC',
    u':persona_escalando_tono_de_piel_medio:': u'\U0001F9D7\U0001F3FD',
    u':persona_escalando_tono_de_piel_oscuro_medio:': u'\U0001F9D7\U0001F3FE',
    u':persona_escalando_tono_de_piel_oscuro:': u'\U0001F9D7\U0001F3FF',
    u':hombre_escalando:': u'\U0001F9D7\U0000200D\U00002642\U0000FE0F',
    u':hombre_escalando_tono_de_piel_claro:': u'\U0001F9D7\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':hombre_escalando_tono_de_piel_claro_medio:': u'\U0001F9D7\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':hombre_escalando_tono_de_piel_medio:': u'\U0001F9D7\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':hombre_escalando_tono_de_piel_oscuro_medio:': u'\U0001F9D7\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':hombre_escalando_tono_de_piel_oscuro:': u'\U0001F9D7\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mujer_escalando:': u'\U0001F9D7\U0000200D\U00002640\U0000FE0F',
    u':mujer_escalando_tono_de_piel_claro:': u'\U0001F9D7\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mujer_escalando_tono_de_piel_claro_medio:': u'\U0001F9D7\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mujer_escalando_tono_de_piel_medio:': u'\U0001F9D7\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mujer_escalando_tono_de_piel_oscuro_medio:': u'\U0001F9D7\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mujer_escalando_tono_de_piel_oscuro:': u'\U0001F9D7\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':esgrima:': u'\U0001F93A',
    u':carrera_de_caballos:': u'\U0001F3C7',
    u':carrera_de_caballos_tono_de_piel_claro:': u'\U0001F3C7\U0001F3FB',
    u':carrera_de_caballos_tono_de_piel_claro_medio:': u'\U0001F3C7\U0001F3FC',
    u':carrera_de_caballos_tono_de_piel_medio:': u'\U0001F3C7\U0001F3FD',
    u':carrera_de_caballos_tono_de_piel_oscuro_medio:': u'\U0001F3C7\U0001F3FE',
    u':carrera_de_caballos_tono_de_piel_oscuro:': u'\U0001F3C7\U0001F3FF',
    u':esquiador:': u'\U000026F7\U0000FE0F',
    u':practicante_de_snowboard:': u'\U0001F3C2',
    u':practicante_de_snowboard_tono_de_piel_claro:': u'\U0001F3C2\U0001F3FB',
    u':practicante_de_snowboard_tono_de_piel_claro_medio:': u'\U0001F3C2\U0001F3FC',
    u':practicante_de_snowboard_tono_de_piel_medio:': u'\U0001F3C2\U0001F3FD',
    u':practicante_de_snowboard_tono_de_piel_oscuro_medio:': u'\U0001F3C2\U0001F3FE',
    u':practicante_de_snowboard_tono_de_piel_oscuro:': u'\U0001F3C2\U0001F3FF',
    u':golfista:': u'\U0001F3CC\U0000FE0F',
    u':golfista_tono_de_piel_claro:': u'\U0001F3CC\U0001F3FB',
    u':golfista_tono_de_piel_claro_medio:': u'\U0001F3CC\U0001F3FC',
    u':golfista_tono_de_piel_medio:': u'\U0001F3CC\U0001F3FD',
    u':golfista_tono_de_piel_oscuro_medio:': u'\U0001F3CC\U0001F3FE',
    u':golfista_tono_de_piel_oscuro:': u'\U0001F3CC\U0001F3FF',
    u':hombre_jugando_al_golf:': u'\U0001F3CC\U0000FE0F\U0000200D\U00002642\U0000FE0F',
    u':hombre_jugando_al_golf_tono_de_piel_claro:': u'\U0001F3CC\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':hombre_jugando_al_golf_tono_de_piel_claro_medio:': u'\U0001F3CC\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':hombre_jugando_al_golf_tono_de_piel_medio:': u'\U0001F3CC\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':hombre_jugando_al_golf_tono_de_piel_oscuro_medio:': u'\U0001F3CC\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':hombre_jugando_al_golf_tono_de_piel_oscuro:': u'\U0001F3CC\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mujer_jugando_al_golf:': u'\U0001F3CC\U0000FE0F\U0000200D\U00002640\U0000FE0F',
    u':mujer_jugando_al_golf_tono_de_piel_claro:': u'\U0001F3CC\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mujer_jugando_al_golf_tono_de_piel_claro_medio:': u'\U0001F3CC\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mujer_jugando_al_golf_tono_de_piel_medio:': u'\U0001F3CC\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mujer_jugando_al_golf_tono_de_piel_oscuro_medio:': u'\U0001F3CC\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mujer_jugando_al_golf_tono_de_piel_oscuro:': u'\U0001F3CC\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':persona_haciendo_surf:': u'\U0001F3C4',
    u':persona_haciendo_surf_tono_de_piel_claro:': u'\U0001F3C4\U0001F3FB',
    u':persona_haciendo_surf_tono_de_piel_claro_medio:': u'\U0001F3C4\U0001F3FC',
    u':persona_haciendo_surf_tono_de_piel_medio:': u'\U0001F3C4\U0001F3FD',
    u':persona_haciendo_surf_tono_de_piel_oscuro_medio:': u'\U0001F3C4\U0001F3FE',
    u':persona_haciendo_surf_tono_de_piel_oscuro:': u'\U0001F3C4\U0001F3FF',
    u':hombre_haciendo_surf:': u'\U0001F3C4\U0000200D\U00002642\U0000FE0F',
    u':hombre_haciendo_surf_tono_de_piel_claro:': u'\U0001F3C4\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':hombre_haciendo_surf_tono_de_piel_claro_medio:': u'\U0001F3C4\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':hombre_haciendo_surf_tono_de_piel_medio:': u'\U0001F3C4\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':hombre_haciendo_surf_tono_de_piel_oscuro_medio:': u'\U0001F3C4\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':hombre_haciendo_surf_tono_de_piel_oscuro:': u'\U0001F3C4\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mujer_haciendo_surf:': u'\U0001F3C4\U0000200D\U00002640\U0000FE0F',
    u':mujer_haciendo_surf_tono_de_piel_claro:': u'\U0001F3C4\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mujer_haciendo_surf_tono_de_piel_claro_medio:': u'\U0001F3C4\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mujer_haciendo_surf_tono_de_piel_medio:': u'\U0001F3C4\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mujer_haciendo_surf_tono_de_piel_oscuro_medio:': u'\U0001F3C4\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mujer_haciendo_surf_tono_de_piel_oscuro:': u'\U0001F3C4\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':persona_remando_en_un_bote:': u'\U0001F6A3',
    u':persona_remando_en_un_bote_tono_de_piel_claro:': u'\U0001F6A3\U0001F3FB',
    u':persona_remando_en_un_bote_tono_de_piel_claro_medio:': u'\U0001F6A3\U0001F3FC',
    u':persona_remando_en_un_bote_tono_de_piel_medio:': u'\U0001F6A3\U0001F3FD',
    u':persona_remando_en_un_bote_tono_de_piel_oscuro_medio:': u'\U0001F6A3\U0001F3FE',
    u':persona_remando_en_un_bote_tono_de_piel_oscuro:': u'\U0001F6A3\U0001F3FF',
    u':hombre_remando_en_un_bote:': u'\U0001F6A3\U0000200D\U00002642\U0000FE0F',
    u':hombre_remando_en_un_bote_tono_de_piel_claro:': u'\U0001F6A3\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':hombre_remando_en_un_bote_tono_de_piel_claro_medio:': u'\U0001F6A3\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':hombre_remando_en_un_bote_tono_de_piel_medio:': u'\U0001F6A3\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':hombre_remando_en_un_bote_tono_de_piel_oscuro_medio:': u'\U0001F6A3\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':hombre_remando_en_un_bote_tono_de_piel_oscuro:': u'\U0001F6A3\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mujer_remando_en_un_bote:': u'\U0001F6A3\U0000200D\U00002640\U0000FE0F',
    u':mujer_remando_en_un_bote_tono_de_piel_claro:': u'\U0001F6A3\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mujer_remando_en_un_bote_tono_de_piel_claro_medio:': u'\U0001F6A3\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mujer_remando_en_un_bote_tono_de_piel_medio:': u'\U0001F6A3\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mujer_remando_en_un_bote_tono_de_piel_oscuro_medio:': u'\U0001F6A3\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mujer_remando_en_un_bote_tono_de_piel_oscuro:': u'\U0001F6A3\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':persona_nadando:': u'\U0001F3CA',
    u':persona_nadando_tono_de_piel_claro:': u'\U0001F3CA\U0001F3FB',
    u':persona_nadando_tono_de_piel_claro_medio:': u'\U0001F3CA\U0001F3FC',
    u':persona_nadando_tono_de_piel_medio:': u'\U0001F3CA\U0001F3FD',
    u':persona_nadando_tono_de_piel_oscuro_medio:': u'\U0001F3CA\U0001F3FE',
    u':persona_nadando_tono_de_piel_oscuro:': u'\U0001F3CA\U0001F3FF',
    u':hombre_nadando:': u'\U0001F3CA\U0000200D\U00002642\U0000FE0F',
    u':hombre_nadando_tono_de_piel_claro:': u'\U0001F3CA\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':hombre_nadando_tono_de_piel_claro_medio:': u'\U0001F3CA\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':hombre_nadando_tono_de_piel_medio:': u'\U0001F3CA\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':hombre_nadando_tono_de_piel_oscuro_medio:': u'\U0001F3CA\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':hombre_nadando_tono_de_piel_oscuro:': u'\U0001F3CA\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mujer_nadando:': u'\U0001F3CA\U0000200D\U00002640\U0000FE0F',
    u':mujer_nadando_tono_de_piel_claro:': u'\U0001F3CA\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mujer_nadando_tono_de_piel_claro_medio:': u'\U0001F3CA\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mujer_nadando_tono_de_piel_medio:': u'\U0001F3CA\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mujer_nadando_tono_de_piel_oscuro_medio:': u'\U0001F3CA\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mujer_nadando_tono_de_piel_oscuro:': u'\U0001F3CA\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':persona_botando_un_balón:': u'\U000026F9\U0000FE0F',
    u':persona_botando_un_balón_tono_de_piel_claro:': u'\U000026F9\U0001F3FB',
    u':persona_botando_un_balón_tono_de_piel_claro_medio:': u'\U000026F9\U0001F3FC',
    u':persona_botando_un_balón_tono_de_piel_medio:': u'\U000026F9\U0001F3FD',
    u':persona_botando_un_balón_tono_de_piel_oscuro_medio:': u'\U000026F9\U0001F3FE',
    u':persona_botando_un_balón_tono_de_piel_oscuro:': u'\U000026F9\U0001F3FF',
    u':hombre_botando_un_balón:': u'\U000026F9\U0000FE0F\U0000200D\U00002642\U0000FE0F',
    u':hombre_botando_un_balón_tono_de_piel_claro:': u'\U000026F9\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':hombre_botando_un_balón_tono_de_piel_claro_medio:': u'\U000026F9\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':hombre_botando_un_balón_tono_de_piel_medio:': u'\U000026F9\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':hombre_botando_un_balón_tono_de_piel_oscuro_medio:': u'\U000026F9\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':hombre_botando_un_balón_tono_de_piel_oscuro:': u'\U000026F9\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mujer_botando_un_balón:': u'\U000026F9\U0000FE0F\U0000200D\U00002640\U0000FE0F',
    u':mujer_botando_un_balón_tono_de_piel_claro:': u'\U000026F9\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mujer_botando_un_balón_tono_de_piel_claro_medio:': u'\U000026F9\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mujer_botando_un_balón_tono_de_piel_medio:': u'\U000026F9\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mujer_botando_un_balón_tono_de_piel_oscuro_medio:': u'\U000026F9\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mujer_botando_un_balón_tono_de_piel_oscuro:': u'\U000026F9\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':persona_levantando_pesas:': u'\U0001F3CB\U0000FE0F',
    u':persona_levantando_pesas_tono_de_piel_claro:': u'\U0001F3CB\U0001F3FB',
    u':persona_levantando_pesas_tono_de_piel_claro_medio:': u'\U0001F3CB\U0001F3FC',
    u':persona_levantando_pesas_tono_de_piel_medio:': u'\U0001F3CB\U0001F3FD',
    u':persona_levantando_pesas_tono_de_piel_oscuro_medio:': u'\U0001F3CB\U0001F3FE',
    u':persona_levantando_pesas_tono_de_piel_oscuro:': u'\U0001F3CB\U0001F3FF',
    u':hombre_levantando_pesas:': u'\U0001F3CB\U0000FE0F\U0000200D\U00002642\U0000FE0F',
    u':hombre_levantando_pesas_tono_de_piel_claro:': u'\U0001F3CB\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':hombre_levantando_pesas_tono_de_piel_claro_medio:': u'\U0001F3CB\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':hombre_levantando_pesas_tono_de_piel_medio:': u'\U0001F3CB\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':hombre_levantando_pesas_tono_de_piel_oscuro_medio:': u'\U0001F3CB\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':hombre_levantando_pesas_tono_de_piel_oscuro:': u'\U0001F3CB\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mujer_levantando_pesas:': u'\U0001F3CB\U0000FE0F\U0000200D\U00002640\U0000FE0F',
    u':mujer_levantando_pesas_tono_de_piel_claro:': u'\U0001F3CB\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mujer_levantando_pesas_tono_de_piel_claro_medio:': u'\U0001F3CB\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mujer_levantando_pesas_tono_de_piel_medio:': u'\U0001F3CB\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mujer_levantando_pesas_tono_de_piel_oscuro_medio:': u'\U0001F3CB\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mujer_levantando_pesas_tono_de_piel_oscuro:': u'\U0001F3CB\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':persona_en_bicicleta:': u'\U0001F6B4',
    u':persona_en_bicicleta_tono_de_piel_claro:': u'\U0001F6B4\U0001F3FB',
    u':persona_en_bicicleta_tono_de_piel_claro_medio:': u'\U0001F6B4\U0001F3FC',
    u':persona_en_bicicleta_tono_de_piel_medio:': u'\U0001F6B4\U0001F3FD',
    u':persona_en_bicicleta_tono_de_piel_oscuro_medio:': u'\U0001F6B4\U0001F3FE',
    u':persona_en_bicicleta_tono_de_piel_oscuro:': u'\U0001F6B4\U0001F3FF',
    u':hombre_en_bicicleta:': u'\U0001F6B4\U0000200D\U00002642\U0000FE0F',
    u':hombre_en_bicicleta_tono_de_piel_claro:': u'\U0001F6B4\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':hombre_en_bicicleta_tono_de_piel_claro_medio:': u'\U0001F6B4\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':hombre_en_bicicleta_tono_de_piel_medio:': u'\U0001F6B4\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':hombre_en_bicicleta_tono_de_piel_oscuro_medio:': u'\U0001F6B4\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':hombre_en_bicicleta_tono_de_piel_oscuro:': u'\U0001F6B4\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mujer_en_bicicleta:': u'\U0001F6B4\U0000200D\U00002640\U0000FE0F',
    u':mujer_en_bicicleta_tono_de_piel_claro:': u'\U0001F6B4\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mujer_en_bicicleta_tono_de_piel_claro_medio:': u'\U0001F6B4\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mujer_en_bicicleta_tono_de_piel_medio:': u'\U0001F6B4\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mujer_en_bicicleta_tono_de_piel_oscuro_medio:': u'\U0001F6B4\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mujer_en_bicicleta_tono_de_piel_oscuro:': u'\U0001F6B4\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':persona_en_bicicleta_de_montaña:': u'\U0001F6B5',
    u':persona_en_bicicleta_de_montaña_tono_de_piel_claro:': u'\U0001F6B5\U0001F3FB',
    u':persona_en_bicicleta_de_montaña_tono_de_piel_claro_medio:': u'\U0001F6B5\U0001F3FC',
    u':persona_en_bicicleta_de_montaña_tono_de_piel_medio:': u'\U0001F6B5\U0001F3FD',
    u':persona_en_bicicleta_de_montaña_tono_de_piel_oscuro_medio:': u'\U0001F6B5\U0001F3FE',
    u':persona_en_bicicleta_de_montaña_tono_de_piel_oscuro:': u'\U0001F6B5\U0001F3FF',
    u':hombre_en_bicicleta_de_montaña:': u'\U0001F6B5\U0000200D\U00002642\U0000FE0F',
    u':hombre_en_bicicleta_de_montaña_tono_de_piel_claro:': u'\U0001F6B5\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':hombre_en_bicicleta_de_montaña_tono_de_piel_claro_medio:': u'\U0001F6B5\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':hombre_en_bicicleta_de_montaña_tono_de_piel_medio:': u'\U0001F6B5\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':hombre_en_bicicleta_de_montaña_tono_de_piel_oscuro_medio:': u'\U0001F6B5\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':hombre_en_bicicleta_de_montaña_tono_de_piel_oscuro:': u'\U0001F6B5\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mujer_en_bicicleta_de_montaña:': u'\U0001F6B5\U0000200D\U00002640\U0000FE0F',
    u':mujer_en_bicicleta_de_montaña_tono_de_piel_claro:': u'\U0001F6B5\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mujer_en_bicicleta_de_montaña_tono_de_piel_claro_medio:': u'\U0001F6B5\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mujer_en_bicicleta_de_montaña_tono_de_piel_medio:': u'\U0001F6B5\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mujer_en_bicicleta_de_montaña_tono_de_piel_oscuro_medio:': u'\U0001F6B5\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mujer_en_bicicleta_de_montaña_tono_de_piel_oscuro:': u'\U0001F6B5\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':persona_haciendo_voltereta_lateral:': u'\U0001F938',
    u':persona_haciendo_voltereta_lateral_tono_de_piel_claro:': u'\U0001F938\U0001F3FB',
    u':persona_haciendo_voltereta_lateral_tono_de_piel_claro_medio:': u'\U0001F938\U0001F3FC',
    u':persona_haciendo_voltereta_lateral_tono_de_piel_medio:': u'\U0001F938\U0001F3FD',
    u':persona_haciendo_voltereta_lateral_tono_de_piel_oscuro_medio:': u'\U0001F938\U0001F3FE',
    u':persona_haciendo_voltereta_lateral_tono_de_piel_oscuro:': u'\U0001F938\U0001F3FF',
    u':hombre_haciendo_una_voltereta_lateral:': u'\U0001F938\U0000200D\U00002642\U0000FE0F',
    u':hombre_haciendo_una_voltereta_lateral_tono_de_piel_claro:': u'\U0001F938\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':hombre_haciendo_una_voltereta_lateral_tono_de_piel_claro_medio:': u'\U0001F938\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':hombre_haciendo_una_voltereta_lateral_tono_de_piel_medio:': u'\U0001F938\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':hombre_haciendo_una_voltereta_lateral_tono_de_piel_oscuro_medio:': u'\U0001F938\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':hombre_haciendo_una_voltereta_lateral_tono_de_piel_oscuro:': u'\U0001F938\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mujer_haciendo_voltereta_lateral:': u'\U0001F938\U0000200D\U00002640\U0000FE0F',
    u':mujer_haciendo_voltereta_lateral_tono_de_piel_claro:': u'\U0001F938\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mujer_haciendo_voltereta_lateral_tono_de_piel_claro_medio:': u'\U0001F938\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mujer_haciendo_voltereta_lateral_tono_de_piel_medio:': u'\U0001F938\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mujer_haciendo_voltereta_lateral_tono_de_piel_oscuro_medio:': u'\U0001F938\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mujer_haciendo_voltereta_lateral_tono_de_piel_oscuro:': u'\U0001F938\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':personas_luchando:': u'\U0001F93C',
    u':hombres_luchando:': u'\U0001F93C\U0000200D\U00002642\U0000FE0F',
    u':mujeres_luchando:': u'\U0001F93C\U0000200D\U00002640\U0000FE0F',
    u':persona_jugando_al_waterpolo:': u'\U0001F93D',
    u':persona_jugando_al_waterpolo_tono_de_piel_claro:': u'\U0001F93D\U0001F3FB',
    u':persona_jugando_al_waterpolo_tono_de_piel_claro_medio:': u'\U0001F93D\U0001F3FC',
    u':persona_jugando_al_waterpolo_tono_de_piel_medio:': u'\U0001F93D\U0001F3FD',
    u':persona_jugando_al_waterpolo_tono_de_piel_oscuro_medio:': u'\U0001F93D\U0001F3FE',
    u':persona_jugando_al_waterpolo_tono_de_piel_oscuro:': u'\U0001F93D\U0001F3FF',
    u':hombre_jugando_al_waterpolo:': u'\U0001F93D\U0000200D\U00002642\U0000FE0F',
    u':hombre_jugando_al_waterpolo_tono_de_piel_claro:': u'\U0001F93D\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':hombre_jugando_al_waterpolo_tono_de_piel_claro_medio:': u'\U0001F93D\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':hombre_jugando_al_waterpolo_tono_de_piel_medio:': u'\U0001F93D\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':hombre_jugando_al_waterpolo_tono_de_piel_oscuro_medio:': u'\U0001F93D\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':hombre_jugando_al_waterpolo_tono_de_piel_oscuro:': u'\U0001F93D\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mujer_jugando_al_waterpolo:': u'\U0001F93D\U0000200D\U00002640\U0000FE0F',
    u':mujer_jugando_al_waterpolo_tono_de_piel_claro:': u'\U0001F93D\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mujer_jugando_al_waterpolo_tono_de_piel_claro_medio:': u'\U0001F93D\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mujer_jugando_al_waterpolo_tono_de_piel_medio:': u'\U0001F93D\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mujer_jugando_al_waterpolo_tono_de_piel_oscuro_medio:': u'\U0001F93D\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mujer_jugando_al_waterpolo_tono_de_piel_oscuro:': u'\U0001F93D\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':persona_jugando_al_balonmano:': u'\U0001F93E',
    u':persona_jugando_al_balonmano_tono_de_piel_claro:': u'\U0001F93E\U0001F3FB',
    u':persona_jugando_al_balonmano_tono_de_piel_claro_medio:': u'\U0001F93E\U0001F3FC',
    u':persona_jugando_al_balonmano_tono_de_piel_medio:': u'\U0001F93E\U0001F3FD',
    u':persona_jugando_al_balonmano_tono_de_piel_oscuro_medio:': u'\U0001F93E\U0001F3FE',
    u':persona_jugando_al_balonmano_tono_de_piel_oscuro:': u'\U0001F93E\U0001F3FF',
    u':hombre_jugando_al_balonmano:': u'\U0001F93E\U0000200D\U00002642\U0000FE0F',
    u':hombre_jugando_al_balonmano_tono_de_piel_claro:': u'\U0001F93E\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':hombre_jugando_al_balonmano_tono_de_piel_claro_medio:': u'\U0001F93E\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':hombre_jugando_al_balonmano_tono_de_piel_medio:': u'\U0001F93E\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':hombre_jugando_al_balonmano_tono_de_piel_oscuro_medio:': u'\U0001F93E\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':hombre_jugando_al_balonmano_tono_de_piel_oscuro:': u'\U0001F93E\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mujer_jugando_al_balonmano:': u'\U0001F93E\U0000200D\U00002640\U0000FE0F',
    u':mujer_jugando_al_balonmano_tono_de_piel_claro:': u'\U0001F93E\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mujer_jugando_al_balonmano_tono_de_piel_claro_medio:': u'\U0001F93E\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mujer_jugando_al_balonmano_tono_de_piel_medio:': u'\U0001F93E\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mujer_jugando_al_balonmano_tono_de_piel_oscuro_medio:': u'\U0001F93E\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mujer_jugando_al_balonmano_tono_de_piel_oscuro:': u'\U0001F93E\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':persona_haciendo_malabares:': u'\U0001F939',
    u':persona_haciendo_malabares_tono_de_piel_claro:': u'\U0001F939\U0001F3FB',
    u':persona_haciendo_malabares_tono_de_piel_claro_medio:': u'\U0001F939\U0001F3FC',
    u':persona_haciendo_malabares_tono_de_piel_medio:': u'\U0001F939\U0001F3FD',
    u':persona_haciendo_malabares_tono_de_piel_oscuro_medio:': u'\U0001F939\U0001F3FE',
    u':persona_haciendo_malabares_tono_de_piel_oscuro:': u'\U0001F939\U0001F3FF',
    u':hombre_haciendo_malabares:': u'\U0001F939\U0000200D\U00002642\U0000FE0F',
    u':hombre_haciendo_malabares_tono_de_piel_claro:': u'\U0001F939\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':hombre_haciendo_malabares_tono_de_piel_claro_medio:': u'\U0001F939\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':hombre_haciendo_malabares_tono_de_piel_medio:': u'\U0001F939\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':hombre_haciendo_malabares_tono_de_piel_oscuro_medio:': u'\U0001F939\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':hombre_haciendo_malabares_tono_de_piel_oscuro:': u'\U0001F939\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mujer_haciendo_malabares:': u'\U0001F939\U0000200D\U00002640\U0000FE0F',
    u':mujer_haciendo_malabares_tono_de_piel_claro:': u'\U0001F939\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mujer_haciendo_malabares_tono_de_piel_claro_medio:': u'\U0001F939\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mujer_haciendo_malabares_tono_de_piel_medio:': u'\U0001F939\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mujer_haciendo_malabares_tono_de_piel_oscuro_medio:': u'\U0001F939\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mujer_haciendo_malabares_tono_de_piel_oscuro:': u'\U0001F939\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':persona_en_posición_de_loto:': u'\U0001F9D8',
    u':persona_en_posición_de_loto_tono_de_piel_claro:': u'\U0001F9D8\U0001F3FB',
    u':persona_en_posición_de_loto_tono_de_piel_claro_medio:': u'\U0001F9D8\U0001F3FC',
    u':persona_en_posición_de_loto_tono_de_piel_medio:': u'\U0001F9D8\U0001F3FD',
    u':persona_en_posición_de_loto_tono_de_piel_oscuro_medio:': u'\U0001F9D8\U0001F3FE',
    u':persona_en_posición_de_loto_tono_de_piel_oscuro:': u'\U0001F9D8\U0001F3FF',
    u':hombre_en_posición_de_loto:': u'\U0001F9D8\U0000200D\U00002642\U0000FE0F',
    u':hombre_en_posición_de_loto_tono_de_piel_claro:': u'\U0001F9D8\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':hombre_en_posición_de_loto_tono_de_piel_claro_medio:': u'\U0001F9D8\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':hombre_en_posición_de_loto_tono_de_piel_medio:': u'\U0001F9D8\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':hombre_en_posición_de_loto_tono_de_piel_oscuro_medio:': u'\U0001F9D8\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':hombre_en_posición_de_loto_tono_de_piel_oscuro:': u'\U0001F9D8\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mujer_en_posición_de_loto:': u'\U0001F9D8\U0000200D\U00002640\U0000FE0F',
    u':mujer_en_posición_de_loto_tono_de_piel_claro:': u'\U0001F9D8\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mujer_en_posición_de_loto_tono_de_piel_claro_medio:': u'\U0001F9D8\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mujer_en_posición_de_loto_tono_de_piel_medio:': u'\U0001F9D8\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mujer_en_posición_de_loto_tono_de_piel_oscuro_medio:': u'\U0001F9D8\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mujer_en_posición_de_loto_tono_de_piel_oscuro:': u'\U0001F9D8\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':persona_en_la_bañera:': u'\U0001F6C0',
    u':persona_en_la_bañera_tono_de_piel_claro:': u'\U0001F6C0\U0001F3FB',
    u':persona_en_la_bañera_tono_de_piel_claro_medio:': u'\U0001F6C0\U0001F3FC',
    u':persona_en_la_bañera_tono_de_piel_medio:': u'\U0001F6C0\U0001F3FD',
    u':persona_en_la_bañera_tono_de_piel_oscuro_medio:': u'\U0001F6C0\U0001F3FE',
    u':persona_en_la_bañera_tono_de_piel_oscuro:': u'\U0001F6C0\U0001F3FF',
    u':persona_en_la_cama:': u'\U0001F6CC',
    u':persona_en_la_cama_tono_de_piel_claro:': u'\U0001F6CC\U0001F3FB',
    u':persona_en_la_cama_tono_de_piel_claro_medio:': u'\U0001F6CC\U0001F3FC',
    u':persona_en_la_cama_tono_de_piel_medio:': u'\U0001F6CC\U0001F3FD',
    u':persona_en_la_cama_tono_de_piel_oscuro_medio:': u'\U0001F6CC\U0001F3FE',
    u':persona_en_la_cama_tono_de_piel_oscuro:': u'\U0001F6CC\U0001F3FF',
    u':dos_personas_dándose_la_mano:': u'\U0001F9D1\U0000200D\U0001F91D\U0000200D\U0001F9D1',
    u':dos_personas_dándose_la_mano_tono_de_piel_claro:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FB',
    u':dos_personas_dándose_la_mano_tono_de_piel_claro_y_tono_de_piel_claro_medio:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FC',
    u':dos_personas_dándose_la_mano_tono_de_piel_claro_y_tono_de_piel_medio:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FD',
    u':dos_personas_dándose_la_mano_tono_de_piel_claro_y_tono_de_piel_oscuro_medio:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FE',
    u':dos_personas_dándose_la_mano_tono_de_piel_claro_y_tono_de_piel_oscuro:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FF',
    u':dos_personas_dándose_la_mano_tono_de_piel_claro_medio_y_tono_de_piel_claro:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FB',
    u':dos_personas_dándose_la_mano_tono_de_piel_claro_medio:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FC',
    u':dos_personas_dándose_la_mano_tono_de_piel_claro_medio_y_tono_de_piel_medio:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FD',
    u':dos_personas_dándose_la_mano_tono_de_piel_claro_medio_y_tono_de_piel_oscuro_medio:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FE',
    u':dos_personas_dándose_la_mano_tono_de_piel_claro_medio_y_tono_de_piel_oscuro:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FF',
    u':dos_personas_dándose_la_mano_tono_de_piel_medio_y_tono_de_piel_claro:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FB',
    u':dos_personas_dándose_la_mano_tono_de_piel_medio_y_tono_de_piel_claro_medio:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FC',
    u':dos_personas_dándose_la_mano_tono_de_piel_medio:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FD',
    u':dos_personas_dándose_la_mano_tono_de_piel_medio_y_tono_de_piel_oscuro_medio:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FE',
    u':dos_personas_dándose_la_mano_tono_de_piel_medio_y_tono_de_piel_oscuro:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FF',
    u':dos_personas_dándose_la_mano_tono_de_piel_oscuro_medio_y_tono_de_piel_claro:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FB',
    u':dos_personas_dándose_la_mano_tono_de_piel_oscuro_medio_y_tono_de_piel_claro_medio:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FC',
    u':dos_personas_dándose_la_mano_tono_de_piel_oscuro_medio_y_tono_de_piel_medio:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FD',
    u':dos_personas_dándose_la_mano_tono_de_piel_oscuro_medio:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FE',
    u':dos_personas_dándose_la_mano_tono_de_piel_oscuro_medio_y_tono_de_piel_oscuro:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FF',
    u':dos_personas_dándose_la_mano_tono_de_piel_oscuro_y_tono_de_piel_claro:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FB',
    u':dos_personas_dándose_la_mano_tono_de_piel_oscuro_y_tono_de_piel_claro_medio:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FC',
    u':dos_personas_dándose_la_mano_tono_de_piel_oscuro_y_tono_de_piel_medio:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FD',
    u':dos_personas_dándose_la_mano_tono_de_piel_oscuro_y_tono_de_piel_oscuro_medio:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FE',
    u':dos_personas_dándose_la_mano_tono_de_piel_oscuro:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FF',
    u':mujeres_de_la_mano:': u'\U0001F46D',
    u':mujeres_de_la_mano_tono_de_piel_claro:': u'\U0001F46D\U0001F3FB',
    u':mujeres_de_la_mano_tono_de_piel_claro_y_tono_de_piel_claro_medio:': u'\U0001F469\U0001F3FB\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FC',
    u':mujeres_de_la_mano_tono_de_piel_claro_y_tono_de_piel_medio:': u'\U0001F469\U0001F3FB\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FD',
    u':mujeres_de_la_mano_tono_de_piel_claro_y_tono_de_piel_oscuro_medio:': u'\U0001F469\U0001F3FB\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FE',
    u':mujeres_de_la_mano_tono_de_piel_claro_y_tono_de_piel_oscuro:': u'\U0001F469\U0001F3FB\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FF',
    u':mujeres_de_la_mano_tono_de_piel_claro_medio_y_tono_de_piel_claro:': u'\U0001F469\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FB',
    u':mujeres_de_la_mano_tono_de_piel_claro_medio:': u'\U0001F46D\U0001F3FC',
    u':mujeres_de_la_mano_tono_de_piel_claro_medio_y_tono_de_piel_medio:': u'\U0001F469\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FD',
    u':mujeres_de_la_mano_tono_de_piel_claro_medio_y_tono_de_piel_oscuro_medio:': u'\U0001F469\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FE',
    u':mujeres_de_la_mano_tono_de_piel_claro_medio_y_tono_de_piel_oscuro:': u'\U0001F469\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FF',
    u':mujeres_de_la_mano_tono_de_piel_medio_y_tono_de_piel_claro:': u'\U0001F469\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FB',
    u':mujeres_de_la_mano_tono_de_piel_medio_y_tono_de_piel_claro_medio:': u'\U0001F469\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FC',
    u':mujeres_de_la_mano_tono_de_piel_medio:': u'\U0001F46D\U0001F3FD',
    u':mujeres_de_la_mano_tono_de_piel_medio_y_tono_de_piel_oscuro_medio:': u'\U0001F469\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FE',
    u':mujeres_de_la_mano_tono_de_piel_medio_y_tono_de_piel_oscuro:': u'\U0001F469\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FF',
    u':mujeres_de_la_mano_tono_de_piel_oscuro_medio_y_tono_de_piel_claro:': u'\U0001F469\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FB',
    u':mujeres_de_la_mano_tono_de_piel_oscuro_medio_y_tono_de_piel_claro_medio:': u'\U0001F469\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FC',
    u':mujeres_de_la_mano_tono_de_piel_oscuro_medio_y_tono_de_piel_medio:': u'\U0001F469\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FD',
    u':mujeres_de_la_mano_tono_de_piel_oscuro_medio:': u'\U0001F46D\U0001F3FE',
    u':mujeres_de_la_mano_tono_de_piel_oscuro_medio_y_tono_de_piel_oscuro:': u'\U0001F469\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FF',
    u':mujeres_de_la_mano_tono_de_piel_oscuro_y_tono_de_piel_claro:': u'\U0001F469\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FB',
    u':mujeres_de_la_mano_tono_de_piel_oscuro_y_tono_de_piel_claro_medio:': u'\U0001F469\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FC',
    u':mujeres_de_la_mano_tono_de_piel_oscuro_y_tono_de_piel_medio:': u'\U0001F469\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FD',
    u':mujeres_de_la_mano_tono_de_piel_oscuro_y_tono_de_piel_oscuro_medio:': u'\U0001F469\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FE',
    u':mujeres_de_la_mano_tono_de_piel_oscuro:': u'\U0001F46D\U0001F3FF',
    u':mujer_y_hombre_de_la_mano:': u'\U0001F46B',
    u':mujer_y_hombre_de_la_mano_tono_de_piel_claro:': u'\U0001F46B\U0001F3FB',
    u':mujer_y_hombre_de_la_mano_tono_de_piel_claro_y_tono_de_piel_claro_medio:': u'\U0001F469\U0001F3FB\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FC',
    u':mujer_y_hombre_de_la_mano_tono_de_piel_claro_y_tono_de_piel_medio:': u'\U0001F469\U0001F3FB\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FD',
    u':mujer_y_hombre_de_la_mano_tono_de_piel_claro_y_tono_de_piel_oscuro_medio:': u'\U0001F469\U0001F3FB\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FE',
    u':mujer_y_hombre_de_la_mano_tono_de_piel_claro_y_tono_de_piel_oscuro:': u'\U0001F469\U0001F3FB\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FF',
    u':mujer_y_hombre_de_la_mano_tono_de_piel_claro_medio_y_tono_de_piel_claro:': u'\U0001F469\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FB',
    u':mujer_y_hombre_de_la_mano_tono_de_piel_claro_medio:': u'\U0001F46B\U0001F3FC',
    u':mujer_y_hombre_de_la_mano_tono_de_piel_claro_medio_y_tono_de_piel_medio:': u'\U0001F469\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FD',
    u':mujer_y_hombre_de_la_mano_tono_de_piel_claro_medio_y_tono_de_piel_oscuro_medio:': u'\U0001F469\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FE',
    u':mujer_y_hombre_de_la_mano_tono_de_piel_claro_medio_y_tono_de_piel_oscuro:': u'\U0001F469\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FF',
    u':mujer_y_hombre_de_la_mano_tono_de_piel_medio_y_tono_de_piel_claro:': u'\U0001F469\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FB',
    u':mujer_y_hombre_de_la_mano_tono_de_piel_medio_y_tono_de_piel_claro_medio:': u'\U0001F469\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FC',
    u':mujer_y_hombre_de_la_mano_tono_de_piel_medio:': u'\U0001F46B\U0001F3FD',
    u':mujer_y_hombre_de_la_mano_tono_de_piel_medio_y_tono_de_piel_oscuro_medio:': u'\U0001F469\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FE',
    u':mujer_y_hombre_de_la_mano_tono_de_piel_medio_y_tono_de_piel_oscuro:': u'\U0001F469\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FF',
    u':mujer_y_hombre_de_la_mano_tono_de_piel_oscuro_medio_y_tono_de_piel_claro:': u'\U0001F469\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FB',
    u':mujer_y_hombre_de_la_mano_tono_de_piel_oscuro_medio_y_tono_de_piel_claro_medio:': u'\U0001F469\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FC',
    u':mujer_y_hombre_de_la_mano_tono_de_piel_oscuro_medio_y_tono_de_piel_medio:': u'\U0001F469\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FD',
    u':mujer_y_hombre_de_la_mano_tono_de_piel_oscuro_medio:': u'\U0001F46B\U0001F3FE',
    u':mujer_y_hombre_de_la_mano_tono_de_piel_oscuro_medio_y_tono_de_piel_oscuro:': u'\U0001F469\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FF',
    u':mujer_y_hombre_de_la_mano_tono_de_piel_oscuro_y_tono_de_piel_claro:': u'\U0001F469\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FB',
    u':mujer_y_hombre_de_la_mano_tono_de_piel_oscuro_y_tono_de_piel_claro_medio:': u'\U0001F469\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FC',
    u':mujer_y_hombre_de_la_mano_tono_de_piel_oscuro_y_tono_de_piel_medio:': u'\U0001F469\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FD',
    u':mujer_y_hombre_de_la_mano_tono_de_piel_oscuro_y_tono_de_piel_oscuro_medio:': u'\U0001F469\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FE',
    u':mujer_y_hombre_de_la_mano_tono_de_piel_oscuro:': u'\U0001F46B\U0001F3FF',
    u':hombres_de_la_mano:': u'\U0001F46C',
    u':hombres_de_la_mano_tono_de_piel_claro:': u'\U0001F46C\U0001F3FB',
    u':hombres_de_la_mano_tono_de_piel_claro_y_tono_de_piel_claro_medio:': u'\U0001F468\U0001F3FB\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FC',
    u':hombres_de_la_mano_tono_de_piel_claro_y_tono_de_piel_medio:': u'\U0001F468\U0001F3FB\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FD',
    u':hombres_de_la_mano_tono_de_piel_claro_y_tono_de_piel_oscuro_medio:': u'\U0001F468\U0001F3FB\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FE',
    u':hombres_de_la_mano_tono_de_piel_claro_y_tono_de_piel_oscuro:': u'\U0001F468\U0001F3FB\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FF',
    u':hombres_de_la_mano_tono_de_piel_claro_medio_y_tono_de_piel_claro:': u'\U0001F468\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FB',
    u':hombres_de_la_mano_tono_de_piel_claro_medio:': u'\U0001F46C\U0001F3FC',
    u':hombres_de_la_mano_tono_de_piel_claro_medio_y_tono_de_piel_medio:': u'\U0001F468\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FD',
    u':hombres_de_la_mano_tono_de_piel_claro_medio_y_tono_de_piel_oscuro_medio:': u'\U0001F468\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FE',
    u':hombres_de_la_mano_tono_de_piel_claro_medio_y_tono_de_piel_oscuro:': u'\U0001F468\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FF',
    u':hombres_de_la_mano_tono_de_piel_medio_y_tono_de_piel_claro:': u'\U0001F468\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FB',
    u':hombres_de_la_mano_tono_de_piel_medio_y_tono_de_piel_claro_medio:': u'\U0001F468\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FC',
    u':hombres_de_la_mano_tono_de_piel_medio:': u'\U0001F46C\U0001F3FD',
    u':hombres_de_la_mano_tono_de_piel_medio_y_tono_de_piel_oscuro_medio:': u'\U0001F468\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FE',
    u':hombres_de_la_mano_tono_de_piel_medio_y_tono_de_piel_oscuro:': u'\U0001F468\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FF',
    u':hombres_de_la_mano_tono_de_piel_oscuro_medio_y_tono_de_piel_claro:': u'\U0001F468\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FB',
    u':hombres_de_la_mano_tono_de_piel_oscuro_medio_y_tono_de_piel_claro_medio:': u'\U0001F468\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FC',
    u':hombres_de_la_mano_tono_de_piel_oscuro_medio_y_tono_de_piel_medio:': u'\U0001F468\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FD',
    u':hombres_de_la_mano_tono_de_piel_oscuro_medio:': u'\U0001F46C\U0001F3FE',
    u':hombres_de_la_mano_tono_de_piel_oscuro_medio_y_tono_de_piel_oscuro:': u'\U0001F468\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FF',
    u':hombres_de_la_mano_tono_de_piel_oscuro_y_tono_de_piel_claro:': u'\U0001F468\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FB',
    u':hombres_de_la_mano_tono_de_piel_oscuro_y_tono_de_piel_claro_medio:': u'\U0001F468\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FC',
    u':hombres_de_la_mano_tono_de_piel_oscuro_y_tono_de_piel_medio:': u'\U0001F468\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FD',
    u':hombres_de_la_mano_tono_de_piel_oscuro_y_tono_de_piel_oscuro_medio:': u'\U0001F468\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FE',
    u':hombres_de_la_mano_tono_de_piel_oscuro:': u'\U0001F46C\U0001F3FF',
    u':beso:': u'\U0001F48F',
    u':beso_mujer_y_hombre:': u'\U0001F469\U0000200D\U00002764\U0000FE0F\U0000200D\U0001F48B\U0000200D\U0001F468',
    u':beso_hombre_y_hombre:': u'\U0001F468\U0000200D\U00002764\U0000FE0F\U0000200D\U0001F48B\U0000200D\U0001F468',
    u':beso_mujer_y_mujer:': u'\U0001F469\U0000200D\U00002764\U0000FE0F\U0000200D\U0001F48B\U0000200D\U0001F469',
    u':pareja_enamorada:': u'\U0001F491',
    u':pareja_enamorada_mujer_y_hombre:': u'\U0001F469\U0000200D\U00002764\U0000FE0F\U0000200D\U0001F468',
    u':pareja_enamorada_hombre_y_hombre:': u'\U0001F468\U0000200D\U00002764\U0000FE0F\U0000200D\U0001F468',
    u':pareja_enamorada_mujer_y_mujer:': u'\U0001F469\U0000200D\U00002764\U0000FE0F\U0000200D\U0001F469',
    u':familia:': u'\U0001F46A',
    u':familia_hombre_mujer_niño:': u'\U0001F468\U0000200D\U0001F469\U0000200D\U0001F466',
    u':familia_hombre_mujer_niña:': u'\U0001F468\U0000200D\U0001F469\U0000200D\U0001F467',
    u':familia_hombre_mujer_niña_niño:': u'\U0001F468\U0000200D\U0001F469\U0000200D\U0001F467\U0000200D\U0001F466',
    u':familia_hombre_mujer_niño_niño:': u'\U0001F468\U0000200D\U0001F469\U0000200D\U0001F466\U0000200D\U0001F466',
    u':familia_hombre_mujer_niña_niña:': u'\U0001F468\U0000200D\U0001F469\U0000200D\U0001F467\U0000200D\U0001F467',
    u':familia_hombre_hombre_niño:': u'\U0001F468\U0000200D\U0001F468\U0000200D\U0001F466',
    u':familia_hombre_hombre_niña:': u'\U0001F468\U0000200D\U0001F468\U0000200D\U0001F467',
    u':familia_hombre_hombre_niña_niño:': u'\U0001F468\U0000200D\U0001F468\U0000200D\U0001F467\U0000200D\U0001F466',
    u':familia_hombre_hombre_niño_niño:': u'\U0001F468\U0000200D\U0001F468\U0000200D\U0001F466\U0000200D\U0001F466',
    u':familia_hombre_hombre_niña_niña:': u'\U0001F468\U0000200D\U0001F468\U0000200D\U0001F467\U0000200D\U0001F467',
    u':familia_mujer_mujer_niño:': u'\U0001F469\U0000200D\U0001F469\U0000200D\U0001F466',
    u':familia_mujer_mujer_niña:': u'\U0001F469\U0000200D\U0001F469\U0000200D\U0001F467',
    u':familia_mujer_mujer_niña_niño:': u'\U0001F469\U0000200D\U0001F469\U0000200D\U0001F467\U0000200D\U0001F466',
    u':familia_mujer_mujer_niño_niño:': u'\U0001F469\U0000200D\U0001F469\U0000200D\U0001F466\U0000200D\U0001F466',
    u':familia_mujer_mujer_niña_niña:': u'\U0001F469\U0000200D\U0001F469\U0000200D\U0001F467\U0000200D\U0001F467',
    u':familia_hombre_y_niño:': u'\U0001F468\U0000200D\U0001F466',
    u':familia_hombre_niño_niño:': u'\U0001F468\U0000200D\U0001F466\U0000200D\U0001F466',
    u':familia_hombre_y_niña:': u'\U0001F468\U0000200D\U0001F467',
    u':familia_hombre_niña_niño:': u'\U0001F468\U0000200D\U0001F467\U0000200D\U0001F466',
    u':familia_hombre_niña_niña:': u'\U0001F468\U0000200D\U0001F467\U0000200D\U0001F467',
    u':familia_mujer_y_niño:': u'\U0001F469\U0000200D\U0001F466',
    u':familia_mujer_niño_niño:': u'\U0001F469\U0000200D\U0001F466\U0000200D\U0001F466',
    u':familia_mujer_y_niña:': u'\U0001F469\U0000200D\U0001F467',
    u':familia_mujer_niña_niño:': u'\U0001F469\U0000200D\U0001F467\U0000200D\U0001F466',
    u':familia_mujer_niña_niña:': u'\U0001F469\U0000200D\U0001F467\U0000200D\U0001F467',
    u':cabeza_parlante:': u'\U0001F5E3\U0000FE0F',
    u':silueta_de_busto:': u'\U0001F464',
    u':dos_siluetas_de_bustos:': u'\U0001F465',
    u':personas_abrazándose:': u'\U0001FAC2',
    u':huellas_de_pies:': u'\U0001F463',
    u':tono_de_piel_claro:': u'\U0001F3FB',
    u':tono_de_piel_claro_medio:': u'\U0001F3FC',
    u':tono_de_piel_medio:': u'\U0001F3FD',
    u':tono_de_piel_oscuro_medio:': u'\U0001F3FE',
    u':tono_de_piel_oscuro:': u'\U0001F3FF',
    u':pelo_pelirrojo:': u'\U0001F9B0',
    u':pelo_rizado:': u'\U0001F9B1',
    u':pelo_blanco:': u'\U0001F9B3',
    u':sin_pelo:': u'\U0001F9B2',
    u':cara_de_mono:': u'\U0001F435',
    u':mono:': u'\U0001F412',
    u':gorila:': u'\U0001F98D',
    u':orangután:': u'\U0001F9A7',
    u':cara_de_perro:': u'\U0001F436',
    u':perro:': u'\U0001F415',
    u':perro_guía:': u'\U0001F9AE',
    u':perro_de_servicio:': u'\U0001F415\U0000200D\U0001F9BA',
    u':caniche:': u'\U0001F429',
    u':lobo:': u'\U0001F43A',
    u':zorro:': u'\U0001F98A',
    u':mapache:': u'\U0001F99D',
    u':cara_de_gato:': u'\U0001F431',
    u':gato:': u'\U0001F408',
    u':gato_negro:': u'\U0001F408\U0000200D\U00002B1B',
    u':león:': u'\U0001F981',
    u':cara_de_tigre:': u'\U0001F42F',
    u':tigre:': u'\U0001F405',
    u':leopardo:': u'\U0001F406',
    u':cara_de_caballo:': u'\U0001F434',
    u':caballo:': u'\U0001F40E',
    u':unicornio:': u'\U0001F984',
    u':cebra:': u'\U0001F993',
    u':ciervo:': u'\U0001F98C',
    u':bisonte:': u'\U0001F9AC',
    u':cara_de_vaca:': u'\U0001F42E',
    u':buey:': u'\U0001F402',
    u':búfalo_de_agua:': u'\U0001F403',
    u':vaca:': u'\U0001F404',
    u':cara_de_cerdo:': u'\U0001F437',
    u':cerdo:': u'\U0001F416',
    u':jabalí:': u'\U0001F417',
    u':nariz_de_cerdo:': u'\U0001F43D',
    u':carnero:': u'\U0001F40F',
    u':oveja:': u'\U0001F411',
    u':cabra:': u'\U0001F410',
    u':dromedario:': u'\U0001F42A',
    u':camello:': u'\U0001F42B',
    u':llama:': u'\U0001F999',
    u':jirafa:': u'\U0001F992',
    u':elefante:': u'\U0001F418',
    u':mamut:': u'\U0001F9A3',
    u':rinoceronte:': u'\U0001F98F',
    u':hipopótamo:': u'\U0001F99B',
    u':cara_de_ratón:': u'\U0001F42D',
    u':ratón:': u'\U0001F401',
    u':rata:': u'\U0001F400',
    u':hámster:': u'\U0001F439',
    u':cara_de_conejo:': u'\U0001F430',
    u':conejo:': u'\U0001F407',
    u':ardilla:': u'\U0001F43F\U0000FE0F',
    u':castor:': u'\U0001F9AB',
    u':erizo:': u'\U0001F994',
    u':murciélago:': u'\U0001F987',
    u':oso:': u'\U0001F43B',
    u':oso_polar:': u'\U0001F43B\U0000200D\U00002744\U0000FE0F',
    u':koala:': u'\U0001F428',
    u':panda:': u'\U0001F43C',
    u':perezoso:': u'\U0001F9A5',
    u':nutria:': u'\U0001F9A6',
    u':mofeta:': u'\U0001F9A8',
    u':canguro:': u'\U0001F998',
    u':tejón:': u'\U0001F9A1',
    u':huellas_de_pezuñas:': u'\U0001F43E',
    u':pavo:': u'\U0001F983',
    u':gallina:': u'\U0001F414',
    u':gallo:': u'\U0001F413',
    u':pollito_rompiendo_el_cascarón:': u'\U0001F423',
    u':pollito:': u'\U0001F424',
    u':pollito_de_frente:': u'\U0001F425',
    u':pájaro:': u'\U0001F426',
    u':pingüino:': u'\U0001F427',
    u':paloma:': u'\U0001F54A\U0000FE0F',
    u':águila:': u'\U0001F985',
    u':pato:': u'\U0001F986',
    u':cisne:': u'\U0001F9A2',
    u':búho:': u'\U0001F989',
    u':dodo:': u'\U0001F9A4',
    u':pluma:': u'\U0001FAB6',
    u':flamenco:': u'\U0001F9A9',
    u':pavo_real:': u'\U0001F99A',
    u':loro:': u'\U0001F99C',
    u':rana:': u'\U0001F438',
    u':cocodrilo:': u'\U0001F40A',
    u':tortuga:': u'\U0001F422',
    u':lagarto:': u'\U0001F98E',
    u':serpiente:': u'\U0001F40D',
    u':cara_de_dragón:': u'\U0001F432',
    u':dragón:': u'\U0001F409',
    u':saurópodo:': u'\U0001F995',
    u':t-rex:': u'\U0001F996',
    u':ballena_soltando_un_chorro:': u'\U0001F433',
    u':ballena:': u'\U0001F40B',
    u':delfín:': u'\U0001F42C',
    u':foca:': u'\U0001F9AD',
    u':pez:': u'\U0001F41F',
    u':pez_tropical:': u'\U0001F420',
    u':pez_globo:': u'\U0001F421',
    u':tiburón:': u'\U0001F988',
    u':pulpo:': u'\U0001F419',
    u':concha_de_mar:': u'\U0001F41A',
    u':caracol:': u'\U0001F40C',
    u':mariposa:': u'\U0001F98B',
    u':insecto:': u'\U0001F41B',
    u':hormiga:': u'\U0001F41C',
    u':abeja:': u'\U0001F41D',
    u':escarabajo:': u'\U0001FAB2',
    u':mariquita:': u'\U0001F41E',
    u':grillo:': u'\U0001F997',
    u':cucaracha:': u'\U0001FAB3',
    u':araña:': u'\U0001F577\U0000FE0F',
    u':tela_de_araña:': u'\U0001F578\U0000FE0F',
    u':escorpión:': u'\U0001F982',
    u':mosquito:': u'\U0001F99F',
    u':mosca:': u'\U0001FAB0',
    u':gusano:': u'\U0001FAB1',
    u':microbio:': u'\U0001F9A0',
    u':ramo_de_flores:': u'\U0001F490',
    u':flor_de_cerezo:': u'\U0001F338',
    u':flor_blanca:': u'\U0001F4AE',
    u':roseta:': u'\U0001F3F5\U0000FE0F',
    u':rosa:': u'\U0001F339',
    u':flor_marchita:': u'\U0001F940',
    u':flor_de_hibisco:': u'\U0001F33A',
    u':girasol:': u'\U0001F33B',
    u':flor:': u'\U0001F33C',
    u':tulipán:': u'\U0001F337',
    u':planta_joven:': u'\U0001F331',
    u':planta_de_maceta:': u'\U0001FAB4',
    u':árbol_de_hoja_perenne:': u'\U0001F332',
    u':árbol_de_hoja_caduca:': u'\U0001F333',
    u':palmera:': u'\U0001F334',
    u':cactus:': u'\U0001F335',
    u':espiga_de_arroz:': u'\U0001F33E',
    u':hierba:': u'\U0001F33F',
    u':trébol:': u'\U00002618\U0000FE0F',
    u':trébol_de_cuatro_hojas:': u'\U0001F340',
    u':hoja_de_arce:': u'\U0001F341',
    u':hojas_caídas:': u'\U0001F342',
    u':hojas_revoloteando_al_viento:': u'\U0001F343',
    u':uvas:': u'\U0001F347',
    u':melón:': u'\U0001F348',
    u':sandía:': u'\U0001F349',
    u':mandarina:': u'\U0001F34A',
    u':limón:': u'\U0001F34B',
    u':plátano:': u'\U0001F34C',
    u':piña:': u'\U0001F34D',
    u':mango:': u'\U0001F96D',
    u':manzana_roja:': u'\U0001F34E',
    u':manzana_verde:': u'\U0001F34F',
    u':pera:': u'\U0001F350',
    u':melocotón:': u'\U0001F351',
    u':cerezas:': u'\U0001F352',
    u':fresa:': u'\U0001F353',
    u':arándanos:': u'\U0001FAD0',
    u':kiwi:': u'\U0001F95D',
    u':tomate:': u'\U0001F345',
    u':aceituna:': u'\U0001FAD2',
    u':coco:': u'\U0001F965',
    u':aguacate:': u'\U0001F951',
    u':berenjena:': u'\U0001F346',
    u':patata:': u'\U0001F954',
    u':zanahoria:': u'\U0001F955',
    u':espiga_de_maíz:': u'\U0001F33D',
    u':chile_picante:': u'\U0001F336\U0000FE0F',
    u':pimiento:': u'\U0001FAD1',
    u':pepino:': u'\U0001F952',
    u':verdura_de_hoja_verde:': u'\U0001F96C',
    u':brócoli:': u'\U0001F966',
    u':ajo:': u'\U0001F9C4',
    u':cebolla:': u'\U0001F9C5',
    u':champiñón:': u'\U0001F344',
    u':cacahuetes:': u'\U0001F95C',
    u':castaña:': u'\U0001F330',
    u':pan_de_molde:': u'\U0001F35E',
    u':cruasán:': u'\U0001F950',
    u':baguete:': u'\U0001F956',
    u':pan_sin_levadura:': u'\U0001FAD3',
    u':bretzel:': u'\U0001F968',
    u':bagel:': u'\U0001F96F',
    u':tortitas:': u'\U0001F95E',
    u':gofre:': u'\U0001F9C7',
    u':cuña_de_queso:': u'\U0001F9C0',
    u':carne_con_hueso:': u'\U0001F356',
    u':muslo_de_pollo:': u'\U0001F357',
    u':corte_de_carne:': u'\U0001F969',
    u':beicon:': u'\U0001F953',
    u':hamburguesa:': u'\U0001F354',
    u':patatas_fritas:': u'\U0001F35F',
    u':pizza:': u'\U0001F355',
    u':perrito_caliente:': u'\U0001F32D',
    u':sándwich:': u'\U0001F96A',
    u':taco:': u'\U0001F32E',
    u':burrito:': u'\U0001F32F',
    u':tamal:': u'\U0001FAD4',
    u':pan_relleno:': u'\U0001F959',
    u':falafel:': u'\U0001F9C6',
    u':huevo:': u'\U0001F95A',
    u':cocinar:': u'\U0001F373',
    u':paella:': u'\U0001F958',
    u':olla_de_comida:': u'\U0001F372',
    u':fondue:': u'\U0001FAD5',
    u':cuenco_con_cuchara:': u'\U0001F963',
    u':ensalada:': u'\U0001F957',
    u':palomitas:': u'\U0001F37F',
    u':mantequilla:': u'\U0001F9C8',
    u':sal:': u'\U0001F9C2',
    u':comida_enlatada:': u'\U0001F96B',
    u':caja_de_bento:': u'\U0001F371',
    u':galleta_de_arroz:': u'\U0001F358',
    u':bola_de_arroz:': u'\U0001F359',
    u':arroz_cocido:': u'\U0001F35A',
    u':arroz_con_curry:': u'\U0001F35B',
    u':tazón_de_fideos:': u'\U0001F35C',
    u':espagueti:': u'\U0001F35D',
    u':patata_asada:': u'\U0001F360',
    u':brocheta:': u'\U0001F362',
    u':sushi:': u'\U0001F363',
    u':gamba_frita:': u'\U0001F364',
    u':pastel_de_pescado_japonés:': u'\U0001F365',
    u':pastel_de_luna:': u'\U0001F96E',
    u':dango:': u'\U0001F361',
    u':dumpling:': u'\U0001F95F',
    u':galleta_de_la_fortuna:': u'\U0001F960',
    u':caja_para_llevar:': u'\U0001F961',
    u':cangrejo:': u'\U0001F980',
    u':langosta:': u'\U0001F99E',
    u':gamba:': u'\U0001F990',
    u':calamar:': u'\U0001F991',
    u':ostra:': u'\U0001F9AA',
    u':cucurucho_de_helado:': u'\U0001F366',
    u':granizado_hawaiano:': u'\U0001F367',
    u':helado:': u'\U0001F368',
    u':dónut:': u'\U0001F369',
    u':galleta:': u'\U0001F36A',
    u':tarta_de_cumpleaños:': u'\U0001F382',
    u':trozo_de_tarta:': u'\U0001F370',
    u':magdalena:': u'\U0001F9C1',
    u':pastel:': u'\U0001F967',
    u':tableta_de_chocolate:': u'\U0001F36B',
    u':caramelo:': u'\U0001F36C',
    u':piruleta:': u'\U0001F36D',
    u':flan:': u'\U0001F36E',
    u':tarro_de_miel:': u'\U0001F36F',
    u':biberón:': u'\U0001F37C',
    u':vaso_de_leche:': u'\U0001F95B',
    u':bebida_caliente:': u'\U00002615',
    u':tetera:': u'\U0001FAD6',
    u':tazón_de_té:': u'\U0001F375',
    u':sake:': u'\U0001F376',
    u':botella_descorchada:': u'\U0001F37E',
    u':copa_de_vino:': u'\U0001F377',
    u':copa_de_cóctel:': u'\U0001F378',
    u':bebida_tropical:': u'\U0001F379',
    u':jarra_de_cerveza:': u'\U0001F37A',
    u':jarras_de_cerveza_brindando:': u'\U0001F37B',
    u':copas_brindando:': u'\U0001F942',
    u':vaso_de_whisky:': u'\U0001F943',
    u':vaso_con_pajita:': u'\U0001F964',
    u':té_de_burbujas:': u'\U0001F9CB',
    u':tetrabrik:': u'\U0001F9C3',
    u':mate:': u'\U0001F9C9',
    u':cubito_de_hielo:': u'\U0001F9CA',
    u':palillos:': u'\U0001F962',
    u':cuchillo_y_tenedor_con_un_plato:': u'\U0001F37D\U0000FE0F',
    u':tenedor_y_cuchillo:': u'\U0001F374',
    u':cuchara:': u'\U0001F944',
    u':cuchillo_de_cocina:': u'\U0001F52A',
    u':ánfora:': u'\U0001F3FA',
    u':globo_terráqueo_mostrando_europa_y_áfrica:': u'\U0001F30D',
    u':globo_terráqueo_mostrando_américa:': u'\U0001F30E',
    u':globo_terráqueo_mostrando_asia_y_australia:': u'\U0001F30F',
    u':globo_terráqueo_con_meridianos:': u'\U0001F310',
    u':mapa_mundial:': u'\U0001F5FA\U0000FE0F',
    u':mapa_de_japón:': u'\U0001F5FE',
    u':brújula:': u'\U0001F9ED',
    u':montaña_con_nieve:': u'\U0001F3D4\U0000FE0F',
    u':montaña:': u'\U000026F0\U0000FE0F',
    u':volcán:': u'\U0001F30B',
    u':monte_fuji:': u'\U0001F5FB',
    u':camping:': u'\U0001F3D5\U0000FE0F',
    u':playa_y_sombrilla:': u'\U0001F3D6\U0000FE0F',
    u':desierto:': u'\U0001F3DC\U0000FE0F',
    u':isla_desierta:': u'\U0001F3DD\U0000FE0F',
    u':parque_nacional:': u'\U0001F3DE\U0000FE0F',
    u':estadio:': u'\U0001F3DF\U0000FE0F',
    u':edificio_clásico:': u'\U0001F3DB\U0000FE0F',
    u':construcción:': u'\U0001F3D7\U0000FE0F',
    u':ladrillo:': u'\U0001F9F1',
    u':piedra:': u'\U0001FAA8',
    u':madera:': u'\U0001FAB5',
    u':cabaña:': u'\U0001F6D6',
    u':casas:': u'\U0001F3D8\U0000FE0F',
    u':casa_abandonada:': u'\U0001F3DA\U0000FE0F',
    u':casa:': u'\U0001F3E0',
    u':casa_con_jardín:': u'\U0001F3E1',
    u':edificio_de_oficinas:': u'\U0001F3E2',
    u':oficina_de_correos_japonesa:': u'\U0001F3E3',
    u':oficina_de_correos_europea:': u'\U0001F3E4',
    u':hospital:': u'\U0001F3E5',
    u':banco:': u'\U0001F3E6',
    u':hotel:': u'\U0001F3E8',
    u':hotel_del_amor:': u'\U0001F3E9',
    u':tienda_24_horas:': u'\U0001F3EA',
    u':edificio_de_colegio:': u'\U0001F3EB',
    u':grandes_almacenes:': u'\U0001F3EC',
    u':fábrica:': u'\U0001F3ED',
    u':castillo_japonés:': u'\U0001F3EF',
    u':castillo_europeo:': u'\U0001F3F0',
    u':iglesia_celebrando_boda:': u'\U0001F492',
    u':torre_de_tokio:': u'\U0001F5FC',
    u':estatua_de_la_libertad:': u'\U0001F5FD',
    u':iglesia:': u'\U000026EA',
    u':mezquita:': u'\U0001F54C',
    u':templo_hindú:': u'\U0001F6D5',
    u':sinagoga:': u'\U0001F54D',
    u':santuario_sintoísta:': u'\U000026E9\U0000FE0F',
    u':kaaba:': u'\U0001F54B',
    u':fuente:': u'\U000026F2',
    u':tienda_de_campaña:': u'\U000026FA',
    u':bruma:': u'\U0001F301',
    u':noche_estrellada:': u'\U0001F303',
    u':paisaje_urbano:': u'\U0001F3D9\U0000FE0F',
    u':amanecer_sobre_montañas:': u'\U0001F304',
    u':amanecer:': u'\U0001F305',
    u':ciudad_al_atardecer:': u'\U0001F306',
    u':puesta_del_sol:': u'\U0001F307',
    u':puente_de_noche:': u'\U0001F309',
    u':aguas_termales:': u'\U00002668\U0000FE0F',
    u':caballo_de_tiovivo:': u'\U0001F3A0',
    u':noria_de_feria:': u'\U0001F3A1',
    u':montaña_rusa:': u'\U0001F3A2',
    u':poste_de_barbero:': u'\U0001F488',
    u':carpa_de_circo:': u'\U0001F3AA',
    u':locomotora_de_vapor:': u'\U0001F682',
    u':vagón:': u'\U0001F683',
    u':tren_de_alta_velocidad:': u'\U0001F684',
    u':tren_bala:': u'\U0001F685',
    u':tren:': u'\U0001F686',
    u':metro:': u'\U0001F687',
    u':tren_ligero:': u'\U0001F688',
    u':estación_de_tren:': u'\U0001F689',
    u':tranvía:': u'\U0001F68A',
    u':monorraíl:': u'\U0001F69D',
    u':ferrocarril_de_montaña:': u'\U0001F69E',
    u':vagón_de_tranvía:': u'\U0001F68B',
    u':autobús:': u'\U0001F68C',
    u':autobús_próximo:': u'\U0001F68D',
    u':trolebús:': u'\U0001F68E',
    u':minibús:': u'\U0001F690',
    u':ambulancia:': u'\U0001F691',
    u':coche_de_bomberos:': u'\U0001F692',
    u':coche_de_policía:': u'\U0001F693',
    u':coche_de_policía_próximo:': u'\U0001F694',
    u':taxi:': u'\U0001F695',
    u':taxi_próximo:': u'\U0001F696',
    u':coche:': u'\U0001F697',
    u':coche_próximo:': u'\U0001F698',
    u':vehículo_deportivo_utilitario:': u'\U0001F699',
    u':camioneta:': u'\U0001F6FB',
    u':camión_de_reparto:': u'\U0001F69A',
    u':camión_articulado:': u'\U0001F69B',
    u':tractor:': u'\U0001F69C',
    u':coche_de_carreras:': u'\U0001F3CE\U0000FE0F',
    u':moto:': u'\U0001F3CD\U0000FE0F',
    u':scooter:': u'\U0001F6F5',
    u':silla_de_ruedas_manual:': u'\U0001F9BD',
    u':silla_de_ruedas_eléctrica:': u'\U0001F9BC',
    u':mototaxi:': u'\U0001F6FA',
    u':bicicleta:': u'\U0001F6B2',
    u':patinete:': u'\U0001F6F4',
    u':monopatín:': u'\U0001F6F9',
    u':patines:': u'\U0001F6FC',
    u':parada_de_autobús:': u'\U0001F68F',
    u':autopista:': u'\U0001F6E3\U0000FE0F',
    u':vía_de_tren:': u'\U0001F6E4\U0000FE0F',
    u':barril_de_petróleo:': u'\U0001F6E2\U0000FE0F',
    u':surtidor_de_gasolina:': u'\U000026FD',
    u':luces_de_policía:': u'\U0001F6A8',
    u':semáforo_horizontal:': u'\U0001F6A5',
    u':semáforo:': u'\U0001F6A6',
    u':señal_de_stop:': u'\U0001F6D1',
    u':obras:': u'\U0001F6A7',
    u':ancla:': u'\U00002693',
    u':barco_de_vela:': u'\U000026F5',
    u':canoa:': u'\U0001F6F6',
    u':lancha_motora:': u'\U0001F6A4',
    u':barco_de_pasajeros:': u'\U0001F6F3\U0000FE0F',
    u':ferri:': u'\U000026F4\U0000FE0F',
    u':barco_a_motor:': u'\U0001F6E5\U0000FE0F',
    u':barco:': u'\U0001F6A2',
    u':avión:': u'\U00002708\U0000FE0F',
    u':avioneta:': u'\U0001F6E9\U0000FE0F',
    u':avión_despegando:': u'\U0001F6EB',
    u':avión_aterrizando:': u'\U0001F6EC',
    u':paracaídas:': u'\U0001FA82',
    u':asiento_de_transporte:': u'\U0001F4BA',
    u':helicóptero:': u'\U0001F681',
    u':ferrocarril_de_suspensión:': u'\U0001F69F',
    u':teleférico_de_montaña:': u'\U0001F6A0',
    u':teleférico:': u'\U0001F6A1',
    u':satélite:': u'\U0001F6F0\U0000FE0F',
    u':cohete:': u'\U0001F680',
    u':platillo_volante:': u'\U0001F6F8',
    u':timbre_de_hotel:': u'\U0001F6CE\U0000FE0F',
    u':equipaje:': u'\U0001F9F3',
    u':reloj_de_arena_sin_tiempo:': u'\U0000231B',
    u':reloj_de_arena_con_tiempo:': u'\U000023F3',
    u':reloj:': u'\U0000231A',
    u':reloj_despertador:': u'\U000023F0',
    u':cronómetro:': u'\U000023F1\U0000FE0F',
    u':temporizador:': u'\U000023F2\U0000FE0F',
    u':reloj_de_sobremesa:': u'\U0001F570\U0000FE0F',
    u':12_en_punto:': u'\U0001F55B',
    u':doce_y_media:': u'\U0001F567',
    u':1_en_punto:': u'\U0001F550',
    u':una_y_media:': u'\U0001F55C',
    u':2_en_punto:': u'\U0001F551',
    u':dos_y_media:': u'\U0001F55D',
    u':3_en_punto:': u'\U0001F552',
    u':tres_y_media:': u'\U0001F55E',
    u':4_en_punto:': u'\U0001F553',
    u':cuatro_y_media:': u'\U0001F55F',
    u':5_en_punto:': u'\U0001F554',
    u':cinco_y_media:': u'\U0001F560',
    u':6_en_punto:': u'\U0001F555',
    u':seis_y_media:': u'\U0001F561',
    u':7_en_punto:': u'\U0001F556',
    u':siete_y_media:': u'\U0001F562',
    u':8_en_punto:': u'\U0001F557',
    u':ocho_y_media:': u'\U0001F563',
    u':9_en_punto:': u'\U0001F558',
    u':nueve_y_media:': u'\U0001F564',
    u':10_en_punto:': u'\U0001F559',
    u':diez_y_media:': u'\U0001F565',
    u':11_en_punto:': u'\U0001F55A',
    u':once_y_media:': u'\U0001F566',
    u':luna_nueva:': u'\U0001F311',
    u':luna_creciente:': u'\U0001F312',
    u':luna_en_cuarto_creciente:': u'\U0001F313',
    u':luna_gibosa_creciente:': u'\U0001F314',
    u':luna_llena:': u'\U0001F315',
    u':luna_gibosa_menguante:': u'\U0001F316',
    u':luna_en_cuarto_menguante:': u'\U0001F317',
    u':luna_menguante:': u'\U0001F318',
    u':luna:': u'\U0001F319',
    u':luna_nueva_con_cara:': u'\U0001F31A',
    u':luna_de_cuarto_creciente_con_cara:': u'\U0001F31B',
    u':luna_de_cuarto_menguante_con_cara:': u'\U0001F31C',
    u':termómetro:': u'\U0001F321\U0000FE0F',
    u':sol:': u'\U00002600\U0000FE0F',
    u':luna_llena_con_cara:': u'\U0001F31D',
    u':sol_con_cara:': u'\U0001F31E',
    u':planeta_con_anillos:': u'\U0001FA90',
    u':estrella_blanca_mediana:': u'\U00002B50',
    u':estrella_brillante:': u'\U0001F31F',
    u':estrella_fugaz:': u'\U0001F320',
    u':vía_láctea:': u'\U0001F30C',
    u':nube:': u'\U00002601\U0000FE0F',
    u':sol_detrás_de_una_nube:': u'\U000026C5',
    u':nube_con_rayo_y_lluvia:': u'\U000026C8\U0000FE0F',
    u':sol_detrás_de_una_nube_pequeña:': u'\U0001F324\U0000FE0F',
    u':sol_detrás_de_una_nube_grande:': u'\U0001F325\U0000FE0F',
    u':sol_detrás_de_una_nube_con_lluvia:': u'\U0001F326\U0000FE0F',
    u':nube_con_lluvia:': u'\U0001F327\U0000FE0F',
    u':nube_con_nieve:': u'\U0001F328\U0000FE0F',
    u':nube_con_rayo:': u'\U0001F329\U0000FE0F',
    u':tornado:': u'\U0001F32A\U0000FE0F',
    u':niebla:': u'\U0001F32B\U0000FE0F',
    u':cara_de_viento:': u'\U0001F32C\U0000FE0F',
    u':ciclón:': u'\U0001F300',
    u':arcoíris:': u'\U0001F308',
    u':paraguas_cerrado:': u'\U0001F302',
    u':paraguas:': u'\U00002602\U0000FE0F',
    u':paraguas_con_gotas_de_lluvia:': u'\U00002614',
    u':sombrilla_en_la_arena:': u'\U000026F1\U0000FE0F',
    u':alto_voltaje:': u'\U000026A1',
    u':copo_de_nieve:': u'\U00002744\U0000FE0F',
    u':muñeco_de_nieve_con_nieve:': u'\U00002603\U0000FE0F',
    u':muñeco_de_nieve:': u'\U000026C4',
    u':meteorito:': u'\U00002604\U0000FE0F',
    u':fuego:': u'\U0001F525',
    u':gota:': u'\U0001F4A7',
    u':ola_de_mar:': u'\U0001F30A',
    u':calabaza_de_halloween:': u'\U0001F383',
    u':árbol_de_navidad:': u'\U0001F384',
    u':fuegos_artificiales:': u'\U0001F386',
    u':bengala:': u'\U0001F387',
    u':petardo:': u'\U0001F9E8',
    u':chispas:': u'\U00002728',
    u':globo:': u'\U0001F388',
    u':cañón_de_confeti:': u'\U0001F389',
    u':bola_de_confeti:': u'\U0001F38A',
    u':árbol_de_tanabata:': u'\U0001F38B',
    u':decoración_de_pino:': u'\U0001F38D',
    u':muñecas_japonesas:': u'\U0001F38E',
    u':banderín_de_carpas:': u'\U0001F38F',
    u':campanilla_de_viento:': u'\U0001F390',
    u':ceremonia_de_contemplación_de_la_luna:': u'\U0001F391',
    u':sobre_rojo:': u'\U0001F9E7',
    u':lazo:': u'\U0001F380',
    u':regalo:': u'\U0001F381',
    u':lazo_conmemorativo:': u'\U0001F397\U0000FE0F',
    u':entradas:': u'\U0001F39F\U0000FE0F',
    u':tique:': u'\U0001F3AB',
    u':medalla_militar:': u'\U0001F396\U0000FE0F',
    u':trofeo:': u'\U0001F3C6',
    u':medalla_deportiva:': u'\U0001F3C5',
    u':medalla_de_oro:': u'\U0001F947',
    u':medalla_de_plata:': u'\U0001F948',
    u':medalla_de_bronce:': u'\U0001F949',
    u':balón_de_fútbol:': u'\U000026BD',
    u':béisbol:': u'\U000026BE',
    u':pelota_de_softball:': u'\U0001F94E',
    u':balón_de_baloncesto:': u'\U0001F3C0',
    u':voleibol:': u'\U0001F3D0',
    u':balón_de_fútbol_americano:': u'\U0001F3C8',
    u':balón_de_rugby:': u'\U0001F3C9',
    u':pelota_de_tenis:': u'\U0001F3BE',
    u':disco_volador:': u'\U0001F94F',
    u':bolos:': u'\U0001F3B3',
    u':críquet:': u'\U0001F3CF',
    u':hockey_sobre_hierba:': u'\U0001F3D1',
    u':hockey_sobre_hielo:': u'\U0001F3D2',
    u':lacrosse:': u'\U0001F94D',
    u':tenis_de_mesa:': u'\U0001F3D3',
    u':bádminton:': u'\U0001F3F8',
    u':guante_de_boxeo:': u'\U0001F94A',
    u':uniforme_de_artes_marciales:': u'\U0001F94B',
    u':portería:': u'\U0001F945',
    u':banderín_en_hoyo:': u'\U000026F3',
    u':patín_de_hielo:': u'\U000026F8\U0000FE0F',
    u':caña_de_pescar:': u'\U0001F3A3',
    u':máscara_de_buceo:': u'\U0001F93F',
    u':camiseta_sin_mangas:': u'\U0001F3BD',
    u':esquís:': u'\U0001F3BF',
    u':trineo:': u'\U0001F6F7',
    u':piedra_de_curling:': u'\U0001F94C',
    u':diana:': u'\U0001F3AF',
    u':yoyó:': u'\U0001FA80',
    u':cometa:': u'\U0001FA81',
    u':bola_negra_de_billar:': u'\U0001F3B1',
    u':bola_de_cristal:': u'\U0001F52E',
    u':varita_mágica:': u'\U0001FA84',
    u':ojo_turco:': u'\U0001F9FF',
    u':mando_de_videoconsola:': u'\U0001F3AE',
    u':joystick:': u'\U0001F579\U0000FE0F',
    u':máquina_tragaperras:': u'\U0001F3B0',
    u':dado:': u'\U0001F3B2',
    u':pieza_de_puzle:': u'\U0001F9E9',
    u':osito_de_peluche:': u'\U0001F9F8',
    u':piñata:': u'\U0001FA85',
    u':muñeca_rusa:': u'\U0001FA86',
    u':palo_de_picas:': u'\U00002660\U0000FE0F',
    u':palo_de_corazones:': u'\U00002665\U0000FE0F',
    u':palo_de_diamantes:': u'\U00002666\U0000FE0F',
    u':palo_de_tréboles:': u'\U00002663\U0000FE0F',
    u':peón_de_ajedrez:': u'\U0000265F\U0000FE0F',
    u':comodín:': u'\U0001F0CF',
    u':dragón_rojo_de_mahjong:': u'\U0001F004',
    u':cartas_de_flores:': u'\U0001F3B4',
    u':máscaras_de_teatro:': u'\U0001F3AD',
    u':cuadro_enmarcado:': u'\U0001F5BC\U0000FE0F',
    u':paleta_de_pintor:': u'\U0001F3A8',
    u':hilo:': u'\U0001F9F5',
    u':aguja_de_coser:': u'\U0001FAA1',
    u':ovillo:': u'\U0001F9F6',
    u':nudo:': u'\U0001FAA2',
    u':gafas:': u'\U0001F453',
    u':gafas_de_sol:': u'\U0001F576\U0000FE0F',
    u':gafas_de_protección:': u'\U0001F97D',
    u':bata_de_laboratorio:': u'\U0001F97C',
    u':chaleco_de_seguridad:': u'\U0001F9BA',
    u':corbata:': u'\U0001F454',
    u':camiseta:': u'\U0001F455',
    u':vaqueros:': u'\U0001F456',
    u':bufanda:': u'\U0001F9E3',
    u':guantes:': u'\U0001F9E4',
    u':abrigo:': u'\U0001F9E5',
    u':calcetines:': u'\U0001F9E6',
    u':vestido:': u'\U0001F457',
    u':kimono:': u'\U0001F458',
    u':sari:': u'\U0001F97B',
    u':traje_de_baño_de_una_pieza:': u'\U0001FA71',
    u':ropa_interior:': u'\U0001FA72',
    u':pantalones_cortos:': u'\U0001FA73',
    u':bikini:': u'\U0001F459',
    u':ropa_de_mujer:': u'\U0001F45A',
    u':monedero:': u'\U0001F45B',
    u':bolso:': u'\U0001F45C',
    u':bolso_de_mano:': u'\U0001F45D',
    u':bolsas_de_compras:': u'\U0001F6CD\U0000FE0F',
    u':mochila_escolar:': u'\U0001F392',
    u':chancla:': u'\U0001FA74',
    u':zapato_de_hombre:': u'\U0001F45E',
    u':zapatilla_deportiva:': u'\U0001F45F',
    u':bota_de_senderismo:': u'\U0001F97E',
    u':bailarina:': u'\U0001F97F',
    u':zapato_de_tacón:': u'\U0001F460',
    u':sandalia_de_mujer:': u'\U0001F461',
    u':zapatillas_de_ballet:': u'\U0001FA70',
    u':bota_de_mujer:': u'\U0001F462',
    u':corona:': u'\U0001F451',
    u':sombrero_de_mujer:': u'\U0001F452',
    u':sombrero_de_copa:': u'\U0001F3A9',
    u':birrete:': u'\U0001F393',
    u':gorra_con_visera:': u'\U0001F9E2',
    u':casco_militar:': u'\U0001FA96',
    u':casco_con_una_cruz_blanca:': u'\U000026D1\U0000FE0F',
    u':rosario:': u'\U0001F4FF',
    u':pintalabios:': u'\U0001F484',
    u':anillo:': u'\U0001F48D',
    u':piedra_preciosa:': u'\U0001F48E',
    u':altavoz_silenciado:': u'\U0001F507',
    u':altavoz_a_volumen_bajo:': u'\U0001F508',
    u':altavoz_a_volumen_medio:': u'\U0001F509',
    u':altavoz_a_volumen_alto:': u'\U0001F50A',
    u':altavoz_de_mano:': u'\U0001F4E2',
    u':megáfono:': u'\U0001F4E3',
    u':corneta_de_posta:': u'\U0001F4EF',
    u':campana:': u'\U0001F514',
    u':campana_con_signo_de_cancelación:': u'\U0001F515',
    u':pentagrama:': u'\U0001F3BC',
    u':nota_musical:': u'\U0001F3B5',
    u':notas_musicales:': u'\U0001F3B6',
    u':micrófono_de_estudio:': u'\U0001F399\U0000FE0F',
    u':control_de_volumen:': u'\U0001F39A\U0000FE0F',
    u':ruedas_de_control:': u'\U0001F39B\U0000FE0F',
    u':micrófono:': u'\U0001F3A4',
    u':auricular:': u'\U0001F3A7',
    u':radio:': u'\U0001F4FB',
    u':saxofón:': u'\U0001F3B7',
    u':acordeón:': u'\U0001FA97',
    u':guitarra:': u'\U0001F3B8',
    u':teclado_musical:': u'\U0001F3B9',
    u':trompeta:': u'\U0001F3BA',
    u':violín:': u'\U0001F3BB',
    u':banjo:': u'\U0001FA95',
    u':tambor:': u'\U0001F941',
    u':tamboril:': u'\U0001FA98',
    u':teléfono_móvil:': u'\U0001F4F1',
    u':móvil_con_una_flecha:': u'\U0001F4F2',
    u':teléfono:': u'\U0000260E\U0000FE0F',
    u':auricular_de_teléfono:': u'\U0001F4DE',
    u':busca:': u'\U0001F4DF',
    u':máquina_de_fax:': u'\U0001F4E0',
    u':pila:': u'\U0001F50B',
    u':enchufe_eléctrico:': u'\U0001F50C',
    u':ordenador_portátil:': u'\U0001F4BB',
    u':ordenador_de_sobremesa:': u'\U0001F5A5\U0000FE0F',
    u':impresora:': u'\U0001F5A8\U0000FE0F',
    u':teclado:': u'\U00002328\U0000FE0F',
    u':ratón_de_ordenador:': u'\U0001F5B1\U0000FE0F',
    u':bola_de_desplazamiento:': u'\U0001F5B2\U0000FE0F',
    u':minidisc:': u'\U0001F4BD',
    u':disquete:': u'\U0001F4BE',
    u':disco_óptico:': u'\U0001F4BF',
    u':disco_dvd:': u'\U0001F4C0',
    u':ábaco:': u'\U0001F9EE',
    u':cámara_de_cine:': u'\U0001F3A5',
    u':fotograma_de_película:': u'\U0001F39E\U0000FE0F',
    u':proyector_de_cine:': u'\U0001F4FD\U0000FE0F',
    u':claqueta:': u'\U0001F3AC',
    u':televisión:': u'\U0001F4FA',
    u':cámara_de_fotos:': u'\U0001F4F7',
    u':cámara_con_flash:': u'\U0001F4F8',
    u':videocámara:': u'\U0001F4F9',
    u':cinta_de_vídeo:': u'\U0001F4FC',
    u':lupa_orientada_hacia_la_izquierda:': u'\U0001F50D',
    u':lupa_orientada_hacia_la_derecha:': u'\U0001F50E',
    u':vela:': u'\U0001F56F\U0000FE0F',
    u':bombilla:': u'\U0001F4A1',
    u':linterna:': u'\U0001F526',
    u':lámpara_japonesa:': u'\U0001F3EE',
    u':lámpara_de_aceite:': u'\U0001FA94',
    u':cuaderno_con_tapa_decorativa:': u'\U0001F4D4',
    u':libro_cerrado:': u'\U0001F4D5',
    u':libro_abierto:': u'\U0001F4D6',
    u':libro_verde:': u'\U0001F4D7',
    u':libro_azul:': u'\U0001F4D8',
    u':libro_naranja:': u'\U0001F4D9',
    u':libros:': u'\U0001F4DA',
    u':cuaderno:': u'\U0001F4D3',
    u':libro_de_contabilidad:': u'\U0001F4D2',
    u':página_doblada:': u'\U0001F4C3',
    u':pergamino:': u'\U0001F4DC',
    u':página_hacia_arriba:': u'\U0001F4C4',
    u':periódico:': u'\U0001F4F0',
    u':periódico_enrollado:': u'\U0001F5DE\U0000FE0F',
    u':marcadores:': u'\U0001F4D1',
    u':marcapáginas:': u'\U0001F516',
    u':etiqueta:': u'\U0001F3F7\U0000FE0F',
    u':bolsa_de_dinero:': u'\U0001F4B0',
    u':moneda:': u'\U0001FA99',
    u':billete_de_yen:': u'\U0001F4B4',
    u':billete_de_dólar:': u'\U0001F4B5',
    u':billete_de_euro:': u'\U0001F4B6',
    u':billete_de_libra:': u'\U0001F4B7',
    u':billete_con_alas:': u'\U0001F4B8',
    u':tarjeta_de_crédito:': u'\U0001F4B3',
    u':recibo:': u'\U0001F9FE',
    u':mercado_al_alza:': u'\U0001F4B9',
    u':sobre:': u'\U00002709\U0000FE0F',
    u':correo_electrónico:': u'\U0001F4E7',
    u':sobre_entrante:': u'\U0001F4E8',
    u':sobre_con_flecha:': u'\U0001F4E9',
    u':bandeja_de_salida:': u'\U0001F4E4',
    u':bandeja_de_entrada:': u'\U0001F4E5',
    u':paquete:': u'\U0001F4E6',
    u':buzón_cerrado_con_la_bandera_levantada:': u'\U0001F4EB',
    u':buzón_cerrado_con_la_bandera_bajada:': u'\U0001F4EA',
    u':buzón_abierto_con_la_bandera_levantada:': u'\U0001F4EC',
    u':buzón_abierto_con_la_bandera_bajada:': u'\U0001F4ED',
    u':buzón:': u'\U0001F4EE',
    u':urna_con_papeleta:': u'\U0001F5F3\U0000FE0F',
    u':lápiz:': u'\U0000270F\U0000FE0F',
    u':pluma_negra:': u'\U00002712\U0000FE0F',
    u':estilográfica:': u'\U0001F58B\U0000FE0F',
    u':bolígrafo:': u'\U0001F58A\U0000FE0F',
    u':pincel:': u'\U0001F58C\U0000FE0F',
    u':lápiz_de_cera:': u'\U0001F58D\U0000FE0F',
    u':cuaderno_de_notas:': u'\U0001F4DD',
    u':maletín:': u'\U0001F4BC',
    u':carpeta_de_archivos:': u'\U0001F4C1',
    u':carpeta_de_archivos_abierta:': u'\U0001F4C2',
    u':separador_de_fichas:': u'\U0001F5C2\U0000FE0F',
    u':calendario:': u'\U0001F4C5',
    u':calendario_recortable:': u'\U0001F4C6',
    u':bloc_de_notas_de_espiral:': u'\U0001F5D2\U0000FE0F',
    u':calendario_de_espiral:': u'\U0001F5D3\U0000FE0F',
    u':organizador_de_fichas:': u'\U0001F4C7',
    u':gráfica_de_evolución_ascendente:': u'\U0001F4C8',
    u':gráfica_de_evolución_descendente:': u'\U0001F4C9',
    u':gráfico_de_barras:': u'\U0001F4CA',
    u':portapapeles:': u'\U0001F4CB',
    u':chincheta:': u'\U0001F4CC',
    u':chincheta_redonda:': u'\U0001F4CD',
    u':clip:': u'\U0001F4CE',
    u':clips_unidos:': u'\U0001F587\U0000FE0F',
    u':regla:': u'\U0001F4CF',
    u':escuadra:': u'\U0001F4D0',
    u':tijeras:': u'\U00002702\U0000FE0F',
    u':archivador_de_tarjetas:': u'\U0001F5C3\U0000FE0F',
    u':archivador:': u'\U0001F5C4\U0000FE0F',
    u':papelera:': u'\U0001F5D1\U0000FE0F',
    u':candado_cerrado:': u'\U0001F512',
    u':candado_abierto:': u'\U0001F513',
    u':candado_con_pluma_estilográfica:': u'\U0001F50F',
    u':candado_cerrado_y_llave:': u'\U0001F510',
    u':llave:': u'\U0001F511',
    u':llave_antigua:': u'\U0001F5DD\U0000FE0F',
    u':martillo:': u'\U0001F528',
    u':hacha:': u'\U0001FA93',
    u':pico:': u'\U000026CF\U0000FE0F',
    u':martillo_y_pico:': u'\U00002692\U0000FE0F',
    u':martillo_y_llave_inglesa:': u'\U0001F6E0\U0000FE0F',
    u':puñal:': u'\U0001F5E1\U0000FE0F',
    u':espadas_cruzadas:': u'\U00002694\U0000FE0F',
    u':pistola:': u'\U0001F52B',
    u':bumerán:': u'\U0001FA83',
    u':arco_y_flecha:': u'\U0001F3F9',
    u':escudo:': u'\U0001F6E1\U0000FE0F',
    u':sierra_de_carpintería:': u'\U0001FA9A',
    u':llave_inglesa:': u'\U0001F527',
    u':destornillador:': u'\U0001FA9B',
    u':tornillo_y_tuerca:': u'\U0001F529',
    u':engranaje:': u'\U00002699\U0000FE0F',
    u':tornillo_de_banco:': u'\U0001F5DC\U0000FE0F',
    u':balanza:': u'\U00002696\U0000FE0F',
    u':bastón:': u'\U0001F9AF',
    u':eslabón:': u'\U0001F517',
    u':cadenas:': u'\U000026D3\U0000FE0F',
    u':gancho:': u'\U0001FA9D',
    u':caja_de_herramientas:': u'\U0001F9F0',
    u':imán:': u'\U0001F9F2',
    u':escalera:': u'\U0001FA9C',
    u':alambique:': u'\U00002697\U0000FE0F',
    u':tubo_de_ensayo:': u'\U0001F9EA',
    u':placa_de_petri:': u'\U0001F9EB',
    u':adn:': u'\U0001F9EC',
    u':microscopio:': u'\U0001F52C',
    u':telescopio:': u'\U0001F52D',
    u':antena_de_satélite:': u'\U0001F4E1',
    u':jeringuilla:': u'\U0001F489',
    u':gota_de_sangre:': u'\U0001FA78',
    u':píldora:': u'\U0001F48A',
    u':tirita:': u'\U0001FA79',
    u':estetoscopio:': u'\U0001FA7A',
    u':puerta:': u'\U0001F6AA',
    u':ascensor:': u'\U0001F6D7',
    u':espejo:': u'\U0001FA9E',
    u':ventana:': u'\U0001FA9F',
    u':cama:': u'\U0001F6CF\U0000FE0F',
    u':sofá_y_lámpara:': u'\U0001F6CB\U0000FE0F',
    u':silla:': u'\U0001FA91',
    u':inodoro:': u'\U0001F6BD',
    u':desatascador:': u'\U0001FAA0',
    u':ducha:': u'\U0001F6BF',
    u':bañera:': u'\U0001F6C1',
    u':trampa_de_ratones:': u'\U0001FAA4',
    u':cuchilla_de_afeitar:': u'\U0001FA92',
    u':bote_de_crema:': u'\U0001F9F4',
    u':imperdible:': u'\U0001F9F7',
    u':escoba:': u'\U0001F9F9',
    u':cesta:': u'\U0001F9FA',
    u':rollo_de_papel:': u'\U0001F9FB',
    u':cubo:': u'\U0001FAA3',
    u':jabón:': u'\U0001F9FC',
    u':cepillo_de_dientes:': u'\U0001FAA5',
    u':esponja:': u'\U0001F9FD',
    u':extintor:': u'\U0001F9EF',
    u':carrito_de_la_compra:': u'\U0001F6D2',
    u':cigarrillo:': u'\U0001F6AC',
    u':ataúd:': u'\U000026B0\U0000FE0F',
    u':lápida:': u'\U0001FAA6',
    u':urna_funeraria:': u'\U000026B1\U0000FE0F',
    u':estatua_moái:': u'\U0001F5FF',
    u':letrero:': u'\U0001FAA7',
    u':señal_de_cajero_automático:': u'\U0001F3E7',
    u':señal_de_usar_papelera:': u'\U0001F6AE',
    u':agua_potable:': u'\U0001F6B0',
    u':símbolo_de_silla_de_ruedas:': u'\U0000267F',
    u':aseo_para_hombres:': u'\U0001F6B9',
    u':señal_de_aseo_para_mujeres:': u'\U0001F6BA',
    u':señal_de_aseos:': u'\U0001F6BB',
    u':señal_de_bebé:': u'\U0001F6BC',
    u':aseos:': u'\U0001F6BE',
    u':control_de_pasaportes:': u'\U0001F6C2',
    u':aduana:': u'\U0001F6C3',
    u':recogida_de_equipajes:': u'\U0001F6C4',
    u':consigna:': u'\U0001F6C5',
    u':advertencia:': u'\U000026A0\U0000FE0F',
    u':niños_cruzando:': u'\U0001F6B8',
    u':dirección_prohibida:': u'\U000026D4',
    u':prohibido:': u'\U0001F6AB',
    u':bicicletas_prohibidas:': u'\U0001F6B3',
    u':prohibido_fumar:': u'\U0001F6AD',
    u':prohibido_tirar_basura:': u'\U0001F6AF',
    u':agua_no_potable:': u'\U0001F6B1',
    u':prohibido_el_paso_de_peatones:': u'\U0001F6B7',
    u':prohibido_el_uso_de_móviles:': u'\U0001F4F5',
    u':prohibido_para_menos_de_18_años:': u'\U0001F51E',
    u':radiactivo:': u'\U00002622\U0000FE0F',
    u':riesgo_biológico:': u'\U00002623\U0000FE0F',
    u':flecha_hacia_arriba:': u'\U00002B06\U0000FE0F',
    u':flecha_hacia_la_esquina_superior_derecha:': u'\U00002197\U0000FE0F',
    u':flecha_hacia_la_derecha:': u'\U000027A1\U0000FE0F',
    u':flecha_hacia_la_esquina_inferior_derecha:': u'\U00002198\U0000FE0F',
    u':flecha_hacia_abajo:': u'\U00002B07\U0000FE0F',
    u':flecha_hacia_la_esquina_inferior_izquierda:': u'\U00002199\U0000FE0F',
    u':flecha_hacia_la_izquierda:': u'\U00002B05\U0000FE0F',
    u':flecha_hacia_la_esquina_superior_izquierda:': u'\U00002196\U0000FE0F',
    u':flecha_arriba_y_abajo:': u'\U00002195\U0000FE0F',
    u':flecha_izquierda_y_derecha:': u'\U00002194\U0000FE0F',
    u':flecha_derecha_curvándose_a_la_izquierda:': u'\U000021A9\U0000FE0F',
    u':flecha_izquierda_curvándose_a_la_derecha:': u'\U000021AA\U0000FE0F',
    u':flecha_derecha_curvándose_hacia_arriba:': u'\U00002934\U0000FE0F',
    u':flecha_derecha_curvándose_hacia_abajo:': u'\U00002935\U0000FE0F',
    u':flechas_verticales_en_sentido_horario:': u'\U0001F503',
    u':flechas_en_sentido_antihorario:': u'\U0001F504',
    u':flecha_back:': u'\U0001F519',
    u':flecha_end:': u'\U0001F51A',
    u':flecha_on!:': u'\U0001F51B',
    u':flecha_soon:': u'\U0001F51C',
    u':flecha_top:': u'\U0001F51D',
    u':lugar_de_culto:': u'\U0001F6D0',
    u':símbolo_de_átomo:': u'\U0000269B\U0000FE0F',
    u':om:': u'\U0001F549\U0000FE0F',
    u':estrella_de_david:': u'\U00002721\U0000FE0F',
    u':rueda_del_dharma:': u'\U00002638\U0000FE0F',
    u':yin_yang:': u'\U0000262F\U0000FE0F',
    u':cruz_latina:': u'\U0000271D\U0000FE0F',
    u':cruz_ortodoxa:': u'\U00002626\U0000FE0F',
    u':media_luna_y_estrella:': u'\U0000262A\U0000FE0F',
    u':símbolo_de_la_paz:': u'\U0000262E\U0000FE0F',
    u':menorá:': u'\U0001F54E',
    u':estrella_de_seis_puntas:': u'\U0001F52F',
    u':aries:': u'\U00002648',
    u':tauro:': u'\U00002649',
    u':géminis:': u'\U0000264A',
    u':cáncer:': u'\U0000264B',
    u':leo:': u'\U0000264C',
    u':virgo:': u'\U0000264D',
    u':libra:': u'\U0000264E',
    u':escorpio:': u'\U0000264F',
    u':sagitario:': u'\U00002650',
    u':capricornio:': u'\U00002651',
    u':acuario:': u'\U00002652',
    u':piscis:': u'\U00002653',
    u':ofiuco:': u'\U000026CE',
    u':reproducción_aleatoria:': u'\U0001F500',
    u':repetir:': u'\U0001F501',
    u':repetir_una_vez:': u'\U0001F502',
    u':reproducir:': u'\U000025B6\U0000FE0F',
    u':avance_rápido:': u'\U000023E9',
    u':pista_siguiente:': u'\U000023ED\U0000FE0F',
    u':reproducir_o_pausa:': u'\U000023EF\U0000FE0F',
    u':retroceso:': u'\U000025C0\U0000FE0F',
    u':rebobinado:': u'\U000023EA',
    u':pista_anterior:': u'\U000023EE\U0000FE0F',
    u':triángulo_hacia_arriba:': u'\U0001F53C',
    u':triángulo_doble_hacia_arriba:': u'\U000023EB',
    u':triángulo_hacia_abajo:': u'\U0001F53D',
    u':triángulo_doble_hacia_abajo:': u'\U000023EC',
    u':pausa:': u'\U000023F8\U0000FE0F',
    u':detener:': u'\U000023F9\U0000FE0F',
    u':grabar:': u'\U000023FA\U0000FE0F',
    u':expulsar:': u'\U000023CF\U0000FE0F',
    u':cine:': u'\U0001F3A6',
    u':brillo_bajo:': u'\U0001F505',
    u':brillo_alto:': u'\U0001F506',
    u':barras_de_cobertura:': u'\U0001F4F6',
    u':modo_vibración:': u'\U0001F4F3',
    u':teléfono_móvil_apagado:': u'\U0001F4F4',
    u':signo_femenino:': u'\U00002640\U0000FE0F',
    u':signo_masculino:': u'\U00002642\U0000FE0F',
    u':símbolo_de_transgénero:': u'\U000026A7\U0000FE0F',
    u':multiplicación:': u'\U00002716\U0000FE0F',
    u':más:': u'\U00002795',
    u':menos:': u'\U00002796',
    u':división:': u'\U00002797',
    u':infinito:': u'\U0000267E\U0000FE0F',
    u':exclamación_doble:': u'\U0000203C\U0000FE0F',
    u':exclamación_e_interrogación:': u'\U00002049\U0000FE0F',
    u':signo_de_interrogación:': u'\U00002753',
    u':interrogación_blanca:': u'\U00002754',
    u':exclamación_blanca:': u'\U00002755',
    u':signo_de_exclamación:': u'\U00002757',
    u':guion_ondulado:': u'\U00003030\U0000FE0F',
    u':cambio_de_divisas:': u'\U0001F4B1',
    u':símbolo_de_dólar:': u'\U0001F4B2',
    u':símbolo_de_medicina:': u'\U00002695\U0000FE0F',
    u':símbolo_de_reciclaje:': u'\U0000267B\U0000FE0F',
    u':flor_de_lis:': u'\U0000269C\U0000FE0F',
    u':emblema_de_tridente:': u'\U0001F531',
    u':etiqueta_identificativa:': u'\U0001F4DB',
    u':símbolo_japonés_para_principiante:': u'\U0001F530',
    u':círculo_rojo_hueco:': u'\U00002B55',
    u':botón_de_marca_de_verificación:': u'\U00002705',
    u':casilla_con_marca_de_verificación:': u'\U00002611\U0000FE0F',
    u':marca_de_verificación:': u'\U00002714\U0000FE0F',
    u':marca_de_cruz:': u'\U0000274C',
    u':botón_con_marca_de_cruz:': u'\U0000274E',
    u':bucle:': u'\U000027B0',
    u':bucle_doble:': u'\U000027BF',
    u':marca_de_alternancia:': u'\U0000303D\U0000FE0F',
    u':asterisco_de_ocho_puntas:': u'\U00002733\U0000FE0F',
    u':estrella_de_ocho_puntas:': u'\U00002734\U0000FE0F',
    u':chispa:': u'\U00002747\U0000FE0F',
    u':copyright:': u'\U000000A9\U0000FE0F',
    u':marca_registrada:': u'\U000000AE\U0000FE0F',
    u':símbolo_de_marca_comercial:': u'\U00002122\U0000FE0F',
    u':teclas_#:': u'\U00000023\U0000FE0F\U000020E3',
    u':teclas_*:': u'\U0000002A\U0000FE0F\U000020E3',
    u':teclas_0:': u'\U00000030\U0000FE0F\U000020E3',
    u':teclas_1:': u'\U00000031\U0000FE0F\U000020E3',
    u':teclas_2:': u'\U00000032\U0000FE0F\U000020E3',
    u':teclas_3:': u'\U00000033\U0000FE0F\U000020E3',
    u':teclas_4:': u'\U00000034\U0000FE0F\U000020E3',
    u':teclas_5:': u'\U00000035\U0000FE0F\U000020E3',
    u':teclas_6:': u'\U00000036\U0000FE0F\U000020E3',
    u':teclas_7:': u'\U00000037\U0000FE0F\U000020E3',
    u':teclas_8:': u'\U00000038\U0000FE0F\U000020E3',
    u':teclas_9:': u'\U00000039\U0000FE0F\U000020E3',
    u':teclas_10:': u'\U0001F51F',
    u':letras_latinas_mayúsculas:': u'\U0001F520',
    u':letras_latinas_minúsculas:': u'\U0001F521',
    u':números:': u'\U0001F522',
    u':símbolos:': u'\U0001F523',
    u':alfabeto_latino:': u'\U0001F524',
    u':grupo_sanguíneo_a:': u'\U0001F170\U0000FE0F',
    u':grupo_sanguíneo_ab:': u'\U0001F18E',
    u':grupo_sanguíneo_b:': u'\U0001F171\U0000FE0F',
    u':borrar:': u'\U0001F191',
    u':botón_cool:': u'\U0001F192',
    u':botón_free:': u'\U0001F193',
    u':información:': u'\U00002139\U0000FE0F',
    u':símbolo_de_identificación:': u'\U0001F194',
    u':m_en_círculo:': u'\U000024C2\U0000FE0F',
    u':botón_new:': u'\U0001F195',
    u':botón_ng:': u'\U0001F196',
    u':grupo_sanguíneo_tipo_o:': u'\U0001F17E\U0000FE0F',
    u':botón_ok:': u'\U0001F197',
    u':aparcamiento:': u'\U0001F17F\U0000FE0F',
    u':símbolo_de_socorro:': u'\U0001F198',
    u':botón_up!:': u'\U0001F199',
    u':botón_vs:': u'\U0001F19A',
    u':ideograma_japonés_para_aquí:': u'\U0001F201',
    u':ideograma_japonés_para_de_cortesía:': u'\U0001F202\U0000FE0F',
    u':ideograma_japonés_para_cantidad_mensual:': u'\U0001F237\U0000FE0F',
    u':ideograma_japonés_para_de_pago:': u'\U0001F236',
    u':ideograma_japonés_para_reservado:': u'\U0001F22F',
    u':ideograma_japonés_para_ganga:': u'\U0001F250',
    u':ideograma_japonés_para_descuento:': u'\U0001F239',
    u':ideograma_japonés_para_gratis:': u'\U0001F21A',
    u':ideograma_japonés_para_prohibido:': u'\U0001F232',
    u':ideograma_japonés_para_aceptable:': u'\U0001F251',
    u':ideograma_japonés_para_aplicación:': u'\U0001F238',
    u':ideograma_japonés_para_aprobado:': u'\U0001F234',
    u':ideograma_japonés_para_vacante:': u'\U0001F233',
    u':ideograma_japonés_para_enhorabuena:': u'\U00003297\U0000FE0F',
    u':ideograma_japonés_para_secreto:': u'\U00003299\U0000FE0F',
    u':ideograma_japonés_para_abierto:': u'\U0001F23A',
    u':ideograma_japonés_para_completo:': u'\U0001F235',
    u':círculo_rojo_grande:': u'\U0001F534',
    u':círculo_naranja:': u'\U0001F7E0',
    u':círculo_amarillo:': u'\U0001F7E1',
    u':círculo_verde:': u'\U0001F7E2',
    u':círculo_azul_grande:': u'\U0001F535',
    u':círculo_morado:': u'\U0001F7E3',
    u':círculo_marrón:': u'\U0001F7E4',
    u':círculo_negro:': u'\U000026AB',
    u':círculo_blanco:': u'\U000026AA',
    u':cuadrado_rojo:': u'\U0001F7E5',
    u':cuadrado_naranja:': u'\U0001F7E7',
    u':cuadrado_amarillo:': u'\U0001F7E8',
    u':cuadrado_verde:': u'\U0001F7E9',
    u':cuadrado_azul:': u'\U0001F7E6',
    u':cuadrado_morado:': u'\U0001F7EA',
    u':cuadrado_marrón:': u'\U0001F7EB',
    u':cuadrado_negro_grande:': u'\U00002B1B',
    u':cuadrado_blanco_grande:': u'\U00002B1C',
    u':cuadrado_negro_mediano:': u'\U000025FC\U0000FE0F',
    u':cuadrado_blanco_mediano:': u'\U000025FB\U0000FE0F',
    u':cuadrado_negro_mediano-pequeño:': u'\U000025FE',
    u':cuadrado_blanco_mediano-pequeño:': u'\U000025FD',
    u':cuadrado_negro_pequeño:': u'\U000025AA\U0000FE0F',
    u':cuadrado_blanco_pequeño:': u'\U000025AB\U0000FE0F',
    u':rombo_naranja_grande:': u'\U0001F536',
    u':rombo_azul_grande:': u'\U0001F537',
    u':rombo_naranja_pequeño:': u'\U0001F538',
    u':rombo_azul_pequeño:': u'\U0001F539',
    u':triángulo_rojo_hacia_arriba:': u'\U0001F53A',
    u':triángulo_rojo_hacia_abajo:': u'\U0001F53B',
    u':rombo_con_pétalo:': u'\U0001F4A0',
    u':botón_de_opción:': u'\U0001F518',
    u':botón_cuadrado_con_borde_blanco:': u'\U0001F533',
    u':botón_cuadrado_con_borde_negro:': u'\U0001F532',
    u':bandera_de_cuadros:': u'\U0001F3C1',
    u':bandera_triangular:': u'\U0001F6A9',
    u':banderas_cruzadas:': u'\U0001F38C',
    u':bandera_negra:': u'\U0001F3F4',
    u':bandera_blanca:': u'\U0001F3F3\U0000FE0F',
    u':bandera_del_arcoíris:': u'\U0001F3F3\U0000FE0F\U0000200D\U0001F308',
    u':bandera_transgénero:': u'\U0001F3F3\U0000FE0F\U0000200D\U000026A7\U0000FE0F',
    u':bandera_pirata:': u'\U0001F3F4\U0000200D\U00002620\U0000FE0F',
    u':bandera_isla_de_la_ascensión:': u'\U0001F1E6\U0001F1E8',
    u':bandera_andorra:': u'\U0001F1E6\U0001F1E9',
    u':bandera_emiratos_árabes_unidos:': u'\U0001F1E6\U0001F1EA',
    u':bandera_afganistán:': u'\U0001F1E6\U0001F1EB',
    u':bandera_antigua_y_barbuda:': u'\U0001F1E6\U0001F1EC',
    u':bandera_anguila:': u'\U0001F1E6\U0001F1EE',
    u':bandera_albania:': u'\U0001F1E6\U0001F1F1',
    u':bandera_armenia:': u'\U0001F1E6\U0001F1F2',
    u':bandera_angola:': u'\U0001F1E6\U0001F1F4',
    u':bandera_antártida:': u'\U0001F1E6\U0001F1F6',
    u':bandera_argentina:': u'\U0001F1E6\U0001F1F7',
    u':bandera_samoa_americana:': u'\U0001F1E6\U0001F1F8',
    u':bandera_austria:': u'\U0001F1E6\U0001F1F9',
    u':bandera_australia:': u'\U0001F1E6\U0001F1FA',
    u':bandera_aruba:': u'\U0001F1E6\U0001F1FC',
    u':bandera_islas_?_land:': u'\U0001F1E6\U0001F1FD',
    u':bandera_azerbaiyán:': u'\U0001F1E6\U0001F1FF',
    u':bandera_bosnia_y_herzegovina:': u'\U0001F1E7\U0001F1E6',
    u':bandera_barbados:': u'\U0001F1E7\U0001F1E7',
    u':bandera_bangladés:': u'\U0001F1E7\U0001F1E9',
    u':bandera_bélgica:': u'\U0001F1E7\U0001F1EA',
    u':bandera_burkina_faso:': u'\U0001F1E7\U0001F1EB',
    u':bandera_bulgaria:': u'\U0001F1E7\U0001F1EC',
    u':bandera_baréin:': u'\U0001F1E7\U0001F1ED',
    u':bandera_burundi:': u'\U0001F1E7\U0001F1EE',
    u':bandera_benín:': u'\U0001F1E7\U0001F1EF',
    u':bandera_san_bartolomé:': u'\U0001F1E7\U0001F1F1',
    u':bandera_bermudas:': u'\U0001F1E7\U0001F1F2',
    u':bandera_brunéi:': u'\U0001F1E7\U0001F1F3',
    u':bandera_bolivia:': u'\U0001F1E7\U0001F1F4',
    u':bandera_caribe_neerlandés:': u'\U0001F1E7\U0001F1F6',
    u':bandera_brasil:': u'\U0001F1E7\U0001F1F7',
    u':bandera_bahamas:': u'\U0001F1E7\U0001F1F8',
    u':bandera_bután:': u'\U0001F1E7\U0001F1F9',
    u':bandera_isla_bouvet:': u'\U0001F1E7\U0001F1FB',
    u':bandera_botsuana:': u'\U0001F1E7\U0001F1FC',
    u':bandera_bielorrusia:': u'\U0001F1E7\U0001F1FE',
    u':bandera_belice:': u'\U0001F1E7\U0001F1FF',
    u':bandera_canadá:': u'\U0001F1E8\U0001F1E6',
    u':bandera_islas_cocos:': u'\U0001F1E8\U0001F1E8',
    u':bandera_república_democrática_del_congo:': u'\U0001F1E8\U0001F1E9',
    u':bandera_república_centroafricana:': u'\U0001F1E8\U0001F1EB',
    u':bandera_congo:': u'\U0001F1E8\U0001F1EC',
    u':bandera_suiza:': u'\U0001F1E8\U0001F1ED',
    u':bandera_côte_d’ivoire:': u'\U0001F1E8\U0001F1EE',
    u':bandera_islas_cook:': u'\U0001F1E8\U0001F1F0',
    u':bandera_chile:': u'\U0001F1E8\U0001F1F1',
    u':bandera_camerún:': u'\U0001F1E8\U0001F1F2',
    u':bandera_china:': u'\U0001F1E8\U0001F1F3',
    u':bandera_colombia:': u'\U0001F1E8\U0001F1F4',
    u':bandera_isla_clipperton:': u'\U0001F1E8\U0001F1F5',
    u':bandera_costa_rica:': u'\U0001F1E8\U0001F1F7',
    u':bandera_cuba:': u'\U0001F1E8\U0001F1FA',
    u':bandera_cabo_verde:': u'\U0001F1E8\U0001F1FB',
    u':bandera_curazao:': u'\U0001F1E8\U0001F1FC',
    u':bandera_isla_de_navidad:': u'\U0001F1E8\U0001F1FD',
    u':bandera_chipre:': u'\U0001F1E8\U0001F1FE',
    u':bandera_chequia:': u'\U0001F1E8\U0001F1FF',
    u':bandera_alemania:': u'\U0001F1E9\U0001F1EA',
    u':bandera_diego_garcía:': u'\U0001F1E9\U0001F1EC',
    u':bandera_yibuti:': u'\U0001F1E9\U0001F1EF',
    u':bandera_dinamarca:': u'\U0001F1E9\U0001F1F0',
    u':bandera_dominica:': u'\U0001F1E9\U0001F1F2',
    u':bandera_república_dominicana:': u'\U0001F1E9\U0001F1F4',
    u':bandera_argelia:': u'\U0001F1E9\U0001F1FF',
    u':bandera_ceuta_y_melilla:': u'\U0001F1EA\U0001F1E6',
    u':bandera_ecuador:': u'\U0001F1EA\U0001F1E8',
    u':bandera_estonia:': u'\U0001F1EA\U0001F1EA',
    u':bandera_egipto:': u'\U0001F1EA\U0001F1EC',
    u':bandera_sáhara_occidental:': u'\U0001F1EA\U0001F1ED',
    u':bandera_eritrea:': u'\U0001F1EA\U0001F1F7',
    u':bandera_españa:': u'\U0001F1EA\U0001F1F8',
    u':bandera_etiopía:': u'\U0001F1EA\U0001F1F9',
    u':bandera_unión_europea:': u'\U0001F1EA\U0001F1FA',
    u':bandera_finlandia:': u'\U0001F1EB\U0001F1EE',
    u':bandera_fiyi:': u'\U0001F1EB\U0001F1EF',
    u':bandera_islas_malvinas:': u'\U0001F1EB\U0001F1F0',
    u':bandera_micronesia:': u'\U0001F1EB\U0001F1F2',
    u':bandera_islas_feroe:': u'\U0001F1EB\U0001F1F4',
    u':bandera_francia:': u'\U0001F1EB\U0001F1F7',
    u':bandera_gabón:': u'\U0001F1EC\U0001F1E6',
    u':bandera_reino_unido:': u'\U0001F1EC\U0001F1E7',
    u':bandera_granada:': u'\U0001F1EC\U0001F1E9',
    u':bandera_georgia:': u'\U0001F1EC\U0001F1EA',
    u':bandera_guayana_francesa:': u'\U0001F1EC\U0001F1EB',
    u':bandera_guernsey:': u'\U0001F1EC\U0001F1EC',
    u':bandera_ghana:': u'\U0001F1EC\U0001F1ED',
    u':bandera_gibraltar:': u'\U0001F1EC\U0001F1EE',
    u':bandera_groenlandia:': u'\U0001F1EC\U0001F1F1',
    u':bandera_gambia:': u'\U0001F1EC\U0001F1F2',
    u':bandera_guinea:': u'\U0001F1EC\U0001F1F3',
    u':bandera_guadalupe:': u'\U0001F1EC\U0001F1F5',
    u':bandera_guinea_ecuatorial:': u'\U0001F1EC\U0001F1F6',
    u':bandera_grecia:': u'\U0001F1EC\U0001F1F7',
    u':bandera_islas_georgia_del_sur_y_sandwich_del_sur:': u'\U0001F1EC\U0001F1F8',
    u':bandera_guatemala:': u'\U0001F1EC\U0001F1F9',
    u':bandera_guam:': u'\U0001F1EC\U0001F1FA',
    u':bandera_guinea-bisáu:': u'\U0001F1EC\U0001F1FC',
    u':bandera_guyana:': u'\U0001F1EC\U0001F1FE',
    u':bandera_rae_de_hong_kong_(china):': u'\U0001F1ED\U0001F1F0',
    u':bandera_islas_heard_y_mcdonald:': u'\U0001F1ED\U0001F1F2',
    u':bandera_honduras:': u'\U0001F1ED\U0001F1F3',
    u':bandera_croacia:': u'\U0001F1ED\U0001F1F7',
    u':bandera_haití:': u'\U0001F1ED\U0001F1F9',
    u':bandera_hungría:': u'\U0001F1ED\U0001F1FA',
    u':bandera_canarias:': u'\U0001F1EE\U0001F1E8',
    u':bandera_indonesia:': u'\U0001F1EE\U0001F1E9',
    u':bandera_irlanda:': u'\U0001F1EE\U0001F1EA',
    u':bandera_israel:': u'\U0001F1EE\U0001F1F1',
    u':bandera_isla_de_man:': u'\U0001F1EE\U0001F1F2',
    u':bandera_india:': u'\U0001F1EE\U0001F1F3',
    u':bandera_territorio_británico_del_océano_índico:': u'\U0001F1EE\U0001F1F4',
    u':bandera_irak:': u'\U0001F1EE\U0001F1F6',
    u':bandera_irán:': u'\U0001F1EE\U0001F1F7',
    u':bandera_islandia:': u'\U0001F1EE\U0001F1F8',
    u':bandera_italia:': u'\U0001F1EE\U0001F1F9',
    u':bandera_jersey:': u'\U0001F1EF\U0001F1EA',
    u':bandera_jamaica:': u'\U0001F1EF\U0001F1F2',
    u':bandera_jordania:': u'\U0001F1EF\U0001F1F4',
    u':bandera_japón:': u'\U0001F1EF\U0001F1F5',
    u':bandera_kenia:': u'\U0001F1F0\U0001F1EA',
    u':bandera_kirguistán:': u'\U0001F1F0\U0001F1EC',
    u':bandera_camboya:': u'\U0001F1F0\U0001F1ED',
    u':bandera_kiribati:': u'\U0001F1F0\U0001F1EE',
    u':bandera_comoras:': u'\U0001F1F0\U0001F1F2',
    u':bandera_san_cristóbal_y_nieves:': u'\U0001F1F0\U0001F1F3',
    u':bandera_corea_del_norte:': u'\U0001F1F0\U0001F1F5',
    u':bandera_corea_del_sur:': u'\U0001F1F0\U0001F1F7',
    u':bandera_kuwait:': u'\U0001F1F0\U0001F1FC',
    u':bandera_islas_caimán:': u'\U0001F1F0\U0001F1FE',
    u':bandera_kazajistán:': u'\U0001F1F0\U0001F1FF',
    u':bandera_laos:': u'\U0001F1F1\U0001F1E6',
    u':bandera_líbano:': u'\U0001F1F1\U0001F1E7',
    u':bandera_santa_lucía:': u'\U0001F1F1\U0001F1E8',
    u':bandera_liechtenstein:': u'\U0001F1F1\U0001F1EE',
    u':bandera_sri_lanka:': u'\U0001F1F1\U0001F1F0',
    u':bandera_liberia:': u'\U0001F1F1\U0001F1F7',
    u':bandera_lesoto:': u'\U0001F1F1\U0001F1F8',
    u':bandera_lituania:': u'\U0001F1F1\U0001F1F9',
    u':bandera_luxemburgo:': u'\U0001F1F1\U0001F1FA',
    u':bandera_letonia:': u'\U0001F1F1\U0001F1FB',
    u':bandera_libia:': u'\U0001F1F1\U0001F1FE',
    u':bandera_marruecos:': u'\U0001F1F2\U0001F1E6',
    u':bandera_mónaco:': u'\U0001F1F2\U0001F1E8',
    u':bandera_moldavia:': u'\U0001F1F2\U0001F1E9',
    u':bandera_montenegro:': u'\U0001F1F2\U0001F1EA',
    u':bandera_san_martín:': u'\U0001F1F2\U0001F1EB',
    u':bandera_madagascar:': u'\U0001F1F2\U0001F1EC',
    u':bandera_islas_marshall:': u'\U0001F1F2\U0001F1ED',
    u':bandera_macedonia_del_norte:': u'\U0001F1F2\U0001F1F0',
    u':bandera_mali:': u'\U0001F1F2\U0001F1F1',
    u':bandera_myanmar_(birmania):': u'\U0001F1F2\U0001F1F2',
    u':bandera_mongolia:': u'\U0001F1F2\U0001F1F3',
    u':bandera_rae_de_macao_(china):': u'\U0001F1F2\U0001F1F4',
    u':bandera_islas_marianas_del_norte:': u'\U0001F1F2\U0001F1F5',
    u':bandera_martinica:': u'\U0001F1F2\U0001F1F6',
    u':bandera_mauritania:': u'\U0001F1F2\U0001F1F7',
    u':bandera_montserrat:': u'\U0001F1F2\U0001F1F8',
    u':bandera_malta:': u'\U0001F1F2\U0001F1F9',
    u':bandera_mauricio:': u'\U0001F1F2\U0001F1FA',
    u':bandera_maldivas:': u'\U0001F1F2\U0001F1FB',
    u':bandera_malaui:': u'\U0001F1F2\U0001F1FC',
    u':bandera_méxico:': u'\U0001F1F2\U0001F1FD',
    u':bandera_malasia:': u'\U0001F1F2\U0001F1FE',
    u':bandera_mozambique:': u'\U0001F1F2\U0001F1FF',
    u':bandera_namibia:': u'\U0001F1F3\U0001F1E6',
    u':bandera_nueva_caledonia:': u'\U0001F1F3\U0001F1E8',
    u':bandera_níger:': u'\U0001F1F3\U0001F1EA',
    u':bandera_isla_norfolk:': u'\U0001F1F3\U0001F1EB',
    u':bandera_nigeria:': u'\U0001F1F3\U0001F1EC',
    u':bandera_nicaragua:': u'\U0001F1F3\U0001F1EE',
    u':bandera_países_bajos:': u'\U0001F1F3\U0001F1F1',
    u':bandera_noruega:': u'\U0001F1F3\U0001F1F4',
    u':bandera_nepal:': u'\U0001F1F3\U0001F1F5',
    u':bandera_nauru:': u'\U0001F1F3\U0001F1F7',
    u':bandera_niue:': u'\U0001F1F3\U0001F1FA',
    u':bandera_nueva_zelanda:': u'\U0001F1F3\U0001F1FF',
    u':bandera_omán:': u'\U0001F1F4\U0001F1F2',
    u':bandera_panamá:': u'\U0001F1F5\U0001F1E6',
    u':bandera_perú:': u'\U0001F1F5\U0001F1EA',
    u':bandera_polinesia_francesa:': u'\U0001F1F5\U0001F1EB',
    u':bandera_papúa_nueva_guinea:': u'\U0001F1F5\U0001F1EC',
    u':bandera_filipinas:': u'\U0001F1F5\U0001F1ED',
    u':bandera_pakistán:': u'\U0001F1F5\U0001F1F0',
    u':bandera_polonia:': u'\U0001F1F5\U0001F1F1',
    u':bandera_san_pedro_y_miquelón:': u'\U0001F1F5\U0001F1F2',
    u':bandera_islas_pitcairn:': u'\U0001F1F5\U0001F1F3',
    u':bandera_puerto_rico:': u'\U0001F1F5\U0001F1F7',
    u':bandera_territorios_palestinos:': u'\U0001F1F5\U0001F1F8',
    u':bandera_portugal:': u'\U0001F1F5\U0001F1F9',
    u':bandera_palaos:': u'\U0001F1F5\U0001F1FC',
    u':bandera_paraguay:': u'\U0001F1F5\U0001F1FE',
    u':bandera_catar:': u'\U0001F1F6\U0001F1E6',
    u':bandera_reunión:': u'\U0001F1F7\U0001F1EA',
    u':bandera_rumanía:': u'\U0001F1F7\U0001F1F4',
    u':bandera_serbia:': u'\U0001F1F7\U0001F1F8',
    u':bandera_rusia:': u'\U0001F1F7\U0001F1FA',
    u':bandera_ruanda:': u'\U0001F1F7\U0001F1FC',
    u':bandera_arabia_saudí:': u'\U0001F1F8\U0001F1E6',
    u':bandera_islas_salomón:': u'\U0001F1F8\U0001F1E7',
    u':bandera_seychelles:': u'\U0001F1F8\U0001F1E8',
    u':bandera_sudán:': u'\U0001F1F8\U0001F1E9',
    u':bandera_suecia:': u'\U0001F1F8\U0001F1EA',
    u':bandera_singapur:': u'\U0001F1F8\U0001F1EC',
    u':bandera_santa_elena:': u'\U0001F1F8\U0001F1ED',
    u':bandera_eslovenia:': u'\U0001F1F8\U0001F1EE',
    u':bandera_svalbard_y_jan_mayen:': u'\U0001F1F8\U0001F1EF',
    u':bandera_eslovaquia:': u'\U0001F1F8\U0001F1F0',
    u':bandera_sierra_leona:': u'\U0001F1F8\U0001F1F1',
    u':bandera_san_marino:': u'\U0001F1F8\U0001F1F2',
    u':bandera_senegal:': u'\U0001F1F8\U0001F1F3',
    u':bandera_somalia:': u'\U0001F1F8\U0001F1F4',
    u':bandera_surinam:': u'\U0001F1F8\U0001F1F7',
    u':bandera_sudán_del_sur:': u'\U0001F1F8\U0001F1F8',
    u':bandera_santo_tomé_y_príncipe:': u'\U0001F1F8\U0001F1F9',
    u':bandera_el_salvador:': u'\U0001F1F8\U0001F1FB',
    u':bandera_sint_maarten:': u'\U0001F1F8\U0001F1FD',
    u':bandera_siria:': u'\U0001F1F8\U0001F1FE',
    u':bandera_esuatini:': u'\U0001F1F8\U0001F1FF',
    u':bandera_tristán_de_acuña:': u'\U0001F1F9\U0001F1E6',
    u':bandera_islas_turcas_y_caicos:': u'\U0001F1F9\U0001F1E8',
    u':bandera_chad:': u'\U0001F1F9\U0001F1E9',
    u':bandera_territorios_australes_franceses:': u'\U0001F1F9\U0001F1EB',
    u':bandera_togo:': u'\U0001F1F9\U0001F1EC',
    u':bandera_tailandia:': u'\U0001F1F9\U0001F1ED',
    u':bandera_tayikistán:': u'\U0001F1F9\U0001F1EF',
    u':bandera_tokelau:': u'\U0001F1F9\U0001F1F0',
    u':bandera_timor-leste:': u'\U0001F1F9\U0001F1F1',
    u':bandera_turkmenistán:': u'\U0001F1F9\U0001F1F2',
    u':bandera_túnez:': u'\U0001F1F9\U0001F1F3',
    u':bandera_tonga:': u'\U0001F1F9\U0001F1F4',
    u':bandera_turquía:': u'\U0001F1F9\U0001F1F7',
    u':bandera_trinidad_y_tobago:': u'\U0001F1F9\U0001F1F9',
    u':bandera_tuvalu:': u'\U0001F1F9\U0001F1FB',
    u':bandera_taiwán:': u'\U0001F1F9\U0001F1FC',
    u':bandera_tanzania:': u'\U0001F1F9\U0001F1FF',
    u':bandera_ucrania:': u'\U0001F1FA\U0001F1E6',
    u':bandera_uganda:': u'\U0001F1FA\U0001F1EC',
    u':bandera_islas_menores_alejadas_de_ee._uu.:': u'\U0001F1FA\U0001F1F2',
    u':bandera_naciones_unidas:': u'\U0001F1FA\U0001F1F3',
    u':bandera_estados_unidos:': u'\U0001F1FA\U0001F1F8',
    u':bandera_uruguay:': u'\U0001F1FA\U0001F1FE',
    u':bandera_uzbekistán:': u'\U0001F1FA\U0001F1FF',
    u':bandera_ciudad_del_vaticano:': u'\U0001F1FB\U0001F1E6',
    u':bandera_san_vicente_y_las_granadinas:': u'\U0001F1FB\U0001F1E8',
    u':bandera_venezuela:': u'\U0001F1FB\U0001F1EA',
    u':bandera_islas_vírgenes_británicas:': u'\U0001F1FB\U0001F1EC',
    u':bandera_islas_vírgenes_de_ee._uu.:': u'\U0001F1FB\U0001F1EE',
    u':bandera_vietnam:': u'\U0001F1FB\U0001F1F3',
    u':bandera_vanuatu:': u'\U0001F1FB\U0001F1FA',
    u':bandera_wallis_y_futuna:': u'\U0001F1FC\U0001F1EB',
    u':bandera_samoa:': u'\U0001F1FC\U0001F1F8',
    u':bandera_kosovo:': u'\U0001F1FD\U0001F1F0',
    u':bandera_yemen:': u'\U0001F1FE\U0001F1EA',
    u':bandera_mayotte:': u'\U0001F1FE\U0001F1F9',
    u':bandera_sudáfrica:': u'\U0001F1FF\U0001F1E6',
    u':bandera_zambia:': u'\U0001F1FF\U0001F1F2',
    u':bandera_zimbabue:': u'\U0001F1FF\U0001F1FC',
    u':bandera_inglaterra:': u'\U0001F3F4\U000E0067\U000E0062\U000E0065\U000E006E\U000E0067\U000E007F',
    u':bandera_escocia:': u'\U0001F3F4\U000E0067\U000E0062\U000E0073\U000E0063\U000E0074\U000E007F',
    u':bandera_gales:': u'\U0001F3F4\U000E0067\U000E0062\U000E0077\U000E006C\U000E0073\U000E007F'
}

EMOJI_UNICODE_PORTUGUESE = {
    u':rosto_risonho:': u'\U0001F600',
    u':rosto_risonho_com_olhos_bem_abertos:': u'\U0001F603',
    u':rosto_risonho_com_olhos_sorridentes:': u'\U0001F604',
    u':rosto_contente_com_olhos_sorridentes:': u'\U0001F601',
    u':rosto_risonho_com_olhos_semicerrados:': u'\U0001F606',
    u':rosto_risonho_com_gota_de_suor:': u'\U0001F605',
    u':rolando_no_chão_de_rir:': u'\U0001F923',
    u':rosto_chorando_de_rir:': u'\U0001F602',
    u':rosto_levemente_sorridente:': u'\U0001F642',
    u':rosto_de_cabeça_para_baixo:': u'\U0001F643',
    u':rosto_com_olho_piscando:': u'\U0001F609',
    u':rosto_sorridente_com_olhos_sorridentes:': u'\U0001F60A',
    u':rosto_sorridente_com_auréola:': u'\U0001F607',
    u':rosto_sorridente_com_3_corações:': u'\U0001F970',
    u':rosto_sorridente_com_olhos_de_coração:': u'\U0001F60D',
    u':rosto_com_olhar_maravilhado:': u'\U0001F929',
    u':rosto_mandando_um_beijo:': u'\U0001F618',
    u':rosto_beijando:': u'\U0001F617',
    u':rosto_sorridente:': u'\U0000263A\U0000FE0F',
    u':rosto_beijando_com_olhos_fechados:': u'\U0001F61A',
    u':rosto_beijando_com_olhos_sorridentes:': u'\U0001F619',
    u':rosto_sorridente_com_lágrima:': u'\U0001F972',
    u':rosto_saboreando_comida:': u'\U0001F60B',
    u':rosto_mostrando_a_língua:': u'\U0001F61B',
    u':rosto_piscando_e_com_língua_para_fora:': u'\U0001F61C',
    u':rosto_bizarro:': u'\U0001F92A',
    u':rosto_com_olhos_semicerrados_e_língua_para_fora:': u'\U0001F61D',
    u':rosto_com_cifrões:': u'\U0001F911',
    u':rosto_abraçando:': u'\U0001F917',
    u':rosto_com_a_mão_sobre_a_boca:': u'\U0001F92D',
    u':rosto_fazendo_sinal_de_silêncio:': u'\U0001F92B',
    u':rosto_pensativo:': u'\U0001F914',
    u':rosto_com_boca_de_zíper:': u'\U0001F910',
    u':rosto_com_sobrancelha_levantada:': u'\U0001F928',
    u':rosto_neutro:': u'\U0001F610',
    u':rosto_inexpressivo:': u'\U0001F611',
    u':rosto_sem_boca:': u'\U0001F636',
    u':rosto_com_sorriso_maroto:': u'\U0001F60F',
    u':rosto_aborrecido:': u'\U0001F612',
    u':rosto_com_olhos_revirados:': u'\U0001F644',
    u':rosto_expressando_desagrado:': u'\U0001F62C',
    u':rosto_de_mentiroso:': u'\U0001F925',
    u':rosto_aliviado:': u'\U0001F60C',
    u':rosto_deprimido:': u'\U0001F614',
    u':rosto_sonolento:': u'\U0001F62A',
    u':rosto_babando:': u'\U0001F924',
    u':rosto_dormindo:': u'\U0001F634',
    u':rosto_com_máscara_médica:': u'\U0001F637',
    u':rosto_com_termômetro:': u'\U0001F912',
    u':rosto_com_atadura_na_cabeça:': u'\U0001F915',
    u':rosto_nauseado:': u'\U0001F922',
    u':rosto_vomitando:': u'\U0001F92E',
    u':rosto_espirrando:': u'\U0001F927',
    u':rosto_fervendo_de_calor:': u'\U0001F975',
    u':rosto_gelado:': u'\U0001F976',
    u':rosto_embriagado:': u'\U0001F974',
    u':rosto_atordoado:': u'\U0001F635',
    u':cabeça_explodindo:': u'\U0001F92F',
    u':rosto_com_chapéu_de_caubói:': u'\U0001F920',
    u':rosto_festivo:': u'\U0001F973',
    u':rosto_disfarçado:': u'\U0001F978',
    u':rosto_sorridente_com_óculos_escuros:': u'\U0001F60E',
    u':rosto_de_nerd:': u'\U0001F913',
    u':rosto_com_monóculo:': u'\U0001F9D0',
    u':rosto_confuso:': u'\U0001F615',
    u':rosto_preocupado:': u'\U0001F61F',
    u':rosto_meio_triste:': u'\U0001F641',
    u':rosto_descontente:': u'\U00002639\U0000FE0F',
    u':rosto_com_boca_aberta:': u'\U0001F62E',
    u':rosto_surpreso:': u'\U0001F62F',
    u':rosto_espantado:': u'\U0001F632',
    u':rosto_ruborizado:': u'\U0001F633',
    u':rosto_implorando:': u'\U0001F97A',
    u':rosto_franzido_com_boca_aberta:': u'\U0001F626',
    u':rosto_angustiado:': u'\U0001F627',
    u':rosto_amedrontado:': u'\U0001F628',
    u':rosto_ansioso_com_gota_de_suor:': u'\U0001F630',
    u':rosto_triste_mas_aliviado:': u'\U0001F625',
    u':rosto_chorando:': u'\U0001F622',
    u':rosto_chorando_aos_berros:': u'\U0001F62D',
    u':rosto_gritando_de_medo:': u'\U0001F631',
    u':rosto_perplexo:': u'\U0001F616',
    u':rosto_perseverante:': u'\U0001F623',
    u':rosto_desapontado:': u'\U0001F61E',
    u':rosto_cabisbaixo_com_gota_de_suor:': u'\U0001F613',
    u':rosto_desolado:': u'\U0001F629',
    u':rosto_cansado:': u'\U0001F62B',
    u':rosto_bocejando:': u'\U0001F971',
    u':rosto_soltando_vapor_pelo_nariz:': u'\U0001F624',
    u':rosto_furioso:': u'\U0001F621',
    u':rosto_zangado:': u'\U0001F620',
    u':rosto_com_símbolos_na_boca:': u'\U0001F92C',
    u':rosto_sorridente_com_chifres:': u'\U0001F608',
    u':rosto_zangado_com_chifres:': u'\U0001F47F',
    u':caveira:': u'\U0001F480',
    u':caveira_e_ossos_cruzados:': u'\U00002620\U0000FE0F',
    u':cocô:': u'\U0001F4A9',
    u':rosto_de_palhaço:': u'\U0001F921',
    u':ogro:': u'\U0001F479',
    u':duende_japonês:': u'\U0001F47A',
    u':fantasma:': u'\U0001F47B',
    u':alienígena:': u'\U0001F47D',
    u':monstro_alienígena:': u'\U0001F47E',
    u':rosto_de_robô:': u'\U0001F916',
    u':rosto_de_gato_sorrindo:': u'\U0001F63A',
    u':rosto_de_gato_sorrindo_com_olhos_sorridentes:': u'\U0001F638',
    u':rosto_de_gato_com_lágrimas_de_alegria:': u'\U0001F639',
    u':rosto_de_gato_sorridente_com_olhos_de_coração:': u'\U0001F63B',
    u':rosto_de_gato_com_sorriso_irônico:': u'\U0001F63C',
    u':rosto_de_gato_mandando_um_beijo:': u'\U0001F63D',
    u':rosto_de_gato_desolado:': u'\U0001F640',
    u':rosto_de_gato_chorando:': u'\U0001F63F',
    u':rosto_de_gato_mal-humorado:': u'\U0001F63E',
    u':macaco_que_não_vê_nada:': u'\U0001F648',
    u':macaco_que_não_ouve_nada:': u'\U0001F649',
    u':macaco_que_não_fala_nada:': u'\U0001F64A',
    u':marca_de_beijo:': u'\U0001F48B',
    u':carta_de_amor:': u'\U0001F48C',
    u':coração_com_flecha:': u'\U0001F498',
    u':coração_com_fita:': u'\U0001F49D',
    u':coração_brilhante:': u'\U0001F496',
    u':coração_crescendo:': u'\U0001F497',
    u':coração_pulsante:': u'\U0001F493',
    u':corações_girando:': u'\U0001F49E',
    u':dois_corações:': u'\U0001F495',
    u':coração_decorativo:': u'\U0001F49F',
    u':exclamação_de_coração:': u'\U00002763\U0000FE0F',
    u':coração_partido:': u'\U0001F494',
    u':coração_vermelho:': u'\U00002764\U0000FE0F',
    u':coração_laranja:': u'\U0001F9E1',
    u':coração_amarelo:': u'\U0001F49B',
    u':coração_verde:': u'\U0001F49A',
    u':coração_azul:': u'\U0001F499',
    u':coração_roxo:': u'\U0001F49C',
    u':coração_marrom:': u'\U0001F90E',
    u':coração_preto:': u'\U0001F5A4',
    u':coração_branco:': u'\U0001F90D',
    u':cem_pontos:': u'\U0001F4AF',
    u':símbolo_de_raiva:': u'\U0001F4A2',
    u':colisão:': u'\U0001F4A5',
    u':zonzo:': u'\U0001F4AB',
    u':pingos_de_suor:': u'\U0001F4A6',
    u':rapidez:': u'\U0001F4A8',
    u':buraco:': u'\U0001F573\U0000FE0F',
    u':bomba:': u'\U0001F4A3',
    u':balão_de_diálogo:': u'\U0001F4AC',
    u':olho_no_balão_de_diálogo:': u'\U0001F441\U0000FE0F\U0000200D\U0001F5E8\U0000FE0F',
    u':balão_de_diálogo_à_esquerda:': u'\U0001F5E8\U0000FE0F',
    u':balão_de_raiva_à_direita:': u'\U0001F5EF\U0000FE0F',
    u':balão_de_pensamento:': u'\U0001F4AD',
    u':zzz:': u'\U0001F4A4',
    u':mão_acenando:': u'\U0001F44B',
    u':mão_acenando_pele_clara:': u'\U0001F44B\U0001F3FB',
    u':mão_acenando_pele_morena_clara:': u'\U0001F44B\U0001F3FC',
    u':mão_acenando_pele_morena:': u'\U0001F44B\U0001F3FD',
    u':mão_acenando_pele_morena_escura:': u'\U0001F44B\U0001F3FE',
    u':mão_acenando_pele_escura:': u'\U0001F44B\U0001F3FF',
    u':dorso_da_mão_levantado:': u'\U0001F91A',
    u':dorso_da_mão_levantado_pele_clara:': u'\U0001F91A\U0001F3FB',
    u':dorso_da_mão_levantado_pele_morena_clara:': u'\U0001F91A\U0001F3FC',
    u':dorso_da_mão_levantado_pele_morena:': u'\U0001F91A\U0001F3FD',
    u':dorso_da_mão_levantado_pele_morena_escura:': u'\U0001F91A\U0001F3FE',
    u':dorso_da_mão_levantado_pele_escura:': u'\U0001F91A\U0001F3FF',
    u':mão_aberta_com_os_dedos_separados:': u'\U0001F590\U0000FE0F',
    u':mão_aberta_com_os_dedos_separados_pele_clara:': u'\U0001F590\U0001F3FB',
    u':mão_aberta_com_os_dedos_separados_pele_morena_clara:': u'\U0001F590\U0001F3FC',
    u':mão_aberta_com_os_dedos_separados_pele_morena:': u'\U0001F590\U0001F3FD',
    u':mão_aberta_com_os_dedos_separados_pele_morena_escura:': u'\U0001F590\U0001F3FE',
    u':mão_aberta_com_os_dedos_separados_pele_escura:': u'\U0001F590\U0001F3FF',
    u':mão_levantada:': u'\U0000270B',
    u':mão_levantada_pele_clara:': u'\U0000270B\U0001F3FB',
    u':mão_levantada_pele_morena_clara:': u'\U0000270B\U0001F3FC',
    u':mão_levantada_pele_morena:': u'\U0000270B\U0001F3FD',
    u':mão_levantada_pele_morena_escura:': u'\U0000270B\U0001F3FE',
    u':mão_levantada_pele_escura:': u'\U0000270B\U0001F3FF',
    u':saudação_vulcana:': u'\U0001F596',
    u':saudação_vulcana_pele_clara:': u'\U0001F596\U0001F3FB',
    u':saudação_vulcana_pele_morena_clara:': u'\U0001F596\U0001F3FC',
    u':saudação_vulcana_pele_morena:': u'\U0001F596\U0001F3FD',
    u':saudação_vulcana_pele_morena_escura:': u'\U0001F596\U0001F3FE',
    u':saudação_vulcana_pele_escura:': u'\U0001F596\U0001F3FF',
    u':sinal_de_ok:': u'\U0001F44C',
    u':sinal_de_ok_pele_clara:': u'\U0001F44C\U0001F3FB',
    u':sinal_de_ok_pele_morena_clara:': u'\U0001F44C\U0001F3FC',
    u':sinal_de_ok_pele_morena:': u'\U0001F44C\U0001F3FD',
    u':sinal_de_ok_pele_morena_escura:': u'\U0001F44C\U0001F3FE',
    u':sinal_de_ok_pele_escura:': u'\U0001F44C\U0001F3FF',
    u':dedos_comprimidos:': u'\U0001F90C',
    u':dedos_comprimidos_pele_clara:': u'\U0001F90C\U0001F3FB',
    u':dedos_comprimidos_pele_morena_clara:': u'\U0001F90C\U0001F3FC',
    u':dedos_comprimidos_pele_morena:': u'\U0001F90C\U0001F3FD',
    u':dedos_comprimidos_pele_morena_escura:': u'\U0001F90C\U0001F3FE',
    u':dedos_comprimidos_pele_escura:': u'\U0001F90C\U0001F3FF',
    u':mão_beliscando:': u'\U0001F90F',
    u':mão_beliscando_pele_clara:': u'\U0001F90F\U0001F3FB',
    u':mão_beliscando_pele_morena_clara:': u'\U0001F90F\U0001F3FC',
    u':mão_beliscando_pele_morena:': u'\U0001F90F\U0001F3FD',
    u':mão_beliscando_pele_morena_escura:': u'\U0001F90F\U0001F3FE',
    u':mão_beliscando_pele_escura:': u'\U0001F90F\U0001F3FF',
    u':mão_em_v_de_vitória:': u'\U0000270C',
    u':mão_em_v_de_vitória_selector:': u'\U0000270C\U0000FE0F',
    u':mão_em_v_de_vitória_pele_clara:': u'\U0000270C\U0001F3FB',
    u':mão_em_v_de_vitória_pele_morena_clara:': u'\U0000270C\U0001F3FC',
    u':mão_em_v_de_vitória_pele_morena:': u'\U0000270C\U0001F3FD',
    u':mão_em_v_de_vitória_pele_morena_escura:': u'\U0000270C\U0001F3FE',
    u':mão_em_v_de_vitória_pele_escura:': u'\U0000270C\U0001F3FF',
    u':dedos_cruzados:': u'\U0001F91E',
    u':dedos_cruzados_pele_clara:': u'\U0001F91E\U0001F3FB',
    u':dedos_cruzados_pele_morena_clara:': u'\U0001F91E\U0001F3FC',
    u':dedos_cruzados_pele_morena:': u'\U0001F91E\U0001F3FD',
    u':dedos_cruzados_pele_morena_escura:': u'\U0001F91E\U0001F3FE',
    u':dedos_cruzados_pele_escura:': u'\U0001F91E\U0001F3FF',
    u':gesto_de_te_amo:': u'\U0001F91F',
    u':gesto_de_te_amo_pele_clara:': u'\U0001F91F\U0001F3FB',
    u':gesto_de_te_amo_pele_morena_clara:': u'\U0001F91F\U0001F3FC',
    u':gesto_de_te_amo_pele_morena:': u'\U0001F91F\U0001F3FD',
    u':gesto_de_te_amo_pele_morena_escura:': u'\U0001F91F\U0001F3FE',
    u':gesto_de_te_amo_pele_escura:': u'\U0001F91F\U0001F3FF',
    u':saudação_do_rock:': u'\U0001F918',
    u':saudação_do_rock_pele_clara:': u'\U0001F918\U0001F3FB',
    u':saudação_do_rock_pele_morena_clara:': u'\U0001F918\U0001F3FC',
    u':saudação_do_rock_pele_morena:': u'\U0001F918\U0001F3FD',
    u':saudação_do_rock_pele_morena_escura:': u'\U0001F918\U0001F3FE',
    u':saudação_do_rock_pele_escura:': u'\U0001F918\U0001F3FF',
    u':sinal_me_liga:': u'\U0001F919',
    u':sinal_me_liga_pele_clara:': u'\U0001F919\U0001F3FB',
    u':sinal_me_liga_pele_morena_clara:': u'\U0001F919\U0001F3FC',
    u':sinal_me_liga_pele_morena:': u'\U0001F919\U0001F3FD',
    u':sinal_me_liga_pele_morena_escura:': u'\U0001F919\U0001F3FE',
    u':sinal_me_liga_pele_escura:': u'\U0001F919\U0001F3FF',
    u':dorso_da_mão_com_dedo_indicador_apontando_para_a_esquerda:': u'\U0001F448',
    u':dorso_da_mão_com_dedo_indicador_apontando_para_a_esquerda_pele_clara:': u'\U0001F448\U0001F3FB',
    u':dorso_da_mão_com_dedo_indicador_apontando_para_a_esquerda_pele_morena_clara:': u'\U0001F448\U0001F3FC',
    u':dorso_da_mão_com_dedo_indicador_apontando_para_a_esquerda_pele_morena:': u'\U0001F448\U0001F3FD',
    u':dorso_da_mão_com_dedo_indicador_apontando_para_a_esquerda_pele_morena_escura:': u'\U0001F448\U0001F3FE',
    u':dorso_da_mão_com_dedo_indicador_apontando_para_a_esquerda_pele_escura:': u'\U0001F448\U0001F3FF',
    u':dorso_da_mão_com_dedo_indicador_apontando_para_a_direita:': u'\U0001F449',
    u':dorso_da_mão_com_dedo_indicador_apontando_para_a_direita_pele_clara:': u'\U0001F449\U0001F3FB',
    u':dorso_da_mão_com_dedo_indicador_apontando_para_a_direita_pele_morena_clara:': u'\U0001F449\U0001F3FC',
    u':dorso_da_mão_com_dedo_indicador_apontando_para_a_direita_pele_morena:': u'\U0001F449\U0001F3FD',
    u':dorso_da_mão_com_dedo_indicador_apontando_para_a_direita_pele_morena_escura:': u'\U0001F449\U0001F3FE',
    u':dorso_da_mão_com_dedo_indicador_apontando_para_a_direita_pele_escura:': u'\U0001F449\U0001F3FF',
    u':dorso_da_mão_com_dedo_indicador_apontando_para_cima:': u'\U0001F446',
    u':dorso_da_mão_com_dedo_indicador_apontando_para_cima_pele_clara:': u'\U0001F446\U0001F3FB',
    u':dorso_da_mão_com_dedo_indicador_apontando_para_cima_pele_morena_clara:': u'\U0001F446\U0001F3FC',
    u':dorso_da_mão_com_dedo_indicador_apontando_para_cima_pele_morena:': u'\U0001F446\U0001F3FD',
    u':dorso_da_mão_com_dedo_indicador_apontando_para_cima_pele_morena_escura:': u'\U0001F446\U0001F3FE',
    u':dorso_da_mão_com_dedo_indicador_apontando_para_cima_pele_escura:': u'\U0001F446\U0001F3FF',
    u':dedo_do_meio:': u'\U0001F595',
    u':dedo_do_meio_pele_clara:': u'\U0001F595\U0001F3FB',
    u':dedo_do_meio_pele_morena_clara:': u'\U0001F595\U0001F3FC',
    u':dedo_do_meio_pele_morena:': u'\U0001F595\U0001F3FD',
    u':dedo_do_meio_pele_morena_escura:': u'\U0001F595\U0001F3FE',
    u':dedo_do_meio_pele_escura:': u'\U0001F595\U0001F3FF',
    u':dorso_da_mão_com_dedo_indicador_apontando_para_baixo:': u'\U0001F447',
    u':dorso_da_mão_com_dedo_indicador_apontando_para_baixo_pele_clara:': u'\U0001F447\U0001F3FB',
    u':dorso_da_mão_com_dedo_indicador_apontando_para_baixo_pele_morena_clara:': u'\U0001F447\U0001F3FC',
    u':dorso_da_mão_com_dedo_indicador_apontando_para_baixo_pele_morena:': u'\U0001F447\U0001F3FD',
    u':dorso_da_mão_com_dedo_indicador_apontando_para_baixo_pele_morena_escura:': u'\U0001F447\U0001F3FE',
    u':dorso_da_mão_com_dedo_indicador_apontando_para_baixo_pele_escura:': u'\U0001F447\U0001F3FF',
    u':indicador_apontando_para_cima:': u'\U0000261D',
    u':indicador_apontando_para_cima_selector:': u'\U0000261D\U0000FE0F',
    u':indicador_apontando_para_cima_pele_clara:': u'\U0000261D\U0001F3FB',
    u':indicador_apontando_para_cima_pele_morena_clara:': u'\U0000261D\U0001F3FC',
    u':indicador_apontando_para_cima_pele_morena:': u'\U0000261D\U0001F3FD',
    u':indicador_apontando_para_cima_pele_morena_escura:': u'\U0000261D\U0001F3FE',
    u':indicador_apontando_para_cima_pele_escura:': u'\U0000261D\U0001F3FF',
    u':polegar_para_cima:': u'\U0001F44D',
    u':polegar_para_cima_pele_clara:': u'\U0001F44D\U0001F3FB',
    u':polegar_para_cima_pele_morena_clara:': u'\U0001F44D\U0001F3FC',
    u':polegar_para_cima_pele_morena:': u'\U0001F44D\U0001F3FD',
    u':polegar_para_cima_pele_morena_escura:': u'\U0001F44D\U0001F3FE',
    u':polegar_para_cima_pele_escura:': u'\U0001F44D\U0001F3FF',
    u':polegar_para_baixo:': u'\U0001F44E',
    u':polegar_para_baixo_pele_clara:': u'\U0001F44E\U0001F3FB',
    u':polegar_para_baixo_pele_morena_clara:': u'\U0001F44E\U0001F3FC',
    u':polegar_para_baixo_pele_morena:': u'\U0001F44E\U0001F3FD',
    u':polegar_para_baixo_pele_morena_escura:': u'\U0001F44E\U0001F3FE',
    u':polegar_para_baixo_pele_escura:': u'\U0001F44E\U0001F3FF',
    u':punho_levantado:': u'\U0000270A',
    u':punho_levantado_pele_clara:': u'\U0000270A\U0001F3FB',
    u':punho_levantado_pele_morena_clara:': u'\U0000270A\U0001F3FC',
    u':punho_levantado_pele_morena:': u'\U0000270A\U0001F3FD',
    u':punho_levantado_pele_morena_escura:': u'\U0000270A\U0001F3FE',
    u':punho_levantado_pele_escura:': u'\U0000270A\U0001F3FF',
    u':soco:': u'\U0001F44A',
    u':soco_pele_clara:': u'\U0001F44A\U0001F3FB',
    u':soco_pele_morena_clara:': u'\U0001F44A\U0001F3FC',
    u':soco_pele_morena:': u'\U0001F44A\U0001F3FD',
    u':soco_pele_morena_escura:': u'\U0001F44A\U0001F3FE',
    u':soco_pele_escura:': u'\U0001F44A\U0001F3FF',
    u':punho_esquerdo:': u'\U0001F91B',
    u':punho_esquerdo_pele_clara:': u'\U0001F91B\U0001F3FB',
    u':punho_esquerdo_pele_morena_clara:': u'\U0001F91B\U0001F3FC',
    u':punho_esquerdo_pele_morena:': u'\U0001F91B\U0001F3FD',
    u':punho_esquerdo_pele_morena_escura:': u'\U0001F91B\U0001F3FE',
    u':punho_esquerdo_pele_escura:': u'\U0001F91B\U0001F3FF',
    u':punho_direito:': u'\U0001F91C',
    u':punho_direito_pele_clara:': u'\U0001F91C\U0001F3FB',
    u':punho_direito_pele_morena_clara:': u'\U0001F91C\U0001F3FC',
    u':punho_direito_pele_morena:': u'\U0001F91C\U0001F3FD',
    u':punho_direito_pele_morena_escura:': u'\U0001F91C\U0001F3FE',
    u':punho_direito_pele_escura:': u'\U0001F91C\U0001F3FF',
    u':mãos_aplaudindo:': u'\U0001F44F',
    u':mãos_aplaudindo_pele_clara:': u'\U0001F44F\U0001F3FB',
    u':mãos_aplaudindo_pele_morena_clara:': u'\U0001F44F\U0001F3FC',
    u':mãos_aplaudindo_pele_morena:': u'\U0001F44F\U0001F3FD',
    u':mãos_aplaudindo_pele_morena_escura:': u'\U0001F44F\U0001F3FE',
    u':mãos_aplaudindo_pele_escura:': u'\U0001F44F\U0001F3FF',
    u':mãos_para_cima:': u'\U0001F64C',
    u':mãos_para_cima_pele_clara:': u'\U0001F64C\U0001F3FB',
    u':mãos_para_cima_pele_morena_clara:': u'\U0001F64C\U0001F3FC',
    u':mãos_para_cima_pele_morena:': u'\U0001F64C\U0001F3FD',
    u':mãos_para_cima_pele_morena_escura:': u'\U0001F64C\U0001F3FE',
    u':mãos_para_cima_pele_escura:': u'\U0001F64C\U0001F3FF',
    u':mãos_abertas:': u'\U0001F450',
    u':mãos_abertas_pele_clara:': u'\U0001F450\U0001F3FB',
    u':mãos_abertas_pele_morena_clara:': u'\U0001F450\U0001F3FC',
    u':mãos_abertas_pele_morena:': u'\U0001F450\U0001F3FD',
    u':mãos_abertas_pele_morena_escura:': u'\U0001F450\U0001F3FE',
    u':mãos_abertas_pele_escura:': u'\U0001F450\U0001F3FF',
    u':palmas_unidas_para_cima:': u'\U0001F932',
    u':palmas_unidas_para_cima_pele_clara:': u'\U0001F932\U0001F3FB',
    u':palmas_unidas_para_cima_pele_morena_clara:': u'\U0001F932\U0001F3FC',
    u':palmas_unidas_para_cima_pele_morena:': u'\U0001F932\U0001F3FD',
    u':palmas_unidas_para_cima_pele_morena_escura:': u'\U0001F932\U0001F3FE',
    u':palmas_unidas_para_cima_pele_escura:': u'\U0001F932\U0001F3FF',
    u':aperto_de_mãos:': u'\U0001F91D',
    u':mãos_juntas:': u'\U0001F64F',
    u':mãos_juntas_pele_clara:': u'\U0001F64F\U0001F3FB',
    u':mãos_juntas_pele_morena_clara:': u'\U0001F64F\U0001F3FC',
    u':mãos_juntas_pele_morena:': u'\U0001F64F\U0001F3FD',
    u':mãos_juntas_pele_morena_escura:': u'\U0001F64F\U0001F3FE',
    u':mãos_juntas_pele_escura:': u'\U0001F64F\U0001F3FF',
    u':escrevendo_à_mão:': u'\U0000270D\U0000FE0F',
    u':escrevendo_à_mão_pele_clara:': u'\U0000270D\U0001F3FB',
    u':escrevendo_à_mão_pele_morena_clara:': u'\U0000270D\U0001F3FC',
    u':escrevendo_à_mão_pele_morena:': u'\U0000270D\U0001F3FD',
    u':escrevendo_à_mão_pele_morena_escura:': u'\U0000270D\U0001F3FE',
    u':escrevendo_à_mão_pele_escura:': u'\U0000270D\U0001F3FF',
    u':esmalte_de_unha:': u'\U0001F485',
    u':esmalte_de_unha_pele_clara:': u'\U0001F485\U0001F3FB',
    u':esmalte_de_unha_pele_morena_clara:': u'\U0001F485\U0001F3FC',
    u':esmalte_de_unha_pele_morena:': u'\U0001F485\U0001F3FD',
    u':esmalte_de_unha_pele_morena_escura:': u'\U0001F485\U0001F3FE',
    u':esmalte_de_unha_pele_escura:': u'\U0001F485\U0001F3FF',
    u':selfie:': u'\U0001F933',
    u':selfie_pele_clara:': u'\U0001F933\U0001F3FB',
    u':selfie_pele_morena_clara:': u'\U0001F933\U0001F3FC',
    u':selfie_pele_morena:': u'\U0001F933\U0001F3FD',
    u':selfie_pele_morena_escura:': u'\U0001F933\U0001F3FE',
    u':selfie_pele_escura:': u'\U0001F933\U0001F3FF',
    u':bíceps:': u'\U0001F4AA',
    u':bíceps_pele_clara:': u'\U0001F4AA\U0001F3FB',
    u':bíceps_pele_morena_clara:': u'\U0001F4AA\U0001F3FC',
    u':bíceps_pele_morena:': u'\U0001F4AA\U0001F3FD',
    u':bíceps_pele_morena_escura:': u'\U0001F4AA\U0001F3FE',
    u':bíceps_pele_escura:': u'\U0001F4AA\U0001F3FF',
    u':braço_mecânico:': u'\U0001F9BE',
    u':perna_mecânica:': u'\U0001F9BF',
    u':perna:': u'\U0001F9B5',
    u':perna_pele_clara:': u'\U0001F9B5\U0001F3FB',
    u':perna_pele_morena_clara:': u'\U0001F9B5\U0001F3FC',
    u':perna_pele_morena:': u'\U0001F9B5\U0001F3FD',
    u':perna_pele_morena_escura:': u'\U0001F9B5\U0001F3FE',
    u':perna_pele_escura:': u'\U0001F9B5\U0001F3FF',
    u':pé:': u'\U0001F9B6',
    u':pé_pele_clara:': u'\U0001F9B6\U0001F3FB',
    u':pé_pele_morena_clara:': u'\U0001F9B6\U0001F3FC',
    u':pé_pele_morena:': u'\U0001F9B6\U0001F3FD',
    u':pé_pele_morena_escura:': u'\U0001F9B6\U0001F3FE',
    u':pé_pele_escura:': u'\U0001F9B6\U0001F3FF',
    u':orelha:': u'\U0001F442',
    u':orelha_pele_clara:': u'\U0001F442\U0001F3FB',
    u':orelha_pele_morena_clara:': u'\U0001F442\U0001F3FC',
    u':orelha_pele_morena:': u'\U0001F442\U0001F3FD',
    u':orelha_pele_morena_escura:': u'\U0001F442\U0001F3FE',
    u':orelha_pele_escura:': u'\U0001F442\U0001F3FF',
    u':ouvido_com_aparelho_auditivo:': u'\U0001F9BB',
    u':ouvido_com_aparelho_auditivo_pele_clara:': u'\U0001F9BB\U0001F3FB',
    u':ouvido_com_aparelho_auditivo_pele_morena_clara:': u'\U0001F9BB\U0001F3FC',
    u':ouvido_com_aparelho_auditivo_pele_morena:': u'\U0001F9BB\U0001F3FD',
    u':ouvido_com_aparelho_auditivo_pele_morena_escura:': u'\U0001F9BB\U0001F3FE',
    u':ouvido_com_aparelho_auditivo_pele_escura:': u'\U0001F9BB\U0001F3FF',
    u':nariz:': u'\U0001F443',
    u':nariz_pele_clara:': u'\U0001F443\U0001F3FB',
    u':nariz_pele_morena_clara:': u'\U0001F443\U0001F3FC',
    u':nariz_pele_morena:': u'\U0001F443\U0001F3FD',
    u':nariz_pele_morena_escura:': u'\U0001F443\U0001F3FE',
    u':nariz_pele_escura:': u'\U0001F443\U0001F3FF',
    u':cérebro:': u'\U0001F9E0',
    u':coração_humano:': u'\U0001FAC0',
    u':pulmões:': u'\U0001FAC1',
    u':dente:': u'\U0001F9B7',
    u':osso:': u'\U0001F9B4',
    u':olhos:': u'\U0001F440',
    u':olho:': u'\U0001F441\U0000FE0F',
    u':língua:': u'\U0001F445',
    u':boca:': u'\U0001F444',
    u':bebê:': u'\U0001F476',
    u':bebê_pele_clara:': u'\U0001F476\U0001F3FB',
    u':bebê_pele_morena_clara:': u'\U0001F476\U0001F3FC',
    u':bebê_pele_morena:': u'\U0001F476\U0001F3FD',
    u':bebê_pele_morena_escura:': u'\U0001F476\U0001F3FE',
    u':bebê_pele_escura:': u'\U0001F476\U0001F3FF',
    u':criança:': u'\U0001F9D2',
    u':criança_pele_clara:': u'\U0001F9D2\U0001F3FB',
    u':criança_pele_morena_clara:': u'\U0001F9D2\U0001F3FC',
    u':criança_pele_morena:': u'\U0001F9D2\U0001F3FD',
    u':criança_pele_morena_escura:': u'\U0001F9D2\U0001F3FE',
    u':criança_pele_escura:': u'\U0001F9D2\U0001F3FF',
    u':menino:': u'\U0001F466',
    u':menino_pele_clara:': u'\U0001F466\U0001F3FB',
    u':menino_pele_morena_clara:': u'\U0001F466\U0001F3FC',
    u':menino_pele_morena:': u'\U0001F466\U0001F3FD',
    u':menino_pele_morena_escura:': u'\U0001F466\U0001F3FE',
    u':menino_pele_escura:': u'\U0001F466\U0001F3FF',
    u':menina:': u'\U0001F467',
    u':menina_pele_clara:': u'\U0001F467\U0001F3FB',
    u':menina_pele_morena_clara:': u'\U0001F467\U0001F3FC',
    u':menina_pele_morena:': u'\U0001F467\U0001F3FD',
    u':menina_pele_morena_escura:': u'\U0001F467\U0001F3FE',
    u':menina_pele_escura:': u'\U0001F467\U0001F3FF',
    u':pessoa:': u'\U0001F9D1',
    u':pessoa_pele_clara:': u'\U0001F9D1\U0001F3FB',
    u':pessoa_pele_morena_clara:': u'\U0001F9D1\U0001F3FC',
    u':pessoa_pele_morena:': u'\U0001F9D1\U0001F3FD',
    u':pessoa_pele_morena_escura:': u'\U0001F9D1\U0001F3FE',
    u':pessoa_pele_escura:': u'\U0001F9D1\U0001F3FF',
    u':pessoa_cabelo_louro:': u'\U0001F471',
    u':pessoa_pele_clara_e_cabelo_louro:': u'\U0001F471\U0001F3FB',
    u':pessoa_pele_morena_clara_e_cabelo_louro:': u'\U0001F471\U0001F3FC',
    u':pessoa_pele_morena_e_cabelo_louro:': u'\U0001F471\U0001F3FD',
    u':pessoa_pele_morena_escura_e_cabelo_louro:': u'\U0001F471\U0001F3FE',
    u':pessoa_pele_escura_e_cabelo_louro:': u'\U0001F471\U0001F3FF',
    u':homem:': u'\U0001F468',
    u':homem_pele_clara:': u'\U0001F468\U0001F3FB',
    u':homem_pele_morena_clara:': u'\U0001F468\U0001F3FC',
    u':homem_pele_morena:': u'\U0001F468\U0001F3FD',
    u':homem_pele_morena_escura:': u'\U0001F468\U0001F3FE',
    u':homem_pele_escura:': u'\U0001F468\U0001F3FF',
    u':homem_barba:': u'\U0001F9D4',
    u':homem_pele_clara_e_barba:': u'\U0001F9D4\U0001F3FB',
    u':homem_pele_morena_clara_e_barba:': u'\U0001F9D4\U0001F3FC',
    u':homem_pele_morena_e_barba:': u'\U0001F9D4\U0001F3FD',
    u':homem_pele_morena_escura_e_barba:': u'\U0001F9D4\U0001F3FE',
    u':homem_pele_escura_e_barba:': u'\U0001F9D4\U0001F3FF',
    u':homem_cabelo_vermelho:': u'\U0001F468\U0000200D\U0001F9B0',
    u':homem_pele_clara_e_cabelo_vermelho:': u'\U0001F468\U0001F3FB\U0000200D\U0001F9B0',
    u':homem_pele_morena_clara_e_cabelo_vermelho:': u'\U0001F468\U0001F3FC\U0000200D\U0001F9B0',
    u':homem_pele_morena_e_cabelo_vermelho:': u'\U0001F468\U0001F3FD\U0000200D\U0001F9B0',
    u':homem_pele_morena_escura_e_cabelo_vermelho:': u'\U0001F468\U0001F3FE\U0000200D\U0001F9B0',
    u':homem_pele_escura_e_cabelo_vermelho:': u'\U0001F468\U0001F3FF\U0000200D\U0001F9B0',
    u':homem_cabelo_cacheado:': u'\U0001F468\U0000200D\U0001F9B1',
    u':homem_pele_clara_e_cabelo_cacheado:': u'\U0001F468\U0001F3FB\U0000200D\U0001F9B1',
    u':homem_pele_morena_clara_e_cabelo_cacheado:': u'\U0001F468\U0001F3FC\U0000200D\U0001F9B1',
    u':homem_pele_morena_e_cabelo_cacheado:': u'\U0001F468\U0001F3FD\U0000200D\U0001F9B1',
    u':homem_pele_morena_escura_e_cabelo_cacheado:': u'\U0001F468\U0001F3FE\U0000200D\U0001F9B1',
    u':homem_pele_escura_e_cabelo_cacheado:': u'\U0001F468\U0001F3FF\U0000200D\U0001F9B1',
    u':homem_cabelo_branco:': u'\U0001F468\U0000200D\U0001F9B3',
    u':homem_pele_clara_e_cabelo_branco:': u'\U0001F468\U0001F3FB\U0000200D\U0001F9B3',
    u':homem_pele_morena_clara_e_cabelo_branco:': u'\U0001F468\U0001F3FC\U0000200D\U0001F9B3',
    u':homem_pele_morena_e_cabelo_branco:': u'\U0001F468\U0001F3FD\U0000200D\U0001F9B3',
    u':homem_pele_morena_escura_e_cabelo_branco:': u'\U0001F468\U0001F3FE\U0000200D\U0001F9B3',
    u':homem_pele_escura_e_cabelo_branco:': u'\U0001F468\U0001F3FF\U0000200D\U0001F9B3',
    u':homem_careca:': u'\U0001F468\U0000200D\U0001F9B2',
    u':homem_pele_clara_e_careca:': u'\U0001F468\U0001F3FB\U0000200D\U0001F9B2',
    u':homem_pele_morena_clara_e_careca:': u'\U0001F468\U0001F3FC\U0000200D\U0001F9B2',
    u':homem_pele_morena_e_careca:': u'\U0001F468\U0001F3FD\U0000200D\U0001F9B2',
    u':homem_pele_morena_escura_e_careca:': u'\U0001F468\U0001F3FE\U0000200D\U0001F9B2',
    u':homem_pele_escura_e_careca:': u'\U0001F468\U0001F3FF\U0000200D\U0001F9B2',
    u':mulher:': u'\U0001F469',
    u':mulher_pele_clara:': u'\U0001F469\U0001F3FB',
    u':mulher_pele_morena_clara:': u'\U0001F469\U0001F3FC',
    u':mulher_pele_morena:': u'\U0001F469\U0001F3FD',
    u':mulher_pele_morena_escura:': u'\U0001F469\U0001F3FE',
    u':mulher_pele_escura:': u'\U0001F469\U0001F3FF',
    u':mulher_cabelo_vermelho:': u'\U0001F469\U0000200D\U0001F9B0',
    u':mulher_pele_clara_e_cabelo_vermelho:': u'\U0001F469\U0001F3FB\U0000200D\U0001F9B0',
    u':mulher_pele_morena_clara_e_cabelo_vermelho:': u'\U0001F469\U0001F3FC\U0000200D\U0001F9B0',
    u':mulher_pele_morena_e_cabelo_vermelho:': u'\U0001F469\U0001F3FD\U0000200D\U0001F9B0',
    u':mulher_pele_morena_escura_e_cabelo_vermelho:': u'\U0001F469\U0001F3FE\U0000200D\U0001F9B0',
    u':mulher_pele_escura_e_cabelo_vermelho:': u'\U0001F469\U0001F3FF\U0000200D\U0001F9B0',
    u':pessoa_cabelo_vermelho:': u'\U0001F9D1\U0000200D\U0001F9B0',
    u':pessoa_pele_clara_e_cabelo_vermelho:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F9B0',
    u':pessoa_pele_morena_clara_e_cabelo_vermelho:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F9B0',
    u':pessoa_pele_morena_e_cabelo_vermelho:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F9B0',
    u':pessoa_pele_morena_escura_e_cabelo_vermelho:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F9B0',
    u':pessoa_pele_escura_e_cabelo_vermelho:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F9B0',
    u':mulher_cabelo_cacheado:': u'\U0001F469\U0000200D\U0001F9B1',
    u':mulher_pele_clara_e_cabelo_cacheado:': u'\U0001F469\U0001F3FB\U0000200D\U0001F9B1',
    u':mulher_pele_morena_clara_e_cabelo_cacheado:': u'\U0001F469\U0001F3FC\U0000200D\U0001F9B1',
    u':mulher_pele_morena_e_cabelo_cacheado:': u'\U0001F469\U0001F3FD\U0000200D\U0001F9B1',
    u':mulher_pele_morena_escura_e_cabelo_cacheado:': u'\U0001F469\U0001F3FE\U0000200D\U0001F9B1',
    u':mulher_pele_escura_e_cabelo_cacheado:': u'\U0001F469\U0001F3FF\U0000200D\U0001F9B1',
    u':pessoa_cabelo_cacheado:': u'\U0001F9D1\U0000200D\U0001F9B1',
    u':pessoa_pele_clara_e_cabelo_cacheado:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F9B1',
    u':pessoa_pele_morena_clara_e_cabelo_cacheado:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F9B1',
    u':pessoa_pele_morena_e_cabelo_cacheado:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F9B1',
    u':pessoa_pele_morena_escura_e_cabelo_cacheado:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F9B1',
    u':pessoa_pele_escura_e_cabelo_cacheado:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F9B1',
    u':mulher_cabelo_branco:': u'\U0001F469\U0000200D\U0001F9B3',
    u':mulher_pele_clara_e_cabelo_branco:': u'\U0001F469\U0001F3FB\U0000200D\U0001F9B3',
    u':mulher_pele_morena_clara_e_cabelo_branco:': u'\U0001F469\U0001F3FC\U0000200D\U0001F9B3',
    u':mulher_pele_morena_e_cabelo_branco:': u'\U0001F469\U0001F3FD\U0000200D\U0001F9B3',
    u':mulher_pele_morena_escura_e_cabelo_branco:': u'\U0001F469\U0001F3FE\U0000200D\U0001F9B3',
    u':mulher_pele_escura_e_cabelo_branco:': u'\U0001F469\U0001F3FF\U0000200D\U0001F9B3',
    u':pessoa_cabelo_branco:': u'\U0001F9D1\U0000200D\U0001F9B3',
    u':pessoa_pele_clara_e_cabelo_branco:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F9B3',
    u':pessoa_pele_morena_clara_e_cabelo_branco:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F9B3',
    u':pessoa_pele_morena_e_cabelo_branco:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F9B3',
    u':pessoa_pele_morena_escura_e_cabelo_branco:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F9B3',
    u':pessoa_pele_escura_e_cabelo_branco:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F9B3',
    u':mulher_careca:': u'\U0001F469\U0000200D\U0001F9B2',
    u':mulher_pele_clara_e_careca:': u'\U0001F469\U0001F3FB\U0000200D\U0001F9B2',
    u':mulher_pele_morena_clara_e_careca:': u'\U0001F469\U0001F3FC\U0000200D\U0001F9B2',
    u':mulher_pele_morena_e_careca:': u'\U0001F469\U0001F3FD\U0000200D\U0001F9B2',
    u':mulher_pele_morena_escura_e_careca:': u'\U0001F469\U0001F3FE\U0000200D\U0001F9B2',
    u':mulher_pele_escura_e_careca:': u'\U0001F469\U0001F3FF\U0000200D\U0001F9B2',
    u':pessoa_careca:': u'\U0001F9D1\U0000200D\U0001F9B2',
    u':pessoa_pele_clara_e_careca:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F9B2',
    u':pessoa_pele_morena_clara_e_careca:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F9B2',
    u':pessoa_pele_morena_e_careca:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F9B2',
    u':pessoa_pele_morena_escura_e_careca:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F9B2',
    u':pessoa_pele_escura_e_careca:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F9B2',
    u':mulher_cabelo_loiro:': u'\U0001F471\U0000200D\U00002640\U0000FE0F',
    u':mulher_pele_clara_e_cabelo_loiro:': u'\U0001F471\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mulher_pele_morena_clara_e_cabelo_loiro:': u'\U0001F471\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mulher_pele_morena_e_cabelo_loiro:': u'\U0001F471\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mulher_pele_morena_escura_e_cabelo_loiro:': u'\U0001F471\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mulher_pele_escura_e_cabelo_loiro:': u'\U0001F471\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':homem_cabelo_loiro:': u'\U0001F471\U0000200D\U00002642\U0000FE0F',
    u':homem_pele_clara_e_cabelo_loiro:': u'\U0001F471\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':homem_pele_morena_clara_e_cabelo_loiro:': u'\U0001F471\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':homem_pele_morena_e_cabelo_loiro:': u'\U0001F471\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':homem_pele_morena_escura_e_cabelo_loiro:': u'\U0001F471\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':homem_pele_escura_e_cabelo_loiro:': u'\U0001F471\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':idoso:': u'\U0001F9D3',
    u':idoso_pele_clara:': u'\U0001F9D3\U0001F3FB',
    u':idoso_pele_morena_clara:': u'\U0001F9D3\U0001F3FC',
    u':idoso_pele_morena:': u'\U0001F9D3\U0001F3FD',
    u':idoso_pele_morena_escura:': u'\U0001F9D3\U0001F3FE',
    u':idoso_pele_escura:': u'\U0001F9D3\U0001F3FF',
    u':homem_idoso:': u'\U0001F474',
    u':homem_idoso_pele_clara:': u'\U0001F474\U0001F3FB',
    u':homem_idoso_pele_morena_clara:': u'\U0001F474\U0001F3FC',
    u':homem_idoso_pele_morena:': u'\U0001F474\U0001F3FD',
    u':homem_idoso_pele_morena_escura:': u'\U0001F474\U0001F3FE',
    u':homem_idoso_pele_escura:': u'\U0001F474\U0001F3FF',
    u':idosa:': u'\U0001F475',
    u':idosa_pele_clara:': u'\U0001F475\U0001F3FB',
    u':idosa_pele_morena_clara:': u'\U0001F475\U0001F3FC',
    u':idosa_pele_morena:': u'\U0001F475\U0001F3FD',
    u':idosa_pele_morena_escura:': u'\U0001F475\U0001F3FE',
    u':idosa_pele_escura:': u'\U0001F475\U0001F3FF',
    u':franzindo_a_sobrancelha:': u'\U0001F64D',
    u':franzindo_a_sobrancelha_pele_clara:': u'\U0001F64D\U0001F3FB',
    u':franzindo_a_sobrancelha_pele_morena_clara:': u'\U0001F64D\U0001F3FC',
    u':franzindo_a_sobrancelha_pele_morena:': u'\U0001F64D\U0001F3FD',
    u':franzindo_a_sobrancelha_pele_morena_escura:': u'\U0001F64D\U0001F3FE',
    u':franzindo_a_sobrancelha_pele_escura:': u'\U0001F64D\U0001F3FF',
    u':homem_franzindo_a_sobrancelha:': u'\U0001F64D\U0000200D\U00002642\U0000FE0F',
    u':homem_franzindo_a_sobrancelha_pele_clara:': u'\U0001F64D\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':homem_franzindo_a_sobrancelha_pele_morena_clara:': u'\U0001F64D\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':homem_franzindo_a_sobrancelha_pele_morena:': u'\U0001F64D\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':homem_franzindo_a_sobrancelha_pele_morena_escura:': u'\U0001F64D\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':homem_franzindo_a_sobrancelha_pele_escura:': u'\U0001F64D\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mulher_franzindo_a_sobrancelha:': u'\U0001F64D\U0000200D\U00002640\U0000FE0F',
    u':mulher_franzindo_a_sobrancelha_pele_clara:': u'\U0001F64D\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mulher_franzindo_a_sobrancelha_pele_morena_clara:': u'\U0001F64D\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mulher_franzindo_a_sobrancelha_pele_morena:': u'\U0001F64D\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mulher_franzindo_a_sobrancelha_pele_morena_escura:': u'\U0001F64D\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mulher_franzindo_a_sobrancelha_pele_escura:': u'\U0001F64D\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':pessoa_fazendo_bico:': u'\U0001F64E',
    u':pessoa_fazendo_bico_pele_clara:': u'\U0001F64E\U0001F3FB',
    u':pessoa_fazendo_bico_pele_morena_clara:': u'\U0001F64E\U0001F3FC',
    u':pessoa_fazendo_bico_pele_morena:': u'\U0001F64E\U0001F3FD',
    u':pessoa_fazendo_bico_pele_morena_escura:': u'\U0001F64E\U0001F3FE',
    u':pessoa_fazendo_bico_pele_escura:': u'\U0001F64E\U0001F3FF',
    u':homem_fazendo_bico:': u'\U0001F64E\U0000200D\U00002642\U0000FE0F',
    u':homem_fazendo_bico_pele_clara:': u'\U0001F64E\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':homem_fazendo_bico_pele_morena_clara:': u'\U0001F64E\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':homem_fazendo_bico_pele_morena:': u'\U0001F64E\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':homem_fazendo_bico_pele_morena_escura:': u'\U0001F64E\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':homem_fazendo_bico_pele_escura:': u'\U0001F64E\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mulher_fazendo_bico:': u'\U0001F64E\U0000200D\U00002640\U0000FE0F',
    u':mulher_fazendo_bico_pele_clara:': u'\U0001F64E\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mulher_fazendo_bico_pele_morena_clara:': u'\U0001F64E\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mulher_fazendo_bico_pele_morena:': u'\U0001F64E\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mulher_fazendo_bico_pele_morena_escura:': u'\U0001F64E\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mulher_fazendo_bico_pele_escura:': u'\U0001F64E\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':pessoa_fazendo_gesto_de_“não”:': u'\U0001F645',
    u':pessoa_fazendo_gesto_de_“não”_pele_clara:': u'\U0001F645\U0001F3FB',
    u':pessoa_fazendo_gesto_de_“não”_pele_morena_clara:': u'\U0001F645\U0001F3FC',
    u':pessoa_fazendo_gesto_de_“não”_pele_morena:': u'\U0001F645\U0001F3FD',
    u':pessoa_fazendo_gesto_de_“não”_pele_morena_escura:': u'\U0001F645\U0001F3FE',
    u':pessoa_fazendo_gesto_de_“não”_pele_escura:': u'\U0001F645\U0001F3FF',
    u':homem_fazendo_gesto_de_“não”:': u'\U0001F645\U0000200D\U00002642\U0000FE0F',
    u':homem_fazendo_gesto_de_“não”_pele_clara:': u'\U0001F645\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':homem_fazendo_gesto_de_“não”_pele_morena_clara:': u'\U0001F645\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':homem_fazendo_gesto_de_“não”_pele_morena:': u'\U0001F645\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':homem_fazendo_gesto_de_“não”_pele_morena_escura:': u'\U0001F645\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':homem_fazendo_gesto_de_“não”_pele_escura:': u'\U0001F645\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mulher_fazendo_gesto_de_“não”:': u'\U0001F645\U0000200D\U00002640\U0000FE0F',
    u':mulher_fazendo_gesto_de_“não”_pele_clara:': u'\U0001F645\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mulher_fazendo_gesto_de_“não”_pele_morena_clara:': u'\U0001F645\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mulher_fazendo_gesto_de_“não”_pele_morena:': u'\U0001F645\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mulher_fazendo_gesto_de_“não”_pele_morena_escura:': u'\U0001F645\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mulher_fazendo_gesto_de_“não”_pele_escura:': u'\U0001F645\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':pessoa_fazendo_gesto_de_“ok”:': u'\U0001F646',
    u':pessoa_fazendo_gesto_de_“ok”_pele_clara:': u'\U0001F646\U0001F3FB',
    u':pessoa_fazendo_gesto_de_“ok”_pele_morena_clara:': u'\U0001F646\U0001F3FC',
    u':pessoa_fazendo_gesto_de_“ok”_pele_morena:': u'\U0001F646\U0001F3FD',
    u':pessoa_fazendo_gesto_de_“ok”_pele_morena_escura:': u'\U0001F646\U0001F3FE',
    u':pessoa_fazendo_gesto_de_“ok”_pele_escura:': u'\U0001F646\U0001F3FF',
    u':homem_fazendo_gesto_de_“ok”:': u'\U0001F646\U0000200D\U00002642\U0000FE0F',
    u':homem_fazendo_gesto_de_“ok”_pele_clara:': u'\U0001F646\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':homem_fazendo_gesto_de_“ok”_pele_morena_clara:': u'\U0001F646\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':homem_fazendo_gesto_de_“ok”_pele_morena:': u'\U0001F646\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':homem_fazendo_gesto_de_“ok”_pele_morena_escura:': u'\U0001F646\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':homem_fazendo_gesto_de_“ok”_pele_escura:': u'\U0001F646\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mulher_fazendo_gesto_de_“ok”:': u'\U0001F646\U0000200D\U00002640\U0000FE0F',
    u':mulher_fazendo_gesto_de_“ok”_pele_clara:': u'\U0001F646\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mulher_fazendo_gesto_de_“ok”_pele_morena_clara:': u'\U0001F646\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mulher_fazendo_gesto_de_“ok”_pele_morena:': u'\U0001F646\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mulher_fazendo_gesto_de_“ok”_pele_morena_escura:': u'\U0001F646\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mulher_fazendo_gesto_de_“ok”_pele_escura:': u'\U0001F646\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':pessoa_com_a_palma_virada_para_cima:': u'\U0001F481',
    u':pessoa_com_a_palma_virada_para_cima_pele_clara:': u'\U0001F481\U0001F3FB',
    u':pessoa_com_a_palma_virada_para_cima_pele_morena_clara:': u'\U0001F481\U0001F3FC',
    u':pessoa_com_a_palma_virada_para_cima_pele_morena:': u'\U0001F481\U0001F3FD',
    u':pessoa_com_a_palma_virada_para_cima_pele_morena_escura:': u'\U0001F481\U0001F3FE',
    u':pessoa_com_a_palma_virada_para_cima_pele_escura:': u'\U0001F481\U0001F3FF',
    u':homem_com_a_palma_virada_para_cima:': u'\U0001F481\U0000200D\U00002642\U0000FE0F',
    u':homem_com_a_palma_virada_para_cima_pele_clara:': u'\U0001F481\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':homem_com_a_palma_virada_para_cima_pele_morena_clara:': u'\U0001F481\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':homem_com_a_palma_virada_para_cima_pele_morena:': u'\U0001F481\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':homem_com_a_palma_virada_para_cima_pele_morena_escura:': u'\U0001F481\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':homem_com_a_palma_virada_para_cima_pele_escura:': u'\U0001F481\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mulher_com_a_palma_virada_para_cima:': u'\U0001F481\U0000200D\U00002640\U0000FE0F',
    u':mulher_com_a_palma_virada_para_cima_pele_clara:': u'\U0001F481\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mulher_com_a_palma_virada_para_cima_pele_morena_clara:': u'\U0001F481\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mulher_com_a_palma_virada_para_cima_pele_morena:': u'\U0001F481\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mulher_com_a_palma_virada_para_cima_pele_morena_escura:': u'\U0001F481\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mulher_com_a_palma_virada_para_cima_pele_escura:': u'\U0001F481\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':pessoa_levantando_a_mão:': u'\U0001F64B',
    u':pessoa_levantando_a_mão_pele_clara:': u'\U0001F64B\U0001F3FB',
    u':pessoa_levantando_a_mão_pele_morena_clara:': u'\U0001F64B\U0001F3FC',
    u':pessoa_levantando_a_mão_pele_morena:': u'\U0001F64B\U0001F3FD',
    u':pessoa_levantando_a_mão_pele_morena_escura:': u'\U0001F64B\U0001F3FE',
    u':pessoa_levantando_a_mão_pele_escura:': u'\U0001F64B\U0001F3FF',
    u':homem_levantando_a_mão:': u'\U0001F64B\U0000200D\U00002642\U0000FE0F',
    u':homem_levantando_a_mão_pele_clara:': u'\U0001F64B\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':homem_levantando_a_mão_pele_morena_clara:': u'\U0001F64B\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':homem_levantando_a_mão_pele_morena:': u'\U0001F64B\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':homem_levantando_a_mão_pele_morena_escura:': u'\U0001F64B\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':homem_levantando_a_mão_pele_escura:': u'\U0001F64B\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mulher_levantando_a_mão:': u'\U0001F64B\U0000200D\U00002640\U0000FE0F',
    u':mulher_levantando_a_mão_pele_clara:': u'\U0001F64B\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mulher_levantando_a_mão_pele_morena_clara:': u'\U0001F64B\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mulher_levantando_a_mão_pele_morena:': u'\U0001F64B\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mulher_levantando_a_mão_pele_morena_escura:': u'\U0001F64B\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mulher_levantando_a_mão_pele_escura:': u'\U0001F64B\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':pessoa_surda:': u'\U0001F9CF',
    u':pessoa_surda_pele_clara:': u'\U0001F9CF\U0001F3FB',
    u':pessoa_surda_pele_morena_clara:': u'\U0001F9CF\U0001F3FC',
    u':pessoa_surda_pele_morena:': u'\U0001F9CF\U0001F3FD',
    u':pessoa_surda_pele_morena_escura:': u'\U0001F9CF\U0001F3FE',
    u':pessoa_surda_pele_escura:': u'\U0001F9CF\U0001F3FF',
    u':homem_surdo:': u'\U0001F9CF\U0000200D\U00002642\U0000FE0F',
    u':homem_surdo_pele_clara:': u'\U0001F9CF\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':homem_surdo_pele_morena_clara:': u'\U0001F9CF\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':homem_surdo_pele_morena:': u'\U0001F9CF\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':homem_surdo_pele_morena_escura:': u'\U0001F9CF\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':homem_surdo_pele_escura:': u'\U0001F9CF\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mulher_surda:': u'\U0001F9CF\U0000200D\U00002640\U0000FE0F',
    u':mulher_surda_pele_clara:': u'\U0001F9CF\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mulher_surda_pele_morena_clara:': u'\U0001F9CF\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mulher_surda_pele_morena:': u'\U0001F9CF\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mulher_surda_pele_morena_escura:': u'\U0001F9CF\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mulher_surda_pele_escura:': u'\U0001F9CF\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':pessoa_fazendo_reverência:': u'\U0001F647',
    u':pessoa_fazendo_reverência_pele_clara:': u'\U0001F647\U0001F3FB',
    u':pessoa_fazendo_reverência_pele_morena_clara:': u'\U0001F647\U0001F3FC',
    u':pessoa_fazendo_reverência_pele_morena:': u'\U0001F647\U0001F3FD',
    u':pessoa_fazendo_reverência_pele_morena_escura:': u'\U0001F647\U0001F3FE',
    u':pessoa_fazendo_reverência_pele_escura:': u'\U0001F647\U0001F3FF',
    u':homem_fazendo_reverência:': u'\U0001F647\U0000200D\U00002642\U0000FE0F',
    u':homem_fazendo_reverência_pele_clara:': u'\U0001F647\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':homem_fazendo_reverência_pele_morena_clara:': u'\U0001F647\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':homem_fazendo_reverência_pele_morena:': u'\U0001F647\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':homem_fazendo_reverência_pele_morena_escura:': u'\U0001F647\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':homem_fazendo_reverência_pele_escura:': u'\U0001F647\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mulher_fazendo_reverência:': u'\U0001F647\U0000200D\U00002640\U0000FE0F',
    u':mulher_fazendo_reverência_pele_clara:': u'\U0001F647\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mulher_fazendo_reverência_pele_morena_clara:': u'\U0001F647\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mulher_fazendo_reverência_pele_morena:': u'\U0001F647\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mulher_fazendo_reverência_pele_morena_escura:': u'\U0001F647\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mulher_fazendo_reverência_pele_escura:': u'\U0001F647\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':pessoa_decepcionada:': u'\U0001F926',
    u':pessoa_decepcionada_pele_clara:': u'\U0001F926\U0001F3FB',
    u':pessoa_decepcionada_pele_morena_clara:': u'\U0001F926\U0001F3FC',
    u':pessoa_decepcionada_pele_morena:': u'\U0001F926\U0001F3FD',
    u':pessoa_decepcionada_pele_morena_escura:': u'\U0001F926\U0001F3FE',
    u':pessoa_decepcionada_pele_escura:': u'\U0001F926\U0001F3FF',
    u':homem_decepcionado:': u'\U0001F926\U0000200D\U00002642\U0000FE0F',
    u':homem_decepcionado_pele_clara:': u'\U0001F926\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':homem_decepcionado_pele_morena_clara:': u'\U0001F926\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':homem_decepcionado_pele_morena:': u'\U0001F926\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':homem_decepcionado_pele_morena_escura:': u'\U0001F926\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':homem_decepcionado_pele_escura:': u'\U0001F926\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mulher_decepcionada:': u'\U0001F926\U0000200D\U00002640\U0000FE0F',
    u':mulher_decepcionada_pele_clara:': u'\U0001F926\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mulher_decepcionada_pele_morena_clara:': u'\U0001F926\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mulher_decepcionada_pele_morena:': u'\U0001F926\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mulher_decepcionada_pele_morena_escura:': u'\U0001F926\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mulher_decepcionada_pele_escura:': u'\U0001F926\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':pessoa_dando_de_ombros:': u'\U0001F937',
    u':pessoa_dando_de_ombros_pele_clara:': u'\U0001F937\U0001F3FB',
    u':pessoa_dando_de_ombros_pele_morena_clara:': u'\U0001F937\U0001F3FC',
    u':pessoa_dando_de_ombros_pele_morena:': u'\U0001F937\U0001F3FD',
    u':pessoa_dando_de_ombros_pele_morena_escura:': u'\U0001F937\U0001F3FE',
    u':pessoa_dando_de_ombros_pele_escura:': u'\U0001F937\U0001F3FF',
    u':homem_dando_de_ombros:': u'\U0001F937\U0000200D\U00002642\U0000FE0F',
    u':homem_dando_de_ombros_pele_clara:': u'\U0001F937\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':homem_dando_de_ombros_pele_morena_clara:': u'\U0001F937\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':homem_dando_de_ombros_pele_morena:': u'\U0001F937\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':homem_dando_de_ombros_pele_morena_escura:': u'\U0001F937\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':homem_dando_de_ombros_pele_escura:': u'\U0001F937\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mulher_dando_de_ombros:': u'\U0001F937\U0000200D\U00002640\U0000FE0F',
    u':mulher_dando_de_ombros_pele_clara:': u'\U0001F937\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mulher_dando_de_ombros_pele_morena_clara:': u'\U0001F937\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mulher_dando_de_ombros_pele_morena:': u'\U0001F937\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mulher_dando_de_ombros_pele_morena_escura:': u'\U0001F937\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mulher_dando_de_ombros_pele_escura:': u'\U0001F937\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':profissional_de_saúde:': u'\U0001F9D1\U0000200D\U00002695\U0000FE0F',
    u':profissional_de_saúde_pele_clara:': u'\U0001F9D1\U0001F3FB\U0000200D\U00002695\U0000FE0F',
    u':profissional_de_saúde_pele_morena_clara:': u'\U0001F9D1\U0001F3FC\U0000200D\U00002695\U0000FE0F',
    u':profissional_de_saúde_pele_morena:': u'\U0001F9D1\U0001F3FD\U0000200D\U00002695\U0000FE0F',
    u':profissional_de_saúde_pele_morena_escura:': u'\U0001F9D1\U0001F3FE\U0000200D\U00002695\U0000FE0F',
    u':profissional_de_saúde_pele_escura:': u'\U0001F9D1\U0001F3FF\U0000200D\U00002695\U0000FE0F',
    u':homem_profissional_da_saúde:': u'\U0001F468\U0000200D\U00002695\U0000FE0F',
    u':homem_profissional_da_saúde_pele_clara:': u'\U0001F468\U0001F3FB\U0000200D\U00002695\U0000FE0F',
    u':homem_profissional_da_saúde_pele_morena_clara:': u'\U0001F468\U0001F3FC\U0000200D\U00002695\U0000FE0F',
    u':homem_profissional_da_saúde_pele_morena:': u'\U0001F468\U0001F3FD\U0000200D\U00002695\U0000FE0F',
    u':homem_profissional_da_saúde_pele_morena_escura:': u'\U0001F468\U0001F3FE\U0000200D\U00002695\U0000FE0F',
    u':homem_profissional_da_saúde_pele_escura:': u'\U0001F468\U0001F3FF\U0000200D\U00002695\U0000FE0F',
    u':mulher_profissional_da_saúde:': u'\U0001F469\U0000200D\U00002695\U0000FE0F',
    u':mulher_profissional_da_saúde_pele_clara:': u'\U0001F469\U0001F3FB\U0000200D\U00002695\U0000FE0F',
    u':mulher_profissional_da_saúde_pele_morena_clara:': u'\U0001F469\U0001F3FC\U0000200D\U00002695\U0000FE0F',
    u':mulher_profissional_da_saúde_pele_morena:': u'\U0001F469\U0001F3FD\U0000200D\U00002695\U0000FE0F',
    u':mulher_profissional_da_saúde_pele_morena_escura:': u'\U0001F469\U0001F3FE\U0000200D\U00002695\U0000FE0F',
    u':mulher_profissional_da_saúde_pele_escura:': u'\U0001F469\U0001F3FF\U0000200D\U00002695\U0000FE0F',
    u':aluno:': u'\U0001F9D1\U0000200D\U0001F393',
    u':aluno_pele_clara:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F393',
    u':aluno_pele_morena_clara:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F393',
    u':aluno_pele_morena:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F393',
    u':aluno_pele_morena_escura:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F393',
    u':aluno_pele_escura:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F393',
    u':estudante:': u'\U0001F468\U0000200D\U0001F393',
    u':estudante_pele_clara:': u'\U0001F468\U0001F3FB\U0000200D\U0001F393',
    u':estudante_pele_morena_clara:': u'\U0001F468\U0001F3FC\U0000200D\U0001F393',
    u':estudante_pele_morena:': u'\U0001F468\U0001F3FD\U0000200D\U0001F393',
    u':estudante_pele_morena_escura:': u'\U0001F468\U0001F3FE\U0000200D\U0001F393',
    u':estudante_pele_escura:': u'\U0001F468\U0001F3FF\U0000200D\U0001F393',
    u':aluna:': u'\U0001F469\U0000200D\U0001F393',
    u':aluna_pele_clara:': u'\U0001F469\U0001F3FB\U0000200D\U0001F393',
    u':aluna_pele_morena_clara:': u'\U0001F469\U0001F3FC\U0000200D\U0001F393',
    u':aluna_pele_morena:': u'\U0001F469\U0001F3FD\U0000200D\U0001F393',
    u':aluna_pele_morena_escura:': u'\U0001F469\U0001F3FE\U0000200D\U0001F393',
    u':aluna_pele_escura:': u'\U0001F469\U0001F3FF\U0000200D\U0001F393',
    u':professora_na_escola:': u'\U0001F9D1\U0000200D\U0001F3EB',
    u':professora_na_escola_pele_clara:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F3EB',
    u':professora_na_escola_pele_morena_clara:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F3EB',
    u':professora_na_escola_pele_morena:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F3EB',
    u':professora_na_escola_pele_morena_escura:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F3EB',
    u':professora_na_escola_pele_escura:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F3EB',
    u':professor:': u'\U0001F468\U0000200D\U0001F3EB',
    u':professor_pele_clara:': u'\U0001F468\U0001F3FB\U0000200D\U0001F3EB',
    u':professor_pele_morena_clara:': u'\U0001F468\U0001F3FC\U0000200D\U0001F3EB',
    u':professor_pele_morena:': u'\U0001F468\U0001F3FD\U0000200D\U0001F3EB',
    u':professor_pele_morena_escura:': u'\U0001F468\U0001F3FE\U0000200D\U0001F3EB',
    u':professor_pele_escura:': u'\U0001F468\U0001F3FF\U0000200D\U0001F3EB',
    u':professora:': u'\U0001F469\U0000200D\U0001F3EB',
    u':professora_pele_clara:': u'\U0001F469\U0001F3FB\U0000200D\U0001F3EB',
    u':professora_pele_morena_clara:': u'\U0001F469\U0001F3FC\U0000200D\U0001F3EB',
    u':professora_pele_morena:': u'\U0001F469\U0001F3FD\U0000200D\U0001F3EB',
    u':professora_pele_morena_escura:': u'\U0001F469\U0001F3FE\U0000200D\U0001F3EB',
    u':professora_pele_escura:': u'\U0001F469\U0001F3FF\U0000200D\U0001F3EB',
    u':juiz_no_tribunal:': u'\U0001F9D1\U0000200D\U00002696\U0000FE0F',
    u':juiz_no_tribunal_pele_clara:': u'\U0001F9D1\U0001F3FB\U0000200D\U00002696\U0000FE0F',
    u':juiz_no_tribunal_pele_morena_clara:': u'\U0001F9D1\U0001F3FC\U0000200D\U00002696\U0000FE0F',
    u':juiz_no_tribunal_pele_morena:': u'\U0001F9D1\U0001F3FD\U0000200D\U00002696\U0000FE0F',
    u':juiz_no_tribunal_pele_morena_escura:': u'\U0001F9D1\U0001F3FE\U0000200D\U00002696\U0000FE0F',
    u':juiz_no_tribunal_pele_escura:': u'\U0001F9D1\U0001F3FF\U0000200D\U00002696\U0000FE0F',
    u':juiz:': u'\U0001F468\U0000200D\U00002696\U0000FE0F',
    u':juiz_pele_clara:': u'\U0001F468\U0001F3FB\U0000200D\U00002696\U0000FE0F',
    u':juiz_pele_morena_clara:': u'\U0001F468\U0001F3FC\U0000200D\U00002696\U0000FE0F',
    u':juiz_pele_morena:': u'\U0001F468\U0001F3FD\U0000200D\U00002696\U0000FE0F',
    u':juiz_pele_morena_escura:': u'\U0001F468\U0001F3FE\U0000200D\U00002696\U0000FE0F',
    u':juiz_pele_escura:': u'\U0001F468\U0001F3FF\U0000200D\U00002696\U0000FE0F',
    u':juíza:': u'\U0001F469\U0000200D\U00002696\U0000FE0F',
    u':juíza_pele_clara:': u'\U0001F469\U0001F3FB\U0000200D\U00002696\U0000FE0F',
    u':juíza_pele_morena_clara:': u'\U0001F469\U0001F3FC\U0000200D\U00002696\U0000FE0F',
    u':juíza_pele_morena:': u'\U0001F469\U0001F3FD\U0000200D\U00002696\U0000FE0F',
    u':juíza_pele_morena_escura:': u'\U0001F469\U0001F3FE\U0000200D\U00002696\U0000FE0F',
    u':juíza_pele_escura:': u'\U0001F469\U0001F3FF\U0000200D\U00002696\U0000FE0F',
    u':agricultor:': u'\U0001F9D1\U0000200D\U0001F33E',
    u':agricultor_pele_clara:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F33E',
    u':agricultor_pele_morena_clara:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F33E',
    u':agricultor_pele_morena:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F33E',
    u':agricultor_pele_morena_escura:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F33E',
    u':agricultor_pele_escura:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F33E',
    u':fazendeiro:': u'\U0001F468\U0000200D\U0001F33E',
    u':fazendeiro_pele_clara:': u'\U0001F468\U0001F3FB\U0000200D\U0001F33E',
    u':fazendeiro_pele_morena_clara:': u'\U0001F468\U0001F3FC\U0000200D\U0001F33E',
    u':fazendeiro_pele_morena:': u'\U0001F468\U0001F3FD\U0000200D\U0001F33E',
    u':fazendeiro_pele_morena_escura:': u'\U0001F468\U0001F3FE\U0000200D\U0001F33E',
    u':fazendeiro_pele_escura:': u'\U0001F468\U0001F3FF\U0000200D\U0001F33E',
    u':fazendeira:': u'\U0001F469\U0000200D\U0001F33E',
    u':fazendeira_pele_clara:': u'\U0001F469\U0001F3FB\U0000200D\U0001F33E',
    u':fazendeira_pele_morena_clara:': u'\U0001F469\U0001F3FC\U0000200D\U0001F33E',
    u':fazendeira_pele_morena:': u'\U0001F469\U0001F3FD\U0000200D\U0001F33E',
    u':fazendeira_pele_morena_escura:': u'\U0001F469\U0001F3FE\U0000200D\U0001F33E',
    u':fazendeira_pele_escura:': u'\U0001F469\U0001F3FF\U0000200D\U0001F33E',
    u':chef_de_cozinha:': u'\U0001F9D1\U0000200D\U0001F373',
    u':chef_de_cozinha_pele_clara:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F373',
    u':chef_de_cozinha_pele_morena_clara:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F373',
    u':chef_de_cozinha_pele_morena:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F373',
    u':chef_de_cozinha_pele_morena_escura:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F373',
    u':chef_de_cozinha_pele_escura:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F373',
    u':cozinheiro:': u'\U0001F468\U0000200D\U0001F373',
    u':cozinheiro_pele_clara:': u'\U0001F468\U0001F3FB\U0000200D\U0001F373',
    u':cozinheiro_pele_morena_clara:': u'\U0001F468\U0001F3FC\U0000200D\U0001F373',
    u':cozinheiro_pele_morena:': u'\U0001F468\U0001F3FD\U0000200D\U0001F373',
    u':cozinheiro_pele_morena_escura:': u'\U0001F468\U0001F3FE\U0000200D\U0001F373',
    u':cozinheiro_pele_escura:': u'\U0001F468\U0001F3FF\U0000200D\U0001F373',
    u':cozinheira:': u'\U0001F469\U0000200D\U0001F373',
    u':cozinheira_pele_clara:': u'\U0001F469\U0001F3FB\U0000200D\U0001F373',
    u':cozinheira_pele_morena_clara:': u'\U0001F469\U0001F3FC\U0000200D\U0001F373',
    u':cozinheira_pele_morena:': u'\U0001F469\U0001F3FD\U0000200D\U0001F373',
    u':cozinheira_pele_morena_escura:': u'\U0001F469\U0001F3FE\U0000200D\U0001F373',
    u':cozinheira_pele_escura:': u'\U0001F469\U0001F3FF\U0000200D\U0001F373',
    u':mecânico_trabalhando:': u'\U0001F9D1\U0000200D\U0001F527',
    u':mecânico_trabalhando_pele_clara:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F527',
    u':mecânico_trabalhando_pele_morena_clara:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F527',
    u':mecânico_trabalhando_pele_morena:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F527',
    u':mecânico_trabalhando_pele_morena_escura:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F527',
    u':mecânico_trabalhando_pele_escura:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F527',
    u':mecânico:': u'\U0001F468\U0000200D\U0001F527',
    u':mecânico_pele_clara:': u'\U0001F468\U0001F3FB\U0000200D\U0001F527',
    u':mecânico_pele_morena_clara:': u'\U0001F468\U0001F3FC\U0000200D\U0001F527',
    u':mecânico_pele_morena:': u'\U0001F468\U0001F3FD\U0000200D\U0001F527',
    u':mecânico_pele_morena_escura:': u'\U0001F468\U0001F3FE\U0000200D\U0001F527',
    u':mecânico_pele_escura:': u'\U0001F468\U0001F3FF\U0000200D\U0001F527',
    u':mecânica:': u'\U0001F469\U0000200D\U0001F527',
    u':mecânica_pele_clara:': u'\U0001F469\U0001F3FB\U0000200D\U0001F527',
    u':mecânica_pele_morena_clara:': u'\U0001F469\U0001F3FC\U0000200D\U0001F527',
    u':mecânica_pele_morena:': u'\U0001F469\U0001F3FD\U0000200D\U0001F527',
    u':mecânica_pele_morena_escura:': u'\U0001F469\U0001F3FE\U0000200D\U0001F527',
    u':mecânica_pele_escura:': u'\U0001F469\U0001F3FF\U0000200D\U0001F527',
    u':funcionário_de_fábrica:': u'\U0001F9D1\U0000200D\U0001F3ED',
    u':funcionário_de_fábrica_pele_clara:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F3ED',
    u':funcionário_de_fábrica_pele_morena_clara:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F3ED',
    u':funcionário_de_fábrica_pele_morena:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F3ED',
    u':funcionário_de_fábrica_pele_morena_escura:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F3ED',
    u':funcionário_de_fábrica_pele_escura:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F3ED',
    u':operário:': u'\U0001F468\U0000200D\U0001F3ED',
    u':operário_pele_clara:': u'\U0001F468\U0001F3FB\U0000200D\U0001F3ED',
    u':operário_pele_morena_clara:': u'\U0001F468\U0001F3FC\U0000200D\U0001F3ED',
    u':operário_pele_morena:': u'\U0001F468\U0001F3FD\U0000200D\U0001F3ED',
    u':operário_pele_morena_escura:': u'\U0001F468\U0001F3FE\U0000200D\U0001F3ED',
    u':operário_pele_escura:': u'\U0001F468\U0001F3FF\U0000200D\U0001F3ED',
    u':operária:': u'\U0001F469\U0000200D\U0001F3ED',
    u':operária_pele_clara:': u'\U0001F469\U0001F3FB\U0000200D\U0001F3ED',
    u':operária_pele_morena_clara:': u'\U0001F469\U0001F3FC\U0000200D\U0001F3ED',
    u':operária_pele_morena:': u'\U0001F469\U0001F3FD\U0000200D\U0001F3ED',
    u':operária_pele_morena_escura:': u'\U0001F469\U0001F3FE\U0000200D\U0001F3ED',
    u':operária_pele_escura:': u'\U0001F469\U0001F3FF\U0000200D\U0001F3ED',
    u':trabalhador_de_escritório:': u'\U0001F9D1\U0000200D\U0001F4BC',
    u':trabalhador_de_escritório_pele_clara:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F4BC',
    u':trabalhador_de_escritório_pele_morena_clara:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F4BC',
    u':trabalhador_de_escritório_pele_morena:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F4BC',
    u':trabalhador_de_escritório_pele_morena_escura:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F4BC',
    u':trabalhador_de_escritório_pele_escura:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F4BC',
    u':funcionário_de_escritório:': u'\U0001F468\U0000200D\U0001F4BC',
    u':funcionário_de_escritório_pele_clara:': u'\U0001F468\U0001F3FB\U0000200D\U0001F4BC',
    u':funcionário_de_escritório_pele_morena_clara:': u'\U0001F468\U0001F3FC\U0000200D\U0001F4BC',
    u':funcionário_de_escritório_pele_morena:': u'\U0001F468\U0001F3FD\U0000200D\U0001F4BC',
    u':funcionário_de_escritório_pele_morena_escura:': u'\U0001F468\U0001F3FE\U0000200D\U0001F4BC',
    u':funcionário_de_escritório_pele_escura:': u'\U0001F468\U0001F3FF\U0000200D\U0001F4BC',
    u':funcionária_de_escritório:': u'\U0001F469\U0000200D\U0001F4BC',
    u':funcionária_de_escritório_pele_clara:': u'\U0001F469\U0001F3FB\U0000200D\U0001F4BC',
    u':funcionária_de_escritório_pele_morena_clara:': u'\U0001F469\U0001F3FC\U0000200D\U0001F4BC',
    u':funcionária_de_escritório_pele_morena:': u'\U0001F469\U0001F3FD\U0000200D\U0001F4BC',
    u':funcionária_de_escritório_pele_morena_escura:': u'\U0001F469\U0001F3FE\U0000200D\U0001F4BC',
    u':funcionária_de_escritório_pele_escura:': u'\U0001F469\U0001F3FF\U0000200D\U0001F4BC',
    u':cientista:': u'\U0001F9D1\U0000200D\U0001F52C',
    u':cientista_pele_clara:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F52C',
    u':cientista_pele_morena_clara:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F52C',
    u':cientista_pele_morena:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F52C',
    u':cientista_pele_morena_escura:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F52C',
    u':cientista_pele_escura:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F52C',
    u':cientista_homem:': u'\U0001F468\U0000200D\U0001F52C',
    u':cientista_homem_pele_clara:': u'\U0001F468\U0001F3FB\U0000200D\U0001F52C',
    u':cientista_homem_pele_morena_clara:': u'\U0001F468\U0001F3FC\U0000200D\U0001F52C',
    u':cientista_homem_pele_morena:': u'\U0001F468\U0001F3FD\U0000200D\U0001F52C',
    u':cientista_homem_pele_morena_escura:': u'\U0001F468\U0001F3FE\U0000200D\U0001F52C',
    u':cientista_homem_pele_escura:': u'\U0001F468\U0001F3FF\U0000200D\U0001F52C',
    u':cientista_mulher:': u'\U0001F469\U0000200D\U0001F52C',
    u':cientista_mulher_pele_clara:': u'\U0001F469\U0001F3FB\U0000200D\U0001F52C',
    u':cientista_mulher_pele_morena_clara:': u'\U0001F469\U0001F3FC\U0000200D\U0001F52C',
    u':cientista_mulher_pele_morena:': u'\U0001F469\U0001F3FD\U0000200D\U0001F52C',
    u':cientista_mulher_pele_morena_escura:': u'\U0001F469\U0001F3FE\U0000200D\U0001F52C',
    u':cientista_mulher_pele_escura:': u'\U0001F469\U0001F3FF\U0000200D\U0001F52C',
    u':programador:': u'\U0001F9D1\U0000200D\U0001F4BB',
    u':programador_pele_clara:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F4BB',
    u':programador_pele_morena_clara:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F4BB',
    u':programador_pele_morena:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F4BB',
    u':programador_pele_morena_escura:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F4BB',
    u':programador_pele_escura:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F4BB',
    u':tecnólogo:': u'\U0001F468\U0000200D\U0001F4BB',
    u':tecnólogo_pele_clara:': u'\U0001F468\U0001F3FB\U0000200D\U0001F4BB',
    u':tecnólogo_pele_morena_clara:': u'\U0001F468\U0001F3FC\U0000200D\U0001F4BB',
    u':tecnólogo_pele_morena:': u'\U0001F468\U0001F3FD\U0000200D\U0001F4BB',
    u':tecnólogo_pele_morena_escura:': u'\U0001F468\U0001F3FE\U0000200D\U0001F4BB',
    u':tecnólogo_pele_escura:': u'\U0001F468\U0001F3FF\U0000200D\U0001F4BB',
    u':tecnóloga:': u'\U0001F469\U0000200D\U0001F4BB',
    u':tecnóloga_pele_clara:': u'\U0001F469\U0001F3FB\U0000200D\U0001F4BB',
    u':tecnóloga_pele_morena_clara:': u'\U0001F469\U0001F3FC\U0000200D\U0001F4BB',
    u':tecnóloga_pele_morena:': u'\U0001F469\U0001F3FD\U0000200D\U0001F4BB',
    u':tecnóloga_pele_morena_escura:': u'\U0001F469\U0001F3FE\U0000200D\U0001F4BB',
    u':tecnóloga_pele_escura:': u'\U0001F469\U0001F3FF\U0000200D\U0001F4BB',
    u':cantor:': u'\U0001F9D1\U0000200D\U0001F3A4',
    u':cantor_pele_clara:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F3A4',
    u':cantor_pele_morena_clara:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F3A4',
    u':cantor_pele_morena:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F3A4',
    u':cantor_pele_morena_escura:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F3A4',
    u':cantor_pele_escura:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F3A4',
    u':cantor_homem:': u'\U0001F468\U0000200D\U0001F3A4',
    u':cantor_homem_pele_clara:': u'\U0001F468\U0001F3FB\U0000200D\U0001F3A4',
    u':cantor_homem_pele_morena_clara:': u'\U0001F468\U0001F3FC\U0000200D\U0001F3A4',
    u':cantor_homem_pele_morena:': u'\U0001F468\U0001F3FD\U0000200D\U0001F3A4',
    u':cantor_homem_pele_morena_escura:': u'\U0001F468\U0001F3FE\U0000200D\U0001F3A4',
    u':cantor_homem_pele_escura:': u'\U0001F468\U0001F3FF\U0000200D\U0001F3A4',
    u':cantora:': u'\U0001F469\U0000200D\U0001F3A4',
    u':cantora_pele_clara:': u'\U0001F469\U0001F3FB\U0000200D\U0001F3A4',
    u':cantora_pele_morena_clara:': u'\U0001F469\U0001F3FC\U0000200D\U0001F3A4',
    u':cantora_pele_morena:': u'\U0001F469\U0001F3FD\U0000200D\U0001F3A4',
    u':cantora_pele_morena_escura:': u'\U0001F469\U0001F3FE\U0000200D\U0001F3A4',
    u':cantora_pele_escura:': u'\U0001F469\U0001F3FF\U0000200D\U0001F3A4',
    u':artista:': u'\U0001F9D1\U0000200D\U0001F3A8',
    u':artista_pele_clara:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F3A8',
    u':artista_pele_morena_clara:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F3A8',
    u':artista_pele_morena:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F3A8',
    u':artista_pele_morena_escura:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F3A8',
    u':artista_pele_escura:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F3A8',
    u':artista_plástico:': u'\U0001F468\U0000200D\U0001F3A8',
    u':artista_plástico_pele_clara:': u'\U0001F468\U0001F3FB\U0000200D\U0001F3A8',
    u':artista_plástico_pele_morena_clara:': u'\U0001F468\U0001F3FC\U0000200D\U0001F3A8',
    u':artista_plástico_pele_morena:': u'\U0001F468\U0001F3FD\U0000200D\U0001F3A8',
    u':artista_plástico_pele_morena_escura:': u'\U0001F468\U0001F3FE\U0000200D\U0001F3A8',
    u':artista_plástico_pele_escura:': u'\U0001F468\U0001F3FF\U0000200D\U0001F3A8',
    u':artista_plástica:': u'\U0001F469\U0000200D\U0001F3A8',
    u':artista_plástica_pele_clara:': u'\U0001F469\U0001F3FB\U0000200D\U0001F3A8',
    u':artista_plástica_pele_morena_clara:': u'\U0001F469\U0001F3FC\U0000200D\U0001F3A8',
    u':artista_plástica_pele_morena:': u'\U0001F469\U0001F3FD\U0000200D\U0001F3A8',
    u':artista_plástica_pele_morena_escura:': u'\U0001F469\U0001F3FE\U0000200D\U0001F3A8',
    u':artista_plástica_pele_escura:': u'\U0001F469\U0001F3FF\U0000200D\U0001F3A8',
    u':piloto:': u'\U0001F9D1\U0000200D\U00002708\U0000FE0F',
    u':piloto_pele_clara:': u'\U0001F9D1\U0001F3FB\U0000200D\U00002708\U0000FE0F',
    u':piloto_pele_morena_clara:': u'\U0001F9D1\U0001F3FC\U0000200D\U00002708\U0000FE0F',
    u':piloto_pele_morena:': u'\U0001F9D1\U0001F3FD\U0000200D\U00002708\U0000FE0F',
    u':piloto_pele_morena_escura:': u'\U0001F9D1\U0001F3FE\U0000200D\U00002708\U0000FE0F',
    u':piloto_pele_escura:': u'\U0001F9D1\U0001F3FF\U0000200D\U00002708\U0000FE0F',
    u':piloto_de_avião_homem:': u'\U0001F468\U0000200D\U00002708\U0000FE0F',
    u':piloto_de_avião_homem_pele_clara:': u'\U0001F468\U0001F3FB\U0000200D\U00002708\U0000FE0F',
    u':piloto_de_avião_homem_pele_morena_clara:': u'\U0001F468\U0001F3FC\U0000200D\U00002708\U0000FE0F',
    u':piloto_de_avião_homem_pele_morena:': u'\U0001F468\U0001F3FD\U0000200D\U00002708\U0000FE0F',
    u':piloto_de_avião_homem_pele_morena_escura:': u'\U0001F468\U0001F3FE\U0000200D\U00002708\U0000FE0F',
    u':piloto_de_avião_homem_pele_escura:': u'\U0001F468\U0001F3FF\U0000200D\U00002708\U0000FE0F',
    u':piloto_de_avião_mulher:': u'\U0001F469\U0000200D\U00002708\U0000FE0F',
    u':piloto_de_avião_mulher_pele_clara:': u'\U0001F469\U0001F3FB\U0000200D\U00002708\U0000FE0F',
    u':piloto_de_avião_mulher_pele_morena_clara:': u'\U0001F469\U0001F3FC\U0000200D\U00002708\U0000FE0F',
    u':piloto_de_avião_mulher_pele_morena:': u'\U0001F469\U0001F3FD\U0000200D\U00002708\U0000FE0F',
    u':piloto_de_avião_mulher_pele_morena_escura:': u'\U0001F469\U0001F3FE\U0000200D\U00002708\U0000FE0F',
    u':piloto_de_avião_mulher_pele_escura:': u'\U0001F469\U0001F3FF\U0000200D\U00002708\U0000FE0F',
    u':astronauta:': u'\U0001F9D1\U0000200D\U0001F680',
    u':astronauta_pele_clara:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F680',
    u':astronauta_pele_morena_clara:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F680',
    u':astronauta_pele_morena:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F680',
    u':astronauta_pele_morena_escura:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F680',
    u':astronauta_pele_escura:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F680',
    u':astronauta_homem:': u'\U0001F468\U0000200D\U0001F680',
    u':astronauta_homem_pele_clara:': u'\U0001F468\U0001F3FB\U0000200D\U0001F680',
    u':astronauta_homem_pele_morena_clara:': u'\U0001F468\U0001F3FC\U0000200D\U0001F680',
    u':astronauta_homem_pele_morena:': u'\U0001F468\U0001F3FD\U0000200D\U0001F680',
    u':astronauta_homem_pele_morena_escura:': u'\U0001F468\U0001F3FE\U0000200D\U0001F680',
    u':astronauta_homem_pele_escura:': u'\U0001F468\U0001F3FF\U0000200D\U0001F680',
    u':astronauta_mulher:': u'\U0001F469\U0000200D\U0001F680',
    u':astronauta_mulher_pele_clara:': u'\U0001F469\U0001F3FB\U0000200D\U0001F680',
    u':astronauta_mulher_pele_morena_clara:': u'\U0001F469\U0001F3FC\U0000200D\U0001F680',
    u':astronauta_mulher_pele_morena:': u'\U0001F469\U0001F3FD\U0000200D\U0001F680',
    u':astronauta_mulher_pele_morena_escura:': u'\U0001F469\U0001F3FE\U0000200D\U0001F680',
    u':astronauta_mulher_pele_escura:': u'\U0001F469\U0001F3FF\U0000200D\U0001F680',
    u':bombeiro:': u'\U0001F9D1\U0000200D\U0001F692',
    u':bombeiro_pele_clara:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F692',
    u':bombeiro_pele_morena_clara:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F692',
    u':bombeiro_pele_morena:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F692',
    u':bombeiro_pele_morena_escura:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F692',
    u':bombeiro_pele_escura:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F692',
    u':bombeiro_homem:': u'\U0001F468\U0000200D\U0001F692',
    u':bombeiro_homem_pele_clara:': u'\U0001F468\U0001F3FB\U0000200D\U0001F692',
    u':bombeiro_homem_pele_morena_clara:': u'\U0001F468\U0001F3FC\U0000200D\U0001F692',
    u':bombeiro_homem_pele_morena:': u'\U0001F468\U0001F3FD\U0000200D\U0001F692',
    u':bombeiro_homem_pele_morena_escura:': u'\U0001F468\U0001F3FE\U0000200D\U0001F692',
    u':bombeiro_homem_pele_escura:': u'\U0001F468\U0001F3FF\U0000200D\U0001F692',
    u':bombeira:': u'\U0001F469\U0000200D\U0001F692',
    u':bombeira_pele_clara:': u'\U0001F469\U0001F3FB\U0000200D\U0001F692',
    u':bombeira_pele_morena_clara:': u'\U0001F469\U0001F3FC\U0000200D\U0001F692',
    u':bombeira_pele_morena:': u'\U0001F469\U0001F3FD\U0000200D\U0001F692',
    u':bombeira_pele_morena_escura:': u'\U0001F469\U0001F3FE\U0000200D\U0001F692',
    u':bombeira_pele_escura:': u'\U0001F469\U0001F3FF\U0000200D\U0001F692',
    u':policial:': u'\U0001F46E',
    u':policial_pele_clara:': u'\U0001F46E\U0001F3FB',
    u':policial_pele_morena_clara:': u'\U0001F46E\U0001F3FC',
    u':policial_pele_morena:': u'\U0001F46E\U0001F3FD',
    u':policial_pele_morena_escura:': u'\U0001F46E\U0001F3FE',
    u':policial_pele_escura:': u'\U0001F46E\U0001F3FF',
    u':policial_homem:': u'\U0001F46E\U0000200D\U00002642\U0000FE0F',
    u':policial_homem_pele_clara:': u'\U0001F46E\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':policial_homem_pele_morena_clara:': u'\U0001F46E\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':policial_homem_pele_morena:': u'\U0001F46E\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':policial_homem_pele_morena_escura:': u'\U0001F46E\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':policial_homem_pele_escura:': u'\U0001F46E\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':policial_mulher:': u'\U0001F46E\U0000200D\U00002640\U0000FE0F',
    u':policial_mulher_pele_clara:': u'\U0001F46E\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':policial_mulher_pele_morena_clara:': u'\U0001F46E\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':policial_mulher_pele_morena:': u'\U0001F46E\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':policial_mulher_pele_morena_escura:': u'\U0001F46E\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':policial_mulher_pele_escura:': u'\U0001F46E\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':detetive:': u'\U0001F575\U0000FE0F',
    u':detetive_pele_clara:': u'\U0001F575\U0001F3FB',
    u':detetive_pele_morena_clara:': u'\U0001F575\U0001F3FC',
    u':detetive_pele_morena:': u'\U0001F575\U0001F3FD',
    u':detetive_pele_morena_escura:': u'\U0001F575\U0001F3FE',
    u':detetive_pele_escura:': u'\U0001F575\U0001F3FF',
    u':detetive_homem:': u'\U0001F575\U0000FE0F\U0000200D\U00002642\U0000FE0F',
    u':detetive_homem_pele_clara:': u'\U0001F575\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':detetive_homem_pele_morena_clara:': u'\U0001F575\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':detetive_homem_pele_morena:': u'\U0001F575\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':detetive_homem_pele_morena_escura:': u'\U0001F575\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':detetive_homem_pele_escura:': u'\U0001F575\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':detetive_mulher:': u'\U0001F575\U0000FE0F\U0000200D\U00002640\U0000FE0F',
    u':detetive_mulher_pele_clara:': u'\U0001F575\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':detetive_mulher_pele_morena_clara:': u'\U0001F575\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':detetive_mulher_pele_morena:': u'\U0001F575\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':detetive_mulher_pele_morena_escura:': u'\U0001F575\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':detetive_mulher_pele_escura:': u'\U0001F575\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':guarda:': u'\U0001F482',
    u':guarda_pele_clara:': u'\U0001F482\U0001F3FB',
    u':guarda_pele_morena_clara:': u'\U0001F482\U0001F3FC',
    u':guarda_pele_morena:': u'\U0001F482\U0001F3FD',
    u':guarda_pele_morena_escura:': u'\U0001F482\U0001F3FE',
    u':guarda_pele_escura:': u'\U0001F482\U0001F3FF',
    u':guarda_homem:': u'\U0001F482\U0000200D\U00002642\U0000FE0F',
    u':guarda_homem_pele_clara:': u'\U0001F482\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':guarda_homem_pele_morena_clara:': u'\U0001F482\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':guarda_homem_pele_morena:': u'\U0001F482\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':guarda_homem_pele_morena_escura:': u'\U0001F482\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':guarda_homem_pele_escura:': u'\U0001F482\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':guarda_mulher:': u'\U0001F482\U0000200D\U00002640\U0000FE0F',
    u':guarda_mulher_pele_clara:': u'\U0001F482\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':guarda_mulher_pele_morena_clara:': u'\U0001F482\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':guarda_mulher_pele_morena:': u'\U0001F482\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':guarda_mulher_pele_morena_escura:': u'\U0001F482\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':guarda_mulher_pele_escura:': u'\U0001F482\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':ninja:': u'\U0001F977',
    u':ninja_pele_clara:': u'\U0001F977\U0001F3FB',
    u':ninja_pele_morena_clara:': u'\U0001F977\U0001F3FC',
    u':ninja_pele_morena:': u'\U0001F977\U0001F3FD',
    u':ninja_pele_morena_escura:': u'\U0001F977\U0001F3FE',
    u':ninja_pele_escura:': u'\U0001F977\U0001F3FF',
    u':trabalhador_de_construção_civil:': u'\U0001F477',
    u':trabalhador_de_construção_civil_pele_clara:': u'\U0001F477\U0001F3FB',
    u':trabalhador_de_construção_civil_pele_morena_clara:': u'\U0001F477\U0001F3FC',
    u':trabalhador_de_construção_civil_pele_morena:': u'\U0001F477\U0001F3FD',
    u':trabalhador_de_construção_civil_pele_morena_escura:': u'\U0001F477\U0001F3FE',
    u':trabalhador_de_construção_civil_pele_escura:': u'\U0001F477\U0001F3FF',
    u':pedreiro:': u'\U0001F477\U0000200D\U00002642\U0000FE0F',
    u':pedreiro_pele_clara:': u'\U0001F477\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':pedreiro_pele_morena_clara:': u'\U0001F477\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':pedreiro_pele_morena:': u'\U0001F477\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':pedreiro_pele_morena_escura:': u'\U0001F477\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':pedreiro_pele_escura:': u'\U0001F477\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':pedreira:': u'\U0001F477\U0000200D\U00002640\U0000FE0F',
    u':pedreira_pele_clara:': u'\U0001F477\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':pedreira_pele_morena_clara:': u'\U0001F477\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':pedreira_pele_morena:': u'\U0001F477\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':pedreira_pele_morena_escura:': u'\U0001F477\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':pedreira_pele_escura:': u'\U0001F477\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':príncipe:': u'\U0001F934',
    u':príncipe_pele_clara:': u'\U0001F934\U0001F3FB',
    u':príncipe_pele_morena_clara:': u'\U0001F934\U0001F3FC',
    u':príncipe_pele_morena:': u'\U0001F934\U0001F3FD',
    u':príncipe_pele_morena_escura:': u'\U0001F934\U0001F3FE',
    u':príncipe_pele_escura:': u'\U0001F934\U0001F3FF',
    u':princesa:': u'\U0001F478',
    u':princesa_pele_clara:': u'\U0001F478\U0001F3FB',
    u':princesa_pele_morena_clara:': u'\U0001F478\U0001F3FC',
    u':princesa_pele_morena:': u'\U0001F478\U0001F3FD',
    u':princesa_pele_morena_escura:': u'\U0001F478\U0001F3FE',
    u':princesa_pele_escura:': u'\U0001F478\U0001F3FF',
    u':pessoa_com_turbante:': u'\U0001F473',
    u':pessoa_com_turbante_pele_clara:': u'\U0001F473\U0001F3FB',
    u':pessoa_com_turbante_pele_morena_clara:': u'\U0001F473\U0001F3FC',
    u':pessoa_com_turbante_pele_morena:': u'\U0001F473\U0001F3FD',
    u':pessoa_com_turbante_pele_morena_escura:': u'\U0001F473\U0001F3FE',
    u':pessoa_com_turbante_pele_escura:': u'\U0001F473\U0001F3FF',
    u':homem_com_turbante:': u'\U0001F473\U0000200D\U00002642\U0000FE0F',
    u':homem_com_turbante_pele_clara:': u'\U0001F473\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':homem_com_turbante_pele_morena_clara:': u'\U0001F473\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':homem_com_turbante_pele_morena:': u'\U0001F473\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':homem_com_turbante_pele_morena_escura:': u'\U0001F473\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':homem_com_turbante_pele_escura:': u'\U0001F473\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mulher_com_turbante:': u'\U0001F473\U0000200D\U00002640\U0000FE0F',
    u':mulher_com_turbante_pele_clara:': u'\U0001F473\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mulher_com_turbante_pele_morena_clara:': u'\U0001F473\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mulher_com_turbante_pele_morena:': u'\U0001F473\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mulher_com_turbante_pele_morena_escura:': u'\U0001F473\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mulher_com_turbante_pele_escura:': u'\U0001F473\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':homem_de_boné:': u'\U0001F472',
    u':homem_de_boné_pele_clara:': u'\U0001F472\U0001F3FB',
    u':homem_de_boné_pele_morena_clara:': u'\U0001F472\U0001F3FC',
    u':homem_de_boné_pele_morena:': u'\U0001F472\U0001F3FD',
    u':homem_de_boné_pele_morena_escura:': u'\U0001F472\U0001F3FE',
    u':homem_de_boné_pele_escura:': u'\U0001F472\U0001F3FF',
    u':mulher_com_véu:': u'\U0001F9D5',
    u':mulher_com_véu_pele_clara:': u'\U0001F9D5\U0001F3FB',
    u':mulher_com_véu_pele_morena_clara:': u'\U0001F9D5\U0001F3FC',
    u':mulher_com_véu_pele_morena:': u'\U0001F9D5\U0001F3FD',
    u':mulher_com_véu_pele_morena_escura:': u'\U0001F9D5\U0001F3FE',
    u':mulher_com_véu_pele_escura:': u'\U0001F9D5\U0001F3FF',
    u':pessoa_de_smoking:': u'\U0001F935',
    u':pessoa_de_smoking_pele_clara:': u'\U0001F935\U0001F3FB',
    u':pessoa_de_smoking_pele_morena_clara:': u'\U0001F935\U0001F3FC',
    u':pessoa_de_smoking_pele_morena:': u'\U0001F935\U0001F3FD',
    u':pessoa_de_smoking_pele_morena_escura:': u'\U0001F935\U0001F3FE',
    u':pessoa_de_smoking_pele_escura:': u'\U0001F935\U0001F3FF',
    u':homem_de_smoking:': u'\U0001F935\U0000200D\U00002642\U0000FE0F',
    u':homem_de_smoking_pele_clara:': u'\U0001F935\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':homem_de_smoking_pele_morena_clara:': u'\U0001F935\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':homem_de_smoking_pele_morena:': u'\U0001F935\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':homem_de_smoking_pele_morena_escura:': u'\U0001F935\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':homem_de_smoking_pele_escura:': u'\U0001F935\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mulher_de_smoking:': u'\U0001F935\U0000200D\U00002640\U0000FE0F',
    u':mulher_de_smoking_pele_clara:': u'\U0001F935\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mulher_de_smoking_pele_morena_clara:': u'\U0001F935\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mulher_de_smoking_pele_morena:': u'\U0001F935\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mulher_de_smoking_pele_morena_escura:': u'\U0001F935\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mulher_de_smoking_pele_escura:': u'\U0001F935\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':noiva:': u'\U0001F470',
    u':noiva_pele_clara:': u'\U0001F470\U0001F3FB',
    u':noiva_pele_morena_clara:': u'\U0001F470\U0001F3FC',
    u':noiva_pele_morena:': u'\U0001F470\U0001F3FD',
    u':noiva_pele_morena_escura:': u'\U0001F470\U0001F3FE',
    u':noiva_pele_escura:': u'\U0001F470\U0001F3FF',
    u':noivo_com_véu:': u'\U0001F470\U0000200D\U00002642\U0000FE0F',
    u':noivo_com_véu_pele_clara:': u'\U0001F470\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':noivo_com_véu_pele_morena_clara:': u'\U0001F470\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':noivo_com_véu_pele_morena:': u'\U0001F470\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':noivo_com_véu_pele_morena_escura:': u'\U0001F470\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':noivo_com_véu_pele_escura:': u'\U0001F470\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':noiva_com_véu:': u'\U0001F470\U0000200D\U00002640\U0000FE0F',
    u':noiva_com_véu_pele_clara:': u'\U0001F470\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':noiva_com_véu_pele_morena_clara:': u'\U0001F470\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':noiva_com_véu_pele_morena:': u'\U0001F470\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':noiva_com_véu_pele_morena_escura:': u'\U0001F470\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':noiva_com_véu_pele_escura:': u'\U0001F470\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':grávida:': u'\U0001F930',
    u':grávida_pele_clara:': u'\U0001F930\U0001F3FB',
    u':grávida_pele_morena_clara:': u'\U0001F930\U0001F3FC',
    u':grávida_pele_morena:': u'\U0001F930\U0001F3FD',
    u':grávida_pele_morena_escura:': u'\U0001F930\U0001F3FE',
    u':grávida_pele_escura:': u'\U0001F930\U0001F3FF',
    u':amamentando:': u'\U0001F931',
    u':amamentando_pele_clara:': u'\U0001F931\U0001F3FB',
    u':amamentando_pele_morena_clara:': u'\U0001F931\U0001F3FC',
    u':amamentando_pele_morena:': u'\U0001F931\U0001F3FD',
    u':amamentando_pele_morena_escura:': u'\U0001F931\U0001F3FE',
    u':amamentando_pele_escura:': u'\U0001F931\U0001F3FF',
    u':mulher_alimentando_bebê:': u'\U0001F469\U0000200D\U0001F37C',
    u':mulher_alimentando_bebê_pele_clara:': u'\U0001F469\U0001F3FB\U0000200D\U0001F37C',
    u':mulher_alimentando_bebê_pele_morena_clara:': u'\U0001F469\U0001F3FC\U0000200D\U0001F37C',
    u':mulher_alimentando_bebê_pele_morena:': u'\U0001F469\U0001F3FD\U0000200D\U0001F37C',
    u':mulher_alimentando_bebê_pele_morena_escura:': u'\U0001F469\U0001F3FE\U0000200D\U0001F37C',
    u':mulher_alimentando_bebê_pele_escura:': u'\U0001F469\U0001F3FF\U0000200D\U0001F37C',
    u':homem_alimentando_bebê:': u'\U0001F468\U0000200D\U0001F37C',
    u':homem_alimentando_bebê_pele_clara:': u'\U0001F468\U0001F3FB\U0000200D\U0001F37C',
    u':homem_alimentando_bebê_pele_morena_clara:': u'\U0001F468\U0001F3FC\U0000200D\U0001F37C',
    u':homem_alimentando_bebê_pele_morena:': u'\U0001F468\U0001F3FD\U0000200D\U0001F37C',
    u':homem_alimentando_bebê_pele_morena_escura:': u'\U0001F468\U0001F3FE\U0000200D\U0001F37C',
    u':homem_alimentando_bebê_pele_escura:': u'\U0001F468\U0001F3FF\U0000200D\U0001F37C',
    u':pessoa_alimentando_bebê:': u'\U0001F9D1\U0000200D\U0001F37C',
    u':pessoa_alimentando_bebê_pele_clara:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F37C',
    u':pessoa_alimentando_bebê_pele_morena_clara:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F37C',
    u':pessoa_alimentando_bebê_pele_morena:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F37C',
    u':pessoa_alimentando_bebê_pele_morena_escura:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F37C',
    u':pessoa_alimentando_bebê_pele_escura:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F37C',
    u':bebê_anjo:': u'\U0001F47C',
    u':bebê_anjo_pele_clara:': u'\U0001F47C\U0001F3FB',
    u':bebê_anjo_pele_morena_clara:': u'\U0001F47C\U0001F3FC',
    u':bebê_anjo_pele_morena:': u'\U0001F47C\U0001F3FD',
    u':bebê_anjo_pele_morena_escura:': u'\U0001F47C\U0001F3FE',
    u':bebê_anjo_pele_escura:': u'\U0001F47C\U0001F3FF',
    u':papai_noel:': u'\U0001F385',
    u':papai_noel_pele_clara:': u'\U0001F385\U0001F3FB',
    u':papai_noel_pele_morena_clara:': u'\U0001F385\U0001F3FC',
    u':papai_noel_pele_morena:': u'\U0001F385\U0001F3FD',
    u':papai_noel_pele_morena_escura:': u'\U0001F385\U0001F3FE',
    u':papai_noel_pele_escura:': u'\U0001F385\U0001F3FF',
    u':mamãe_noel:': u'\U0001F936',
    u':mamãe_noel_pele_clara:': u'\U0001F936\U0001F3FB',
    u':mamãe_noel_pele_morena_clara:': u'\U0001F936\U0001F3FC',
    u':mamãe_noel_pele_morena:': u'\U0001F936\U0001F3FD',
    u':mamãe_noel_pele_morena_escura:': u'\U0001F936\U0001F3FE',
    u':mamãe_noel_pele_escura:': u'\U0001F936\U0001F3FF',
    u':noel:': u'\U0001F9D1\U0000200D\U0001F384',
    u':noel_pele_clara:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F384',
    u':noel_pele_morena_clara:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F384',
    u':noel_pele_morena:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F384',
    u':noel_pele_morena_escura:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F384',
    u':noel_pele_escura:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F384',
    u':super-herói:': u'\U0001F9B8',
    u':super-herói_pele_clara:': u'\U0001F9B8\U0001F3FB',
    u':super-herói_pele_morena_clara:': u'\U0001F9B8\U0001F3FC',
    u':super-herói_pele_morena:': u'\U0001F9B8\U0001F3FD',
    u':super-herói_pele_morena_escura:': u'\U0001F9B8\U0001F3FE',
    u':super-herói_pele_escura:': u'\U0001F9B8\U0001F3FF',
    u':homem_super-herói:': u'\U0001F9B8\U0000200D\U00002642\U0000FE0F',
    u':homem_super-herói_pele_clara:': u'\U0001F9B8\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':homem_super-herói_pele_morena_clara:': u'\U0001F9B8\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':homem_super-herói_pele_morena:': u'\U0001F9B8\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':homem_super-herói_pele_morena_escura:': u'\U0001F9B8\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':homem_super-herói_pele_escura:': u'\U0001F9B8\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':super-heroína:': u'\U0001F9B8\U0000200D\U00002640\U0000FE0F',
    u':super-heroína_pele_clara:': u'\U0001F9B8\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':super-heroína_pele_morena_clara:': u'\U0001F9B8\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':super-heroína_pele_morena:': u'\U0001F9B8\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':super-heroína_pele_morena_escura:': u'\U0001F9B8\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':super-heroína_pele_escura:': u'\U0001F9B8\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':supervilão:': u'\U0001F9B9',
    u':supervilão_pele_clara:': u'\U0001F9B9\U0001F3FB',
    u':supervilão_pele_morena_clara:': u'\U0001F9B9\U0001F3FC',
    u':supervilão_pele_morena:': u'\U0001F9B9\U0001F3FD',
    u':supervilão_pele_morena_escura:': u'\U0001F9B9\U0001F3FE',
    u':supervilão_pele_escura:': u'\U0001F9B9\U0001F3FF',
    u':homem_supervilão:': u'\U0001F9B9\U0000200D\U00002642\U0000FE0F',
    u':homem_supervilão_pele_clara:': u'\U0001F9B9\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':homem_supervilão_pele_morena_clara:': u'\U0001F9B9\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':homem_supervilão_pele_morena:': u'\U0001F9B9\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':homem_supervilão_pele_morena_escura:': u'\U0001F9B9\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':homem_supervilão_pele_escura:': u'\U0001F9B9\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':supervilã:': u'\U0001F9B9\U0000200D\U00002640\U0000FE0F',
    u':supervilã_pele_clara:': u'\U0001F9B9\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':supervilã_pele_morena_clara:': u'\U0001F9B9\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':supervilã_pele_morena:': u'\U0001F9B9\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':supervilã_pele_morena_escura:': u'\U0001F9B9\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':supervilã_pele_escura:': u'\U0001F9B9\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':mago:': u'\U0001F9D9',
    u':mago_pele_clara:': u'\U0001F9D9\U0001F3FB',
    u':mago_pele_morena_clara:': u'\U0001F9D9\U0001F3FC',
    u':mago_pele_morena:': u'\U0001F9D9\U0001F3FD',
    u':mago_pele_morena_escura:': u'\U0001F9D9\U0001F3FE',
    u':mago_pele_escura:': u'\U0001F9D9\U0001F3FF',
    u':homem_mago:': u'\U0001F9D9\U0000200D\U00002642\U0000FE0F',
    u':homem_mago_pele_clara:': u'\U0001F9D9\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':homem_mago_pele_morena_clara:': u'\U0001F9D9\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':homem_mago_pele_morena:': u'\U0001F9D9\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':homem_mago_pele_morena_escura:': u'\U0001F9D9\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':homem_mago_pele_escura:': u'\U0001F9D9\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':maga:': u'\U0001F9D9\U0000200D\U00002640\U0000FE0F',
    u':maga_pele_clara:': u'\U0001F9D9\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':maga_pele_morena_clara:': u'\U0001F9D9\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':maga_pele_morena:': u'\U0001F9D9\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':maga_pele_morena_escura:': u'\U0001F9D9\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':maga_pele_escura:': u'\U0001F9D9\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':fada:': u'\U0001F9DA',
    u':fada_pele_clara:': u'\U0001F9DA\U0001F3FB',
    u':fada_pele_morena_clara:': u'\U0001F9DA\U0001F3FC',
    u':fada_pele_morena:': u'\U0001F9DA\U0001F3FD',
    u':fada_pele_morena_escura:': u'\U0001F9DA\U0001F3FE',
    u':fada_pele_escura:': u'\U0001F9DA\U0001F3FF',
    u':homem_fada:': u'\U0001F9DA\U0000200D\U00002642\U0000FE0F',
    u':homem_fada_pele_clara:': u'\U0001F9DA\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':homem_fada_pele_morena_clara:': u'\U0001F9DA\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':homem_fada_pele_morena:': u'\U0001F9DA\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':homem_fada_pele_morena_escura:': u'\U0001F9DA\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':homem_fada_pele_escura:': u'\U0001F9DA\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mulher_fada:': u'\U0001F9DA\U0000200D\U00002640\U0000FE0F',
    u':mulher_fada_pele_clara:': u'\U0001F9DA\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mulher_fada_pele_morena_clara:': u'\U0001F9DA\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mulher_fada_pele_morena:': u'\U0001F9DA\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mulher_fada_pele_morena_escura:': u'\U0001F9DA\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mulher_fada_pele_escura:': u'\U0001F9DA\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':vampiro:': u'\U0001F9DB',
    u':vampiro_pele_clara:': u'\U0001F9DB\U0001F3FB',
    u':vampiro_pele_morena_clara:': u'\U0001F9DB\U0001F3FC',
    u':vampiro_pele_morena:': u'\U0001F9DB\U0001F3FD',
    u':vampiro_pele_morena_escura:': u'\U0001F9DB\U0001F3FE',
    u':vampiro_pele_escura:': u'\U0001F9DB\U0001F3FF',
    u':homem_vampiro:': u'\U0001F9DB\U0000200D\U00002642\U0000FE0F',
    u':homem_vampiro_pele_clara:': u'\U0001F9DB\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':homem_vampiro_pele_morena_clara:': u'\U0001F9DB\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':homem_vampiro_pele_morena:': u'\U0001F9DB\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':homem_vampiro_pele_morena_escura:': u'\U0001F9DB\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':homem_vampiro_pele_escura:': u'\U0001F9DB\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mulher_vampira:': u'\U0001F9DB\U0000200D\U00002640\U0000FE0F',
    u':mulher_vampira_pele_clara:': u'\U0001F9DB\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mulher_vampira_pele_morena_clara:': u'\U0001F9DB\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mulher_vampira_pele_morena:': u'\U0001F9DB\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mulher_vampira_pele_morena_escura:': u'\U0001F9DB\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mulher_vampira_pele_escura:': u'\U0001F9DB\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':pessoa_sereia:': u'\U0001F9DC',
    u':pessoa_sereia_pele_clara:': u'\U0001F9DC\U0001F3FB',
    u':pessoa_sereia_pele_morena_clara:': u'\U0001F9DC\U0001F3FC',
    u':pessoa_sereia_pele_morena:': u'\U0001F9DC\U0001F3FD',
    u':pessoa_sereia_pele_morena_escura:': u'\U0001F9DC\U0001F3FE',
    u':pessoa_sereia_pele_escura:': u'\U0001F9DC\U0001F3FF',
    u':sereio:': u'\U0001F9DC\U0000200D\U00002642\U0000FE0F',
    u':sereio_pele_clara:': u'\U0001F9DC\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':sereio_pele_morena_clara:': u'\U0001F9DC\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':sereio_pele_morena:': u'\U0001F9DC\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':sereio_pele_morena_escura:': u'\U0001F9DC\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':sereio_pele_escura:': u'\U0001F9DC\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':sereia:': u'\U0001F9DC\U0000200D\U00002640\U0000FE0F',
    u':sereia_pele_clara:': u'\U0001F9DC\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':sereia_pele_morena_clara:': u'\U0001F9DC\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':sereia_pele_morena:': u'\U0001F9DC\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':sereia_pele_morena_escura:': u'\U0001F9DC\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':sereia_pele_escura:': u'\U0001F9DC\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':elfo:': u'\U0001F9DD',
    u':elfo_pele_clara:': u'\U0001F9DD\U0001F3FB',
    u':elfo_pele_morena_clara:': u'\U0001F9DD\U0001F3FC',
    u':elfo_pele_morena:': u'\U0001F9DD\U0001F3FD',
    u':elfo_pele_morena_escura:': u'\U0001F9DD\U0001F3FE',
    u':elfo_pele_escura:': u'\U0001F9DD\U0001F3FF',
    u':elfo_homem:': u'\U0001F9DD\U0000200D\U00002642\U0000FE0F',
    u':elfo_homem_pele_clara:': u'\U0001F9DD\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':elfo_homem_pele_morena_clara:': u'\U0001F9DD\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':elfo_homem_pele_morena:': u'\U0001F9DD\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':elfo_homem_pele_morena_escura:': u'\U0001F9DD\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':elfo_homem_pele_escura:': u'\U0001F9DD\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':elfa:': u'\U0001F9DD\U0000200D\U00002640\U0000FE0F',
    u':elfa_pele_clara:': u'\U0001F9DD\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':elfa_pele_morena_clara:': u'\U0001F9DD\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':elfa_pele_morena:': u'\U0001F9DD\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':elfa_pele_morena_escura:': u'\U0001F9DD\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':elfa_pele_escura:': u'\U0001F9DD\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':gênio:': u'\U0001F9DE',
    u':homem_gênio:': u'\U0001F9DE\U0000200D\U00002642\U0000FE0F',
    u':mulher_gênio:': u'\U0001F9DE\U0000200D\U00002640\U0000FE0F',
    u':zumbi:': u'\U0001F9DF',
    u':homem_zumbi:': u'\U0001F9DF\U0000200D\U00002642\U0000FE0F',
    u':mulher_zumbi:': u'\U0001F9DF\U0000200D\U00002640\U0000FE0F',
    u':pessoa_recebendo_massagem_facial:': u'\U0001F486',
    u':pessoa_recebendo_massagem_facial_pele_clara:': u'\U0001F486\U0001F3FB',
    u':pessoa_recebendo_massagem_facial_pele_morena_clara:': u'\U0001F486\U0001F3FC',
    u':pessoa_recebendo_massagem_facial_pele_morena:': u'\U0001F486\U0001F3FD',
    u':pessoa_recebendo_massagem_facial_pele_morena_escura:': u'\U0001F486\U0001F3FE',
    u':pessoa_recebendo_massagem_facial_pele_escura:': u'\U0001F486\U0001F3FF',
    u':homem_recebendo_massagem_facial:': u'\U0001F486\U0000200D\U00002642\U0000FE0F',
    u':homem_recebendo_massagem_facial_pele_clara:': u'\U0001F486\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':homem_recebendo_massagem_facial_pele_morena_clara:': u'\U0001F486\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':homem_recebendo_massagem_facial_pele_morena:': u'\U0001F486\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':homem_recebendo_massagem_facial_pele_morena_escura:': u'\U0001F486\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':homem_recebendo_massagem_facial_pele_escura:': u'\U0001F486\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mulher_recebendo_massagem_facial:': u'\U0001F486\U0000200D\U00002640\U0000FE0F',
    u':mulher_recebendo_massagem_facial_pele_clara:': u'\U0001F486\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mulher_recebendo_massagem_facial_pele_morena_clara:': u'\U0001F486\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mulher_recebendo_massagem_facial_pele_morena:': u'\U0001F486\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mulher_recebendo_massagem_facial_pele_morena_escura:': u'\U0001F486\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mulher_recebendo_massagem_facial_pele_escura:': u'\U0001F486\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':pessoa_cortando_o_cabelo:': u'\U0001F487',
    u':pessoa_cortando_o_cabelo_pele_clara:': u'\U0001F487\U0001F3FB',
    u':pessoa_cortando_o_cabelo_pele_morena_clara:': u'\U0001F487\U0001F3FC',
    u':pessoa_cortando_o_cabelo_pele_morena:': u'\U0001F487\U0001F3FD',
    u':pessoa_cortando_o_cabelo_pele_morena_escura:': u'\U0001F487\U0001F3FE',
    u':pessoa_cortando_o_cabelo_pele_escura:': u'\U0001F487\U0001F3FF',
    u':homem_cortando_o_cabelo:': u'\U0001F487\U0000200D\U00002642\U0000FE0F',
    u':homem_cortando_o_cabelo_pele_clara:': u'\U0001F487\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':homem_cortando_o_cabelo_pele_morena_clara:': u'\U0001F487\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':homem_cortando_o_cabelo_pele_morena:': u'\U0001F487\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':homem_cortando_o_cabelo_pele_morena_escura:': u'\U0001F487\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':homem_cortando_o_cabelo_pele_escura:': u'\U0001F487\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mulher_cortando_o_cabelo:': u'\U0001F487\U0000200D\U00002640\U0000FE0F',
    u':mulher_cortando_o_cabelo_pele_clara:': u'\U0001F487\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mulher_cortando_o_cabelo_pele_morena_clara:': u'\U0001F487\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mulher_cortando_o_cabelo_pele_morena:': u'\U0001F487\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mulher_cortando_o_cabelo_pele_morena_escura:': u'\U0001F487\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mulher_cortando_o_cabelo_pele_escura:': u'\U0001F487\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':pessoa_andando:': u'\U0001F6B6',
    u':pessoa_andando_pele_clara:': u'\U0001F6B6\U0001F3FB',
    u':pessoa_andando_pele_morena_clara:': u'\U0001F6B6\U0001F3FC',
    u':pessoa_andando_pele_morena:': u'\U0001F6B6\U0001F3FD',
    u':pessoa_andando_pele_morena_escura:': u'\U0001F6B6\U0001F3FE',
    u':pessoa_andando_pele_escura:': u'\U0001F6B6\U0001F3FF',
    u':homem_andando:': u'\U0001F6B6\U0000200D\U00002642\U0000FE0F',
    u':homem_andando_pele_clara:': u'\U0001F6B6\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':homem_andando_pele_morena_clara:': u'\U0001F6B6\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':homem_andando_pele_morena:': u'\U0001F6B6\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':homem_andando_pele_morena_escura:': u'\U0001F6B6\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':homem_andando_pele_escura:': u'\U0001F6B6\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mulher_andando:': u'\U0001F6B6\U0000200D\U00002640\U0000FE0F',
    u':mulher_andando_pele_clara:': u'\U0001F6B6\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mulher_andando_pele_morena_clara:': u'\U0001F6B6\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mulher_andando_pele_morena:': u'\U0001F6B6\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mulher_andando_pele_morena_escura:': u'\U0001F6B6\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mulher_andando_pele_escura:': u'\U0001F6B6\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':pessoa_em_pé:': u'\U0001F9CD',
    u':pessoa_em_pé_pele_clara:': u'\U0001F9CD\U0001F3FB',
    u':pessoa_em_pé_pele_morena_clara:': u'\U0001F9CD\U0001F3FC',
    u':pessoa_em_pé_pele_morena:': u'\U0001F9CD\U0001F3FD',
    u':pessoa_em_pé_pele_morena_escura:': u'\U0001F9CD\U0001F3FE',
    u':pessoa_em_pé_pele_escura:': u'\U0001F9CD\U0001F3FF',
    u':homem_em_pé:': u'\U0001F9CD\U0000200D\U00002642\U0000FE0F',
    u':homem_em_pé_pele_clara:': u'\U0001F9CD\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':homem_em_pé_pele_morena_clara:': u'\U0001F9CD\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':homem_em_pé_pele_morena:': u'\U0001F9CD\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':homem_em_pé_pele_morena_escura:': u'\U0001F9CD\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':homem_em_pé_pele_escura:': u'\U0001F9CD\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mulher_em_pé:': u'\U0001F9CD\U0000200D\U00002640\U0000FE0F',
    u':mulher_em_pé_pele_clara:': u'\U0001F9CD\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mulher_em_pé_pele_morena_clara:': u'\U0001F9CD\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mulher_em_pé_pele_morena:': u'\U0001F9CD\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mulher_em_pé_pele_morena_escura:': u'\U0001F9CD\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mulher_em_pé_pele_escura:': u'\U0001F9CD\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':pessoa_ajoelhando:': u'\U0001F9CE',
    u':pessoa_ajoelhando_pele_clara:': u'\U0001F9CE\U0001F3FB',
    u':pessoa_ajoelhando_pele_morena_clara:': u'\U0001F9CE\U0001F3FC',
    u':pessoa_ajoelhando_pele_morena:': u'\U0001F9CE\U0001F3FD',
    u':pessoa_ajoelhando_pele_morena_escura:': u'\U0001F9CE\U0001F3FE',
    u':pessoa_ajoelhando_pele_escura:': u'\U0001F9CE\U0001F3FF',
    u':homem_ajoelhando:': u'\U0001F9CE\U0000200D\U00002642\U0000FE0F',
    u':homem_ajoelhando_pele_clara:': u'\U0001F9CE\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':homem_ajoelhando_pele_morena_clara:': u'\U0001F9CE\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':homem_ajoelhando_pele_morena:': u'\U0001F9CE\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':homem_ajoelhando_pele_morena_escura:': u'\U0001F9CE\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':homem_ajoelhando_pele_escura:': u'\U0001F9CE\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mulher_ajoelhando:': u'\U0001F9CE\U0000200D\U00002640\U0000FE0F',
    u':mulher_ajoelhando_pele_clara:': u'\U0001F9CE\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mulher_ajoelhando_pele_morena_clara:': u'\U0001F9CE\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mulher_ajoelhando_pele_morena:': u'\U0001F9CE\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mulher_ajoelhando_pele_morena_escura:': u'\U0001F9CE\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mulher_ajoelhando_pele_escura:': u'\U0001F9CE\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':pessoa_com_bengala_para_cego:': u'\U0001F9D1\U0000200D\U0001F9AF',
    u':pessoa_com_bengala_para_cego_pele_clara:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F9AF',
    u':pessoa_com_bengala_para_cego_pele_morena_clara:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F9AF',
    u':pessoa_com_bengala_para_cego_pele_morena:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F9AF',
    u':pessoa_com_bengala_para_cego_pele_morena_escura:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F9AF',
    u':pessoa_com_bengala_para_cego_pele_escura:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F9AF',
    u':homem_com_bengala_para_cego:': u'\U0001F468\U0000200D\U0001F9AF',
    u':homem_com_bengala_para_cego_pele_clara:': u'\U0001F468\U0001F3FB\U0000200D\U0001F9AF',
    u':homem_com_bengala_para_cego_pele_morena_clara:': u'\U0001F468\U0001F3FC\U0000200D\U0001F9AF',
    u':homem_com_bengala_para_cego_pele_morena:': u'\U0001F468\U0001F3FD\U0000200D\U0001F9AF',
    u':homem_com_bengala_para_cego_pele_morena_escura:': u'\U0001F468\U0001F3FE\U0000200D\U0001F9AF',
    u':homem_com_bengala_para_cego_pele_escura:': u'\U0001F468\U0001F3FF\U0000200D\U0001F9AF',
    u':mulher_com_bengala_para_cego:': u'\U0001F469\U0000200D\U0001F9AF',
    u':mulher_com_bengala_para_cego_pele_clara:': u'\U0001F469\U0001F3FB\U0000200D\U0001F9AF',
    u':mulher_com_bengala_para_cego_pele_morena_clara:': u'\U0001F469\U0001F3FC\U0000200D\U0001F9AF',
    u':mulher_com_bengala_para_cego_pele_morena:': u'\U0001F469\U0001F3FD\U0000200D\U0001F9AF',
    u':mulher_com_bengala_para_cego_pele_morena_escura:': u'\U0001F469\U0001F3FE\U0000200D\U0001F9AF',
    u':mulher_com_bengala_para_cego_pele_escura:': u'\U0001F469\U0001F3FF\U0000200D\U0001F9AF',
    u':pessoa_em_cadeira_de_rodas_motorizada:': u'\U0001F9D1\U0000200D\U0001F9BC',
    u':pessoa_em_cadeira_de_rodas_motorizada_pele_clara:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F9BC',
    u':pessoa_em_cadeira_de_rodas_motorizada_pele_morena_clara:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F9BC',
    u':pessoa_em_cadeira_de_rodas_motorizada_pele_morena:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F9BC',
    u':pessoa_em_cadeira_de_rodas_motorizada_pele_morena_escura:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F9BC',
    u':pessoa_em_cadeira_de_rodas_motorizada_pele_escura:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F9BC',
    u':homem_em_cadeira_de_rodas_motorizada:': u'\U0001F468\U0000200D\U0001F9BC',
    u':homem_em_cadeira_de_rodas_motorizada_pele_clara:': u'\U0001F468\U0001F3FB\U0000200D\U0001F9BC',
    u':homem_em_cadeira_de_rodas_motorizada_pele_morena_clara:': u'\U0001F468\U0001F3FC\U0000200D\U0001F9BC',
    u':homem_em_cadeira_de_rodas_motorizada_pele_morena:': u'\U0001F468\U0001F3FD\U0000200D\U0001F9BC',
    u':homem_em_cadeira_de_rodas_motorizada_pele_morena_escura:': u'\U0001F468\U0001F3FE\U0000200D\U0001F9BC',
    u':homem_em_cadeira_de_rodas_motorizada_pele_escura:': u'\U0001F468\U0001F3FF\U0000200D\U0001F9BC',
    u':mulher_em_cadeira_de_rodas_motorizada:': u'\U0001F469\U0000200D\U0001F9BC',
    u':mulher_em_cadeira_de_rodas_motorizada_pele_clara:': u'\U0001F469\U0001F3FB\U0000200D\U0001F9BC',
    u':mulher_em_cadeira_de_rodas_motorizada_pele_morena_clara:': u'\U0001F469\U0001F3FC\U0000200D\U0001F9BC',
    u':mulher_em_cadeira_de_rodas_motorizada_pele_morena:': u'\U0001F469\U0001F3FD\U0000200D\U0001F9BC',
    u':mulher_em_cadeira_de_rodas_motorizada_pele_morena_escura:': u'\U0001F469\U0001F3FE\U0000200D\U0001F9BC',
    u':mulher_em_cadeira_de_rodas_motorizada_pele_escura:': u'\U0001F469\U0001F3FF\U0000200D\U0001F9BC',
    u':pessoa_em_cadeira_de_rodas_manual:': u'\U0001F9D1\U0000200D\U0001F9BD',
    u':pessoa_em_cadeira_de_rodas_manual_pele_clara:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F9BD',
    u':pessoa_em_cadeira_de_rodas_manual_pele_morena_clara:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F9BD',
    u':pessoa_em_cadeira_de_rodas_manual_pele_morena:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F9BD',
    u':pessoa_em_cadeira_de_rodas_manual_pele_morena_escura:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F9BD',
    u':pessoa_em_cadeira_de_rodas_manual_pele_escura:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F9BD',
    u':homem_em_cadeira_de_rodas_manual:': u'\U0001F468\U0000200D\U0001F9BD',
    u':homem_em_cadeira_de_rodas_manual_pele_clara:': u'\U0001F468\U0001F3FB\U0000200D\U0001F9BD',
    u':homem_em_cadeira_de_rodas_manual_pele_morena_clara:': u'\U0001F468\U0001F3FC\U0000200D\U0001F9BD',
    u':homem_em_cadeira_de_rodas_manual_pele_morena:': u'\U0001F468\U0001F3FD\U0000200D\U0001F9BD',
    u':homem_em_cadeira_de_rodas_manual_pele_morena_escura:': u'\U0001F468\U0001F3FE\U0000200D\U0001F9BD',
    u':homem_em_cadeira_de_rodas_manual_pele_escura:': u'\U0001F468\U0001F3FF\U0000200D\U0001F9BD',
    u':mulher_em_cadeira_de_rodas_manual:': u'\U0001F469\U0000200D\U0001F9BD',
    u':mulher_em_cadeira_de_rodas_manual_pele_clara:': u'\U0001F469\U0001F3FB\U0000200D\U0001F9BD',
    u':mulher_em_cadeira_de_rodas_manual_pele_morena_clara:': u'\U0001F469\U0001F3FC\U0000200D\U0001F9BD',
    u':mulher_em_cadeira_de_rodas_manual_pele_morena:': u'\U0001F469\U0001F3FD\U0000200D\U0001F9BD',
    u':mulher_em_cadeira_de_rodas_manual_pele_morena_escura:': u'\U0001F469\U0001F3FE\U0000200D\U0001F9BD',
    u':mulher_em_cadeira_de_rodas_manual_pele_escura:': u'\U0001F469\U0001F3FF\U0000200D\U0001F9BD',
    u':pessoa_correndo:': u'\U0001F3C3',
    u':pessoa_correndo_pele_clara:': u'\U0001F3C3\U0001F3FB',
    u':pessoa_correndo_pele_morena_clara:': u'\U0001F3C3\U0001F3FC',
    u':pessoa_correndo_pele_morena:': u'\U0001F3C3\U0001F3FD',
    u':pessoa_correndo_pele_morena_escura:': u'\U0001F3C3\U0001F3FE',
    u':pessoa_correndo_pele_escura:': u'\U0001F3C3\U0001F3FF',
    u':homem_correndo:': u'\U0001F3C3\U0000200D\U00002642\U0000FE0F',
    u':homem_correndo_pele_clara:': u'\U0001F3C3\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':homem_correndo_pele_morena_clara:': u'\U0001F3C3\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':homem_correndo_pele_morena:': u'\U0001F3C3\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':homem_correndo_pele_morena_escura:': u'\U0001F3C3\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':homem_correndo_pele_escura:': u'\U0001F3C3\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mulher_correndo:': u'\U0001F3C3\U0000200D\U00002640\U0000FE0F',
    u':mulher_correndo_pele_clara:': u'\U0001F3C3\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mulher_correndo_pele_morena_clara:': u'\U0001F3C3\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mulher_correndo_pele_morena:': u'\U0001F3C3\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mulher_correndo_pele_morena_escura:': u'\U0001F3C3\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mulher_correndo_pele_escura:': u'\U0001F3C3\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':mulher_dançando:': u'\U0001F483',
    u':mulher_dançando_pele_clara:': u'\U0001F483\U0001F3FB',
    u':mulher_dançando_pele_morena_clara:': u'\U0001F483\U0001F3FC',
    u':mulher_dançando_pele_morena:': u'\U0001F483\U0001F3FD',
    u':mulher_dançando_pele_morena_escura:': u'\U0001F483\U0001F3FE',
    u':mulher_dançando_pele_escura:': u'\U0001F483\U0001F3FF',
    u':homem_dançando:': u'\U0001F57A',
    u':homem_dançando_pele_clara:': u'\U0001F57A\U0001F3FB',
    u':homem_dançando_pele_morena_clara:': u'\U0001F57A\U0001F3FC',
    u':homem_dançando_pele_morena:': u'\U0001F57A\U0001F3FD',
    u':homem_dançando_pele_morena_escura:': u'\U0001F57A\U0001F3FE',
    u':homem_dançando_pele_escura:': u'\U0001F57A\U0001F3FF',
    u':homem_de_terno_levitando:': u'\U0001F574\U0000FE0F',
    u':homem_de_terno_levitando_pele_clara:': u'\U0001F574\U0001F3FB',
    u':homem_de_terno_levitando_pele_morena_clara:': u'\U0001F574\U0001F3FC',
    u':homem_de_terno_levitando_pele_morena:': u'\U0001F574\U0001F3FD',
    u':homem_de_terno_levitando_pele_morena_escura:': u'\U0001F574\U0001F3FE',
    u':homem_de_terno_levitando_pele_escura:': u'\U0001F574\U0001F3FF',
    u':pessoas_com_orelhas_de_coelho:': u'\U0001F46F',
    u':homens_com_orelhas_de_coelho:': u'\U0001F46F\U0000200D\U00002642\U0000FE0F',
    u':mulheres_com_orelhas_de_coelho:': u'\U0001F46F\U0000200D\U00002640\U0000FE0F',
    u':pessoa_na_sauna:': u'\U0001F9D6',
    u':pessoa_na_sauna_pele_clara:': u'\U0001F9D6\U0001F3FB',
    u':pessoa_na_sauna_pele_morena_clara:': u'\U0001F9D6\U0001F3FC',
    u':pessoa_na_sauna_pele_morena:': u'\U0001F9D6\U0001F3FD',
    u':pessoa_na_sauna_pele_morena_escura:': u'\U0001F9D6\U0001F3FE',
    u':pessoa_na_sauna_pele_escura:': u'\U0001F9D6\U0001F3FF',
    u':homem_na_sauna:': u'\U0001F9D6\U0000200D\U00002642\U0000FE0F',
    u':homem_na_sauna_pele_clara:': u'\U0001F9D6\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':homem_na_sauna_pele_morena_clara:': u'\U0001F9D6\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':homem_na_sauna_pele_morena:': u'\U0001F9D6\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':homem_na_sauna_pele_morena_escura:': u'\U0001F9D6\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':homem_na_sauna_pele_escura:': u'\U0001F9D6\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mulher_na_sauna:': u'\U0001F9D6\U0000200D\U00002640\U0000FE0F',
    u':mulher_na_sauna_pele_clara:': u'\U0001F9D6\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mulher_na_sauna_pele_morena_clara:': u'\U0001F9D6\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mulher_na_sauna_pele_morena:': u'\U0001F9D6\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mulher_na_sauna_pele_morena_escura:': u'\U0001F9D6\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mulher_na_sauna_pele_escura:': u'\U0001F9D6\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':pessoa_escalando:': u'\U0001F9D7',
    u':pessoa_escalando_pele_clara:': u'\U0001F9D7\U0001F3FB',
    u':pessoa_escalando_pele_morena_clara:': u'\U0001F9D7\U0001F3FC',
    u':pessoa_escalando_pele_morena:': u'\U0001F9D7\U0001F3FD',
    u':pessoa_escalando_pele_morena_escura:': u'\U0001F9D7\U0001F3FE',
    u':pessoa_escalando_pele_escura:': u'\U0001F9D7\U0001F3FF',
    u':homem_escalando:': u'\U0001F9D7\U0000200D\U00002642\U0000FE0F',
    u':homem_escalando_pele_clara:': u'\U0001F9D7\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':homem_escalando_pele_morena_clara:': u'\U0001F9D7\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':homem_escalando_pele_morena:': u'\U0001F9D7\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':homem_escalando_pele_morena_escura:': u'\U0001F9D7\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':homem_escalando_pele_escura:': u'\U0001F9D7\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mulher_escalando:': u'\U0001F9D7\U0000200D\U00002640\U0000FE0F',
    u':mulher_escalando_pele_clara:': u'\U0001F9D7\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mulher_escalando_pele_morena_clara:': u'\U0001F9D7\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mulher_escalando_pele_morena:': u'\U0001F9D7\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mulher_escalando_pele_morena_escura:': u'\U0001F9D7\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mulher_escalando_pele_escura:': u'\U0001F9D7\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':esgrimista:': u'\U0001F93A',
    u':corrida_de_cavalos:': u'\U0001F3C7',
    u':corrida_de_cavalos_pele_clara:': u'\U0001F3C7\U0001F3FB',
    u':corrida_de_cavalos_pele_morena_clara:': u'\U0001F3C7\U0001F3FC',
    u':corrida_de_cavalos_pele_morena:': u'\U0001F3C7\U0001F3FD',
    u':corrida_de_cavalos_pele_morena_escura:': u'\U0001F3C7\U0001F3FE',
    u':corrida_de_cavalos_pele_escura:': u'\U0001F3C7\U0001F3FF',
    u':esquiador:': u'\U000026F7\U0000FE0F',
    u':praticante_de_snowboard:': u'\U0001F3C2',
    u':praticante_de_snowboard_pele_clara:': u'\U0001F3C2\U0001F3FB',
    u':praticante_de_snowboard_pele_morena_clara:': u'\U0001F3C2\U0001F3FC',
    u':praticante_de_snowboard_pele_morena:': u'\U0001F3C2\U0001F3FD',
    u':praticante_de_snowboard_pele_morena_escura:': u'\U0001F3C2\U0001F3FE',
    u':praticante_de_snowboard_pele_escura:': u'\U0001F3C2\U0001F3FF',
    u':golfista:': u'\U0001F3CC\U0000FE0F',
    u':golfista_pele_clara:': u'\U0001F3CC\U0001F3FB',
    u':golfista_pele_morena_clara:': u'\U0001F3CC\U0001F3FC',
    u':golfista_pele_morena:': u'\U0001F3CC\U0001F3FD',
    u':golfista_pele_morena_escura:': u'\U0001F3CC\U0001F3FE',
    u':golfista_pele_escura:': u'\U0001F3CC\U0001F3FF',
    u':homem_golfista:': u'\U0001F3CC\U0000FE0F\U0000200D\U00002642\U0000FE0F',
    u':homem_golfista_pele_clara:': u'\U0001F3CC\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':homem_golfista_pele_morena_clara:': u'\U0001F3CC\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':homem_golfista_pele_morena:': u'\U0001F3CC\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':homem_golfista_pele_morena_escura:': u'\U0001F3CC\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':homem_golfista_pele_escura:': u'\U0001F3CC\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mulher_golfista:': u'\U0001F3CC\U0000FE0F\U0000200D\U00002640\U0000FE0F',
    u':mulher_golfista_pele_clara:': u'\U0001F3CC\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mulher_golfista_pele_morena_clara:': u'\U0001F3CC\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mulher_golfista_pele_morena:': u'\U0001F3CC\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mulher_golfista_pele_morena_escura:': u'\U0001F3CC\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mulher_golfista_pele_escura:': u'\U0001F3CC\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':surfista:': u'\U0001F3C4',
    u':surfista_pele_clara:': u'\U0001F3C4\U0001F3FB',
    u':surfista_pele_morena_clara:': u'\U0001F3C4\U0001F3FC',
    u':surfista_pele_morena:': u'\U0001F3C4\U0001F3FD',
    u':surfista_pele_morena_escura:': u'\U0001F3C4\U0001F3FE',
    u':surfista_pele_escura:': u'\U0001F3C4\U0001F3FF',
    u':homem_surfista:': u'\U0001F3C4\U0000200D\U00002642\U0000FE0F',
    u':homem_surfista_pele_clara:': u'\U0001F3C4\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':homem_surfista_pele_morena_clara:': u'\U0001F3C4\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':homem_surfista_pele_morena:': u'\U0001F3C4\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':homem_surfista_pele_morena_escura:': u'\U0001F3C4\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':homem_surfista_pele_escura:': u'\U0001F3C4\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mulher_surfista:': u'\U0001F3C4\U0000200D\U00002640\U0000FE0F',
    u':mulher_surfista_pele_clara:': u'\U0001F3C4\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mulher_surfista_pele_morena_clara:': u'\U0001F3C4\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mulher_surfista_pele_morena:': u'\U0001F3C4\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mulher_surfista_pele_morena_escura:': u'\U0001F3C4\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mulher_surfista_pele_escura:': u'\U0001F3C4\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':pessoa_remando:': u'\U0001F6A3',
    u':pessoa_remando_pele_clara:': u'\U0001F6A3\U0001F3FB',
    u':pessoa_remando_pele_morena_clara:': u'\U0001F6A3\U0001F3FC',
    u':pessoa_remando_pele_morena:': u'\U0001F6A3\U0001F3FD',
    u':pessoa_remando_pele_morena_escura:': u'\U0001F6A3\U0001F3FE',
    u':pessoa_remando_pele_escura:': u'\U0001F6A3\U0001F3FF',
    u':homem_remando:': u'\U0001F6A3\U0000200D\U00002642\U0000FE0F',
    u':homem_remando_pele_clara:': u'\U0001F6A3\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':homem_remando_pele_morena_clara:': u'\U0001F6A3\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':homem_remando_pele_morena:': u'\U0001F6A3\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':homem_remando_pele_morena_escura:': u'\U0001F6A3\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':homem_remando_pele_escura:': u'\U0001F6A3\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mulher_remando:': u'\U0001F6A3\U0000200D\U00002640\U0000FE0F',
    u':mulher_remando_pele_clara:': u'\U0001F6A3\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mulher_remando_pele_morena_clara:': u'\U0001F6A3\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mulher_remando_pele_morena:': u'\U0001F6A3\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mulher_remando_pele_morena_escura:': u'\U0001F6A3\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mulher_remando_pele_escura:': u'\U0001F6A3\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':pessoa_nadando:': u'\U0001F3CA',
    u':pessoa_nadando_pele_clara:': u'\U0001F3CA\U0001F3FB',
    u':pessoa_nadando_pele_morena_clara:': u'\U0001F3CA\U0001F3FC',
    u':pessoa_nadando_pele_morena:': u'\U0001F3CA\U0001F3FD',
    u':pessoa_nadando_pele_morena_escura:': u'\U0001F3CA\U0001F3FE',
    u':pessoa_nadando_pele_escura:': u'\U0001F3CA\U0001F3FF',
    u':homem_nadando:': u'\U0001F3CA\U0000200D\U00002642\U0000FE0F',
    u':homem_nadando_pele_clara:': u'\U0001F3CA\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':homem_nadando_pele_morena_clara:': u'\U0001F3CA\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':homem_nadando_pele_morena:': u'\U0001F3CA\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':homem_nadando_pele_morena_escura:': u'\U0001F3CA\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':homem_nadando_pele_escura:': u'\U0001F3CA\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mulher_nadando:': u'\U0001F3CA\U0000200D\U00002640\U0000FE0F',
    u':mulher_nadando_pele_clara:': u'\U0001F3CA\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mulher_nadando_pele_morena_clara:': u'\U0001F3CA\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mulher_nadando_pele_morena:': u'\U0001F3CA\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mulher_nadando_pele_morena_escura:': u'\U0001F3CA\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mulher_nadando_pele_escura:': u'\U0001F3CA\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':pessoa_jogando_basquete:': u'\U000026F9\U0000FE0F',
    u':pessoa_jogando_basquete_pele_clara:': u'\U000026F9\U0001F3FB',
    u':pessoa_jogando_basquete_pele_morena_clara:': u'\U000026F9\U0001F3FC',
    u':pessoa_jogando_basquete_pele_morena:': u'\U000026F9\U0001F3FD',
    u':pessoa_jogando_basquete_pele_morena_escura:': u'\U000026F9\U0001F3FE',
    u':pessoa_jogando_basquete_pele_escura:': u'\U000026F9\U0001F3FF',
    u':homem_jogando_basquete:': u'\U000026F9\U0000FE0F\U0000200D\U00002642\U0000FE0F',
    u':homem_jogando_basquete_pele_clara:': u'\U000026F9\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':homem_jogando_basquete_pele_morena_clara:': u'\U000026F9\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':homem_jogando_basquete_pele_morena:': u'\U000026F9\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':homem_jogando_basquete_pele_morena_escura:': u'\U000026F9\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':homem_jogando_basquete_pele_escura:': u'\U000026F9\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mulher_jogando_basquete:': u'\U000026F9\U0000FE0F\U0000200D\U00002640\U0000FE0F',
    u':mulher_jogando_basquete_pele_clara:': u'\U000026F9\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mulher_jogando_basquete_pele_morena_clara:': u'\U000026F9\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mulher_jogando_basquete_pele_morena:': u'\U000026F9\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mulher_jogando_basquete_pele_morena_escura:': u'\U000026F9\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mulher_jogando_basquete_pele_escura:': u'\U000026F9\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':pessoa_levantando_peso:': u'\U0001F3CB\U0000FE0F',
    u':pessoa_levantando_peso_pele_clara:': u'\U0001F3CB\U0001F3FB',
    u':pessoa_levantando_peso_pele_morena_clara:': u'\U0001F3CB\U0001F3FC',
    u':pessoa_levantando_peso_pele_morena:': u'\U0001F3CB\U0001F3FD',
    u':pessoa_levantando_peso_pele_morena_escura:': u'\U0001F3CB\U0001F3FE',
    u':pessoa_levantando_peso_pele_escura:': u'\U0001F3CB\U0001F3FF',
    u':homem_levantando_peso:': u'\U0001F3CB\U0000FE0F\U0000200D\U00002642\U0000FE0F',
    u':homem_levantando_peso_pele_clara:': u'\U0001F3CB\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':homem_levantando_peso_pele_morena_clara:': u'\U0001F3CB\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':homem_levantando_peso_pele_morena:': u'\U0001F3CB\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':homem_levantando_peso_pele_morena_escura:': u'\U0001F3CB\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':homem_levantando_peso_pele_escura:': u'\U0001F3CB\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mulher_levantando_peso:': u'\U0001F3CB\U0000FE0F\U0000200D\U00002640\U0000FE0F',
    u':mulher_levantando_peso_pele_clara:': u'\U0001F3CB\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mulher_levantando_peso_pele_morena_clara:': u'\U0001F3CB\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mulher_levantando_peso_pele_morena:': u'\U0001F3CB\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mulher_levantando_peso_pele_morena_escura:': u'\U0001F3CB\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mulher_levantando_peso_pele_escura:': u'\U0001F3CB\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':ciclista:': u'\U0001F6B4',
    u':ciclista_pele_clara:': u'\U0001F6B4\U0001F3FB',
    u':ciclista_pele_morena_clara:': u'\U0001F6B4\U0001F3FC',
    u':ciclista_pele_morena:': u'\U0001F6B4\U0001F3FD',
    u':ciclista_pele_morena_escura:': u'\U0001F6B4\U0001F3FE',
    u':ciclista_pele_escura:': u'\U0001F6B4\U0001F3FF',
    u':homem_ciclista:': u'\U0001F6B4\U0000200D\U00002642\U0000FE0F',
    u':homem_ciclista_pele_clara:': u'\U0001F6B4\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':homem_ciclista_pele_morena_clara:': u'\U0001F6B4\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':homem_ciclista_pele_morena:': u'\U0001F6B4\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':homem_ciclista_pele_morena_escura:': u'\U0001F6B4\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':homem_ciclista_pele_escura:': u'\U0001F6B4\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mulher_ciclista:': u'\U0001F6B4\U0000200D\U00002640\U0000FE0F',
    u':mulher_ciclista_pele_clara:': u'\U0001F6B4\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mulher_ciclista_pele_morena_clara:': u'\U0001F6B4\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mulher_ciclista_pele_morena:': u'\U0001F6B4\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mulher_ciclista_pele_morena_escura:': u'\U0001F6B4\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mulher_ciclista_pele_escura:': u'\U0001F6B4\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':pessoa_fazendo_mountain_bike:': u'\U0001F6B5',
    u':pessoa_fazendo_mountain_bike_pele_clara:': u'\U0001F6B5\U0001F3FB',
    u':pessoa_fazendo_mountain_bike_pele_morena_clara:': u'\U0001F6B5\U0001F3FC',
    u':pessoa_fazendo_mountain_bike_pele_morena:': u'\U0001F6B5\U0001F3FD',
    u':pessoa_fazendo_mountain_bike_pele_morena_escura:': u'\U0001F6B5\U0001F3FE',
    u':pessoa_fazendo_mountain_bike_pele_escura:': u'\U0001F6B5\U0001F3FF',
    u':homem_fazendo_mountain_bike:': u'\U0001F6B5\U0000200D\U00002642\U0000FE0F',
    u':homem_fazendo_mountain_bike_pele_clara:': u'\U0001F6B5\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':homem_fazendo_mountain_bike_pele_morena_clara:': u'\U0001F6B5\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':homem_fazendo_mountain_bike_pele_morena:': u'\U0001F6B5\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':homem_fazendo_mountain_bike_pele_morena_escura:': u'\U0001F6B5\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':homem_fazendo_mountain_bike_pele_escura:': u'\U0001F6B5\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mulher_fazendo_mountain_bike:': u'\U0001F6B5\U0000200D\U00002640\U0000FE0F',
    u':mulher_fazendo_mountain_bike_pele_clara:': u'\U0001F6B5\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mulher_fazendo_mountain_bike_pele_morena_clara:': u'\U0001F6B5\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mulher_fazendo_mountain_bike_pele_morena:': u'\U0001F6B5\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mulher_fazendo_mountain_bike_pele_morena_escura:': u'\U0001F6B5\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mulher_fazendo_mountain_bike_pele_escura:': u'\U0001F6B5\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':pessoa_fazendo_estrela:': u'\U0001F938',
    u':pessoa_fazendo_estrela_pele_clara:': u'\U0001F938\U0001F3FB',
    u':pessoa_fazendo_estrela_pele_morena_clara:': u'\U0001F938\U0001F3FC',
    u':pessoa_fazendo_estrela_pele_morena:': u'\U0001F938\U0001F3FD',
    u':pessoa_fazendo_estrela_pele_morena_escura:': u'\U0001F938\U0001F3FE',
    u':pessoa_fazendo_estrela_pele_escura:': u'\U0001F938\U0001F3FF',
    u':homem_fazendo_estrela:': u'\U0001F938\U0000200D\U00002642\U0000FE0F',
    u':homem_fazendo_estrela_pele_clara:': u'\U0001F938\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':homem_fazendo_estrela_pele_morena_clara:': u'\U0001F938\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':homem_fazendo_estrela_pele_morena:': u'\U0001F938\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':homem_fazendo_estrela_pele_morena_escura:': u'\U0001F938\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':homem_fazendo_estrela_pele_escura:': u'\U0001F938\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mulher_fazendo_estrela:': u'\U0001F938\U0000200D\U00002640\U0000FE0F',
    u':mulher_fazendo_estrela_pele_clara:': u'\U0001F938\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mulher_fazendo_estrela_pele_morena_clara:': u'\U0001F938\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mulher_fazendo_estrela_pele_morena:': u'\U0001F938\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mulher_fazendo_estrela_pele_morena_escura:': u'\U0001F938\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mulher_fazendo_estrela_pele_escura:': u'\U0001F938\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':pessoas_lutando:': u'\U0001F93C',
    u':homens_lutando:': u'\U0001F93C\U0000200D\U00002642\U0000FE0F',
    u':mulheres_lutando:': u'\U0001F93C\U0000200D\U00002640\U0000FE0F',
    u':pessoa_jogando_polo_aquático:': u'\U0001F93D',
    u':pessoa_jogando_polo_aquático_pele_clara:': u'\U0001F93D\U0001F3FB',
    u':pessoa_jogando_polo_aquático_pele_morena_clara:': u'\U0001F93D\U0001F3FC',
    u':pessoa_jogando_polo_aquático_pele_morena:': u'\U0001F93D\U0001F3FD',
    u':pessoa_jogando_polo_aquático_pele_morena_escura:': u'\U0001F93D\U0001F3FE',
    u':pessoa_jogando_polo_aquático_pele_escura:': u'\U0001F93D\U0001F3FF',
    u':homem_jogando_polo_aquático:': u'\U0001F93D\U0000200D\U00002642\U0000FE0F',
    u':homem_jogando_polo_aquático_pele_clara:': u'\U0001F93D\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':homem_jogando_polo_aquático_pele_morena_clara:': u'\U0001F93D\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':homem_jogando_polo_aquático_pele_morena:': u'\U0001F93D\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':homem_jogando_polo_aquático_pele_morena_escura:': u'\U0001F93D\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':homem_jogando_polo_aquático_pele_escura:': u'\U0001F93D\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mulher_jogando_polo_aquático:': u'\U0001F93D\U0000200D\U00002640\U0000FE0F',
    u':mulher_jogando_polo_aquático_pele_clara:': u'\U0001F93D\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mulher_jogando_polo_aquático_pele_morena_clara:': u'\U0001F93D\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mulher_jogando_polo_aquático_pele_morena:': u'\U0001F93D\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mulher_jogando_polo_aquático_pele_morena_escura:': u'\U0001F93D\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mulher_jogando_polo_aquático_pele_escura:': u'\U0001F93D\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':handebol:': u'\U0001F93E',
    u':handebol_pele_clara:': u'\U0001F93E\U0001F3FB',
    u':handebol_pele_morena_clara:': u'\U0001F93E\U0001F3FC',
    u':handebol_pele_morena:': u'\U0001F93E\U0001F3FD',
    u':handebol_pele_morena_escura:': u'\U0001F93E\U0001F3FE',
    u':handebol_pele_escura:': u'\U0001F93E\U0001F3FF',
    u':jogador_de_handebol:': u'\U0001F93E\U0000200D\U00002642\U0000FE0F',
    u':jogador_de_handebol_pele_clara:': u'\U0001F93E\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':jogador_de_handebol_pele_morena_clara:': u'\U0001F93E\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':jogador_de_handebol_pele_morena:': u'\U0001F93E\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':jogador_de_handebol_pele_morena_escura:': u'\U0001F93E\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':jogador_de_handebol_pele_escura:': u'\U0001F93E\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':jogadora_de_handebol:': u'\U0001F93E\U0000200D\U00002640\U0000FE0F',
    u':jogadora_de_handebol_pele_clara:': u'\U0001F93E\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':jogadora_de_handebol_pele_morena_clara:': u'\U0001F93E\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':jogadora_de_handebol_pele_morena:': u'\U0001F93E\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':jogadora_de_handebol_pele_morena_escura:': u'\U0001F93E\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':jogadora_de_handebol_pele_escura:': u'\U0001F93E\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':malabarista:': u'\U0001F939',
    u':malabarista_pele_clara:': u'\U0001F939\U0001F3FB',
    u':malabarista_pele_morena_clara:': u'\U0001F939\U0001F3FC',
    u':malabarista_pele_morena:': u'\U0001F939\U0001F3FD',
    u':malabarista_pele_morena_escura:': u'\U0001F939\U0001F3FE',
    u':malabarista_pele_escura:': u'\U0001F939\U0001F3FF',
    u':homem_malabarista:': u'\U0001F939\U0000200D\U00002642\U0000FE0F',
    u':homem_malabarista_pele_clara:': u'\U0001F939\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':homem_malabarista_pele_morena_clara:': u'\U0001F939\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':homem_malabarista_pele_morena:': u'\U0001F939\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':homem_malabarista_pele_morena_escura:': u'\U0001F939\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':homem_malabarista_pele_escura:': u'\U0001F939\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mulher_malabarista:': u'\U0001F939\U0000200D\U00002640\U0000FE0F',
    u':mulher_malabarista_pele_clara:': u'\U0001F939\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mulher_malabarista_pele_morena_clara:': u'\U0001F939\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mulher_malabarista_pele_morena:': u'\U0001F939\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mulher_malabarista_pele_morena_escura:': u'\U0001F939\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mulher_malabarista_pele_escura:': u'\U0001F939\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':pessoa_na_posição_de_lótus:': u'\U0001F9D8',
    u':pessoa_na_posição_de_lótus_pele_clara:': u'\U0001F9D8\U0001F3FB',
    u':pessoa_na_posição_de_lótus_pele_morena_clara:': u'\U0001F9D8\U0001F3FC',
    u':pessoa_na_posição_de_lótus_pele_morena:': u'\U0001F9D8\U0001F3FD',
    u':pessoa_na_posição_de_lótus_pele_morena_escura:': u'\U0001F9D8\U0001F3FE',
    u':pessoa_na_posição_de_lótus_pele_escura:': u'\U0001F9D8\U0001F3FF',
    u':homem_na_posição_de_lótus:': u'\U0001F9D8\U0000200D\U00002642\U0000FE0F',
    u':homem_na_posição_de_lótus_pele_clara:': u'\U0001F9D8\U0001F3FB\U0000200D\U00002642\U0000FE0F',
    u':homem_na_posição_de_lótus_pele_morena_clara:': u'\U0001F9D8\U0001F3FC\U0000200D\U00002642\U0000FE0F',
    u':homem_na_posição_de_lótus_pele_morena:': u'\U0001F9D8\U0001F3FD\U0000200D\U00002642\U0000FE0F',
    u':homem_na_posição_de_lótus_pele_morena_escura:': u'\U0001F9D8\U0001F3FE\U0000200D\U00002642\U0000FE0F',
    u':homem_na_posição_de_lótus_pele_escura:': u'\U0001F9D8\U0001F3FF\U0000200D\U00002642\U0000FE0F',
    u':mulher_na_posição_de_lótus:': u'\U0001F9D8\U0000200D\U00002640\U0000FE0F',
    u':mulher_na_posição_de_lótus_pele_clara:': u'\U0001F9D8\U0001F3FB\U0000200D\U00002640\U0000FE0F',
    u':mulher_na_posição_de_lótus_pele_morena_clara:': u'\U0001F9D8\U0001F3FC\U0000200D\U00002640\U0000FE0F',
    u':mulher_na_posição_de_lótus_pele_morena:': u'\U0001F9D8\U0001F3FD\U0000200D\U00002640\U0000FE0F',
    u':mulher_na_posição_de_lótus_pele_morena_escura:': u'\U0001F9D8\U0001F3FE\U0000200D\U00002640\U0000FE0F',
    u':mulher_na_posição_de_lótus_pele_escura:': u'\U0001F9D8\U0001F3FF\U0000200D\U00002640\U0000FE0F',
    u':pessoa_tomando_banho:': u'\U0001F6C0',
    u':pessoa_tomando_banho_pele_clara:': u'\U0001F6C0\U0001F3FB',
    u':pessoa_tomando_banho_pele_morena_clara:': u'\U0001F6C0\U0001F3FC',
    u':pessoa_tomando_banho_pele_morena:': u'\U0001F6C0\U0001F3FD',
    u':pessoa_tomando_banho_pele_morena_escura:': u'\U0001F6C0\U0001F3FE',
    u':pessoa_tomando_banho_pele_escura:': u'\U0001F6C0\U0001F3FF',
    u':pessoa_deitada_na_cama:': u'\U0001F6CC',
    u':pessoa_deitada_na_cama_pele_clara:': u'\U0001F6CC\U0001F3FB',
    u':pessoa_deitada_na_cama_pele_morena_clara:': u'\U0001F6CC\U0001F3FC',
    u':pessoa_deitada_na_cama_pele_morena:': u'\U0001F6CC\U0001F3FD',
    u':pessoa_deitada_na_cama_pele_morena_escura:': u'\U0001F6CC\U0001F3FE',
    u':pessoa_deitada_na_cama_pele_escura:': u'\U0001F6CC\U0001F3FF',
    u':pessoas_de_mãos_dadas:': u'\U0001F9D1\U0000200D\U0001F91D\U0000200D\U0001F9D1',
    u':pessoas_de_mãos_dadas_pele_clara:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FB',
    u':pessoas_de_mãos_dadas_pele_clara_e_pele_morena_clara:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FC',
    u':pessoas_de_mãos_dadas_pele_clara_e_pele_morena:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FD',
    u':pessoas_de_mãos_dadas_pele_clara_e_pele_morena_escura:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FE',
    u':pessoas_de_mãos_dadas_pele_clara_e_pele_escura:': u'\U0001F9D1\U0001F3FB\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FF',
    u':pessoas_de_mãos_dadas_pele_morena_clara_e_pele_clara:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FB',
    u':pessoas_de_mãos_dadas_pele_morena_clara:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FC',
    u':pessoas_de_mãos_dadas_pele_morena_clara_e_pele_morena:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FD',
    u':pessoas_de_mãos_dadas_pele_morena_clara_e_pele_morena_escura:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FE',
    u':pessoas_de_mãos_dadas_pele_morena_clara_e_pele_escura:': u'\U0001F9D1\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FF',
    u':pessoas_de_mãos_dadas_pele_morena_e_pele_clara:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FB',
    u':pessoas_de_mãos_dadas_pele_morena_e_pele_morena_clara:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FC',
    u':pessoas_de_mãos_dadas_pele_morena:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FD',
    u':pessoas_de_mãos_dadas_pele_morena_e_pele_morena_escura:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FE',
    u':pessoas_de_mãos_dadas_pele_morena_e_pele_escura:': u'\U0001F9D1\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FF',
    u':pessoas_de_mãos_dadas_pele_morena_escura_e_pele_clara:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FB',
    u':pessoas_de_mãos_dadas_pele_morena_escura_e_pele_morena_clara:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FC',
    u':pessoas_de_mãos_dadas_pele_morena_escura_e_pele_morena:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FD',
    u':pessoas_de_mãos_dadas_pele_morena_escura:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FE',
    u':pessoas_de_mãos_dadas_pele_morena_escura_e_pele_escura:': u'\U0001F9D1\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FF',
    u':pessoas_de_mãos_dadas_pele_escura_e_pele_clara:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FB',
    u':pessoas_de_mãos_dadas_pele_escura_e_pele_morena_clara:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FC',
    u':pessoas_de_mãos_dadas_pele_escura_e_pele_morena:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FD',
    u':pessoas_de_mãos_dadas_pele_escura_e_pele_morena_escura:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FE',
    u':pessoas_de_mãos_dadas_pele_escura:': u'\U0001F9D1\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F9D1\U0001F3FF',
    u':duas_mulheres_de_mãos_dadas:': u'\U0001F46D',
    u':duas_mulheres_de_mãos_dadas_pele_clara:': u'\U0001F46D\U0001F3FB',
    u':duas_mulheres_de_mãos_dadas_pele_clara_e_pele_morena_clara:': u'\U0001F469\U0001F3FB\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FC',
    u':duas_mulheres_de_mãos_dadas_pele_clara_e_pele_morena:': u'\U0001F469\U0001F3FB\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FD',
    u':duas_mulheres_de_mãos_dadas_pele_clara_e_pele_morena_escura:': u'\U0001F469\U0001F3FB\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FE',
    u':duas_mulheres_de_mãos_dadas_pele_clara_e_pele_escura:': u'\U0001F469\U0001F3FB\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FF',
    u':duas_mulheres_de_mãos_dadas_pele_morena_clara_e_pele_clara:': u'\U0001F469\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FB',
    u':duas_mulheres_de_mãos_dadas_pele_morena_clara:': u'\U0001F46D\U0001F3FC',
    u':duas_mulheres_de_mãos_dadas_pele_morena_clara_e_pele_morena:': u'\U0001F469\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FD',
    u':duas_mulheres_de_mãos_dadas_pele_morena_clara_e_pele_morena_escura:': u'\U0001F469\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FE',
    u':duas_mulheres_de_mãos_dadas_pele_morena_clara_e_pele_escura:': u'\U0001F469\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FF',
    u':duas_mulheres_de_mãos_dadas_pele_morena_e_pele_clara:': u'\U0001F469\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FB',
    u':duas_mulheres_de_mãos_dadas_pele_morena_e_pele_morena_clara:': u'\U0001F469\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FC',
    u':duas_mulheres_de_mãos_dadas_pele_morena:': u'\U0001F46D\U0001F3FD',
    u':duas_mulheres_de_mãos_dadas_pele_morena_e_pele_morena_escura:': u'\U0001F469\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FE',
    u':duas_mulheres_de_mãos_dadas_pele_morena_e_pele_escura:': u'\U0001F469\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FF',
    u':duas_mulheres_de_mãos_dadas_pele_morena_escura_e_pele_clara:': u'\U0001F469\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FB',
    u':duas_mulheres_de_mãos_dadas_pele_morena_escura_e_pele_morena_clara:': u'\U0001F469\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FC',
    u':duas_mulheres_de_mãos_dadas_pele_morena_escura_e_pele_morena:': u'\U0001F469\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FD',
    u':duas_mulheres_de_mãos_dadas_pele_morena_escura:': u'\U0001F46D\U0001F3FE',
    u':duas_mulheres_de_mãos_dadas_pele_morena_escura_e_pele_escura:': u'\U0001F469\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FF',
    u':duas_mulheres_de_mãos_dadas_pele_escura_e_pele_clara:': u'\U0001F469\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FB',
    u':duas_mulheres_de_mãos_dadas_pele_escura_e_pele_morena_clara:': u'\U0001F469\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FC',
    u':duas_mulheres_de_mãos_dadas_pele_escura_e_pele_morena:': u'\U0001F469\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FD',
    u':duas_mulheres_de_mãos_dadas_pele_escura_e_pele_morena_escura:': u'\U0001F469\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F469\U0001F3FE',
    u':duas_mulheres_de_mãos_dadas_pele_escura:': u'\U0001F46D\U0001F3FF',
    u':homem_e_mulher_de_mãos_dadas:': u'\U0001F46B',
    u':homem_e_mulher_de_mãos_dadas_pele_clara:': u'\U0001F46B\U0001F3FB',
    u':homem_e_mulher_de_mãos_dadas_pele_clara_e_pele_morena_clara:': u'\U0001F469\U0001F3FB\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FC',
    u':homem_e_mulher_de_mãos_dadas_pele_clara_e_pele_morena:': u'\U0001F469\U0001F3FB\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FD',
    u':homem_e_mulher_de_mãos_dadas_pele_clara_e_pele_morena_escura:': u'\U0001F469\U0001F3FB\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FE',
    u':homem_e_mulher_de_mãos_dadas_pele_clara_e_pele_escura:': u'\U0001F469\U0001F3FB\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FF',
    u':homem_e_mulher_de_mãos_dadas_pele_morena_clara_e_pele_clara:': u'\U0001F469\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FB',
    u':homem_e_mulher_de_mãos_dadas_pele_morena_clara:': u'\U0001F46B\U0001F3FC',
    u':homem_e_mulher_de_mãos_dadas_pele_morena_clara_e_pele_morena:': u'\U0001F469\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FD',
    u':homem_e_mulher_de_mãos_dadas_pele_morena_clara_e_pele_morena_escura:': u'\U0001F469\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FE',
    u':homem_e_mulher_de_mãos_dadas_pele_morena_clara_e_pele_escura:': u'\U0001F469\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FF',
    u':homem_e_mulher_de_mãos_dadas_pele_morena_e_pele_clara:': u'\U0001F469\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FB',
    u':homem_e_mulher_de_mãos_dadas_pele_morena_e_pele_morena_clara:': u'\U0001F469\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FC',
    u':homem_e_mulher_de_mãos_dadas_pele_morena:': u'\U0001F46B\U0001F3FD',
    u':homem_e_mulher_de_mãos_dadas_pele_morena_e_pele_morena_escura:': u'\U0001F469\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FE',
    u':homem_e_mulher_de_mãos_dadas_pele_morena_e_pele_escura:': u'\U0001F469\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FF',
    u':homem_e_mulher_de_mãos_dadas_pele_morena_escura_e_pele_clara:': u'\U0001F469\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FB',
    u':homem_e_mulher_de_mãos_dadas_pele_morena_escura_e_pele_morena_clara:': u'\U0001F469\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FC',
    u':homem_e_mulher_de_mãos_dadas_pele_morena_escura_e_pele_morena:': u'\U0001F469\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FD',
    u':homem_e_mulher_de_mãos_dadas_pele_morena_escura:': u'\U0001F46B\U0001F3FE',
    u':homem_e_mulher_de_mãos_dadas_pele_morena_escura_e_pele_escura:': u'\U0001F469\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FF',
    u':homem_e_mulher_de_mãos_dadas_pele_escura_e_pele_clara:': u'\U0001F469\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FB',
    u':homem_e_mulher_de_mãos_dadas_pele_escura_e_pele_morena_clara:': u'\U0001F469\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FC',
    u':homem_e_mulher_de_mãos_dadas_pele_escura_e_pele_morena:': u'\U0001F469\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FD',
    u':homem_e_mulher_de_mãos_dadas_pele_escura_e_pele_morena_escura:': u'\U0001F469\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FE',
    u':homem_e_mulher_de_mãos_dadas_pele_escura:': u'\U0001F46B\U0001F3FF',
    u':dois_homens_de_mãos_dadas:': u'\U0001F46C',
    u':dois_homens_de_mãos_dadas_pele_clara:': u'\U0001F46C\U0001F3FB',
    u':dois_homens_de_mãos_dadas_pele_clara_e_pele_morena_clara:': u'\U0001F468\U0001F3FB\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FC',
    u':dois_homens_de_mãos_dadas_pele_clara_e_pele_morena:': u'\U0001F468\U0001F3FB\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FD',
    u':dois_homens_de_mãos_dadas_pele_clara_e_pele_morena_escura:': u'\U0001F468\U0001F3FB\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FE',
    u':dois_homens_de_mãos_dadas_pele_clara_e_pele_escura:': u'\U0001F468\U0001F3FB\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FF',
    u':dois_homens_de_mãos_dadas_pele_morena_clara_e_pele_clara:': u'\U0001F468\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FB',
    u':dois_homens_de_mãos_dadas_pele_morena_clara:': u'\U0001F46C\U0001F3FC',
    u':dois_homens_de_mãos_dadas_pele_morena_clara_e_pele_morena:': u'\U0001F468\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FD',
    u':dois_homens_de_mãos_dadas_pele_morena_clara_e_pele_morena_escura:': u'\U0001F468\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FE',
    u':dois_homens_de_mãos_dadas_pele_morena_clara_e_pele_escura:': u'\U0001F468\U0001F3FC\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FF',
    u':dois_homens_de_mãos_dadas_pele_morena_e_pele_clara:': u'\U0001F468\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FB',
    u':dois_homens_de_mãos_dadas_pele_morena_e_pele_morena_clara:': u'\U0001F468\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FC',
    u':dois_homens_de_mãos_dadas_pele_morena:': u'\U0001F46C\U0001F3FD',
    u':dois_homens_de_mãos_dadas_pele_morena_e_pele_morena_escura:': u'\U0001F468\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FE',
    u':dois_homens_de_mãos_dadas_pele_morena_e_pele_escura:': u'\U0001F468\U0001F3FD\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FF',
    u':dois_homens_de_mãos_dadas_pele_morena_escura_e_pele_clara:': u'\U0001F468\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FB',
    u':dois_homens_de_mãos_dadas_pele_morena_escura_e_pele_morena_clara:': u'\U0001F468\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FC',
    u':dois_homens_de_mãos_dadas_pele_morena_escura_e_pele_morena:': u'\U0001F468\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FD',
    u':dois_homens_de_mãos_dadas_pele_morena_escura:': u'\U0001F46C\U0001F3FE',
    u':dois_homens_de_mãos_dadas_pele_morena_escura_e_pele_escura:': u'\U0001F468\U0001F3FE\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FF',
    u':dois_homens_de_mãos_dadas_pele_escura_e_pele_clara:': u'\U0001F468\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FB',
    u':dois_homens_de_mãos_dadas_pele_escura_e_pele_morena_clara:': u'\U0001F468\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FC',
    u':dois_homens_de_mãos_dadas_pele_escura_e_pele_morena:': u'\U0001F468\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FD',
    u':dois_homens_de_mãos_dadas_pele_escura_e_pele_morena_escura:': u'\U0001F468\U0001F3FF\U0000200D\U0001F91D\U0000200D\U0001F468\U0001F3FE',
    u':dois_homens_de_mãos_dadas_pele_escura:': u'\U0001F46C\U0001F3FF',
    u':beijo:': u'\U0001F48F',
    u':beijo_mulher_e_homem:': u'\U0001F469\U0000200D\U00002764\U0000FE0F\U0000200D\U0001F48B\U0000200D\U0001F468',
    u':beijo_homem_e_homem:': u'\U0001F468\U0000200D\U00002764\U0000FE0F\U0000200D\U0001F48B\U0000200D\U0001F468',
    u':beijo_mulher_e_mulher:': u'\U0001F469\U0000200D\U00002764\U0000FE0F\U0000200D\U0001F48B\U0000200D\U0001F469',
    u':casal_apaixonado:': u'\U0001F491',
    u':casal_apaixonado_mulher_e_homem:': u'\U0001F469\U0000200D\U00002764\U0000FE0F\U0000200D\U0001F468',
    u':casal_apaixonado_homem_e_homem:': u'\U0001F468\U0000200D\U00002764\U0000FE0F\U0000200D\U0001F468',
    u':casal_apaixonado_mulher_e_mulher:': u'\U0001F469\U0000200D\U00002764\U0000FE0F\U0000200D\U0001F469',
    u':família:': u'\U0001F46A',
    u':família_homem_mulher_e_menino:': u'\U0001F468\U0000200D\U0001F469\U0000200D\U0001F466',
    u':família_homem_mulher_e_menina:': u'\U0001F468\U0000200D\U0001F469\U0000200D\U0001F467',
    u':família_homem_mulher_menina_e_menino:': u'\U0001F468\U0000200D\U0001F469\U0000200D\U0001F467\U0000200D\U0001F466',
    u':família_homem_mulher_menino_e_menino:': u'\U0001F468\U0000200D\U0001F469\U0000200D\U0001F466\U0000200D\U0001F466',
    u':família_homem_mulher_menina_e_menina:': u'\U0001F468\U0000200D\U0001F469\U0000200D\U0001F467\U0000200D\U0001F467',
    u':família_homem_homem_e_menino:': u'\U0001F468\U0000200D\U0001F468\U0000200D\U0001F466',
    u':família_homem_homem_e_menina:': u'\U0001F468\U0000200D\U0001F468\U0000200D\U0001F467',
    u':família_homem_homem_menina_e_menino:': u'\U0001F468\U0000200D\U0001F468\U0000200D\U0001F467\U0000200D\U0001F466',
    u':família_homem_homem_menino_e_menino:': u'\U0001F468\U0000200D\U0001F468\U0000200D\U0001F466\U0000200D\U0001F466',
    u':família_homem_homem_menina_e_menina:': u'\U0001F468\U0000200D\U0001F468\U0000200D\U0001F467\U0000200D\U0001F467',
    u':família_mulher_mulher_e_menino:': u'\U0001F469\U0000200D\U0001F469\U0000200D\U0001F466',
    u':família_mulher_mulher_e_menina:': u'\U0001F469\U0000200D\U0001F469\U0000200D\U0001F467',
    u':família_mulher_mulher_menina_e_menino:': u'\U0001F469\U0000200D\U0001F469\U0000200D\U0001F467\U0000200D\U0001F466',
    u':família_mulher_mulher_menino_e_menino:': u'\U0001F469\U0000200D\U0001F469\U0000200D\U0001F466\U0000200D\U0001F466',
    u':família_mulher_mulher_menina_e_menina:': u'\U0001F469\U0000200D\U0001F469\U0000200D\U0001F467\U0000200D\U0001F467',
    u':família_homem_e_menino:': u'\U0001F468\U0000200D\U0001F466',
    u':família_homem_menino_e_menino:': u'\U0001F468\U0000200D\U0001F466\U0000200D\U0001F466',
    u':família_homem_e_menina:': u'\U0001F468\U0000200D\U0001F467',
    u':família_homem_menina_e_menino:': u'\U0001F468\U0000200D\U0001F467\U0000200D\U0001F466',
    u':família_homem_menina_e_menina:': u'\U0001F468\U0000200D\U0001F467\U0000200D\U0001F467',
    u':família_mulher_e_menino:': u'\U0001F469\U0000200D\U0001F466',
    u':família_mulher_menino_e_menino:': u'\U0001F469\U0000200D\U0001F466\U0000200D\U0001F466',
    u':família_mulher_e_menina:': u'\U0001F469\U0000200D\U0001F467',
    u':família_mulher_menina_e_menino:': u'\U0001F469\U0000200D\U0001F467\U0000200D\U0001F466',
    u':família_mulher_menina_e_menina:': u'\U0001F469\U0000200D\U0001F467\U0000200D\U0001F467',
    u':silhueta_falando:': u'\U0001F5E3\U0000FE0F',
    u':silhueta_de_busto:': u'\U0001F464',
    u':silhueta_de_bustos:': u'\U0001F465',
    u':pessoas_se_abraçando:': u'\U0001FAC2',
    u':pegadas:': u'\U0001F463',
    u':pele_clara:': u'\U0001F3FB',
    u':pele_morena_clara:': u'\U0001F3FC',
    u':pele_morena:': u'\U0001F3FD',
    u':pele_morena_escura:': u'\U0001F3FE',
    u':pele_escura:': u'\U0001F3FF',
    u':cabelo_vermelho:': u'\U0001F9B0',
    u':cabelo_cacheado:': u'\U0001F9B1',
    u':cabelo_branco:': u'\U0001F9B3',
    u':careca:': u'\U0001F9B2',
    u':rosto_de_macaco:': u'\U0001F435',
    u':macaco:': u'\U0001F412',
    u':gorila:': u'\U0001F98D',
    u':orangotango:': u'\U0001F9A7',
    u':rosto_de_cachorro:': u'\U0001F436',
    u':cachorro:': u'\U0001F415',
    u':cão-guia:': u'\U0001F9AE',
    u':cão_de_serviço:': u'\U0001F415\U0000200D\U0001F9BA',
    u':poodle:': u'\U0001F429',
    u':rosto_de_lobo:': u'\U0001F43A',
    u':rosto_de_raposa:': u'\U0001F98A',
    u':guaxinim:': u'\U0001F99D',
    u':rosto_de_gato:': u'\U0001F431',
    u':gato:': u'\U0001F408',
    u':gato_preto:': u'\U0001F408\U0000200D\U00002B1B',
    u':rosto_de_leão:': u'\U0001F981',
    u':rosto_de_tigre:': u'\U0001F42F',
    u':tigre:': u'\U0001F405',
    u':leopardo:': u'\U0001F406',
    u':rosto_de_cavalo:': u'\U0001F434',
    u':cavalo:': u'\U0001F40E',
    u':rosto_de_unicórnio:': u'\U0001F984',
    u':zebra:': u'\U0001F993',
    u':cervo:': u'\U0001F98C',
    u':bisão:': u'\U0001F9AC',
    u':rosto_de_vaca:': u'\U0001F42E',
    u':boi:': u'\U0001F402',
    u':búfalo-asiático:': u'\U0001F403',
    u':vaca:': u'\U0001F404',
    u':rosto_de_porco:': u'\U0001F437',
    u':porco:': u'\U0001F416',
    u':javali:': u'\U0001F417',
    u':nariz_de_porco:': u'\U0001F43D',
    u':carneiro:': u'\U0001F40F',
    u':ovelha:': u'\U0001F411',
    u':cabra:': u'\U0001F410',
    u':camelo:': u'\U0001F42A',
    u':camelo_com_duas_corcovas:': u'\U0001F42B',
    u':lhama:': u'\U0001F999',
    u':girafa:': u'\U0001F992',
    u':elefante:': u'\U0001F418',
    u':mamute:': u'\U0001F9A3',
    u':rinoceronte:': u'\U0001F98F',
    u':hipopótamo:': u'\U0001F99B',
    u':rosto_de_camundongo:': u'\U0001F42D',
    u':camundongo:': u'\U0001F401',
    u':rato:': u'\U0001F400',
    u':rosto_de_hamster:': u'\U0001F439',
    u':rosto_de_coelho:': u'\U0001F430',
    u':coelho:': u'\U0001F407',
    u':esquilo:': u'\U0001F43F\U0000FE0F',
    u':castor:': u'\U0001F9AB',
    u':porco-espinho:': u'\U0001F994',
    u':morcego:': u'\U0001F987',
    u':rosto_de_urso:': u'\U0001F43B',
    u':urso_polar:': u'\U0001F43B\U0000200D\U00002744\U0000FE0F',
    u':coala:': u'\U0001F428',
    u':rosto_de_panda:': u'\U0001F43C',
    u':preguiça:': u'\U0001F9A5',
    u':lontra:': u'\U0001F9A6',
    u':gambá:': u'\U0001F9A8',
    u':canguru:': u'\U0001F998',
    u':texugo:': u'\U0001F9A1',
    u':patas:': u'\U0001F43E',
    u':peru:': u'\U0001F983',
    u':galinha:': u'\U0001F414',
    u':galo:': u'\U0001F413',
    u':pintinho_chocando:': u'\U0001F423',
    u':pintinho_de_perfil:': u'\U0001F424',
    u':pintinho_de_frente:': u'\U0001F425',
    u':pássaro:': u'\U0001F426',
    u':pinguim:': u'\U0001F427',
    u':pomba_branca:': u'\U0001F54A\U0000FE0F',
    u':águia:': u'\U0001F985',
    u':pato:': u'\U0001F986',
    u':cisne:': u'\U0001F9A2',
    u':coruja:': u'\U0001F989',
    u':dodô:': u'\U0001F9A4',
    u':pena:': u'\U0001FAB6',
    u':flamingo:': u'\U0001F9A9',
    u':pavão:': u'\U0001F99A',
    u':papagaio:': u'\U0001F99C',
    u':sapo:': u'\U0001F438',
    u':crocodilo:': u'\U0001F40A',
    u':tartaruga:': u'\U0001F422',
    u':lagartixa:': u'\U0001F98E',
    u':cobra:': u'\U0001F40D',
    u':rosto_de_dragão:': u'\U0001F432',
    u':dragão:': u'\U0001F409',
    u':saurópode:': u'\U0001F995',
    u':tiranossauro_rex:': u'\U0001F996',
    u':baleia_esguichando_água:': u'\U0001F433',
    u':baleia:': u'\U0001F40B',
    u':golfinho:': u'\U0001F42C',
    u':foca:': u'\U0001F9AD',
    u':peixe:': u'\U0001F41F',
    u':peixe_tropical:': u'\U0001F420',
    u':baiacu:': u'\U0001F421',
    u':tubarão:': u'\U0001F988',
    u':polvo:': u'\U0001F419',
    u':caramujo:': u'\U0001F41A',
    u':caracol:': u'\U0001F40C',
    u':borboleta:': u'\U0001F98B',
    u':inseto:': u'\U0001F41B',
    u':formiga:': u'\U0001F41C',
    u':abelha:': u'\U0001F41D',
    u':besouro:': u'\U0001FAB2',
    u':joaninha:': u'\U0001F41E',
    u':grilo:': u'\U0001F997',
    u':barata:': u'\U0001FAB3',
    u':aranha:': u'\U0001F577\U0000FE0F',
    u':teia_de_aranha:': u'\U0001F578\U0000FE0F',
    u':escorpião:': u'\U0001F982',
    u':mosquito:': u'\U0001F99F',
    u':mosca:': u'\U0001FAB0',
    u':minhoca:': u'\U0001FAB1',
    u':micróbio:': u'\U0001F9A0',
    u':buquê:': u'\U0001F490',
    u':flor_de_cerejeira:': u'\U0001F338',
    u':flor_branca:': u'\U0001F4AE',
    u':roseta:': u'\U0001F3F5\U0000FE0F',
    u':rosa:': u'\U0001F339',
    u':flor_murcha:': u'\U0001F940',
    u':hibisco:': u'\U0001F33A',
    u':girassol:': u'\U0001F33B',
    u':flor:': u'\U0001F33C',
    u':tulipa:': u'\U0001F337',
    u':muda_de_planta:': u'\U0001F331',
    u':vaso_com_planta:': u'\U0001FAB4',
    u':conífera:': u'\U0001F332',
    u':árvore_caidiça:': u'\U0001F333',
    u':palmeira:': u'\U0001F334',
    u':cacto:': u'\U0001F335',
    u':planta_de_arroz:': u'\U0001F33E',
    u':erva:': u'\U0001F33F',
    u':trevo:': u'\U00002618\U0000FE0F',
    u':trevo_de_quatro_folhas:': u'\U0001F340',
    u':folha_de_bordo:': u'\U0001F341',
    u':folhas_caídas:': u'\U0001F342',
    u':folha_ao_vento:': u'\U0001F343',
    u':uvas:': u'\U0001F347',
    u':melão:': u'\U0001F348',
    u':melancia:': u'\U0001F349',
    u':tangerina:': u'\U0001F34A',
    u':limão:': u'\U0001F34B',
    u':banana:': u'\U0001F34C',
    u':abacaxi:': u'\U0001F34D',
    u':manga:': u'\U0001F96D',
    u':maçã_vermelha:': u'\U0001F34E',
    u':maçã_verde:': u'\U0001F34F',
    u':pera:': u'\U0001F350',
    u':pêssego:': u'\U0001F351',
    u':cereja:': u'\U0001F352',
    u':morango:': u'\U0001F353',
    u':mirtilos:': u'\U0001FAD0',
    u':kiwi:': u'\U0001F95D',
    u':tomate:': u'\U0001F345',
    u':azeitona:': u'\U0001FAD2',
    u':coco:': u'\U0001F965',
    u':abacate:': u'\U0001F951',
    u':berinjela:': u'\U0001F346',
    u':batata:': u'\U0001F954',
    u':cenoura:': u'\U0001F955',
    u':milho:': u'\U0001F33D',
    u':pimenta:': u'\U0001F336\U0000FE0F',
    u':pimentão:': u'\U0001FAD1',
    u':pepino:': u'\U0001F952',
    u':verdura:': u'\U0001F96C',
    u':brócolis:': u'\U0001F966',
    u':alho:': u'\U0001F9C4',
    u':cebola:': u'\U0001F9C5',
    u':cogumelo:': u'\U0001F344',
    u':amendoim:': u'\U0001F95C',
    u':castanha:': u'\U0001F330',
    u':pão:': u'\U0001F35E',
    u':croissant:': u'\U0001F950',
    u':baguete:': u'\U0001F956',
    u':pão_sírio:': u'\U0001FAD3',
    u':pretzel:': u'\U0001F968',
    u':rosca:': u'\U0001F96F',
    u':panquecas:': u'\U0001F95E',
    u':waffle:': u'\U0001F9C7',
    u':queijo:': u'\U0001F9C0',
    u':carne:': u'\U0001F356',
    u':coxa_de_frango:': u'\U0001F357',
    u':corte_de_carne:': u'\U0001F969',
    u':bacon:': u'\U0001F953',
    u':hambúrguer:': u'\U0001F354',
    u':batata_frita:': u'\U0001F35F',
    u':pizza:': u'\U0001F355',
    u':cachorro-quente:': u'\U0001F32D',
    u':sanduíche:': u'\U0001F96A',
    u':taco:': u'\U0001F32E',
    u':burrito:': u'\U0001F32F',
    u':tamale:': u'\U0001FAD4',
    u':pão_recheado:': u'\U0001F959',
    u':falafel:': u'\U0001F9C6',
    u':ovo:': u'\U0001F95A',
    u':ovo_frito:': u'\U0001F373',
    u':caçarola_com_comida:': u'\U0001F958',
    u':panela:': u'\U0001F372',
    u':fondue:': u'\U0001FAD5',
    u':tigela_com_colher:': u'\U0001F963',
    u':salada_verde:': u'\U0001F957',
    u':pipoca:': u'\U0001F37F',
    u':manteiga:': u'\U0001F9C8',
    u':sal:': u'\U0001F9C2',
    u':comida_enlatada:': u'\U0001F96B',
    u':bentô:': u'\U0001F371',
    u':biscoito_de_arroz:': u'\U0001F358',
    u':arroz_japonês:': u'\U0001F359',
    u':arroz_cozido:': u'\U0001F35A',
    u':arroz_com_curry:': u'\U0001F35B',
    u':lámen:': u'\U0001F35C',
    u':espaguete:': u'\U0001F35D',
    u':batata_assada:': u'\U0001F360',
    u':oden:': u'\U0001F362',
    u':sushi:': u'\U0001F363',
    u':camarão_frito:': u'\U0001F364',
    u':bolinho_de_peixe:': u'\U0001F365',
    u':bolo_lunar:': u'\U0001F96E',
    u':dango:': u'\U0001F361',
    u':bolinho_asiático:': u'\U0001F95F',
    u':biscoito_da_sorte:': u'\U0001F960',
    u':caixa_para_viagem:': u'\U0001F961',
    u':caranguejo:': u'\U0001F980',
    u':lagosta:': u'\U0001F99E',
    u':camarão:': u'\U0001F990',
    u':lula:': u'\U0001F991',
    u':ostra:': u'\U0001F9AA',
    u':sorvete_italiano:': u'\U0001F366',
    u':raspadinha_de_gelo:': u'\U0001F367',
    u':sorvete:': u'\U0001F368',
    u':donut:': u'\U0001F369',
    u':biscoito:': u'\U0001F36A',
    u':bolo_de_aniversário:': u'\U0001F382',
    u':pão_de_ló_de_morango:': u'\U0001F370',
    u':cupcake:': u'\U0001F9C1',
    u':torta:': u'\U0001F967',
    u':chocolate:': u'\U0001F36B',
    u':bala:': u'\U0001F36C',
    u':pirulito:': u'\U0001F36D',
    u':pudim:': u'\U0001F36E',
    u':pote_de_mel:': u'\U0001F36F',
    u':mamadeira:': u'\U0001F37C',
    u':copo_de_leite:': u'\U0001F95B',
    u':café:': u'\U00002615',
    u':bule:': u'\U0001FAD6',
    u':xícara_de_chá_sem_alça:': u'\U0001F375',
    u':saquê:': u'\U0001F376',
    u':garrafa_de_champanhe:': u'\U0001F37E',
    u':vinho:': u'\U0001F377',
    u':coquetel:': u'\U0001F378',
    u':bebida_tropical:': u'\U0001F379',
    u':cerveja:': u'\U0001F37A',
    u':canecas_de_cerveja:': u'\U0001F37B',
    u':taças_brindando:': u'\U0001F942',
    u':copo:': u'\U0001F943',
    u':copo_com_canudo:': u'\U0001F964',
    u':chá_perolado:': u'\U0001F9CB',
    u':suco_de_caixa:': u'\U0001F9C3',
    u':mate:': u'\U0001F9C9',
    u':cubo_de_gelo:': u'\U0001F9CA',
    u':hashi:': u'\U0001F962',
    u':prato_com_talheres:': u'\U0001F37D\U0000FE0F',
    u':garfo_e_faca:': u'\U0001F374',
    u':colher:': u'\U0001F944',
    u':faca_de_cozinha:': u'\U0001F52A',
    u':ânfora:': u'\U0001F3FA',
    u':globo_mostrando_europa_e_áfrica:': u'\U0001F30D',
    u':globo_mostrando_as_américas:': u'\U0001F30E',
    u':globo_mostrando_ásia_e_oceania:': u'\U0001F30F',
    u':globo_com_meridianos:': u'\U0001F310',
    u':mapa-múndi:': u'\U0001F5FA\U0000FE0F',
    u':mapa_do_japão:': u'\U0001F5FE',
    u':bússola:': u'\U0001F9ED',
    u':montanha_com_neve:': u'\U0001F3D4\U0000FE0F',
    u':montanha:': u'\U000026F0\U0000FE0F',
    u':vulcão:': u'\U0001F30B',
    u':monte_fuji:': u'\U0001F5FB',
    u':acampamento:': u'\U0001F3D5\U0000FE0F',
    u':praia_e_guarda-sol:': u'\U0001F3D6\U0000FE0F',
    u':deserto:': u'\U0001F3DC\U0000FE0F',
    u':ilha_deserta:': u'\U0001F3DD\U0000FE0F',
    u':parque_nacional:': u'\U0001F3DE\U0000FE0F',
    u':estádio:': u'\U0001F3DF\U0000FE0F',
    u':prédio_grego:': u'\U0001F3DB\U0000FE0F',
    u':construção:': u'\U0001F3D7\U0000FE0F',
    u':tijolo:': u'\U0001F9F1',
    u':pedra:': u'\U0001FAA8',
    u':madeira:': u'\U0001FAB5',
    u':cabana:': u'\U0001F6D6',
    u':casas:': u'\U0001F3D8\U0000FE0F',
    u':casa_abandonada:': u'\U0001F3DA\U0000FE0F',
    u':casa:': u'\U0001F3E0',
    u':casa_com_jardim:': u'\U0001F3E1',
    u':edifício_comercial:': u'\U0001F3E2',
    u':correio_japonês:': u'\U0001F3E3',
    u':correio:': u'\U0001F3E4',
    u':hospital:': u'\U0001F3E5',
    u':banco:': u'\U0001F3E6',
    u':hotel:': u'\U0001F3E8',
    u':motel:': u'\U0001F3E9',
    u':loja_de_conveniência:': u'\U0001F3EA',
    u':escola:': u'\U0001F3EB',
    u':loja_de_departamentos:': u'\U0001F3EC',
    u':fábrica:': u'\U0001F3ED',
    u':castelo_japonês:': u'\U0001F3EF',
    u':castelo:': u'\U0001F3F0',
    u':capela_de_casamento:': u'\U0001F492',
    u':torre_de_tóquio:': u'\U0001F5FC',
    u':estátua_da_liberdade:': u'\U0001F5FD',
    u':igreja:': u'\U000026EA',
    u':mesquita:': u'\U0001F54C',
    u':templo_hindu:': u'\U0001F6D5',
    u':sinagoga:': u'\U0001F54D',
    u':santuário_japonês:': u'\U000026E9\U0000FE0F',
    u':caaba_islã:': u'\U0001F54B',
    u':fonte:': u'\U000026F2',
    u':barraca:': u'\U000026FA',
    u':enevoado:': u'\U0001F301',
    u':noite_estrelada:': u'\U0001F303',
    u':cidade:': u'\U0001F3D9\U0000FE0F',
    u':aurora_sobre_montanhas:': u'\U0001F304',
    u':aurora_sobre_água:': u'\U0001F305',
    u':cidade_ao_anoitecer:': u'\U0001F306',
    u':pôr_do_sol:': u'\U0001F307',
    u':ponte_à_noite:': u'\U0001F309',
    u':chamas:': u'\U00002668\U0000FE0F',
    u':carrossel:': u'\U0001F3A0',
    u':roda_gigante:': u'\U0001F3A1',
    u':montanha_russa:': u'\U0001F3A2',
    u':barbearia:': u'\U0001F488',
    u':circo:': u'\U0001F3AA',
    u':locomotiva:': u'\U0001F682',
    u':vagão_de_trem:': u'\U0001F683',
    u':trem_de_alta_velocidade:': u'\U0001F684',
    u':trem_de_alta_velocidade_japonês:': u'\U0001F685',
    u':trem:': u'\U0001F686',
    u':metrô:': u'\U0001F687',
    u':trem_urbano:': u'\U0001F688',
    u':estação:': u'\U0001F689',
    u':bonde_elétrico:': u'\U0001F68A',
    u':monotrilho:': u'\U0001F69D',
    u':estrada_de_ferro_na_montanha:': u'\U0001F69E',
    u':bonde:': u'\U0001F68B',
    u':ônibus:': u'\U0001F68C',
    u':ônibus_se_aproximando:': u'\U0001F68D',
    u':ônibus_movido_a_eletricidade:': u'\U0001F68E',
    u':van:': u'\U0001F690',
    u':ambulância:': u'\U0001F691',
    u':carro_do_corpo_de_bombeiros:': u'\U0001F692',
    u':viatura_policial:': u'\U0001F693',
    u':viatura_policial_se_aproximando:': u'\U0001F694',
    u':táxi:': u'\U0001F695',
    u':táxi_se_aproximando:': u'\U0001F696',
    u':carro:': u'\U0001F697',
    u':carro_se_aproximando:': u'\U0001F698',
    u':suv:': u'\U0001F699',
    u':caminhonete:': u'\U0001F6FB',
    u':caminhão_de_entrega:': u'\U0001F69A',
    u':caminhão:': u'\U0001F69B',
    u':trator:': u'\U0001F69C',
    u':carro_de_corrida:': u'\U0001F3CE\U0000FE0F',
    u':motocicleta:': u'\U0001F3CD\U0000FE0F',
    u':scooter:': u'\U0001F6F5',
    u':cadeira_de_rodas_manual:': u'\U0001F9BD',
    u':cadeira_de_rodas_motorizada:': u'\U0001F9BC',
    u':automóvel_riquixá:': u'\U0001F6FA',
    u':bicicleta:': u'\U0001F6B2',
    u':patinete:': u'\U0001F6F4',
    u':skate:': u'\U0001F6F9',
    u':patins_de_rodas:': u'\U0001F6FC',
    u':ponto_de_ônibus:': u'\U0001F68F',
    u':estrada:': u'\U0001F6E3\U0000FE0F',
    u':trilhos:': u'\U0001F6E4\U0000FE0F',
    u':barril_de_óleo:': u'\U0001F6E2\U0000FE0F',
    u':posto_de_gasolina:': u'\U000026FD',
    u':sirene:': u'\U0001F6A8',
    u':semáforo_horizontal:': u'\U0001F6A5',
    u':semáforo_vertical:': u'\U0001F6A6',
    u':sinal_de_pare:': u'\U0001F6D1',
    u':em_construção:': u'\U0001F6A7',
    u':âncora:': u'\U00002693',
    u':barco_a_vela:': u'\U000026F5',
    u':canoa:': u'\U0001F6F6',
    u':lancha:': u'\U0001F6A4',
    u':cruzeiro:': u'\U0001F6F3\U0000FE0F',
    u':balsa:': u'\U000026F4\U0000FE0F',
    u':barco:': u'\U0001F6E5\U0000FE0F',
    u':navio:': u'\U0001F6A2',
    u':avião:': u'\U00002708\U0000FE0F',
    u':avião_pequeno:': u'\U0001F6E9\U0000FE0F',
    u':avião_decolando:': u'\U0001F6EB',
    u':avião_aterrissando:': u'\U0001F6EC',
    u':paraquedas:': u'\U0001FA82',
    u':assento:': u'\U0001F4BA',
    u':helicóptero:': u'\U0001F681',
    u':estrada_de_ferro_suspensa:': u'\U0001F69F',
    u':cabo_suspenso_usado_em_teleféricos_nas_montanhas:': u'\U0001F6A0',
    u':teleférico:': u'\U0001F6A1',
    u':satélite:': u'\U0001F6F0\U0000FE0F',
    u':foguete:': u'\U0001F680',
    u':disco_voador:': u'\U0001F6F8',
    u':sineta:': u'\U0001F6CE\U0000FE0F',
    u':mala:': u'\U0001F9F3',
    u':ampulheta:': u'\U0000231B',
    u':ampulheta_cheia_em_cima:': u'\U000023F3',
    u':relógio_de_pulso:': u'\U0000231A',
    u':despertador:': u'\U000023F0',
    u':cronômetro:': u'\U000023F1\U0000FE0F',
    u':relógio_temporizador:': u'\U000023F2\U0000FE0F',
    u':relógio_de_mesa:': u'\U0001F570\U0000FE0F',
    u':12_horas:': u'\U0001F55B',
    u':doze_e_meia:': u'\U0001F567',
    u':1_hora:': u'\U0001F550',
    u':uma_e_meia:': u'\U0001F55C',
    u':2_horas:': u'\U0001F551',
    u':duas_e_meia:': u'\U0001F55D',
    u':3_horas:': u'\U0001F552',
    u':três_e_meia:': u'\U0001F55E',
    u':4_horas:': u'\U0001F553',
    u':quatro_e_meia:': u'\U0001F55F',
    u':5_horas:': u'\U0001F554',
    u':cinco_e_meia:': u'\U0001F560',
    u':6_horas:': u'\U0001F555',
    u':seis_e_meia:': u'\U0001F561',
    u':7_horas:': u'\U0001F556',
    u':sete_e_meia:': u'\U0001F562',
    u':8_horas:': u'\U0001F557',
    u':oito_e_meia:': u'\U0001F563',
    u':9_horas:': u'\U0001F558',
    u':nove_e_meia:': u'\U0001F564',
    u':10_horas:': u'\U0001F559',
    u':dez_e_meia:': u'\U0001F565',
    u':11_horas:': u'\U0001F55A',
    u':onze_e_meia:': u'\U0001F566',
    u':lua_nova:': u'\U0001F311',
    u':lua_crescente_côncava:': u'\U0001F312',
    u':quarto_crescente:': u'\U0001F313',
    u':lua_crescente_convexa:': u'\U0001F314',
    u':lua_cheia:': u'\U0001F315',
    u':lua_minguante_convexa:': u'\U0001F316',
    u':quarto_minguante:': u'\U0001F317',
    u':lua_minguante_côncava:': u'\U0001F318',
    u':lua_crescente:': u'\U0001F319',
    u':rosto_da_lua_nova:': u'\U0001F31A',
    u':rosto_da_lua_de_quarto_crescente:': u'\U0001F31B',
    u':rosto_da_lua_de_quarto_minguante:': u'\U0001F31C',
    u':termômetro:': u'\U0001F321\U0000FE0F',
    u':sol:': u'\U00002600\U0000FE0F',
    u':rosto_da_lua_cheia:': u'\U0001F31D',
    u':rosto_do_sol:': u'\U0001F31E',
    u':planeta_com_anéis:': u'\U0001FA90',
    u':estrela_branca_média:': u'\U00002B50',
    u':estrela_brilhante:': u'\U0001F31F',
    u':estrela_cadente:': u'\U0001F320',
    u':via_láctea:': u'\U0001F30C',
    u':nuvem:': u'\U00002601\U0000FE0F',
    u':sol_por_trás_das_nuvens:': u'\U000026C5',
    u':chuva_com_trovão:': u'\U000026C8\U0000FE0F',
    u':sol_com_nuvens:': u'\U0001F324\U0000FE0F',
    u':nublado:': u'\U0001F325\U0000FE0F',
    u':sol_com_chuva:': u'\U0001F326\U0000FE0F',
    u':nuvem_com_chuva:': u'\U0001F327\U0000FE0F',
    u':nuvem_com_neve:': u'\U0001F328\U0000FE0F',
    u':nuvem_com_trovão:': u'\U0001F329\U0000FE0F',
    u':tornado:': u'\U0001F32A\U0000FE0F',
    u':neblina:': u'\U0001F32B\U0000FE0F',
    u':rosto_de_vento:': u'\U0001F32C\U0000FE0F',
    u':ciclone:': u'\U0001F300',
    u':arco-íris:': u'\U0001F308',
    u':guarda-chuva_fechado:': u'\U0001F302',
    u':guarda-chuva:': u'\U00002602\U0000FE0F',
    u':sombrinha_na_chuva:': u'\U00002614',
    u':guarda-sol:': u'\U000026F1\U0000FE0F',
    u':alta_tensão:': u'\U000026A1',
    u':floco_de_neve:': u'\U00002744\U0000FE0F',
    u':boneco_de_neve:': u'\U00002603\U0000FE0F',
    u':boneco_de_neve_sem_neve:': u'\U000026C4',
    u':cometa:': u'\U00002604\U0000FE0F',
    u':fogo:': u'\U0001F525',
    u':gota:': u'\U0001F4A7',
    u':onda:': u'\U0001F30A',
    u':abóbora_de_halloween:': u'\U0001F383',
    u':árvore_de_natal:': u'\U0001F384',
    u':fogos_de_artifício:': u'\U0001F386',
    u':vela_estrela:': u'\U0001F387',
    u':bombinha:': u'\U0001F9E8',
    u':brilhos:': u'\U00002728',
    u':balão:': u'\U0001F388',
    u':cone_de_festa:': u'\U0001F389',
    u':confete:': u'\U0001F38A',
    u':árvore_de_tanabata:': u'\U0001F38B',
    u':decoração_de_pinhos:': u'\U0001F38D',
    u':bonecas_japonesas:': u'\U0001F38E',
    u':bandeira_de_carpas:': u'\U0001F38F',
    u':carrilhão_de_vento:': u'\U0001F390',
    u':contemplação_da_lua:': u'\U0001F391',
    u':envelope_vermelho:': u'\U0001F9E7',
    u':fita:': u'\U0001F380',
    u':presente:': u'\U0001F381',
    u':fita_de_lembrete:': u'\U0001F397\U0000FE0F',
    u':ingresso_de_cinema:': u'\U0001F39F\U0000FE0F',
    u':ingresso:': u'\U0001F3AB',
    u':medalha_militar:': u'\U0001F396\U0000FE0F',
    u':troféu:': u'\U0001F3C6',
    u':medalha_esportiva:': u'\U0001F3C5',
    u':medalha_de_ouro:': u'\U0001F947',
    u':medalha_de_prata:': u'\U0001F948',
    u':medalha_de_bronze:': u'\U0001F949',
    u':bola_de_futebol:': u'\U000026BD',
    u':bola_de_beisebol:': u'\U000026BE',
    u':softbol:': u'\U0001F94E',
    u':bola_de_basquete:': u'\U0001F3C0',
    u':bola_de_vôlei:': u'\U0001F3D0',
    u':bola_de_futebol_americano:': u'\U0001F3C8',
    u':bola_de_rugby:': u'\U0001F3C9',
    u':tênis:': u'\U0001F3BE',
    u':frisbee:': u'\U0001F94F',
    u':boliche:': u'\U0001F3B3',
    u':críquete:': u'\U0001F3CF',
    u':hóquei_de_campo:': u'\U0001F3D1',
    u':hóquei_no_gelo:': u'\U0001F3D2',
    u':lacrosse:': u'\U0001F94D',
    u':pingue-pongue:': u'\U0001F3D3',
    u':badminton:': u'\U0001F3F8',
    u':luva_de_boxe:': u'\U0001F94A',
    u':quimono_de_artes_marciais:': u'\U0001F94B',
    u':gol:': u'\U0001F945',
    u':bandeira_no_buraco:': u'\U000026F3',
    u':patins_de_gelo:': u'\U000026F8\U0000FE0F',
    u':pesca:': u'\U0001F3A3',
    u':máscara_de_mergulho:': u'\U0001F93F',
    u':camiseta_de_corrida:': u'\U0001F3BD',
    u':esqui:': u'\U0001F3BF',
    u':trenó:': u'\U0001F6F7',
    u':pedra_de_curling:': u'\U0001F94C',
    u':no_alvo:': u'\U0001F3AF',
    u':ioiô:': u'\U0001FA80',
    u':pipa:': u'\U0001FA81',
    u':bilhar:': u'\U0001F3B1',
    u':bola_de_cristal:': u'\U0001F52E',
    u':varinha_mágica:': u'\U0001FA84',
    u':olho_turco:': u'\U0001F9FF',
    u':videogame:': u'\U0001F3AE',
    u':joystick:': u'\U0001F579\U0000FE0F',
    u':caça-níquel:': u'\U0001F3B0',
    u':jogo_de_dado:': u'\U0001F3B2',
    u':quebra-cabeça:': u'\U0001F9E9',
    u':ursinho_de_pelúcia:': u'\U0001F9F8',
    u':pinhata:': u'\U0001FA85',
    u':boneca_russa:': u'\U0001FA86',
    u':naipe_de_espadas:': u'\U00002660\U0000FE0F',
    u':naipe_de_copas:': u'\U00002665\U0000FE0F',
    u':naipe_de_ouros:': u'\U00002666\U0000FE0F',
    u':naipe_de_paus:': u'\U00002663\U0000FE0F',
    u':peão_de_xadrez:': u'\U0000265F\U0000FE0F',
    u':curinga:': u'\U0001F0CF',
    u':dragão_vermelho_de_mahjong:': u'\U0001F004',
    u':carta_de_flores:': u'\U0001F3B4',
    u':máscara:': u'\U0001F3AD',
    u':quadro_emoldurado:': u'\U0001F5BC\U0000FE0F',
    u':paleta_de_tintas:': u'\U0001F3A8',
    u':carretel:': u'\U0001F9F5',
    u':agulha_de_costura:': u'\U0001FAA1',
    u':novelo:': u'\U0001F9F6',
    u':nó:': u'\U0001FAA2',
    u':óculos:': u'\U0001F453',
    u':óculos_escuros:': u'\U0001F576\U0000FE0F',
    u':óculos_de_proteção:': u'\U0001F97D',
    u':jaleco:': u'\U0001F97C',
    u':colete_salva-vidas:': u'\U0001F9BA',
    u':gravata:': u'\U0001F454',
    u':camiseta:': u'\U0001F455',
    u':jeans:': u'\U0001F456',
    u':cachecol:': u'\U0001F9E3',
    u':luvas:': u'\U0001F9E4',
    u':casaco:': u'\U0001F9E5',
    u':meias:': u'\U0001F9E6',
    u':vestido:': u'\U0001F457',
    u':quimono:': u'\U0001F458',
    u':sari:': u'\U0001F97B',
    u':maiô:': u'\U0001FA71',
    u':cueca:': u'\U0001FA72',
    u':shorts:': u'\U0001FA73',
    u':biquíni:': u'\U0001F459',
    u':roupas_femininas:': u'\U0001F45A',
    u':bolsinha:': u'\U0001F45B',
    u':bolsa_de_mão:': u'\U0001F45C',
    u':bolsa_pequena:': u'\U0001F45D',
    u':sacolas_de_compras:': u'\U0001F6CD\U0000FE0F',
    u':mochila:': u'\U0001F392',
    u':chinelo:': u'\U0001FA74',
    u':sapato_masculino:': u'\U0001F45E',
    u':tênis_de_corrida:': u'\U0001F45F',
    u':bota_de_trekking:': u'\U0001F97E',
    u':sapatilha:': u'\U0001F97F',
    u':sapato_de_salto_alto:': u'\U0001F460',
    u':sandália_feminina:': u'\U0001F461',
    u':sapatilha_de_balé:': u'\U0001FA70',
    u':bota_feminina:': u'\U0001F462',
    u':coroa:': u'\U0001F451',
    u':chapéu_feminino:': u'\U0001F452',
    u':cartola:': u'\U0001F3A9',
    u':chapéu_de_formatura:': u'\U0001F393',
    u':boné:': u'\U0001F9E2',
    u':capacete_militar:': u'\U0001FA96',
    u':capacacete_de_socorrista:': u'\U000026D1\U0000FE0F',
    u':rosário_de_oração:': u'\U0001F4FF',
    u':batom:': u'\U0001F484',
    u':anel:': u'\U0001F48D',
    u':pedra_preciosa:': u'\U0001F48E',
    u':alto-falante_silenciado:': u'\U0001F507',
    u':alto-falante_com_volume_baixo:': u'\U0001F508',
    u':alto-falante_com_volume_médio:': u'\U0001F509',
    u':alto-falante_com_volume_alto:': u'\U0001F50A',
    u':buzina:': u'\U0001F4E2',
    u':megafone:': u'\U0001F4E3',
    u':corneta_postal:': u'\U0001F4EF',
    u':sino:': u'\U0001F514',
    u':sino_silenciado:': u'\U0001F515',
    u':partitura_musical:': u'\U0001F3BC',
    u':nota_musical:': u'\U0001F3B5',
    u':notas_musicais:': u'\U0001F3B6',
    u':microfone_de_estúdio:': u'\U0001F399\U0000FE0F',
    u':controle_de_volume:': u'\U0001F39A\U0000FE0F',
    u':botões_giratórios:': u'\U0001F39B\U0000FE0F',
    u':microfone:': u'\U0001F3A4',
    u':fones_de_ouvido:': u'\U0001F3A7',
    u':rádio:': u'\U0001F4FB',
    u':saxofone:': u'\U0001F3B7',
    u':acordeão:': u'\U0001FA97',
    u':guitarra:': u'\U0001F3B8',
    u':teclado_musical:': u'\U0001F3B9',
    u':trompete:': u'\U0001F3BA',
    u':violino:': u'\U0001F3BB',
    u':banjo:': u'\U0001FA95',
    u':tambor:': u'\U0001F941',
    u':tambor_comprido:': u'\U0001FA98',
    u':telefone_celular:': u'\U0001F4F1',
    u':telefone_celular_com_seta:': u'\U0001F4F2',
    u':telefone_no_gancho:': u'\U0000260E\U0000FE0F',
    u':telefone:': u'\U0001F4DE',
    u':pager:': u'\U0001F4DF',
    u':fax:': u'\U0001F4E0',
    u':pilha:': u'\U0001F50B',
    u':tomada_elétrica:': u'\U0001F50C',
    u':laptop:': u'\U0001F4BB',
    u':computador_de_mesa:': u'\U0001F5A5\U0000FE0F',
    u':impressora:': u'\U0001F5A8\U0000FE0F',
    u':teclado:': u'\U00002328\U0000FE0F',
    u':mouse:': u'\U0001F5B1\U0000FE0F',
    u':trackball:': u'\U0001F5B2\U0000FE0F',
    u':minidisc:': u'\U0001F4BD',
    u':disquete:': u'\U0001F4BE',
    u':cd:': u'\U0001F4BF',
    u':dvd:': u'\U0001F4C0',
    u':ábaco:': u'\U0001F9EE',
    u':câmera_de_cinema:': u'\U0001F3A5',
    u':rolo_de_filmes:': u'\U0001F39E\U0000FE0F',
    u':projetor_de_filmes:': u'\U0001F4FD\U0000FE0F',
    u':claquete:': u'\U0001F3AC',
    u':televisão:': u'\U0001F4FA',
    u':câmera:': u'\U0001F4F7',
    u':câmera_com_flash:': u'\U0001F4F8',
    u':câmera_de_vídeo:': u'\U0001F4F9',
    u':videocassete:': u'\U0001F4FC',
    u':lupa_para_a_esquerda:': u'\U0001F50D',
    u':lupa_para_a_direita:': u'\U0001F50E',
    u':vela:': u'\U0001F56F\U0000FE0F',
    u':lâmpada:': u'\U0001F4A1',
    u':lanterna:': u'\U0001F526',
    u':lanterna_vermelha_de_papel:': u'\U0001F3EE',
    u':lâmpada_de_óleo:': u'\U0001FA94',
    u':caderno_decorado:': u'\U0001F4D4',
    u':livro_fechado:': u'\U0001F4D5',
    u':livro_aberto:': u'\U0001F4D6',
    u':livro_verde:': u'\U0001F4D7',
    u':livro_azul:': u'\U0001F4D8',
    u':livro_laranja:': u'\U0001F4D9',
    u':livros:': u'\U0001F4DA',
    u':caderno:': u'\U0001F4D3',
    u':livro_contábil:': u'\U0001F4D2',
    u':página_dobrada:': u'\U0001F4C3',
    u':pergaminho:': u'\U0001F4DC',
    u':página_voltada_para_cima:': u'\U0001F4C4',
    u':jornal:': u'\U0001F4F0',
    u':jornal_enrolado:': u'\U0001F5DE\U0000FE0F',
    u':marcadores_de_página:': u'\U0001F4D1',
    u':marcador_de_página:': u'\U0001F516',
    u':etiqueta:': u'\U0001F3F7\U0000FE0F',
    u':saco_de_dinheiro:': u'\U0001F4B0',
    u':moeda:': u'\U0001FA99',
    u':nota_de_iene:': u'\U0001F4B4',
    u':nota_de_dólar:': u'\U0001F4B5',
    u':nota_de_euro:': u'\U0001F4B6',
    u':nota_de_libra:': u'\U0001F4B7',
    u':dinheiro_voando:': u'\U0001F4B8',
    u':cartão_de_crédito:': u'\U0001F4B3',
    u':recibo:': u'\U0001F9FE',
    u':gráfico_subindo_com_iene:': u'\U0001F4B9',
    u':envelope:': u'\U00002709\U0000FE0F',
    u':e-mail:': u'\U0001F4E7',
    u':envelope_chegando:': u'\U0001F4E8',
    u':envelope_com_seta:': u'\U0001F4E9',
    u':bandeja_de_saída:': u'\U0001F4E4',
    u':bandeja_de_entrada:': u'\U0001F4E5',
    u':pacote:': u'\U0001F4E6',
    u':caixa_de_correio_fechada_com_bandeira_levantada:': u'\U0001F4EB',
    u':caixa_de_correio_fechada_com_bandeira_abaixada:': u'\U0001F4EA',
    u':caixa_de_correio_aberta_com_bandeira_levantada:': u'\U0001F4EC',
    u':caixa_de_correio_aberta_com_bandeira_abaixada:': u'\U0001F4ED',
    u':caixa_de_correio:': u'\U0001F4EE',
    u':urna_eleitoral_com_cédula:': u'\U0001F5F3\U0000FE0F',
    u':lápis:': u'\U0000270F\U0000FE0F',
    u':ponta_de_caneta_tinteiro:': u'\U00002712\U0000FE0F',
    u':caneta_tinteiro:': u'\U0001F58B\U0000FE0F',
    u':caneta:': u'\U0001F58A\U0000FE0F',
    u':pincel:': u'\U0001F58C\U0000FE0F',
    u':giz_de_cera:': u'\U0001F58D\U0000FE0F',
    u':memorando:': u'\U0001F4DD',
    u':maleta:': u'\U0001F4BC',
    u':pasta_de_arquivos:': u'\U0001F4C1',
    u':pasta_de_arquivos_aberta:': u'\U0001F4C2',
    u':divisores_de_pastas:': u'\U0001F5C2\U0000FE0F',
    u':calendário:': u'\U0001F4C5',
    u':calendário_com_folhas_destacáveis:': u'\U0001F4C6',
    u':bloco_espiral:': u'\U0001F5D2\U0000FE0F',
    u':calendário_espiral:': u'\U0001F5D3\U0000FE0F',
    u':índice_de_cartões:': u'\U0001F4C7',
    u':gráfico_subindo:': u'\U0001F4C8',
    u':gráfico_caindo:': u'\U0001F4C9',
    u':gráfico_de_barras:': u'\U0001F4CA',
    u':prancheta:': u'\U0001F4CB',
    u':tacha:': u'\U0001F4CC',
    u':tacha_redonda:': u'\U0001F4CD',
    u':clipe_de_papel:': u'\U0001F4CE',
    u':clipes_de_papel_conectados:': u'\U0001F587\U0000FE0F',
    u':régua_reta:': u'\U0001F4CF',
    u':régua_triangular:': u'\U0001F4D0',
    u':tesoura:': u'\U00002702\U0000FE0F',
    u':caixa_de_arquivos:': u'\U0001F5C3\U0000FE0F',
    u':gavetas_de_escritório:': u'\U0001F5C4\U0000FE0F',
    u':lixeira:': u'\U0001F5D1\U0000FE0F',
    u':cadeado:': u'\U0001F512',
    u':cadeado_aberto:': u'\U0001F513',
    u':cadeado_com_caneta:': u'\U0001F50F',
    u':cadeado_fechado_com_chave:': u'\U0001F510',
    u':chave:': u'\U0001F511',
    u':chave_antiga:': u'\U0001F5DD\U0000FE0F',
    u':martelo:': u'\U0001F528',
    u':machado:': u'\U0001FA93',
    u':picareta:': u'\U000026CF\U0000FE0F',
    u':martelo_e_picareta:': u'\U00002692\U0000FE0F',
    u':martelo_e_chave-inglesa:': u'\U0001F6E0\U0000FE0F',
    u':adaga:': u'\U0001F5E1\U0000FE0F',
    u':espadas_cruzadas:': u'\U00002694\U0000FE0F',
    u':pistola:': u'\U0001F52B',
    u':bumerangue:': u'\U0001FA83',
    u':arco_e_flecha:': u'\U0001F3F9',
    u':escudo:': u'\U0001F6E1\U0000FE0F',
    u':serrote:': u'\U0001FA9A',
    u':chave_inglesa:': u'\U0001F527',
    u':chave_de_fenda:': u'\U0001FA9B',
    u':porca_e_parafuso:': u'\U0001F529',
    u':engrenagem:': u'\U00002699\U0000FE0F',
    u':braçadeira:': u'\U0001F5DC\U0000FE0F',
    u':balança:': u'\U00002696\U0000FE0F',
    u':bengala_para_cegos:': u'\U0001F9AF',
    u':link:': u'\U0001F517',
    u':correntes:': u'\U000026D3\U0000FE0F',
    u':gancho:': u'\U0001FA9D',
    u':caixa_de_ferramentas:': u'\U0001F9F0',
    u':ímã:': u'\U0001F9F2',
    u':escada:': u'\U0001FA9C',
    u':alambique:': u'\U00002697\U0000FE0F',
    u':tubo_de_ensaio:': u'\U0001F9EA',
    u':placa_de_petri:': u'\U0001F9EB',
    u':dna:': u'\U0001F9EC',
    u':microscópio:': u'\U0001F52C',
    u':telescópio:': u'\U0001F52D',
    u':antena_parabólica:': u'\U0001F4E1',
    u':seringa:': u'\U0001F489',
    u':gota_de_sangue:': u'\U0001FA78',
    u':comprimido:': u'\U0001F48A',
    u':atadura_adesiva:': u'\U0001FA79',
    u':estetoscópio:': u'\U0001FA7A',
    u':porta:': u'\U0001F6AA',
    u':elevador:': u'\U0001F6D7',
    u':espelho:': u'\U0001FA9E',
    u':janela:': u'\U0001FA9F',
    u':cama:': u'\U0001F6CF\U0000FE0F',
    u':sofá_e_luminária:': u'\U0001F6CB\U0000FE0F',
    u':cadeira:': u'\U0001FA91',
    u':vaso_sanitário:': u'\U0001F6BD',
    u':desentupidor:': u'\U0001FAA0',
    u':chuveiro:': u'\U0001F6BF',
    u':banheira:': u'\U0001F6C1',
    u':ratoeira:': u'\U0001FAA4',
    u':lâmina:': u'\U0001FA92',
    u':frasco_de_loção:': u'\U0001F9F4',
    u':alfinete_de_segurança:': u'\U0001F9F7',
    u':vassoura:': u'\U0001F9F9',
    u':cesta:': u'\U0001F9FA',
    u':rolo_de_papel:': u'\U0001F9FB',
    u':balde:': u'\U0001FAA3',
    u':sabonete:': u'\U0001F9FC',
    u':escova_de_dentes:': u'\U0001FAA5',
    u':esponja:': u'\U0001F9FD',
    u':extintor_de_incêndio:': u'\U0001F9EF',
    u':carrinho_de_compras:': u'\U0001F6D2',
    u':cigarro:': u'\U0001F6AC',
    u':caixão:': u'\U000026B0\U0000FE0F',
    u':lápide:': u'\U0001FAA6',
    u':urna_funerária:': u'\U000026B1\U0000FE0F',
    u':moai:': u'\U0001F5FF',
    u':placa:': u'\U0001FAA7',
    u':símbolo_de_caixa_automático:': u'\U0001F3E7',
    u':símbolo_de_lixeira:': u'\U0001F6AE',
    u':água_potável:': u'\U0001F6B0',
    u':símbolo_de_cadeira_de_rodas:': u'\U0000267F',
    u':banheiro_masculino:': u'\U0001F6B9',
    u':banheiro_feminino:': u'\U0001F6BA',
    u':banheiro:': u'\U0001F6BB',
    u':símbolo_de_bebê:': u'\U0001F6BC',
    u':wc:': u'\U0001F6BE',
    u':controle_de_passaportes:': u'\U0001F6C2',
    u':alfândega:': u'\U0001F6C3',
    u':restituição_de_bagagem:': u'\U0001F6C4',
    u':depósito_de_bagagem:': u'\U0001F6C5',
    u':aviso:': u'\U000026A0\U0000FE0F',
    u':crianças_atravessando:': u'\U0001F6B8',
    u':entrada_proibida:': u'\U000026D4',
    u':proibido:': u'\U0001F6AB',
    u':proibido_andar_de_bicicleta:': u'\U0001F6B3',
    u':proibido_fumar:': u'\U0001F6AD',
    u':proibido_jogar_lixo_no_chão:': u'\U0001F6AF',
    u':água_não_potável:': u'\U0001F6B1',
    u':proibida_a_passagem_de_pedestres:': u'\U0001F6B7',
    u':proibido_o_uso_de_telefone_celular:': u'\U0001F4F5',
    u':proibido_para_menores_de_18_anos:': u'\U0001F51E',
    u':radioativo:': u'\U00002622\U0000FE0F',
    u':risco_biológico:': u'\U00002623\U0000FE0F',
    u':seta_para_cima:': u'\U00002B06\U0000FE0F',
    u':seta_para_cima_e_para_a_direita:': u'\U00002197\U0000FE0F',
    u':seta_para_a_direita:': u'\U000027A1\U0000FE0F',
    u':seta_para_baixo_e_para_a_direita:': u'\U00002198\U0000FE0F',
    u':seta_para_baixo:': u'\U00002B07\U0000FE0F',
    u':seta_para_baixo_e_para_a_esquerda:': u'\U00002199\U0000FE0F',
    u':seta_para_a_esquerda:': u'\U00002B05\U0000FE0F',
    u':seta_para_cima_e_para_a_esquerda:': u'\U00002196\U0000FE0F',
    u':seta_para_cima_e_para_baixo:': u'\U00002195\U0000FE0F',
    u':seta_para_esquerda_e_direita:': u'\U00002194\U0000FE0F',
    u':seta_curva_da_direita_para_a_esquerda:': u'\U000021A9\U0000FE0F',
    u':seta_curva_da_esquerda_para_a_direita:': u'\U000021AA\U0000FE0F',
    u':seta_para_a_direita_curvada_para_cima:': u'\U00002934\U0000FE0F',
    u':seta_para_a_direita_curvada_para_baixo:': u'\U00002935\U0000FE0F',
    u':setas_verticais_no_sentido_horário:': u'\U0001F503',
    u':botão_de_setas_em_sentido_anti-horário:': u'\U0001F504',
    u':seta_back:': u'\U0001F519',
    u':seta_end:': u'\U0001F51A',
    u':seta_on!:': u'\U0001F51B',
    u':seta_soon:': u'\U0001F51C',
    u':seta_top:': u'\U0001F51D',
    u':local_de_culto:': u'\U0001F6D0',
    u':símbolo_de_átomo:': u'\U0000269B\U0000FE0F',
    u':om:': u'\U0001F549\U0000FE0F',
    u':estrela_de_davi:': u'\U00002721\U0000FE0F',
    u':roda_do_dharma:': u'\U00002638\U0000FE0F',
    u':yin_yang:': u'\U0000262F\U0000FE0F',
    u':cruz_latina:': u'\U0000271D\U0000FE0F',
    u':cruz_ortodoxa:': u'\U00002626\U0000FE0F',
    u':estrela_e_lua_crescente:': u'\U0000262A\U0000FE0F',
    u':símbolo_da_paz:': u'\U0000262E\U0000FE0F',
    u':menorá:': u'\U0001F54E',
    u':estrela_de_seis_pontas:': u'\U0001F52F',
    u':signo_de_áries:': u'\U00002648',
    u':signo_de_touro:': u'\U00002649',
    u':signo_de_gêmeos:': u'\U0000264A',
    u':signo_de_câncer:': u'\U0000264B',
    u':signo_de_leão:': u'\U0000264C',
    u':signo_de_virgem:': u'\U0000264D',
    u':signo_de_libra:': u'\U0000264E',
    u':signo_de_escorpião:': u'\U0000264F',
    u':signo_de_sagitário:': u'\U00002650',
    u':signo_de_capricórnio:': u'\U00002651',
    u':signo_de_aquário:': u'\U00002652',
    u':signo_de_peixes:': u'\U00002653',
    u':signo_de_ofiúco:': u'\U000026CE',
    u':botão_de_músicas_aleatórias:': u'\U0001F500',
    u':botão_de_repetir:': u'\U0001F501',
    u':botão_de_repetir_uma_única_faixa:': u'\U0001F502',
    u':botão_reproduzir:': u'\U000025B6\U0000FE0F',
    u':botão_avançar:': u'\U000023E9',
    u':botão_de_próxima_faixa:': u'\U000023ED\U0000FE0F',
    u':botão_de_reproduzir_ou_pausar:': u'\U000023EF\U0000FE0F',
    u':botão_de_voltar:': u'\U000025C0\U0000FE0F',
    u':botão_de_retroceder:': u'\U000023EA',
    u':botão_de_faixa_anterior:': u'\U000023EE\U0000FE0F',
    u':botão_apontando_para_cima:': u'\U0001F53C',
    u':botão_de_avanço_para_cima:': u'\U000023EB',
    u':botão_apontando_para_baixo:': u'\U0001F53D',
    u':botão_de_avanço_para_baixo:': u'\U000023EC',
    u':botão_pausar:': u'\U000023F8\U0000FE0F',
    u':botão_parar:': u'\U000023F9\U0000FE0F',
    u':botão_gravar:': u'\U000023FA\U0000FE0F',
    u':botão_ejetar:': u'\U000023CF\U0000FE0F',
    u':cinema:': u'\U0001F3A6',
    u':botão_de_diminuir_brilho:': u'\U0001F505',
    u':botão_de_aumentar_brilho:': u'\U0001F506',
    u':barras_de_sinal:': u'\U0001F4F6',
    u':modo_vibratório:': u'\U0001F4F3',
    u':telefone_celular_desligado:': u'\U0001F4F4',
    u':símbolo_de_feminino:': u'\U00002640\U0000FE0F',
    u':símbolo_de_masculino:': u'\U00002642\U0000FE0F',
    u':símbolo_transgênero:': u'\U000026A7\U0000FE0F',
    u':sinal_de_multiplicação:': u'\U00002716\U0000FE0F',
    u':símbolo_de_adição:': u'\U00002795',
    u':símbolo_de_subtração:': u'\U00002796',
    u':símbolo_de_divisão:': u'\U00002797',
    u':infinito:': u'\U0000267E\U0000FE0F',
    u':dupla_exclamação:': u'\U0000203C\U0000FE0F',
    u':exclamação_com_interrogação:': u'\U00002049\U0000FE0F',
    u':ponto_de_interrogação:': u'\U00002753',
    u':ponto_de_interrogação_branco:': u'\U00002754',
    u':ponto_de_exclamação_branco:': u'\U00002755',
    u':ponto_de_exclamação:': u'\U00002757',
    u':travessão_ondulado:': u'\U00003030\U0000FE0F',
    u':câmbio_de_moeda:': u'\U0001F4B1',
    u':cifrão:': u'\U0001F4B2',
    u':símbolo_da_medicina:': u'\U00002695\U0000FE0F',
    u':símbolo_de_reciclagem:': u'\U0000267B\U0000FE0F',
    u':flor-de-lis:': u'\U0000269C\U0000FE0F',
    u':emblema_de_tridente:': u'\U0001F531',
    u':crachá:': u'\U0001F4DB',
    u':símbolo_japonês_de_principiante:': u'\U0001F530',
    u':círculo_grande_oco:': u'\U00002B55',
    u':marca_de_seleção_branca:': u'\U00002705',
    u':caixa_de_seleção_marcada_com_tique:': u'\U00002611\U0000FE0F',
    u':marca_de_seleção:': u'\U00002714\U0000FE0F',
    u':xis:': u'\U0000274C',
    u':botão_de_xis:': u'\U0000274E',
    u':laço_encaracolado:': u'\U000027B0',
    u':loop_encaracolado_duas_vezes:': u'\U000027BF',
    u':sinal_japonês_indicando_início_de_música:': u'\U0000303D\U0000FE0F',
    u':asterisco_de_oito_pontas:': u'\U00002733\U0000FE0F',
    u':estrela_de_oito_pontas:': u'\U00002734\U0000FE0F',
    u':faísca:': u'\U00002747\U0000FE0F',
    u':símbolo_de_copyright:': u'\U000000A9\U0000FE0F',
    u':símbolo_de_registrado:': u'\U000000AE\U0000FE0F',
    u':símbolo_de_marca_registrada:': u'\U00002122\U0000FE0F',
    u':tecla_#:': u'\U00000023\U0000FE0F\U000020E3',
    u':tecla_*:': u'\U0000002A\U0000FE0F\U000020E3',
    u':tecla_0:': u'\U00000030\U0000FE0F\U000020E3',
    u':tecla_1:': u'\U00000031\U0000FE0F\U000020E3',
    u':tecla_2:': u'\U00000032\U0000FE0F\U000020E3',
    u':tecla_3:': u'\U00000033\U0000FE0F\U000020E3',
    u':tecla_4:': u'\U00000034\U0000FE0F\U000020E3',
    u':tecla_5:': u'\U00000035\U0000FE0F\U000020E3',
    u':tecla_6:': u'\U00000036\U0000FE0F\U000020E3',
    u':tecla_7:': u'\U00000037\U0000FE0F\U000020E3',
    u':tecla_8:': u'\U00000038\U0000FE0F\U000020E3',
    u':tecla_9:': u'\U00000039\U0000FE0F\U000020E3',
    u':tecla_10:': u'\U0001F51F',
    u':letras_latinas_maiúsculas:': u'\U0001F520',
    u':letras_latinas_minúsculas:': u'\U0001F521',
    u':números:': u'\U0001F522',
    u':símbolos:': u'\U0001F523',
    u':letras_latinas:': u'\U0001F524',
    u':botão_a_(tipo_sanguíneo):': u'\U0001F170\U0000FE0F',
    u':botão_ab_(tipo_sanguíneo):': u'\U0001F18E',
    u':botão_b_(tipo_sanguíneo):': u'\U0001F171\U0000FE0F',
    u':botão_cl:': u'\U0001F191',
    u':botão_cool:': u'\U0001F192',
    u':botão_free:': u'\U0001F193',
    u':informações:': u'\U00002139\U0000FE0F',
    u':botão_id:': u'\U0001F194',
    u':círculo_com_a_letra_m:': u'\U000024C2\U0000FE0F',
    u':botão_new:': u'\U0001F195',
    u':botão_ng:': u'\U0001F196',
    u':botão_o_(tipo_sanguíneo):': u'\U0001F17E\U0000FE0F',
    u':botão_ok:': u'\U0001F197',
    u':botão_p:': u'\U0001F17F\U0000FE0F',
    u':botão_sos:': u'\U0001F198',
    u':botão_up!:': u'\U0001F199',
    u':botão_vs:': u'\U0001F19A',
    u':botão_japonês_de_“aqui”:': u'\U0001F201',
    u':botão_japonês_de_“taxa_de_serviço”:': u'\U0001F202\U0000FE0F',
    u':botão_japonês_de_“quantidade_mensal”:': u'\U0001F237\U0000FE0F',
    u':botão_japonês_de_“não_gratuito”:': u'\U0001F236',
    u':botão_japonês_de_“reservado”:': u'\U0001F22F',
    u':botão_japonês_de_“barganha”:': u'\U0001F250',
    u':botão_japonês_de_“desconto”:': u'\U0001F239',
    u':botão_japonês_de_“gratuito”:': u'\U0001F21A',
    u':botão_japonês_de_“proibido”:': u'\U0001F232',
    u':botão_japonês_de_“aceitável”:': u'\U0001F251',
    u':botão_japonês_de_“aplicação”:': u'\U0001F238',
    u':botão_japonês_de_“nota_mínima”:': u'\U0001F234',
    u':botão_japonês_de_“vago”:': u'\U0001F233',
    u':botão_japonês_de_“parabéns”:': u'\U00003297\U0000FE0F',
    u':botão_japonês_de_“segredo”:': u'\U00003299\U0000FE0F',
    u':botão_japonês_de_“aberto_para_negócios”:': u'\U0001F23A',
    u':botão_japonês_de_“sem_vagas”:': u'\U0001F235',
    u':círculo_vermelho:': u'\U0001F534',
    u':círculo_laranja:': u'\U0001F7E0',
    u':círculo_amarelo:': u'\U0001F7E1',
    u':círculo_verde:': u'\U0001F7E2',
    u':círculo_azul:': u'\U0001F535',
    u':círculo_roxo:': u'\U0001F7E3',
    u':círculo_marrom:': u'\U0001F7E4',
    u':círculo_preto:': u'\U000026AB',
    u':círculo_branco:': u'\U000026AA',
    u':quadrado_vermelho:': u'\U0001F7E5',
    u':quadrado_laranja:': u'\U0001F7E7',
    u':quadrado_amarelo:': u'\U0001F7E8',
    u':quadrado_verde:': u'\U0001F7E9',
    u':quadrado_azul:': u'\U0001F7E6',
    u':quadrado_roxo:': u'\U0001F7EA',
    u':quadrado_marrom:': u'\U0001F7EB',
    u':quadrado_preto_grande:': u'\U00002B1B',
    u':quadrado_branco_grande:': u'\U00002B1C',
    u':quadrado_preto_médio:': u'\U000025FC\U0000FE0F',
    u':quadrado_branco_médio:': u'\U000025FB\U0000FE0F',
    u':quadrado_preto_médio_menor:': u'\U000025FE',
    u':quadrado_branco_médio_menor:': u'\U000025FD',
    u':quadrado_preto_pequeno:': u'\U000025AA\U0000FE0F',
    u':quadrado_branco_pequeno:': u'\U000025AB\U0000FE0F',
    u':losango_laranja_grande:': u'\U0001F536',
    u':losango_azul_grande:': u'\U0001F537',
    u':losango_laranja_pequeno:': u'\U0001F538',
    u':losango_azul_pequeno:': u'\U0001F539',
    u':triângulo_vermelho_para_cima:': u'\U0001F53A',
    u':triângulo_vermelho_para_baixo:': u'\U0001F53B',
    u':diamante_com_um_ponto:': u'\U0001F4A0',
    u':botão_de_opção:': u'\U0001F518',
    u':botão_quadrado_branco:': u'\U0001F533',
    u':botão_quadrado_preto:': u'\U0001F532',
    u':bandeira_quadriculada:': u'\U0001F3C1',
    u':bandeira_triangular:': u'\U0001F6A9',
    u':bandeiras_cruzadas:': u'\U0001F38C',
    u':bandeira_preta:': u'\U0001F3F4',
    u':bandeira_branca:': u'\U0001F3F3\U0000FE0F',
    u':bandeira_do_arco-íris:': u'\U0001F3F3\U0000FE0F\U0000200D\U0001F308',
    u':bandeira_transgênero:': u'\U0001F3F3\U0000FE0F\U0000200D\U000026A7\U0000FE0F',
    u':bandeira_de_pirata:': u'\U0001F3F4\U0000200D\U00002620\U0000FE0F',
    u':bandeira_ilha_de_ascensão:': u'\U0001F1E6\U0001F1E8',
    u':bandeira_andorra:': u'\U0001F1E6\U0001F1E9',
    u':bandeira_emirados_árabes_unidos:': u'\U0001F1E6\U0001F1EA',
    u':bandeira_afeganistão:': u'\U0001F1E6\U0001F1EB',
    u':bandeira_antígua_e_barbuda:': u'\U0001F1E6\U0001F1EC',
    u':bandeira_anguila:': u'\U0001F1E6\U0001F1EE',
    u':bandeira_albânia:': u'\U0001F1E6\U0001F1F1',
    u':bandeira_armênia:': u'\U0001F1E6\U0001F1F2',
    u':bandeira_angola:': u'\U0001F1E6\U0001F1F4',
    u':bandeira_antártida:': u'\U0001F1E6\U0001F1F6',
    u':bandeira_argentina:': u'\U0001F1E6\U0001F1F7',
    u':bandeira_samoa_americana:': u'\U0001F1E6\U0001F1F8',
    u':bandeira_áustria:': u'\U0001F1E6\U0001F1F9',
    u':bandeira_austrália:': u'\U0001F1E6\U0001F1FA',
    u':bandeira_aruba:': u'\U0001F1E6\U0001F1FC',
    u':bandeira_ilhas_aland:': u'\U0001F1E6\U0001F1FD',
    u':bandeira_azerbaijão:': u'\U0001F1E6\U0001F1FF',
    u':bandeira_bósnia_e_herzegovina:': u'\U0001F1E7\U0001F1E6',
    u':bandeira_barbados:': u'\U0001F1E7\U0001F1E7',
    u':bandeira_bangladesh:': u'\U0001F1E7\U0001F1E9',
    u':bandeira_bélgica:': u'\U0001F1E7\U0001F1EA',
    u':bandeira_burquina_faso:': u'\U0001F1E7\U0001F1EB',
    u':bandeira_bulgária:': u'\U0001F1E7\U0001F1EC',
    u':bandeira_bahrein:': u'\U0001F1E7\U0001F1ED',
    u':bandeira_burundi:': u'\U0001F1E7\U0001F1EE',
    u':bandeira_benin:': u'\U0001F1E7\U0001F1EF',
    u':bandeira_são_bartolomeu:': u'\U0001F1E7\U0001F1F1',
    u':bandeira_bermudas:': u'\U0001F1E7\U0001F1F2',
    u':bandeira_brunei:': u'\U0001F1E7\U0001F1F3',
    u':bandeira_bolívia:': u'\U0001F1E7\U0001F1F4',
    u':bandeira_países_baixos_caribenhos:': u'\U0001F1E7\U0001F1F6',
    u':bandeira_brasil:': u'\U0001F1E7\U0001F1F7',
    u':bandeira_bahamas:': u'\U0001F1E7\U0001F1F8',
    u':bandeira_butão:': u'\U0001F1E7\U0001F1F9',
    u':bandeira_ilha_bouvet:': u'\U0001F1E7\U0001F1FB',
    u':bandeira_botsuana:': u'\U0001F1E7\U0001F1FC',
    u':bandeira_bielorrússia:': u'\U0001F1E7\U0001F1FE',
    u':bandeira_belize:': u'\U0001F1E7\U0001F1FF',
    u':bandeira_canadá:': u'\U0001F1E8\U0001F1E6',
    u':bandeira_ilhas_cocos_(keeling):': u'\U0001F1E8\U0001F1E8',
    u':bandeira_congo_–_kinshasa:': u'\U0001F1E8\U0001F1E9',
    u':bandeira_república_centro-africana:': u'\U0001F1E8\U0001F1EB',
    u':bandeira_república_do_congo:': u'\U0001F1E8\U0001F1EC',
    u':bandeira_suíça:': u'\U0001F1E8\U0001F1ED',
    u':bandeira_costa_do_marfim:': u'\U0001F1E8\U0001F1EE',
    u':bandeira_ilhas_cook:': u'\U0001F1E8\U0001F1F0',
    u':bandeira_chile:': u'\U0001F1E8\U0001F1F1',
    u':bandeira_camarões:': u'\U0001F1E8\U0001F1F2',
    u':bandeira_china:': u'\U0001F1E8\U0001F1F3',
    u':bandeira_colômbia:': u'\U0001F1E8\U0001F1F4',
    u':bandeira_ilha_de_clipperton:': u'\U0001F1E8\U0001F1F5',
    u':bandeira_costa_rica:': u'\U0001F1E8\U0001F1F7',
    u':bandeira_cuba:': u'\U0001F1E8\U0001F1FA',
    u':bandeira_cabo_verde:': u'\U0001F1E8\U0001F1FB',
    u':bandeira_curaçao:': u'\U0001F1E8\U0001F1FC',
    u':bandeira_ilha_christmas:': u'\U0001F1E8\U0001F1FD',
    u':bandeira_chipre:': u'\U0001F1E8\U0001F1FE',
    u':bandeira_tchéquia:': u'\U0001F1E8\U0001F1FF',
    u':bandeira_alemanha:': u'\U0001F1E9\U0001F1EA',
    u':bandeira_diego_garcia:': u'\U0001F1E9\U0001F1EC',
    u':bandeira_djibuti:': u'\U0001F1E9\U0001F1EF',
    u':bandeira_dinamarca:': u'\U0001F1E9\U0001F1F0',
    u':bandeira_dominica:': u'\U0001F1E9\U0001F1F2',
    u':bandeira_república_dominicana:': u'\U0001F1E9\U0001F1F4',
    u':bandeira_argélia:': u'\U0001F1E9\U0001F1FF',
    u':bandeira_ceuta_e_melilla:': u'\U0001F1EA\U0001F1E6',
    u':bandeira_equador:': u'\U0001F1EA\U0001F1E8',
    u':bandeira_estônia:': u'\U0001F1EA\U0001F1EA',
    u':bandeira_egito:': u'\U0001F1EA\U0001F1EC',
    u':bandeira_saara_ocidental:': u'\U0001F1EA\U0001F1ED',
    u':bandeira_eritreia:': u'\U0001F1EA\U0001F1F7',
    u':bandeira_espanha:': u'\U0001F1EA\U0001F1F8',
    u':bandeira_etiópia:': u'\U0001F1EA\U0001F1F9',
    u':bandeira_união_europeia:': u'\U0001F1EA\U0001F1FA',
    u':bandeira_finlândia:': u'\U0001F1EB\U0001F1EE',
    u':bandeira_fiji:': u'\U0001F1EB\U0001F1EF',
    u':bandeira_ilhas_malvinas:': u'\U0001F1EB\U0001F1F0',
    u':bandeira_micronésia:': u'\U0001F1EB\U0001F1F2',
    u':bandeira_ilhas_faroe:': u'\U0001F1EB\U0001F1F4',
    u':bandeira_frança:': u'\U0001F1EB\U0001F1F7',
    u':bandeira_gabão:': u'\U0001F1EC\U0001F1E6',
    u':bandeira_reino_unido:': u'\U0001F1EC\U0001F1E7',
    u':bandeira_granada:': u'\U0001F1EC\U0001F1E9',
    u':bandeira_geórgia:': u'\U0001F1EC\U0001F1EA',
    u':bandeira_guiana_francesa:': u'\U0001F1EC\U0001F1EB',
    u':bandeira_guernsey:': u'\U0001F1EC\U0001F1EC',
    u':bandeira_gana:': u'\U0001F1EC\U0001F1ED',
    u':bandeira_gibraltar:': u'\U0001F1EC\U0001F1EE',
    u':bandeira_groenlândia:': u'\U0001F1EC\U0001F1F1',
    u':bandeira_gâmbia:': u'\U0001F1EC\U0001F1F2',
    u':bandeira_guiné:': u'\U0001F1EC\U0001F1F3',
    u':bandeira_guadalupe:': u'\U0001F1EC\U0001F1F5',
    u':bandeira_guiné_equatorial:': u'\U0001F1EC\U0001F1F6',
    u':bandeira_grécia:': u'\U0001F1EC\U0001F1F7',
    u':bandeira_ilhas_geórgia_do_sul_e_sandwich_do_sul:': u'\U0001F1EC\U0001F1F8',
    u':bandeira_guatemala:': u'\U0001F1EC\U0001F1F9',
    u':bandeira_guam:': u'\U0001F1EC\U0001F1FA',
    u':bandeira_guiné-bissau:': u'\U0001F1EC\U0001F1FC',
    u':bandeira_guiana:': u'\U0001F1EC\U0001F1FE',
    u':bandeira_hong_kong_rae_da_china:': u'\U0001F1ED\U0001F1F0',
    u':bandeira_ilhas_heard_e_mcdonald:': u'\U0001F1ED\U0001F1F2',
    u':bandeira_honduras:': u'\U0001F1ED\U0001F1F3',
    u':bandeira_croácia:': u'\U0001F1ED\U0001F1F7',
    u':bandeira_haiti:': u'\U0001F1ED\U0001F1F9',
    u':bandeira_hungria:': u'\U0001F1ED\U0001F1FA',
    u':bandeira_ilhas_canárias:': u'\U0001F1EE\U0001F1E8',
    u':bandeira_indonésia:': u'\U0001F1EE\U0001F1E9',
    u':bandeira_irlanda:': u'\U0001F1EE\U0001F1EA',
    u':bandeira_israel:': u'\U0001F1EE\U0001F1F1',
    u':bandeira_ilha_de_man:': u'\U0001F1EE\U0001F1F2',
    u':bandeira_índia:': u'\U0001F1EE\U0001F1F3',
    u':bandeira_território_britânico_do_oceano_índico:': u'\U0001F1EE\U0001F1F4',
    u':bandeira_iraque:': u'\U0001F1EE\U0001F1F6',
    u':bandeira_irã:': u'\U0001F1EE\U0001F1F7',
    u':bandeira_islândia:': u'\U0001F1EE\U0001F1F8',
    u':bandeira_itália:': u'\U0001F1EE\U0001F1F9',
    u':bandeira_jersey:': u'\U0001F1EF\U0001F1EA',
    u':bandeira_jamaica:': u'\U0001F1EF\U0001F1F2',
    u':bandeira_jordânia:': u'\U0001F1EF\U0001F1F4',
    u':bandeira_japão:': u'\U0001F1EF\U0001F1F5',
    u':bandeira_quênia:': u'\U0001F1F0\U0001F1EA',
    u':bandeira_quirguistão:': u'\U0001F1F0\U0001F1EC',
    u':bandeira_camboja:': u'\U0001F1F0\U0001F1ED',
    u':bandeira_quiribati:': u'\U0001F1F0\U0001F1EE',
    u':bandeira_comores:': u'\U0001F1F0\U0001F1F2',
    u':bandeira_são_cristóvão_e_névis:': u'\U0001F1F0\U0001F1F3',
    u':bandeira_coreia_do_norte:': u'\U0001F1F0\U0001F1F5',
    u':bandeira_coreia_do_sul:': u'\U0001F1F0\U0001F1F7',
    u':bandeira_kuwait:': u'\U0001F1F0\U0001F1FC',
    u':bandeira_ilhas_cayman:': u'\U0001F1F0\U0001F1FE',
    u':bandeira_cazaquistão:': u'\U0001F1F0\U0001F1FF',
    u':bandeira_laos:': u'\U0001F1F1\U0001F1E6',
    u':bandeira_líbano:': u'\U0001F1F1\U0001F1E7',
    u':bandeira_santa_lúcia:': u'\U0001F1F1\U0001F1E8',
    u':bandeira_liechtenstein:': u'\U0001F1F1\U0001F1EE',
    u':bandeira_sri_lanka:': u'\U0001F1F1\U0001F1F0',
    u':bandeira_libéria:': u'\U0001F1F1\U0001F1F7',
    u':bandeira_lesoto:': u'\U0001F1F1\U0001F1F8',
    u':bandeira_lituânia:': u'\U0001F1F1\U0001F1F9',
    u':bandeira_luxemburgo:': u'\U0001F1F1\U0001F1FA',
    u':bandeira_letônia:': u'\U0001F1F1\U0001F1FB',
    u':bandeira_líbia:': u'\U0001F1F1\U0001F1FE',
    u':bandeira_marrocos:': u'\U0001F1F2\U0001F1E6',
    u':bandeira_mônaco:': u'\U0001F1F2\U0001F1E8',
    u':bandeira_moldova:': u'\U0001F1F2\U0001F1E9',
    u':bandeira_montenegro:': u'\U0001F1F2\U0001F1EA',
    u':bandeira_são_martinho:': u'\U0001F1F2\U0001F1EB',
    u':bandeira_madagascar:': u'\U0001F1F2\U0001F1EC',
    u':bandeira_ilhas_marshall:': u'\U0001F1F2\U0001F1ED',
    u':bandeira_macedônia_do_norte:': u'\U0001F1F2\U0001F1F0',
    u':bandeira_mali:': u'\U0001F1F2\U0001F1F1',
    u':bandeira_mianmar_(birmânia):': u'\U0001F1F2\U0001F1F2',
    u':bandeira_mongólia:': u'\U0001F1F2\U0001F1F3',
    u':bandeira_macau_rae_da_china:': u'\U0001F1F2\U0001F1F4',
    u':bandeira_ilhas_marianas_do_norte:': u'\U0001F1F2\U0001F1F5',
    u':bandeira_martinica:': u'\U0001F1F2\U0001F1F6',
    u':bandeira_mauritânia:': u'\U0001F1F2\U0001F1F7',
    u':bandeira_montserrat:': u'\U0001F1F2\U0001F1F8',
    u':bandeira_malta:': u'\U0001F1F2\U0001F1F9',
    u':bandeira_maurício:': u'\U0001F1F2\U0001F1FA',
    u':bandeira_maldivas:': u'\U0001F1F2\U0001F1FB',
    u':bandeira_malaui:': u'\U0001F1F2\U0001F1FC',
    u':bandeira_méxico:': u'\U0001F1F2\U0001F1FD',
    u':bandeira_malásia:': u'\U0001F1F2\U0001F1FE',
    u':bandeira_moçambique:': u'\U0001F1F2\U0001F1FF',
    u':bandeira_namíbia:': u'\U0001F1F3\U0001F1E6',
    u':bandeira_nova_caledônia:': u'\U0001F1F3\U0001F1E8',
    u':bandeira_níger:': u'\U0001F1F3\U0001F1EA',
    u':bandeira_ilha_norfolk:': u'\U0001F1F3\U0001F1EB',
    u':bandeira_nigéria:': u'\U0001F1F3\U0001F1EC',
    u':bandeira_nicarágua:': u'\U0001F1F3\U0001F1EE',
    u':bandeira_países_baixos:': u'\U0001F1F3\U0001F1F1',
    u':bandeira_noruega:': u'\U0001F1F3\U0001F1F4',
    u':bandeira_nepal:': u'\U0001F1F3\U0001F1F5',
    u':bandeira_nauru:': u'\U0001F1F3\U0001F1F7',
    u':bandeira_niue:': u'\U0001F1F3\U0001F1FA',
    u':bandeira_nova_zelândia:': u'\U0001F1F3\U0001F1FF',
    u':bandeira_omã:': u'\U0001F1F4\U0001F1F2',
    u':bandeira_panamá:': u'\U0001F1F5\U0001F1E6',
    u':bandeira_peru:': u'\U0001F1F5\U0001F1EA',
    u':bandeira_polinésia_francesa:': u'\U0001F1F5\U0001F1EB',
    u':bandeira_papua-nova_guiné:': u'\U0001F1F5\U0001F1EC',
    u':bandeira_filipinas:': u'\U0001F1F5\U0001F1ED',
    u':bandeira_paquistão:': u'\U0001F1F5\U0001F1F0',
    u':bandeira_polônia:': u'\U0001F1F5\U0001F1F1',
    u':bandeira_são_pedro_e_miquelão:': u'\U0001F1F5\U0001F1F2',
    u':bandeira_ilhas_pitcairn:': u'\U0001F1F5\U0001F1F3',
    u':bandeira_porto_rico:': u'\U0001F1F5\U0001F1F7',
    u':bandeira_territórios_palestinos:': u'\U0001F1F5\U0001F1F8',
    u':bandeira_portugal:': u'\U0001F1F5\U0001F1F9',
    u':bandeira_palau:': u'\U0001F1F5\U0001F1FC',
    u':bandeira_paraguai:': u'\U0001F1F5\U0001F1FE',
    u':bandeira_catar:': u'\U0001F1F6\U0001F1E6',
    u':bandeira_reunião:': u'\U0001F1F7\U0001F1EA',
    u':bandeira_romênia:': u'\U0001F1F7\U0001F1F4',
    u':bandeira_sérvia:': u'\U0001F1F7\U0001F1F8',
    u':bandeira_rússia:': u'\U0001F1F7\U0001F1FA',
    u':bandeira_ruanda:': u'\U0001F1F7\U0001F1FC',
    u':bandeira_arábia_saudita:': u'\U0001F1F8\U0001F1E6',
    u':bandeira_ilhas_salomão:': u'\U0001F1F8\U0001F1E7',
    u':bandeira_seicheles:': u'\U0001F1F8\U0001F1E8',
    u':bandeira_sudão:': u'\U0001F1F8\U0001F1E9',
    u':bandeira_suécia:': u'\U0001F1F8\U0001F1EA',
    u':bandeira_singapura:': u'\U0001F1F8\U0001F1EC',
    u':bandeira_santa_helena:': u'\U0001F1F8\U0001F1ED',
    u':bandeira_eslovênia:': u'\U0001F1F8\U0001F1EE',
    u':bandeira_svalbard_e_jan_mayen:': u'\U0001F1F8\U0001F1EF',
    u':bandeira_eslováquia:': u'\U0001F1F8\U0001F1F0',
    u':bandeira_serra_leoa:': u'\U0001F1F8\U0001F1F1',
    u':bandeira_san_marino:': u'\U0001F1F8\U0001F1F2',
    u':bandeira_senegal:': u'\U0001F1F8\U0001F1F3',
    u':bandeira_somália:': u'\U0001F1F8\U0001F1F4',
    u':bandeira_suriname:': u'\U0001F1F8\U0001F1F7',
    u':bandeira_sudão_do_sul:': u'\U0001F1F8\U0001F1F8',
    u':bandeira_são_tomé_e_príncipe:': u'\U0001F1F8\U0001F1F9',
    u':bandeira_el_salvador:': u'\U0001F1F8\U0001F1FB',
    u':bandeira_sint_maarten:': u'\U0001F1F8\U0001F1FD',
    u':bandeira_síria:': u'\U0001F1F8\U0001F1FE',
    u':bandeira_essuatíni:': u'\U0001F1F8\U0001F1FF',
    u':bandeira_tristão_da_cunha:': u'\U0001F1F9\U0001F1E6',
    u':bandeira_ilhas_turcas_e_caicos:': u'\U0001F1F9\U0001F1E8',
    u':bandeira_chade:': u'\U0001F1F9\U0001F1E9',
    u':bandeira_territórios_franceses_do_sul:': u'\U0001F1F9\U0001F1EB',
    u':bandeira_togo:': u'\U0001F1F9\U0001F1EC',
    u':bandeira_tailândia:': u'\U0001F1F9\U0001F1ED',
    u':bandeira_tadjiquistão:': u'\U0001F1F9\U0001F1EF',
    u':bandeira_tokelau:': u'\U0001F1F9\U0001F1F0',
    u':bandeira_timor-leste:': u'\U0001F1F9\U0001F1F1',
    u':bandeira_turcomenistão:': u'\U0001F1F9\U0001F1F2',
    u':bandeira_tunísia:': u'\U0001F1F9\U0001F1F3',
    u':bandeira_tonga:': u'\U0001F1F9\U0001F1F4',
    u':bandeira_turquia:': u'\U0001F1F9\U0001F1F7',
    u':bandeira_trinidad_e_tobago:': u'\U0001F1F9\U0001F1F9',
    u':bandeira_tuvalu:': u'\U0001F1F9\U0001F1FB',
    u':bandeira_taiwan:': u'\U0001F1F9\U0001F1FC',
    u':bandeira_tanzânia:': u'\U0001F1F9\U0001F1FF',
    u':bandeira_ucrânia:': u'\U0001F1FA\U0001F1E6',
    u':bandeira_uganda:': u'\U0001F1FA\U0001F1EC',
    u':bandeira_ilhas_menores_distantes_dos_eua:': u'\U0001F1FA\U0001F1F2',
    u':bandeira_nações_unidas:': u'\U0001F1FA\U0001F1F3',
    u':bandeira_estados_unidos:': u'\U0001F1FA\U0001F1F8',
    u':bandeira_uruguai:': u'\U0001F1FA\U0001F1FE',
    u':bandeira_uzbequistão:': u'\U0001F1FA\U0001F1FF',
    u':bandeira_cidade_do_vaticano:': u'\U0001F1FB\U0001F1E6',
    u':bandeira_são_vicente_e_granadinas:': u'\U0001F1FB\U0001F1E8',
    u':bandeira_venezuela:': u'\U0001F1FB\U0001F1EA',
    u':bandeira_ilhas_virgens_britânicas:': u'\U0001F1FB\U0001F1EC',
    u':bandeira_ilhas_virgens_americanas:': u'\U0001F1FB\U0001F1EE',
    u':bandeira_vietnã:': u'\U0001F1FB\U0001F1F3',
    u':bandeira_vanuatu:': u'\U0001F1FB\U0001F1FA',
    u':bandeira_wallis_e_futuna:': u'\U0001F1FC\U0001F1EB',
    u':bandeira_samoa:': u'\U0001F1FC\U0001F1F8',
    u':bandeira_kosovo:': u'\U0001F1FD\U0001F1F0',
    u':bandeira_iêmen:': u'\U0001F1FE\U0001F1EA',
    u':bandeira_mayotte:': u'\U0001F1FE\U0001F1F9',
    u':bandeira_áfrica_do_sul:': u'\U0001F1FF\U0001F1E6',
    u':bandeira_zâmbia:': u'\U0001F1FF\U0001F1F2',
    u':bandeira_zimbábue:': u'\U0001F1FF\U0001F1FC',
    u':bandeira_inglaterra:': u'\U0001F3F4\U000E0067\U000E0062\U000E0065\U000E006E\U000E0067\U000E007F',
    u':bandeira_escócia:': u'\U0001F3F4\U000E0067\U000E0062\U000E0073\U000E0063\U000E0074\U000E007F',
    u':bandeira_país_de_gales:': u'\U0001F3F4\U000E0067\U000E0062\U000E0077\U000E006C\U000E0073\U000E007F'
}

EMOJI_UNICODE = {
    'en' : EMOJI_UNICODE_ENGLISH,
    'es': EMOJI_UNICODE_SPANISH,
    'pt': EMOJI_UNICODE_PORTUGUESE}

UNICODE_EMOJI_ENGLISH = {v: k for k, v in EMOJI_UNICODE_ENGLISH.items()}
UNICODE_EMOJI_SPANISH = {v: k for k, v in EMOJI_UNICODE_SPANISH.items()}
UNICODE_EMOJI_PORTUGUESE = {v: k for k, v in EMOJI_UNICODE_PORTUGUESE.items()}

UNICODE_EMOJI_ALIAS_ENGLISH = {v: k for k, v in EMOJI_ALIAS_UNICODE_ENGLISH.items()}

UNICODE_EMOJI = {
    'en': UNICODE_EMOJI_ENGLISH,
    'es': UNICODE_EMOJI_SPANISH,
    'pt': UNICODE_EMOJI_PORTUGUESE}